s3pi library documentation

s3pi library documentation s3pi library documentation
"Sims 3 Package Interface" provides a core library of portable code that "understands" Sims3 DBPF package data. Through a plug-in interface, the resources inside the DBPF package can be read.
Namespaces
Namespace | Description
s3pi.DefaultResource |
s3pi.Extensions |
s3pi.Filetable | When using the s3pi.Filetable assembly, ensure GameFolders.xml resides in the same folder as the assembly at run time.
s3pi.GenericRCOLResource | When using the s3pi.GenericRCOLResource assembly, ensure RCOLResources.txt resides in the same folder as the assembly at run time.
s3pi.Helpers |
s3pi.Interfaces |
s3pi.Package |
s3pi.Settings |
s3pi.WrapperDealer |
System |
System.Collections.Generic |
System.Configuration |
System.Drawing |
System.Security.Cryptography |
System.Text |
System.Windows.Forms |
System.Windows.Forms.TGIBlockListEditorForm |

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)

Send Feedback on this topic to the author.


s3pi.DefaultResource Namespace

s3pi.DefaultResource Namespace s3pi library documentation
Classes
 | Class | Description
Public class | DefaultResource | A resource wrapper that "does nothing", providing the minimal support required for any resource in a Package.
Public class | DefaultResourceHandler | ResourceHandler for DefaultResource wrapper

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DefaultResource Class

DefaultResource Class s3pi library documentation
A resource wrapper that "does nothing", providing the minimal support required for any resource in a Package.
Inheritance Hierarchy
Online System Object
s3pi.Interfaces AApiVersionedFields
s3pi.Interfaces AResource
s3pi.DefaultResource DefaultResource

Namespace: s3pi.DefaultResource
Assembly: s3pi.DefaultResource (in s3pi.DefaultResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public sealed class DefaultResource : AResource
public sealed class DefaultResource : AResource
Public NotInheritable Class DefaultResource
    Inherits AResource
Public NotInheritable Class DefaultResource
    Inherits AResource
public ref class DefaultResource sealed : public AResource
public ref class DefaultResource sealed : public AResource
See Also
DefaultResource Members
s3pi.DefaultResource Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DefaultResource Members

DefaultResource Members s3pi library documentation

The DefaultResource type exposes the following members.
Constructors
 | Name | Description
Public method | DefaultResource | Create a new instance of the resource.
Back to Top
Properties
 | Name | Description
Public property | RecommendedApiVersion | Return the version number that this wrapper prefers to be called with (the default if passed zero). (Overrides AApiVersionedFields RecommendedApiVersion.)
Public property | Stream | The resource content as a Stream, with the stream position set to the begining. (Overrides AResource Stream.)
Back to Top
See Also
DefaultResource Class
s3pi.DefaultResource Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DefaultResource Constructor

DefaultResource Constructor s3pi library documentation
Create a new instance of the resource.

Namespace: s3pi.DefaultResource
Assembly: s3pi.DefaultResource (in s3pi.DefaultResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public DefaultResource(
    int APIversion,
    Stream s
)
public DefaultResource(
    int APIversion,
    Stream s
)
Public Sub New (
    APIversion As Integer,
    s As Stream
)
Public Sub New (
    APIversion As Integer,
    s As Stream
)
public:
DefaultResource(
    int APIversion,
    Stream^ s
)
public:
DefaultResource(
    int APIversion,
    Stream^ s
)
Parameters
APIversion
Type:   Online System Int32
Requested API version
s
Type:   Online System.IO Stream
Data stream to use, or null to create from scratch
See Also
DefaultResource Class
DefaultResource Members
s3pi.DefaultResource Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DefaultResource Properties

DefaultResource Properties s3pi library documentation
The DefaultResource type exposes the following members.
Properties
 | Name | Description
Public property | RecommendedApiVersion | Return the version number that this wrapper prefers to be called with (the default if passed zero). (Overrides AApiVersionedFields RecommendedApiVersion.)
Public property | Stream | The resource content as a Stream, with the stream position set to the begining. (Overrides AResource Stream.)
Back to Top
See Also
DefaultResource Class
s3pi.DefaultResource Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DefaultResource.RecommendedApiVersion Property

DefaultResource RecommendedApiVersion Property s3pi library documentation
Return the version number that this wrapper prefers to be called with (the default if passed zero).

Namespace: s3pi.DefaultResource
Assembly: s3pi.DefaultResource (in s3pi.DefaultResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override int RecommendedApiVersion { get; }
public override int RecommendedApiVersion { get; }
Public Overrides ReadOnly Property RecommendedApiVersion As Integer
    Get
Public Overrides ReadOnly Property RecommendedApiVersion As Integer
    Get
public:
virtual property int RecommendedApiVersion {
    int get () override;
}
public:
virtual property int RecommendedApiVersion {
    int get () override;
}
Property Value
Type:   Online Int32
Implements
IApiVersion RecommendedApiVersion
Remarks
This wrapper returns 1 and is not sensitive to API version.
See Also
DefaultResource Class
DefaultResource Members
s3pi.DefaultResource Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DefaultResource.Stream Property

DefaultResource Stream Property s3pi library documentation
The resource content as a Stream, with the stream position set to the begining.

Namespace: s3pi.DefaultResource
Assembly: s3pi.DefaultResource (in s3pi.DefaultResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override Stream Stream { get; }
public override Stream Stream { get; }
Public Overrides ReadOnly Property Stream As Stream
    Get
Public Overrides ReadOnly Property Stream As Stream
    Get
public:
virtual property Stream^ Stream {
    Stream^ get () override;
}
public:
virtual property Stream^ Stream {
    Stream^ get () override;
}
Property Value
Type:   Online Stream
Implements
IResource Stream
See Also
DefaultResource Class
DefaultResource Members
s3pi.DefaultResource Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DefaultResourceHandler Class

DefaultResourceHandler Class s3pi library documentation
ResourceHandler for DefaultResource wrapper
Inheritance Hierarchy
Online System Object
Online System.Collections.Generic Dictionary Online Type, Online List Online String
s3pi.Interfaces AResourceHandler
s3pi.DefaultResource DefaultResourceHandler

Namespace: s3pi.DefaultResource
Assembly: s3pi.DefaultResource (in s3pi.DefaultResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public class DefaultResourceHandler : AResourceHandler
public class DefaultResourceHandler : AResourceHandler
Public Class DefaultResourceHandler
    Inherits AResourceHandler
Public Class DefaultResourceHandler
    Inherits AResourceHandler
public ref class DefaultResourceHandler : public AResourceHandler
public ref class DefaultResourceHandler : public AResourceHandler
See Also
DefaultResourceHandler Members
s3pi.DefaultResource Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DefaultResourceHandler Members

DefaultResourceHandler Members s3pi library documentation

The DefaultResourceHandler type exposes the following members.
Constructors
 | Name | Description
Public method | DefaultResourceHandler | Populate the AResourceHandler Dictionary. "*" is used to inform WrapperDealer this will happily wrap any resource.
Back to Top
See Also
DefaultResourceHandler Class
s3pi.DefaultResource Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DefaultResourceHandler Constructor

DefaultResourceHandler Constructor s3pi library documentation
Populate the AResourceHandler Dictionary.

"*" is used to inform WrapperDealer this will happily wrap any resource.

Namespace: s3pi.DefaultResource
Assembly: s3pi.DefaultResource (in s3pi.DefaultResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public DefaultResourceHandler()
public DefaultResourceHandler()
Public Sub New
Public Sub New
public:
DefaultResourceHandler()
public:
DefaultResourceHandler()
See Also
DefaultResourceHandler Class
DefaultResourceHandler Members
s3pi.DefaultResource Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


s3pi.Extensions Namespace

s3pi.Extensions Namespace s3pi library documentation
Classes
 | Class | Description
Public class | ExtList | Provides a look-up from resource type to resource "tag" and file extension. The collection is read-only.
Structures
 | Structure | Description
Public structure | TGIN | A structure to manage conversion from AResourceKey to the standardised Sims3 resource export file name format.

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ExtList Class

ExtList Class s3pi library documentation
Provides a look-up from resource type to resource "tag" and file extension. The collection is read-only.
Inheritance Hierarchy
Online System Object
Online System.Collections.Generic Dictionary Online String, Online List Online String
s3pi.Extensions ExtList

Namespace: s3pi.Extensions
Assembly: s3pi.Extensions (in s3pi.Extensions.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public class ExtList : Dictionary<string, List<string>>
public class ExtList : Dictionary<string, List<string>>
Public Class ExtList
    Inherits Dictionary(Of String, List(Of String))
Public Class ExtList
    Inherits Dictionary(Of String, List(Of String))
public ref class ExtList : public Dictionary<String^, List<String^>^>
public ref class ExtList : public Dictionary<String^, List<String^>^>
See Also
ExtList Members
s3pi.Extensions Namespace
s3pi.Extensions TGIN
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ExtList Members

ExtList Members s3pi library documentation

The ExtList type exposes the following members.
Properties
 | Name | Description
 | Ext | A look-up from resource type to resource "tag" and file extension. The collection is read-only.
Public property | Item String | Gets or sets the value associated with the specified key.
Public property | Item UInt32 | Gets or sets the value associated with the specified key.
Back to Top
See Also
ExtList Class
s3pi.Extensions Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ExtList Properties

ExtList Properties s3pi library documentation
The ExtList type exposes the following members.
Properties
 | Name | Description
 | Ext | A look-up from resource type to resource "tag" and file extension. The collection is read-only.
Public property | Item String | Gets or sets the value associated with the specified key.
Public property | Item UInt32 | Gets or sets the value associated with the specified key.
Back to Top
See Also
ExtList Class
s3pi.Extensions Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ExtList.Ext Property

ExtList Ext Property s3pi library documentation
A look-up from resource type to resource "tag" and file extension. The collection is read-only.

Namespace: s3pi.Extensions
Assembly: s3pi.Extensions (in s3pi.Extensions.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static ExtList Ext { get; }
public static ExtList Ext { get; }
Public Shared ReadOnly Property Ext As ExtList
    Get
Public Shared ReadOnly Property Ext As ExtList
    Get
public:
static property ExtList^ Ext {
    ExtList^ get ();
}
public:
static property ExtList^ Ext {
    ExtList^ get ();
}
Property Value
Type: ExtList
See Also
ExtList Class
ExtList Members
s3pi.Extensions Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ExtList.Item Property

ExtList Item Property s3pi library documentation
Overload List
 | Name | Description
Public property | Item String | Gets or sets the value associated with the specified key.
Public property | Item UInt32 | Gets or sets the value associated with the specified key.
Back to Top
See Also
ExtList Class
ExtList Members
s3pi.Extensions Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ExtList.Item Property (String)

ExtList Item Property (String) s3pi library documentation
Gets or sets the value associated with the specified key.

Namespace: s3pi.Extensions
Assembly: s3pi.Extensions (in s3pi.Extensions.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public List<string> this[
    string key
] { get; set; }
public List<string> this[
    string key
] { get; set; }
Public Default Property Item (
    key As String
) As List(Of String)
    Get
    Set
Public Default Property Item (
    key As String
) As List(Of String)
    Get
    Set
public:
property List<String^>^ default[String^ key] {
    List<String^>^ get (String^ key);
    void set (String^ key, List<String^>^ value);
}
public:
property List<String^>^ default[String^ key] {
    List<String^>^ get (String^ key);
    void set (String^ key, List<String^>^ value);
}
Parameters
key
Type:   Online System String
The key of the value to get or set.
Return Value
Type:   Online List    Online String
The value associated with the specified key.
            If the specified key is not found, returns a default value.
Exceptions
Exception | Condition
Online System ArgumentNullException | key is null.
Online System InvalidOperationException | An attempt was made to set a value.
See Also
ExtList Class
ExtList Members
Item Overload
s3pi.Extensions Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ExtList.Item Property (UInt32)

ExtList Item Property (UInt32) s3pi library documentation
Gets or sets the value associated with the specified key.

Namespace: s3pi.Extensions
Assembly: s3pi.Extensions (in s3pi.Extensions.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public List<string> this[
    uint key
] { get; }
public List<string> this[
    uint key
] { get; }
Public ReadOnly Default Property Item (
    key As UInteger
) As List(Of String)
    Get
Public ReadOnly Default Property Item (
    key As UInteger
) As List(Of String)
    Get
public:
property List<String^>^ default[unsigned int key] {
    List<String^>^ get (unsigned int key);
}
public:
property List<String^>^ default[unsigned int key] {
    List<String^>^ get (unsigned int key);
}
Parameters
key
Type:   Online System UInt32
The key of the value to get or set.
Return Value
Type:   Online List    Online String
The value associated with the specified key.
            If the specified key is not found, returns a default value.
Exceptions
Exception | Condition
Online System ArgumentNullException | key is null.
See Also
ExtList Class
ExtList Members
Item Overload
s3pi.Extensions Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIN Structure

TGIN Structure s3pi library documentation
A structure to manage conversion from AResourceKey to the standardised Sims3 resource export file name format.

Namespace: s3pi.Extensions
Assembly: s3pi.Extensions (in s3pi.Extensions.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[SerializableAttribute]
public struct TGIN
[SerializableAttribute]
public struct TGIN
<SerializableAttribute>
Public Structure TGIN
<SerializableAttribute>
Public Structure TGIN
[SerializableAttribute]
public value class TGIN
[SerializableAttribute]
public value class TGIN
See Also
TGIN Members
s3pi.Extensions Namespace
s3pi.Extensions ExtList
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIN Members

TGIN Members s3pi library documentation

The TGIN type exposes the following members.
Constructors
 | Name | Description
Public method | TGIN | Instantiate a new TGIN based on the IResourceKey and name.
Back to Top
Methods
 | Name | Description
Public method | ToString | Returns a Online String in the standardised Sims3 resource export file name format equivalent to this instance. (Overrides Online ValueType ToString .)
Back to Top
Operators
Name | Description
(String to TGIN) | Casts a Online String to a TGIN. The string value is presumed to be in the standardised Sims3 resource export file name format.
(AResourceKey to TGIN) | Cast an AResourceKey value to a TGIN.
(TGIN to AResourceKey) | Cast a TGIN to an AResourceKey value.
(TGIN to String) | Casts a TGIN to a Online String in the standardised Sims3 resource export file name format.
Back to Top
Fields
 | Name | Description
Public field | ResGroup | The Resource Group represented by this instance.
Public field | ResInstance | The Resource Instance ID represented by this instance.
Public field | ResName | The Resource Name (from the package name map, based on the IID) represented by this instance.
Public field | ResType | The Resource Type represented by this instance.
Back to Top
See Also
TGIN Structure
s3pi.Extensions Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIN Constructor

TGIN Constructor s3pi library documentation
Instantiate a new TGIN based on the IResourceKey and name.

Namespace: s3pi.Extensions
Assembly: s3pi.Extensions (in s3pi.Extensions.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public TGIN(
    IResourceKey rk,
    string name
)
public TGIN(
    IResourceKey rk,
    string name
)
Public Sub New (
    rk As IResourceKey,
    name As String
)
Public Sub New (
    rk As IResourceKey,
    name As String
)
public:
TGIN(
    IResourceKey^ rk,
    String^ name
)
public:
TGIN(
    IResourceKey^ rk,
    String^ name
)
Parameters
rk
Type: s3pi.Interfaces IResourceKey
An IResourceKey.
name
Type:   Online System String
A   Online String, the name of the resource.
See Also
TGIN Structure
TGIN Members
s3pi.Extensions Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIN Fields

TGIN Fields s3pi library documentation
The TGIN type exposes the following members.
Fields
 | Name | Description
Public field | ResGroup | The Resource Group represented by this instance.
Public field | ResInstance | The Resource Instance ID represented by this instance.
Public field | ResName | The Resource Name (from the package name map, based on the IID) represented by this instance.
Public field | ResType | The Resource Type represented by this instance.
Back to Top
See Also
TGIN Structure
s3pi.Extensions Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIN.ResGroup Field

TGIN ResGroup Field s3pi library documentation
The Resource Group represented by this instance.

Namespace: s3pi.Extensions
Assembly: s3pi.Extensions (in s3pi.Extensions.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public uint ResGroup
public uint ResGroup
Public ResGroup As UInteger
Public ResGroup As UInteger
public:
unsigned int ResGroup
public:
unsigned int ResGroup
Field Value
Type:   Online UInt32
See Also
TGIN Structure
TGIN Members
s3pi.Extensions Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIN.ResInstance Field

TGIN ResInstance Field s3pi library documentation
The Resource Instance ID represented by this instance.

Namespace: s3pi.Extensions
Assembly: s3pi.Extensions (in s3pi.Extensions.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public ulong ResInstance
public ulong ResInstance
Public ResInstance As ULong
Public ResInstance As ULong
public:
unsigned long long ResInstance
public:
unsigned long long ResInstance
Field Value
Type:   Online UInt64
See Also
TGIN Structure
TGIN Members
s3pi.Extensions Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIN.ResName Field

TGIN ResName Field s3pi library documentation
The Resource Name (from the package name map, based on the IID) represented by this instance.

Namespace: s3pi.Extensions
Assembly: s3pi.Extensions (in s3pi.Extensions.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public string ResName
public string ResName
Public ResName As String
Public ResName As String
public:
String^ ResName
public:
String^ ResName
Field Value
Type:   Online String
See Also
TGIN Structure
TGIN Members
s3pi.Extensions Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIN.ResType Field

TGIN ResType Field s3pi library documentation
The Resource Type represented by this instance.

Namespace: s3pi.Extensions
Assembly: s3pi.Extensions (in s3pi.Extensions.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public uint ResType
public uint ResType
Public ResType As UInteger
Public ResType As UInteger
public:
unsigned int ResType
public:
unsigned int ResType
Field Value
Type:   Online UInt32
See Also
TGIN Structure
TGIN Members
s3pi.Extensions Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIN Methods

TGIN Methods s3pi library documentation
The TGIN type exposes the following members.
Methods
 | Name | Description
Public method | ToString | Returns a Online String in the standardised Sims3 resource export file name format equivalent to this instance. (Overrides Online ValueType ToString .)
Back to Top
See Also
TGIN Structure
s3pi.Extensions Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIN.ToString Method

TGIN ToString Method s3pi library documentation
Returns a Online String in the standardised Sims3 resource export file name format equivalent to this instance.

Namespace: s3pi.Extensions
Assembly: s3pi.Extensions (in s3pi.Extensions.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override string ToString()
public override string ToString()
Public Overrides Function ToString As String
Public Overrides Function ToString As String
public:
virtual String^ ToString() override
public:
virtual String^ ToString() override
Return Value
Type:   Online String
A   Online String in the standardised Sims3 resource export file name format.
See Also
TGIN Structure
TGIN Members
s3pi.Extensions Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIN Type Conversions

TGIN Type Conversions s3pi library documentation
Operators
Name | Description
(String to TGIN) | Casts a Online String to a TGIN. The string value is presumed to be in the standardised Sims3 resource export file name format.
(AResourceKey to TGIN) | Cast an AResourceKey value to a TGIN.
(TGIN to AResourceKey) | Cast a TGIN to an AResourceKey value.
(TGIN to String) | Casts a TGIN to a Online String in the standardised Sims3 resource export file name format.
Back to Top
See Also
TGIN Structure
s3pi.Extensions Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIN Implicit Conversion Operators

TGIN Conversion Operators s3pi library documentation
Overload List
Name | Description
(String to TGIN) | Casts a Online String to a TGIN. The string value is presumed to be in the standardised Sims3 resource export file name format.
(AResourceKey to TGIN) | Cast an AResourceKey value to a TGIN.
(TGIN to AResourceKey) | Cast a TGIN to an AResourceKey value.
(TGIN to String) | Casts a TGIN to a Online String in the standardised Sims3 resource export file name format.
Back to Top
See Also
TGIN Structure
TGIN Members
s3pi.Extensions Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIN Implicit Conversion (String to TGIN)

TGIN Conversion (String to TGIN) s3pi library documentation
Casts a Online String to a TGIN.

The string value is presumed to be in the standardised Sims3 resource export file name format.

Namespace: s3pi.Extensions
Assembly: s3pi.Extensions (in s3pi.Extensions.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static implicit operator TGIN (
    string value
)
public static implicit operator TGIN (
    string value
)
Public Shared Widening Operator CType (
    value As String
) As TGIN
Public Shared Widening Operator CType (
    value As String
) As TGIN
static implicit operator TGIN (
    String^ value
)
static implicit operator TGIN (
    String^ value
)
Parameters
value
Type:   Online System String
A string value is presumed to be in the standardised
            Sims3 resource export file name format.
Return Value
Type: TGIN
The equivalent TGIN value.
See Also
TGIN Structure
TGIN Members
  Overload
s3pi.Extensions Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIN Implicit Conversion (AResourceKey to TGIN)

TGIN Conversion (AResourceKey to TGIN) s3pi library documentation
Cast an AResourceKey value to a TGIN.

Namespace: s3pi.Extensions
Assembly: s3pi.Extensions (in s3pi.Extensions.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static implicit operator TGIN (
    AResourceKey value
)
public static implicit operator TGIN (
    AResourceKey value
)
Public Shared Widening Operator CType (
    value As AResourceKey
) As TGIN
Public Shared Widening Operator CType (
    value As AResourceKey
) As TGIN
static implicit operator TGIN (
    AResourceKey^ value
)
static implicit operator TGIN (
    AResourceKey^ value
)
Parameters
value
Type: s3pi.Interfaces AResourceKey
An AResourceKey value.
Return Value
Type: TGIN
The equivalent TGIN (with no ResName).
See Also
TGIN Structure
TGIN Members
  Overload
s3pi.Extensions Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIN Implicit Conversion (TGIN to AResourceKey)

TGIN Conversion (TGIN to AResourceKey) s3pi library documentation
Cast a TGIN to an AResourceKey value.

Namespace: s3pi.Extensions
Assembly: s3pi.Extensions (in s3pi.Extensions.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static implicit operator AResourceKey (
    TGIN value
)
public static implicit operator AResourceKey (
    TGIN value
)
Public Shared Widening Operator CType (
    value As TGIN
) As AResourceKey
Public Shared Widening Operator CType (
    value As TGIN
) As AResourceKey
static implicit operator AResourceKey^ (
    TGIN value
)
static implicit operator AResourceKey^ (
    TGIN value
)
Parameters
value
Type: s3pi.Extensions TGIN
A TGIN.
Return Value
Type: AResourceKey
The equivalent AResourceKey value.
See Also
TGIN Structure
TGIN Members
  Overload
s3pi.Extensions Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIN Implicit Conversion (TGIN to String)

TGIN Conversion (TGIN to String) s3pi library documentation
Casts a TGIN to a Online String in the standardised Sims3 resource export file name format.

Namespace: s3pi.Extensions
Assembly: s3pi.Extensions (in s3pi.Extensions.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static implicit operator string (
    TGIN value
)
public static implicit operator string (
    TGIN value
)
Public Shared Widening Operator CType (
    value As TGIN
) As String
Public Shared Widening Operator CType (
    value As TGIN
) As String
static implicit operator String^ (
    TGIN value
)
static implicit operator String^ (
    TGIN value
)
Parameters
value
Type: s3pi.Extensions TGIN
A TGIN.
Return Value
Type:   Online String
A   Online String in the standardised Sims3 resource export file name format.
See Also
TGIN Structure
TGIN Members
  Overload
s3pi.Extensions Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


s3pi.Filetable Namespace

s3pi.Filetable Namespace s3pi library documentation
When using the s3pi.Filetable assembly, ensure GameFolders.xml resides in the same folder as the assembly at run time.
Classes
 | Class | Description
Public class | FileTable | Support providing a view over user ("custom") content, vendor content and the current package.
Public class | Game | Represents a known game object.
Public class | GameFolders | Provides access to the XML definition of game folder default locations and the resultant list of known games.
Public class | GameFoldersForm | Provides a common control for enabling editing of the install locations of game folders.
Public class | PackageTag | Package represents the <Package/> tag.
Public class | PathPackageTuple | Contains the path of a IPackage and the IPackage reference itself.
Public class | RK | A minimal implementation of AResourceKey providing some basic assistance methods. The CompareTo(IResourceKey) routine is geared to how one resource finds another to the best of our understanding...
Public class | SpecificIndexEntry | This class provides additional helper methods extending the s3pi IResourceIndexEntry class primarily. It binds an IResourceIndexEntry to the package it came from, using PathPackageTuple.
Public class | SpecificResource | SpecificResource extends SpecificIndexEntry to provide methods relating to IResource manipulation.

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


FileTable Class

FileTable Class s3pi library documentation
Support providing a view over user ("custom") content, vendor content and the current package.
Inheritance Hierarchy
Online System Object
s3pi.Filetable FileTable

Namespace: s3pi.Filetable
Assembly: s3pi.Filetable (in s3pi.Filetable.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static class FileTable
public static class FileTable
Public NotInheritable Class FileTable
Public NotInheritable Class FileTable
public ref class FileTable abstract sealed
public ref class FileTable abstract sealed
See Also
FileTable Members
s3pi.Filetable Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


FileTable Members

FileTable Members s3pi library documentation

The FileTable type exposes the following members.
Methods
Name | Description
IsEqual | Determine the equality of two lists of PathPackageTuples.
Reset | Clears file table references to packages. Note that this does not close the current package if it had been referenced.
Back to Top
Properties
Name | Description
Current | The current PathPackageTuple. When not null, include in the FileTable view.
CustomContent | A list of all the PathPackageTuples in CustomContentPath.
CustomContentEnabled | When true, packages in CustomContentPath will be included in the FileTable view.
CustomContentPath | Property containing the root folder for user content; searched recursively for files with a ".package" extension.
DDSImages | List of DDS image PathPackageTuples comprising the current package (if set), custom content (if enabled) and vendor content.
FileTableEnabled | When true, vendor packages will be included in the FileTable view (subject to EPsDisabled).
GameContent | List of primary game content PathPackageTuples comprising the current package (if set), custom content (if enabled) and vendor content; excludes vendor DDS images (see DDSImages) and thumbnail images (see Thumbnails).
IsOK | Indicates that there is data available in the FileTable
Thumbnails | List of thumnail image PathPackageTuples, comprising the current package (if set), custom content (if enabled) and vendor content.
Back to Top
See Also
FileTable Class
s3pi.Filetable Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


FileTable Methods

FileTable Methods s3pi library documentation
The FileTable type exposes the following members.
Methods
Name | Description
IsEqual | Determine the equality of two lists of PathPackageTuples.
Reset | Clears file table references to packages. Note that this does not close the current package if it had been referenced.
Back to Top
See Also
FileTable Class
s3pi.Filetable Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


FileTable.IsEqual Method

FileTable IsEqual Method s3pi library documentation
Determine the equality of two lists of PathPackageTuples.

Namespace: s3pi.Filetable
Assembly: s3pi.Filetable (in s3pi.Filetable.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static bool IsEqual(
    List<PathPackageTuple> ppt1,
    List<PathPackageTuple> ppt2
)
public static bool IsEqual(
    List<PathPackageTuple> ppt1,
    List<PathPackageTuple> ppt2
)
Public Shared Function IsEqual (
    ppt1 As List(Of PathPackageTuple),
    ppt2 As List(Of PathPackageTuple)
) As Boolean
Public Shared Function IsEqual (
    ppt1 As List(Of PathPackageTuple),
    ppt2 As List(Of PathPackageTuple)
) As Boolean
public:
static bool IsEqual(
    List<PathPackageTuple^>^ ppt1,
    List<PathPackageTuple^>^ ppt2
)
public:
static bool IsEqual(
    List<PathPackageTuple^>^ ppt1,
    List<PathPackageTuple^>^ ppt2
)
Parameters
ppt1
Type:   Online System.Collections.Generic List  PathPackageTuple
The first list of PathPackageTuples.
ppt2
Type:   Online System.Collections.Generic List  PathPackageTuple
The second list of PathPackageTuples.
Return Value
Type:   Online Boolean
The equality of ppt1 and ppt2.
See Also
FileTable Class
FileTable Members
s3pi.Filetable Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


FileTable.Reset Method

FileTable Reset Method s3pi library documentation
Clears file table references to packages.
Note that this does not close the current package if it had been referenced.

Namespace: s3pi.Filetable
Assembly: s3pi.Filetable (in s3pi.Filetable.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static void Reset()
public static void Reset()
Public Shared Sub Reset
Public Shared Sub Reset
public:
static void Reset()
public:
static void Reset()
See Also
FileTable Class
FileTable Members
s3pi.Filetable Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


FileTable Properties

FileTable Properties s3pi library documentation
The FileTable type exposes the following members.
Properties
Name | Description
Current | The current PathPackageTuple. When not null, include in the FileTable view.
CustomContent | A list of all the PathPackageTuples in CustomContentPath.
CustomContentEnabled | When true, packages in CustomContentPath will be included in the FileTable view.
CustomContentPath | Property containing the root folder for user content; searched recursively for files with a ".package" extension.
DDSImages | List of DDS image PathPackageTuples comprising the current package (if set), custom content (if enabled) and vendor content.
FileTableEnabled | When true, vendor packages will be included in the FileTable view (subject to EPsDisabled).
GameContent | List of primary game content PathPackageTuples comprising the current package (if set), custom content (if enabled) and vendor content; excludes vendor DDS images (see DDSImages) and thumbnail images (see Thumbnails).
IsOK | Indicates that there is data available in the FileTable
Thumbnails | List of thumnail image PathPackageTuples, comprising the current package (if set), custom content (if enabled) and vendor content.
Back to Top
See Also
FileTable Class
s3pi.Filetable Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


FileTable.Current Property

FileTable Current Property s3pi library documentation
The current PathPackageTuple. When not null, include in the FileTable view.

Namespace: s3pi.Filetable
Assembly: s3pi.Filetable (in s3pi.Filetable.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static PathPackageTuple Current { get; set; }
public static PathPackageTuple Current { get; set; }
Public Shared Property Current As PathPackageTuple
    Get
    Set
Public Shared Property Current As PathPackageTuple
    Get
    Set
public:
static property PathPackageTuple^ Current {
    PathPackageTuple^ get ();
    void set (PathPackageTuple^ value);
}
public:
static property PathPackageTuple^ Current {
    PathPackageTuple^ get ();
    void set (PathPackageTuple^ value);
}
Property Value
Type: PathPackageTuple
See Also
FileTable Class
FileTable Members
s3pi.Filetable Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


FileTable.CustomContent Property

FileTable CustomContent Property s3pi library documentation
A list of all the PathPackageTuples in CustomContentPath.

Namespace: s3pi.Filetable
Assembly: s3pi.Filetable (in s3pi.Filetable.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static List<PathPackageTuple> CustomContent { get; }
public static List<PathPackageTuple> CustomContent { get; }
Public Shared ReadOnly Property CustomContent As List(Of PathPackageTuple)
    Get
Public Shared ReadOnly Property CustomContent As List(Of PathPackageTuple)
    Get
public:
static property List<PathPackageTuple^>^ CustomContent {
    List<PathPackageTuple^>^ get ();
}
public:
static property List<PathPackageTuple^>^ CustomContent {
    List<PathPackageTuple^>^ get ();
}
Property Value
Type:   Online List  PathPackageTuple
See Also
FileTable Class
FileTable Members
s3pi.Filetable Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


FileTable.CustomContentEnabled Property

FileTable CustomContentEnabled Property s3pi library documentation
When true, packages in CustomContentPath will be included in the FileTable view.

Namespace: s3pi.Filetable
Assembly: s3pi.Filetable (in s3pi.Filetable.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static bool CustomContentEnabled { get; set; }
public static bool CustomContentEnabled { get; set; }
Public Shared Property CustomContentEnabled As Boolean
    Get
    Set
Public Shared Property CustomContentEnabled As Boolean
    Get
    Set
public:
static property bool CustomContentEnabled {
    bool get ();
    void set (bool value);
}
public:
static property bool CustomContentEnabled {
    bool get ();
    void set (bool value);
}
Property Value
Type:   Online Boolean
See Also
FileTable Class
FileTable Members
s3pi.Filetable Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


FileTable.CustomContentPath Property

FileTable CustomContentPath Property s3pi library documentation
Property containing the root folder for user content; searched recursively for files with a ".package" extension.

Namespace: s3pi.Filetable
Assembly: s3pi.Filetable (in s3pi.Filetable.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static string CustomContentPath { get; set; }
public static string CustomContentPath { get; set; }
Public Shared Property CustomContentPath As String
    Get
    Set
Public Shared Property CustomContentPath As String
    Get
    Set
public:
static property String^ CustomContentPath {
    String^ get ();
    void set (String^ value);
}
public:
static property String^ CustomContentPath {
    String^ get ();
    void set (String^ value);
}
Property Value
Type:   Online String
See Also
FileTable Class
FileTable Members
s3pi.Filetable Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


FileTable.DDSImages Property

FileTable DDSImages Property s3pi library documentation
List of DDS image PathPackageTuples comprising the current package (if set), custom content (if enabled) and vendor content.

Namespace: s3pi.Filetable
Assembly: s3pi.Filetable (in s3pi.Filetable.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static List<PathPackageTuple> DDSImages { get; }
public static List<PathPackageTuple> DDSImages { get; }
Public Shared ReadOnly Property DDSImages As List(Of PathPackageTuple)
    Get
Public Shared ReadOnly Property DDSImages As List(Of PathPackageTuple)
    Get
public:
static property List<PathPackageTuple^>^ DDSImages {
    List<PathPackageTuple^>^ get ();
}
public:
static property List<PathPackageTuple^>^ DDSImages {
    List<PathPackageTuple^>^ get ();
}
Property Value
Type:   Online List  PathPackageTuple
See Also
FileTable Class
FileTable Members
s3pi.Filetable Namespace
FileTable GameContent
FileTable Thumbnails
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


FileTable.FileTableEnabled Property

FileTable FileTableEnabled Property s3pi library documentation
When true, vendor packages will be included in the FileTable view (subject to EPsDisabled).

Namespace: s3pi.Filetable
Assembly: s3pi.Filetable (in s3pi.Filetable.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static bool FileTableEnabled { get; set; }
public static bool FileTableEnabled { get; set; }
Public Shared Property FileTableEnabled As Boolean
    Get
    Set
Public Shared Property FileTableEnabled As Boolean
    Get
    Set
public:
static property bool FileTableEnabled {
    bool get ();
    void set (bool value);
}
public:
static property bool FileTableEnabled {
    bool get ();
    void set (bool value);
}
Property Value
Type:   Online Boolean
See Also
FileTable Class
FileTable Members
s3pi.Filetable Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


FileTable.GameContent Property

FileTable GameContent Property s3pi library documentation
List of primary game content PathPackageTuples comprising the current package (if set), custom content (if enabled) and vendor content; excludes vendor DDS images (see DDSImages) and thumbnail images (see Thumbnails).

Namespace: s3pi.Filetable
Assembly: s3pi.Filetable (in s3pi.Filetable.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static List<PathPackageTuple> GameContent { get; }
public static List<PathPackageTuple> GameContent { get; }
Public Shared ReadOnly Property GameContent As List(Of PathPackageTuple)
    Get
Public Shared ReadOnly Property GameContent As List(Of PathPackageTuple)
    Get
public:
static property List<PathPackageTuple^>^ GameContent {
    List<PathPackageTuple^>^ get ();
}
public:
static property List<PathPackageTuple^>^ GameContent {
    List<PathPackageTuple^>^ get ();
}
Property Value
Type:   Online List  PathPackageTuple
See Also
FileTable Class
FileTable Members
s3pi.Filetable Namespace
FileTable DDSImages
FileTable Thumbnails
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


FileTable.IsOK Property

FileTable IsOK Property s3pi library documentation
Indicates that there is data available in the FileTable

Namespace: s3pi.Filetable
Assembly: s3pi.Filetable (in s3pi.Filetable.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static bool IsOK { get; }
public static bool IsOK { get; }
Public Shared ReadOnly Property IsOK As Boolean
    Get
Public Shared ReadOnly Property IsOK As Boolean
    Get
public:
static property bool IsOK {
    bool get ();
}
public:
static property bool IsOK {
    bool get ();
}
Property Value
Type:   Online Boolean
See Also
FileTable Class
FileTable Members
s3pi.Filetable Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


FileTable.Thumbnails Property

FileTable Thumbnails Property s3pi library documentation
List of thumnail image PathPackageTuples, comprising the current package (if set), custom content (if enabled) and vendor content.

Namespace: s3pi.Filetable
Assembly: s3pi.Filetable (in s3pi.Filetable.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static List<PathPackageTuple> Thumbnails { get; }
public static List<PathPackageTuple> Thumbnails { get; }
Public Shared ReadOnly Property Thumbnails As List(Of PathPackageTuple)
    Get
Public Shared ReadOnly Property Thumbnails As List(Of PathPackageTuple)
    Get
public:
static property List<PathPackageTuple^>^ Thumbnails {
    List<PathPackageTuple^>^ get ();
}
public:
static property List<PathPackageTuple^>^ Thumbnails {
    List<PathPackageTuple^>^ get ();
}
Property Value
Type:   Online List  PathPackageTuple
See Also
FileTable Class
FileTable Members
s3pi.Filetable Namespace
FileTable GameContent
FileTable DDSImages
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Game Class

Game Class s3pi library documentation
Represents a known game object.
Inheritance Hierarchy
Online System Object
s3pi.Filetable Game

Namespace: s3pi.Filetable
Assembly: s3pi.Filetable (in s3pi.Filetable.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public class Game
public class Game
Public Class Game
Public Class Game
public ref class Game
public ref class Game
Remarks
GameContent, DDSImages and Thumbnails all return enumerations of paths based on
            EA's known behaviour for distributing EPs and SPs.  If this changes to a method not supported (see below), the
            <ExtraPackage> tag for the <game> can be used - see GameFolders remarks for details.

            For GameContent and DDSImages, one of the following values is returned:

  • If no UserInstallDir is known, return only the <ExtraPackage> paths.
  • Otherwise, return the <ExtraPackage> paths, delta packages and the appropriate fullbuild (0 for GameContent; 2 for DDSImages).

            Delta packages are found under the UserInstallDir + "GameData\Shared\DeltaPackages".
            This is searched for each sub-folder named "pXX" (where "XX" is the deltabuild number - assumed for the timebeing to have 32 as the highest value).
            Within each sub-folder, the package named "Deltabuild_pXX.package" is added to the list, if found.

            Finally, under the UserInstallDir + "GameData\Shared\Packages" folder:

  • For games other than the basegame, any packages matching "FullBuild*.package" are added to the list.
  • For the basegame, DeltaBuildX.package and FullBuildX.package (where X is 0 for GameContent; 2 for DDSImages) are added to the list.

            For Thumbnails, one of the following values is returned:

  • If no UserInstallDir is known, return only the <ExtraPackage> paths.
  • Otherwise, return the <ExtraPackage> paths and any packages matching "*Thumbnails.package" under UserInstallDir + "Thumbnails".
See Also
Game Members
s3pi.Filetable Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Game Members

Game Members s3pi library documentation

The Game type exposes the following members.
Constructors
 | Name | Description
Public method | Game | Create a game object from the supplied Online XElement.
Back to Top
Properties
 | Name | Description
Public property | ConfigApplicationPath | Returns the ConfigApplicationPath Windows registry value for this EP/SP (or null).
Public property | DDSImages | All PackageTags for this Game used to contain DDS images.
Public property | DefaultInstallDir | The default installation location, relative to the determined root folder.
Public property | Enabled | The IsEnabled(Game) state for this Game.
Public property | GameContent | All PackageTags for this Game used to contain game content (i.e. excluding DDS images and thumbnail images).
Public property | GUID | Where known, the GUID for an EP/SP, used in the Windows Registry.
Public property | InstallDir | The full path to where we think the EP/SP is installed unless overriden.
Public property | Longname | The full name for the game.
Public property | Name | The name by which the game is known for settings purposes.
Public property | Priority | The Priority for the Game. Defaults to RGVersion if not specified.
Public property | RGVersion | The ResourceGroup Version number for the Game.
Public property | Suppressed | Whether the supplied XML indicates this game is suppressed.
Public property | Thumbnails | All PackageTags for this Game used to contain Thumbnail images.
Public property | UserInstallDir | The InstallDir(Game) for this Game.
Back to Top
See Also
Game Class
s3pi.Filetable Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Game Constructor

Game Constructor s3pi library documentation
Create a game object from the supplied Online XElement.

Namespace: s3pi.Filetable
Assembly: s3pi.Filetable (in s3pi.Filetable.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public Game(
    XElement game
)
public Game(
    XElement game
)
Public Sub New (
    game As XElement
)
Public Sub New (
    game As XElement
)
public:
Game(
    XElement^ game
)
public:
Game(
    XElement^ game
)
Parameters
game
Type:   Online System.Xml.Linq XElement
An   Online XElement describing the game.
See Also
Game Class
Game Members
s3pi.Filetable Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Game Properties

Game Properties s3pi library documentation
The Game type exposes the following members.
Properties
 | Name | Description
Public property | ConfigApplicationPath | Returns the ConfigApplicationPath Windows registry value for this EP/SP (or null).
Public property | DDSImages | All PackageTags for this Game used to contain DDS images.
Public property | DefaultInstallDir | The default installation location, relative to the determined root folder.
Public property | Enabled | The IsEnabled(Game) state for this Game.
Public property | GameContent | All PackageTags for this Game used to contain game content (i.e. excluding DDS images and thumbnail images).
Public property | GUID | Where known, the GUID for an EP/SP, used in the Windows Registry.
Public property | InstallDir | The full path to where we think the EP/SP is installed unless overriden.
Public property | Longname | The full name for the game.
Public property | Name | The name by which the game is known for settings purposes.
Public property | Priority | The Priority for the Game. Defaults to RGVersion if not specified.
Public property | RGVersion | The ResourceGroup Version number for the Game.
Public property | Suppressed | Whether the supplied XML indicates this game is suppressed.
Public property | Thumbnails | All PackageTags for this Game used to contain Thumbnail images.
Public property | UserInstallDir | The InstallDir(Game) for this Game.
Back to Top
See Also
Game Class
s3pi.Filetable Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Game.ConfigApplicationPath Property

Game ConfigApplicationPath Property s3pi library documentation
Returns the ConfigApplicationPath Windows registry value for this EP/SP (or null).

Namespace: s3pi.Filetable
Assembly: s3pi.Filetable (in s3pi.Filetable.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public string ConfigApplicationPath { get; }
public string ConfigApplicationPath { get; }
Public ReadOnly Property ConfigApplicationPath As String
    Get
Public ReadOnly Property ConfigApplicationPath As String
    Get
public:
property String^ ConfigApplicationPath {
    String^ get ();
}
public:
property String^ ConfigApplicationPath {
    String^ get ();
}
Property Value
Type:   Online String
See Also
Game Class
Game Members
s3pi.Filetable Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Game.DDSImages Property

Game DDSImages Property s3pi library documentation
All PackageTags for this Game used to contain DDS images.

Namespace: s3pi.Filetable
Assembly: s3pi.Filetable (in s3pi.Filetable.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public IEnumerable<PackageTag> DDSImages { get; }
public IEnumerable<PackageTag> DDSImages { get; }
Public ReadOnly Property DDSImages As IEnumerable(Of PackageTag)
    Get
Public ReadOnly Property DDSImages As IEnumerable(Of PackageTag)
    Get
public:
property IEnumerable<PackageTag^>^ DDSImages {
    IEnumerable<PackageTag^>^ get ();
}
public:
property IEnumerable<PackageTag^>^ DDSImages {
    IEnumerable<PackageTag^>^ get ();
}
Property Value
Type:   Online IEnumerable  PackageTag
See Also
Game Class
Game Members
s3pi.Filetable Namespace
Game DDSImages
Game Thumbnails
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Game.DefaultInstallDir Property

Game DefaultInstallDir Property s3pi library documentation
The default installation location, relative to the determined root folder.

Namespace: s3pi.Filetable
Assembly: s3pi.Filetable (in s3pi.Filetable.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public string DefaultInstallDir { get; }
public string DefaultInstallDir { get; }
Public ReadOnly Property DefaultInstallDir As String
    Get
Public ReadOnly Property DefaultInstallDir As String
    Get
public:
property String^ DefaultInstallDir {
    String^ get ();
}
public:
property String^ DefaultInstallDir {
    String^ get ();
}
Property Value
Type:   Online String
Remarks
See GameFolders remarks for details of how "root folder" is determined.
See Also
Game Class
Game Members
s3pi.Filetable Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Game.Enabled Property

Game Enabled Property s3pi library documentation
The IsEnabled(Game) state for this Game.

Namespace: s3pi.Filetable
Assembly: s3pi.Filetable (in s3pi.Filetable.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public bool Enabled { get; }
public bool Enabled { get; }
Public ReadOnly Property Enabled As Boolean
    Get
Public ReadOnly Property Enabled As Boolean
    Get
public:
property bool Enabled {
    bool get ();
}
public:
property bool Enabled {
    bool get ();
}
Property Value
Type:   Online Boolean
See Also
Game Class
Game Members
s3pi.Filetable Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Game.GameContent Property

Game GameContent Property s3pi library documentation
All PackageTags for this Game used to contain game content (i.e. excluding DDS images and thumbnail images).

Namespace: s3pi.Filetable
Assembly: s3pi.Filetable (in s3pi.Filetable.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public IEnumerable<PackageTag> GameContent { get; }
public IEnumerable<PackageTag> GameContent { get; }
Public ReadOnly Property GameContent As IEnumerable(Of PackageTag)
    Get
Public ReadOnly Property GameContent As IEnumerable(Of PackageTag)
    Get
public:
property IEnumerable<PackageTag^>^ GameContent {
    IEnumerable<PackageTag^>^ get ();
}
public:
property IEnumerable<PackageTag^>^ GameContent {
    IEnumerable<PackageTag^>^ get ();
}
Property Value
Type:   Online IEnumerable  PackageTag
See Also
Game Class
Game Members
s3pi.Filetable Namespace
Game DDSImages
Game Thumbnails
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Game.GUID Property

Game GUID Property s3pi library documentation
Where known, the GUID for an EP/SP, used in the Windows Registry.

Namespace: s3pi.Filetable
Assembly: s3pi.Filetable (in s3pi.Filetable.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public string GUID { get; }
public string GUID { get; }
Public ReadOnly Property GUID As String
    Get
Public ReadOnly Property GUID As String
    Get
public:
property String^ GUID {
    String^ get ();
}
public:
property String^ GUID {
    String^ get ();
}
Property Value
Type:   Online String
Examples

            The following registry key is The Sims™ 3 High-End Loft Stuff:
            HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\GameUX\Games\{71828142-5A24-4BD0-97E7-976DA08CE6CF}
See Also
Game Class
Game Members
s3pi.Filetable Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Game.InstallDir Property

Game InstallDir Property s3pi library documentation
The full path to where we think the EP/SP is installed unless overriden.

Namespace: s3pi.Filetable
Assembly: s3pi.Filetable (in s3pi.Filetable.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public string InstallDir { get; }
public string InstallDir { get; }
Public ReadOnly Property InstallDir As String
    Get
Public ReadOnly Property InstallDir As String
    Get
public:
property String^ InstallDir {
    String^ get ();
}
public:
property String^ InstallDir {
    String^ get ();
}
Property Value
Type:   Online String
See Also
Game Class
Game Members
s3pi.Filetable Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Game.Longname Property

Game Longname Property s3pi library documentation
The full name for the game.

Namespace: s3pi.Filetable
Assembly: s3pi.Filetable (in s3pi.Filetable.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public string Longname { get; }
public string Longname { get; }
Public ReadOnly Property Longname As String
    Get
Public ReadOnly Property Longname As String
    Get
public:
property String^ Longname {
    String^ get ();
}
public:
property String^ Longname {
    String^ get ();
}
Property Value
Type:   Online String
See Also
Game Class
Game Members
s3pi.Filetable Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Game.Name Property

Game Name Property s3pi library documentation
The name by which the game is known for settings purposes.

Namespace: s3pi.Filetable
Assembly: s3pi.Filetable (in s3pi.Filetable.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public string Name { get; }
public string Name { get; }
Public ReadOnly Property Name As String
    Get
Public ReadOnly Property Name As String
    Get
public:
property String^ Name {
    String^ get ();
}
public:
property String^ Name {
    String^ get ();
}
Property Value
Type:   Online String
See Also
Game Class
Game Members
s3pi.Filetable Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Game.Priority Property

Game Priority Property s3pi library documentation
The Priority for the Game. Defaults to RGVersion if not specified.

Namespace: s3pi.Filetable
Assembly: s3pi.Filetable (in s3pi.Filetable.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public int Priority { get; }
public int Priority { get; }
Public ReadOnly Property Priority As Integer
    Get
Public ReadOnly Property Priority As Integer
    Get
public:
property int Priority {
    int get ();
}
public:
property int Priority {
    int get ();
}
Property Value
Type:   Online Int32
See Also
Game Class
Game Members
s3pi.Filetable Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Game.RGVersion Property

Game RGVersion Property s3pi library documentation
The ResourceGroup Version number for the Game.

Namespace: s3pi.Filetable
Assembly: s3pi.Filetable (in s3pi.Filetable.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public int RGVersion { get; }
public int RGVersion { get; }
Public ReadOnly Property RGVersion As Integer
    Get
Public ReadOnly Property RGVersion As Integer
    Get
public:
property int RGVersion {
    int get ();
}
public:
property int RGVersion {
    int get ();
}
Property Value
Type:   Online Int32
See Also
Game Class
Game Members
s3pi.Filetable Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Game.Suppressed Property

Game Suppressed Property s3pi library documentation
Whether the supplied XML indicates this game is suppressed.

Namespace: s3pi.Filetable
Assembly: s3pi.Filetable (in s3pi.Filetable.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public Nullable<bool> Suppressed { get; }
public Nullable<bool> Suppressed { get; }
Public ReadOnly Property Suppressed As Nullable(Of Boolean)
    Get
Public ReadOnly Property Suppressed As Nullable(Of Boolean)
    Get
public:
property Nullable<bool> Suppressed {
    Nullable<bool> get ();
}
public:
property Nullable<bool> Suppressed {
    Nullable<bool> get ();
}
Property Value
Type:   Online Nullable    Online Boolean
Remarks
The value is null if the user should not be able to disable this game.
See Also
Game Class
Game Members
s3pi.Filetable Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Game.Thumbnails Property

Game Thumbnails Property s3pi library documentation
All PackageTags for this Game used to contain Thumbnail images.

Namespace: s3pi.Filetable
Assembly: s3pi.Filetable (in s3pi.Filetable.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public IEnumerable<PackageTag> Thumbnails { get; }
public IEnumerable<PackageTag> Thumbnails { get; }
Public ReadOnly Property Thumbnails As IEnumerable(Of PackageTag)
    Get
Public ReadOnly Property Thumbnails As IEnumerable(Of PackageTag)
    Get
public:
property IEnumerable<PackageTag^>^ Thumbnails {
    IEnumerable<PackageTag^>^ get ();
}
public:
property IEnumerable<PackageTag^>^ Thumbnails {
    IEnumerable<PackageTag^>^ get ();
}
Property Value
Type:   Online IEnumerable  PackageTag
See Also
Game Class
Game Members
s3pi.Filetable Namespace
Game GameContent
Game DDSImages
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Game.UserInstallDir Property

Game UserInstallDir Property s3pi library documentation
The InstallDir(Game) for this Game.

Namespace: s3pi.Filetable
Assembly: s3pi.Filetable (in s3pi.Filetable.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public string UserInstallDir { get; }
public string UserInstallDir { get; }
Public ReadOnly Property UserInstallDir As String
    Get
Public ReadOnly Property UserInstallDir As String
    Get
public:
property String^ UserInstallDir {
    String^ get ();
}
public:
property String^ UserInstallDir {
    String^ get ();
}
Property Value
Type:   Online String
See Also
Game Class
Game Members
s3pi.Filetable Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GameFolders Class

GameFolders Class s3pi library documentation
Provides access to the XML definition of game folder default locations and the resultant list of known games.
Inheritance Hierarchy
Online System Object
s3pi.Filetable GameFolders

Namespace: s3pi.Filetable
Assembly: s3pi.Filetable (in s3pi.Filetable.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static class GameFolders
public static class GameFolders
Public NotInheritable Class GameFolders
Public NotInheritable Class GameFolders
public ref class GameFolders abstract sealed
public ref class GameFolders abstract sealed
Remarks

            When using this class - which is depended upon by s3pi.Filetable - ensure
            the file GameFolders.xml is present in the same folder as the assembly containing this class as it
            is used to specify a number of configuration values.
            These are as follows:

GameFolders.xml tag  | Description
<gamefolders>  | Root element of the file, defines the XML namespace used.
<defaultrootfolder>  | The folder to use when no <rootfolder> tag applies.
            If this value is also not found, a value of / is used.

<rootfolder> A search is performed for a matching entry based on the vendor and os attributes:

attribute | values
vendor | Online Environment .OSVersion (see Online OperatingSystem) .Platform (see Online PlatformID) is used to determine whether the vendor is MacOSX, Unix or (otherwise) Microsoft.
os | 64bit, or 32bit when the size of Online IntPtr is 4 bytes.

<game> This is a container for details about a specific Sims3 game.  It has two attributes:
attribute | values
class | baseGame (the base game itself), EP (a full expansion pack) or SP (a stuff pack). The value is not used.
rgversion | Exposed as RGVersion and used internally (e.g. to determine where delta build packages are found) as well as by the s3pi.Filetable. The value is expected to match the top five "version" bits of the ResourceGroup (hence RGVersion) of certain resources.
The following tags appear for each game:
<game> section tag | Game property | Description
<Name> | Name | The identity of the game, used for the list of EPs Disabled (see EPsDisabled).
<Longname> | Longname | A descriptive name for the section.
<DefaultInstallDir> | DefaultInstallDir | (English-language) default install folder for the game.
<Suppressed> | Suppressed | Whether the game is disabled by default; the value not-allowed means the game will always be enabled.
<ExtraPackage> |  | Optional tag to allow extra an EA content package to be added for this Game that is otherwise not found. Multiple occurrences are supported. It is expected only to be required if EA change the naming scheme and a library update has not been issued to cater for the change. This is not directly exposed but all values are prepended to GameContent, DDSImages and Thumbnails - see Game remarks for more details.

            The "root folder" for the installation is determined by:

  • finding a matching <rootfolder> tag; or
  • finding the <defaultrootfolder> tag exists and is a valid folder; or
  • using "/".

            The EA packages for a Game are found relative to the folder either specified in InstallDirs,
            or the <DefaultInstallDir> tag value for the <game> - i.e. the value returned by UserInstallDir.

See Also
GameFolders Members
s3pi.Filetable Namespace
s3pi.Filetable Game
s3pi.Filetable GameFoldersForm
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GameFolders Members

GameFolders Members s3pi library documentation

The GameFolders type exposes the following members.
Methods
Name | Description
byName | Return the Game with a Name element with the specified value.
byRGVersion | Return the Game with a RGVersion element with the specified value.
InstallDir | Return the folder where the given Game is installed.
IsEnabled | Returns whether a specified Game is enabled.
Back to Top
Properties
Name | Description
EPsDisabled | A semi-colon delimited string of EP and SP names that the user has stated should not be referenced by the vendor part of the FileTable view.
Games | The list of Games defined in the GameFolders.xml file.
InstallDirs | A semi-colon delimited string of game name / install folder pairs, internally delimited by an equals sign.
Back to Top
See Also
GameFolders Class
s3pi.Filetable Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GameFolders Methods

GameFolders Methods s3pi library documentation
The GameFolders type exposes the following members.
Methods
Name | Description
byName | Return the Game with a Name element with the specified value.
byRGVersion | Return the Game with a RGVersion element with the specified value.
InstallDir | Return the folder where the given Game is installed.
IsEnabled | Returns whether a specified Game is enabled.
Back to Top
See Also
GameFolders Class
s3pi.Filetable Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GameFolders.byName Method

GameFolders byName Method s3pi library documentation
Return the Game with a Name element with the specified value.

Namespace: s3pi.Filetable
Assembly: s3pi.Filetable (in s3pi.Filetable.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static Game byName(
    string value
)
public static Game byName(
    string value
)
Public Shared Function byName (
    value As String
) As Game
Public Shared Function byName (
    value As String
) As Game
public:
static Game^ byName(
    String^ value
)
public:
static Game^ byName(
    String^ value
)
Parameters
value
Type:   Online System String
String to match again Games' Name elements.
Return Value
Type: Game
The (first) Game with a Name element with the specified value
            or null if none found.
See Also
GameFolders Class
GameFolders Members
s3pi.Filetable Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GameFolders.byRGVersion Method

GameFolders byRGVersion Method s3pi library documentation
Return the Game with a RGVersion element with the specified value.

Namespace: s3pi.Filetable
Assembly: s3pi.Filetable (in s3pi.Filetable.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static Game byRGVersion(
    int value
)
public static Game byRGVersion(
    int value
)
Public Shared Function byRGVersion (
    value As Integer
) As Game
Public Shared Function byRGVersion (
    value As Integer
) As Game
public:
static Game^ byRGVersion(
    int value
)
public:
static Game^ byRGVersion(
    int value
)
Parameters
value
Type:   Online System Int32
Number to match again Games' RGVersion elements.
Return Value
Type: Game
The (first) Game with a RGVersion element with the specified value
            or null if none found.
See Also
GameFolders Class
GameFolders Members
s3pi.Filetable Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GameFolders.InstallDir Method

GameFolders InstallDir Method s3pi library documentation
Return the folder where the given Game is installed.

Namespace: s3pi.Filetable
Assembly: s3pi.Filetable (in s3pi.Filetable.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static string InstallDir(
    Game game
)
public static string InstallDir(
    Game game
)
Public Shared Function InstallDir (
    game As Game
) As String
Public Shared Function InstallDir (
    game As Game
) As String
public:
static String^ InstallDir(
    Game^ game
)
public:
static String^ InstallDir(
    Game^ game
)
Parameters
game
Type: s3pi.Filetable Game
Game for which to determine install folder.
Return Value
Type:   Online String
The install folder for game.
Remarks

            This will either be a user-specified location or the DefaultInstallDir
            relative to the determined root folder (see GameFolders Remarks section).

See Also
GameFolders Class
GameFolders Members
s3pi.Filetable Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GameFolders.IsEnabled Method

GameFolders IsEnabled Method s3pi library documentation
Returns whether a specified Game is enabled.

Namespace: s3pi.Filetable
Assembly: s3pi.Filetable (in s3pi.Filetable.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static bool IsEnabled(
    Game game
)
public static bool IsEnabled(
    Game game
)
Public Shared Function IsEnabled (
    game As Game
) As Boolean
Public Shared Function IsEnabled (
    game As Game
) As Boolean
public:
static bool IsEnabled(
    Game^ game
)
public:
static bool IsEnabled(
    Game^ game
)
Parameters
game
Type: s3pi.Filetable Game
The Game to query.
Return Value
Type:   Online Boolean
Whether a specified Game is enabled.
Remarks
A game is enabled if

            (a) Disabling it is disallowed;

            (b) Or no games are user-disabled (see EPsDisabled) and it is not suppressed;

            (c) Or it is not one of the user-disabled games (see EPsDisabled).
See Also
GameFolders Class
GameFolders Members
s3pi.Filetable Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GameFolders Properties

GameFolders Properties s3pi library documentation
The GameFolders type exposes the following members.
Properties
Name | Description
EPsDisabled | A semi-colon delimited string of EP and SP names that the user has stated should not be referenced by the vendor part of the FileTable view.
Games | The list of Games defined in the GameFolders.xml file.
InstallDirs | A semi-colon delimited string of game name / install folder pairs, internally delimited by an equals sign.
Back to Top
See Also
GameFolders Class
s3pi.Filetable Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GameFolders.EPsDisabled Property

GameFolders EPsDisabled Property s3pi library documentation
A semi-colon delimited string of EP and SP names that the user has stated should not be referenced by the vendor part of the FileTable view.

Namespace: s3pi.Filetable
Assembly: s3pi.Filetable (in s3pi.Filetable.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static string EPsDisabled { get; set; }
public static string EPsDisabled { get; set; }
Public Shared Property EPsDisabled As String
    Get
    Set
Public Shared Property EPsDisabled As String
    Get
    Set
public:
static property String^ EPsDisabled {
    String^ get ();
    void set (String^ value);
}
public:
static property String^ EPsDisabled {
    String^ get ();
    void set (String^ value);
}
Property Value
Type:   Online String
See Also
GameFolders Class
GameFolders Members
s3pi.Filetable Namespace
s3pi.Filetable FileTable
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GameFolders.Games Property

GameFolders Games Property s3pi library documentation
The list of Games defined in the GameFolders.xml file.

Namespace: s3pi.Filetable
Assembly: s3pi.Filetable (in s3pi.Filetable.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static List<Game> Games { get; }
public static List<Game> Games { get; }
Public Shared ReadOnly Property Games As List(Of Game)
    Get
Public Shared ReadOnly Property Games As List(Of Game)
    Get
public:
static property List<Game^>^ Games {
    List<Game^>^ get ();
}
public:
static property List<Game^>^ Games {
    List<Game^>^ get ();
}
Property Value
Type:   Online List  Game
See Also
GameFolders Class
GameFolders Members
s3pi.Filetable Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GameFolders.InstallDirs Property

GameFolders InstallDirs Property s3pi library documentation
A semi-colon delimited string of game name / install folder pairs, internally delimited by an equals sign.

Namespace: s3pi.Filetable
Assembly: s3pi.Filetable (in s3pi.Filetable.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static string InstallDirs { get; set; }
public static string InstallDirs { get; set; }
Public Shared Property InstallDirs As String
    Get
    Set
Public Shared Property InstallDirs As String
    Get
    Set
public:
static property String^ InstallDirs {
    String^ get ();
    void set (String^ value);
}
public:
static property String^ InstallDirs {
    String^ get ();
    void set (String^ value);
}
Property Value
Type:   Online String
See Also
GameFolders Class
GameFolders Members
s3pi.Filetable Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GameFoldersForm Class

GameFoldersForm Class s3pi library documentation
Provides a common control for enabling editing of the install locations of game folders.
Inheritance Hierarchy
Online System Object
Online System MarshalByRefObject
Online System.ComponentModel Component
Online System.Windows.Forms Control
Online System.Windows.Forms ScrollableControl
Online System.Windows.Forms ContainerControl
Online System.Windows.Forms Form
s3pi.Filetable GameFoldersForm

Namespace: s3pi.Filetable
Assembly: s3pi.Filetable (in s3pi.Filetable.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public class GameFoldersForm : Form
public class GameFoldersForm : Form
Public Class GameFoldersForm
    Inherits Form
Public Class GameFoldersForm
    Inherits Form
public ref class GameFoldersForm : public Form
public ref class GameFoldersForm : public Form
Remarks

            Note that it is left to the containing application to pass values between this form and the Filetable.
            This is to allow any additional processing, such as storing user preferences, to be handled.

See Also
GameFoldersForm Members
s3pi.Filetable Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GameFoldersForm Members

GameFoldersForm Members s3pi library documentation

The GameFoldersForm type exposes the following members.
Constructors
 | Name | Description
Public method | GameFoldersForm | Instantiate the form.
Back to Top
Methods
 | Name | Description
Protected method | Dispose | Clean up any resources being used. (Overrides Online Form Dispose(Boolean).)
Back to Top
Properties
 | Name | Description
Public property | CCEnabled | Whether the user wants to have their user-created content available.
Public property | CCSettable | Whether to display the option to allow user-created content to be included in the file table.
Public property | CustomContent | The folder containing user-created ("custom") content.
Public property | EPsDisabled | A semi-colon delimited string of game names the user does not want considered.
Public property | InstallDirs | A semi-colon delimited string of game name / folder pairs (delimiter by an equals sign), representing where the user has installed a game (if not in the default location).
Back to Top
See Also
GameFoldersForm Class
s3pi.Filetable Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GameFoldersForm Constructor

GameFoldersForm Constructor s3pi library documentation
Instantiate the form.

Namespace: s3pi.Filetable
Assembly: s3pi.Filetable (in s3pi.Filetable.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public GameFoldersForm()
public GameFoldersForm()
Public Sub New
Public Sub New
public:
GameFoldersForm()
public:
GameFoldersForm()
See Also
GameFoldersForm Class
GameFoldersForm Members
s3pi.Filetable Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GameFoldersForm Methods

GameFoldersForm Methods s3pi library documentation
The GameFoldersForm type exposes the following members.
Methods
 | Name | Description
Protected method | Dispose | Clean up any resources being used. (Overrides Online Form Dispose(Boolean).)
Back to Top
See Also
GameFoldersForm Class
s3pi.Filetable Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GameFoldersForm.Dispose Method

GameFoldersForm Dispose Method s3pi library documentation
Clean up any resources being used.

Namespace: s3pi.Filetable
Assembly: s3pi.Filetable (in s3pi.Filetable.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected override void Dispose(
    bool disposing
)
protected override void Dispose(
    bool disposing
)
Protected Overrides Sub Dispose (
    disposing As Boolean
)
Protected Overrides Sub Dispose (
    disposing As Boolean
)
protected:
virtual void Dispose(
    bool disposing
) override
protected:
virtual void Dispose(
    bool disposing
) override
Parameters
disposing
Type:   Online System Boolean
true if managed resources should be disposed; otherwise, false.
See Also
GameFoldersForm Class
GameFoldersForm Members
s3pi.Filetable Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GameFoldersForm Properties

GameFoldersForm Properties s3pi library documentation
The GameFoldersForm type exposes the following members.
Properties
 | Name | Description
Public property | CCEnabled | Whether the user wants to have their user-created content available.
Public property | CCSettable | Whether to display the option to allow user-created content to be included in the file table.
Public property | CustomContent | The folder containing user-created ("custom") content.
Public property | EPsDisabled | A semi-colon delimited string of game names the user does not want considered.
Public property | InstallDirs | A semi-colon delimited string of game name / folder pairs (delimiter by an equals sign), representing where the user has installed a game (if not in the default location).
Back to Top
See Also
GameFoldersForm Class
s3pi.Filetable Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GameFoldersForm.CCEnabled Property

GameFoldersForm CCEnabled Property s3pi library documentation
Whether the user wants to have their user-created content available.

Namespace: s3pi.Filetable
Assembly: s3pi.Filetable (in s3pi.Filetable.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public bool CCEnabled { get; set; }
public bool CCEnabled { get; set; }
Public Property CCEnabled As Boolean
    Get
    Set
Public Property CCEnabled As Boolean
    Get
    Set
public:
property bool CCEnabled {
    bool get ();
    void set (bool value);
}
public:
property bool CCEnabled {
    bool get ();
    void set (bool value);
}
Property Value
Type:   Online Boolean
See Also
GameFoldersForm Class
GameFoldersForm Members
s3pi.Filetable Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GameFoldersForm.CCSettable Property

GameFoldersForm CCSettable Property s3pi library documentation
Whether to display the option to allow user-created content to be included in the file table.

Namespace: s3pi.Filetable
Assembly: s3pi.Filetable (in s3pi.Filetable.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public bool CCSettable { get; set; }
public bool CCSettable { get; set; }
Public Property CCSettable As Boolean
    Get
    Set
Public Property CCSettable As Boolean
    Get
    Set
public:
property bool CCSettable {
    bool get ();
    void set (bool value);
}
public:
property bool CCSettable {
    bool get ();
    void set (bool value);
}
Property Value
Type:   Online Boolean
See Also
GameFoldersForm Class
GameFoldersForm Members
s3pi.Filetable Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GameFoldersForm.CustomContent Property

GameFoldersForm CustomContent Property s3pi library documentation
The folder containing user-created ("custom") content.

Namespace: s3pi.Filetable
Assembly: s3pi.Filetable (in s3pi.Filetable.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public string CustomContent { get; set; }
public string CustomContent { get; set; }
Public Property CustomContent As String
    Get
    Set
Public Property CustomContent As String
    Get
    Set
public:
property String^ CustomContent {
    String^ get ();
    void set (String^ value);
}
public:
property String^ CustomContent {
    String^ get ();
    void set (String^ value);
}
Property Value
Type:   Online String
See Also
GameFoldersForm Class
GameFoldersForm Members
s3pi.Filetable Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GameFoldersForm.EPsDisabled Property

GameFoldersForm EPsDisabled Property s3pi library documentation
A semi-colon delimited string of game names the user does not want considered.

Namespace: s3pi.Filetable
Assembly: s3pi.Filetable (in s3pi.Filetable.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public string EPsDisabled { get; set; }
public string EPsDisabled { get; set; }
Public Property EPsDisabled As String
    Get
    Set
Public Property EPsDisabled As String
    Get
    Set
public:
property String^ EPsDisabled {
    String^ get ();
    void set (String^ value);
}
public:
property String^ EPsDisabled {
    String^ get ();
    void set (String^ value);
}
Property Value
Type:   Online String
See Also
GameFoldersForm Class
GameFoldersForm Members
s3pi.Filetable Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GameFoldersForm.InstallDirs Property

GameFoldersForm InstallDirs Property s3pi library documentation
A semi-colon delimited string of game name / folder pairs (delimiter by an equals sign), representing where the user has installed a game (if not in the default location).

Namespace: s3pi.Filetable
Assembly: s3pi.Filetable (in s3pi.Filetable.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public string InstallDirs { get; set; }
public string InstallDirs { get; set; }
Public Property InstallDirs As String
    Get
    Set
Public Property InstallDirs As String
    Get
    Set
public:
property String^ InstallDirs {
    String^ get ();
    void set (String^ value);
}
public:
property String^ InstallDirs {
    String^ get ();
    void set (String^ value);
}
Property Value
Type:   Online String
See Also
GameFoldersForm Class
GameFoldersForm Members
s3pi.Filetable Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


PackageTag Class

PackageTag Class s3pi library documentation
Package represents the <Package/> tag.
Inheritance Hierarchy
Online System Object
s3pi.Filetable PackageTag

Namespace: s3pi.Filetable
Assembly: s3pi.Filetable (in s3pi.Filetable.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public class PackageTag
public class PackageTag
Public Class PackageTag
Public Class PackageTag
public ref class PackageTag
public ref class PackageTag
See Also
PackageTag Members
s3pi.Filetable Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


PackageTag Members

PackageTag Members s3pi library documentation

The PackageTag type exposes the following members.
Constructors
 | Name | Description
Public method | PackageTag | Create a new PackageTag with the given values.
Back to Top
Properties
 | Name | Description
Public property | IsPatch | True if this PackageTag belongs to a patch; otherwise false.
Public property | Path | The full path of package specified by the <Package> tag.
Public property | Priority | Used to sort packages; higher priority packages override the content of lower priority packages.
Back to Top
See Also
PackageTag Class
s3pi.Filetable Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


PackageTag Constructor

PackageTag Constructor s3pi library documentation
Create a new PackageTag with the given values.

Namespace: s3pi.Filetable
Assembly: s3pi.Filetable (in s3pi.Filetable.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public PackageTag(
    string path,
    bool isPatch,
    int priority
)
public PackageTag(
    string path,
    bool isPatch,
    int priority
)
Public Sub New (
    path As String,
    isPatch As Boolean,
    priority As Integer
)
Public Sub New (
    path As String,
    isPatch As Boolean,
    priority As Integer
)
public:
PackageTag(
    String^ path,
    bool isPatch,
    int priority
)
public:
PackageTag(
    String^ path,
    bool isPatch,
    int priority
)
Parameters
path
Type:   Online System String
The full path of package specified by the <Package> tag.
isPatch
Type:   Online System Boolean
True if this PackageTag belongs to a patch; otherwise false.
priority
Type:   Online System Int32
Used to sort packages; higher priority packages override the content of lower priority packages.
See Also
PackageTag Class
PackageTag Members
s3pi.Filetable Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


PackageTag Properties

PackageTag Properties s3pi library documentation
The PackageTag type exposes the following members.
Properties
 | Name | Description
Public property | IsPatch | True if this PackageTag belongs to a patch; otherwise false.
Public property | Path | The full path of package specified by the <Package> tag.
Public property | Priority | Used to sort packages; higher priority packages override the content of lower priority packages.
Back to Top
See Also
PackageTag Class
s3pi.Filetable Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


PackageTag.IsPatch Property

PackageTag IsPatch Property s3pi library documentation
True if this PackageTag belongs to a patch; otherwise false.

Namespace: s3pi.Filetable
Assembly: s3pi.Filetable (in s3pi.Filetable.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public bool IsPatch { get; private set; }
public bool IsPatch { get; private set; }
Public Property IsPatch As Boolean
    Get
    Private Set
Public Property IsPatch As Boolean
    Get
    Private Set
public:
property bool IsPatch {
    bool get ();
    private: void set (bool value);
}
public:
property bool IsPatch {
    bool get ();
    private: void set (bool value);
}
Property Value
Type:   Online Boolean
True if this PackageTag belongs to a patch; otherwise false.
Remarks
Patch packages may be missing for a particular game.
See Also
PackageTag Class
PackageTag Members
s3pi.Filetable Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


PackageTag.Path Property

PackageTag Path Property s3pi library documentation
The full path of package specified by the <Package> tag.

Namespace: s3pi.Filetable
Assembly: s3pi.Filetable (in s3pi.Filetable.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public string Path { get; private set; }
public string Path { get; private set; }
Public Property Path As String
    Get
    Private Set
Public Property Path As String
    Get
    Private Set
public:
property String^ Path {
    String^ get ();
    private: void set (String^ value);
}
public:
property String^ Path {
    String^ get ();
    private: void set (String^ value);
}
Property Value
Type:   Online String
The full path of package specified by the <Package> tag.
See Also
PackageTag Class
PackageTag Members
s3pi.Filetable Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


PackageTag.Priority Property

PackageTag Priority Property s3pi library documentation
Used to sort packages; higher priority packages override the content of lower priority packages.

Namespace: s3pi.Filetable
Assembly: s3pi.Filetable (in s3pi.Filetable.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public int Priority { get; private set; }
public int Priority { get; private set; }
Public Property Priority As Integer
    Get
    Private Set
Public Property Priority As Integer
    Get
    Private Set
public:
property int Priority {
    int get ();
    private: void set (int value);
}
public:
property int Priority {
    int get ();
    private: void set (int value);
}
Property Value
Type:   Online Int32
Used to sort packages; higher priority packages override the content of lower priority packages.
See Also
PackageTag Class
PackageTag Members
s3pi.Filetable Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


PathPackageTuple Class

PathPackageTuple Class s3pi library documentation
Contains the path of a IPackage and the IPackage reference itself.
Inheritance Hierarchy
Online System Object
s3pi.Filetable PathPackageTuple

Namespace: s3pi.Filetable
Assembly: s3pi.Filetable (in s3pi.Filetable.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public class PathPackageTuple : IEquatable<PathPackageTuple>
public class PathPackageTuple : IEquatable<PathPackageTuple>
Public Class PathPackageTuple
    Implements IEquatable(Of PathPackageTuple)
Public Class PathPackageTuple
    Implements IEquatable(Of PathPackageTuple)
public ref class PathPackageTuple : IEquatable<PathPackageTuple^>
public ref class PathPackageTuple : IEquatable<PathPackageTuple^>
See Also
PathPackageTuple Members
s3pi.Filetable Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


PathPackageTuple Members

PathPackageTuple Members s3pi library documentation

The PathPackageTuple type exposes the following members.
Constructors
 | Name | Description
Public method | PathPackageTuple | Store the full pathname of path and open the referenced IPackage, read-only by default.
Back to Top
Methods
 | Name | Description
Public method | AddResource | Add a resource, identified by rk with the content from stream the package referenced by this PathPackageTuple. The new SpecificResource value is returned.
Public method | Equals | Determine whether other is the same package as this.
Public method | Find | Searches the entire IPackage for the first IResourceIndexEntry that matches the conditions defined by match.
Public method | FindAll | Searches the entire IPackage for all IResourceIndexEntry that match the conditions defined by match.
Back to Top
Properties
 | Name | Description
Public property | Package | The IPackage stored in Path.
Public property | Path | The path containing this IPackage.
Back to Top
See Also
PathPackageTuple Class
s3pi.Filetable Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


PathPackageTuple Constructor

PathPackageTuple Constructor s3pi library documentation
Store the full pathname of path and open the referenced IPackage, read-only by default.

Namespace: s3pi.Filetable
Assembly: s3pi.Filetable (in s3pi.Filetable.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public PathPackageTuple(
    string path,
    bool readwrite = false
)
public PathPackageTuple(
    string path,
    bool readwrite = false
)
Public Sub New (
    path As String,
    Optional readwrite As Boolean = false
)
Public Sub New (
    path As String,
    Optional readwrite As Boolean = false
)
public:
PathPackageTuple(
    String^ path,
    bool readwrite = false
)
public:
PathPackageTuple(
    String^ path,
    bool readwrite = false
)
Parameters
path
Type:   Online System String
The path of the IPackage to open.
readwrite (Optional)
Type:   Online System Boolean
Set to true to open the package read-write; otherwise set to false for read-only (default is false).
Remarks
See OpenPackage(Int32, String, Boolean) for potential exceptions.
See Also
PathPackageTuple Class
PathPackageTuple Members
s3pi.Filetable Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


PathPackageTuple Methods

PathPackageTuple Methods s3pi library documentation
The PathPackageTuple type exposes the following members.
Methods
 | Name | Description
Public method | AddResource | Add a resource, identified by rk with the content from stream the package referenced by this PathPackageTuple. The new SpecificResource value is returned.
Public method | Equals | Determine whether other is the same package as this.
Public method | Find | Searches the entire IPackage for the first IResourceIndexEntry that matches the conditions defined by match.
Public method | FindAll | Searches the entire IPackage for all IResourceIndexEntry that match the conditions defined by match.
Back to Top
See Also
PathPackageTuple Class
s3pi.Filetable Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


PathPackageTuple.AddResource Method

PathPackageTuple AddResource Method s3pi library documentation
Add a resource, identified by rk with the content from stream the package referenced by this PathPackageTuple. The new SpecificResource value is returned.

Namespace: s3pi.Filetable
Assembly: s3pi.Filetable (in s3pi.Filetable.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public SpecificResource AddResource(
    IResourceKey rk,
    Stream stream = null
)
public SpecificResource AddResource(
    IResourceKey rk,
    Stream stream = null
)
Public Function AddResource (
    rk As IResourceKey,
    Optional stream As Stream = Nothing
) As SpecificResource
Public Function AddResource (
    rk As IResourceKey,
    Optional stream As Stream = Nothing
) As SpecificResource
public:
SpecificResource^ AddResource(
    IResourceKey^ rk,
    Stream^ stream = nullptr
)
public:
SpecificResource^ AddResource(
    IResourceKey^ rk,
    Stream^ stream = nullptr
)
Parameters
rk
Type: s3pi.Interfaces IResourceKey
The IResourceKey to use to identify the new resource.
stream (Optional)
Type:   Online System.IO Stream
A   Online Stream of data to use to populate the new resource.
Return Value
Type: SpecificResource
The SpecificResource representing the newly added IResourceIndexEntry.
See Also
PathPackageTuple Class
PathPackageTuple Members
s3pi.Filetable Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


PathPackageTuple.Equals Method

PathPackageTuple Equals Method s3pi library documentation
Determine whether other is the same package as this.

Namespace: s3pi.Filetable
Assembly: s3pi.Filetable (in s3pi.Filetable.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public bool Equals(
    PathPackageTuple other
)
public bool Equals(
    PathPackageTuple other
)
Public Function Equals (
    other As PathPackageTuple
) As Boolean
Public Function Equals (
    other As PathPackageTuple
) As Boolean
public:
virtual bool Equals(
    PathPackageTuple^ other
) sealed
public:
virtual bool Equals(
    PathPackageTuple^ other
) sealed
Parameters
other
Type: s3pi.Filetable PathPackageTuple
The PathPackageTuple under inspection.
Return Value
Type:   Online Boolean
True if this and other have the same path.
Implements
  Online IEquatable T  Equals(T)
See Also
PathPackageTuple Class
PathPackageTuple Members
s3pi.Filetable Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


PathPackageTuple.Find Method

PathPackageTuple Find Method s3pi library documentation
Searches the entire IPackage for the first IResourceIndexEntry that matches the conditions defined by match.

Namespace: s3pi.Filetable
Assembly: s3pi.Filetable (in s3pi.Filetable.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public SpecificResource Find(
    Predicate<IResourceIndexEntry> match
)
public SpecificResource Find(
    Predicate<IResourceIndexEntry> match
)
Public Function Find (
    match As Predicate(Of IResourceIndexEntry)
) As SpecificResource
Public Function Find (
    match As Predicate(Of IResourceIndexEntry)
) As SpecificResource
public:
SpecificResource^ Find(
    Predicate<IResourceIndexEntry^>^ match
)
public:
SpecificResource^ Find(
    Predicate<IResourceIndexEntry^>^ match
)
Parameters
match
Type:   Online System Predicate  IResourceIndexEntry
The matching critera.
Return Value
Type: SpecificResource
The first matching resource.
See Also
PathPackageTuple Class
PathPackageTuple Members
s3pi.Filetable Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


PathPackageTuple.FindAll Method

PathPackageTuple FindAll Method s3pi library documentation
Searches the entire IPackage for all IResourceIndexEntry that match the conditions defined by match.

Namespace: s3pi.Filetable
Assembly: s3pi.Filetable (in s3pi.Filetable.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public IEnumerable<SpecificResource> FindAll(
    Predicate<IResourceIndexEntry> match
)
public IEnumerable<SpecificResource> FindAll(
    Predicate<IResourceIndexEntry> match
)
Public Function FindAll (
    match As Predicate(Of IResourceIndexEntry)
) As IEnumerable(Of SpecificResource)
Public Function FindAll (
    match As Predicate(Of IResourceIndexEntry)
) As IEnumerable(Of SpecificResource)
public:
IEnumerable<SpecificResource^>^ FindAll(
    Predicate<IResourceIndexEntry^>^ match
)
public:
IEnumerable<SpecificResource^>^ FindAll(
    Predicate<IResourceIndexEntry^>^ match
)
Parameters
match
Type:   Online System Predicate  IResourceIndexEntry
The matching critera.
Return Value
Type:   Online IEnumerable  SpecificResource
All matching resources.
See Also
PathPackageTuple Class
PathPackageTuple Members
s3pi.Filetable Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


PathPackageTuple Properties

PathPackageTuple Properties s3pi library documentation
The PathPackageTuple type exposes the following members.
Properties
 | Name | Description
Public property | Package | The IPackage stored in Path.
Public property | Path | The path containing this IPackage.
Back to Top
See Also
PathPackageTuple Class
s3pi.Filetable Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


PathPackageTuple.Package Property

PathPackageTuple Package Property s3pi library documentation
The IPackage stored in Path.

Namespace: s3pi.Filetable
Assembly: s3pi.Filetable (in s3pi.Filetable.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public IPackage Package { get; private set; }
public IPackage Package { get; private set; }
Public Property Package As IPackage
    Get
    Private Set
Public Property Package As IPackage
    Get
    Private Set
public:
property IPackage^ Package {
    IPackage^ get ();
    private: void set (IPackage^ value);
}
public:
property IPackage^ Package {
    IPackage^ get ();
    private: void set (IPackage^ value);
}
Property Value
Type: IPackage
See Also
PathPackageTuple Class
PathPackageTuple Members
s3pi.Filetable Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


PathPackageTuple.Path Property

PathPackageTuple Path Property s3pi library documentation
The path containing this IPackage.

Namespace: s3pi.Filetable
Assembly: s3pi.Filetable (in s3pi.Filetable.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public string Path { get; private set; }
public string Path { get; private set; }
Public Property Path As String
    Get
    Private Set
Public Property Path As String
    Get
    Private Set
public:
property String^ Path {
    String^ get ();
    private: void set (String^ value);
}
public:
property String^ Path {
    String^ get ();
    private: void set (String^ value);
}
Property Value
Type:   Online String
See Also
PathPackageTuple Class
PathPackageTuple Members
s3pi.Filetable Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


RK Class

RK Class s3pi library documentation
A minimal implementation of AResourceKey providing some basic assistance methods. The CompareTo(IResourceKey) routine is geared to how one resource finds another to the best of our understanding...
Inheritance Hierarchy
Online System Object
s3pi.Interfaces AApiVersionedFields
s3pi.Interfaces AHandlerElement
s3pi.Interfaces AResourceKey
s3pi.Filetable RK

Namespace: s3pi.Filetable
Assembly: s3pi.Filetable (in s3pi.Filetable.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public class RK : AResourceKey
public class RK : AResourceKey
Public Class RK
    Inherits AResourceKey
Public Class RK
    Inherits AResourceKey
public ref class RK : public AResourceKey
public ref class RK : public AResourceKey
See Also
RK Members
s3pi.Filetable Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


RK Members

RK Members s3pi library documentation

The RK type exposes the following members.
Constructors
 | Name | Description
Public method | RK | Instantiate the IResourceKey as a concrete object.
Back to Top
Methods
 | Name | Description
Public method | Clone | Throw Online NotImplementedException. (Overrides AHandlerElement Clone(EventHandler).)
Public method | CompareTo | Take into account some of the weird ways in which one resource refers to another, based on resource type.
Public method | Equals | Take into account whether this resource key is equivalent to rk.
 | Parse | Convert a string to an IResourceKey value.
 | TryParse | Tests whether a string can be converted to an IResourceKey and, if so, sets result to the converted value.
Back to Top
Properties
 | Name | Description
Public property | ContentFields | Throw Online NotImplementedException. (Overrides AApiVersionedFields ContentFields.)
 | NULL | Return a null valued resource key.
Public property | RecommendedApiVersion | Throw Online NotImplementedException. (Overrides AApiVersionedFields RecommendedApiVersion.)
Back to Top
See Also
RK Class
s3pi.Filetable Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


RK Constructor

RK Constructor s3pi library documentation
Instantiate the IResourceKey as a concrete object.

Namespace: s3pi.Filetable
Assembly: s3pi.Filetable (in s3pi.Filetable.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public RK(
    IResourceKey rk
)
public RK(
    IResourceKey rk
)
Public Sub New (
    rk As IResourceKey
)
Public Sub New (
    rk As IResourceKey
)
public:
RK(
    IResourceKey^ rk
)
public:
RK(
    IResourceKey^ rk
)
Parameters
rk
Type: s3pi.Interfaces IResourceKey
An IResourceKey.
See Also
RK Class
RK Members
s3pi.Filetable Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


RK Methods

RK Methods s3pi library documentation
The RK type exposes the following members.
Methods
 | Name | Description
Public method | Clone | Throw Online NotImplementedException. (Overrides AHandlerElement Clone(EventHandler).)
Public method | CompareTo | Take into account some of the weird ways in which one resource refers to another, based on resource type.
Public method | Equals | Take into account whether this resource key is equivalent to rk.
 | Parse | Convert a string to an IResourceKey value.
 | TryParse | Tests whether a string can be converted to an IResourceKey and, if so, sets result to the converted value.
Back to Top
See Also
RK Class
s3pi.Filetable Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


RK.Clone Method

RK Clone Method s3pi library documentation
Throw Online NotImplementedException.

Namespace: s3pi.Filetable
Assembly: s3pi.Filetable (in s3pi.Filetable.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override AHandlerElement Clone(
    EventHandler handler
)
public override AHandlerElement Clone(
    EventHandler handler
)
Public Overrides Function Clone (
    handler As EventHandler
) As AHandlerElement
Public Overrides Function Clone (
    handler As EventHandler
) As AHandlerElement
public:
virtual AHandlerElement^ Clone(
    EventHandler^ handler
) override
public:
virtual AHandlerElement^ Clone(
    EventHandler^ handler
) override
Parameters
handler
Type:   Online System EventHandler
Not used.
Return Value
Type: AHandlerElement
Does not return.
See Also
RK Class
RK Members
s3pi.Filetable Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


RK.CompareTo Method

RK CompareTo Method s3pi library documentation
Take into account some of the weird ways in which one resource refers to another, based on resource type.

Namespace: s3pi.Filetable
Assembly: s3pi.Filetable (in s3pi.Filetable.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public int CompareTo(
    IResourceKey rk
)
public int CompareTo(
    IResourceKey rk
)
Public Function CompareTo (
    rk As IResourceKey
) As Integer
Public Function CompareTo (
    rk As IResourceKey
) As Integer
public:
int CompareTo(
    IResourceKey^ rk
)
public:
int CompareTo(
    IResourceKey^ rk
)
Parameters
rk
Type: s3pi.Interfaces IResourceKey
An IResourceKey to compare with.
Return Value
Type:   Online Int32
[Missing <returns> documentation for "M:s3pi.Filetable.RK.CompareTo(s3pi.Interfaces.IResourceKey)"]
See Also
RK Class
RK Members
s3pi.Filetable Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


RK.Equals Method

RK Equals Method s3pi library documentation
Take into account whether this resource key is equivalent to rk.

Namespace: s3pi.Filetable
Assembly: s3pi.Filetable (in s3pi.Filetable.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public bool Equals(
    IResourceKey rk
)
public bool Equals(
    IResourceKey rk
)
Public Function Equals (
    rk As IResourceKey
) As Boolean
Public Function Equals (
    rk As IResourceKey
) As Boolean
public:
bool Equals(
    IResourceKey^ rk
)
public:
bool Equals(
    IResourceKey^ rk
)
Parameters
rk
Type: s3pi.Interfaces IResourceKey
The IResourceKey to test.
Return Value
Type:   Online Boolean
True if rk refers to the same resource as this.
See Also
RK Class
RK Members
s3pi.Filetable Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


RK.Parse Method

RK Parse Method s3pi library documentation
Convert a string to an IResourceKey value.

Namespace: s3pi.Filetable
Assembly: s3pi.Filetable (in s3pi.Filetable.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static IResourceKey Parse(
    string value
)
public static IResourceKey Parse(
    string value
)
Public Shared Function Parse (
    value As String
) As IResourceKey
Public Shared Function Parse (
    value As String
) As IResourceKey
public:
static IResourceKey^ Parse(
    String^ value
)
public:
static IResourceKey^ Parse(
    String^ value
)
Parameters
value
Type:   Online System String
A valid string representation of an IResourceKey.
Return Value
Type: IResourceKey
The eqivalent IResourceKey value for value.
See Also
RK Class
RK Members
s3pi.Filetable Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


RK.TryParse Method

RK TryParse Method s3pi library documentation
Tests whether a string can be converted to an IResourceKey and, if so, sets result to the converted value.

Namespace: s3pi.Filetable
Assembly: s3pi.Filetable (in s3pi.Filetable.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static bool TryParse(
    string value,
    out IResourceKey result
)
public static bool TryParse(
    string value,
    out IResourceKey result
)
Public Shared Function TryParse (
    value As String,
    <OutAttribute> ByRef result As IResourceKey
) As Boolean
Public Shared Function TryParse (
    value As String,
    <OutAttribute> ByRef result As IResourceKey
) As Boolean
public:
static bool TryParse(
    String^ value,
    [OutAttribute] IResourceKey^% result
)
public:
static bool TryParse(
    String^ value,
    [OutAttribute] IResourceKey^% result
)
Parameters
value
Type:   Online System String
A potential string representation of an IResourceKey.
result
Type: s3pi.Interfaces IResourceKey
The eqivalent IResourceKey value for value.
Return Value
Type:   Online Boolean
True if value has the format
            "0xHHHHHHHH-0xHHHHHHHH-0xHHHHHHHHHHHHHHHH"; otherwise false.

See Also
RK Class
RK Members
s3pi.Filetable Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


RK Properties

RK Properties s3pi library documentation
The RK type exposes the following members.
Properties
 | Name | Description
Public property | ContentFields | Throw Online NotImplementedException. (Overrides AApiVersionedFields ContentFields.)
 | NULL | Return a null valued resource key.
Public property | RecommendedApiVersion | Throw Online NotImplementedException. (Overrides AApiVersionedFields RecommendedApiVersion.)
Back to Top
See Also
RK Class
s3pi.Filetable Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


RK.ContentFields Property

RK ContentFields Property s3pi library documentation
Throw Online NotImplementedException.

Namespace: s3pi.Filetable
Assembly: s3pi.Filetable (in s3pi.Filetable.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override List<string> ContentFields { get; }
public override List<string> ContentFields { get; }
Public Overrides ReadOnly Property ContentFields As List(Of String)
    Get
Public Overrides ReadOnly Property ContentFields As List(Of String)
    Get
public:
virtual property List<String^>^ ContentFields {
    List<String^>^ get () override;
}
public:
virtual property List<String^>^ ContentFields {
    List<String^>^ get () override;
}
Property Value
Type:   Online List    Online String
Implements
IContentFields ContentFields
See Also
RK Class
RK Members
s3pi.Filetable Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


RK.NULL Property

RK NULL Property s3pi library documentation
Return a null valued resource key.

Namespace: s3pi.Filetable
Assembly: s3pi.Filetable (in s3pi.Filetable.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static RK NULL { get; private set; }
public static RK NULL { get; private set; }
Public Shared Property NULL As RK
    Get
    Private Set
Public Shared Property NULL As RK
    Get
    Private Set
public:
static property RK^ NULL {
    RK^ get ();
    private: void set (RK^ value);
}
public:
static property RK^ NULL {
    RK^ get ();
    private: void set (RK^ value);
}
Property Value
Type: RK
See Also
RK Class
RK Members
s3pi.Filetable Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


RK.RecommendedApiVersion Property

RK RecommendedApiVersion Property s3pi library documentation
Throw Online NotImplementedException.

Namespace: s3pi.Filetable
Assembly: s3pi.Filetable (in s3pi.Filetable.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override int RecommendedApiVersion { get; }
public override int RecommendedApiVersion { get; }
Public Overrides ReadOnly Property RecommendedApiVersion As Integer
    Get
Public Overrides ReadOnly Property RecommendedApiVersion As Integer
    Get
public:
virtual property int RecommendedApiVersion {
    int get () override;
}
public:
virtual property int RecommendedApiVersion {
    int get () override;
}
Property Value
Type:   Online Int32
Implements
IApiVersion RecommendedApiVersion
See Also
RK Class
RK Members
s3pi.Filetable Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SpecificIndexEntry Class

SpecificIndexEntry Class s3pi library documentation
This class provides additional helper methods extending the s3pi IResourceIndexEntry class primarily. It binds an IResourceIndexEntry to the package it came from, using PathPackageTuple.
Inheritance Hierarchy
Online System Object
s3pi.Filetable SpecificIndexEntry
s3pi.Filetable SpecificResource

Namespace: s3pi.Filetable
Assembly: s3pi.Filetable (in s3pi.Filetable.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public class SpecificIndexEntry : IEquatable<SpecificIndexEntry>
public class SpecificIndexEntry : IEquatable<SpecificIndexEntry>
Public Class SpecificIndexEntry
    Implements IEquatable(Of SpecificIndexEntry)
Public Class SpecificIndexEntry
    Implements IEquatable(Of SpecificIndexEntry)
public ref class SpecificIndexEntry : IEquatable<SpecificIndexEntry^>
public ref class SpecificIndexEntry : IEquatable<SpecificIndexEntry^>
See Also
SpecificIndexEntry Members
s3pi.Filetable Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SpecificIndexEntry Members

SpecificIndexEntry Members s3pi library documentation

The SpecificIndexEntry type exposes the following members.
Constructors
 | Name | Description
Public method | SpecificIndexEntry(PathPackageTuple, IResourceIndexEntry) | Request resourceIndexEntry from ppt.
Public method | SpecificIndexEntry(List PathPackageTuple , IResourceKey) | Request requestedRK from the given searchList.
Back to Top
Methods
 | Name | Description
Public method | Equals | Determines if this item represents the same resource as other.
Back to Top
Properties
 | Name | Description
Public property | LongName | The resource Tag, the IResourceIndexEntry and the path from which the item was resolved.
Public property | PathPackage | The PathPackageTuple from which this item was resolved.
Public property | PPSource | A short string indicating which file table was the source of this item.
Public property | RequestedRK | The resource key by which this item was requested.
Public property | ResourceIndexEntry | The IResourceIndexEntry in the package that refers to the requested resource key. This is dynamically resolved when first referenced.
Public property | RGVsn | The Name for the Game with the Resource Group Version of this item, or an empty string for the base game. References ResourceIndexEntry.
Back to Top
See Also
SpecificIndexEntry Class
s3pi.Filetable Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SpecificIndexEntry Constructor

SpecificIndexEntry Constructor s3pi library documentation
Overload List
 | Name | Description
Public method | SpecificIndexEntry(PathPackageTuple, IResourceIndexEntry) | Request resourceIndexEntry from ppt.
Public method | SpecificIndexEntry(List PathPackageTuple , IResourceKey) | Request requestedRK from the given searchList.
Back to Top
See Also
SpecificIndexEntry Class
SpecificIndexEntry Members
s3pi.Filetable Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SpecificIndexEntry Constructor (PathPackageTuple, IResourceIndexEntry)

SpecificIndexEntry Constructor (PathPackageTuple, IResourceIndexEntry) s3pi library documentation
Request resourceIndexEntry from ppt.

Namespace: s3pi.Filetable
Assembly: s3pi.Filetable (in s3pi.Filetable.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public SpecificIndexEntry(
    PathPackageTuple ppt,
    IResourceIndexEntry resourceIndexEntry
)
public SpecificIndexEntry(
    PathPackageTuple ppt,
    IResourceIndexEntry resourceIndexEntry
)
Public Sub New (
    ppt As PathPackageTuple,
    resourceIndexEntry As IResourceIndexEntry
)
Public Sub New (
    ppt As PathPackageTuple,
    resourceIndexEntry As IResourceIndexEntry
)
public:
SpecificIndexEntry(
    PathPackageTuple^ ppt,
    IResourceIndexEntry^ resourceIndexEntry
)
public:
SpecificIndexEntry(
    PathPackageTuple^ ppt,
    IResourceIndexEntry^ resourceIndexEntry
)
Parameters
ppt
Type: s3pi.Filetable PathPackageTuple
The PathPackageTuple to use to resolve the request.
resourceIndexEntry
Type: s3pi.Interfaces IResourceIndexEntry
The requested IResourceIndexEntry.
Exceptions
Exception | Condition
Online System ArgumentException | Thrown if ppt does not contain resourceIndexEntry.
See Also
SpecificIndexEntry Class
SpecificIndexEntry Members
SpecificIndexEntry Overload
s3pi.Filetable Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SpecificIndexEntry Constructor (List(PathPackageTuple), IResourceKey)

SpecificIndexEntry Constructor (List PathPackageTuple , IResourceKey) s3pi library documentation
Request requestedRK from the given searchList.

Namespace: s3pi.Filetable
Assembly: s3pi.Filetable (in s3pi.Filetable.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public SpecificIndexEntry(
    List<PathPackageTuple> searchList,
    IResourceKey requestedRK
)
public SpecificIndexEntry(
    List<PathPackageTuple> searchList,
    IResourceKey requestedRK
)
Public Sub New (
    searchList As List(Of PathPackageTuple),
    requestedRK As IResourceKey
)
Public Sub New (
    searchList As List(Of PathPackageTuple),
    requestedRK As IResourceKey
)
public:
SpecificIndexEntry(
    List<PathPackageTuple^>^ searchList,
    IResourceKey^ requestedRK
)
public:
SpecificIndexEntry(
    List<PathPackageTuple^>^ searchList,
    IResourceKey^ requestedRK
)
Parameters
searchList
Type:   Online System.Collections.Generic List  PathPackageTuple
One of the FileTable vendor search lists.
requestedRK
Type: s3pi.Interfaces IResourceKey
The IResourceKey to look up.
Exceptions
Exception | Condition
Online System ArgumentOutOfRangeException | Thrown if searchList is not one of FileTable vendor search list properties.
See Also
SpecificIndexEntry Class
SpecificIndexEntry Members
SpecificIndexEntry Overload
s3pi.Filetable Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SpecificIndexEntry Methods

SpecificIndexEntry Methods s3pi library documentation
The SpecificIndexEntry type exposes the following members.
Methods
 | Name | Description
Public method | Equals | Determines if this item represents the same resource as other.
Back to Top
See Also
SpecificIndexEntry Class
s3pi.Filetable Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SpecificIndexEntry.Equals Method

SpecificIndexEntry Equals Method s3pi library documentation
Determines if this item represents the same resource as other.

Namespace: s3pi.Filetable
Assembly: s3pi.Filetable (in s3pi.Filetable.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public bool Equals(
    SpecificIndexEntry other
)
public bool Equals(
    SpecificIndexEntry other
)
Public Function Equals (
    other As SpecificIndexEntry
) As Boolean
Public Function Equals (
    other As SpecificIndexEntry
) As Boolean
public:
virtual bool Equals(
    SpecificIndexEntry^ other
) sealed
public:
virtual bool Equals(
    SpecificIndexEntry^ other
) sealed
Parameters
other
Type: s3pi.Filetable SpecificIndexEntry
Another SpecificIndexEntry to test for equivalence.
Return Value
Type:   Online Boolean
True if this item represents the same resource as other; otherwise false.
Implements
  Online IEquatable T  Equals(T)
See Also
SpecificIndexEntry Class
SpecificIndexEntry Members
s3pi.Filetable Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SpecificIndexEntry Properties

SpecificIndexEntry Properties s3pi library documentation
The SpecificIndexEntry type exposes the following members.
Properties
 | Name | Description
Public property | LongName | The resource Tag, the IResourceIndexEntry and the path from which the item was resolved.
Public property | PathPackage | The PathPackageTuple from which this item was resolved.
Public property | PPSource | A short string indicating which file table was the source of this item.
Public property | RequestedRK | The resource key by which this item was requested.
Public property | ResourceIndexEntry | The IResourceIndexEntry in the package that refers to the requested resource key. This is dynamically resolved when first referenced.
Public property | RGVsn | The Name for the Game with the Resource Group Version of this item, or an empty string for the base game. References ResourceIndexEntry.
Back to Top
See Also
SpecificIndexEntry Class
s3pi.Filetable Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SpecificIndexEntry.LongName Property

SpecificIndexEntry LongName Property s3pi library documentation
The resource Tag, the IResourceIndexEntry and the path from which the item was resolved.

Namespace: s3pi.Filetable
Assembly: s3pi.Filetable (in s3pi.Filetable.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public string LongName { get; }
public string LongName { get; }
Public ReadOnly Property LongName As String
    Get
Public ReadOnly Property LongName As String
    Get
public:
property String^ LongName {
    String^ get ();
}
public:
property String^ LongName {
    String^ get ();
}
Property Value
Type:   Online String
See Also
SpecificIndexEntry Class
SpecificIndexEntry Members
s3pi.Filetable Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SpecificIndexEntry.PathPackage Property

SpecificIndexEntry PathPackage Property s3pi library documentation
The PathPackageTuple from which this item was resolved.

Namespace: s3pi.Filetable
Assembly: s3pi.Filetable (in s3pi.Filetable.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public PathPackageTuple PathPackage { get; private set; }
public PathPackageTuple PathPackage { get; private set; }
Public Property PathPackage As PathPackageTuple
    Get
    Private Set
Public Property PathPackage As PathPackageTuple
    Get
    Private Set
public:
property PathPackageTuple^ PathPackage {
    PathPackageTuple^ get ();
    private: void set (PathPackageTuple^ value);
}
public:
property PathPackageTuple^ PathPackage {
    PathPackageTuple^ get ();
    private: void set (PathPackageTuple^ value);
}
Property Value
Type: PathPackageTuple
See Also
SpecificIndexEntry Class
SpecificIndexEntry Members
s3pi.Filetable Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SpecificIndexEntry.PPSource Property

SpecificIndexEntry PPSource Property s3pi library documentation
A short string indicating which file table was the source of this item.

Namespace: s3pi.Filetable
Assembly: s3pi.Filetable (in s3pi.Filetable.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public string PPSource { get; private set; }
public string PPSource { get; private set; }
Public Property PPSource As String
    Get
    Private Set
Public Property PPSource As String
    Get
    Private Set
public:
property String^ PPSource {
    String^ get ();
    private: void set (String^ value);
}
public:
property String^ PPSource {
    String^ get ();
    private: void set (String^ value);
}
Property Value
Type:   Online String
Remarks
Values are:
Value | Source used to resolve the request for an item.
current | The current package.
cc | A custom content package.
fb0 | A primary game content package, excluding DDS images and thumbnail images.
dds | A DDS image package.
tmb | A thumbnail image package.
See Also
SpecificIndexEntry Class
SpecificIndexEntry Members
s3pi.Filetable Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SpecificIndexEntry.RequestedRK Property

SpecificIndexEntry RequestedRK Property s3pi library documentation
The resource key by which this item was requested.

Namespace: s3pi.Filetable
Assembly: s3pi.Filetable (in s3pi.Filetable.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public RK RequestedRK { get; private set; }
public RK RequestedRK { get; private set; }
Public Property RequestedRK As RK
    Get
    Private Set
Public Property RequestedRK As RK
    Get
    Private Set
public:
property RK^ RequestedRK {
    RK^ get ();
    private: void set (RK^ value);
}
public:
property RK^ RequestedRK {
    RK^ get ();
    private: void set (RK^ value);
}
Property Value
Type: RK
See Also
SpecificIndexEntry Class
SpecificIndexEntry Members
s3pi.Filetable Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SpecificIndexEntry.ResourceIndexEntry Property

SpecificIndexEntry ResourceIndexEntry Property s3pi library documentation
The IResourceIndexEntry in the package that refers to the requested resource key. This is dynamically resolved when first referenced.

Namespace: s3pi.Filetable
Assembly: s3pi.Filetable (in s3pi.Filetable.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public IResourceIndexEntry ResourceIndexEntry { get; }
public IResourceIndexEntry ResourceIndexEntry { get; }
Public ReadOnly Property ResourceIndexEntry As IResourceIndexEntry
    Get
Public ReadOnly Property ResourceIndexEntry As IResourceIndexEntry
    Get
public:
property IResourceIndexEntry^ ResourceIndexEntry {
    IResourceIndexEntry^ get ();
}
public:
property IResourceIndexEntry^ ResourceIndexEntry {
    IResourceIndexEntry^ get ();
}
Property Value
Type: IResourceIndexEntry
See Also
SpecificIndexEntry Class
SpecificIndexEntry Members
s3pi.Filetable Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SpecificIndexEntry.RGVsn Property

SpecificIndexEntry RGVsn Property s3pi library documentation
The Name for the Game with the Resource Group Version of this item, or an empty string for the base game. References ResourceIndexEntry.

Namespace: s3pi.Filetable
Assembly: s3pi.Filetable (in s3pi.Filetable.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public string RGVsn { get; }
public string RGVsn { get; }
Public ReadOnly Property RGVsn As String
    Get
Public ReadOnly Property RGVsn As String
    Get
public:
property String^ RGVsn {
    String^ get ();
}
public:
property String^ RGVsn {
    String^ get ();
}
Property Value
Type:   Online String
See Also
SpecificIndexEntry Class
SpecificIndexEntry Members
s3pi.Filetable Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SpecificResource Class

SpecificResource Class s3pi library documentation
SpecificResource extends SpecificIndexEntry to provide methods relating to IResource manipulation.
Inheritance Hierarchy
Online System Object
s3pi.Filetable SpecificIndexEntry
s3pi.Filetable SpecificResource

Namespace: s3pi.Filetable
Assembly: s3pi.Filetable (in s3pi.Filetable.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public class SpecificResource : SpecificIndexEntry
public class SpecificResource : SpecificIndexEntry
Public Class SpecificResource
    Inherits SpecificIndexEntry
Public Class SpecificResource
    Inherits SpecificIndexEntry
public ref class SpecificResource : public SpecificIndexEntry
public ref class SpecificResource : public SpecificIndexEntry
See Also
SpecificResource Members
s3pi.Filetable Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SpecificResource Members

SpecificResource Members s3pi library documentation

The SpecificResource type exposes the following members.
Constructors
 | Name | Description
Public method | SpecificResource(PathPackageTuple, IResourceIndexEntry, Boolean) | Extends the SpecificIndexEntry constructor by allowing an optional flag indicating whether to always resolve the request for Resource using the default wrapper.
Public method | SpecificResource(List PathPackageTuple , IResourceKey, Boolean) | Extends the SpecificIndexEntry constructor by allowing an optional flag indicating whether to always resolve the request for Resource using the default wrapper.
Back to Top
Methods
 | Name | Description
Public method | Commit | Replaces the resource in the package with the current value.
Back to Top
Properties
 | Name | Description
Public property | DefaultWrapper | When true, this SpecificResource was created specifying that the default wrapper should always be used.
Public property | Exception | Contains any exception thrown as a result of attempting to retrieve the Resource.
Public property | Resource | Returns the IResource represented by this SpecificResource, or null if the resource could not be retrieved due to an exception.
Back to Top
See Also
SpecificResource Class
s3pi.Filetable Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SpecificResource Constructor

SpecificResource Constructor s3pi library documentation
Overload List
 | Name | Description
Public method | SpecificResource(PathPackageTuple, IResourceIndexEntry, Boolean) | Extends the SpecificIndexEntry constructor by allowing an optional flag indicating whether to always resolve the request for Resource using the default wrapper.
Public method | SpecificResource(List PathPackageTuple , IResourceKey, Boolean) | Extends the SpecificIndexEntry constructor by allowing an optional flag indicating whether to always resolve the request for Resource using the default wrapper.
Back to Top
See Also
SpecificResource Class
SpecificResource Members
s3pi.Filetable Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SpecificResource Constructor (PathPackageTuple, IResourceIndexEntry, Boolean)

SpecificResource Constructor (PathPackageTuple, IResourceIndexEntry, Boolean) s3pi library documentation
Extends the SpecificIndexEntry constructor by allowing an optional flag indicating whether to always resolve the request for Resource using the default wrapper.

Namespace: s3pi.Filetable
Assembly: s3pi.Filetable (in s3pi.Filetable.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public SpecificResource(
    PathPackageTuple ppt,
    IResourceIndexEntry specificRK,
    bool defaultWrapper = false
)
public SpecificResource(
    PathPackageTuple ppt,
    IResourceIndexEntry specificRK,
    bool defaultWrapper = false
)
Public Sub New (
    ppt As PathPackageTuple,
    specificRK As IResourceIndexEntry,
    Optional defaultWrapper As Boolean = false
)
Public Sub New (
    ppt As PathPackageTuple,
    specificRK As IResourceIndexEntry,
    Optional defaultWrapper As Boolean = false
)
public:
SpecificResource(
    PathPackageTuple^ ppt,
    IResourceIndexEntry^ specificRK,
    bool defaultWrapper = false
)
public:
SpecificResource(
    PathPackageTuple^ ppt,
    IResourceIndexEntry^ specificRK,
    bool defaultWrapper = false
)
Parameters
ppt
Type: s3pi.Filetable PathPackageTuple
The PathPackageTuple to use to resolve the request.
specificRK
Type: s3pi.Interfaces IResourceIndexEntry
The requested IResourceIndexEntry.
defaultWrapper (Optional)
Type:   Online System Boolean
If true, always resolve the request for Resource using the default wrapper;
            otherwise GetResource(Int32, IPackage, IResourceIndexEntry, Boolean) will determine the correct resource wrapper.
See Also
SpecificResource Class
SpecificResource Members
SpecificResource Overload
s3pi.Filetable Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SpecificResource Constructor (List(PathPackageTuple), IResourceKey, Boolean)

SpecificResource Constructor (List PathPackageTuple , IResourceKey, Boolean) s3pi library documentation
Extends the SpecificIndexEntry constructor by allowing an optional flag indicating whether to always resolve the request for Resource using the default wrapper.

Namespace: s3pi.Filetable
Assembly: s3pi.Filetable (in s3pi.Filetable.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public SpecificResource(
    List<PathPackageTuple> searchList,
    IResourceKey requestedRK,
    bool defaultWrapper = false
)
public SpecificResource(
    List<PathPackageTuple> searchList,
    IResourceKey requestedRK,
    bool defaultWrapper = false
)
Public Sub New (
    searchList As List(Of PathPackageTuple),
    requestedRK As IResourceKey,
    Optional defaultWrapper As Boolean = false
)
Public Sub New (
    searchList As List(Of PathPackageTuple),
    requestedRK As IResourceKey,
    Optional defaultWrapper As Boolean = false
)
public:
SpecificResource(
    List<PathPackageTuple^>^ searchList,
    IResourceKey^ requestedRK,
    bool defaultWrapper = false
)
public:
SpecificResource(
    List<PathPackageTuple^>^ searchList,
    IResourceKey^ requestedRK,
    bool defaultWrapper = false
)
Parameters
searchList
Type:   Online System.Collections.Generic List  PathPackageTuple
One of the FileTable vendor search lists.
requestedRK
Type: s3pi.Interfaces IResourceKey
The IResourceKey to look up.
defaultWrapper (Optional)
Type:   Online System Boolean
If true, always resolve the request for Resource using the default wrapper;
            otherwise GetResource(Int32, IPackage, IResourceIndexEntry, Boolean) will determine the correct resource wrapper.
See Also
SpecificResource Class
SpecificResource Members
SpecificResource Overload
s3pi.Filetable Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SpecificResource Methods

SpecificResource Methods s3pi library documentation
The SpecificResource type exposes the following members.
Methods
 | Name | Description
Public method | Commit | Replaces the resource in the package with the current value.
Back to Top
See Also
SpecificResource Class
s3pi.Filetable Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SpecificResource.Commit Method

SpecificResource Commit Method s3pi library documentation
Replaces the resource in the package with the current value.

Namespace: s3pi.Filetable
Assembly: s3pi.Filetable (in s3pi.Filetable.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void Commit()
public void Commit()
Public Sub Commit
Public Sub Commit
public:
void Commit()
public:
void Commit()
See Also
SpecificResource Class
SpecificResource Members
s3pi.Filetable Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SpecificResource Properties

SpecificResource Properties s3pi library documentation
The SpecificResource type exposes the following members.
Properties
 | Name | Description
Public property | DefaultWrapper | When true, this SpecificResource was created specifying that the default wrapper should always be used.
Public property | Exception | Contains any exception thrown as a result of attempting to retrieve the Resource.
Public property | Resource | Returns the IResource represented by this SpecificResource, or null if the resource could not be retrieved due to an exception.
Back to Top
See Also
SpecificResource Class
s3pi.Filetable Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SpecificResource.DefaultWrapper Property

SpecificResource DefaultWrapper Property s3pi library documentation
When true, this SpecificResource was created specifying that the default wrapper should always be used.

Namespace: s3pi.Filetable
Assembly: s3pi.Filetable (in s3pi.Filetable.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public bool DefaultWrapper { get; private set; }
public bool DefaultWrapper { get; private set; }
Public Property DefaultWrapper As Boolean
    Get
    Private Set
Public Property DefaultWrapper As Boolean
    Get
    Private Set
public:
property bool DefaultWrapper {
    bool get ();
    private: void set (bool value);
}
public:
property bool DefaultWrapper {
    bool get ();
    private: void set (bool value);
}
Property Value
Type:   Online Boolean
See Also
SpecificResource Class
SpecificResource Members
s3pi.Filetable Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SpecificResource.Exception Property

SpecificResource Exception Property s3pi library documentation
Contains any exception thrown as a result of attempting to retrieve the Resource.

Namespace: s3pi.Filetable
Assembly: s3pi.Filetable (in s3pi.Filetable.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public Exception Exception { get; private set; }
public Exception Exception { get; private set; }
Public Property Exception As Exception
    Get
    Private Set
Public Property Exception As Exception
    Get
    Private Set
public:
property Exception^ Exception {
    Exception^ get ();
    private: void set (Exception^ value);
}
public:
property Exception^ Exception {
    Exception^ get ();
    private: void set (Exception^ value);
}
Property Value
Type:   Online Exception
See Also
SpecificResource Class
SpecificResource Members
s3pi.Filetable Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SpecificResource.Resource Property

SpecificResource Resource Property s3pi library documentation
Returns the IResource represented by this SpecificResource, or null if the resource could not be retrieved due to an exception.

Namespace: s3pi.Filetable
Assembly: s3pi.Filetable (in s3pi.Filetable.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public IResource Resource { get; }
public IResource Resource { get; }
Public ReadOnly Property Resource As IResource
    Get
Public ReadOnly Property Resource As IResource
    Get
public:
property IResource^ Resource {
    IResource^ get ();
}
public:
property IResource^ Resource {
    IResource^ get ();
}
Property Value
Type: IResource
See Also
SpecificResource Class
SpecificResource Members
s3pi.Filetable Namespace
SpecificResource Exception
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


s3pi.GenericRCOLResource Namespace

s3pi.GenericRCOLResource Namespace s3pi library documentation
When using the s3pi.GenericRCOLResource assembly, ensure RCOLResources.txt resides in the same folder as the assembly at run time.
Classes
 | Class | Description
Public class | DefaultRCOL | An RCOL block handler that "does nothing", providing the minimal support required for any RCOL block in a GenericRCOLResource.
Public class | GenericRCOLResource | A resource wrapper that understands RCOL resources and manages the blocks within.
Public class | GenericRCOLResource ChunkEntry | GenericRCOLResource ChunkEntry couples the TGIBlock identifier with the ARCOLBlock for ease of handling in a single list.
Public class | GenericRCOLResource ChunkEntryList | A DependentList T containing GenericRCOLResource ChunkEntry values.
Public class | GenericRCOLResource ChunkReference | Manages RCOL references to other RCOL blocks or other resources.
Public class | GenericRCOLResourceHandler | ResourceHandler for GenericRCOLResource wrapper.
Enumerations
 | Enumeration | Description
Public enumeration | GenericRCOLResource ReferenceType | The indicator bits for a GenericRCOLResource ChunkReference.

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DefaultRCOL Class

DefaultRCOL Class s3pi library documentation
An RCOL block handler that "does nothing", providing the minimal support required for any RCOL block in a GenericRCOLResource.
Inheritance Hierarchy
Online System Object
s3pi.Interfaces AApiVersionedFields
s3pi.Interfaces AHandlerElement
s3pi.Interfaces ARCOLBlock
s3pi.GenericRCOLResource DefaultRCOL

Namespace: s3pi.GenericRCOLResource
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public sealed class DefaultRCOL : ARCOLBlock
public sealed class DefaultRCOL : ARCOLBlock
Public NotInheritable Class DefaultRCOL
    Inherits ARCOLBlock
Public NotInheritable Class DefaultRCOL
    Inherits ARCOLBlock
public ref class DefaultRCOL sealed : public ARCOLBlock
public ref class DefaultRCOL sealed : public ARCOLBlock
See Also
DefaultRCOL Members
s3pi.GenericRCOLResource Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DefaultRCOL Members

DefaultRCOL Members s3pi library documentation

The DefaultRCOL type exposes the following members.
Constructors
 | Name | Description
Public method | DefaultRCOL(Int32, EventHandler) | DefaultRCOL does not provide a constructor that CreateRCOLBlock(Int32, EventHandler, UInt32) can call. Calling this constructor throws a Online NotImplementedException.
Public method | DefaultRCOL(Int32, EventHandler, DefaultRCOL) | Create a new instance from an existing instance.
Public method | DefaultRCOL(Int32, EventHandler, Stream) | Read the block data from the Online Stream provided.
Back to Top
Methods
 | Name | Description
Public method | UnParse | Return the data in a Online Stream. (Overrides ARCOLBlock UnParse .)
Back to Top
Properties
 | Name | Description
Public property | ResourceType | DefaultRCOL only supplies "ResourceType" for GenericRCOLResourceHandler. It returns (uint)-1. (Overrides ARCOLBlock ResourceType.)
Public property | Tag | DefaultRCOL only supplies "Tag" for GenericRCOLResourceHandler. It returns "*" to indicate it is the default RCOL block handler. (Overrides ARCOLBlock Tag.)
Public property | Value | A default string to display, identifying any tag within the data and the length of the data block.
Back to Top
See Also
DefaultRCOL Class
s3pi.GenericRCOLResource Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DefaultRCOL Constructor

DefaultRCOL Constructor s3pi library documentation
Overload List
 | Name | Description
Public method | DefaultRCOL(Int32, EventHandler) | DefaultRCOL does not provide a constructor that CreateRCOLBlock(Int32, EventHandler, UInt32) can call. Calling this constructor throws a Online NotImplementedException.
Public method | DefaultRCOL(Int32, EventHandler, DefaultRCOL) | Create a new instance from an existing instance.
Public method | DefaultRCOL(Int32, EventHandler, Stream) | Read the block data from the Online Stream provided.
Back to Top
See Also
DefaultRCOL Class
DefaultRCOL Members
s3pi.GenericRCOLResource Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DefaultRCOL Constructor (Int32, EventHandler)

DefaultRCOL Constructor (Int32, EventHandler) s3pi library documentation
DefaultRCOL does not provide a constructor that CreateRCOLBlock(Int32, EventHandler, UInt32) can call.

Calling this constructor throws a Online NotImplementedException.

Namespace: s3pi.GenericRCOLResource
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public DefaultRCOL(
    int APIversion,
    EventHandler handler
)
public DefaultRCOL(
    int APIversion,
    EventHandler handler
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler
)
public:
DefaultRCOL(
    int APIversion,
    EventHandler^ handler
)
public:
DefaultRCOL(
    int APIversion,
    EventHandler^ handler
)
Parameters
APIversion
Type:   Online System Int32
Unused.
handler
Type:   Online System EventHandler
Unused.
Exceptions
Exception | Condition
Online System NotImplementedException | Thrown if this constructor is called.
See Also
DefaultRCOL Class
DefaultRCOL Members
DefaultRCOL Overload
s3pi.GenericRCOLResource Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DefaultRCOL Constructor (Int32, EventHandler, DefaultRCOL)

DefaultRCOL Constructor (Int32, EventHandler, DefaultRCOL) s3pi library documentation
Create a new instance from an existing instance.

Namespace: s3pi.GenericRCOLResource
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public DefaultRCOL(
    int APIversion,
    EventHandler handler,
    DefaultRCOL basis
)
public DefaultRCOL(
    int APIversion,
    EventHandler handler,
    DefaultRCOL basis
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler,
    basis As DefaultRCOL
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler,
    basis As DefaultRCOL
)
public:
DefaultRCOL(
    int APIversion,
    EventHandler^ handler,
    DefaultRCOL^ basis
)
public:
DefaultRCOL(
    int APIversion,
    EventHandler^ handler,
    DefaultRCOL^ basis
)
Parameters
APIversion
Type:   Online System Int32
Unused; requested API version.
handler
Type:   Online System EventHandler
Unused; change   Online EventHandler.
basis
Type: s3pi.GenericRCOLResource DefaultRCOL
An existing DefaultRCOL to use as a basis.
See Also
DefaultRCOL Class
DefaultRCOL Members
DefaultRCOL Overload
s3pi.GenericRCOLResource Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DefaultRCOL Constructor (Int32, EventHandler, Stream)

DefaultRCOL Constructor (Int32, EventHandler, Stream) s3pi library documentation
Read the block data from the Online Stream provided.

Namespace: s3pi.GenericRCOLResource
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public DefaultRCOL(
    int APIversion,
    EventHandler handler,
    Stream s
)
public DefaultRCOL(
    int APIversion,
    EventHandler handler,
    Stream s
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler,
    s As Stream
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler,
    s As Stream
)
public:
DefaultRCOL(
    int APIversion,
    EventHandler^ handler,
    Stream^ s
)
public:
DefaultRCOL(
    int APIversion,
    EventHandler^ handler,
    Stream^ s
)
Parameters
APIversion
Type:   Online System Int32
Unused; requested API version.
handler
Type:   Online System EventHandler
Unused; change   Online EventHandler.
s
Type:   Online System.IO Stream
  Online Stream containing the data to read.
See Also
DefaultRCOL Class
DefaultRCOL Members
DefaultRCOL Overload
s3pi.GenericRCOLResource Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DefaultRCOL Methods

DefaultRCOL Methods s3pi library documentation
The DefaultRCOL type exposes the following members.
Methods
 | Name | Description
Public method | UnParse | Return the data in a Online Stream. (Overrides ARCOLBlock UnParse .)
Back to Top
See Also
DefaultRCOL Class
s3pi.GenericRCOLResource Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DefaultRCOL.UnParse Method

DefaultRCOL UnParse Method s3pi library documentation
Return the data in a Online Stream.

Namespace: s3pi.GenericRCOLResource
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override Stream UnParse()
public override Stream UnParse()
Public Overrides Function UnParse As Stream
Public Overrides Function UnParse As Stream
public:
virtual Stream^ UnParse() override
public:
virtual Stream^ UnParse() override
Return Value
Type:   Online Stream
The data in a   Online Stream.
Implements
IRCOLBlock UnParse
See Also
DefaultRCOL Class
DefaultRCOL Members
s3pi.GenericRCOLResource Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DefaultRCOL Properties

DefaultRCOL Properties s3pi library documentation
The DefaultRCOL type exposes the following members.
Properties
 | Name | Description
Public property | ResourceType | DefaultRCOL only supplies "ResourceType" for GenericRCOLResourceHandler. It returns (uint)-1. (Overrides ARCOLBlock ResourceType.)
Public property | Tag | DefaultRCOL only supplies "Tag" for GenericRCOLResourceHandler. It returns "*" to indicate it is the default RCOL block handler. (Overrides ARCOLBlock Tag.)
Public property | Value | A default string to display, identifying any tag within the data and the length of the data block.
Back to Top
See Also
DefaultRCOL Class
s3pi.GenericRCOLResource Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DefaultRCOL.ResourceType Property

DefaultRCOL ResourceType Property s3pi library documentation
DefaultRCOL only supplies "ResourceType" for GenericRCOLResourceHandler.

It returns (uint)-1.

Namespace: s3pi.GenericRCOLResource
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[ElementPriorityAttribute(3)]
public override uint ResourceType { get; }
[ElementPriorityAttribute(3)]
public override uint ResourceType { get; }
<ElementPriorityAttribute(3)>
Public Overrides ReadOnly Property ResourceType As UInteger
    Get
<ElementPriorityAttribute(3)>
Public Overrides ReadOnly Property ResourceType As UInteger
    Get
public:
[ElementPriorityAttribute(3)]
virtual property unsigned int ResourceType {
    unsigned int get () override;
}
public:
[ElementPriorityAttribute(3)]
virtual property unsigned int ResourceType {
    unsigned int get () override;
}
Property Value
Type:   Online UInt32
Implements
IRCOLBlock ResourceType
See Also
DefaultRCOL Class
DefaultRCOL Members
s3pi.GenericRCOLResource Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DefaultRCOL.Tag Property

DefaultRCOL Tag Property s3pi library documentation
DefaultRCOL only supplies "Tag" for GenericRCOLResourceHandler.

It returns "*" to indicate it is the default RCOL block handler.

Namespace: s3pi.GenericRCOLResource
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[ElementPriorityAttribute(2)]
public override string Tag { get; }
[ElementPriorityAttribute(2)]
public override string Tag { get; }
<ElementPriorityAttribute(2)>
Public Overrides ReadOnly Property Tag As String
    Get
<ElementPriorityAttribute(2)>
Public Overrides ReadOnly Property Tag As String
    Get
public:
[ElementPriorityAttribute(2)]
virtual property String^ Tag {
    String^ get () override;
}
public:
[ElementPriorityAttribute(2)]
virtual property String^ Tag {
    String^ get () override;
}
Property Value
Type:   Online String
Implements
IRCOLBlock Tag
See Also
DefaultRCOL Class
DefaultRCOL Members
s3pi.GenericRCOLResource Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DefaultRCOL.Value Property

DefaultRCOL Value Property s3pi library documentation
A default string to display, identifying any tag within the data and the length of the data block.

Namespace: s3pi.GenericRCOLResource
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public string Value { get; }
public string Value { get; }
Public ReadOnly Property Value As String
    Get
Public ReadOnly Property Value As String
    Get
public:
property String^ Value {
    String^ get ();
}
public:
property String^ Value {
    String^ get ();
}
Property Value
Type:   Online String
See Also
DefaultRCOL Class
DefaultRCOL Members
s3pi.GenericRCOLResource Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GenericRCOLResource Class

GenericRCOLResource Class s3pi library documentation
A resource wrapper that understands RCOL resources and manages the blocks within.
Inheritance Hierarchy
Online System Object
s3pi.Interfaces AApiVersionedFields
s3pi.Interfaces AResource
s3pi.GenericRCOLResource GenericRCOLResource

Namespace: s3pi.GenericRCOLResource
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public class GenericRCOLResource : AResource
public class GenericRCOLResource : AResource
Public Class GenericRCOLResource
    Inherits AResource
Public Class GenericRCOLResource
    Inherits AResource
public ref class GenericRCOLResource : public AResource
public ref class GenericRCOLResource : public AResource
See Also
GenericRCOLResource Members
s3pi.GenericRCOLResource Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GenericRCOLResource Members

GenericRCOLResource Members s3pi library documentation

The GenericRCOLResource type exposes the following members.
Constructors
 | Name | Description
Public method | GenericRCOLResource | Instantiate a new GenericRCOLResource from the supplied Online Stream.
Back to Top
Methods
 | Name | Description
Protected method | UnParse | Return a Online Stream containing the data in this GenericRCOLResource instance. (Overrides AResource UnParse .)
Back to Top
Fields
 | Name | Description
Protected field | blockList | The list of GenericRCOLResource ChunkEntry values for RCOL blocks within this resource.
Protected field | publicChunks | The number of "public" RCOL blocks in the resource.
Protected field | resources | The list of TGIBlocks referenced for resources external to this resource.
Protected field | unused | Unknown.
Protected field | version | The version of this RCOL resource.
Back to Top
Properties
 | Name | Description
Public property | ChunkEntries | The list of GenericRCOLResource ChunkEntry values for RCOL blocks within this resource.
Public property | PublicChunks | The number of "public" RCOL blocks in the resource.
Public property | RecommendedApiVersion | Return the version number that this wrapper prefers to be called with (the default if passed zero). (Overrides AApiVersionedFields RecommendedApiVersion.)
Public property | Resources | The list of TGIBlocks referenced for resources external to this resource.
Public property | Unused | Unknown.
Public property | Value | A displayable string representing the content of this resource.
Public property | Version | The version of this RCOL resource.
Back to Top
See Also
GenericRCOLResource Class
s3pi.GenericRCOLResource Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GenericRCOLResource Constructor

GenericRCOLResource Constructor s3pi library documentation
Instantiate a new GenericRCOLResource from the supplied Online Stream.

Namespace: s3pi.GenericRCOLResource
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public GenericRCOLResource(
    int APIversion,
    Stream s
)
public GenericRCOLResource(
    int APIversion,
    Stream s
)
Public Sub New (
    APIversion As Integer,
    s As Stream
)
Public Sub New (
    APIversion As Integer,
    s As Stream
)
public:
GenericRCOLResource(
    int APIversion,
    Stream^ s
)
public:
GenericRCOLResource(
    int APIversion,
    Stream^ s
)
Parameters
APIversion
Type:   Online System Int32
Unused; requested API version.
s
Type:   Online System.IO Stream
The   Online Stream to read the resource in from.
See Also
GenericRCOLResource Class
GenericRCOLResource Members
s3pi.GenericRCOLResource Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GenericRCOLResource Fields

GenericRCOLResource Fields s3pi library documentation
The GenericRCOLResource type exposes the following members.
Fields
 | Name | Description
Protected field | blockList | The list of GenericRCOLResource ChunkEntry values for RCOL blocks within this resource.
Protected field | publicChunks | The number of "public" RCOL blocks in the resource.
Protected field | resources | The list of TGIBlocks referenced for resources external to this resource.
Protected field | unused | Unknown.
Protected field | version | The version of this RCOL resource.
Back to Top
See Also
GenericRCOLResource Class
s3pi.GenericRCOLResource Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GenericRCOLResource.blockList Field

GenericRCOLResource blockList Field s3pi library documentation
The list of GenericRCOLResource ChunkEntry values for RCOL blocks within this resource.

Namespace: s3pi.GenericRCOLResource
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected GenericRCOLResource..::..ChunkEntryList blockList
protected GenericRCOLResource..::..ChunkEntryList blockList
Protected blockList As GenericRCOLResource..::..ChunkEntryList
Protected blockList As GenericRCOLResource..::..ChunkEntryList
protected:
GenericRCOLResource..::..ChunkEntryList^ blockList
protected:
GenericRCOLResource..::..ChunkEntryList^ blockList
Field Value
Type: GenericRCOLResource ChunkEntryList
See Also
GenericRCOLResource Class
GenericRCOLResource Members
s3pi.GenericRCOLResource Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GenericRCOLResource.publicChunks Field

GenericRCOLResource publicChunks Field s3pi library documentation
The number of "public" RCOL blocks in the resource.

Namespace: s3pi.GenericRCOLResource
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected int publicChunks
protected int publicChunks
Protected publicChunks As Integer
Protected publicChunks As Integer
protected:
int publicChunks
protected:
int publicChunks
Field Value
Type:   Online Int32
See Also
GenericRCOLResource Class
GenericRCOLResource Members
s3pi.GenericRCOLResource Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GenericRCOLResource.resources Field

GenericRCOLResource resources Field s3pi library documentation
The list of TGIBlocks referenced for resources external to this resource.

Namespace: s3pi.GenericRCOLResource
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected CountedTGIBlockList resources
protected CountedTGIBlockList resources
Protected resources As CountedTGIBlockList
Protected resources As CountedTGIBlockList
protected:
CountedTGIBlockList^ resources
protected:
CountedTGIBlockList^ resources
Field Value
Type: CountedTGIBlockList
See Also
GenericRCOLResource Class
GenericRCOLResource Members
s3pi.GenericRCOLResource Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GenericRCOLResource.unused Field

GenericRCOLResource unused Field s3pi library documentation
Unknown.

Namespace: s3pi.GenericRCOLResource
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected uint unused
protected uint unused
Protected unused As UInteger
Protected unused As UInteger
protected:
unsigned int unused
protected:
unsigned int unused
Field Value
Type:   Online UInt32
See Also
GenericRCOLResource Class
GenericRCOLResource Members
s3pi.GenericRCOLResource Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GenericRCOLResource.version Field

GenericRCOLResource version Field s3pi library documentation
The version of this RCOL resource.

Namespace: s3pi.GenericRCOLResource
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected uint version
protected uint version
Protected version As UInteger
Protected version As UInteger
protected:
unsigned int version
protected:
unsigned int version
Field Value
Type:   Online UInt32
See Also
GenericRCOLResource Class
GenericRCOLResource Members
s3pi.GenericRCOLResource Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GenericRCOLResource Methods

GenericRCOLResource Methods s3pi library documentation
The GenericRCOLResource type exposes the following members.
Methods
 | Name | Description
Protected method | UnParse | Return a Online Stream containing the data in this GenericRCOLResource instance. (Overrides AResource UnParse .)
Back to Top
See Also
GenericRCOLResource Class
s3pi.GenericRCOLResource Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GenericRCOLResource.UnParse Method

GenericRCOLResource UnParse Method s3pi library documentation
Return a Online Stream containing the data in this GenericRCOLResource instance.

Namespace: s3pi.GenericRCOLResource
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected override Stream UnParse()
protected override Stream UnParse()
Protected Overrides Function UnParse As Stream
Protected Overrides Function UnParse As Stream
protected:
virtual Stream^ UnParse() override
protected:
virtual Stream^ UnParse() override
Return Value
Type:   Online Stream
A   Online Stream containing the data in this GenericRCOLResource instance.
See Also
GenericRCOLResource Class
GenericRCOLResource Members
s3pi.GenericRCOLResource Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GenericRCOLResource Properties

GenericRCOLResource Properties s3pi library documentation
The GenericRCOLResource type exposes the following members.
Properties
 | Name | Description
Public property | ChunkEntries | The list of GenericRCOLResource ChunkEntry values for RCOL blocks within this resource.
Public property | PublicChunks | The number of "public" RCOL blocks in the resource.
Public property | RecommendedApiVersion | Return the version number that this wrapper prefers to be called with (the default if passed zero). (Overrides AApiVersionedFields RecommendedApiVersion.)
Public property | Resources | The list of TGIBlocks referenced for resources external to this resource.
Public property | Unused | Unknown.
Public property | Value | A displayable string representing the content of this resource.
Public property | Version | The version of this RCOL resource.
Back to Top
See Also
GenericRCOLResource Class
s3pi.GenericRCOLResource Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GenericRCOLResource.ChunkEntries Property

GenericRCOLResource ChunkEntries Property s3pi library documentation
The list of GenericRCOLResource ChunkEntry values for RCOL blocks within this resource.

Namespace: s3pi.GenericRCOLResource
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[ElementPriorityAttribute(5)]
public GenericRCOLResource..::..ChunkEntryList ChunkEntries { get; set; }
[ElementPriorityAttribute(5)]
public GenericRCOLResource..::..ChunkEntryList ChunkEntries { get; set; }
<ElementPriorityAttribute(5)>
Public Property ChunkEntries As GenericRCOLResource..::..ChunkEntryList
    Get
    Set
<ElementPriorityAttribute(5)>
Public Property ChunkEntries As GenericRCOLResource..::..ChunkEntryList
    Get
    Set
public:
[ElementPriorityAttribute(5)]
property GenericRCOLResource..::..ChunkEntryList^ ChunkEntries {
    GenericRCOLResource..::..ChunkEntryList^ get ();
    void set (GenericRCOLResource..::..ChunkEntryList^ value);
}
public:
[ElementPriorityAttribute(5)]
property GenericRCOLResource..::..ChunkEntryList^ ChunkEntries {
    GenericRCOLResource..::..ChunkEntryList^ get ();
    void set (GenericRCOLResource..::..ChunkEntryList^ value);
}
Property Value
Type: GenericRCOLResource ChunkEntryList
See Also
GenericRCOLResource Class
GenericRCOLResource Members
s3pi.GenericRCOLResource Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GenericRCOLResource.PublicChunks Property

GenericRCOLResource PublicChunks Property s3pi library documentation
The number of "public" RCOL blocks in the resource.

Namespace: s3pi.GenericRCOLResource
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[ElementPriorityAttribute(2)]
public int PublicChunks { get; set; }
[ElementPriorityAttribute(2)]
public int PublicChunks { get; set; }
<ElementPriorityAttribute(2)>
Public Property PublicChunks As Integer
    Get
    Set
<ElementPriorityAttribute(2)>
Public Property PublicChunks As Integer
    Get
    Set
public:
[ElementPriorityAttribute(2)]
property int PublicChunks {
    int get ();
    void set (int value);
}
public:
[ElementPriorityAttribute(2)]
property int PublicChunks {
    int get ();
    void set (int value);
}
Property Value
Type:   Online Int32
See Also
GenericRCOLResource Class
GenericRCOLResource Members
s3pi.GenericRCOLResource Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GenericRCOLResource.RecommendedApiVersion Property

GenericRCOLResource RecommendedApiVersion Property s3pi library documentation
Return the version number that this wrapper prefers to be called with (the default if passed zero).

Namespace: s3pi.GenericRCOLResource
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override int RecommendedApiVersion { get; }
public override int RecommendedApiVersion { get; }
Public Overrides ReadOnly Property RecommendedApiVersion As Integer
    Get
Public Overrides ReadOnly Property RecommendedApiVersion As Integer
    Get
public:
virtual property int RecommendedApiVersion {
    int get () override;
}
public:
virtual property int RecommendedApiVersion {
    int get () override;
}
Property Value
Type:   Online Int32
Implements
IApiVersion RecommendedApiVersion
Remarks
This wrapper returns 1 and is not sensitive to API version.
See Also
GenericRCOLResource Class
GenericRCOLResource Members
s3pi.GenericRCOLResource Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GenericRCOLResource.Resources Property

GenericRCOLResource Resources Property s3pi library documentation
The list of TGIBlocks referenced for resources external to this resource.

Namespace: s3pi.GenericRCOLResource
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[ElementPriorityAttribute(4)]
public CountedTGIBlockList Resources { get; set; }
[ElementPriorityAttribute(4)]
public CountedTGIBlockList Resources { get; set; }
<ElementPriorityAttribute(4)>
Public Property Resources As CountedTGIBlockList
    Get
    Set
<ElementPriorityAttribute(4)>
Public Property Resources As CountedTGIBlockList
    Get
    Set
public:
[ElementPriorityAttribute(4)]
property CountedTGIBlockList^ Resources {
    CountedTGIBlockList^ get ();
    void set (CountedTGIBlockList^ value);
}
public:
[ElementPriorityAttribute(4)]
property CountedTGIBlockList^ Resources {
    CountedTGIBlockList^ get ();
    void set (CountedTGIBlockList^ value);
}
Property Value
Type: CountedTGIBlockList
See Also
GenericRCOLResource Class
GenericRCOLResource Members
s3pi.GenericRCOLResource Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GenericRCOLResource.Unused Property

GenericRCOLResource Unused Property s3pi library documentation
Unknown.

Namespace: s3pi.GenericRCOLResource
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[ElementPriorityAttribute(3)]
public uint Unused { get; set; }
[ElementPriorityAttribute(3)]
public uint Unused { get; set; }
<ElementPriorityAttribute(3)>
Public Property Unused As UInteger
    Get
    Set
<ElementPriorityAttribute(3)>
Public Property Unused As UInteger
    Get
    Set
public:
[ElementPriorityAttribute(3)]
property unsigned int Unused {
    unsigned int get ();
    void set (unsigned int value);
}
public:
[ElementPriorityAttribute(3)]
property unsigned int Unused {
    unsigned int get ();
    void set (unsigned int value);
}
Property Value
Type:   Online UInt32
See Also
GenericRCOLResource Class
GenericRCOLResource Members
s3pi.GenericRCOLResource Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GenericRCOLResource.Value Property

GenericRCOLResource Value Property s3pi library documentation
A displayable string representing the content of this resource.

Namespace: s3pi.GenericRCOLResource
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public string Value { get; }
public string Value { get; }
Public ReadOnly Property Value As String
    Get
Public ReadOnly Property Value As String
    Get
public:
property String^ Value {
    String^ get ();
}
public:
property String^ Value {
    String^ get ();
}
Property Value
Type:   Online String
See Also
GenericRCOLResource Class
GenericRCOLResource Members
s3pi.GenericRCOLResource Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GenericRCOLResource.Version Property

GenericRCOLResource Version Property s3pi library documentation
The version of this RCOL resource.

Namespace: s3pi.GenericRCOLResource
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[ElementPriorityAttribute(1)]
public uint Version { get; set; }
[ElementPriorityAttribute(1)]
public uint Version { get; set; }
<ElementPriorityAttribute(1)>
Public Property Version As UInteger
    Get
    Set
<ElementPriorityAttribute(1)>
Public Property Version As UInteger
    Get
    Set
public:
[ElementPriorityAttribute(1)]
property unsigned int Version {
    unsigned int get ();
    void set (unsigned int value);
}
public:
[ElementPriorityAttribute(1)]
property unsigned int Version {
    unsigned int get ();
    void set (unsigned int value);
}
Property Value
Type:   Online UInt32
See Also
GenericRCOLResource Class
GenericRCOLResource Members
s3pi.GenericRCOLResource Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GenericRCOLResource.ChunkEntry Class

GenericRCOLResource ChunkEntry Class s3pi library documentation
GenericRCOLResource ChunkEntry couples the TGIBlock identifier with the ARCOLBlock for ease of handling in a single list.
Inheritance Hierarchy
Online System Object
s3pi.Interfaces AApiVersionedFields
s3pi.Interfaces AHandlerElement
s3pi.GenericRCOLResource GenericRCOLResource ChunkEntry

Namespace: s3pi.GenericRCOLResource
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public class ChunkEntry : AHandlerElement, IEquatable<GenericRCOLResource..::..ChunkEntry>
public class ChunkEntry : AHandlerElement, IEquatable<GenericRCOLResource..::..ChunkEntry>
Public Class ChunkEntry
    Inherits AHandlerElement
    Implements IEquatable(Of GenericRCOLResource..::..ChunkEntry)
Public Class ChunkEntry
    Inherits AHandlerElement
    Implements IEquatable(Of GenericRCOLResource..::..ChunkEntry)
public ref class ChunkEntry : public AHandlerElement,
    IEquatable<GenericRCOLResource..::..ChunkEntry^>
public ref class ChunkEntry : public AHandlerElement,
    IEquatable<GenericRCOLResource..::..ChunkEntry^>
See Also
GenericRCOLResource ChunkEntry Members
s3pi.GenericRCOLResource Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GenericRCOLResource.ChunkEntry Members

GenericRCOLResource ChunkEntry Members s3pi library documentation

A resource wrapper that understands RCOL resources and manages the blocks within.

The GenericRCOLResource ChunkEntry type exposes the following members.
Constructors
 | Name | Description
Public method | GenericRCOLResource ChunkEntry(Int32, EventHandler, GenericRCOLResource ChunkEntry) | Create a ChunkEntry from an existing GenericRCOLResource ChunkEntry.
Public method | GenericRCOLResource ChunkEntry(Int32, EventHandler, TGIBlock, ARCOLBlock) | Create a ChunkEntry from an existing TGIBlock and an existing ARCOLBlock.
Back to Top
Methods
 | Name | Description
Public method | Equals(Object) | Indicates whether the current GenericRCOLResource ChunkEntry is equal to another object of the same type. (Overrides Online Object Equals(Object).)
Public method | Equals(GenericRCOLResource ChunkEntry) | Indicates whether the current GenericRCOLResource ChunkEntry is equal to another instance.
Public method | GetHashCode | Serves as a hash function for an GenericRCOLResource ChunkEntry. (Overrides Online Object GetHashCode .)
Back to Top
Properties
 | Name | Description
Public property | ContentFields | The visible-to-API list of fields in this class. (Overrides AApiVersionedFields ContentFields.)
Public property | ParentTGIBlocks | Used internally to pass on the list of resource keys.
Public property | RCOLBlock | The RCOL block.
Public property | RecommendedApiVersion | Return the version number that this class prefers to be called with (the default if passed zero). (Overrides AApiVersionedFields RecommendedApiVersion.)
Public property | TGIBlock | The TGIBlock that identifies the RCOL block.
Public property | Value | Returns a formatted string containing the TGIBlock and, where possible, RCOLBlock values.
Back to Top
See Also
GenericRCOLResource ChunkEntry Class
s3pi.GenericRCOLResource Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GenericRCOLResource.ChunkEntry Constructor

GenericRCOLResource ChunkEntry Constructor s3pi library documentation
Overload List
 | Name | Description
Public method | GenericRCOLResource ChunkEntry(Int32, EventHandler, GenericRCOLResource ChunkEntry) | Create a ChunkEntry from an existing GenericRCOLResource ChunkEntry.
Public method | GenericRCOLResource ChunkEntry(Int32, EventHandler, TGIBlock, ARCOLBlock) | Create a ChunkEntry from an existing TGIBlock and an existing ARCOLBlock.
Back to Top
See Also
GenericRCOLResource ChunkEntry Class
GenericRCOLResource ChunkEntry Members
s3pi.GenericRCOLResource Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GenericRCOLResource.ChunkEntry Constructor (Int32, EventHandler, GenericRCOLResource.ChunkEntry)

GenericRCOLResource ChunkEntry Constructor (Int32, EventHandler, GenericRCOLResource ChunkEntry) s3pi library documentation
Create a ChunkEntry from an existing GenericRCOLResource ChunkEntry.

Namespace: s3pi.GenericRCOLResource
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public ChunkEntry(
    int APIversion,
    EventHandler handler,
    GenericRCOLResource..::..ChunkEntry basis
)
public ChunkEntry(
    int APIversion,
    EventHandler handler,
    GenericRCOLResource..::..ChunkEntry basis
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler,
    basis As GenericRCOLResource..::..ChunkEntry
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler,
    basis As GenericRCOLResource..::..ChunkEntry
)
public:
ChunkEntry(
    int APIversion,
    EventHandler^ handler,
    GenericRCOLResource..::..ChunkEntry^ basis
)
public:
ChunkEntry(
    int APIversion,
    EventHandler^ handler,
    GenericRCOLResource..::..ChunkEntry^ basis
)
Parameters
APIversion
Type:   Online System Int32
Unused; the requested API version.
handler
Type:   Online System EventHandler
The change event handler.
basis
Type: s3pi.GenericRCOLResource GenericRCOLResource ChunkEntry
An existing GenericRCOLResource ChunkEntry to use as a basis.
See Also
GenericRCOLResource ChunkEntry Class
GenericRCOLResource ChunkEntry Members
GenericRCOLResource ChunkEntry Overload
s3pi.GenericRCOLResource Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GenericRCOLResource.ChunkEntry Constructor (Int32, EventHandler, TGIBlock, ARCOLBlock)

GenericRCOLResource ChunkEntry Constructor (Int32, EventHandler, TGIBlock, ARCOLBlock) s3pi library documentation
Create a ChunkEntry from an existing TGIBlock and an existing ARCOLBlock.

Namespace: s3pi.GenericRCOLResource
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public ChunkEntry(
    int APIversion,
    EventHandler handler,
    TGIBlock tgiBlock,
    ARCOLBlock rcolBlock
)
public ChunkEntry(
    int APIversion,
    EventHandler handler,
    TGIBlock tgiBlock,
    ARCOLBlock rcolBlock
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler,
    tgiBlock As TGIBlock,
    rcolBlock As ARCOLBlock
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler,
    tgiBlock As TGIBlock,
    rcolBlock As ARCOLBlock
)
public:
ChunkEntry(
    int APIversion,
    EventHandler^ handler,
    TGIBlock^ tgiBlock,
    ARCOLBlock^ rcolBlock
)
public:
ChunkEntry(
    int APIversion,
    EventHandler^ handler,
    TGIBlock^ tgiBlock,
    ARCOLBlock^ rcolBlock
)
Parameters
APIversion
Type:   Online System Int32
Unused; the requested API version.
handler
Type:   Online System EventHandler
The change event handler.
tgiBlock
Type: s3pi.Interfaces TGIBlock
An existing TGIBlock.
rcolBlock
Type: s3pi.Interfaces ARCOLBlock
An existing ARCOLBlock.
See Also
GenericRCOLResource ChunkEntry Class
GenericRCOLResource ChunkEntry Members
GenericRCOLResource ChunkEntry Overload
s3pi.GenericRCOLResource Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GenericRCOLResource.ChunkEntry Methods

GenericRCOLResource ChunkEntry Methods s3pi library documentation
The GenericRCOLResource ChunkEntry type exposes the following members.
Methods
 | Name | Description
Public method | Equals(Object) | Indicates whether the current GenericRCOLResource ChunkEntry is equal to another object of the same type. (Overrides Online Object Equals(Object).)
Public method | Equals(GenericRCOLResource ChunkEntry) | Indicates whether the current GenericRCOLResource ChunkEntry is equal to another instance.
Public method | GetHashCode | Serves as a hash function for an GenericRCOLResource ChunkEntry. (Overrides Online Object GetHashCode .)
Back to Top
See Also
GenericRCOLResource ChunkEntry Class
s3pi.GenericRCOLResource Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GenericRCOLResource.ChunkEntry.Equals Method

GenericRCOLResource ChunkEntry Equals Method s3pi library documentation
Overload List
 | Name | Description
Public method | Equals(Object) | Indicates whether the current GenericRCOLResource ChunkEntry is equal to another object of the same type. (Overrides Online Object Equals(Object).)
Public method | Equals(GenericRCOLResource ChunkEntry) | Indicates whether the current GenericRCOLResource ChunkEntry is equal to another instance.
Back to Top
See Also
GenericRCOLResource ChunkEntry Class
GenericRCOLResource ChunkEntry Members
s3pi.GenericRCOLResource Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GenericRCOLResource.ChunkEntry.Equals Method (Object)

GenericRCOLResource ChunkEntry Equals Method (Object) s3pi library documentation
Indicates whether the current GenericRCOLResource ChunkEntry is equal to another object of the same type.

Namespace: s3pi.GenericRCOLResource
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override bool Equals(
    Object obj
)
public override bool Equals(
    Object obj
)
Public Overrides Function Equals (
    obj As Object
) As Boolean
Public Overrides Function Equals (
    obj As Object
) As Boolean
public:
virtual bool Equals(
    Object^ obj
) override
public:
virtual bool Equals(
    Object^ obj
) override
Parameters
obj
Type:   Online System Object
An object to compare with this GenericRCOLResource ChunkEntry.
Return Value
Type:   Online Boolean
true if the current GenericRCOLResource ChunkEntry is equal to the obj parameter;
            otherwise, false.
See Also
GenericRCOLResource ChunkEntry Class
GenericRCOLResource ChunkEntry Members
Equals Overload
s3pi.GenericRCOLResource Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GenericRCOLResource.ChunkEntry.Equals Method (GenericRCOLResource.ChunkEntry)

GenericRCOLResource ChunkEntry Equals Method (GenericRCOLResource ChunkEntry) s3pi library documentation
Indicates whether the current GenericRCOLResource ChunkEntry is equal to another instance.

Namespace: s3pi.GenericRCOLResource
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public bool Equals(
    GenericRCOLResource..::..ChunkEntry other
)
public bool Equals(
    GenericRCOLResource..::..ChunkEntry other
)
Public Function Equals (
    other As GenericRCOLResource..::..ChunkEntry
) As Boolean
Public Function Equals (
    other As GenericRCOLResource..::..ChunkEntry
) As Boolean
public:
virtual bool Equals(
    GenericRCOLResource..::..ChunkEntry^ other
) sealed
public:
virtual bool Equals(
    GenericRCOLResource..::..ChunkEntry^ other
) sealed
Parameters
other
Type: s3pi.GenericRCOLResource GenericRCOLResource ChunkEntry
Another instance to compare with this GenericRCOLResource ChunkEntry.
Return Value
Type:   Online Boolean
true if the current GenericRCOLResource ChunkEntry is equal to the other parameter;
            otherwise, false.
Implements
  Online IEquatable T  Equals(T)
See Also
GenericRCOLResource ChunkEntry Class
GenericRCOLResource ChunkEntry Members
Equals Overload
s3pi.GenericRCOLResource Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GenericRCOLResource.ChunkEntry.GetHashCode Method

GenericRCOLResource ChunkEntry GetHashCode Method s3pi library documentation
Serves as a hash function for an GenericRCOLResource ChunkEntry.

Namespace: s3pi.GenericRCOLResource
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override int GetHashCode()
public override int GetHashCode()
Public Overrides Function GetHashCode As Integer
Public Overrides Function GetHashCode As Integer
public:
virtual int GetHashCode() override
public:
virtual int GetHashCode() override
Return Value
Type:   Online Int32
A hash code for the current GenericRCOLResource ChunkEntry.
See Also
GenericRCOLResource ChunkEntry Class
GenericRCOLResource ChunkEntry Members
s3pi.GenericRCOLResource Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GenericRCOLResource.ChunkEntry Properties

GenericRCOLResource ChunkEntry Properties s3pi library documentation
The GenericRCOLResource ChunkEntry type exposes the following members.
Properties
 | Name | Description
Public property | ContentFields | The visible-to-API list of fields in this class. (Overrides AApiVersionedFields ContentFields.)
Public property | ParentTGIBlocks | Used internally to pass on the list of resource keys.
Public property | RCOLBlock | The RCOL block.
Public property | RecommendedApiVersion | Return the version number that this class prefers to be called with (the default if passed zero). (Overrides AApiVersionedFields RecommendedApiVersion.)
Public property | TGIBlock | The TGIBlock that identifies the RCOL block.
Public property | Value | Returns a formatted string containing the TGIBlock and, where possible, RCOLBlock values.
Back to Top
See Also
GenericRCOLResource ChunkEntry Class
s3pi.GenericRCOLResource Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GenericRCOLResource.ChunkEntry.ContentFields Property

GenericRCOLResource ChunkEntry ContentFields Property s3pi library documentation
The visible-to-API list of fields in this class.

Namespace: s3pi.GenericRCOLResource
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override List<string> ContentFields { get; }
public override List<string> ContentFields { get; }
Public Overrides ReadOnly Property ContentFields As List(Of String)
    Get
Public Overrides ReadOnly Property ContentFields As List(Of String)
    Get
public:
virtual property List<String^>^ ContentFields {
    List<String^>^ get () override;
}
public:
virtual property List<String^>^ ContentFields {
    List<String^>^ get () override;
}
Property Value
Type:   Online List    Online String
Implements
IContentFields ContentFields
See Also
GenericRCOLResource ChunkEntry Class
GenericRCOLResource ChunkEntry Members
s3pi.GenericRCOLResource Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GenericRCOLResource.ChunkEntry.ParentTGIBlocks Property

GenericRCOLResource ChunkEntry ParentTGIBlocks Property s3pi library documentation
Used internally to pass on the list of resource keys.

Namespace: s3pi.GenericRCOLResource
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public DependentList<TGIBlock> ParentTGIBlocks { get; set; }
public DependentList<TGIBlock> ParentTGIBlocks { get; set; }
Public Property ParentTGIBlocks As DependentList(Of TGIBlock)
    Get
    Set
Public Property ParentTGIBlocks As DependentList(Of TGIBlock)
    Get
    Set
public:
property DependentList<TGIBlock^>^ ParentTGIBlocks {
    DependentList<TGIBlock^>^ get ();
    void set (DependentList<TGIBlock^>^ value);
}
public:
property DependentList<TGIBlock^>^ ParentTGIBlocks {
    DependentList<TGIBlock^>^ get ();
    void set (DependentList<TGIBlock^>^ value);
}
Property Value
Type: DependentList  TGIBlock
See Also
GenericRCOLResource ChunkEntry Class
GenericRCOLResource ChunkEntry Members
s3pi.GenericRCOLResource Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GenericRCOLResource.ChunkEntry.RCOLBlock Property

GenericRCOLResource ChunkEntry RCOLBlock Property s3pi library documentation
The RCOL block.

Namespace: s3pi.GenericRCOLResource
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[ElementPriorityAttribute(2)]
public ARCOLBlock RCOLBlock { get; set; }
[ElementPriorityAttribute(2)]
public ARCOLBlock RCOLBlock { get; set; }
<ElementPriorityAttribute(2)>
Public Property RCOLBlock As ARCOLBlock
    Get
    Set
<ElementPriorityAttribute(2)>
Public Property RCOLBlock As ARCOLBlock
    Get
    Set
public:
[ElementPriorityAttribute(2)]
property ARCOLBlock^ RCOLBlock {
    ARCOLBlock^ get ();
    void set (ARCOLBlock^ value);
}
public:
[ElementPriorityAttribute(2)]
property ARCOLBlock^ RCOLBlock {
    ARCOLBlock^ get ();
    void set (ARCOLBlock^ value);
}
Property Value
Type: ARCOLBlock
See Also
GenericRCOLResource ChunkEntry Class
GenericRCOLResource ChunkEntry Members
s3pi.GenericRCOLResource Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GenericRCOLResource.ChunkEntry.RecommendedApiVersion Property

GenericRCOLResource ChunkEntry RecommendedApiVersion Property s3pi library documentation
Return the version number that this class prefers to be called with (the default if passed zero).

Namespace: s3pi.GenericRCOLResource
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override int RecommendedApiVersion { get; }
public override int RecommendedApiVersion { get; }
Public Overrides ReadOnly Property RecommendedApiVersion As Integer
    Get
Public Overrides ReadOnly Property RecommendedApiVersion As Integer
    Get
public:
virtual property int RecommendedApiVersion {
    int get () override;
}
public:
virtual property int RecommendedApiVersion {
    int get () override;
}
Property Value
Type:   Online Int32
Implements
IApiVersion RecommendedApiVersion
Remarks
This class returns 1 and is not sensitive to API version.
See Also
GenericRCOLResource ChunkEntry Class
GenericRCOLResource ChunkEntry Members
s3pi.GenericRCOLResource Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GenericRCOLResource.ChunkEntry.TGIBlock Property

GenericRCOLResource ChunkEntry TGIBlock Property s3pi library documentation
The TGIBlock that identifies the RCOL block.

Namespace: s3pi.GenericRCOLResource
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[ElementPriorityAttribute(1)]
public TGIBlock TGIBlock { get; set; }
[ElementPriorityAttribute(1)]
public TGIBlock TGIBlock { get; set; }
<ElementPriorityAttribute(1)>
Public Property TGIBlock As TGIBlock
    Get
    Set
<ElementPriorityAttribute(1)>
Public Property TGIBlock As TGIBlock
    Get
    Set
public:
[ElementPriorityAttribute(1)]
property TGIBlock^ TGIBlock {
    TGIBlock^ get ();
    void set (TGIBlock^ value);
}
public:
[ElementPriorityAttribute(1)]
property TGIBlock^ TGIBlock {
    TGIBlock^ get ();
    void set (TGIBlock^ value);
}
Property Value
Type: TGIBlock
See Also
GenericRCOLResource ChunkEntry Class
GenericRCOLResource ChunkEntry Members
s3pi.GenericRCOLResource Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GenericRCOLResource.ChunkEntry.Value Property

GenericRCOLResource ChunkEntry Value Property s3pi library documentation
Returns a formatted string containing the TGIBlock and, where possible, RCOLBlock values.

Namespace: s3pi.GenericRCOLResource
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public string Value { get; }
public string Value { get; }
Public ReadOnly Property Value As String
    Get
Public ReadOnly Property Value As String
    Get
public:
property String^ Value {
    String^ get ();
}
public:
property String^ Value {
    String^ get ();
}
Property Value
Type:   Online String
See Also
GenericRCOLResource ChunkEntry Class
GenericRCOLResource ChunkEntry Members
s3pi.GenericRCOLResource Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GenericRCOLResource.ChunkEntryList Class

GenericRCOLResource ChunkEntryList Class s3pi library documentation
A DependentList T containing GenericRCOLResource ChunkEntry values.
Inheritance Hierarchy
Online System Object
Online System.Collections.Generic List GenericRCOLResource ChunkEntry
System.Collections.Generic AHandlerList GenericRCOLResource ChunkEntry
s3pi.Interfaces DependentList GenericRCOLResource ChunkEntry
s3pi.GenericRCOLResource GenericRCOLResource ChunkEntryList

Namespace: s3pi.GenericRCOLResource
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public class ChunkEntryList : DependentList<GenericRCOLResource..::..ChunkEntry>
public class ChunkEntryList : DependentList<GenericRCOLResource..::..ChunkEntry>
Public Class ChunkEntryList
    Inherits DependentList(Of GenericRCOLResource..::..ChunkEntry)
Public Class ChunkEntryList
    Inherits DependentList(Of GenericRCOLResource..::..ChunkEntry)
public ref class ChunkEntryList : public DependentList<GenericRCOLResource..::..ChunkEntry^>
public ref class ChunkEntryList : public DependentList<GenericRCOLResource..::..ChunkEntry^>
See Also
GenericRCOLResource ChunkEntryList Members
s3pi.GenericRCOLResource Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GenericRCOLResource.ChunkEntryList Members

GenericRCOLResource ChunkEntryList Members s3pi library documentation

A resource wrapper that understands RCOL resources and manages the blocks within.

The GenericRCOLResource ChunkEntryList type exposes the following members.
Constructors
 | Name | Description
Public method | GenericRCOLResource ChunkEntryList(EventHandler) | Create an empty list.
Public method | GenericRCOLResource ChunkEntryList(EventHandler, IEnumerable GenericRCOLResource ChunkEntry ) | Create a new list, with the contents from the provided enumeration.
Back to Top
Methods
 | Name | Description
Public method | Add | Add is not implemented. (Overrides DependentList T Add .)
Public method | Add(GenericRCOLResource ChunkEntry) | Adds a ChunkEntry to a GenericRCOLResource ChunkEntryList, setting the element change handler and ParentTGIBlocks. (Overrides DependentList T Add(T).)
Protected method | CreateElement | CreateElement is not implemented. (Overrides DependentList T CreateElement(Stream).)
Protected method | WriteElement | WriteElement is not implemented. (Overrides DependentList T WriteElement(Stream, T).)
Back to Top
Properties
 | Name | Description
Public property | ParentTGIBlocks | Used to pass down the resource key list.
Back to Top
See Also
GenericRCOLResource ChunkEntryList Class
s3pi.GenericRCOLResource Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GenericRCOLResource.ChunkEntryList Constructor

GenericRCOLResource ChunkEntryList Constructor s3pi library documentation
Overload List
 | Name | Description
Public method | GenericRCOLResource ChunkEntryList(EventHandler) | Create an empty list.
Public method | GenericRCOLResource ChunkEntryList(EventHandler, IEnumerable GenericRCOLResource ChunkEntry ) | Create a new list, with the contents from the provided enumeration.
Back to Top
See Also
GenericRCOLResource ChunkEntryList Class
GenericRCOLResource ChunkEntryList Members
s3pi.GenericRCOLResource Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GenericRCOLResource.ChunkEntryList Constructor (EventHandler)

GenericRCOLResource ChunkEntryList Constructor (EventHandler) s3pi library documentation
Create an empty list.

Namespace: s3pi.GenericRCOLResource
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public ChunkEntryList(
    EventHandler handler
)
public ChunkEntryList(
    EventHandler handler
)
Public Sub New (
    handler As EventHandler
)
Public Sub New (
    handler As EventHandler
)
public:
ChunkEntryList(
    EventHandler^ handler
)
public:
ChunkEntryList(
    EventHandler^ handler
)
Parameters
handler
Type:   Online System EventHandler
The list change   Online EventHandler delegate.
See Also
GenericRCOLResource ChunkEntryList Class
GenericRCOLResource ChunkEntryList Members
GenericRCOLResource ChunkEntryList Overload
s3pi.GenericRCOLResource Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GenericRCOLResource.ChunkEntryList Constructor (EventHandler, IEnumerable(GenericRCOLResource.ChunkEntry))

GenericRCOLResource ChunkEntryList Constructor (EventHandler, IEnumerable GenericRCOLResource ChunkEntry ) s3pi library documentation
Create a new list, with the contents from the provided enumeration.

Namespace: s3pi.GenericRCOLResource
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public ChunkEntryList(
    EventHandler handler,
    IEnumerable<GenericRCOLResource..::..ChunkEntry> ice
)
public ChunkEntryList(
    EventHandler handler,
    IEnumerable<GenericRCOLResource..::..ChunkEntry> ice
)
Public Sub New (
    handler As EventHandler,
    ice As IEnumerable(Of GenericRCOLResource..::..ChunkEntry)
)
Public Sub New (
    handler As EventHandler,
    ice As IEnumerable(Of GenericRCOLResource..::..ChunkEntry)
)
public:
ChunkEntryList(
    EventHandler^ handler,
    IEnumerable<GenericRCOLResource..::..ChunkEntry^>^ ice
)
public:
ChunkEntryList(
    EventHandler^ handler,
    IEnumerable<GenericRCOLResource..::..ChunkEntry^>^ ice
)
Parameters
handler
Type:   Online System EventHandler
The list change   Online EventHandler delegate.
ice
Type:   Online System.Collections.Generic IEnumerable  GenericRCOLResource ChunkEntry
An   Online IEnumerable T  of GenericRCOLResource ChunkEntry values.
See Also
GenericRCOLResource ChunkEntryList Class
GenericRCOLResource ChunkEntryList Members
GenericRCOLResource ChunkEntryList Overload
s3pi.GenericRCOLResource Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GenericRCOLResource.ChunkEntryList Methods

GenericRCOLResource ChunkEntryList Methods s3pi library documentation
The GenericRCOLResource ChunkEntryList type exposes the following members.
Methods
 | Name | Description
Public method | Add | Add is not implemented. (Overrides DependentList T Add .)
Public method | Add(GenericRCOLResource ChunkEntry) | Adds a ChunkEntry to a GenericRCOLResource ChunkEntryList, setting the element change handler and ParentTGIBlocks. (Overrides DependentList T Add(T).)
Protected method | CreateElement | CreateElement is not implemented. (Overrides DependentList T CreateElement(Stream).)
Protected method | WriteElement | WriteElement is not implemented. (Overrides DependentList T WriteElement(Stream, T).)
Back to Top
See Also
GenericRCOLResource ChunkEntryList Class
s3pi.GenericRCOLResource Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GenericRCOLResource.ChunkEntryList.Add Method

GenericRCOLResource ChunkEntryList Add Method s3pi library documentation
Overload List
 | Name | Description
Public method | Add | Add is not implemented. (Overrides DependentList T Add .)
Public method | Add(GenericRCOLResource ChunkEntry) | Adds a ChunkEntry to a GenericRCOLResource ChunkEntryList, setting the element change handler and ParentTGIBlocks. (Overrides DependentList T Add(T).)
Back to Top
See Also
GenericRCOLResource ChunkEntryList Class
GenericRCOLResource ChunkEntryList Members
s3pi.GenericRCOLResource Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GenericRCOLResource.ChunkEntryList.Add Method

GenericRCOLResource ChunkEntryList Add Method s3pi library documentation
Add is not implemented.

Namespace: s3pi.GenericRCOLResource
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override void Add()
public override void Add()
Public Overrides Sub Add
Public Overrides Sub Add
public:
virtual void Add() override
public:
virtual void Add() override
Implements
IGenericAdd Add
Exceptions
Exception | Condition
Online System NotImplementedException | Thrown if Add is invoked.
See Also
GenericRCOLResource ChunkEntryList Class
GenericRCOLResource ChunkEntryList Members
Add Overload
s3pi.GenericRCOLResource Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GenericRCOLResource.ChunkEntryList.Add Method (GenericRCOLResource.ChunkEntry)

GenericRCOLResource ChunkEntryList Add Method (GenericRCOLResource ChunkEntry) s3pi library documentation
Adds a ChunkEntry to a GenericRCOLResource ChunkEntryList, setting the element change handler and ParentTGIBlocks.

Namespace: s3pi.GenericRCOLResource
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override void Add(
    GenericRCOLResource..::..ChunkEntry item
)
public override void Add(
    GenericRCOLResource..::..ChunkEntry item
)
Public Overrides Sub Add (
    item As GenericRCOLResource..::..ChunkEntry
)
Public Overrides Sub Add (
    item As GenericRCOLResource..::..ChunkEntry
)
public:
virtual void Add(
    GenericRCOLResource..::..ChunkEntry^ item
) override
public:
virtual void Add(
    GenericRCOLResource..::..ChunkEntry^ item
) override
Parameters
item
Type: s3pi.GenericRCOLResource GenericRCOLResource ChunkEntry
An instance of type ChunkEntry to add to the list.
Exceptions
Exception | Condition
Online System InvalidOperationException | Thrown when list size exceeded.
Online System NotSupportedException | The GenericRCOLResource ChunkEntryList is read-only.
See Also
GenericRCOLResource ChunkEntryList Class
GenericRCOLResource ChunkEntryList Members
Add Overload
s3pi.GenericRCOLResource Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GenericRCOLResource.ChunkEntryList.CreateElement Method

GenericRCOLResource ChunkEntryList CreateElement Method s3pi library documentation
CreateElement is not implemented.

Namespace: s3pi.GenericRCOLResource
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected override GenericRCOLResource..::..ChunkEntry CreateElement(
    Stream s
)
protected override GenericRCOLResource..::..ChunkEntry CreateElement(
    Stream s
)
Protected Overrides Function CreateElement (
    s As Stream
) As GenericRCOLResource..::..ChunkEntry
Protected Overrides Function CreateElement (
    s As Stream
) As GenericRCOLResource..::..ChunkEntry
protected:
virtual GenericRCOLResource..::..ChunkEntry^ CreateElement(
    Stream^ s
) override
protected:
virtual GenericRCOLResource..::..ChunkEntry^ CreateElement(
    Stream^ s
) override
Parameters
s
Type:   Online System.IO Stream
Unused.
Return Value
Type: GenericRCOLResource ChunkEntry
Not implemented.
Exceptions
Exception | Condition
Online System NotImplementedException | Thrown if CreateElement is invoked.
See Also
GenericRCOLResource ChunkEntryList Class
GenericRCOLResource ChunkEntryList Members
s3pi.GenericRCOLResource Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GenericRCOLResource.ChunkEntryList.WriteElement Method

GenericRCOLResource ChunkEntryList WriteElement Method s3pi library documentation
WriteElement is not implemented.

Namespace: s3pi.GenericRCOLResource
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected override void WriteElement(
    Stream s,
    GenericRCOLResource..::..ChunkEntry element
)
protected override void WriteElement(
    Stream s,
    GenericRCOLResource..::..ChunkEntry element
)
Protected Overrides Sub WriteElement (
    s As Stream,
    element As GenericRCOLResource..::..ChunkEntry
)
Protected Overrides Sub WriteElement (
    s As Stream,
    element As GenericRCOLResource..::..ChunkEntry
)
protected:
virtual void WriteElement(
    Stream^ s,
    GenericRCOLResource..::..ChunkEntry^ element
) override
protected:
virtual void WriteElement(
    Stream^ s,
    GenericRCOLResource..::..ChunkEntry^ element
) override
Parameters
s
Type:   Online System.IO Stream
Unused.
element
Type: s3pi.GenericRCOLResource GenericRCOLResource ChunkEntry
Unused.
Exceptions
Exception | Condition
Online System NotImplementedException | Thrown if WriteElement is invoked.
See Also
GenericRCOLResource ChunkEntryList Class
GenericRCOLResource ChunkEntryList Members
s3pi.GenericRCOLResource Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GenericRCOLResource.ChunkEntryList Properties

GenericRCOLResource ChunkEntryList Properties s3pi library documentation
The GenericRCOLResource ChunkEntryList type exposes the following members.
Properties
 | Name | Description
Public property | ParentTGIBlocks | Used to pass down the resource key list.
Back to Top
See Also
GenericRCOLResource ChunkEntryList Class
s3pi.GenericRCOLResource Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GenericRCOLResource.ChunkEntryList.ParentTGIBlocks Property

GenericRCOLResource ChunkEntryList ParentTGIBlocks Property s3pi library documentation
Used to pass down the resource key list.

Namespace: s3pi.GenericRCOLResource
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public DependentList<TGIBlock> ParentTGIBlocks { get; set; }
public DependentList<TGIBlock> ParentTGIBlocks { get; set; }
Public Property ParentTGIBlocks As DependentList(Of TGIBlock)
    Get
    Set
Public Property ParentTGIBlocks As DependentList(Of TGIBlock)
    Get
    Set
public:
property DependentList<TGIBlock^>^ ParentTGIBlocks {
    DependentList<TGIBlock^>^ get ();
    void set (DependentList<TGIBlock^>^ value);
}
public:
property DependentList<TGIBlock^>^ ParentTGIBlocks {
    DependentList<TGIBlock^>^ get ();
    void set (DependentList<TGIBlock^>^ value);
}
Property Value
Type: DependentList  TGIBlock
See Also
GenericRCOLResource ChunkEntryList Class
GenericRCOLResource ChunkEntryList Members
s3pi.GenericRCOLResource Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GenericRCOLResource.ChunkReference Class

GenericRCOLResource ChunkReference Class s3pi library documentation
Manages RCOL references to other RCOL blocks or other resources.
Inheritance Hierarchy
Online System Object
s3pi.Interfaces AApiVersionedFields
s3pi.Interfaces AHandlerElement
s3pi.GenericRCOLResource GenericRCOLResource ChunkReference

Namespace: s3pi.GenericRCOLResource
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public class ChunkReference : AHandlerElement,
    IEquatable<GenericRCOLResource..::..ChunkReference>, IEqualityComparer<GenericRCOLResource..::..ChunkReference>, IComparer<GenericRCOLResource..::..ChunkReference>,
    IComparable<GenericRCOLResource..::..ChunkReference>
public class ChunkReference : AHandlerElement,
    IEquatable<GenericRCOLResource..::..ChunkReference>, IEqualityComparer<GenericRCOLResource..::..ChunkReference>, IComparer<GenericRCOLResource..::..ChunkReference>,
    IComparable<GenericRCOLResource..::..ChunkReference>
Public Class ChunkReference
    Inherits AHandlerElement
    Implements IEquatable(Of GenericRCOLResource..::..ChunkReference), IEqualityComparer(Of GenericRCOLResource..::..ChunkReference),
    IComparer(Of GenericRCOLResource..::..ChunkReference), IComparable(Of GenericRCOLResource..::..ChunkReference)
Public Class ChunkReference
    Inherits AHandlerElement
    Implements IEquatable(Of GenericRCOLResource..::..ChunkReference), IEqualityComparer(Of GenericRCOLResource..::..ChunkReference),
    IComparer(Of GenericRCOLResource..::..ChunkReference), IComparable(Of GenericRCOLResource..::..ChunkReference)
public ref class ChunkReference : public AHandlerElement,
    IEquatable<GenericRCOLResource..::..ChunkReference^>, IEqualityComparer<GenericRCOLResource..::..ChunkReference^>, IComparer<GenericRCOLResource..::..ChunkReference^>,
    IComparable<GenericRCOLResource..::..ChunkReference^>
public ref class ChunkReference : public AHandlerElement,
    IEquatable<GenericRCOLResource..::..ChunkReference^>, IEqualityComparer<GenericRCOLResource..::..ChunkReference^>, IComparer<GenericRCOLResource..::..ChunkReference^>,
    IComparable<GenericRCOLResource..::..ChunkReference^>
See Also
GenericRCOLResource ChunkReference Members
s3pi.GenericRCOLResource Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GenericRCOLResource.ChunkReference Members

GenericRCOLResource ChunkReference Members s3pi library documentation

A resource wrapper that understands RCOL resources and manages the blocks within.

The GenericRCOLResource ChunkReference type exposes the following members.
Constructors
 | Name | Description
Public method | GenericRCOLResource ChunkReference(Int32, EventHandler) | Create a new instance.
Public method | GenericRCOLResource ChunkReference(Int32, EventHandler, GenericRCOLResource ChunkReference) | Create a new instance based on the provided existing instance.
Public method | GenericRCOLResource ChunkReference(Int32, EventHandler, Stream) | Create a new instance from data in the provided Online Stream.
Public method | GenericRCOLResource ChunkReference(Int32, EventHandler, UInt32) | Create a new instance from the provided Online UInt32 value.
Back to Top
Methods
 | Name | Description
Public method | Compare | Compares two GenericRCOLResource ChunkReference instances and returns a value indicating whether one is less than, equal to, or greater than the other.
Public method | CompareTo | Compares the current GenericRCOLResource ChunkReference with another GenericRCOLResource ChunkReference.
 | CreateReference | Determine the GenericRCOLResource ChunkReference value for the given IResourceKey value.
Public method | Equals(Object) | Returns a value indicating whether this instance is equal to a specified Online Object. (Overrides Online Object Equals(Object).)
Public method | Equals(GenericRCOLResource ChunkReference) | Returns a value indicating whether this instance is equal to a specified GenericRCOLResource ChunkReference.
Public method | Equals(GenericRCOLResource ChunkReference, GenericRCOLResource ChunkReference) | Determines whether the specified GenericRCOLResource ChunkReference instances are equal.
 | GetBlock | Return the RCOL block indexed by the given GenericRCOLResource ChunkReference.
Public method | GetHashCode | Returns the hash code for this instance. (Overrides Online Object GetHashCode .)
Public method | GetHashCode(GenericRCOLResource ChunkReference) | Returns a hash code for the specified object.
 | GetKey | Return the IResourceKey indexed by the given GenericRCOLResource ChunkReference.
Public method | UnParse | Write this instance to the provided Online Stream.
Back to Top
Properties
 | Name | Description
Public property | ContentFields | Returns the list of fields for the type. (Overrides AApiVersionedFields ContentFields.)
Public property | ParentTGIBlocks | Reference to TGIBlockList into which TGIBlockIndex is an index.
Public property | RecommendedApiVersion | Return the version number that this wrapper prefers to be called with (the default if passed zero). (Overrides AApiVersionedFields RecommendedApiVersion.)
Public property | RefType | The GenericRCOLResource ReferenceType of the instance.
Public property | TGIBlockIndex | The index into either the Resources or ChunkEntries lists.
Public property | Value | A displayable string for the instance.
Back to Top
See Also
GenericRCOLResource ChunkReference Class
s3pi.GenericRCOLResource Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GenericRCOLResource.ChunkReference Constructor

GenericRCOLResource ChunkReference Constructor s3pi library documentation
Overload List
 | Name | Description
Public method | GenericRCOLResource ChunkReference(Int32, EventHandler) | Create a new instance.
Public method | GenericRCOLResource ChunkReference(Int32, EventHandler, GenericRCOLResource ChunkReference) | Create a new instance based on the provided existing instance.
Public method | GenericRCOLResource ChunkReference(Int32, EventHandler, Stream) | Create a new instance from data in the provided Online Stream.
Public method | GenericRCOLResource ChunkReference(Int32, EventHandler, UInt32) | Create a new instance from the provided Online UInt32 value.
Back to Top
See Also
GenericRCOLResource ChunkReference Class
GenericRCOLResource ChunkReference Members
s3pi.GenericRCOLResource Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GenericRCOLResource.ChunkReference Constructor (Int32, EventHandler)

GenericRCOLResource ChunkReference Constructor (Int32, EventHandler) s3pi library documentation
Create a new instance.

Namespace: s3pi.GenericRCOLResource
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public ChunkReference(
    int APIversion,
    EventHandler handler
)
public ChunkReference(
    int APIversion,
    EventHandler handler
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler
)
public:
ChunkReference(
    int APIversion,
    EventHandler^ handler
)
public:
ChunkReference(
    int APIversion,
    EventHandler^ handler
)
Parameters
APIversion
Type:   Online System Int32
Unused; requested API version.
handler
Type:   Online System EventHandler
Change   Online EventHandler delegate.
See Also
GenericRCOLResource ChunkReference Class
GenericRCOLResource ChunkReference Members
GenericRCOLResource ChunkReference Overload
s3pi.GenericRCOLResource Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GenericRCOLResource.ChunkReference Constructor (Int32, EventHandler, GenericRCOLResource.ChunkReference)

GenericRCOLResource ChunkReference Constructor (Int32, EventHandler, GenericRCOLResource ChunkReference) s3pi library documentation
Create a new instance based on the provided existing instance.

Namespace: s3pi.GenericRCOLResource
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public ChunkReference(
    int APIversion,
    EventHandler handler,
    GenericRCOLResource..::..ChunkReference basis
)
public ChunkReference(
    int APIversion,
    EventHandler handler,
    GenericRCOLResource..::..ChunkReference basis
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler,
    basis As GenericRCOLResource..::..ChunkReference
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler,
    basis As GenericRCOLResource..::..ChunkReference
)
public:
ChunkReference(
    int APIversion,
    EventHandler^ handler,
    GenericRCOLResource..::..ChunkReference^ basis
)
public:
ChunkReference(
    int APIversion,
    EventHandler^ handler,
    GenericRCOLResource..::..ChunkReference^ basis
)
Parameters
APIversion
Type:   Online System Int32
Unused; requested API version.
handler
Type:   Online System EventHandler
Change   Online EventHandler delegate.
basis
Type: s3pi.GenericRCOLResource GenericRCOLResource ChunkReference
An existing instance.
See Also
GenericRCOLResource ChunkReference Class
GenericRCOLResource ChunkReference Members
GenericRCOLResource ChunkReference Overload
s3pi.GenericRCOLResource Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GenericRCOLResource.ChunkReference Constructor (Int32, EventHandler, Stream)

GenericRCOLResource ChunkReference Constructor (Int32, EventHandler, Stream) s3pi library documentation
Create a new instance from data in the provided Online Stream.

Namespace: s3pi.GenericRCOLResource
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public ChunkReference(
    int APIversion,
    EventHandler handler,
    Stream s
)
public ChunkReference(
    int APIversion,
    EventHandler handler,
    Stream s
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler,
    s As Stream
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler,
    s As Stream
)
public:
ChunkReference(
    int APIversion,
    EventHandler^ handler,
    Stream^ s
)
public:
ChunkReference(
    int APIversion,
    EventHandler^ handler,
    Stream^ s
)
Parameters
APIversion
Type:   Online System Int32
Unused; requested API version.
handler
Type:   Online System EventHandler
Change   Online EventHandler delegate.
s
Type:   Online System.IO Stream
The   Online Stream containing the data.
See Also
GenericRCOLResource ChunkReference Class
GenericRCOLResource ChunkReference Members
GenericRCOLResource ChunkReference Overload
s3pi.GenericRCOLResource Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GenericRCOLResource.ChunkReference Constructor (Int32, EventHandler, UInt32)

GenericRCOLResource ChunkReference Constructor (Int32, EventHandler, UInt32) s3pi library documentation
Create a new instance from the provided Online UInt32 value.

Namespace: s3pi.GenericRCOLResource
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public ChunkReference(
    int APIversion,
    EventHandler handler,
    uint chunkReference
)
public ChunkReference(
    int APIversion,
    EventHandler handler,
    uint chunkReference
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler,
    chunkReference As UInteger
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler,
    chunkReference As UInteger
)
public:
ChunkReference(
    int APIversion,
    EventHandler^ handler,
    unsigned int chunkReference
)
public:
ChunkReference(
    int APIversion,
    EventHandler^ handler,
    unsigned int chunkReference
)
Parameters
APIversion
Type:   Online System Int32
Unused; requested API version.
handler
Type:   Online System EventHandler
Change   Online EventHandler delegate.
chunkReference
Type:   Online System UInt32
The chunk reference as a "raw"   Online UInt32.
See Also
GenericRCOLResource ChunkReference Class
GenericRCOLResource ChunkReference Members
GenericRCOLResource ChunkReference Overload
s3pi.GenericRCOLResource Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GenericRCOLResource.ChunkReference Methods

GenericRCOLResource ChunkReference Methods s3pi library documentation
The GenericRCOLResource ChunkReference type exposes the following members.
Methods
 | Name | Description
Public method | Compare | Compares two GenericRCOLResource ChunkReference instances and returns a value indicating whether one is less than, equal to, or greater than the other.
Public method | CompareTo | Compares the current GenericRCOLResource ChunkReference with another GenericRCOLResource ChunkReference.
 | CreateReference | Determine the GenericRCOLResource ChunkReference value for the given IResourceKey value.
Public method | Equals(Object) | Returns a value indicating whether this instance is equal to a specified Online Object. (Overrides Online Object Equals(Object).)
Public method | Equals(GenericRCOLResource ChunkReference) | Returns a value indicating whether this instance is equal to a specified GenericRCOLResource ChunkReference.
Public method | Equals(GenericRCOLResource ChunkReference, GenericRCOLResource ChunkReference) | Determines whether the specified GenericRCOLResource ChunkReference instances are equal.
 | GetBlock | Return the RCOL block indexed by the given GenericRCOLResource ChunkReference.
Public method | GetHashCode | Returns the hash code for this instance. (Overrides Online Object GetHashCode .)
Public method | GetHashCode(GenericRCOLResource ChunkReference) | Returns a hash code for the specified object.
 | GetKey | Return the IResourceKey indexed by the given GenericRCOLResource ChunkReference.
Public method | UnParse | Write this instance to the provided Online Stream.
Back to Top
See Also
GenericRCOLResource ChunkReference Class
s3pi.GenericRCOLResource Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GenericRCOLResource.ChunkReference.Compare Method

GenericRCOLResource ChunkReference Compare Method s3pi library documentation
Compares two GenericRCOLResource ChunkReference instances and returns a value indicating whether one is less than, equal to, or greater than the other.

Namespace: s3pi.GenericRCOLResource
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public int Compare(
    GenericRCOLResource..::..ChunkReference x,
    GenericRCOLResource..::..ChunkReference y
)
public int Compare(
    GenericRCOLResource..::..ChunkReference x,
    GenericRCOLResource..::..ChunkReference y
)
Public Function Compare (
    x As GenericRCOLResource..::..ChunkReference,
    y As GenericRCOLResource..::..ChunkReference
) As Integer
Public Function Compare (
    x As GenericRCOLResource..::..ChunkReference,
    y As GenericRCOLResource..::..ChunkReference
) As Integer
public:
virtual int Compare(
    GenericRCOLResource..::..ChunkReference^ x,
    GenericRCOLResource..::..ChunkReference^ y
) sealed
public:
virtual int Compare(
    GenericRCOLResource..::..ChunkReference^ x,
    GenericRCOLResource..::..ChunkReference^ y
) sealed
Parameters
x
Type: s3pi.GenericRCOLResource GenericRCOLResource ChunkReference
The first GenericRCOLResource ChunkReference instance to compare.
y
Type: s3pi.GenericRCOLResource GenericRCOLResource ChunkReference
The second GenericRCOLResource ChunkReference instance to compare.
Return Value
Type:   Online Int32
Value | Condition
Less than zero | x is less than y.
Zero | x equals y.
Greater than zero | x is greater than y.
Implements
  Online IComparer T  Compare(T, T)
See Also
GenericRCOLResource ChunkReference Class
GenericRCOLResource ChunkReference Members
s3pi.GenericRCOLResource Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GenericRCOLResource.ChunkReference.CompareTo Method

GenericRCOLResource ChunkReference CompareTo Method s3pi library documentation
Compares the current GenericRCOLResource ChunkReference with another GenericRCOLResource ChunkReference.

Namespace: s3pi.GenericRCOLResource
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public int CompareTo(
    GenericRCOLResource..::..ChunkReference other
)
public int CompareTo(
    GenericRCOLResource..::..ChunkReference other
)
Public Function CompareTo (
    other As GenericRCOLResource..::..ChunkReference
) As Integer
Public Function CompareTo (
    other As GenericRCOLResource..::..ChunkReference
) As Integer
public:
virtual int CompareTo(
    GenericRCOLResource..::..ChunkReference^ other
) sealed
public:
virtual int CompareTo(
    GenericRCOLResource..::..ChunkReference^ other
) sealed
Parameters
other
Type: s3pi.GenericRCOLResource GenericRCOLResource ChunkReference
Another GenericRCOLResource ChunkReference to compare with this one.
Return Value
Type:   Online Int32

            A 32-bit signed integer that indicates the relative order of the GenericRCOLResource ChunkReference instances
            being compared. The return value has the following meanings:

Value | Meaning
Less than zero | This object is less than the other parameter.
Zero | This object is equal to other.
Greater than zero | This object is greater than other.
Implements
  Online IComparable T  CompareTo(T)
See Also
GenericRCOLResource ChunkReference Class
GenericRCOLResource ChunkReference Members
s3pi.GenericRCOLResource Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GenericRCOLResource.ChunkReference.CreateReference Method

GenericRCOLResource ChunkReference CreateReference Method s3pi library documentation
Determine the GenericRCOLResource ChunkReference value for the given IResourceKey value.

Namespace: s3pi.GenericRCOLResource
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static GenericRCOLResource..::..ChunkReference CreateReference(
    GenericRCOLResource rcol,
    IResourceKey rk
)
public static GenericRCOLResource..::..ChunkReference CreateReference(
    GenericRCOLResource rcol,
    IResourceKey rk
)
Public Shared Function CreateReference (
    rcol As GenericRCOLResource,
    rk As IResourceKey
) As GenericRCOLResource..::..ChunkReference
Public Shared Function CreateReference (
    rcol As GenericRCOLResource,
    rk As IResourceKey
) As GenericRCOLResource..::..ChunkReference
public:
static GenericRCOLResource..::..ChunkReference^ CreateReference(
    GenericRCOLResource^ rcol,
    IResourceKey^ rk
)
public:
static GenericRCOLResource..::..ChunkReference^ CreateReference(
    GenericRCOLResource^ rcol,
    IResourceKey^ rk
)
Parameters
rcol
Type: s3pi.GenericRCOLResource GenericRCOLResource
The RCOL resource to inspect.
rk
Type: s3pi.Interfaces IResourceKey
The IResourceKey to encode.
Return Value
Type: GenericRCOLResource ChunkReference
The GenericRCOLResource ChunkReference value for the given IResourceKey value.
Remarks
Note that the value will be zero (i.e. indicating an invalid entry) if the rk
            value supplied is not found either in the ChunkEntries or
            Resources lists.
See Also
GenericRCOLResource ChunkReference Class
GenericRCOLResource ChunkReference Members
s3pi.GenericRCOLResource Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GenericRCOLResource.ChunkReference.Equals Method

GenericRCOLResource ChunkReference Equals Method s3pi library documentation
Overload List
 | Name | Description
Public method | Equals(Object) | Returns a value indicating whether this instance is equal to a specified Online Object. (Overrides Online Object Equals(Object).)
Public method | Equals(GenericRCOLResource ChunkReference) | Returns a value indicating whether this instance is equal to a specified GenericRCOLResource ChunkReference.
Public method | Equals(GenericRCOLResource ChunkReference, GenericRCOLResource ChunkReference) | Determines whether the specified GenericRCOLResource ChunkReference instances are equal.
Back to Top
See Also
GenericRCOLResource ChunkReference Class
GenericRCOLResource ChunkReference Members
s3pi.GenericRCOLResource Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GenericRCOLResource.ChunkReference.Equals Method (Object)

GenericRCOLResource ChunkReference Equals Method (Object) s3pi library documentation
Returns a value indicating whether this instance is equal to a specified Online Object.

Namespace: s3pi.GenericRCOLResource
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override bool Equals(
    Object obj
)
public override bool Equals(
    Object obj
)
Public Overrides Function Equals (
    obj As Object
) As Boolean
Public Overrides Function Equals (
    obj As Object
) As Boolean
public:
virtual bool Equals(
    Object^ obj
) override
public:
virtual bool Equals(
    Object^ obj
) override
Parameters
obj
Type:   Online System Object
An   Online Object to compare with this instance.
Return Value
Type:   Online Boolean
true if obj is an instance of GenericRCOLResource ChunkReference
            and equals the value of this instance;
            otherwise, false.

See Also
GenericRCOLResource ChunkReference Class
GenericRCOLResource ChunkReference Members
Equals Overload
s3pi.GenericRCOLResource Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GenericRCOLResource.ChunkReference.Equals Method (GenericRCOLResource.ChunkReference)

GenericRCOLResource ChunkReference Equals Method (GenericRCOLResource ChunkReference) s3pi library documentation
Returns a value indicating whether this instance is equal to a specified GenericRCOLResource ChunkReference.

Namespace: s3pi.GenericRCOLResource
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public bool Equals(
    GenericRCOLResource..::..ChunkReference other
)
public bool Equals(
    GenericRCOLResource..::..ChunkReference other
)
Public Function Equals (
    other As GenericRCOLResource..::..ChunkReference
) As Boolean
Public Function Equals (
    other As GenericRCOLResource..::..ChunkReference
) As Boolean
public:
virtual bool Equals(
    GenericRCOLResource..::..ChunkReference^ other
) sealed
public:
virtual bool Equals(
    GenericRCOLResource..::..ChunkReference^ other
) sealed
Parameters
other
Type: s3pi.GenericRCOLResource GenericRCOLResource ChunkReference
A GenericRCOLResource ChunkReference value to compare to this instance.
Return Value
Type:   Online Boolean
true if obj has the same value as this instance;
            otherwise, false.

Implements
  Online IEquatable T  Equals(T)
See Also
GenericRCOLResource ChunkReference Class
GenericRCOLResource ChunkReference Members
Equals Overload
s3pi.GenericRCOLResource Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GenericRCOLResource.ChunkReference.Equals Method (GenericRCOLResource.ChunkReference, GenericRCOLResource.ChunkReference)

GenericRCOLResource ChunkReference Equals Method (GenericRCOLResource ChunkReference, GenericRCOLResource ChunkReference) s3pi library documentation
Determines whether the specified GenericRCOLResource ChunkReference instances are equal.

Namespace: s3pi.GenericRCOLResource
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public bool Equals(
    GenericRCOLResource..::..ChunkReference x,
    GenericRCOLResource..::..ChunkReference y
)
public bool Equals(
    GenericRCOLResource..::..ChunkReference x,
    GenericRCOLResource..::..ChunkReference y
)
Public Function Equals (
    x As GenericRCOLResource..::..ChunkReference,
    y As GenericRCOLResource..::..ChunkReference
) As Boolean
Public Function Equals (
    x As GenericRCOLResource..::..ChunkReference,
    y As GenericRCOLResource..::..ChunkReference
) As Boolean
public:
virtual bool Equals(
    GenericRCOLResource..::..ChunkReference^ x,
    GenericRCOLResource..::..ChunkReference^ y
) sealed
public:
virtual bool Equals(
    GenericRCOLResource..::..ChunkReference^ x,
    GenericRCOLResource..::..ChunkReference^ y
) sealed
Parameters
x
Type: s3pi.GenericRCOLResource GenericRCOLResource ChunkReference
The first GenericRCOLResource ChunkReference to compare.
y
Type: s3pi.GenericRCOLResource GenericRCOLResource ChunkReference
The second GenericRCOLResource ChunkReference to compare.
Return Value
Type:   Online Boolean
true if the specified GenericRCOLResource ChunkReference instances are equal;
            otherwise, false.

Implements
  Online IEqualityComparer T  Equals(T, T)
See Also
GenericRCOLResource ChunkReference Class
GenericRCOLResource ChunkReference Members
Equals Overload
s3pi.GenericRCOLResource Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GenericRCOLResource.ChunkReference.GetBlock Method

GenericRCOLResource ChunkReference GetBlock Method s3pi library documentation
Return the RCOL block indexed by the given GenericRCOLResource ChunkReference.

Namespace: s3pi.GenericRCOLResource
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static IRCOLBlock GetBlock(
    GenericRCOLResource rcol,
    GenericRCOLResource..::..ChunkReference reference
)
public static IRCOLBlock GetBlock(
    GenericRCOLResource rcol,
    GenericRCOLResource..::..ChunkReference reference
)
Public Shared Function GetBlock (
    rcol As GenericRCOLResource,
    reference As GenericRCOLResource..::..ChunkReference
) As IRCOLBlock
Public Shared Function GetBlock (
    rcol As GenericRCOLResource,
    reference As GenericRCOLResource..::..ChunkReference
) As IRCOLBlock
public:
static IRCOLBlock^ GetBlock(
    GenericRCOLResource^ rcol,
    GenericRCOLResource..::..ChunkReference^ reference
)
public:
static IRCOLBlock^ GetBlock(
    GenericRCOLResource^ rcol,
    GenericRCOLResource..::..ChunkReference^ reference
)
Parameters
rcol
Type: s3pi.GenericRCOLResource GenericRCOLResource
The RCOL resource to inspect.
reference
Type: s3pi.GenericRCOLResource GenericRCOLResource ChunkReference
The GenericRCOLResource ChunkReference to look up.
Return Value
Type: IRCOLBlock
The RCOL block indexed by the given GenericRCOLResource ChunkReference.
Exceptions
Exception | Condition
Online System NotImplementedException | The reference passed does not have a supported GenericRCOLResource ReferenceType value.
Remarks
Only Public and Private
            are "sane" types.
See Also
GenericRCOLResource ChunkReference Class
GenericRCOLResource ChunkReference Members
s3pi.GenericRCOLResource Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GenericRCOLResource.ChunkReference.GetHashCode Method

GenericRCOLResource ChunkReference GetHashCode Method s3pi library documentation
Overload List
 | Name | Description
Public method | GetHashCode | Returns the hash code for this instance. (Overrides Online Object GetHashCode .)
Public method | GetHashCode(GenericRCOLResource ChunkReference) | Returns a hash code for the specified object.
Back to Top
See Also
GenericRCOLResource ChunkReference Class
GenericRCOLResource ChunkReference Members
s3pi.GenericRCOLResource Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GenericRCOLResource.ChunkReference.GetHashCode Method

GenericRCOLResource ChunkReference GetHashCode Method s3pi library documentation
Returns the hash code for this instance.

Namespace: s3pi.GenericRCOLResource
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override int GetHashCode()
public override int GetHashCode()
Public Overrides Function GetHashCode As Integer
Public Overrides Function GetHashCode As Integer
public:
virtual int GetHashCode() override
public:
virtual int GetHashCode() override
Return Value
Type:   Online Int32
A 32-bit signed integer hash code.
See Also
GenericRCOLResource ChunkReference Class
GenericRCOLResource ChunkReference Members
GetHashCode Overload
s3pi.GenericRCOLResource Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GenericRCOLResource.ChunkReference.GetHashCode Method (GenericRCOLResource.ChunkReference)

GenericRCOLResource ChunkReference GetHashCode Method (GenericRCOLResource ChunkReference) s3pi library documentation
Returns a hash code for the specified object.

Namespace: s3pi.GenericRCOLResource
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public int GetHashCode(
    GenericRCOLResource..::..ChunkReference obj
)
public int GetHashCode(
    GenericRCOLResource..::..ChunkReference obj
)
Public Function GetHashCode (
    obj As GenericRCOLResource..::..ChunkReference
) As Integer
Public Function GetHashCode (
    obj As GenericRCOLResource..::..ChunkReference
) As Integer
public:
virtual int GetHashCode(
    GenericRCOLResource..::..ChunkReference^ obj
) sealed
public:
virtual int GetHashCode(
    GenericRCOLResource..::..ChunkReference^ obj
) sealed
Parameters
obj
Type: s3pi.GenericRCOLResource GenericRCOLResource ChunkReference
The   Online Object for which a hash code is to be returned.
Return Value
Type:   Online Int32
A hash code for the specified object.
Implements
  Online IEqualityComparer T  GetHashCode(T)
Exceptions
Exception | Condition
Online System ArgumentNullException | The type of obj is a reference type and obj is null.
See Also
GenericRCOLResource ChunkReference Class
GenericRCOLResource ChunkReference Members
GetHashCode Overload
s3pi.GenericRCOLResource Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GenericRCOLResource.ChunkReference.GetKey Method

GenericRCOLResource ChunkReference GetKey Method s3pi library documentation
Return the IResourceKey indexed by the given GenericRCOLResource ChunkReference.

Namespace: s3pi.GenericRCOLResource
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static IResourceKey GetKey(
    GenericRCOLResource rcol,
    GenericRCOLResource..::..ChunkReference reference
)
public static IResourceKey GetKey(
    GenericRCOLResource rcol,
    GenericRCOLResource..::..ChunkReference reference
)
Public Shared Function GetKey (
    rcol As GenericRCOLResource,
    reference As GenericRCOLResource..::..ChunkReference
) As IResourceKey
Public Shared Function GetKey (
    rcol As GenericRCOLResource,
    reference As GenericRCOLResource..::..ChunkReference
) As IResourceKey
public:
static IResourceKey^ GetKey(
    GenericRCOLResource^ rcol,
    GenericRCOLResource..::..ChunkReference^ reference
)
public:
static IResourceKey^ GetKey(
    GenericRCOLResource^ rcol,
    GenericRCOLResource..::..ChunkReference^ reference
)
Parameters
rcol
Type: s3pi.GenericRCOLResource GenericRCOLResource
The RCOL resource to inspect.
reference
Type: s3pi.GenericRCOLResource GenericRCOLResource ChunkReference
The GenericRCOLResource ChunkReference to look up.
Return Value
Type: IResourceKey
The IResourceKey indexed by the given GenericRCOLResource ChunkReference.
Exceptions
Exception | Condition
Online System NotImplementedException | The reference passed does not have a supported GenericRCOLResource ReferenceType value.
See Also
GenericRCOLResource ChunkReference Class
GenericRCOLResource ChunkReference Members
s3pi.GenericRCOLResource Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GenericRCOLResource.ChunkReference.UnParse Method

GenericRCOLResource ChunkReference UnParse Method s3pi library documentation
Write this instance to the provided Online Stream.

Namespace: s3pi.GenericRCOLResource
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void UnParse(
    Stream s
)
public void UnParse(
    Stream s
)
Public Sub UnParse (
    s As Stream
)
Public Sub UnParse (
    s As Stream
)
public:
void UnParse(
    Stream^ s
)
public:
void UnParse(
    Stream^ s
)
Parameters
s
Type:   Online System.IO Stream
The   Online Stream to write out to.
See Also
GenericRCOLResource ChunkReference Class
GenericRCOLResource ChunkReference Members
s3pi.GenericRCOLResource Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GenericRCOLResource.ChunkReference Properties

GenericRCOLResource ChunkReference Properties s3pi library documentation
The GenericRCOLResource ChunkReference type exposes the following members.
Properties
 | Name | Description
Public property | ContentFields | Returns the list of fields for the type. (Overrides AApiVersionedFields ContentFields.)
Public property | ParentTGIBlocks | Reference to TGIBlockList into which TGIBlockIndex is an index.
Public property | RecommendedApiVersion | Return the version number that this wrapper prefers to be called with (the default if passed zero). (Overrides AApiVersionedFields RecommendedApiVersion.)
Public property | RefType | The GenericRCOLResource ReferenceType of the instance.
Public property | TGIBlockIndex | The index into either the Resources or ChunkEntries lists.
Public property | Value | A displayable string for the instance.
Back to Top
See Also
GenericRCOLResource ChunkReference Class
s3pi.GenericRCOLResource Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GenericRCOLResource.ChunkReference.ContentFields Property

GenericRCOLResource ChunkReference ContentFields Property s3pi library documentation
Returns the list of fields for the type.

Namespace: s3pi.GenericRCOLResource
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override List<string> ContentFields { get; }
public override List<string> ContentFields { get; }
Public Overrides ReadOnly Property ContentFields As List(Of String)
    Get
Public Overrides ReadOnly Property ContentFields As List(Of String)
    Get
public:
virtual property List<String^>^ ContentFields {
    List<String^>^ get () override;
}
public:
virtual property List<String^>^ ContentFields {
    List<String^>^ get () override;
}
Property Value
Type:   Online List    Online String
Implements
IContentFields ContentFields
See Also
GenericRCOLResource ChunkReference Class
GenericRCOLResource ChunkReference Members
s3pi.GenericRCOLResource Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GenericRCOLResource.ChunkReference.ParentTGIBlocks Property

GenericRCOLResource ChunkReference ParentTGIBlocks Property s3pi library documentation
Reference to TGIBlockList into which TGIBlockIndex is an index.

Namespace: s3pi.GenericRCOLResource
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public DependentList<TGIBlock> ParentTGIBlocks { get; set; }
public DependentList<TGIBlock> ParentTGIBlocks { get; set; }
Public Property ParentTGIBlocks As DependentList(Of TGIBlock)
    Get
    Set
Public Property ParentTGIBlocks As DependentList(Of TGIBlock)
    Get
    Set
public:
property DependentList<TGIBlock^>^ ParentTGIBlocks {
    DependentList<TGIBlock^>^ get ();
    void set (DependentList<TGIBlock^>^ value);
}
public:
property DependentList<TGIBlock^>^ ParentTGIBlocks {
    DependentList<TGIBlock^>^ get ();
    void set (DependentList<TGIBlock^>^ value);
}
Property Value
Type: DependentList  TGIBlock
See Also
GenericRCOLResource ChunkReference Class
GenericRCOLResource ChunkReference Members
s3pi.GenericRCOLResource Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GenericRCOLResource.ChunkReference.RecommendedApiVersion Property

GenericRCOLResource ChunkReference RecommendedApiVersion Property s3pi library documentation
Return the version number that this wrapper prefers to be called with (the default if passed zero).

Namespace: s3pi.GenericRCOLResource
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override int RecommendedApiVersion { get; }
public override int RecommendedApiVersion { get; }
Public Overrides ReadOnly Property RecommendedApiVersion As Integer
    Get
Public Overrides ReadOnly Property RecommendedApiVersion As Integer
    Get
public:
virtual property int RecommendedApiVersion {
    int get () override;
}
public:
virtual property int RecommendedApiVersion {
    int get () override;
}
Property Value
Type:   Online Int32
Implements
IApiVersion RecommendedApiVersion
Remarks
This wrapper returns 1 and is not sensitive to API version.
See Also
GenericRCOLResource ChunkReference Class
GenericRCOLResource ChunkReference Members
s3pi.GenericRCOLResource Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GenericRCOLResource.ChunkReference.RefType Property

GenericRCOLResource ChunkReference RefType Property s3pi library documentation
The GenericRCOLResource ReferenceType of the instance.

Namespace: s3pi.GenericRCOLResource
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[ElementPriorityAttribute(2)]
public GenericRCOLResource..::..ReferenceType RefType { get; set; }
[ElementPriorityAttribute(2)]
public GenericRCOLResource..::..ReferenceType RefType { get; set; }
<ElementPriorityAttribute(2)>
Public Property RefType As GenericRCOLResource..::..ReferenceType
    Get
    Set
<ElementPriorityAttribute(2)>
Public Property RefType As GenericRCOLResource..::..ReferenceType
    Get
    Set
public:
[ElementPriorityAttribute(2)]
property GenericRCOLResource..::..ReferenceType RefType {
    GenericRCOLResource..::..ReferenceType get ();
    void set (GenericRCOLResource..::..ReferenceType value);
}
public:
[ElementPriorityAttribute(2)]
property GenericRCOLResource..::..ReferenceType RefType {
    GenericRCOLResource..::..ReferenceType get ();
    void set (GenericRCOLResource..::..ReferenceType value);
}
Property Value
Type: GenericRCOLResource ReferenceType
See Also
GenericRCOLResource ChunkReference Class
GenericRCOLResource ChunkReference Members
s3pi.GenericRCOLResource Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GenericRCOLResource.ChunkReference.TGIBlockIndex Property

GenericRCOLResource ChunkReference TGIBlockIndex Property s3pi library documentation
The index into either the Resources or ChunkEntries lists.

Namespace: s3pi.GenericRCOLResource
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[ElementPriorityAttribute(1)]
[TGIBlockListContentFieldAttribute("ParentTGIBlocks")]
public int TGIBlockIndex { get; set; }
[ElementPriorityAttribute(1)]
[TGIBlockListContentFieldAttribute("ParentTGIBlocks")]
public int TGIBlockIndex { get; set; }
<ElementPriorityAttribute(1)>
<TGIBlockListContentFieldAttribute("ParentTGIBlocks")>
Public Property TGIBlockIndex As Integer
    Get
    Set
<ElementPriorityAttribute(1)>
<TGIBlockListContentFieldAttribute("ParentTGIBlocks")>
Public Property TGIBlockIndex As Integer
    Get
    Set
public:
[ElementPriorityAttribute(1)]
[TGIBlockListContentFieldAttribute(L"ParentTGIBlocks")]
property int TGIBlockIndex {
    int get ();
    void set (int value);
}
public:
[ElementPriorityAttribute(1)]
[TGIBlockListContentFieldAttribute(L"ParentTGIBlocks")]
property int TGIBlockIndex {
    int get ();
    void set (int value);
}
Property Value
Type:   Online Int32
See Also
GenericRCOLResource ChunkReference Class
GenericRCOLResource ChunkReference Members
s3pi.GenericRCOLResource Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GenericRCOLResource.ChunkReference.Value Property

GenericRCOLResource ChunkReference Value Property s3pi library documentation
A displayable string for the instance.

Namespace: s3pi.GenericRCOLResource
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public string Value { get; }
public string Value { get; }
Public ReadOnly Property Value As String
    Get
Public ReadOnly Property Value As String
    Get
public:
property String^ Value {
    String^ get ();
}
public:
property String^ Value {
    String^ get ();
}
Property Value
Type:   Online String
See Also
GenericRCOLResource ChunkReference Class
GenericRCOLResource ChunkReference Members
s3pi.GenericRCOLResource Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GenericRCOLResource.ReferenceType Enumeration

GenericRCOLResource ReferenceType Enumeration s3pi library documentation
The indicator bits for a GenericRCOLResource ChunkReference.

Namespace: s3pi.GenericRCOLResource
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public enum ReferenceType
public enum ReferenceType
Public Enumeration ReferenceType
Public Enumeration ReferenceType
public enum class ReferenceType
public enum class ReferenceType
Members
Member name | Value | Description
Public | 0 | Indicates the reference is to this resource, in ChunkEntries, below PublicChunks.
Private | 1 | Indicates the reference is to this resource, in ChunkEntries, at or above PublicChunks.
External | 2 | No known usage.
Delayed | 3 | Indicates the reference is to another resource, via Resources
See Also
s3pi.GenericRCOLResource Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GenericRCOLResourceHandler Class

GenericRCOLResourceHandler Class s3pi library documentation
ResourceHandler for GenericRCOLResource wrapper.
Inheritance Hierarchy
Online System Object
Online System.Collections.Generic Dictionary Online Type, Online List Online String
s3pi.Interfaces AResourceHandler
s3pi.GenericRCOLResource GenericRCOLResourceHandler

Namespace: s3pi.GenericRCOLResource
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public class GenericRCOLResourceHandler : AResourceHandler
public class GenericRCOLResourceHandler : AResourceHandler
Public Class GenericRCOLResourceHandler
    Inherits AResourceHandler
Public Class GenericRCOLResourceHandler
    Inherits AResourceHandler
public ref class GenericRCOLResourceHandler : public AResourceHandler
public ref class GenericRCOLResourceHandler : public AResourceHandler
Remarks

            It has a pluggable API to support handlers for the blocks within an RCOL resource,
            similar to WrapperDealer's support for resources within a package.

See Also
GenericRCOLResourceHandler Members
s3pi.GenericRCOLResource Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GenericRCOLResourceHandler Members

GenericRCOLResourceHandler Members s3pi library documentation

The GenericRCOLResourceHandler type exposes the following members.
Constructors
 | Name | Description
Public method | GenericRCOLResourceHandler | ResourceHandler for GenericRCOLResource wrapper
Back to Top
Methods
Name | Description
CreateRCOLBlock | Invoke the "default" constructor for an RCOL block.
RCOLDealer(Int32, EventHandler, UInt32, Stream) | Return a new instance of the requested RCOL block type, initialised from the content of the supplied Online Stream.
RCOLDealer(Int32, EventHandler, UInt32, Object ) | Return a new instance of the requested RCOL block type, initialised from the supplied fields.
RCOLTypesForTag | Return the enumeration of ResourceTypes for the given tag.
Back to Top
See Also
GenericRCOLResourceHandler Class
s3pi.GenericRCOLResource Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GenericRCOLResourceHandler Constructor

GenericRCOLResourceHandler Constructor s3pi library documentation
ResourceHandler for GenericRCOLResource wrapper

Namespace: s3pi.GenericRCOLResource
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public GenericRCOLResourceHandler()
public GenericRCOLResourceHandler()
Public Sub New
Public Sub New
public:
GenericRCOLResourceHandler()
public:
GenericRCOLResourceHandler()
See Also
GenericRCOLResourceHandler Class
GenericRCOLResourceHandler Members
s3pi.GenericRCOLResource Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GenericRCOLResourceHandler Methods

GenericRCOLResourceHandler Methods s3pi library documentation
The GenericRCOLResourceHandler type exposes the following members.
Methods
Name | Description
CreateRCOLBlock | Invoke the "default" constructor for an RCOL block.
RCOLDealer(Int32, EventHandler, UInt32, Stream) | Return a new instance of the requested RCOL block type, initialised from the content of the supplied Online Stream.
RCOLDealer(Int32, EventHandler, UInt32, Object ) | Return a new instance of the requested RCOL block type, initialised from the supplied fields.
RCOLTypesForTag | Return the enumeration of ResourceTypes for the given tag.
Back to Top
See Also
GenericRCOLResourceHandler Class
s3pi.GenericRCOLResource Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GenericRCOLResourceHandler.CreateRCOLBlock Method

GenericRCOLResourceHandler CreateRCOLBlock Method s3pi library documentation
Invoke the "default" constructor for an RCOL block.

Namespace: s3pi.GenericRCOLResource
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static ARCOLBlock CreateRCOLBlock(
    int APIversion,
    EventHandler handler,
    uint type
)
public static ARCOLBlock CreateRCOLBlock(
    int APIversion,
    EventHandler handler,
    uint type
)
Public Shared Function CreateRCOLBlock (
    APIversion As Integer,
    handler As EventHandler,
    type As UInteger
) As ARCOLBlock
Public Shared Function CreateRCOLBlock (
    APIversion As Integer,
    handler As EventHandler,
    type As UInteger
) As ARCOLBlock
public:
static ARCOLBlock^ CreateRCOLBlock(
    int APIversion,
    EventHandler^ handler,
    unsigned int type
)
public:
static ARCOLBlock^ CreateRCOLBlock(
    int APIversion,
    EventHandler^ handler,
    unsigned int type
)
Parameters
APIversion
Type:   Online System Int32
Requested API version.
handler
Type:   Online System EventHandler
Change   Online EventHandler delegate.
type
Type:   Online System UInt32
Resource type of RCOL block.
Return Value
Type: ARCOLBlock
A new, initialised instance of the requested RCOL block type,
            or null if the type is not supported.
See Also
GenericRCOLResourceHandler Class
GenericRCOLResourceHandler Members
s3pi.GenericRCOLResource Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GenericRCOLResourceHandler.RCOLDealer Method

GenericRCOLResourceHandler RCOLDealer Method s3pi library documentation
Overload List
Name | Description
RCOLDealer(Int32, EventHandler, UInt32, Stream) | Return a new instance of the requested RCOL block type, initialised from the content of the supplied Online Stream.
RCOLDealer(Int32, EventHandler, UInt32, Object ) | Return a new instance of the requested RCOL block type, initialised from the supplied fields.
Back to Top
See Also
GenericRCOLResourceHandler Class
GenericRCOLResourceHandler Members
s3pi.GenericRCOLResource Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GenericRCOLResourceHandler.RCOLDealer Method (Int32, EventHandler, UInt32, Stream)

GenericRCOLResourceHandler RCOLDealer Method (Int32, EventHandler, UInt32, Stream) s3pi library documentation
Return a new instance of the requested RCOL block type, initialised from the content of the supplied Online Stream.

Namespace: s3pi.GenericRCOLResource
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static ARCOLBlock RCOLDealer(
    int APIversion,
    EventHandler handler,
    uint type,
    Stream s
)
public static ARCOLBlock RCOLDealer(
    int APIversion,
    EventHandler handler,
    uint type,
    Stream s
)
Public Shared Function RCOLDealer (
    APIversion As Integer,
    handler As EventHandler,
    type As UInteger,
    s As Stream
) As ARCOLBlock
Public Shared Function RCOLDealer (
    APIversion As Integer,
    handler As EventHandler,
    type As UInteger,
    s As Stream
) As ARCOLBlock
public:
static ARCOLBlock^ RCOLDealer(
    int APIversion,
    EventHandler^ handler,
    unsigned int type,
    Stream^ s
)
public:
static ARCOLBlock^ RCOLDealer(
    int APIversion,
    EventHandler^ handler,
    unsigned int type,
    Stream^ s
)
Parameters
APIversion
Type:   Online System Int32
Requested API version.
handler
Type:   Online System EventHandler
Change   Online EventHandler delegate.
type
Type:   Online System UInt32
Resource type of RCOL block.
s
Type:   Online System.IO Stream
  Online Stream containing data content for the RCOL block.
Return Value
Type: ARCOLBlock
A new instance of the requested RCOL block type,
            initialised from the supplied   Online Stream,
            or null if the type is not supported.
See Also
GenericRCOLResourceHandler Class
GenericRCOLResourceHandler Members
RCOLDealer Overload
s3pi.GenericRCOLResource Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GenericRCOLResourceHandler.RCOLDealer Method (Int32, EventHandler, UInt32, Object[])

GenericRCOLResourceHandler RCOLDealer Method (Int32, EventHandler, UInt32, Object ) s3pi library documentation
Return a new instance of the requested RCOL block type, initialised from the supplied fields.

Namespace: s3pi.GenericRCOLResource
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static ARCOLBlock RCOLDealer(
    int APIversion,
    EventHandler handler,
    uint type,
    params Object[] fields
)
public static ARCOLBlock RCOLDealer(
    int APIversion,
    EventHandler handler,
    uint type,
    params Object[] fields
)
Public Shared Function RCOLDealer (
    APIversion As Integer,
    handler As EventHandler,
    type As UInteger,
    ParamArray fields As Object()
) As ARCOLBlock
Public Shared Function RCOLDealer (
    APIversion As Integer,
    handler As EventHandler,
    type As UInteger,
    ParamArray fields As Object()
) As ARCOLBlock
public:
static ARCOLBlock^ RCOLDealer(
    int APIversion,
    EventHandler^ handler,
    unsigned int type,
    ... array<Object^>^ fields
)
public:
static ARCOLBlock^ RCOLDealer(
    int APIversion,
    EventHandler^ handler,
    unsigned int type,
    ... array<Object^>^ fields
)
Parameters
APIversion
Type:   Online System Int32
Requested API version.
handler
Type:   Online System EventHandler
Change   Online EventHandler delegate.
type
Type:   Online System UInt32
Resource type of RCOL block.
fields
Type:    Online System Object
The fields to pass to the RCOL block constructor.
Return Value
Type: ARCOLBlock
A new instance of the requested RCOL block type,
            initialised from the supplied fields,
            or null if the type is not supported.
See Also
GenericRCOLResourceHandler Class
GenericRCOLResourceHandler Members
RCOLDealer Overload
s3pi.GenericRCOLResource Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


GenericRCOLResourceHandler.RCOLTypesForTag Method

GenericRCOLResourceHandler RCOLTypesForTag Method s3pi library documentation
Return the enumeration of ResourceTypes for the given tag.

Namespace: s3pi.GenericRCOLResource
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static IEnumerable<uint> RCOLTypesForTag(
    string tag
)
public static IEnumerable<uint> RCOLTypesForTag(
    string tag
)
Public Shared Function RCOLTypesForTag (
    tag As String
) As IEnumerable(Of UInteger)
Public Shared Function RCOLTypesForTag (
    tag As String
) As IEnumerable(Of UInteger)
public:
static IEnumerable<unsigned int>^ RCOLTypesForTag(
    String^ tag
)
public:
static IEnumerable<unsigned int>^ RCOLTypesForTag(
    String^ tag
)
Parameters
tag
Type:   Online System String
An RCOL tag.
Return Value
Type:   Online IEnumerable    Online UInt32
An enumeration of ResourceTypes.
See Also
GenericRCOLResourceHandler Class
GenericRCOLResourceHandler Members
s3pi.GenericRCOLResource Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


s3pi.Helpers Namespace

s3pi.Helpers Namespace s3pi library documentation
Classes
 | Class | Description
Public class | HelperManager |
Public class | RunHelper |
Structures
 | Structure | Description
Public structure | HelperManager Helper |
Interfaces
 | Interface | Description
Public interface | IRunHelper |

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


HelperManager Class

HelperManager Class s3pi library documentation

[Missing <summary> documentation for "T:s3pi.Helpers.HelperManager"]

Inheritance Hierarchy
Online System Object
Online System.Collections.Generic List HelperManager Helper
s3pi.Helpers HelperManager

Namespace: s3pi.Helpers
Assembly: s3pi.Helpers (in s3pi.Helpers.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public class HelperManager : List<HelperManager..::..Helper>
public class HelperManager : List<HelperManager..::..Helper>
Public Class HelperManager
    Inherits List(Of HelperManager..::..Helper)
Public Class HelperManager
    Inherits List(Of HelperManager..::..Helper)
public ref class HelperManager : public List<HelperManager..::..Helper>
public ref class HelperManager : public List<HelperManager..::..Helper>
See Also
HelperManager Members
s3pi.Helpers Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


HelperManager Members

HelperManager Members s3pi library documentation

The HelperManager type exposes the following members.
Constructors
 | Name | Description
Public method | HelperManager | Initializes a new instance of the HelperManager class
Back to Top
Methods
 | Name | Description
 | Edit |
Public method | execHelper |
 | Reload |
Back to Top
Properties
Name | Description
Helpers |
Back to Top
See Also
HelperManager Class
s3pi.Helpers Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


HelperManager Constructor

HelperManager Constructor s3pi library documentation
Initializes a new instance of the HelperManager class

Namespace: s3pi.Helpers
Assembly: s3pi.Helpers (in s3pi.Helpers.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public HelperManager(
    IResourceIndexEntry key,
    IResource res,
    string resname = null
)
public HelperManager(
    IResourceIndexEntry key,
    IResource res,
    string resname = null
)
Public Sub New (
    key As IResourceIndexEntry,
    res As IResource,
    Optional resname As String = Nothing
)
Public Sub New (
    key As IResourceIndexEntry,
    res As IResource,
    Optional resname As String = Nothing
)
public:
HelperManager(
    IResourceIndexEntry^ key,
    IResource^ res,
    String^ resname = nullptr
)
public:
HelperManager(
    IResourceIndexEntry^ key,
    IResource^ res,
    String^ resname = nullptr
)
Parameters
key
Type: s3pi.Interfaces IResourceIndexEntry
[Missing <param name="key"/> documentation for "M:s3pi.Helpers.HelperManager.#ctor(s3pi.Interfaces.IResourceIndexEntry,s3pi.Interfaces.IResource,System.String)"]
res
Type: s3pi.Interfaces IResource
[Missing <param name="res"/> documentation for "M:s3pi.Helpers.HelperManager.#ctor(s3pi.Interfaces.IResourceIndexEntry,s3pi.Interfaces.IResource,System.String)"]
resname (Optional)
Type:   Online System String
[Missing <param name="resname"/> documentation for "M:s3pi.Helpers.HelperManager.#ctor(s3pi.Interfaces.IResourceIndexEntry,s3pi.Interfaces.IResource,System.String)"]
See Also
HelperManager Class
HelperManager Members
s3pi.Helpers Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


HelperManager Methods

HelperManager Methods s3pi library documentation
The HelperManager type exposes the following members.
Methods
 | Name | Description
 | Edit |
Public method | execHelper |
 | Reload |
Back to Top
See Also
HelperManager Class
s3pi.Helpers Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


HelperManager.Edit Method

HelperManager Edit Method s3pi library documentation

[Missing <summary> documentation for "M:s3pi.Helpers.HelperManager.Edit(s3pi.Interfaces.IResourceKey,s3pi.Interfaces.IResource,System.String,System.Boolean,System.Boolean)"]

Namespace: s3pi.Helpers
Assembly: s3pi.Helpers (in s3pi.Helpers.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static MemoryStream Edit(
    IResourceKey key,
    IResource res,
    string command,
    bool wantsQuotes,
    bool ignoreWriteTimestamp
)
public static MemoryStream Edit(
    IResourceKey key,
    IResource res,
    string command,
    bool wantsQuotes,
    bool ignoreWriteTimestamp
)
Public Shared Function Edit (
    key As IResourceKey,
    res As IResource,
    command As String,
    wantsQuotes As Boolean,
    ignoreWriteTimestamp As Boolean
) As MemoryStream
Public Shared Function Edit (
    key As IResourceKey,
    res As IResource,
    command As String,
    wantsQuotes As Boolean,
    ignoreWriteTimestamp As Boolean
) As MemoryStream
public:
static MemoryStream^ Edit(
    IResourceKey^ key,
    IResource^ res,
    String^ command,
    bool wantsQuotes,
    bool ignoreWriteTimestamp
)
public:
static MemoryStream^ Edit(
    IResourceKey^ key,
    IResource^ res,
    String^ command,
    bool wantsQuotes,
    bool ignoreWriteTimestamp
)
Parameters
key
Type: s3pi.Interfaces IResourceKey
[Missing <param name="key"/> documentation for "M:s3pi.Helpers.HelperManager.Edit(s3pi.Interfaces.IResourceKey,s3pi.Interfaces.IResource,System.String,System.Boolean,System.Boolean)"]
res
Type: s3pi.Interfaces IResource
[Missing <param name="res"/> documentation for "M:s3pi.Helpers.HelperManager.Edit(s3pi.Interfaces.IResourceKey,s3pi.Interfaces.IResource,System.String,System.Boolean,System.Boolean)"]
command
Type:   Online System String
[Missing <param name="command"/> documentation for "M:s3pi.Helpers.HelperManager.Edit(s3pi.Interfaces.IResourceKey,s3pi.Interfaces.IResource,System.String,System.Boolean,System.Boolean)"]
wantsQuotes
Type:   Online System Boolean
[Missing <param name="wantsQuotes"/> documentation for "M:s3pi.Helpers.HelperManager.Edit(s3pi.Interfaces.IResourceKey,s3pi.Interfaces.IResource,System.String,System.Boolean,System.Boolean)"]
ignoreWriteTimestamp
Type:   Online System Boolean
[Missing <param name="ignoreWriteTimestamp"/> documentation for "M:s3pi.Helpers.HelperManager.Edit(s3pi.Interfaces.IResourceKey,s3pi.Interfaces.IResource,System.String,System.Boolean,System.Boolean)"]
Return Value
Type:   Online MemoryStream
[Missing <returns> documentation for "M:s3pi.Helpers.HelperManager.Edit(s3pi.Interfaces.IResourceKey,s3pi.Interfaces.IResource,System.String,System.Boolean,System.Boolean)"]
See Also
HelperManager Class
HelperManager Members
s3pi.Helpers Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


HelperManager.execHelper Method

HelperManager execHelper Method s3pi library documentation

[Missing <summary> documentation for "M:s3pi.Helpers.HelperManager.execHelper(System.Int32)"]

Namespace: s3pi.Helpers
Assembly: s3pi.Helpers (in s3pi.Helpers.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public MemoryStream execHelper(
    int i
)
public MemoryStream execHelper(
    int i
)
Public Function execHelper (
    i As Integer
) As MemoryStream
Public Function execHelper (
    i As Integer
) As MemoryStream
public:
MemoryStream^ execHelper(
    int i
)
public:
MemoryStream^ execHelper(
    int i
)
Parameters
i
Type:   Online System Int32
[Missing <param name="i"/> documentation for "M:s3pi.Helpers.HelperManager.execHelper(System.Int32)"]
Return Value
Type:   Online MemoryStream
[Missing <returns> documentation for "M:s3pi.Helpers.HelperManager.execHelper(System.Int32)"]
See Also
HelperManager Class
HelperManager Members
s3pi.Helpers Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


HelperManager.Reload Method

HelperManager Reload Method s3pi library documentation

[Missing <summary> documentation for "M:s3pi.Helpers.HelperManager.Reload"]

Namespace: s3pi.Helpers
Assembly: s3pi.Helpers (in s3pi.Helpers.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static void Reload()
public static void Reload()
Public Shared Sub Reload
Public Shared Sub Reload
public:
static void Reload()
public:
static void Reload()
See Also
HelperManager Class
HelperManager Members
s3pi.Helpers Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


HelperManager Properties

HelperManager Properties s3pi library documentation
The HelperManager type exposes the following members.
Properties
Name | Description
Helpers |
Back to Top
See Also
HelperManager Class
s3pi.Helpers Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


HelperManager.Helpers Property

HelperManager Helpers Property s3pi library documentation

[Missing <summary> documentation for "P:s3pi.Helpers.HelperManager.Helpers"]

Namespace: s3pi.Helpers
Assembly: s3pi.Helpers (in s3pi.Helpers.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static List<HelperManager..::..Helper> Helpers { get; }
public static List<HelperManager..::..Helper> Helpers { get; }
Public Shared ReadOnly Property Helpers As List(Of HelperManager..::..Helper)
    Get
Public Shared ReadOnly Property Helpers As List(Of HelperManager..::..Helper)
    Get
public:
static property List<HelperManager..::..Helper>^ Helpers {
    List<HelperManager..::..Helper>^ get ();
}
public:
static property List<HelperManager..::..Helper>^ Helpers {
    List<HelperManager..::..Helper>^ get ();
}
Property Value
Type:   Online List  HelperManager Helper
See Also
HelperManager Class
HelperManager Members
s3pi.Helpers Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


HelperManager.Helper Structure

HelperManager Helper Structure s3pi library documentation

[Missing <summary> documentation for "T:s3pi.Helpers.HelperManager.Helper"]

Namespace: s3pi.Helpers
Assembly: s3pi.Helpers (in s3pi.Helpers.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public struct Helper
public struct Helper
Public Structure Helper
Public Structure Helper
public value class Helper
public value class Helper
See Also
HelperManager Helper Members
s3pi.Helpers Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


HelperManager.Helper Members

HelperManager Helper Members s3pi library documentation

The HelperManager Helper type exposes the following members.
Constructors
 | Name | Description
Public method | HelperManager Helper | Initializes a new instance of the HelperManager Helper class
Back to Top
Fields
 | Name | Description
Public field | arguments |
Public field | command |
Public field | desc |
Public field | export |
Public field | filename |
Public field | id |
Public field | ignoreWriteTimestamp |
Public field | isReadOnly |
Public field | label |
Public field | res |
Back to Top
See Also
HelperManager Helper Structure
s3pi.Helpers Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


HelperManager.Helper Constructor

HelperManager Helper Constructor s3pi library documentation
Initializes a new instance of the HelperManager Helper class

Namespace: s3pi.Helpers
Assembly: s3pi.Helpers (in s3pi.Helpers.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public Helper(
    Dictionary<string, string> match,
    TGIN tgin,
    IResource res
)
public Helper(
    Dictionary<string, string> match,
    TGIN tgin,
    IResource res
)
Public Sub New (
    match As Dictionary(Of String, String),
    tgin As TGIN,
    res As IResource
)
Public Sub New (
    match As Dictionary(Of String, String),
    tgin As TGIN,
    res As IResource
)
public:
Helper(
    Dictionary<String^, String^>^ match,
    TGIN tgin,
    IResource^ res
)
public:
Helper(
    Dictionary<String^, String^>^ match,
    TGIN tgin,
    IResource^ res
)
Parameters
match
Type:   Online System.Collections.Generic Dictionary    Online String,   Online String
[Missing <param name="match"/> documentation for "M:s3pi.Helpers.HelperManager.Helper.#ctor(System.Collections.Generic.Dictionary{System.String,System.String},s3pi.Extensions.TGIN,s3pi.Interfaces.IResource)"]
tgin
Type: s3pi.Extensions TGIN
[Missing <param name="tgin"/> documentation for "M:s3pi.Helpers.HelperManager.Helper.#ctor(System.Collections.Generic.Dictionary{System.String,System.String},s3pi.Extensions.TGIN,s3pi.Interfaces.IResource)"]
res
Type: s3pi.Interfaces IResource
[Missing <param name="res"/> documentation for "M:s3pi.Helpers.HelperManager.Helper.#ctor(System.Collections.Generic.Dictionary{System.String,System.String},s3pi.Extensions.TGIN,s3pi.Interfaces.IResource)"]
See Also
HelperManager Helper Structure
HelperManager Helper Members
s3pi.Helpers Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


HelperManager.Helper Fields

HelperManager Helper Fields s3pi library documentation
The HelperManager Helper type exposes the following members.
Fields
 | Name | Description
Public field | arguments |
Public field | command |
Public field | desc |
Public field | export |
Public field | filename |
Public field | id |
Public field | ignoreWriteTimestamp |
Public field | isReadOnly |
Public field | label |
Public field | res |
Back to Top
See Also
HelperManager Helper Structure
s3pi.Helpers Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


HelperManager.Helper.arguments Field

HelperManager Helper arguments Field s3pi library documentation

[Missing <summary> documentation for "F:s3pi.Helpers.HelperManager.Helper.arguments"]

Namespace: s3pi.Helpers
Assembly: s3pi.Helpers (in s3pi.Helpers.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public readonly string arguments
public readonly string arguments
Public ReadOnly arguments As String
Public ReadOnly arguments As String
public:
initonly String^ arguments
public:
initonly String^ arguments
Field Value
Type:   Online String
See Also
HelperManager Helper Structure
HelperManager Helper Members
s3pi.Helpers Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


HelperManager.Helper.command Field

HelperManager Helper command Field s3pi library documentation

[Missing <summary> documentation for "F:s3pi.Helpers.HelperManager.Helper.command"]

Namespace: s3pi.Helpers
Assembly: s3pi.Helpers (in s3pi.Helpers.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public readonly string command
public readonly string command
Public ReadOnly command As String
Public ReadOnly command As String
public:
initonly String^ command
public:
initonly String^ command
Field Value
Type:   Online String
See Also
HelperManager Helper Structure
HelperManager Helper Members
s3pi.Helpers Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


HelperManager.Helper.desc Field

HelperManager Helper desc Field s3pi library documentation

[Missing <summary> documentation for "F:s3pi.Helpers.HelperManager.Helper.desc"]

Namespace: s3pi.Helpers
Assembly: s3pi.Helpers (in s3pi.Helpers.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public readonly string desc
public readonly string desc
Public ReadOnly desc As String
Public ReadOnly desc As String
public:
initonly String^ desc
public:
initonly String^ desc
Field Value
Type:   Online String
See Also
HelperManager Helper Structure
HelperManager Helper Members
s3pi.Helpers Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


HelperManager.Helper.export Field

HelperManager Helper export Field s3pi library documentation

[Missing <summary> documentation for "F:s3pi.Helpers.HelperManager.Helper.export"]

Namespace: s3pi.Helpers
Assembly: s3pi.Helpers (in s3pi.Helpers.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public readonly bool export
public readonly bool export
Public ReadOnly export As Boolean
Public ReadOnly export As Boolean
public:
initonly bool export
public:
initonly bool export
Field Value
Type:   Online Boolean
See Also
HelperManager Helper Structure
HelperManager Helper Members
s3pi.Helpers Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


HelperManager.Helper.filename Field

HelperManager Helper filename Field s3pi library documentation

[Missing <summary> documentation for "F:s3pi.Helpers.HelperManager.Helper.filename"]

Namespace: s3pi.Helpers
Assembly: s3pi.Helpers (in s3pi.Helpers.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public readonly string filename
public readonly string filename
Public ReadOnly filename As String
Public ReadOnly filename As String
public:
initonly String^ filename
public:
initonly String^ filename
Field Value
Type:   Online String
See Also
HelperManager Helper Structure
HelperManager Helper Members
s3pi.Helpers Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


HelperManager.Helper.id Field

HelperManager Helper id Field s3pi library documentation

[Missing <summary> documentation for "F:s3pi.Helpers.HelperManager.Helper.id"]

Namespace: s3pi.Helpers
Assembly: s3pi.Helpers (in s3pi.Helpers.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public readonly string id
public readonly string id
Public ReadOnly id As String
Public ReadOnly id As String
public:
initonly String^ id
public:
initonly String^ id
Field Value
Type:   Online String
See Also
HelperManager Helper Structure
HelperManager Helper Members
s3pi.Helpers Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


HelperManager.Helper.ignoreWriteTimestamp Field

HelperManager Helper ignoreWriteTimestamp Field s3pi library documentation

[Missing <summary> documentation for "F:s3pi.Helpers.HelperManager.Helper.ignoreWriteTimestamp"]

Namespace: s3pi.Helpers
Assembly: s3pi.Helpers (in s3pi.Helpers.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public readonly bool ignoreWriteTimestamp
public readonly bool ignoreWriteTimestamp
Public ReadOnly ignoreWriteTimestamp As Boolean
Public ReadOnly ignoreWriteTimestamp As Boolean
public:
initonly bool ignoreWriteTimestamp
public:
initonly bool ignoreWriteTimestamp
Field Value
Type:   Online Boolean
See Also
HelperManager Helper Structure
HelperManager Helper Members
s3pi.Helpers Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


HelperManager.Helper.isReadOnly Field

HelperManager Helper isReadOnly Field s3pi library documentation

[Missing <summary> documentation for "F:s3pi.Helpers.HelperManager.Helper.isReadOnly"]

Namespace: s3pi.Helpers
Assembly: s3pi.Helpers (in s3pi.Helpers.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public readonly bool isReadOnly
public readonly bool isReadOnly
Public ReadOnly isReadOnly As Boolean
Public ReadOnly isReadOnly As Boolean
public:
initonly bool isReadOnly
public:
initonly bool isReadOnly
Field Value
Type:   Online Boolean
See Also
HelperManager Helper Structure
HelperManager Helper Members
s3pi.Helpers Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


HelperManager.Helper.label Field

HelperManager Helper label Field s3pi library documentation

[Missing <summary> documentation for "F:s3pi.Helpers.HelperManager.Helper.label"]

Namespace: s3pi.Helpers
Assembly: s3pi.Helpers (in s3pi.Helpers.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public readonly string label
public readonly string label
Public ReadOnly label As String
Public ReadOnly label As String
public:
initonly String^ label
public:
initonly String^ label
Field Value
Type:   Online String
See Also
HelperManager Helper Structure
HelperManager Helper Members
s3pi.Helpers Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


HelperManager.Helper.res Field

HelperManager Helper res Field s3pi library documentation

[Missing <summary> documentation for "F:s3pi.Helpers.HelperManager.Helper.res"]

Namespace: s3pi.Helpers
Assembly: s3pi.Helpers (in s3pi.Helpers.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public readonly IResource res
public readonly IResource res
Public ReadOnly res As IResource
Public ReadOnly res As IResource
public:
initonly IResource^ res
public:
initonly IResource^ res
Field Value
Type: IResource
See Also
HelperManager Helper Structure
HelperManager Helper Members
s3pi.Helpers Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IRunHelper Interface

IRunHelper Interface s3pi library documentation

[Missing <summary> documentation for "T:s3pi.Helpers.IRunHelper"]

Namespace: s3pi.Helpers
Assembly: s3pi.Helpers (in s3pi.Helpers.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public interface IRunHelper
public interface IRunHelper
Public Interface IRunHelper
Public Interface IRunHelper
public interface class IRunHelper
public interface class IRunHelper
See Also
IRunHelper Members
s3pi.Helpers Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IRunHelper Members

IRunHelper Members s3pi library documentation

The IRunHelper type exposes the following members.
Properties
 | Name | Description
Public property | Result |
Back to Top
See Also
IRunHelper Interface
s3pi.Helpers Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IRunHelper Properties

IRunHelper Properties s3pi library documentation
The IRunHelper type exposes the following members.
Properties
 | Name | Description
Public property | Result |
Back to Top
See Also
IRunHelper Interface
s3pi.Helpers Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IRunHelper.Result Property

IRunHelper Result Property s3pi library documentation

[Missing <summary> documentation for "P:s3pi.Helpers.IRunHelper.Result"]

Namespace: s3pi.Helpers
Assembly: s3pi.Helpers (in s3pi.Helpers.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
byte[] Result { get; }
byte[] Result { get; }
ReadOnly Property Result As Byte()
    Get
ReadOnly Property Result As Byte()
    Get
property array<unsigned char>^ Result {
    array<unsigned char>^ get ();
}
property array<unsigned char>^ Result {
    array<unsigned char>^ get ();
}
Property Value
Type:    Online Byte
See Also
IRunHelper Interface
IRunHelper Members
s3pi.Helpers Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


RunHelper Class

RunHelper Class s3pi library documentation

[Missing <summary> documentation for "T:s3pi.Helpers.RunHelper"]

Inheritance Hierarchy
Online System Object
s3pi.Helpers RunHelper

Namespace: s3pi.Helpers
Assembly: s3pi.Helpers (in s3pi.Helpers.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static class RunHelper
public static class RunHelper
Public NotInheritable Class RunHelper
Public NotInheritable Class RunHelper
public ref class RunHelper abstract sealed
public ref class RunHelper abstract sealed
See Also
RunHelper Members
s3pi.Helpers Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


RunHelper Members

RunHelper Members s3pi library documentation

The RunHelper type exposes the following members.
Methods
Name | Description
Run |
Back to Top
See Also
RunHelper Class
s3pi.Helpers Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


RunHelper Methods

RunHelper Methods s3pi library documentation
The RunHelper type exposes the following members.
Methods
Name | Description
Run |
Back to Top
See Also
RunHelper Class
s3pi.Helpers Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


RunHelper.Run Method

RunHelper Run Method s3pi library documentation

[Missing <summary> documentation for "M:s3pi.Helpers.RunHelper.Run(System.Type,System.String[])"]

Namespace: s3pi.Helpers
Assembly: s3pi.Helpers (in s3pi.Helpers.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static int Run(
    Type mainForm,
    params string[] args
)
public static int Run(
    Type mainForm,
    params string[] args
)
Public Shared Function Run (
    mainForm As Type,
    ParamArray args As String()
) As Integer
Public Shared Function Run (
    mainForm As Type,
    ParamArray args As String()
) As Integer
public:
static int Run(
    Type^ mainForm,
    ... array<String^>^ args
)
public:
static int Run(
    Type^ mainForm,
    ... array<String^>^ args
)
Parameters
mainForm
Type:   Online System Type
[Missing <param name="mainForm"/> documentation for "M:s3pi.Helpers.RunHelper.Run(System.Type,System.String[])"]
args
Type:    Online System String
[Missing <param name="args"/> documentation for "M:s3pi.Helpers.RunHelper.Run(System.Type,System.String[])"]
Return Value
Type:   Online Int32
[Missing <returns> documentation for "M:s3pi.Helpers.RunHelper.Run(System.Type,System.String[])"]
See Also
RunHelper Class
RunHelper Members
s3pi.Helpers Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


s3pi.Interfaces Namespace

s3pi.Interfaces Namespace s3pi library documentation
Classes
 | Class | Description
Public class | AApiVersionedFields | API Objects should all descend from this Abstract class. It will provide versioning support -- when implemented. It provides ContentFields support
Public class | AApiVersionedFields Comparer T | A class enabling sorting API objects by a ContentFields name
Public class | AHandlerElement | A useful extension to AApiVersionedFields where a change handler is required
Public class | APackage | Abstract definition of a package
Public class | ARCOLBlock | Represents the abstract RCOL block within a s3pi.GenericRCOLResource.
Public class | AResource | A resource contained in a package.
Public class | AResourceHandler | Used by WrapperDealer to identify "interesting" classes and assemblies. The class maps implementers of AResource to string representations of ResourceType. Hence each "wrapper" assembly can contain multiple wrapper types (Type key) each of which supports one or more ResourceTypes (List<string> value). The single AResourceHandler implementation summarises what the assembly provides.
Public class | AResourceIndexEntry | An abstract class, descended from AResourceKey, providing an abstract implemention of IResourceIndexEntry, representing an index entry within a package.
Public class | AResourceKey | An abstract class, extending AHandlerElement and implementing IResourceKey.
Public class | BoundingBox | Defines a bounding box - a imaginary box large enough to completely contain an object - by its minimum and maximum vertices.
Public class | ByteIndexList | A byte-size use of IndexList T .
Public class | CountedTGIBlockList | A TGIBlock list class where the count of elements is separate from the stored list
Public class | DependentList T | Abstract extension to AHandlerList T adding support for Online Stream IO and partially implementing IGenericAdd.
Public class | ElementPriorityAttribute | Element priority is used when displaying elements
Public class | HandlerElement T | An extension to AHandlerElement, for simple data types (such as Online UInt32).
Public class | IndexList T | A flexible generic list of DependentList T indices.
Public class | IndexList T Enumerator U | Supports a simple iteration over a generic collection.
Public class | Int32IndexList | IndexList T with Online Int32 entries.
Public class | IntList | Commonly used simple list. The list count is an integer stored immediately before the list. The elements are Int32.
Public class | MaximumVersionAttribute | Specify the Maximum version up to which a field or method is supported
Public class | MinimumVersionAttribute | Specify the Minumum version from which a field or method is supported
Public class | Quaternion | Defines a quaternion - the quotient of two vectors.
Public class | SimpleList T | A flexible generic list that implements DependentList T for a simple data type (such as Online UInt32).
Public class | SimpleList T Enumerator U | Supports a simple iteration over a generic collection.
Public class | TGIBlock | An implementation of AResourceKey that supports storing the Type, Group and Instance in any order.
Public class | TGIBlockList | A TGIBlock list class where the count and size of the list are stored separately (but managed by this class)
Public class | TGIBlockListContentFieldAttribute | Indicates that the element should be expandable rather than requiring a popup
Public class | TGIBlockListIndex T | An extension to AHandlerElement, for lists of TGIBlockList indices.
Public class | TypedValue | A tuple associating a data type (or class) with a value object (of the given type)
Public class | UIntList | Commonly used simple list. The list count is an integer stored immediately before the list. The elements are UInt32.
Public class | VersionAttribute | Base class for versioning support. Not directly used by the API.
Public class | Vertex | Defines a vertex - a point in 3d space defined by three coordinates.
Interfaces
 | Interface | Description
Public interface | IApiVersion | Support for API versioning
Public interface | IContentFields | Standardised interface to API objects (hiding the reflection)
Public interface | IGenericAdd | Classes implementing this interface can have elements added with an empty parameter list or the list of arguments to a generic class' constructor.
Public interface | IPackage | Representation of a Sims 3 Package
Public interface | IRCOLBlock | Defines the interface exposed by an RCOL block.
Public interface | IResource | Minimal resource interface
Public interface | IResourceIndexEntry | An index entry within a package
Public interface | IResourceKey | Exposes a standard set of properties to identify a resource
Delegates
 | Delegate | Description
Public delegate | IndexList T CreateElementMethod | Create a new element of type T from a Online Stream.
Public delegate | IndexList T ReadCountMethod | Return the number of list elements to read.
Public delegate | IndexList T WriteCountMethod | Store the number of elements in the list.
Public delegate | IndexList T WriteElementMethod | Write an element of type T to a Online Stream.
Public delegate | SimpleList T CreateElementMethod | Create a new element of type T from a Online Stream.
Public delegate | SimpleList T ReadCountMethod | Return the number of list elements to read.
Public delegate | SimpleList T WriteCountMethod | Store the number of elements in the list.
Public delegate | SimpleList T WriteElementMethod | Write an element of type T to a Online Stream.
Enumerations
 | Enumeration | Description
Public enumeration | TGIBlock Order | Options for the order of the Type, Group and Instance elements of a TGIBlock

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AApiVersionedFields Class

AApiVersionedFields Class s3pi library documentation
API Objects should all descend from this Abstract class. It will provide versioning support -- when implemented. It provides ContentFields support
Inheritance Hierarchy
Online System Object
s3pi.Interfaces AApiVersionedFields
s3pi.Interfaces AHandlerElement
s3pi.Interfaces APackage
s3pi.Interfaces AResource

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public abstract class AApiVersionedFields : IApiVersion,
    IContentFields
public abstract class AApiVersionedFields : IApiVersion,
    IContentFields
Public MustInherit Class AApiVersionedFields
    Implements IApiVersion, IContentFields
Public MustInherit Class AApiVersionedFields
    Implements IApiVersion, IContentFields
public ref class AApiVersionedFields abstract : IApiVersion,
    IContentFields
public ref class AApiVersionedFields abstract : IApiVersion,
    IContentFields
See Also
AApiVersionedFields Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AApiVersionedFields Members

AApiVersionedFields Members s3pi library documentation

The AApiVersionedFields type exposes the following members.
Constructors
 | Name | Description
Protected method | AApiVersionedFields | Initializes a new instance of the AApiVersionedFields class
Back to Top
Methods
 | Name | Description
Public method | CompareByPriority | Sorts Content Field names by their ElementPriorityAttribute (if set)
 | FlagNames | Return a space-separated string containing valid enumeration names for the given type
 | FOURCC(String) | Convert a string (up to 8 characters) to a UInt64
 | FOURCC(UInt64) | Convert a UInt64 to a string (up to 8 characters, high-order zeros omitted)
 | GetContentFields | Versioning is not currently implemented Return the list of fields for a given API Class
 | GetContentFieldTypes | Gets a lookup table from fieldname to type.
Public method | GetTGIBlocks(String) | Get the TGIBlock list for a Content Field.
 | GetTGIBlocks(AApiVersionedFields, String) | Get the TGIBlock list for a Content Field.
Public method | ToString | Returns a Online String that represents the current AApiVersionedFields object. (Overrides Online Object ToString .)
Back to Top
Fields
 | Name | Description
Protected field | requestedApiVersion | Versioning is not currently implemented Set this to the version of the API requested on object creation
Back to Top
Properties
 | Name | Description
Public property | ContentFields | The list of available field names on this API object
Public property | Item | A typed value on this object
Public property | RecommendedApiVersion | The best supported version of the API available
Public property | RequestedApiVersion | The version of the API in use
Protected property | ValueBuilder | Returns a string representing the value of the field (and any contained sub-fields)
Protected property | ValueBuilderFields | The fields ValueBuilder will return; used to eliminate those that should not be used.
Back to Top
See Also
AApiVersionedFields Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AApiVersionedFields Constructor

AApiVersionedFields Constructor s3pi library documentation
Initializes a new instance of the AApiVersionedFields class

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected AApiVersionedFields()
protected AApiVersionedFields()
Protected Sub New
Protected Sub New
protected:
AApiVersionedFields()
protected:
AApiVersionedFields()
See Also
AApiVersionedFields Class
AApiVersionedFields Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AApiVersionedFields Fields

AApiVersionedFields Fields s3pi library documentation
The AApiVersionedFields type exposes the following members.
Fields
 | Name | Description
Protected field | requestedApiVersion | Versioning is not currently implemented Set this to the version of the API requested on object creation
Back to Top
See Also
AApiVersionedFields Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AApiVersionedFields.requestedApiVersion Field

AApiVersionedFields requestedApiVersion Field s3pi library documentation
Versioning is not currently implemented Set this to the version of the API requested on object creation

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected int requestedApiVersion
protected int requestedApiVersion
Protected requestedApiVersion As Integer
Protected requestedApiVersion As Integer
protected:
int requestedApiVersion
protected:
int requestedApiVersion
Field Value
Type:   Online Int32
See Also
AApiVersionedFields Class
AApiVersionedFields Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AApiVersionedFields Methods

AApiVersionedFields Methods s3pi library documentation
The AApiVersionedFields type exposes the following members.
Methods
 | Name | Description
Public method | CompareByPriority | Sorts Content Field names by their ElementPriorityAttribute (if set)
 | FlagNames | Return a space-separated string containing valid enumeration names for the given type
 | FOURCC(String) | Convert a string (up to 8 characters) to a UInt64
 | FOURCC(UInt64) | Convert a UInt64 to a string (up to 8 characters, high-order zeros omitted)
 | GetContentFields | Versioning is not currently implemented Return the list of fields for a given API Class
 | GetContentFieldTypes | Gets a lookup table from fieldname to type.
Public method | GetTGIBlocks(String) | Get the TGIBlock list for a Content Field.
 | GetTGIBlocks(AApiVersionedFields, String) | Get the TGIBlock list for a Content Field.
Public method | ToString | Returns a Online String that represents the current AApiVersionedFields object. (Overrides Online Object ToString .)
Back to Top
See Also
AApiVersionedFields Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AApiVersionedFields.CompareByPriority Method

AApiVersionedFields CompareByPriority Method s3pi library documentation
Sorts Content Field names by their ElementPriorityAttribute (if set)

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public int CompareByPriority(
    string x,
    string y
)
public int CompareByPriority(
    string x,
    string y
)
Public Function CompareByPriority (
    x As String,
    y As String
) As Integer
Public Function CompareByPriority (
    x As String,
    y As String
) As Integer
public:
int CompareByPriority(
    String^ x,
    String^ y
)
public:
int CompareByPriority(
    String^ x,
    String^ y
)
Parameters
x
Type:   Online System String
First content field name
y
Type:   Online System String
Second content field name
Return Value
Type:   Online Int32
A signed number indicating the relative values of this instance and value.
See Also
AApiVersionedFields Class
AApiVersionedFields Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AApiVersionedFields.FlagNames Method

AApiVersionedFields FlagNames Method s3pi library documentation
Return a space-separated string containing valid enumeration names for the given type

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static string FlagNames(
    Type t
)
public static string FlagNames(
    Type t
)
Public Shared Function FlagNames (
    t As Type
) As String
Public Shared Function FlagNames (
    t As Type
) As String
public:
static String^ FlagNames(
    Type^ t
)
public:
static String^ FlagNames(
    Type^ t
)
Parameters
t
Type:   Online System Type
Enum type
Return Value
Type:   Online String
Valid enum names
See Also
AApiVersionedFields Class
AApiVersionedFields Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AApiVersionedFields.FOURCC Method

AApiVersionedFields FOURCC Method s3pi library documentation
Overload List
Name | Description
FOURCC(String) | Convert a string (up to 8 characters) to a UInt64
FOURCC(UInt64) | Convert a UInt64 to a string (up to 8 characters, high-order zeros omitted)
Back to Top
See Also
AApiVersionedFields Class
AApiVersionedFields Members
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AApiVersionedFields.FOURCC Method (String)

AApiVersionedFields FOURCC Method (String) s3pi library documentation
Convert a string (up to 8 characters) to a UInt64

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static ulong FOURCC(
    string s
)
public static ulong FOURCC(
    string s
)
Public Shared Function FOURCC (
    s As String
) As ULong
Public Shared Function FOURCC (
    s As String
) As ULong
public:
static unsigned long long FOURCC(
    String^ s
)
public:
static unsigned long long FOURCC(
    String^ s
)
Parameters
s
Type:   Online System String
String to convert
Return Value
Type:   Online UInt64
UInt64 packed representation of s
See Also
AApiVersionedFields Class
AApiVersionedFields Members
FOURCC Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AApiVersionedFields.FOURCC Method (UInt64)

AApiVersionedFields FOURCC Method (UInt64) s3pi library documentation
Convert a UInt64 to a string (up to 8 characters, high-order zeros omitted)

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static string FOURCC(
    ulong i
)
public static string FOURCC(
    ulong i
)
Public Shared Function FOURCC (
    i As ULong
) As String
Public Shared Function FOURCC (
    i As ULong
) As String
public:
static String^ FOURCC(
    unsigned long long i
)
public:
static String^ FOURCC(
    unsigned long long i
)
Parameters
i
Type:   Online System UInt64
Bytes to convert
Return Value
Type:   Online String
String representation of i
See Also
AApiVersionedFields Class
AApiVersionedFields Members
FOURCC Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AApiVersionedFields.GetContentFields Method

AApiVersionedFields GetContentFields Method s3pi library documentation
Versioning is not currently implemented Return the list of fields for a given API Class

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static List<string> GetContentFields(
    int APIversion,
    Type t
)
public static List<string> GetContentFields(
    int APIversion,
    Type t
)
Public Shared Function GetContentFields (
    APIversion As Integer,
    t As Type
) As List(Of String)
Public Shared Function GetContentFields (
    APIversion As Integer,
    t As Type
) As List(Of String)
public:
static List<String^>^ GetContentFields(
    int APIversion,
    Type^ t
)
public:
static List<String^>^ GetContentFields(
    int APIversion,
    Type^ t
)
Parameters
APIversion
Type:   Online System Int32
Set to 0 (== "best")
t
Type:   Online System Type
The class type for which to get the fields
Return Value
Type:   Online List    Online String
List of field names for the given API version
See Also
AApiVersionedFields Class
AApiVersionedFields Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AApiVersionedFields.GetContentFieldTypes Method

AApiVersionedFields GetContentFieldTypes Method s3pi library documentation
Gets a lookup table from fieldname to type.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static Dictionary<string, Type> GetContentFieldTypes(
    int APIversion,
    Type t
)
public static Dictionary<string, Type> GetContentFieldTypes(
    int APIversion,
    Type t
)
Public Shared Function GetContentFieldTypes (
    APIversion As Integer,
    t As Type
) As Dictionary(Of String, Type)
Public Shared Function GetContentFieldTypes (
    APIversion As Integer,
    t As Type
) As Dictionary(Of String, Type)
public:
static Dictionary<String^, Type^>^ GetContentFieldTypes(
    int APIversion,
    Type^ t
)
public:
static Dictionary<String^, Type^>^ GetContentFieldTypes(
    int APIversion,
    Type^ t
)
Parameters
APIversion
Type:   Online System Int32
Version of API to use
t
Type:   Online System Type
API data type to query
Return Value
Type:   Online Dictionary    Online String,   Online Type
[Missing <returns> documentation for "M:s3pi.Interfaces.AApiVersionedFields.GetContentFieldTypes(System.Int32,System.Type)"]
See Also
AApiVersionedFields Class
AApiVersionedFields Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AApiVersionedFields.GetTGIBlocks Method

AApiVersionedFields GetTGIBlocks Method s3pi library documentation
Overload List
 | Name | Description
Public method | GetTGIBlocks(String) | Get the TGIBlock list for a Content Field.
 | GetTGIBlocks(AApiVersionedFields, String) | Get the TGIBlock list for a Content Field.
Back to Top
See Also
AApiVersionedFields Class
AApiVersionedFields Members
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AApiVersionedFields.GetTGIBlocks Method (String)

AApiVersionedFields GetTGIBlocks Method (String) s3pi library documentation
Get the TGIBlock list for a Content Field.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public DependentList<TGIBlock> GetTGIBlocks(
    string f
)
public DependentList<TGIBlock> GetTGIBlocks(
    string f
)
Public Function GetTGIBlocks (
    f As String
) As DependentList(Of TGIBlock)
Public Function GetTGIBlocks (
    f As String
) As DependentList(Of TGIBlock)
public:
DependentList<TGIBlock^>^ GetTGIBlocks(
    String^ f
)
public:
DependentList<TGIBlock^>^ GetTGIBlocks(
    String^ f
)
Parameters
f
Type:   Online System String
The property name under inspection.
Return Value
Type: DependentList  TGIBlock
The TGIBlock list for a Content Field, if present; otherwise null.
See Also
AApiVersionedFields Class
AApiVersionedFields Members
GetTGIBlocks Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AApiVersionedFields.GetTGIBlocks Method (AApiVersionedFields, String)

AApiVersionedFields GetTGIBlocks Method (AApiVersionedFields, String) s3pi library documentation
Get the TGIBlock list for a Content Field.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static DependentList<TGIBlock> GetTGIBlocks(
    AApiVersionedFields o,
    string f
)
public static DependentList<TGIBlock> GetTGIBlocks(
    AApiVersionedFields o,
    string f
)
Public Shared Function GetTGIBlocks (
    o As AApiVersionedFields,
    f As String
) As DependentList(Of TGIBlock)
Public Shared Function GetTGIBlocks (
    o As AApiVersionedFields,
    f As String
) As DependentList(Of TGIBlock)
public:
static DependentList<TGIBlock^>^ GetTGIBlocks(
    AApiVersionedFields^ o,
    String^ f
)
public:
static DependentList<TGIBlock^>^ GetTGIBlocks(
    AApiVersionedFields^ o,
    String^ f
)
Parameters
o
Type: s3pi.Interfaces AApiVersionedFields
The object to query.
f
Type:   Online System String
The property name under inspection.
Return Value
Type: DependentList  TGIBlock
The TGIBlock list for a Content Field, if present; otherwise null.
See Also
AApiVersionedFields Class
AApiVersionedFields Members
GetTGIBlocks Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AApiVersionedFields.ToString Method

AApiVersionedFields ToString Method s3pi library documentation
Returns a Online String that represents the current AApiVersionedFields object.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override string ToString()
public override string ToString()
Public Overrides Function ToString As String
Public Overrides Function ToString As String
public:
virtual String^ ToString() override
public:
virtual String^ ToString() override
Return Value
Type:   Online String
A   Online String that represents the current AApiVersionedFields object.
See Also
AApiVersionedFields Class
AApiVersionedFields Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AApiVersionedFields Properties

AApiVersionedFields Properties s3pi library documentation
The AApiVersionedFields type exposes the following members.
Properties
 | Name | Description
Public property | ContentFields | The list of available field names on this API object
Public property | Item | A typed value on this object
Public property | RecommendedApiVersion | The best supported version of the API available
Public property | RequestedApiVersion | The version of the API in use
Protected property | ValueBuilder | Returns a string representing the value of the field (and any contained sub-fields)
Protected property | ValueBuilderFields | The fields ValueBuilder will return; used to eliminate those that should not be used.
Back to Top
See Also
AApiVersionedFields Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AApiVersionedFields.ContentFields Property

AApiVersionedFields ContentFields Property s3pi library documentation
The list of available field names on this API object

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public abstract List<string> ContentFields { get; }
public abstract List<string> ContentFields { get; }
Public MustOverride ReadOnly Property ContentFields As List(Of String)
    Get
Public MustOverride ReadOnly Property ContentFields As List(Of String)
    Get
public:
virtual property List<String^>^ ContentFields {
    List<String^>^ get () abstract;
}
public:
virtual property List<String^>^ ContentFields {
    List<String^>^ get () abstract;
}
Property Value
Type:   Online List    Online String
Implements
IContentFields ContentFields
See Also
AApiVersionedFields Class
AApiVersionedFields Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AApiVersionedFields.Item Property

AApiVersionedFields Item Property s3pi library documentation
A typed value on this object

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public virtual TypedValue this[
    string index
] { get; set; }
public virtual TypedValue this[
    string index
] { get; set; }
Public Overridable Default Property Item (
    index As String
) As TypedValue
    Get
    Set
Public Overridable Default Property Item (
    index As String
) As TypedValue
    Get
    Set
public:
virtual property TypedValue^ default[String^ index] {
    TypedValue^ get (String^ index);
    void set (String^ index, TypedValue^ value);
}
public:
virtual property TypedValue^ default[String^ index] {
    TypedValue^ get (String^ index);
    void set (String^ index, TypedValue^ value);
}
Parameters
index
Type:   Online System String
The name of the field (i.e. one of the values from ContentFields)
Return Value
Type: TypedValue
The typed value of the named field
Implements
IContentFields Item String
Exceptions
Exception | Condition
Online System ArgumentOutOfRangeException | Thrown when an unknown index name is requested
See Also
AApiVersionedFields Class
AApiVersionedFields Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AApiVersionedFields.RecommendedApiVersion Property

AApiVersionedFields RecommendedApiVersion Property s3pi library documentation
The best supported version of the API available

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public abstract int RecommendedApiVersion { get; }
public abstract int RecommendedApiVersion { get; }
Public MustOverride ReadOnly Property RecommendedApiVersion As Integer
    Get
Public MustOverride ReadOnly Property RecommendedApiVersion As Integer
    Get
public:
virtual property int RecommendedApiVersion {
    int get () abstract;
}
public:
virtual property int RecommendedApiVersion {
    int get () abstract;
}
Property Value
Type:   Online Int32
Implements
IApiVersion RecommendedApiVersion
See Also
AApiVersionedFields Class
AApiVersionedFields Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AApiVersionedFields.RequestedApiVersion Property

AApiVersionedFields RequestedApiVersion Property s3pi library documentation
The version of the API in use

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public int RequestedApiVersion { get; }
public int RequestedApiVersion { get; }
Public ReadOnly Property RequestedApiVersion As Integer
    Get
Public ReadOnly Property RequestedApiVersion As Integer
    Get
public:
virtual property int RequestedApiVersion {
    int get () sealed;
}
public:
virtual property int RequestedApiVersion {
    int get () sealed;
}
Property Value
Type:   Online Int32
Implements
IApiVersion RequestedApiVersion
See Also
AApiVersionedFields Class
AApiVersionedFields Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AApiVersionedFields.ValueBuilder Property

AApiVersionedFields ValueBuilder Property s3pi library documentation
Returns a string representing the value of the field (and any contained sub-fields)

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected string ValueBuilder { get; }
protected string ValueBuilder { get; }
Protected ReadOnly Property ValueBuilder As String
    Get
Protected ReadOnly Property ValueBuilder As String
    Get
protected:
property String^ ValueBuilder {
    String^ get ();
}
protected:
property String^ ValueBuilder {
    String^ get ();
}
Property Value
Type:   Online String
See Also
AApiVersionedFields Class
AApiVersionedFields Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AApiVersionedFields.ValueBuilderFields Property

AApiVersionedFields ValueBuilderFields Property s3pi library documentation
The fields ValueBuilder will return; used to eliminate those that should not be used.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected virtual List<string> ValueBuilderFields { get; }
protected virtual List<string> ValueBuilderFields { get; }
Protected Overridable ReadOnly Property ValueBuilderFields As List(Of String)
    Get
Protected Overridable ReadOnly Property ValueBuilderFields As List(Of String)
    Get
protected:
virtual property List<String^>^ ValueBuilderFields {
    List<String^>^ get ();
}
protected:
virtual property List<String^>^ ValueBuilderFields {
    List<String^>^ get ();
}
Property Value
Type:   Online List    Online String
See Also
AApiVersionedFields Class
AApiVersionedFields Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AApiVersionedFields.Comparer(T) Class

AApiVersionedFields Comparer T Class s3pi library documentation
A class enabling sorting API objects by a ContentFields name
Inheritance Hierarchy
Online System Object
s3pi.Interfaces AApiVersionedFields Comparer T

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public class Comparer<T> : IComparer<T>
where T : IContentFields
public class Comparer<T> : IComparer<T>
where T : IContentFields
Public Class Comparer(Of T As IContentFields)
    Implements IComparer(Of T)
Public Class Comparer(Of T As IContentFields)
    Implements IComparer(Of T)
generic<typename T>
where T : IContentFields
public ref class Comparer : IComparer<T>
generic<typename T>
where T : IContentFields
public ref class Comparer : IComparer<T>
Type Parameters
T
API object type
See Also
AApiVersionedFields Comparer T  Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AApiVersionedFields.Comparer(T) Members

AApiVersionedFields Comparer T Members s3pi library documentation

API Objects should all descend from this Abstract class. It will provide versioning support -- when implemented. It provides ContentFields support

The AApiVersionedFields Comparer T type exposes the following members.
Constructors
 | Name | Description
Public method | AApiVersionedFields Comparer T | Sort API Objects by field
Back to Top
Methods
 | Name | Description
Public method | Compare | Compares two objects of type T and returns a value indicating whether one is less than, equal to, or greater than the other.
Back to Top
See Also
AApiVersionedFields Comparer T Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AApiVersionedFields.Comparer(T) Constructor

AApiVersionedFields Comparer T Constructor s3pi library documentation
Sort API Objects by field

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public Comparer(
    string field
)
public Comparer(
    string field
)
Public Sub New (
    field As String
)
Public Sub New (
    field As String
)
public:
Comparer(
    String^ field
)
public:
Comparer(
    String^ field
)
Parameters
field
Type:   Online System String
ContentField name to sort by
See Also
AApiVersionedFields Comparer T  Class
AApiVersionedFields Comparer T  Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AApiVersionedFields.Comparer(T) Methods

AApiVersionedFields Comparer T Methods s3pi library documentation
The AApiVersionedFields Comparer T type exposes the following members.
Methods
 | Name | Description
Public method | Compare | Compares two objects of type T and returns a value indicating whether one is less than, equal to, or greater than the other.
Back to Top
See Also
AApiVersionedFields Comparer T Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AApiVersionedFields.Comparer(T).Compare Method

AApiVersionedFields Comparer T Compare Method s3pi library documentation
Compares two objects of type T and returns a value indicating whether one is less than, equal to, or greater than the other.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public int Compare(
    T x,
    T y
)
public int Compare(
    T x,
    T y
)
Public Function Compare (
    x As T,
    y As T
) As Integer
Public Function Compare (
    x As T,
    y As T
) As Integer
public:
virtual int Compare(
    T x,
    T y
) sealed
public:
virtual int Compare(
    T x,
    T y
) sealed
Parameters
x
Type: T
The first IContentFields object to compare.
y
Type: T
The second IContentFields object to compare.
Return Value
Type:   Online Int32
Value Condition Less than zero -- x is less than y.
            Zero -- x equals y.
            Greater than zero -- x is greater than y.
Implements
  Online IComparer T  Compare(T, T)
See Also
AApiVersionedFields Comparer T  Class
AApiVersionedFields Comparer T  Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AHandlerElement Class

AHandlerElement Class s3pi library documentation
A useful extension to AApiVersionedFields where a change handler is required
Inheritance Hierarchy
Online System Object
s3pi.Interfaces AApiVersionedFields
s3pi.Interfaces AHandlerElement
s3pi.GenericRCOLResource GenericRCOLResource ChunkEntry
s3pi.GenericRCOLResource GenericRCOLResource ChunkReference
s3pi.Interfaces ARCOLBlock
s3pi.Interfaces AResourceKey
s3pi.Interfaces BoundingBox
s3pi.Interfaces HandlerElement T
s3pi.Interfaces Quaternion
s3pi.Interfaces TGIBlockListIndex T
s3pi.Interfaces Vertex

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public abstract class AHandlerElement : AApiVersionedFields
public abstract class AHandlerElement : AApiVersionedFields
Public MustInherit Class AHandlerElement
    Inherits AApiVersionedFields
Public MustInherit Class AHandlerElement
    Inherits AApiVersionedFields
public ref class AHandlerElement abstract : public AApiVersionedFields
public ref class AHandlerElement abstract : public AApiVersionedFields
See Also
AHandlerElement Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AHandlerElement Members

AHandlerElement Members s3pi library documentation

The AHandlerElement type exposes the following members.
Constructors
 | Name | Description
Public method | AHandlerElement | Initialize a new instance
Back to Top
Methods
 | Name | Description
Public method | Clone | Get a copy of the AHandlerElement but with a new change Online EventHandler.
Protected method | OnElementChanged | Flag the AHandlerElement as dirty and invoke the Online EventHandler delegate.
Back to Top
Fields
 | Name | Description
Protected field | dirty | Indicates if the AHandlerElement has been changed by OnElementChanged()
Protected field | handler | Holds the Online EventHandler delegate to invoke if the AHandlerElement changes.
Back to Top
See Also
AHandlerElement Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AHandlerElement Constructor

AHandlerElement Constructor s3pi library documentation
Initialize a new instance

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public AHandlerElement(
    int APIversion,
    EventHandler handler
)
public AHandlerElement(
    int APIversion,
    EventHandler handler
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler
)
public:
AHandlerElement(
    int APIversion,
    EventHandler^ handler
)
public:
AHandlerElement(
    int APIversion,
    EventHandler^ handler
)
Parameters
APIversion
Type:   Online System Int32
The requested API version.
handler
Type:   Online System EventHandler
The   Online EventHandler delegate to invoke if the AHandlerElement changes.
See Also
AHandlerElement Class
AHandlerElement Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AHandlerElement Fields

AHandlerElement Fields s3pi library documentation
The AHandlerElement type exposes the following members.
Fields
 | Name | Description
Protected field | dirty | Indicates if the AHandlerElement has been changed by OnElementChanged()
Protected field | handler | Holds the Online EventHandler delegate to invoke if the AHandlerElement changes.
Back to Top
See Also
AHandlerElement Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AHandlerElement.dirty Field

AHandlerElement dirty Field s3pi library documentation
Indicates if the AHandlerElement has been changed by OnElementChanged()

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected bool dirty
protected bool dirty
Protected dirty As Boolean
Protected dirty As Boolean
protected:
bool dirty
protected:
bool dirty
Field Value
Type:   Online Boolean
See Also
AHandlerElement Class
AHandlerElement Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AHandlerElement.handler Field

AHandlerElement handler Field s3pi library documentation
Holds the Online EventHandler delegate to invoke if the AHandlerElement changes.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected EventHandler handler
protected EventHandler handler
Protected handler As EventHandler
Protected handler As EventHandler
protected:
EventHandler^ handler
protected:
EventHandler^ handler
Field Value
Type:   Online EventHandler
See Also
AHandlerElement Class
AHandlerElement Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AHandlerElement Methods

AHandlerElement Methods s3pi library documentation
The AHandlerElement type exposes the following members.
Methods
 | Name | Description
Public method | Clone | Get a copy of the AHandlerElement but with a new change Online EventHandler.
Protected method | OnElementChanged | Flag the AHandlerElement as dirty and invoke the Online EventHandler delegate.
Back to Top
See Also
AHandlerElement Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AHandlerElement.Clone Method

AHandlerElement Clone Method s3pi library documentation
Get a copy of the AHandlerElement but with a new change Online EventHandler.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public virtual AHandlerElement Clone(
    EventHandler handler
)
public virtual AHandlerElement Clone(
    EventHandler handler
)
Public Overridable Function Clone (
    handler As EventHandler
) As AHandlerElement
Public Overridable Function Clone (
    handler As EventHandler
) As AHandlerElement
public:
virtual AHandlerElement^ Clone(
    EventHandler^ handler
)
public:
virtual AHandlerElement^ Clone(
    EventHandler^ handler
)
Parameters
handler
Type:   Online System EventHandler
The replacement   Online EventHandler delegate.
Return Value
Type: AHandlerElement
Return a copy of the AHandlerElement but with a new change   Online EventHandler.
See Also
AHandlerElement Class
AHandlerElement Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AHandlerElement.OnElementChanged Method

AHandlerElement OnElementChanged Method s3pi library documentation
Flag the AHandlerElement as dirty and invoke the Online EventHandler delegate.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected virtual void OnElementChanged()
protected virtual void OnElementChanged()
Protected Overridable Sub OnElementChanged
Protected Overridable Sub OnElementChanged
protected:
virtual void OnElementChanged()
protected:
virtual void OnElementChanged()
See Also
AHandlerElement Class
AHandlerElement Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


APackage Class

APackage Class s3pi library documentation
Abstract definition of a package
Inheritance Hierarchy
Online System Object
s3pi.Interfaces AApiVersionedFields
s3pi.Interfaces APackage
s3pi.Package Package

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public abstract class APackage : AApiVersionedFields,
    IPackage, IApiVersion, IContentFields
public abstract class APackage : AApiVersionedFields,
    IPackage, IApiVersion, IContentFields
Public MustInherit Class APackage
    Inherits AApiVersionedFields
    Implements IPackage, IApiVersion, IContentFields
Public MustInherit Class APackage
    Inherits AApiVersionedFields
    Implements IPackage, IApiVersion, IContentFields
public ref class APackage abstract : public AApiVersionedFields,
    IPackage, IApiVersion, IContentFields
public ref class APackage abstract : public AApiVersionedFields,
    IPackage, IApiVersion, IContentFields
See Also
APackage Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


APackage Members

APackage Members s3pi library documentation

The APackage type exposes the following members.
Constructors
 | Name | Description
Protected method | APackage | Initializes a new instance of the APackage class
Back to Top
Methods
 | Name | Description
Public method | AddResource | Add a resource to the package
 | ClosePackage | Releases any internal references associated with the given package
Public method | DeleteResource | Tell the package to delete the resource indexed by rc
Public method | Find(Predicate IResourceIndexEntry ) | Searches the entire IPackage for the first IResourceIndexEntry that matches the conditions defined by the Predicate<IResourceIndexEntry>Match.
Public method | Find( String , TypedValue ) | Obsolete. Searches the entire IPackage for the first IResourceIndexEntry that matches the conditions defined by names and values.
Public method | Find(UInt32, IResourceIndexEntry) | Obsolete. Searches the entire IPackage for the first IResourceIndexEntry that matches the conditions defined by flags and values.
Public method | FindAll(Predicate IResourceIndexEntry ) | Searches the entire IPackage for all IResourceIndexEntrys that matches the conditions defined by the Predicate<IResourceIndexEntry>Match.
Public method | FindAll( String , TypedValue ) | Obsolete. Searches the entire IPackage for all IResourceIndexEntrys that matches the conditions defined by names and values.
Public method | FindAll(UInt32, IResourceIndexEntry) | Obsolete. Searches the entire IPackage for all IResourceIndexEntrys that matches the conditions defined by flags and values.
Public method | GetResource | Required internally by s3pi - not for use in user tools. Please use WrapperDealer.GetResource(int, IPackage, IResourceIndexEntry) instead.
 | NewPackage(Int32) | Initialise a new, empty package and return the IPackage reference
 | NewPackage(Int32, Int32) | Initialise a new, empty package and return the IPackage reference
Protected method | OnResourceIndexInvalidated | Used to indicate a resource index returned by GetResourceList is no longer valid (as a whole)
 | OpenPackage(Int32, String) | Open an existing package by filename, read only
 | OpenPackage(Int32, String, Boolean) | Open an existing package by filename, optionally readwrite
Public method | ReplaceResource | Tell the package to replace the data for the resource indexed by rc with the data from the resource res
Public method | SaveAs(Stream) | Tell the package to save itself to the stream s
Public method | SaveAs(String) | Tell the package to save itself to a file with the name in path
Public method | SavePackage | Tell the package to save itself to wherever it believes it came from
Back to Top
Properties
 | Name | Description
Public property | ContentFields | The list of available field names on this API object (Overrides AApiVersionedFields ContentFields.)
Public property | GetResourceList | Package index: the index
Public property | HeaderStream | A MemoryStream covering the package header bytes
Public property | Indexcount | Package header: number of entries in the package index
Public property | Indexposition | Package header: index position in file
Public property | Indexsize | Package header: index size on disk in bytes
Public property | Indextype | Package index: the index format in use
Public property | Indexversion | Package header: always 3?
Public property | Magic | Package header: "DBPF" bytes
Public property | Major | Package header: 0x00000002
Public property | Minor | Package header: 0x00000000
Public property | Unknown1 | Package header: unused
Public property | Unknown2 | Package header: unused
Public property | Unknown3 | Package header: unused
Public property | Unknown4 | Package header: unused
Back to Top
Events
 | Name | Description
Public event | ResourceIndexInvalidated | Package index: raised when the result of a previous call to GetResourceList becomes invalid
Back to Top
See Also
APackage Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


APackage Constructor

APackage Constructor s3pi library documentation
Initializes a new instance of the APackage class

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected APackage()
protected APackage()
Protected Sub New
Protected Sub New
protected:
APackage()
protected:
APackage()
See Also
APackage Class
APackage Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


APackage Methods

APackage Methods s3pi library documentation
The APackage type exposes the following members.
Methods
 | Name | Description
Public method | AddResource | Add a resource to the package
 | ClosePackage | Releases any internal references associated with the given package
Public method | DeleteResource | Tell the package to delete the resource indexed by rc
Public method | Find(Predicate IResourceIndexEntry ) | Searches the entire IPackage for the first IResourceIndexEntry that matches the conditions defined by the Predicate<IResourceIndexEntry>Match.
Public method | Find( String , TypedValue ) | Obsolete. Searches the entire IPackage for the first IResourceIndexEntry that matches the conditions defined by names and values.
Public method | Find(UInt32, IResourceIndexEntry) | Obsolete. Searches the entire IPackage for the first IResourceIndexEntry that matches the conditions defined by flags and values.
Public method | FindAll(Predicate IResourceIndexEntry ) | Searches the entire IPackage for all IResourceIndexEntrys that matches the conditions defined by the Predicate<IResourceIndexEntry>Match.
Public method | FindAll( String , TypedValue ) | Obsolete. Searches the entire IPackage for all IResourceIndexEntrys that matches the conditions defined by names and values.
Public method | FindAll(UInt32, IResourceIndexEntry) | Obsolete. Searches the entire IPackage for all IResourceIndexEntrys that matches the conditions defined by flags and values.
Public method | GetResource | Required internally by s3pi - not for use in user tools. Please use WrapperDealer.GetResource(int, IPackage, IResourceIndexEntry) instead.
 | NewPackage(Int32) | Initialise a new, empty package and return the IPackage reference
 | NewPackage(Int32, Int32) | Initialise a new, empty package and return the IPackage reference
Protected method | OnResourceIndexInvalidated | Used to indicate a resource index returned by GetResourceList is no longer valid (as a whole)
 | OpenPackage(Int32, String) | Open an existing package by filename, read only
 | OpenPackage(Int32, String, Boolean) | Open an existing package by filename, optionally readwrite
Public method | ReplaceResource | Tell the package to replace the data for the resource indexed by rc with the data from the resource res
Public method | SaveAs(Stream) | Tell the package to save itself to the stream s
Public method | SaveAs(String) | Tell the package to save itself to a file with the name in path
Public method | SavePackage | Tell the package to save itself to wherever it believes it came from
Back to Top
See Also
APackage Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


APackage.AddResource Method

APackage AddResource Method s3pi library documentation
Add a resource to the package

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public abstract IResourceIndexEntry AddResource(
    IResourceKey rk,
    Stream stream,
    bool rejectDups
)
public abstract IResourceIndexEntry AddResource(
    IResourceKey rk,
    Stream stream,
    bool rejectDups
)
Public MustOverride Function AddResource (
    rk As IResourceKey,
    stream As Stream,
    rejectDups As Boolean
) As IResourceIndexEntry
Public MustOverride Function AddResource (
    rk As IResourceKey,
    stream As Stream,
    rejectDups As Boolean
) As IResourceIndexEntry
public:
virtual IResourceIndexEntry^ AddResource(
    IResourceKey^ rk,
    Stream^ stream,
    bool rejectDups
) abstract
public:
virtual IResourceIndexEntry^ AddResource(
    IResourceKey^ rk,
    Stream^ stream,
    bool rejectDups
) abstract
Parameters
rk
Type: s3pi.Interfaces IResourceKey
The resource key
stream
Type:   Online System.IO Stream
The stream that contains the resource data
rejectDups
Type:   Online System Boolean
If true, fail if the resource key already exists
Return Value
Type: IResourceIndexEntry
Null if rejectDups and the resource key exists; else the new IResourceIndexEntry
Implements
IPackage AddResource(IResourceKey, Stream, Boolean)
See Also
APackage Class
APackage Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


APackage.ClosePackage Method

APackage ClosePackage Method s3pi library documentation
Releases any internal references associated with the given package

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static void ClosePackage(
    int APIversion,
    IPackage pkg
)
public static void ClosePackage(
    int APIversion,
    IPackage pkg
)
Public Shared Sub ClosePackage (
    APIversion As Integer,
    pkg As IPackage
)
Public Shared Sub ClosePackage (
    APIversion As Integer,
    pkg As IPackage
)
public:
static void ClosePackage(
    int APIversion,
    IPackage^ pkg
)
public:
static void ClosePackage(
    int APIversion,
    IPackage^ pkg
)
Parameters
APIversion
Type:   Online System Int32
(unused)
pkg
Type: s3pi.Interfaces IPackage
IPackage reference to close
See Also
APackage Class
APackage Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


APackage.DeleteResource Method

APackage DeleteResource Method s3pi library documentation
Tell the package to delete the resource indexed by rc

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public abstract void DeleteResource(
    IResourceIndexEntry rc
)
public abstract void DeleteResource(
    IResourceIndexEntry rc
)
Public MustOverride Sub DeleteResource (
    rc As IResourceIndexEntry
)
Public MustOverride Sub DeleteResource (
    rc As IResourceIndexEntry
)
public:
virtual void DeleteResource(
    IResourceIndexEntry^ rc
) abstract
public:
virtual void DeleteResource(
    IResourceIndexEntry^ rc
) abstract
Parameters
rc
Type: s3pi.Interfaces IResourceIndexEntry
Target resource index
Implements
IPackage DeleteResource(IResourceIndexEntry)
See Also
APackage Class
APackage Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


APackage.Find Method

APackage Find Method s3pi library documentation
Overload List
 | Name | Description
Public method | Find(Predicate IResourceIndexEntry ) | Searches the entire IPackage for the first IResourceIndexEntry that matches the conditions defined by the Predicate<IResourceIndexEntry>Match.
Public method | Find( String , TypedValue ) | Obsolete. Searches the entire IPackage for the first IResourceIndexEntry that matches the conditions defined by names and values.
Public method | Find(UInt32, IResourceIndexEntry) | Obsolete. Searches the entire IPackage for the first IResourceIndexEntry that matches the conditions defined by flags and values.
Back to Top
See Also
APackage Class
APackage Members
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


APackage.Find Method (Predicate(IResourceIndexEntry))

APackage Find Method (Predicate IResourceIndexEntry ) s3pi library documentation
Searches the entire IPackage for the first IResourceIndexEntry that matches the conditions defined by the Predicate<IResourceIndexEntry>Match.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public abstract IResourceIndexEntry Find(
    Predicate<IResourceIndexEntry> Match
)
public abstract IResourceIndexEntry Find(
    Predicate<IResourceIndexEntry> Match
)
Public MustOverride Function Find (
    Match As Predicate(Of IResourceIndexEntry)
) As IResourceIndexEntry
Public MustOverride Function Find (
    Match As Predicate(Of IResourceIndexEntry)
) As IResourceIndexEntry
public:
virtual IResourceIndexEntry^ Find(
    Predicate<IResourceIndexEntry^>^ Match
) abstract
public:
virtual IResourceIndexEntry^ Find(
    Predicate<IResourceIndexEntry^>^ Match
) abstract
Parameters
Match
Type:   Online System Predicate  IResourceIndexEntry
Predicate<IResourceIndexEntry> defining matching conditions.
Return Value
Type: IResourceIndexEntry
The first matching IResourceIndexEntry, if any; otherwise null.
Implements
IPackage Find(Predicate IResourceIndexEntry )
Remarks
Note that entries marked as deleted will not be returned.
See Also
APackage Class
APackage Members
Find Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


APackage.Find Method (String[], TypedValue[])

APackage Find Method ( String , TypedValue ) s3pi library documentation
Searches the entire IPackage for the first IResourceIndexEntry that matches the conditions defined by names and values.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[ObsoleteAttribute("Please use Find(Predicate<IResourceIndexEntry> Match)")]
public abstract IResourceIndexEntry Find(
    string[] names,
    TypedValue[] values
)
[ObsoleteAttribute("Please use Find(Predicate<IResourceIndexEntry> Match)")]
public abstract IResourceIndexEntry Find(
    string[] names,
    TypedValue[] values
)
<ObsoleteAttribute("Please use Find(Predicate<IResourceIndexEntry> Match)")>
Public MustOverride Function Find (
    names As String(),
    values As TypedValue()
) As IResourceIndexEntry
<ObsoleteAttribute("Please use Find(Predicate<IResourceIndexEntry> Match)")>
Public MustOverride Function Find (
    names As String(),
    values As TypedValue()
) As IResourceIndexEntry
public:
[ObsoleteAttribute(L"Please use Find(Predicate<IResourceIndexEntry> Match)")]
virtual IResourceIndexEntry^ Find(
    array<String^>^ names,
    array<TypedValue^>^ values
) abstract
public:
[ObsoleteAttribute(L"Please use Find(Predicate<IResourceIndexEntry> Match)")]
virtual IResourceIndexEntry^ Find(
    array<String^>^ names,
    array<TypedValue^>^ values
) abstract
Parameters
names
Type:    Online System String
Names of IResourceIndexEntry fields to compare.
values
Type:  s3pi.Interfaces TypedValue
Field values to compare against.
Return Value
Type: IResourceIndexEntry
The first matching IResourceIndexEntry, if any; otherwise null.
Implements
IPackage Find( String ,  TypedValue )
See Also
APackage Class
APackage Members
Find Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


APackage.Find Method (UInt32, IResourceIndexEntry)

APackage Find Method (UInt32, IResourceIndexEntry) s3pi library documentation
Searches the entire IPackage for the first IResourceIndexEntry that matches the conditions defined by flags and values.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[ObsoleteAttribute("Please use Find(Predicate<IResourceIndexEntry> Match)")]
public abstract IResourceIndexEntry Find(
    uint flags,
    IResourceIndexEntry values
)
[ObsoleteAttribute("Please use Find(Predicate<IResourceIndexEntry> Match)")]
public abstract IResourceIndexEntry Find(
    uint flags,
    IResourceIndexEntry values
)
<ObsoleteAttribute("Please use Find(Predicate<IResourceIndexEntry> Match)")>
Public MustOverride Function Find (
    flags As UInteger,
    values As IResourceIndexEntry
) As IResourceIndexEntry
<ObsoleteAttribute("Please use Find(Predicate<IResourceIndexEntry> Match)")>
Public MustOverride Function Find (
    flags As UInteger,
    values As IResourceIndexEntry
) As IResourceIndexEntry
public:
[ObsoleteAttribute(L"Please use Find(Predicate<IResourceIndexEntry> Match)")]
virtual IResourceIndexEntry^ Find(
    unsigned int flags,
    IResourceIndexEntry^ values
) abstract
public:
[ObsoleteAttribute(L"Please use Find(Predicate<IResourceIndexEntry> Match)")]
virtual IResourceIndexEntry^ Find(
    unsigned int flags,
    IResourceIndexEntry^ values
) abstract
Parameters
flags
Type:   Online System UInt32
True bits enable matching against numerically equivalent values entry.
values
Type: s3pi.Interfaces IResourceIndexEntry
Field values to compare against.
Return Value
Type: IResourceIndexEntry
The first matching IResourceIndexEntry, if any; otherwise null.
Implements
IPackage Find(UInt32, IResourceIndexEntry)
See Also
APackage Class
APackage Members
Find Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


APackage.FindAll Method

APackage FindAll Method s3pi library documentation
Overload List
 | Name | Description
Public method | FindAll(Predicate IResourceIndexEntry ) | Searches the entire IPackage for all IResourceIndexEntrys that matches the conditions defined by the Predicate<IResourceIndexEntry>Match.
Public method | FindAll( String , TypedValue ) | Obsolete. Searches the entire IPackage for all IResourceIndexEntrys that matches the conditions defined by names and values.
Public method | FindAll(UInt32, IResourceIndexEntry) | Obsolete. Searches the entire IPackage for all IResourceIndexEntrys that matches the conditions defined by flags and values.
Back to Top
See Also
APackage Class
APackage Members
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


APackage.FindAll Method (Predicate(IResourceIndexEntry))

APackage FindAll Method (Predicate IResourceIndexEntry ) s3pi library documentation
Searches the entire IPackage for all IResourceIndexEntrys that matches the conditions defined by the Predicate<IResourceIndexEntry>Match.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public abstract List<IResourceIndexEntry> FindAll(
    Predicate<IResourceIndexEntry> Match
)
public abstract List<IResourceIndexEntry> FindAll(
    Predicate<IResourceIndexEntry> Match
)
Public MustOverride Function FindAll (
    Match As Predicate(Of IResourceIndexEntry)
) As List(Of IResourceIndexEntry)
Public MustOverride Function FindAll (
    Match As Predicate(Of IResourceIndexEntry)
) As List(Of IResourceIndexEntry)
public:
virtual List<IResourceIndexEntry^>^ FindAll(
    Predicate<IResourceIndexEntry^>^ Match
) abstract
public:
virtual List<IResourceIndexEntry^>^ FindAll(
    Predicate<IResourceIndexEntry^>^ Match
) abstract
Parameters
Match
Type:   Online System Predicate  IResourceIndexEntry
Predicate<IResourceIndexEntry> defining matching conditions.
Return Value
Type:   Online List  IResourceIndexEntry
Zero or more matches.
Implements
IPackage FindAll(Predicate IResourceIndexEntry )
Remarks
Note that entries marked as deleted will not be returned.
See Also
APackage Class
APackage Members
FindAll Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


APackage.FindAll Method (String[], TypedValue[])

APackage FindAll Method ( String , TypedValue ) s3pi library documentation
Searches the entire IPackage for all IResourceIndexEntrys that matches the conditions defined by names and values.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[ObsoleteAttribute("Please use FindAll(Predicate<IResourceIndexEntry> Match)")]
public abstract List<IResourceIndexEntry> FindAll(
    string[] names,
    TypedValue[] values
)
[ObsoleteAttribute("Please use FindAll(Predicate<IResourceIndexEntry> Match)")]
public abstract List<IResourceIndexEntry> FindAll(
    string[] names,
    TypedValue[] values
)
<ObsoleteAttribute("Please use FindAll(Predicate<IResourceIndexEntry> Match)")>
Public MustOverride Function FindAll (
    names As String(),
    values As TypedValue()
) As List(Of IResourceIndexEntry)
<ObsoleteAttribute("Please use FindAll(Predicate<IResourceIndexEntry> Match)")>
Public MustOverride Function FindAll (
    names As String(),
    values As TypedValue()
) As List(Of IResourceIndexEntry)
public:
[ObsoleteAttribute(L"Please use FindAll(Predicate<IResourceIndexEntry> Match)")]
virtual List<IResourceIndexEntry^>^ FindAll(
    array<String^>^ names,
    array<TypedValue^>^ values
) abstract
public:
[ObsoleteAttribute(L"Please use FindAll(Predicate<IResourceIndexEntry> Match)")]
virtual List<IResourceIndexEntry^>^ FindAll(
    array<String^>^ names,
    array<TypedValue^>^ values
) abstract
Parameters
names
Type:    Online System String
Names of IResourceIndexEntry fields to compare.
values
Type:  s3pi.Interfaces TypedValue
Field values to compare against.
Return Value
Type:   Online List  IResourceIndexEntry
An IList<IResourceIndexEntry> of zero or more matches.
Implements
IPackage FindAll( String ,  TypedValue )
See Also
APackage Class
APackage Members
FindAll Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


APackage.FindAll Method (UInt32, IResourceIndexEntry)

APackage FindAll Method (UInt32, IResourceIndexEntry) s3pi library documentation
Searches the entire IPackage for all IResourceIndexEntrys that matches the conditions defined by flags and values.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[ObsoleteAttribute("Please use FindAll(Predicate<IResourceIndexEntry> Match)")]
public abstract List<IResourceIndexEntry> FindAll(
    uint flags,
    IResourceIndexEntry values
)
[ObsoleteAttribute("Please use FindAll(Predicate<IResourceIndexEntry> Match)")]
public abstract List<IResourceIndexEntry> FindAll(
    uint flags,
    IResourceIndexEntry values
)
<ObsoleteAttribute("Please use FindAll(Predicate<IResourceIndexEntry> Match)")>
Public MustOverride Function FindAll (
    flags As UInteger,
    values As IResourceIndexEntry
) As List(Of IResourceIndexEntry)
<ObsoleteAttribute("Please use FindAll(Predicate<IResourceIndexEntry> Match)")>
Public MustOverride Function FindAll (
    flags As UInteger,
    values As IResourceIndexEntry
) As List(Of IResourceIndexEntry)
public:
[ObsoleteAttribute(L"Please use FindAll(Predicate<IResourceIndexEntry> Match)")]
virtual List<IResourceIndexEntry^>^ FindAll(
    unsigned int flags,
    IResourceIndexEntry^ values
) abstract
public:
[ObsoleteAttribute(L"Please use FindAll(Predicate<IResourceIndexEntry> Match)")]
virtual List<IResourceIndexEntry^>^ FindAll(
    unsigned int flags,
    IResourceIndexEntry^ values
) abstract
Parameters
flags
Type:   Online System UInt32
True bits enable matching against numerically equivalent values entry.
values
Type: s3pi.Interfaces IResourceIndexEntry
Field values to compare against.
Return Value
Type:   Online List  IResourceIndexEntry
An IList<IResourceIndexEntry> of zero or more matches.
Implements
IPackage FindAll(UInt32, IResourceIndexEntry)
See Also
APackage Class
APackage Members
FindAll Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


APackage.GetResource Method

APackage GetResource Method s3pi library documentation
Required internally by s3pi - not for use in user tools. Please use WrapperDealer.GetResource(int, IPackage, IResourceIndexEntry) instead.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public abstract Stream GetResource(
    IResourceIndexEntry rie
)
public abstract Stream GetResource(
    IResourceIndexEntry rie
)
Public MustOverride Function GetResource (
    rie As IResourceIndexEntry
) As Stream
Public MustOverride Function GetResource (
    rie As IResourceIndexEntry
) As Stream
public:
virtual Stream^ GetResource(
    IResourceIndexEntry^ rie
) abstract
public:
virtual Stream^ GetResource(
    IResourceIndexEntry^ rie
) abstract
Parameters
rie
Type: s3pi.Interfaces IResourceIndexEntry
IResourceIndexEntry of resource
Return Value
Type:   Online Stream
The resource data (uncompressed, if necessary)
Remarks
Used by WrapperDealer to get the data for a resource.
See Also
APackage Class
APackage Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


APackage.NewPackage Method

APackage NewPackage Method s3pi library documentation
Overload List
Name | Description
NewPackage(Int32) | Initialise a new, empty package and return the IPackage reference
NewPackage(Int32, Int32) | Initialise a new, empty package and return the IPackage reference
Back to Top
See Also
APackage Class
APackage Members
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


APackage.NewPackage Method (Int32)

APackage NewPackage Method (Int32) s3pi library documentation
Initialise a new, empty package and return the IPackage reference

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static IPackage NewPackage(
    int APIversion
)
public static IPackage NewPackage(
    int APIversion
)
Public Shared Function NewPackage (
    APIversion As Integer
) As IPackage
Public Shared Function NewPackage (
    APIversion As Integer
) As IPackage
public:
static IPackage^ NewPackage(
    int APIversion
)
public:
static IPackage^ NewPackage(
    int APIversion
)
Parameters
APIversion
Type:   Online System Int32
(unused)
Return Value
Type: IPackage
IPackage reference to an empty package
See Also
APackage Class
APackage Members
NewPackage Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


APackage.NewPackage Method (Int32, Int32)

APackage NewPackage Method (Int32, Int32) s3pi library documentation
Initialise a new, empty package and return the IPackage reference

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static IPackage NewPackage(
    int APIversion,
    int major
)
public static IPackage NewPackage(
    int APIversion,
    int major
)
Public Shared Function NewPackage (
    APIversion As Integer,
    major As Integer
) As IPackage
Public Shared Function NewPackage (
    APIversion As Integer,
    major As Integer
) As IPackage
public:
static IPackage^ NewPackage(
    int APIversion,
    int major
)
public:
static IPackage^ NewPackage(
    int APIversion,
    int major
)
Parameters
APIversion
Type:   Online System Int32
(unused)
major
Type:   Online System Int32
Major version for the DBPF package.
Return Value
Type: IPackage
IPackage reference to an empty package
See Also
APackage Class
APackage Members
NewPackage Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


APackage.OnResourceIndexInvalidated Method

APackage OnResourceIndexInvalidated Method s3pi library documentation
Used to indicate a resource index returned by GetResourceList is no longer valid (as a whole)

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected virtual void OnResourceIndexInvalidated(
    Object sender,
    EventArgs e
)
protected virtual void OnResourceIndexInvalidated(
    Object sender,
    EventArgs e
)
Protected Overridable Sub OnResourceIndexInvalidated (
    sender As Object,
    e As EventArgs
)
Protected Overridable Sub OnResourceIndexInvalidated (
    sender As Object,
    e As EventArgs
)
protected:
virtual void OnResourceIndexInvalidated(
    Object^ sender,
    EventArgs^ e
)
protected:
virtual void OnResourceIndexInvalidated(
    Object^ sender,
    EventArgs^ e
)
Parameters
sender
Type:   Online System Object
Object causing the list to become invalid
e
Type:   Online System EventArgs
(not used)
See Also
APackage Class
APackage Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


APackage.OpenPackage Method

APackage OpenPackage Method s3pi library documentation
Overload List
Name | Description
OpenPackage(Int32, String) | Open an existing package by filename, read only
OpenPackage(Int32, String, Boolean) | Open an existing package by filename, optionally readwrite
Back to Top
See Also
APackage Class
APackage Members
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


APackage.OpenPackage Method (Int32, String)

APackage OpenPackage Method (Int32, String) s3pi library documentation
Open an existing package by filename, read only

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static IPackage OpenPackage(
    int APIversion,
    string packagePath
)
public static IPackage OpenPackage(
    int APIversion,
    string packagePath
)
Public Shared Function OpenPackage (
    APIversion As Integer,
    packagePath As String
) As IPackage
Public Shared Function OpenPackage (
    APIversion As Integer,
    packagePath As String
) As IPackage
public:
static IPackage^ OpenPackage(
    int APIversion,
    String^ packagePath
)
public:
static IPackage^ OpenPackage(
    int APIversion,
    String^ packagePath
)
Parameters
APIversion
Type:   Online System Int32
(unused)
packagePath
Type:   Online System String
Fully qualified filename of the package
Return Value
Type: IPackage
IPackage reference to an existing package on disk
See Also
APackage Class
APackage Members
OpenPackage Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


APackage.OpenPackage Method (Int32, String, Boolean)

APackage OpenPackage Method (Int32, String, Boolean) s3pi library documentation
Open an existing package by filename, optionally readwrite

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static IPackage OpenPackage(
    int APIversion,
    string packagePath,
    bool readwrite
)
public static IPackage OpenPackage(
    int APIversion,
    string packagePath,
    bool readwrite
)
Public Shared Function OpenPackage (
    APIversion As Integer,
    packagePath As String,
    readwrite As Boolean
) As IPackage
Public Shared Function OpenPackage (
    APIversion As Integer,
    packagePath As String,
    readwrite As Boolean
) As IPackage
public:
static IPackage^ OpenPackage(
    int APIversion,
    String^ packagePath,
    bool readwrite
)
public:
static IPackage^ OpenPackage(
    int APIversion,
    String^ packagePath,
    bool readwrite
)
Parameters
APIversion
Type:   Online System Int32
(unused)
packagePath
Type:   Online System String
Fully qualified filename of the package
readwrite
Type:   Online System Boolean
True to open for update
Return Value
Type: IPackage
IPackage reference to an existing package on disk
See Also
APackage Class
APackage Members
OpenPackage Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


APackage.ReplaceResource Method

APackage ReplaceResource Method s3pi library documentation
Tell the package to replace the data for the resource indexed by rc with the data from the resource res

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public abstract void ReplaceResource(
    IResourceIndexEntry rc,
    IResource res
)
public abstract void ReplaceResource(
    IResourceIndexEntry rc,
    IResource res
)
Public MustOverride Sub ReplaceResource (
    rc As IResourceIndexEntry,
    res As IResource
)
Public MustOverride Sub ReplaceResource (
    rc As IResourceIndexEntry,
    res As IResource
)
public:
virtual void ReplaceResource(
    IResourceIndexEntry^ rc,
    IResource^ res
) abstract
public:
virtual void ReplaceResource(
    IResourceIndexEntry^ rc,
    IResource^ res
) abstract
Parameters
rc
Type: s3pi.Interfaces IResourceIndexEntry
Target resource index
res
Type: s3pi.Interfaces IResource
Source resource
Implements
IPackage ReplaceResource(IResourceIndexEntry, IResource)
See Also
APackage Class
APackage Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


APackage.SaveAs Method

APackage SaveAs Method s3pi library documentation
Overload List
 | Name | Description
Public method | SaveAs(Stream) | Tell the package to save itself to the stream s
Public method | SaveAs(String) | Tell the package to save itself to a file with the name in path
Back to Top
See Also
APackage Class
APackage Members
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


APackage.SaveAs Method (Stream)

APackage SaveAs Method (Stream) s3pi library documentation
Tell the package to save itself to the stream s

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public abstract void SaveAs(
    Stream s
)
public abstract void SaveAs(
    Stream s
)
Public MustOverride Sub SaveAs (
    s As Stream
)
Public MustOverride Sub SaveAs (
    s As Stream
)
public:
virtual void SaveAs(
    Stream^ s
) abstract
public:
virtual void SaveAs(
    Stream^ s
) abstract
Parameters
s
Type:   Online System.IO Stream
A stream to which the package should be saved
Implements
IPackage SaveAs(Stream)
See Also
APackage Class
APackage Members
SaveAs Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


APackage.SaveAs Method (String)

APackage SaveAs Method (String) s3pi library documentation
Tell the package to save itself to a file with the name in path

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public abstract void SaveAs(
    string path
)
public abstract void SaveAs(
    string path
)
Public MustOverride Sub SaveAs (
    path As String
)
Public MustOverride Sub SaveAs (
    path As String
)
public:
virtual void SaveAs(
    String^ path
) abstract
public:
virtual void SaveAs(
    String^ path
) abstract
Parameters
path
Type:   Online System String
A fully-qualified file name
Implements
IPackage SaveAs(String)
See Also
APackage Class
APackage Members
SaveAs Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


APackage.SavePackage Method

APackage SavePackage Method s3pi library documentation
Tell the package to save itself to wherever it believes it came from

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public abstract void SavePackage()
public abstract void SavePackage()
Public MustOverride Sub SavePackage
Public MustOverride Sub SavePackage
public:
virtual void SavePackage() abstract
public:
virtual void SavePackage() abstract
Implements
IPackage SavePackage
See Also
APackage Class
APackage Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


APackage Properties

APackage Properties s3pi library documentation
The APackage type exposes the following members.
Properties
 | Name | Description
Public property | ContentFields | The list of available field names on this API object (Overrides AApiVersionedFields ContentFields.)
Public property | GetResourceList | Package index: the index
Public property | HeaderStream | A MemoryStream covering the package header bytes
Public property | Indexcount | Package header: number of entries in the package index
Public property | Indexposition | Package header: index position in file
Public property | Indexsize | Package header: index size on disk in bytes
Public property | Indextype | Package index: the index format in use
Public property | Indexversion | Package header: always 3?
Public property | Magic | Package header: "DBPF" bytes
Public property | Major | Package header: 0x00000002
Public property | Minor | Package header: 0x00000000
Public property | Unknown1 | Package header: unused
Public property | Unknown2 | Package header: unused
Public property | Unknown3 | Package header: unused
Public property | Unknown4 | Package header: unused
Back to Top
See Also
APackage Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


APackage.ContentFields Property

APackage ContentFields Property s3pi library documentation
The list of available field names on this API object

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override List<string> ContentFields { get; }
public override List<string> ContentFields { get; }
Public Overrides ReadOnly Property ContentFields As List(Of String)
    Get
Public Overrides ReadOnly Property ContentFields As List(Of String)
    Get
public:
virtual property List<String^>^ ContentFields {
    List<String^>^ get () override;
}
public:
virtual property List<String^>^ ContentFields {
    List<String^>^ get () override;
}
Property Value
Type:   Online List    Online String
Implements
IContentFields ContentFields
IContentFields ContentFields
See Also
APackage Class
APackage Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


APackage.GetResourceList Property

APackage GetResourceList Property s3pi library documentation
Package index: the index

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[ElementPriorityAttribute(14)]
public abstract List<IResourceIndexEntry> GetResourceList { get; }
[ElementPriorityAttribute(14)]
public abstract List<IResourceIndexEntry> GetResourceList { get; }
<ElementPriorityAttribute(14)>
Public MustOverride ReadOnly Property GetResourceList As List(Of IResourceIndexEntry)
    Get
<ElementPriorityAttribute(14)>
Public MustOverride ReadOnly Property GetResourceList As List(Of IResourceIndexEntry)
    Get
public:
[ElementPriorityAttribute(14)]
virtual property List<IResourceIndexEntry^>^ GetResourceList {
    List<IResourceIndexEntry^>^ get () abstract;
}
public:
[ElementPriorityAttribute(14)]
virtual property List<IResourceIndexEntry^>^ GetResourceList {
    List<IResourceIndexEntry^>^ get () abstract;
}
Property Value
Type:   Online List  IResourceIndexEntry
Implements
IPackage GetResourceList
See Also
APackage Class
APackage Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


APackage.HeaderStream Property

APackage HeaderStream Property s3pi library documentation
A MemoryStream covering the package header bytes

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[ElementPriorityAttribute(12)]
public abstract Stream HeaderStream { get; }
[ElementPriorityAttribute(12)]
public abstract Stream HeaderStream { get; }
<ElementPriorityAttribute(12)>
Public MustOverride ReadOnly Property HeaderStream As Stream
    Get
<ElementPriorityAttribute(12)>
Public MustOverride ReadOnly Property HeaderStream As Stream
    Get
public:
[ElementPriorityAttribute(12)]
virtual property Stream^ HeaderStream {
    Stream^ get () abstract;
}
public:
[ElementPriorityAttribute(12)]
virtual property Stream^ HeaderStream {
    Stream^ get () abstract;
}
Property Value
Type:   Online Stream
Implements
IPackage HeaderStream
See Also
APackage Class
APackage Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


APackage.Indexcount Property

APackage Indexcount Property s3pi library documentation
Package header: number of entries in the package index

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[ElementPriorityAttribute(5)]
public abstract int Indexcount { get; }
[ElementPriorityAttribute(5)]
public abstract int Indexcount { get; }
<ElementPriorityAttribute(5)>
Public MustOverride ReadOnly Property Indexcount As Integer
    Get
<ElementPriorityAttribute(5)>
Public MustOverride ReadOnly Property Indexcount As Integer
    Get
public:
[ElementPriorityAttribute(5)]
virtual property int Indexcount {
    int get () abstract;
}
public:
[ElementPriorityAttribute(5)]
virtual property int Indexcount {
    int get () abstract;
}
Property Value
Type:   Online Int32
Implements
IPackage Indexcount
See Also
APackage Class
APackage Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


APackage.Indexposition Property

APackage Indexposition Property s3pi library documentation
Package header: index position in file

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[ElementPriorityAttribute(10)]
public abstract int Indexposition { get; }
[ElementPriorityAttribute(10)]
public abstract int Indexposition { get; }
<ElementPriorityAttribute(10)>
Public MustOverride ReadOnly Property Indexposition As Integer
    Get
<ElementPriorityAttribute(10)>
Public MustOverride ReadOnly Property Indexposition As Integer
    Get
public:
[ElementPriorityAttribute(10)]
virtual property int Indexposition {
    int get () abstract;
}
public:
[ElementPriorityAttribute(10)]
virtual property int Indexposition {
    int get () abstract;
}
Property Value
Type:   Online Int32
Implements
IPackage Indexposition
See Also
APackage Class
APackage Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


APackage.Indexsize Property

APackage Indexsize Property s3pi library documentation
Package header: index size on disk in bytes

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[ElementPriorityAttribute(7)]
public abstract int Indexsize { get; }
[ElementPriorityAttribute(7)]
public abstract int Indexsize { get; }
<ElementPriorityAttribute(7)>
Public MustOverride ReadOnly Property Indexsize As Integer
    Get
<ElementPriorityAttribute(7)>
Public MustOverride ReadOnly Property Indexsize As Integer
    Get
public:
[ElementPriorityAttribute(7)]
virtual property int Indexsize {
    int get () abstract;
}
public:
[ElementPriorityAttribute(7)]
virtual property int Indexsize {
    int get () abstract;
}
Property Value
Type:   Online Int32
Implements
IPackage Indexsize
See Also
APackage Class
APackage Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


APackage.Indextype Property

APackage Indextype Property s3pi library documentation
Package index: the index format in use

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[ElementPriorityAttribute(13)]
public abstract uint Indextype { get; }
[ElementPriorityAttribute(13)]
public abstract uint Indextype { get; }
<ElementPriorityAttribute(13)>
Public MustOverride ReadOnly Property Indextype As UInteger
    Get
<ElementPriorityAttribute(13)>
Public MustOverride ReadOnly Property Indextype As UInteger
    Get
public:
[ElementPriorityAttribute(13)]
virtual property unsigned int Indextype {
    unsigned int get () abstract;
}
public:
[ElementPriorityAttribute(13)]
virtual property unsigned int Indextype {
    unsigned int get () abstract;
}
Property Value
Type:   Online UInt32
Implements
IPackage Indextype
See Also
APackage Class
APackage Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


APackage.Indexversion Property

APackage Indexversion Property s3pi library documentation
Package header: always 3?

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[ElementPriorityAttribute(9)]
public abstract int Indexversion { get; }
[ElementPriorityAttribute(9)]
public abstract int Indexversion { get; }
<ElementPriorityAttribute(9)>
Public MustOverride ReadOnly Property Indexversion As Integer
    Get
<ElementPriorityAttribute(9)>
Public MustOverride ReadOnly Property Indexversion As Integer
    Get
public:
[ElementPriorityAttribute(9)]
virtual property int Indexversion {
    int get () abstract;
}
public:
[ElementPriorityAttribute(9)]
virtual property int Indexversion {
    int get () abstract;
}
Property Value
Type:   Online Int32
Implements
IPackage Indexversion
See Also
APackage Class
APackage Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


APackage.Magic Property

APackage Magic Property s3pi library documentation
Package header: "DBPF" bytes

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[ElementPriorityAttribute(1)]
public abstract byte[] Magic { get; }
[ElementPriorityAttribute(1)]
public abstract byte[] Magic { get; }
<ElementPriorityAttribute(1)>
Public MustOverride ReadOnly Property Magic As Byte()
    Get
<ElementPriorityAttribute(1)>
Public MustOverride ReadOnly Property Magic As Byte()
    Get
public:
[ElementPriorityAttribute(1)]
virtual property array<unsigned char>^ Magic {
    array<unsigned char>^ get () abstract;
}
public:
[ElementPriorityAttribute(1)]
virtual property array<unsigned char>^ Magic {
    array<unsigned char>^ get () abstract;
}
Property Value
Type:    Online Byte
Implements
IPackage Magic
See Also
APackage Class
APackage Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


APackage.Major Property

APackage Major Property s3pi library documentation
Package header: 0x00000002

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[ElementPriorityAttribute(2)]
public abstract int Major { get; }
[ElementPriorityAttribute(2)]
public abstract int Major { get; }
<ElementPriorityAttribute(2)>
Public MustOverride ReadOnly Property Major As Integer
    Get
<ElementPriorityAttribute(2)>
Public MustOverride ReadOnly Property Major As Integer
    Get
public:
[ElementPriorityAttribute(2)]
virtual property int Major {
    int get () abstract;
}
public:
[ElementPriorityAttribute(2)]
virtual property int Major {
    int get () abstract;
}
Property Value
Type:   Online Int32
Implements
IPackage Major
See Also
APackage Class
APackage Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


APackage.Minor Property

APackage Minor Property s3pi library documentation
Package header: 0x00000000

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[ElementPriorityAttribute(3)]
public abstract int Minor { get; }
[ElementPriorityAttribute(3)]
public abstract int Minor { get; }
<ElementPriorityAttribute(3)>
Public MustOverride ReadOnly Property Minor As Integer
    Get
<ElementPriorityAttribute(3)>
Public MustOverride ReadOnly Property Minor As Integer
    Get
public:
[ElementPriorityAttribute(3)]
virtual property int Minor {
    int get () abstract;
}
public:
[ElementPriorityAttribute(3)]
virtual property int Minor {
    int get () abstract;
}
Property Value
Type:   Online Int32
Implements
IPackage Minor
See Also
APackage Class
APackage Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


APackage.Unknown1 Property

APackage Unknown1 Property s3pi library documentation
Package header: unused

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[ElementPriorityAttribute(4)]
public abstract byte[] Unknown1 { get; }
[ElementPriorityAttribute(4)]
public abstract byte[] Unknown1 { get; }
<ElementPriorityAttribute(4)>
Public MustOverride ReadOnly Property Unknown1 As Byte()
    Get
<ElementPriorityAttribute(4)>
Public MustOverride ReadOnly Property Unknown1 As Byte()
    Get
public:
[ElementPriorityAttribute(4)]
virtual property array<unsigned char>^ Unknown1 {
    array<unsigned char>^ get () abstract;
}
public:
[ElementPriorityAttribute(4)]
virtual property array<unsigned char>^ Unknown1 {
    array<unsigned char>^ get () abstract;
}
Property Value
Type:    Online Byte
Implements
IPackage Unknown1
See Also
APackage Class
APackage Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


APackage.Unknown2 Property

APackage Unknown2 Property s3pi library documentation
Package header: unused

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[ElementPriorityAttribute(6)]
public abstract byte[] Unknown2 { get; }
[ElementPriorityAttribute(6)]
public abstract byte[] Unknown2 { get; }
<ElementPriorityAttribute(6)>
Public MustOverride ReadOnly Property Unknown2 As Byte()
    Get
<ElementPriorityAttribute(6)>
Public MustOverride ReadOnly Property Unknown2 As Byte()
    Get
public:
[ElementPriorityAttribute(6)]
virtual property array<unsigned char>^ Unknown2 {
    array<unsigned char>^ get () abstract;
}
public:
[ElementPriorityAttribute(6)]
virtual property array<unsigned char>^ Unknown2 {
    array<unsigned char>^ get () abstract;
}
Property Value
Type:    Online Byte
Implements
IPackage Unknown2
See Also
APackage Class
APackage Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


APackage.Unknown3 Property

APackage Unknown3 Property s3pi library documentation
Package header: unused

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[ElementPriorityAttribute(8)]
public abstract byte[] Unknown3 { get; }
[ElementPriorityAttribute(8)]
public abstract byte[] Unknown3 { get; }
<ElementPriorityAttribute(8)>
Public MustOverride ReadOnly Property Unknown3 As Byte()
    Get
<ElementPriorityAttribute(8)>
Public MustOverride ReadOnly Property Unknown3 As Byte()
    Get
public:
[ElementPriorityAttribute(8)]
virtual property array<unsigned char>^ Unknown3 {
    array<unsigned char>^ get () abstract;
}
public:
[ElementPriorityAttribute(8)]
virtual property array<unsigned char>^ Unknown3 {
    array<unsigned char>^ get () abstract;
}
Property Value
Type:    Online Byte
Implements
IPackage Unknown3
See Also
APackage Class
APackage Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


APackage.Unknown4 Property

APackage Unknown4 Property s3pi library documentation
Package header: unused

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[ElementPriorityAttribute(11)]
public abstract byte[] Unknown4 { get; }
[ElementPriorityAttribute(11)]
public abstract byte[] Unknown4 { get; }
<ElementPriorityAttribute(11)>
Public MustOverride ReadOnly Property Unknown4 As Byte()
    Get
<ElementPriorityAttribute(11)>
Public MustOverride ReadOnly Property Unknown4 As Byte()
    Get
public:
[ElementPriorityAttribute(11)]
virtual property array<unsigned char>^ Unknown4 {
    array<unsigned char>^ get () abstract;
}
public:
[ElementPriorityAttribute(11)]
virtual property array<unsigned char>^ Unknown4 {
    array<unsigned char>^ get () abstract;
}
Property Value
Type:    Online Byte
Implements
IPackage Unknown4
See Also
APackage Class
APackage Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


APackage Events

APackage Events s3pi library documentation
The APackage type exposes the following members.
Events
 | Name | Description
Public event | ResourceIndexInvalidated | Package index: raised when the result of a previous call to GetResourceList becomes invalid
Back to Top
See Also
APackage Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


APackage.ResourceIndexInvalidated Event

APackage ResourceIndexInvalidated Event s3pi library documentation
Package index: raised when the result of a previous call to GetResourceList becomes invalid

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public event EventHandler ResourceIndexInvalidated
public event EventHandler ResourceIndexInvalidated
Public Event ResourceIndexInvalidated As EventHandler
Public Event ResourceIndexInvalidated As EventHandler
public:
virtual  event EventHandler^ ResourceIndexInvalidated {
    void add (EventHandler^ value);
    void remove (EventHandler^ value);
}
public:
virtual  event EventHandler^ ResourceIndexInvalidated {
    void add (EventHandler^ value);
    void remove (EventHandler^ value);
}
Value
Type:   Online System EventHandler
Implements
IPackage ResourceIndexInvalidated
See Also
APackage Class
APackage Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ARCOLBlock Class

ARCOLBlock Class s3pi library documentation
Represents the abstract RCOL block within a s3pi.GenericRCOLResource.
Inheritance Hierarchy
Online System Object
s3pi.Interfaces AApiVersionedFields
s3pi.Interfaces AHandlerElement
s3pi.Interfaces ARCOLBlock
s3pi.GenericRCOLResource DefaultRCOL

Namespace: s3pi.Interfaces
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public abstract class ARCOLBlock : AHandlerElement,
    IRCOLBlock, IResource, IApiVersion, IContentFields, IEquatable<ARCOLBlock>
public abstract class ARCOLBlock : AHandlerElement,
    IRCOLBlock, IResource, IApiVersion, IContentFields, IEquatable<ARCOLBlock>
Public MustInherit Class ARCOLBlock
    Inherits AHandlerElement
    Implements IRCOLBlock, IResource, IApiVersion, IContentFields,
    IEquatable(Of ARCOLBlock)
Public MustInherit Class ARCOLBlock
    Inherits AHandlerElement
    Implements IRCOLBlock, IResource, IApiVersion, IContentFields,
    IEquatable(Of ARCOLBlock)
public ref class ARCOLBlock abstract : public AHandlerElement,
    IRCOLBlock, IResource, IApiVersion, IContentFields, IEquatable<ARCOLBlock^>
public ref class ARCOLBlock abstract : public AHandlerElement,
    IRCOLBlock, IResource, IApiVersion, IContentFields, IEquatable<ARCOLBlock^>
See Also
ARCOLBlock Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ARCOLBlock Members

ARCOLBlock Members s3pi library documentation

The ARCOLBlock type exposes the following members.
Constructors
 | Name | Description
Public method | ARCOLBlock | Create a new instance based on the data in the supplied Stream.
Back to Top
Methods
 | Name | Description
Public method | Equals(Object) | Indicates whether the current ARCOLBlock is equal to another object of the same type. (Overrides Online Object Equals(Object).)
Public method | Equals(ARCOLBlock) | Indicates whether the current ARCOLBlock is equal to another instance.
Public method | GetHashCode | Serves as a hash function for an ARCOLBlock. (Overrides Online Object GetHashCode .)
Protected method | OnRCOLChanged | Used to indicate the RCOL has changed.
Protected method | Parse | Any implementation must provide a method of reading data from the resource.
Public method | UnParse | Implementing classes must provide a means of storing themselves in a Stream.
Back to Top
Fields
 | Name | Description
Protected field | requestedAPIversion | Holds the requested API version.
Protected field | stream | Holds the stream from which the block was read.
Back to Top
Properties
 | Name | Description
Public property | AsBytes | The resource content as a byte array
Public property | ContentFields | The list of available field names on this API object (Overrides AApiVersionedFields ContentFields.)
Public property | Data | To allow editor import/export as a minimum.
Public property | ParentTGIBlocks | For ValueBuilder purposes, the list of external resource keys is passed down here. Not all RCOLs need it, so it may end up unused. Override this property to take specific action (such as passing the reference further on).
Public property | RecommendedApiVersion | Unless overridden in an implementing class, returns 1. (Overrides AApiVersionedFields RecommendedApiVersion.)
Public property | ResourceType | The Resource Type identifying this block format.
Public property | Stream | The resource content as a Stream
Public property | Tag | The "FOUR CC" tag identifying this RCOL block; may be null if not present.
Protected property | ValueBuilderFields | Remove the additional "banned" fields for an RCOL block. (Overrides AApiVersionedFields ValueBuilderFields.)
Back to Top
Events
 | Name | Description
Public event | ResourceChanged | Raised if the resource is changed
Back to Top
See Also
ARCOLBlock Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ARCOLBlock Constructor

ARCOLBlock Constructor s3pi library documentation
Create a new instance based on the data in the supplied Stream.

Namespace: s3pi.Interfaces
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public ARCOLBlock(
    int APIversion,
    EventHandler handler,
    Stream s
)
public ARCOLBlock(
    int APIversion,
    EventHandler handler,
    Stream s
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler,
    s As Stream
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler,
    s As Stream
)
public:
ARCOLBlock(
    int APIversion,
    EventHandler^ handler,
    Stream^ s
)
public:
ARCOLBlock(
    int APIversion,
    EventHandler^ handler,
    Stream^ s
)
Parameters
APIversion
Type:   Online System Int32
The requested API version.
handler
Type:   Online System EventHandler
The change event handler for the resource.
s
Type:   Online System.IO Stream
The Stream containing the data.
See Also
ARCOLBlock Class
ARCOLBlock Members
s3pi.Interfaces Namespace
ARCOLBlock Parse(Stream)
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ARCOLBlock Fields

ARCOLBlock Fields s3pi library documentation
The ARCOLBlock type exposes the following members.
Fields
 | Name | Description
Protected field | requestedAPIversion | Holds the requested API version.
Protected field | stream | Holds the stream from which the block was read.
Back to Top
See Also
ARCOLBlock Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ARCOLBlock.requestedAPIversion Field

ARCOLBlock requestedAPIversion Field s3pi library documentation
Holds the requested API version.

Namespace: s3pi.Interfaces
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected int requestedAPIversion
protected int requestedAPIversion
Protected requestedAPIversion As Integer
Protected requestedAPIversion As Integer
protected:
int requestedAPIversion
protected:
int requestedAPIversion
Field Value
Type:   Online Int32
See Also
ARCOLBlock Class
ARCOLBlock Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ARCOLBlock.stream Field

ARCOLBlock stream Field s3pi library documentation
Holds the stream from which the block was read.

Namespace: s3pi.Interfaces
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected Stream stream
protected Stream stream
Protected stream As Stream
Protected stream As Stream
protected:
Stream^ stream
protected:
Stream^ stream
Field Value
Type:   Online Stream
Remarks
Note that the state of the stream may change once the Parse(Stream) method completes.
See Also
ARCOLBlock Class
ARCOLBlock Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ARCOLBlock Methods

ARCOLBlock Methods s3pi library documentation
The ARCOLBlock type exposes the following members.
Methods
 | Name | Description
Public method | Equals(Object) | Indicates whether the current ARCOLBlock is equal to another object of the same type. (Overrides Online Object Equals(Object).)
Public method | Equals(ARCOLBlock) | Indicates whether the current ARCOLBlock is equal to another instance.
Public method | GetHashCode | Serves as a hash function for an ARCOLBlock. (Overrides Online Object GetHashCode .)
Protected method | OnRCOLChanged | Used to indicate the RCOL has changed.
Protected method | Parse | Any implementation must provide a method of reading data from the resource.
Public method | UnParse | Implementing classes must provide a means of storing themselves in a Stream.
Back to Top
See Also
ARCOLBlock Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ARCOLBlock.Equals Method

ARCOLBlock Equals Method s3pi library documentation
Overload List
 | Name | Description
Public method | Equals(Object) | Indicates whether the current ARCOLBlock is equal to another object of the same type. (Overrides Online Object Equals(Object).)
Public method | Equals(ARCOLBlock) | Indicates whether the current ARCOLBlock is equal to another instance.
Back to Top
See Also
ARCOLBlock Class
ARCOLBlock Members
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ARCOLBlock.Equals Method (Object)

ARCOLBlock Equals Method (Object) s3pi library documentation
Indicates whether the current ARCOLBlock is equal to another object of the same type.

Namespace: s3pi.Interfaces
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override bool Equals(
    Object obj
)
public override bool Equals(
    Object obj
)
Public Overrides Function Equals (
    obj As Object
) As Boolean
Public Overrides Function Equals (
    obj As Object
) As Boolean
public:
virtual bool Equals(
    Object^ obj
) override
public:
virtual bool Equals(
    Object^ obj
) override
Parameters
obj
Type:   Online System Object
An object to compare with this ARCOLBlock.
Return Value
Type:   Online Boolean
true if the current ARCOLBlock is equal to the obj parameter;
            otherwise, false.
See Also
ARCOLBlock Class
ARCOLBlock Members
Equals Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ARCOLBlock.Equals Method (ARCOLBlock)

ARCOLBlock Equals Method (ARCOLBlock) s3pi library documentation
Indicates whether the current ARCOLBlock is equal to another instance.

Namespace: s3pi.Interfaces
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public virtual bool Equals(
    ARCOLBlock other
)
public virtual bool Equals(
    ARCOLBlock other
)
Public Overridable Function Equals (
    other As ARCOLBlock
) As Boolean
Public Overridable Function Equals (
    other As ARCOLBlock
) As Boolean
public:
virtual bool Equals(
    ARCOLBlock^ other
)
public:
virtual bool Equals(
    ARCOLBlock^ other
)
Parameters
other
Type: s3pi.Interfaces ARCOLBlock
Another instance to compare with this ARCOLBlock.
Return Value
Type:   Online Boolean
true if the current ARCOLBlock is equal to the other parameter;
            otherwise, false.
Implements
  Online IEquatable T  Equals(T)
See Also
ARCOLBlock Class
ARCOLBlock Members
Equals Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ARCOLBlock.GetHashCode Method

ARCOLBlock GetHashCode Method s3pi library documentation
Serves as a hash function for an ARCOLBlock.

Namespace: s3pi.Interfaces
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override int GetHashCode()
public override int GetHashCode()
Public Overrides Function GetHashCode As Integer
Public Overrides Function GetHashCode As Integer
public:
virtual int GetHashCode() override
public:
virtual int GetHashCode() override
Return Value
Type:   Online Int32
A hash code for the current ARCOLBlock.
See Also
ARCOLBlock Class
ARCOLBlock Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ARCOLBlock.OnRCOLChanged Method

ARCOLBlock OnRCOLChanged Method s3pi library documentation
Used to indicate the RCOL has changed.

Namespace: s3pi.Interfaces
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected virtual void OnRCOLChanged(
    Object sender,
    EventArgs e
)
protected virtual void OnRCOLChanged(
    Object sender,
    EventArgs e
)
Protected Overridable Sub OnRCOLChanged (
    sender As Object,
    e As EventArgs
)
Protected Overridable Sub OnRCOLChanged (
    sender As Object,
    e As EventArgs
)
protected:
virtual void OnRCOLChanged(
    Object^ sender,
    EventArgs^ e
)
protected:
virtual void OnRCOLChanged(
    Object^ sender,
    EventArgs^ e
)
Parameters
sender
Type:   Online System Object
[Missing <param name="sender"/> documentation for "M:s3pi.Interfaces.ARCOLBlock.OnRCOLChanged(System.Object,System.EventArgs)"]
e
Type:   Online System EventArgs
[Missing <param name="e"/> documentation for "M:s3pi.Interfaces.ARCOLBlock.OnRCOLChanged(System.Object,System.EventArgs)"]
See Also
ARCOLBlock Class
ARCOLBlock Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ARCOLBlock.Parse Method

ARCOLBlock Parse Method s3pi library documentation
Any implementation must provide a method of reading data from the resource.

Namespace: s3pi.Interfaces
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected abstract void Parse(
    Stream s
)
protected abstract void Parse(
    Stream s
)
Protected MustOverride Sub Parse (
    s As Stream
)
Protected MustOverride Sub Parse (
    s As Stream
)
protected:
virtual void Parse(
    Stream^ s
) abstract
protected:
virtual void Parse(
    Stream^ s
) abstract
Parameters
s
Type:   Online System.IO Stream
The Stream referencing the data in the resource, position to the start of this block.
Remarks
Any implementation must ensure the stream position ends at the first byte of the next block.
See Also
ARCOLBlock Class
ARCOLBlock Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ARCOLBlock.UnParse Method

ARCOLBlock UnParse Method s3pi library documentation
Implementing classes must provide a means of storing themselves in a Stream.

Namespace: s3pi.Interfaces
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public abstract Stream UnParse()
public abstract Stream UnParse()
Public MustOverride Function UnParse As Stream
Public MustOverride Function UnParse As Stream
public:
virtual Stream^ UnParse() abstract
public:
virtual Stream^ UnParse() abstract
Return Value
Type:   Online Stream
The Stream containing the data from the RCOL block.
Implements
IRCOLBlock UnParse
See Also
ARCOLBlock Class
ARCOLBlock Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ARCOLBlock Properties

ARCOLBlock Properties s3pi library documentation
The ARCOLBlock type exposes the following members.
Properties
 | Name | Description
Public property | AsBytes | The resource content as a byte array
Public property | ContentFields | The list of available field names on this API object (Overrides AApiVersionedFields ContentFields.)
Public property | Data | To allow editor import/export as a minimum.
Public property | ParentTGIBlocks | For ValueBuilder purposes, the list of external resource keys is passed down here. Not all RCOLs need it, so it may end up unused. Override this property to take specific action (such as passing the reference further on).
Public property | RecommendedApiVersion | Unless overridden in an implementing class, returns 1. (Overrides AApiVersionedFields RecommendedApiVersion.)
Public property | ResourceType | The Resource Type identifying this block format.
Public property | Stream | The resource content as a Stream
Public property | Tag | The "FOUR CC" tag identifying this RCOL block; may be null if not present.
Protected property | ValueBuilderFields | Remove the additional "banned" fields for an RCOL block. (Overrides AApiVersionedFields ValueBuilderFields.)
Back to Top
See Also
ARCOLBlock Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ARCOLBlock.AsBytes Property

ARCOLBlock AsBytes Property s3pi library documentation
The resource content as a byte array

Namespace: s3pi.Interfaces
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[ElementPriorityAttribute(0)]
public virtual byte[] AsBytes { get; set; }
[ElementPriorityAttribute(0)]
public virtual byte[] AsBytes { get; set; }
<ElementPriorityAttribute(0)>
Public Overridable Property AsBytes As Byte()
    Get
    Set
<ElementPriorityAttribute(0)>
Public Overridable Property AsBytes As Byte()
    Get
    Set
public:
[ElementPriorityAttribute(0)]
virtual property array<unsigned char>^ AsBytes {
    array<unsigned char>^ get ();
    void set (array<unsigned char>^ value);
}
public:
[ElementPriorityAttribute(0)]
virtual property array<unsigned char>^ AsBytes {
    array<unsigned char>^ get ();
    void set (array<unsigned char>^ value);
}
Property Value
Type:    Online Byte
Implements
IResource AsBytes
See Also
ARCOLBlock Class
ARCOLBlock Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ARCOLBlock.ContentFields Property

ARCOLBlock ContentFields Property s3pi library documentation
The list of available field names on this API object

Namespace: s3pi.Interfaces
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override List<string> ContentFields { get; }
public override List<string> ContentFields { get; }
Public Overrides ReadOnly Property ContentFields As List(Of String)
    Get
Public Overrides ReadOnly Property ContentFields As List(Of String)
    Get
public:
virtual property List<String^>^ ContentFields {
    List<String^>^ get () override;
}
public:
virtual property List<String^>^ ContentFields {
    List<String^>^ get () override;
}
Property Value
Type:   Online List    Online String
Implements
IContentFields ContentFields
IContentFields ContentFields
See Also
ARCOLBlock Class
ARCOLBlock Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ARCOLBlock.Data Property

ARCOLBlock Data Property s3pi library documentation
To allow editor import/export as a minimum.

Namespace: s3pi.Interfaces
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[ElementPriorityAttribute(1)]
public virtual BinaryReader Data { get; set; }
[ElementPriorityAttribute(1)]
public virtual BinaryReader Data { get; set; }
<ElementPriorityAttribute(1)>
Public Overridable Property Data As BinaryReader
    Get
    Set
<ElementPriorityAttribute(1)>
Public Overridable Property Data As BinaryReader
    Get
    Set
public:
[ElementPriorityAttribute(1)]
virtual property BinaryReader^ Data {
    BinaryReader^ get ();
    void set (BinaryReader^ value);
}
public:
[ElementPriorityAttribute(1)]
virtual property BinaryReader^ Data {
    BinaryReader^ get ();
    void set (BinaryReader^ value);
}
Property Value
Type:   Online BinaryReader
See Also
ARCOLBlock Class
ARCOLBlock Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ARCOLBlock.ParentTGIBlocks Property

ARCOLBlock ParentTGIBlocks Property s3pi library documentation
For ValueBuilder purposes, the list of external resource keys is passed down here. Not all RCOLs need it, so it may end up unused. Override this property to take specific action (such as passing the reference further on).

Namespace: s3pi.Interfaces
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public virtual DependentList<TGIBlock> ParentTGIBlocks { get; set; }
public virtual DependentList<TGIBlock> ParentTGIBlocks { get; set; }
Public Overridable Property ParentTGIBlocks As DependentList(Of TGIBlock)
    Get
    Set
Public Overridable Property ParentTGIBlocks As DependentList(Of TGIBlock)
    Get
    Set
public:
virtual property DependentList<TGIBlock^>^ ParentTGIBlocks {
    DependentList<TGIBlock^>^ get ();
    void set (DependentList<TGIBlock^>^ value);
}
public:
virtual property DependentList<TGIBlock^>^ ParentTGIBlocks {
    DependentList<TGIBlock^>^ get ();
    void set (DependentList<TGIBlock^>^ value);
}
Property Value
Type: DependentList  TGIBlock
See Also
ARCOLBlock Class
ARCOLBlock Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ARCOLBlock.RecommendedApiVersion Property

ARCOLBlock RecommendedApiVersion Property s3pi library documentation
Unless overridden in an implementing class, returns 1.

Namespace: s3pi.Interfaces
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override int RecommendedApiVersion { get; }
public override int RecommendedApiVersion { get; }
Public Overrides ReadOnly Property RecommendedApiVersion As Integer
    Get
Public Overrides ReadOnly Property RecommendedApiVersion As Integer
    Get
public:
virtual property int RecommendedApiVersion {
    int get () override;
}
public:
virtual property int RecommendedApiVersion {
    int get () override;
}
Property Value
Type:   Online Int32
Implements
IApiVersion RecommendedApiVersion
IApiVersion RecommendedApiVersion
See Also
ARCOLBlock Class
ARCOLBlock Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ARCOLBlock.ResourceType Property

ARCOLBlock ResourceType Property s3pi library documentation
The Resource Type identifying this block format.

Namespace: s3pi.Interfaces
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[ElementPriorityAttribute(3)]
public abstract uint ResourceType { get; }
[ElementPriorityAttribute(3)]
public abstract uint ResourceType { get; }
<ElementPriorityAttribute(3)>
Public MustOverride ReadOnly Property ResourceType As UInteger
    Get
<ElementPriorityAttribute(3)>
Public MustOverride ReadOnly Property ResourceType As UInteger
    Get
public:
[ElementPriorityAttribute(3)]
virtual property unsigned int ResourceType {
    unsigned int get () abstract;
}
public:
[ElementPriorityAttribute(3)]
virtual property unsigned int ResourceType {
    unsigned int get () abstract;
}
Property Value
Type:   Online UInt32
Implements
IRCOLBlock ResourceType
See Also
ARCOLBlock Class
ARCOLBlock Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ARCOLBlock.Stream Property

ARCOLBlock Stream Property s3pi library documentation
The resource content as a Stream

Namespace: s3pi.Interfaces
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public virtual Stream Stream { get; }
public virtual Stream Stream { get; }
Public Overridable ReadOnly Property Stream As Stream
    Get
Public Overridable ReadOnly Property Stream As Stream
    Get
public:
virtual property Stream^ Stream {
    Stream^ get ();
}
public:
virtual property Stream^ Stream {
    Stream^ get ();
}
Property Value
Type:   Online Stream
Implements
IResource Stream
See Also
ARCOLBlock Class
ARCOLBlock Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ARCOLBlock.Tag Property

ARCOLBlock Tag Property s3pi library documentation
The "FOUR CC" tag identifying this RCOL block; may be null if not present.

Namespace: s3pi.Interfaces
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[ElementPriorityAttribute(2)]
public abstract string Tag { get; }
[ElementPriorityAttribute(2)]
public abstract string Tag { get; }
<ElementPriorityAttribute(2)>
Public MustOverride ReadOnly Property Tag As String
    Get
<ElementPriorityAttribute(2)>
Public MustOverride ReadOnly Property Tag As String
    Get
public:
[ElementPriorityAttribute(2)]
virtual property String^ Tag {
    String^ get () abstract;
}
public:
[ElementPriorityAttribute(2)]
virtual property String^ Tag {
    String^ get () abstract;
}
Property Value
Type:   Online String
Implements
IRCOLBlock Tag
See Also
ARCOLBlock Class
ARCOLBlock Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ARCOLBlock.ValueBuilderFields Property

ARCOLBlock ValueBuilderFields Property s3pi library documentation
Remove the additional "banned" fields for an RCOL block.

Namespace: s3pi.Interfaces
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected override List<string> ValueBuilderFields { get; }
protected override List<string> ValueBuilderFields { get; }
Protected Overrides ReadOnly Property ValueBuilderFields As List(Of String)
    Get
Protected Overrides ReadOnly Property ValueBuilderFields As List(Of String)
    Get
protected:
virtual property List<String^>^ ValueBuilderFields {
    List<String^>^ get () override;
}
protected:
virtual property List<String^>^ ValueBuilderFields {
    List<String^>^ get () override;
}
Property Value
Type:   Online List    Online String
See Also
ARCOLBlock Class
ARCOLBlock Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ARCOLBlock Events

ARCOLBlock Events s3pi library documentation
The ARCOLBlock type exposes the following members.
Events
 | Name | Description
Public event | ResourceChanged | Raised if the resource is changed
Back to Top
See Also
ARCOLBlock Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ARCOLBlock.ResourceChanged Event

ARCOLBlock ResourceChanged Event s3pi library documentation
Raised if the resource is changed

Namespace: s3pi.Interfaces
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public event EventHandler ResourceChanged
public event EventHandler ResourceChanged
Public Event ResourceChanged As EventHandler
Public Event ResourceChanged As EventHandler
public:
virtual  event EventHandler^ ResourceChanged {
    void add (EventHandler^ value);
    void remove (EventHandler^ value);
}
public:
virtual  event EventHandler^ ResourceChanged {
    void add (EventHandler^ value);
    void remove (EventHandler^ value);
}
Value
Type:   Online System EventHandler
Implements
IResource ResourceChanged
See Also
ARCOLBlock Class
ARCOLBlock Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AResource Class

AResource Class s3pi library documentation
A resource contained in a package.
Inheritance Hierarchy
Online System Object
s3pi.Interfaces AApiVersionedFields
s3pi.Interfaces AResource
s3pi.DefaultResource DefaultResource
s3pi.GenericRCOLResource GenericRCOLResource

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public abstract class AResource : AApiVersionedFields,
    IResource, IApiVersion, IContentFields
public abstract class AResource : AApiVersionedFields,
    IResource, IApiVersion, IContentFields
Public MustInherit Class AResource
    Inherits AApiVersionedFields
    Implements IResource, IApiVersion, IContentFields
Public MustInherit Class AResource
    Inherits AApiVersionedFields
    Implements IResource, IApiVersion, IContentFields
public ref class AResource abstract : public AApiVersionedFields,
    IResource, IApiVersion, IContentFields
public ref class AResource abstract : public AApiVersionedFields,
    IResource, IApiVersion, IContentFields
See Also
AResource Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AResource Members

AResource Members s3pi library documentation

The AResource type exposes the following members.
Constructors
 | Name | Description
Protected method | AResource | Create a new instance of the resource
Back to Top
Methods
 | Name | Description
Protected method | OnResourceChanged | AResource classes must use this to indicate the resource has changed.
Protected method | UnParse | AResource classes must supply an UnParse method that serializes the class to a Online Stream that is returned.
Back to Top
Fields
 | Name | Description
Protected field | dirty | Indicates the resource stream may no longer reflect the resource content
Protected field | stream | Resource data Online Stream
Back to Top
Properties
 | Name | Description
Public property | AsBytes | The resource content as a Online Byte array
Public property | ContentFields | A Online List T of available field names on object (Overrides AApiVersionedFields ContentFields.)
Public property | Stream | The resource content as a Online Stream.
Back to Top
Events
 | Name | Description
Public event | ResourceChanged | Raised if the resource is changed
Back to Top
See Also
AResource Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AResource Constructor

AResource Constructor s3pi library documentation
Create a new instance of the resource

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected AResource(
    int APIversion,
    Stream s
)
protected AResource(
    int APIversion,
    Stream s
)
Protected Sub New (
    APIversion As Integer,
    s As Stream
)
Protected Sub New (
    APIversion As Integer,
    s As Stream
)
protected:
AResource(
    int APIversion,
    Stream^ s
)
protected:
AResource(
    int APIversion,
    Stream^ s
)
Parameters
APIversion
Type:   Online System Int32
Requested API version
s
Type:   Online System.IO Stream
  Online Stream to use, or null to create from scratch.
See Also
AResource Class
AResource Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AResource Fields

AResource Fields s3pi library documentation
The AResource type exposes the following members.
Fields
 | Name | Description
Protected field | dirty | Indicates the resource stream may no longer reflect the resource content
Protected field | stream | Resource data Online Stream
Back to Top
See Also
AResource Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AResource.dirty Field

AResource dirty Field s3pi library documentation
Indicates the resource stream may no longer reflect the resource content

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected bool dirty
protected bool dirty
Protected dirty As Boolean
Protected dirty As Boolean
protected:
bool dirty
protected:
bool dirty
Field Value
Type:   Online Boolean
See Also
AResource Class
AResource Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AResource.stream Field

AResource stream Field s3pi library documentation
Resource data Online Stream

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected Stream stream
protected Stream stream
Protected stream As Stream
Protected stream As Stream
protected:
Stream^ stream
protected:
Stream^ stream
Field Value
Type:   Online Stream
See Also
AResource Class
AResource Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AResource Methods

AResource Methods s3pi library documentation
The AResource type exposes the following members.
Methods
 | Name | Description
Protected method | OnResourceChanged | AResource classes must use this to indicate the resource has changed.
Protected method | UnParse | AResource classes must supply an UnParse method that serializes the class to a Online Stream that is returned.
Back to Top
See Also
AResource Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AResource.OnResourceChanged Method

AResource OnResourceChanged Method s3pi library documentation
AResource classes must use this to indicate the resource has changed.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected virtual void OnResourceChanged(
    Object sender,
    EventArgs e
)
protected virtual void OnResourceChanged(
    Object sender,
    EventArgs e
)
Protected Overridable Sub OnResourceChanged (
    sender As Object,
    e As EventArgs
)
Protected Overridable Sub OnResourceChanged (
    sender As Object,
    e As EventArgs
)
protected:
virtual void OnResourceChanged(
    Object^ sender,
    EventArgs^ e
)
protected:
virtual void OnResourceChanged(
    Object^ sender,
    EventArgs^ e
)
Parameters
sender
Type:   Online System Object
The resource (or sub-class) that has changed.
e
Type:   Online System EventArgs
(Empty) event data object.
See Also
AResource Class
AResource Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AResource.UnParse Method

AResource UnParse Method s3pi library documentation
AResource classes must supply an UnParse method that serializes the class to a Online Stream that is returned.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected abstract Stream UnParse()
protected abstract Stream UnParse()
Protected MustOverride Function UnParse As Stream
Protected MustOverride Function UnParse As Stream
protected:
virtual Stream^ UnParse() abstract
protected:
virtual Stream^ UnParse() abstract
Return Value
Type:   Online Stream
  Online Stream containing serialized class data.
See Also
AResource Class
AResource Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AResource Properties

AResource Properties s3pi library documentation
The AResource type exposes the following members.
Properties
 | Name | Description
Public property | AsBytes | The resource content as a Online Byte array
Public property | ContentFields | A Online List T of available field names on object (Overrides AApiVersionedFields ContentFields.)
Public property | Stream | The resource content as a Online Stream.
Back to Top
See Also
AResource Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AResource.AsBytes Property

AResource AsBytes Property s3pi library documentation
The resource content as a Online Byte array

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public virtual byte[] AsBytes { get; }
public virtual byte[] AsBytes { get; }
Public Overridable ReadOnly Property AsBytes As Byte()
    Get
Public Overridable ReadOnly Property AsBytes As Byte()
    Get
public:
virtual property array<unsigned char>^ AsBytes {
    array<unsigned char>^ get ();
}
public:
virtual property array<unsigned char>^ AsBytes {
    array<unsigned char>^ get ();
}
Property Value
Type:    Online Byte
Implements
IResource AsBytes
See Also
AResource Class
AResource Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AResource.ContentFields Property

AResource ContentFields Property s3pi library documentation
A Online List T of available field names on object

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override List<string> ContentFields { get; }
public override List<string> ContentFields { get; }
Public Overrides ReadOnly Property ContentFields As List(Of String)
    Get
Public Overrides ReadOnly Property ContentFields As List(Of String)
    Get
public:
virtual property List<String^>^ ContentFields {
    List<String^>^ get () override;
}
public:
virtual property List<String^>^ ContentFields {
    List<String^>^ get () override;
}
Property Value
Type:   Online List    Online String
Implements
IContentFields ContentFields
IContentFields ContentFields
See Also
AResource Class
AResource Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AResource.Stream Property

AResource Stream Property s3pi library documentation
The resource content as a Online Stream.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public virtual Stream Stream { get; }
public virtual Stream Stream { get; }
Public Overridable ReadOnly Property Stream As Stream
    Get
Public Overridable ReadOnly Property Stream As Stream
    Get
public:
virtual property Stream^ Stream {
    Stream^ get ();
}
public:
virtual property Stream^ Stream {
    Stream^ get ();
}
Property Value
Type:   Online Stream
Implements
IResource Stream
See Also
AResource Class
AResource Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AResource Events

AResource Events s3pi library documentation
The AResource type exposes the following members.
Events
 | Name | Description
Public event | ResourceChanged | Raised if the resource is changed
Back to Top
See Also
AResource Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AResource.ResourceChanged Event

AResource ResourceChanged Event s3pi library documentation
Raised if the resource is changed

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public event EventHandler ResourceChanged
public event EventHandler ResourceChanged
Public Event ResourceChanged As EventHandler
Public Event ResourceChanged As EventHandler
public:
virtual  event EventHandler^ ResourceChanged {
    void add (EventHandler^ value);
    void remove (EventHandler^ value);
}
public:
virtual  event EventHandler^ ResourceChanged {
    void add (EventHandler^ value);
    void remove (EventHandler^ value);
}
Value
Type:   Online System EventHandler
Implements
IResource ResourceChanged
See Also
AResource Class
AResource Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AResourceHandler Class

AResourceHandler Class s3pi library documentation
Used by WrapperDealer to identify "interesting" classes and assemblies. The class maps implementers of AResource to string representations of ResourceType. Hence each "wrapper" assembly can contain multiple wrapper types (Type key) each of which supports one or more ResourceTypes (List<string> value). The single AResourceHandler implementation summarises what the assembly provides.
Inheritance Hierarchy
Online System Object
Online System.Collections.Generic Dictionary Online Type, Online List Online String
s3pi.Interfaces AResourceHandler
s3pi.DefaultResource DefaultResourceHandler
s3pi.GenericRCOLResource GenericRCOLResourceHandler

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public abstract class AResourceHandler : Dictionary<Type, List<string>>,
    IResourceHandler, IDictionary<Type, List<string>>,
    ICollection<KeyValuePair<Type, List<string>>>,
    IEnumerable<KeyValuePair<Type, List<string>>>,
    IEnumerable
public abstract class AResourceHandler : Dictionary<Type, List<string>>,
    IResourceHandler, IDictionary<Type, List<string>>,
    ICollection<KeyValuePair<Type, List<string>>>,
    IEnumerable<KeyValuePair<Type, List<string>>>,
    IEnumerable
Public MustInherit Class AResourceHandler
    Inherits Dictionary(Of Type, List(Of String))
    Implements IResourceHandler, IDictionary(Of Type, List(Of String)),
    ICollection(Of KeyValuePair(Of Type, List(Of String))),
    IEnumerable(Of KeyValuePair(Of Type, List(Of String))),
    IEnumerable
Public MustInherit Class AResourceHandler
    Inherits Dictionary(Of Type, List(Of String))
    Implements IResourceHandler, IDictionary(Of Type, List(Of String)),
    ICollection(Of KeyValuePair(Of Type, List(Of String))),
    IEnumerable(Of KeyValuePair(Of Type, List(Of String))),
    IEnumerable
public ref class AResourceHandler abstract : public Dictionary<Type^, List<String^>^>,
    IResourceHandler, IDictionary<Type^, List<String^>^>,
    ICollection<KeyValuePair<Type^, List<String^>^>>,
    IEnumerable<KeyValuePair<Type^, List<String^>^>>,
    IEnumerable
public ref class AResourceHandler abstract : public Dictionary<Type^, List<String^>^>,
    IResourceHandler, IDictionary<Type^, List<String^>^>,
    ICollection<KeyValuePair<Type^, List<String^>^>>,
    IEnumerable<KeyValuePair<Type^, List<String^>^>>,
    IEnumerable
See Also
AResourceHandler Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AResourceHandler Members

AResourceHandler Members s3pi library documentation

The AResourceHandler type exposes the following members.
Constructors
 | Name | Description
Public method | AResourceHandler | Create the content of the Dictionary
Back to Top
See Also
AResourceHandler Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AResourceHandler Constructor

AResourceHandler Constructor s3pi library documentation
Create the content of the Dictionary

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public AResourceHandler()
public AResourceHandler()
Public Sub New
Public Sub New
public:
AResourceHandler()
public:
AResourceHandler()
See Also
AResourceHandler Class
AResourceHandler Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AResourceIndexEntry Class

AResourceIndexEntry Class s3pi library documentation
An abstract class, descended from AResourceKey, providing an abstract implemention of IResourceIndexEntry, representing an index entry within a package.
Inheritance Hierarchy
Online System Object
s3pi.Interfaces AApiVersionedFields
s3pi.Interfaces AHandlerElement
s3pi.Interfaces AResourceKey
s3pi.Interfaces AResourceIndexEntry
s3pi.Package ResourceIndexEntry

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public abstract class AResourceIndexEntry : AResourceKey,
    IResourceIndexEntry, IApiVersion, IContentFields, IResourceKey, IEqualityComparer<IResourceKey>,
    IEquatable<IResourceKey>, IComparable<IResourceKey>, IEquatable<IResourceIndexEntry>
public abstract class AResourceIndexEntry : AResourceKey,
    IResourceIndexEntry, IApiVersion, IContentFields, IResourceKey, IEqualityComparer<IResourceKey>,
    IEquatable<IResourceKey>, IComparable<IResourceKey>, IEquatable<IResourceIndexEntry>
Public MustInherit Class AResourceIndexEntry
    Inherits AResourceKey
    Implements IResourceIndexEntry, IApiVersion, IContentFields, IResourceKey,
    IEqualityComparer(Of IResourceKey), IEquatable(Of IResourceKey), IComparable(Of IResourceKey),
    IEquatable(Of IResourceIndexEntry)
Public MustInherit Class AResourceIndexEntry
    Inherits AResourceKey
    Implements IResourceIndexEntry, IApiVersion, IContentFields, IResourceKey,
    IEqualityComparer(Of IResourceKey), IEquatable(Of IResourceKey), IComparable(Of IResourceKey),
    IEquatable(Of IResourceIndexEntry)
public ref class AResourceIndexEntry abstract : public AResourceKey,
    IResourceIndexEntry, IApiVersion, IContentFields, IResourceKey, IEqualityComparer<IResourceKey^>,
    IEquatable<IResourceKey^>, IComparable<IResourceKey^>, IEquatable<IResourceIndexEntry^>
public ref class AResourceIndexEntry abstract : public AResourceKey,
    IResourceIndexEntry, IApiVersion, IContentFields, IResourceKey, IEqualityComparer<IResourceKey^>,
    IEquatable<IResourceKey^>, IComparable<IResourceKey^>, IEquatable<IResourceIndexEntry^>
See Also
AResourceIndexEntry Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AResourceIndexEntry Members

AResourceIndexEntry Members s3pi library documentation

The AResourceIndexEntry type exposes the following members.
Constructors
 | Name | Description
Public method | AResourceIndexEntry | Initialize a new instance with the default API version and no change Online EventHandler.
Back to Top
Methods
 | Name | Description
Public method | Equals(Object) | Determines whether the specified Online Object is equal to the current AResourceIndexEntry. (Overrides AResourceKey Equals(Object).)
Public method | Equals(IResourceIndexEntry) | Indicates whether the current IResourceIndexEntry instance is equal to another IResourceIndexEntry instance.
Public method | GetHashCode | Returns the hash code for this instance. (Overrides AResourceKey GetHashCode .)
Back to Top
Fields
 | Name | Description
Public field | ResourceIndexEntryChanged | Raised when the AResourceIndexEntry changes
Back to Top
Properties
 | Name | Description
Public property | Chunkoffset | If the resource was read from a package, the location in the package the resource was read from
Public property | Compressed | 0xFFFF if Filesize != Memsize, else 0x0000
Public property | ContentFields | The list of available field names on this API object (Overrides AApiVersionedFields ContentFields.)
Public property | Filesize | The number of bytes the resource uses within the package
Public property | IsDeleted | True if the index entry has been deleted from the package index
Public property | Memsize | The number of bytes the resource uses in memory
Public property | Stream | A MemoryStream covering the index entry bytes
Public property | Unknown2 | Always 0x0001
Back to Top
See Also
AResourceIndexEntry Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AResourceIndexEntry Constructor

AResourceIndexEntry Constructor s3pi library documentation
Initialize a new instance with the default API version and no change Online EventHandler.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public AResourceIndexEntry()
public AResourceIndexEntry()
Public Sub New
Public Sub New
public:
AResourceIndexEntry()
public:
AResourceIndexEntry()
See Also
AResourceIndexEntry Class
AResourceIndexEntry Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AResourceIndexEntry Fields

AResourceIndexEntry Fields s3pi library documentation
The AResourceIndexEntry type exposes the following members.
Fields
 | Name | Description
Public field | ResourceIndexEntryChanged | Raised when the AResourceIndexEntry changes
Back to Top
See Also
AResourceIndexEntry Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AResourceIndexEntry.ResourceIndexEntryChanged Field

AResourceIndexEntry ResourceIndexEntryChanged Field s3pi library documentation
Raised when the AResourceIndexEntry changes

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public EventHandler ResourceIndexEntryChanged
public EventHandler ResourceIndexEntryChanged
Public ResourceIndexEntryChanged As EventHandler
Public ResourceIndexEntryChanged As EventHandler
public:
EventHandler^ ResourceIndexEntryChanged
public:
EventHandler^ ResourceIndexEntryChanged
Field Value
Type:   Online EventHandler
See Also
AResourceIndexEntry Class
AResourceIndexEntry Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AResourceIndexEntry Methods

AResourceIndexEntry Methods s3pi library documentation
The AResourceIndexEntry type exposes the following members.
Methods
 | Name | Description
Public method | Equals(Object) | Determines whether the specified Online Object is equal to the current AResourceIndexEntry. (Overrides AResourceKey Equals(Object).)
Public method | Equals(IResourceIndexEntry) | Indicates whether the current IResourceIndexEntry instance is equal to another IResourceIndexEntry instance.
Public method | GetHashCode | Returns the hash code for this instance. (Overrides AResourceKey GetHashCode .)
Back to Top
See Also
AResourceIndexEntry Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AResourceIndexEntry.Equals Method

AResourceIndexEntry Equals Method s3pi library documentation
Overload List
 | Name | Description
Public method | Equals(Object) | Determines whether the specified Online Object is equal to the current AResourceIndexEntry. (Overrides AResourceKey Equals(Object).)
Public method | Equals(IResourceIndexEntry) | Indicates whether the current IResourceIndexEntry instance is equal to another IResourceIndexEntry instance.
Back to Top
See Also
AResourceIndexEntry Class
AResourceIndexEntry Members
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AResourceIndexEntry.Equals Method (Object)

AResourceIndexEntry Equals Method (Object) s3pi library documentation
Determines whether the specified Online Object is equal to the current AResourceIndexEntry.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override bool Equals(
    Object obj
)
public override bool Equals(
    Object obj
)
Public Overrides Function Equals (
    obj As Object
) As Boolean
Public Overrides Function Equals (
    obj As Object
) As Boolean
public:
virtual bool Equals(
    Object^ obj
) override
public:
virtual bool Equals(
    Object^ obj
) override
Parameters
obj
Type:   Online System Object
The   Online Object to compare with the current AResourceIndexEntry.
Return Value
Type:   Online Boolean
true if the specified   Online Object is equal to the current AResourceIndexEntry; otherwise, false.
See Also
AResourceIndexEntry Class
AResourceIndexEntry Members
Equals Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AResourceIndexEntry.Equals Method (IResourceIndexEntry)

AResourceIndexEntry Equals Method (IResourceIndexEntry) s3pi library documentation
Indicates whether the current IResourceIndexEntry instance is equal to another IResourceIndexEntry instance.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public abstract bool Equals(
    IResourceIndexEntry other
)
public abstract bool Equals(
    IResourceIndexEntry other
)
Public MustOverride Function Equals (
    other As IResourceIndexEntry
) As Boolean
Public MustOverride Function Equals (
    other As IResourceIndexEntry
) As Boolean
public:
virtual bool Equals(
    IResourceIndexEntry^ other
) abstract
public:
virtual bool Equals(
    IResourceIndexEntry^ other
) abstract
Parameters
other
Type: s3pi.Interfaces IResourceIndexEntry
An IResourceIndexEntry instance to compare with this instance.
Return Value
Type:   Online Boolean
true if the current instance is equal to the other parameter; otherwise, false.
Implements
  Online IEquatable T  Equals(T)
See Also
AResourceIndexEntry Class
AResourceIndexEntry Members
Equals Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AResourceIndexEntry.GetHashCode Method

AResourceIndexEntry GetHashCode Method s3pi library documentation
Returns the hash code for this instance.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public abstract int GetHashCode()
public abstract int GetHashCode()
Public MustOverride Function GetHashCode As Integer
Public MustOverride Function GetHashCode As Integer
public:
virtual int GetHashCode() abstract override
public:
virtual int GetHashCode() abstract override
Return Value
Type:   Online Int32
A 32-bit signed integer that is the hash code for this instance.
See Also
AResourceIndexEntry Class
AResourceIndexEntry Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AResourceIndexEntry Properties

AResourceIndexEntry Properties s3pi library documentation
The AResourceIndexEntry type exposes the following members.
Properties
 | Name | Description
Public property | Chunkoffset | If the resource was read from a package, the location in the package the resource was read from
Public property | Compressed | 0xFFFF if Filesize != Memsize, else 0x0000
Public property | ContentFields | The list of available field names on this API object (Overrides AApiVersionedFields ContentFields.)
Public property | Filesize | The number of bytes the resource uses within the package
Public property | IsDeleted | True if the index entry has been deleted from the package index
Public property | Memsize | The number of bytes the resource uses in memory
Public property | Stream | A MemoryStream covering the index entry bytes
Public property | Unknown2 | Always 0x0001
Back to Top
See Also
AResourceIndexEntry Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AResourceIndexEntry.Chunkoffset Property

AResourceIndexEntry Chunkoffset Property s3pi library documentation
If the resource was read from a package, the location in the package the resource was read from

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[ElementPriorityAttribute(5)]
public abstract uint Chunkoffset { get; set; }
[ElementPriorityAttribute(5)]
public abstract uint Chunkoffset { get; set; }
<ElementPriorityAttribute(5)>
Public MustOverride Property Chunkoffset As UInteger
    Get
    Set
<ElementPriorityAttribute(5)>
Public MustOverride Property Chunkoffset As UInteger
    Get
    Set
public:
[ElementPriorityAttribute(5)]
virtual property unsigned int Chunkoffset {
    unsigned int get () abstract;
    void set (unsigned int value) abstract;
}
public:
[ElementPriorityAttribute(5)]
virtual property unsigned int Chunkoffset {
    unsigned int get () abstract;
    void set (unsigned int value) abstract;
}
Property Value
Type:   Online UInt32
Implements
IResourceIndexEntry Chunkoffset
See Also
AResourceIndexEntry Class
AResourceIndexEntry Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AResourceIndexEntry.Compressed Property

AResourceIndexEntry Compressed Property s3pi library documentation
0xFFFF if Filesize != Memsize, else 0x0000

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[ElementPriorityAttribute(8)]
public abstract ushort Compressed { get; set; }
[ElementPriorityAttribute(8)]
public abstract ushort Compressed { get; set; }
<ElementPriorityAttribute(8)>
Public MustOverride Property Compressed As UShort
    Get
    Set
<ElementPriorityAttribute(8)>
Public MustOverride Property Compressed As UShort
    Get
    Set
public:
[ElementPriorityAttribute(8)]
virtual property unsigned short Compressed {
    unsigned short get () abstract;
    void set (unsigned short value) abstract;
}
public:
[ElementPriorityAttribute(8)]
virtual property unsigned short Compressed {
    unsigned short get () abstract;
    void set (unsigned short value) abstract;
}
Property Value
Type:   Online UInt16
Implements
IResourceIndexEntry Compressed
See Also
AResourceIndexEntry Class
AResourceIndexEntry Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AResourceIndexEntry.ContentFields Property

AResourceIndexEntry ContentFields Property s3pi library documentation
The list of available field names on this API object

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override List<string> ContentFields { get; }
public override List<string> ContentFields { get; }
Public Overrides ReadOnly Property ContentFields As List(Of String)
    Get
Public Overrides ReadOnly Property ContentFields As List(Of String)
    Get
public:
virtual property List<String^>^ ContentFields {
    List<String^>^ get () override;
}
public:
virtual property List<String^>^ ContentFields {
    List<String^>^ get () override;
}
Property Value
Type:   Online List    Online String
Implements
IContentFields ContentFields
IContentFields ContentFields
See Also
AResourceIndexEntry Class
AResourceIndexEntry Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AResourceIndexEntry.Filesize Property

AResourceIndexEntry Filesize Property s3pi library documentation
The number of bytes the resource uses within the package

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[ElementPriorityAttribute(6)]
public abstract uint Filesize { get; set; }
[ElementPriorityAttribute(6)]
public abstract uint Filesize { get; set; }
<ElementPriorityAttribute(6)>
Public MustOverride Property Filesize As UInteger
    Get
    Set
<ElementPriorityAttribute(6)>
Public MustOverride Property Filesize As UInteger
    Get
    Set
public:
[ElementPriorityAttribute(6)]
virtual property unsigned int Filesize {
    unsigned int get () abstract;
    void set (unsigned int value) abstract;
}
public:
[ElementPriorityAttribute(6)]
virtual property unsigned int Filesize {
    unsigned int get () abstract;
    void set (unsigned int value) abstract;
}
Property Value
Type:   Online UInt32
Implements
IResourceIndexEntry Filesize
See Also
AResourceIndexEntry Class
AResourceIndexEntry Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AResourceIndexEntry.IsDeleted Property

AResourceIndexEntry IsDeleted Property s3pi library documentation
True if the index entry has been deleted from the package index

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public abstract bool IsDeleted { get; set; }
public abstract bool IsDeleted { get; set; }
Public MustOverride Property IsDeleted As Boolean
    Get
    Set
Public MustOverride Property IsDeleted As Boolean
    Get
    Set
public:
virtual property bool IsDeleted {
    bool get () abstract;
    void set (bool value) abstract;
}
public:
virtual property bool IsDeleted {
    bool get () abstract;
    void set (bool value) abstract;
}
Property Value
Type:   Online Boolean
Implements
IResourceIndexEntry IsDeleted
See Also
AResourceIndexEntry Class
AResourceIndexEntry Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AResourceIndexEntry.Memsize Property

AResourceIndexEntry Memsize Property s3pi library documentation
The number of bytes the resource uses in memory

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[ElementPriorityAttribute(7)]
public abstract uint Memsize { get; set; }
[ElementPriorityAttribute(7)]
public abstract uint Memsize { get; set; }
<ElementPriorityAttribute(7)>
Public MustOverride Property Memsize As UInteger
    Get
    Set
<ElementPriorityAttribute(7)>
Public MustOverride Property Memsize As UInteger
    Get
    Set
public:
[ElementPriorityAttribute(7)]
virtual property unsigned int Memsize {
    unsigned int get () abstract;
    void set (unsigned int value) abstract;
}
public:
[ElementPriorityAttribute(7)]
virtual property unsigned int Memsize {
    unsigned int get () abstract;
    void set (unsigned int value) abstract;
}
Property Value
Type:   Online UInt32
Implements
IResourceIndexEntry Memsize
See Also
AResourceIndexEntry Class
AResourceIndexEntry Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AResourceIndexEntry.Stream Property

AResourceIndexEntry Stream Property s3pi library documentation
A MemoryStream covering the index entry bytes

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public abstract Stream Stream { get; }
public abstract Stream Stream { get; }
Public MustOverride ReadOnly Property Stream As Stream
    Get
Public MustOverride ReadOnly Property Stream As Stream
    Get
public:
virtual property Stream^ Stream {
    Stream^ get () abstract;
}
public:
virtual property Stream^ Stream {
    Stream^ get () abstract;
}
Property Value
Type:   Online Stream
Implements
IResourceIndexEntry Stream
See Also
AResourceIndexEntry Class
AResourceIndexEntry Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AResourceIndexEntry.Unknown2 Property

AResourceIndexEntry Unknown2 Property s3pi library documentation
Always 0x0001

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[ElementPriorityAttribute(9)]
public abstract ushort Unknown2 { get; set; }
[ElementPriorityAttribute(9)]
public abstract ushort Unknown2 { get; set; }
<ElementPriorityAttribute(9)>
Public MustOverride Property Unknown2 As UShort
    Get
    Set
<ElementPriorityAttribute(9)>
Public MustOverride Property Unknown2 As UShort
    Get
    Set
public:
[ElementPriorityAttribute(9)]
virtual property unsigned short Unknown2 {
    unsigned short get () abstract;
    void set (unsigned short value) abstract;
}
public:
[ElementPriorityAttribute(9)]
virtual property unsigned short Unknown2 {
    unsigned short get () abstract;
    void set (unsigned short value) abstract;
}
Property Value
Type:   Online UInt16
Implements
IResourceIndexEntry Unknown2
See Also
AResourceIndexEntry Class
AResourceIndexEntry Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AResourceKey Class

AResourceKey Class s3pi library documentation
An abstract class, extending AHandlerElement and implementing IResourceKey.
Inheritance Hierarchy
Online System Object
s3pi.Interfaces AApiVersionedFields
s3pi.Interfaces AHandlerElement
s3pi.Interfaces AResourceKey
s3pi.Filetable RK
s3pi.Interfaces AResourceIndexEntry
s3pi.Interfaces TGIBlock

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public abstract class AResourceKey : AHandlerElement,
    IResourceKey, IEqualityComparer<IResourceKey>, IEquatable<IResourceKey>,
    IComparable<IResourceKey>
public abstract class AResourceKey : AHandlerElement,
    IResourceKey, IEqualityComparer<IResourceKey>, IEquatable<IResourceKey>,
    IComparable<IResourceKey>
Public MustInherit Class AResourceKey
    Inherits AHandlerElement
    Implements IResourceKey, IEqualityComparer(Of IResourceKey),
    IEquatable(Of IResourceKey), IComparable(Of IResourceKey)
Public MustInherit Class AResourceKey
    Inherits AHandlerElement
    Implements IResourceKey, IEqualityComparer(Of IResourceKey),
    IEquatable(Of IResourceKey), IComparable(Of IResourceKey)
public ref class AResourceKey abstract : public AHandlerElement,
    IResourceKey, IEqualityComparer<IResourceKey^>, IEquatable<IResourceKey^>,
    IComparable<IResourceKey^>
public ref class AResourceKey abstract : public AHandlerElement,
    IResourceKey, IEqualityComparer<IResourceKey^>, IEquatable<IResourceKey^>,
    IComparable<IResourceKey^>
See Also
AResourceKey Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AResourceKey Members

AResourceKey Members s3pi library documentation

The AResourceKey type exposes the following members.
Constructors
 | Name | Description
Public method | AResourceKey(Int32, EventHandler) | Initialize a new instance
Public method | AResourceKey(Int32, EventHandler, IResourceKey) | Initialize a new instance
Public method | AResourceKey(Int32, EventHandler, UInt32, UInt32, UInt64) | Initialize a new instance
Back to Top
Methods
 | Name | Description
Public method | CompareTo | Compare this AResourceKey to another IResourceKey for sort order purposes
Public method | Equals(Object) | Determines whether the specified Online Object is equal to the current AResourceKey. (Overrides Online Object Equals(Object).)
Public method | Equals(IResourceKey) | Indicates whether the current AResourceKey instance is equal to another IResourceKey instance.
Public method | Equals(IResourceKey, IResourceKey) | Determines whether the specified IResourceKey instances are equal.
Public method | GetHashCode | Serves as a hash function for an AResourceKey. (Overrides Online Object GetHashCode .)
Public method | GetHashCode(IResourceKey) | Returns a hash code for the specified IResourceKey.
Public method | ToString | Returns a string representation of this AResourceKey. (Overrides AApiVersionedFields ToString .)
 | TryParse | Converts the string representation of a resource key to its AResourceKey equivalent. A return value indicates whether the conversion succeeded.
Back to Top
Operators
Name | Description
(AResourceKey to String) | Converts an AResourceKey to a string representation.
Back to Top
Fields
 | Name | Description
Protected field | instance | The "instance" number of the resource
Protected field | resourceGroup | The "group" the resource is part of
Protected field | resourceType | The "type" of the resource
Back to Top
Properties
 | Name | Description
Public property | Instance | The "instance" number of the resource
Public property | ResourceGroup | The "group" the resource is part of
Public property | ResourceType | The "type" of the resource
Back to Top
See Also
AResourceKey Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AResourceKey Constructor

AResourceKey Constructor s3pi library documentation
Overload List
 | Name | Description
Public method | AResourceKey(Int32, EventHandler) | Initialize a new instance
Public method | AResourceKey(Int32, EventHandler, IResourceKey) | Initialize a new instance
Public method | AResourceKey(Int32, EventHandler, UInt32, UInt32, UInt64) | Initialize a new instance
Back to Top
See Also
AResourceKey Class
AResourceKey Members
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AResourceKey Constructor (Int32, EventHandler)

AResourceKey Constructor (Int32, EventHandler) s3pi library documentation
Initialize a new instance

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public AResourceKey(
    int APIversion,
    EventHandler handler
)
public AResourceKey(
    int APIversion,
    EventHandler handler
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler
)
public:
AResourceKey(
    int APIversion,
    EventHandler^ handler
)
public:
AResourceKey(
    int APIversion,
    EventHandler^ handler
)
Parameters
APIversion
Type:   Online System Int32
The requested API version.
handler
Type:   Online System EventHandler
The   Online EventHandler delegate to invoke if the AResourceKey changes.
See Also
AResourceKey Class
AResourceKey Members
AResourceKey Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AResourceKey Constructor (Int32, EventHandler, IResourceKey)

AResourceKey Constructor (Int32, EventHandler, IResourceKey) s3pi library documentation
Initialize a new instance

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public AResourceKey(
    int APIversion,
    EventHandler handler,
    IResourceKey basis
)
public AResourceKey(
    int APIversion,
    EventHandler handler,
    IResourceKey basis
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler,
    basis As IResourceKey
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler,
    basis As IResourceKey
)
public:
AResourceKey(
    int APIversion,
    EventHandler^ handler,
    IResourceKey^ basis
)
public:
AResourceKey(
    int APIversion,
    EventHandler^ handler,
    IResourceKey^ basis
)
Parameters
APIversion
Type:   Online System Int32
The requested API version.
handler
Type:   Online System EventHandler
The   Online EventHandler delegate to invoke if the AResourceKey changes.
basis
Type: s3pi.Interfaces IResourceKey
The IResourceKey values to use to initialise the instance.
See Also
AResourceKey Class
AResourceKey Members
AResourceKey Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AResourceKey Constructor (Int32, EventHandler, UInt32, UInt32, UInt64)

AResourceKey Constructor (Int32, EventHandler, UInt32, UInt32, UInt64) s3pi library documentation
Initialize a new instance

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public AResourceKey(
    int APIversion,
    EventHandler handler,
    uint resourceType,
    uint resourceGroup,
    ulong instance
)
public AResourceKey(
    int APIversion,
    EventHandler handler,
    uint resourceType,
    uint resourceGroup,
    ulong instance
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler,
    resourceType As UInteger,
    resourceGroup As UInteger,
    instance As ULong
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler,
    resourceType As UInteger,
    resourceGroup As UInteger,
    instance As ULong
)
public:
AResourceKey(
    int APIversion,
    EventHandler^ handler,
    unsigned int resourceType,
    unsigned int resourceGroup,
    unsigned long long instance
)
public:
AResourceKey(
    int APIversion,
    EventHandler^ handler,
    unsigned int resourceType,
    unsigned int resourceGroup,
    unsigned long long instance
)
Parameters
APIversion
Type:   Online System Int32
The requested API version.
handler
Type:   Online System EventHandler
The   Online EventHandler delegate to invoke if the AResourceKey changes.
resourceType
Type:   Online System UInt32
The type of the resource.
resourceGroup
Type:   Online System UInt32
The group of the resource.
instance
Type:   Online System UInt64
The instance of the resource.
See Also
AResourceKey Class
AResourceKey Members
AResourceKey Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AResourceKey Fields

AResourceKey Fields s3pi library documentation
The AResourceKey type exposes the following members.
Fields
 | Name | Description
Protected field | instance | The "instance" number of the resource
Protected field | resourceGroup | The "group" the resource is part of
Protected field | resourceType | The "type" of the resource
Back to Top
See Also
AResourceKey Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AResourceKey.instance Field

AResourceKey instance Field s3pi library documentation
The "instance" number of the resource

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected ulong instance
protected ulong instance
Protected instance As ULong
Protected instance As ULong
protected:
unsigned long long instance
protected:
unsigned long long instance
Field Value
Type:   Online UInt64
See Also
AResourceKey Class
AResourceKey Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AResourceKey.resourceGroup Field

AResourceKey resourceGroup Field s3pi library documentation
The "group" the resource is part of

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected uint resourceGroup
protected uint resourceGroup
Protected resourceGroup As UInteger
Protected resourceGroup As UInteger
protected:
unsigned int resourceGroup
protected:
unsigned int resourceGroup
Field Value
Type:   Online UInt32
See Also
AResourceKey Class
AResourceKey Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AResourceKey.resourceType Field

AResourceKey resourceType Field s3pi library documentation
The "type" of the resource

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected uint resourceType
protected uint resourceType
Protected resourceType As UInteger
Protected resourceType As UInteger
protected:
unsigned int resourceType
protected:
unsigned int resourceType
Field Value
Type:   Online UInt32
See Also
AResourceKey Class
AResourceKey Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AResourceKey Methods

AResourceKey Methods s3pi library documentation
The AResourceKey type exposes the following members.
Methods
 | Name | Description
Public method | CompareTo | Compare this AResourceKey to another IResourceKey for sort order purposes
Public method | Equals(Object) | Determines whether the specified Online Object is equal to the current AResourceKey. (Overrides Online Object Equals(Object).)
Public method | Equals(IResourceKey) | Indicates whether the current AResourceKey instance is equal to another IResourceKey instance.
Public method | Equals(IResourceKey, IResourceKey) | Determines whether the specified IResourceKey instances are equal.
Public method | GetHashCode | Serves as a hash function for an AResourceKey. (Overrides Online Object GetHashCode .)
Public method | GetHashCode(IResourceKey) | Returns a hash code for the specified IResourceKey.
Public method | ToString | Returns a string representation of this AResourceKey. (Overrides AApiVersionedFields ToString .)
 | TryParse | Converts the string representation of a resource key to its AResourceKey equivalent. A return value indicates whether the conversion succeeded.
Back to Top
See Also
AResourceKey Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AResourceKey.CompareTo Method

AResourceKey CompareTo Method s3pi library documentation
Compare this AResourceKey to another IResourceKey for sort order purposes

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public int CompareTo(
    IResourceKey other
)
public int CompareTo(
    IResourceKey other
)
Public Function CompareTo (
    other As IResourceKey
) As Integer
Public Function CompareTo (
    other As IResourceKey
) As Integer
public:
virtual int CompareTo(
    IResourceKey^ other
) sealed
public:
virtual int CompareTo(
    IResourceKey^ other
) sealed
Parameters
other
Type: s3pi.Interfaces IResourceKey
Target IResourceKey
Return Value
Type:   Online Int32
A 32-bit signed integer that indicates the relative order of the objects being compared.  The return value has these meanings:

Value | Meaning
Less than zero | This instance is less than other.
Zero | This instance is equal to other.
Greater than zero | This instance is greater than other.
Implements
  Online IComparable T  CompareTo(T)
Exceptions
Exception | Condition
Online System NotImplementedException | Either this object's Type or the target's is not comparable
Online System ArgumentException | The target is not comparable with this object
See Also
AResourceKey Class
AResourceKey Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AResourceKey.Equals Method

AResourceKey Equals Method s3pi library documentation
Overload List
 | Name | Description
Public method | Equals(Object) | Determines whether the specified Online Object is equal to the current AResourceKey. (Overrides Online Object Equals(Object).)
Public method | Equals(IResourceKey) | Indicates whether the current AResourceKey instance is equal to another IResourceKey instance.
Public method | Equals(IResourceKey, IResourceKey) | Determines whether the specified IResourceKey instances are equal.
Back to Top
See Also
AResourceKey Class
AResourceKey Members
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AResourceKey.Equals Method (Object)

AResourceKey Equals Method (Object) s3pi library documentation
Determines whether the specified Online Object is equal to the current AResourceKey.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override bool Equals(
    Object obj
)
public override bool Equals(
    Object obj
)
Public Overrides Function Equals (
    obj As Object
) As Boolean
Public Overrides Function Equals (
    obj As Object
) As Boolean
public:
virtual bool Equals(
    Object^ obj
) override
public:
virtual bool Equals(
    Object^ obj
) override
Parameters
obj
Type:   Online System Object
The   Online Object to compare with the current AResourceKey.
Return Value
Type:   Online Boolean
true if the specified   Online Object is equal to the current AResourceKey; otherwise, false.
See Also
AResourceKey Class
AResourceKey Members
Equals Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AResourceKey.Equals Method (IResourceKey)

AResourceKey Equals Method (IResourceKey) s3pi library documentation
Indicates whether the current AResourceKey instance is equal to another IResourceKey instance.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public bool Equals(
    IResourceKey other
)
public bool Equals(
    IResourceKey other
)
Public Function Equals (
    other As IResourceKey
) As Boolean
Public Function Equals (
    other As IResourceKey
) As Boolean
public:
virtual bool Equals(
    IResourceKey^ other
) sealed
public:
virtual bool Equals(
    IResourceKey^ other
) sealed
Parameters
other
Type: s3pi.Interfaces IResourceKey
An IResourceKey instance to compare with this instance.
Return Value
Type:   Online Boolean
true if the current instance is equal to the other parameter; otherwise, false.
Implements
  Online IEquatable T  Equals(T)
See Also
AResourceKey Class
AResourceKey Members
Equals Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AResourceKey.Equals Method (IResourceKey, IResourceKey)

AResourceKey Equals Method (IResourceKey, IResourceKey) s3pi library documentation
Determines whether the specified IResourceKey instances are equal.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public bool Equals(
    IResourceKey x,
    IResourceKey y
)
public bool Equals(
    IResourceKey x,
    IResourceKey y
)
Public Function Equals (
    x As IResourceKey,
    y As IResourceKey
) As Boolean
Public Function Equals (
    x As IResourceKey,
    y As IResourceKey
) As Boolean
public:
virtual bool Equals(
    IResourceKey^ x,
    IResourceKey^ y
) sealed
public:
virtual bool Equals(
    IResourceKey^ x,
    IResourceKey^ y
) sealed
Parameters
x
Type: s3pi.Interfaces IResourceKey
The first IResourceKey to compare.
y
Type: s3pi.Interfaces IResourceKey
The second IResourceKey to compare.
Return Value
Type:   Online Boolean
true if the specified IResourceKey instances are equal; otherwise, false.
Implements
  Online IEqualityComparer T  Equals(T, T)
See Also
AResourceKey Class
AResourceKey Members
Equals Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AResourceKey.GetHashCode Method

AResourceKey GetHashCode Method s3pi library documentation
Overload List
 | Name | Description
Public method | GetHashCode | Serves as a hash function for an AResourceKey. (Overrides Online Object GetHashCode .)
Public method | GetHashCode(IResourceKey) | Returns a hash code for the specified IResourceKey.
Back to Top
See Also
AResourceKey Class
AResourceKey Members
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AResourceKey.GetHashCode Method

AResourceKey GetHashCode Method s3pi library documentation
Serves as a hash function for an AResourceKey.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override int GetHashCode()
public override int GetHashCode()
Public Overrides Function GetHashCode As Integer
Public Overrides Function GetHashCode As Integer
public:
virtual int GetHashCode() override
public:
virtual int GetHashCode() override
Return Value
Type:   Online Int32
A hash code for the current AResourceKey.
See Also
AResourceKey Class
AResourceKey Members
GetHashCode Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AResourceKey.GetHashCode Method (IResourceKey)

AResourceKey GetHashCode Method (IResourceKey) s3pi library documentation
Returns a hash code for the specified IResourceKey.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public int GetHashCode(
    IResourceKey obj
)
public int GetHashCode(
    IResourceKey obj
)
Public Function GetHashCode (
    obj As IResourceKey
) As Integer
Public Function GetHashCode (
    obj As IResourceKey
) As Integer
public:
virtual int GetHashCode(
    IResourceKey^ obj
) sealed
public:
virtual int GetHashCode(
    IResourceKey^ obj
) sealed
Parameters
obj
Type: s3pi.Interfaces IResourceKey
The IResourceKey for which a hash code is to be returned.
Return Value
Type:   Online Int32
A hash code for the specified object.
Implements
  Online IEqualityComparer T  GetHashCode(T)
Exceptions
Exception | Condition
Online System ArgumentNullException | The type of obj is a reference type and obj is null.
See Also
AResourceKey Class
AResourceKey Members
GetHashCode Overload
s3pi.Interfaces Namespace
AResourceKey GetHashCode
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AResourceKey.ToString Method

AResourceKey ToString Method s3pi library documentation
Returns a string representation of this AResourceKey.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override string ToString()
public override string ToString()
Public Overrides Function ToString As String
Public Overrides Function ToString As String
public:
virtual String^ ToString() override
public:
virtual String^ ToString() override
Return Value
Type:   Online String
The 42 character string representation of this resource key,
            of the form 0xXXXXXXXX-0xXXXXXXXX-0xXXXXXXXXXXXXXXXX.
See Also
AResourceKey Class
AResourceKey Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AResourceKey.TryParse Method

AResourceKey TryParse Method s3pi library documentation
Converts the string representation of a resource key to its AResourceKey equivalent. A return value indicates whether the conversion succeeded.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static bool TryParse(
    string value,
    IResourceKey result
)
public static bool TryParse(
    string value,
    IResourceKey result
)
Public Shared Function TryParse (
    value As String,
    result As IResourceKey
) As Boolean
Public Shared Function TryParse (
    value As String,
    result As IResourceKey
) As Boolean
public:
static bool TryParse(
    String^ value,
    IResourceKey^ result
)
public:
static bool TryParse(
    String^ value,
    IResourceKey^ result
)
Parameters
value
Type:   Online System String
A string containing a resource key to convert.
result
Type: s3pi.Interfaces IResourceKey

            When this method returns, contains the AResourceKey equivalent
            to the resource key contained in value, if the conversion succeeded, or
            unchanged if the conversion failed.  The conversion fails if the value
            parameter is null or is not of the correct format.  This parameter must not be null.

Return Value
Type:   Online Boolean
true if value was converted successfully; otherwise, false.
Exceptions
Exception | Condition
Online System NullReferenceException | Thrown if result is null.
See Also
AResourceKey Class
AResourceKey Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AResourceKey Type Conversions

AResourceKey Type Conversions s3pi library documentation
The AResourceKey type exposes the following members.
Operators
Name | Description
(AResourceKey to String) | Converts an AResourceKey to a string representation.
Back to Top
See Also
AResourceKey Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AResourceKey Implicit Conversion (AResourceKey to String)

AResourceKey Conversion (AResourceKey to String) s3pi library documentation
Converts an AResourceKey to a string representation.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static implicit operator string (
    AResourceKey value
)
public static implicit operator string (
    AResourceKey value
)
Public Shared Widening Operator CType (
    value As AResourceKey
) As String
Public Shared Widening Operator CType (
    value As AResourceKey
) As String
static implicit operator String^ (
    AResourceKey^ value
)
static implicit operator String^ (
    AResourceKey^ value
)
Parameters
value
Type: s3pi.Interfaces AResourceKey
The AResourceKey to convert
Return Value
Type:   Online String
The 42 character string representation of this resource key,
            of the form 0xXXXXXXXX-0xXXXXXXXX-0xXXXXXXXXXXXXXXXX.
See Also
AResourceKey Class
AResourceKey Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AResourceKey Properties

AResourceKey Properties s3pi library documentation
The AResourceKey type exposes the following members.
Properties
 | Name | Description
Public property | Instance | The "instance" number of the resource
Public property | ResourceGroup | The "group" the resource is part of
Public property | ResourceType | The "type" of the resource
Back to Top
See Also
AResourceKey Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AResourceKey.Instance Property

AResourceKey Instance Property s3pi library documentation
The "instance" number of the resource

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[ElementPriorityAttribute(3)]
public virtual ulong Instance { get; set; }
[ElementPriorityAttribute(3)]
public virtual ulong Instance { get; set; }
<ElementPriorityAttribute(3)>
Public Overridable Property Instance As ULong
    Get
    Set
<ElementPriorityAttribute(3)>
Public Overridable Property Instance As ULong
    Get
    Set
public:
[ElementPriorityAttribute(3)]
virtual property unsigned long long Instance {
    unsigned long long get ();
    void set (unsigned long long value);
}
public:
[ElementPriorityAttribute(3)]
virtual property unsigned long long Instance {
    unsigned long long get ();
    void set (unsigned long long value);
}
Property Value
Type:   Online UInt64
Implements
IResourceKey Instance
See Also
AResourceKey Class
AResourceKey Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AResourceKey.ResourceGroup Property

AResourceKey ResourceGroup Property s3pi library documentation
The "group" the resource is part of

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[ElementPriorityAttribute(2)]
public virtual uint ResourceGroup { get; set; }
[ElementPriorityAttribute(2)]
public virtual uint ResourceGroup { get; set; }
<ElementPriorityAttribute(2)>
Public Overridable Property ResourceGroup As UInteger
    Get
    Set
<ElementPriorityAttribute(2)>
Public Overridable Property ResourceGroup As UInteger
    Get
    Set
public:
[ElementPriorityAttribute(2)]
virtual property unsigned int ResourceGroup {
    unsigned int get ();
    void set (unsigned int value);
}
public:
[ElementPriorityAttribute(2)]
virtual property unsigned int ResourceGroup {
    unsigned int get ();
    void set (unsigned int value);
}
Property Value
Type:   Online UInt32
Implements
IResourceKey ResourceGroup
See Also
AResourceKey Class
AResourceKey Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AResourceKey.ResourceType Property

AResourceKey ResourceType Property s3pi library documentation
The "type" of the resource

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[ElementPriorityAttribute(1)]
public virtual uint ResourceType { get; set; }
[ElementPriorityAttribute(1)]
public virtual uint ResourceType { get; set; }
<ElementPriorityAttribute(1)>
Public Overridable Property ResourceType As UInteger
    Get
    Set
<ElementPriorityAttribute(1)>
Public Overridable Property ResourceType As UInteger
    Get
    Set
public:
[ElementPriorityAttribute(1)]
virtual property unsigned int ResourceType {
    unsigned int get ();
    void set (unsigned int value);
}
public:
[ElementPriorityAttribute(1)]
virtual property unsigned int ResourceType {
    unsigned int get ();
    void set (unsigned int value);
}
Property Value
Type:   Online UInt32
Implements
IResourceKey ResourceType
See Also
AResourceKey Class
AResourceKey Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


BoundingBox Class

BoundingBox Class s3pi library documentation
Defines a bounding box - a imaginary box large enough to completely contain an object - by its minimum and maximum vertices.
Inheritance Hierarchy
Online System Object
s3pi.Interfaces AApiVersionedFields
s3pi.Interfaces AHandlerElement
s3pi.Interfaces BoundingBox

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public class BoundingBox : AHandlerElement,
    IEquatable<BoundingBox>
public class BoundingBox : AHandlerElement,
    IEquatable<BoundingBox>
Public Class BoundingBox
    Inherits AHandlerElement
    Implements IEquatable(Of BoundingBox)
Public Class BoundingBox
    Inherits AHandlerElement
    Implements IEquatable(Of BoundingBox)
public ref class BoundingBox : public AHandlerElement,
    IEquatable<BoundingBox^>
public ref class BoundingBox : public AHandlerElement,
    IEquatable<BoundingBox^>
See Also
BoundingBox Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


BoundingBox Members

BoundingBox Members s3pi library documentation

The BoundingBox type exposes the following members.
Constructors
 | Name | Description
Public method | BoundingBox(Int32, EventHandler) | Create an zero-sized bounding box.
Public method | BoundingBox(Int32, EventHandler, BoundingBox) | Create a bounding box from a given value.
Public method | BoundingBox(Int32, EventHandler, Stream) | Create a bounding box from a Online Stream.
Public method | BoundingBox(Int32, EventHandler, Vertex, Vertex) | Create a bounding box with the specified minimum and maximum vertices.
Back to Top
Methods
 | Name | Description
Public method | Equals(Object) | Determines whether the specified Online Object is equal to the current BoundingBox. (Overrides Online Object Equals(Object).)
Public method | Equals(BoundingBox) | Indicates whether the current object is equal to another object of the same type.
Public method | GetHashCode | Returns the hash code for this instance. (Overrides Online Object GetHashCode .)
Public method | UnParse | Write the bounding box to the given Online Stream.
Back to Top
Properties
 | Name | Description
Public property | ContentFields | The list of available field names on this API object. (Overrides AApiVersionedFields ContentFields.)
Public property | Max | Maximum vertex
Public property | Min | Minimum vertex
Public property | RecommendedApiVersion | The best supported version of the API available (Overrides AApiVersionedFields RecommendedApiVersion.)
Public property | Value | A displayable representation of the object
Back to Top
See Also
BoundingBox Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


BoundingBox Constructor

BoundingBox Constructor s3pi library documentation
Overload List
 | Name | Description
Public method | BoundingBox(Int32, EventHandler) | Create an zero-sized bounding box.
Public method | BoundingBox(Int32, EventHandler, BoundingBox) | Create a bounding box from a given value.
Public method | BoundingBox(Int32, EventHandler, Stream) | Create a bounding box from a Online Stream.
Public method | BoundingBox(Int32, EventHandler, Vertex, Vertex) | Create a bounding box with the specified minimum and maximum vertices.
Back to Top
See Also
BoundingBox Class
BoundingBox Members
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


BoundingBox Constructor (Int32, EventHandler)

BoundingBox Constructor (Int32, EventHandler) s3pi library documentation
Create an zero-sized bounding box.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public BoundingBox(
    int APIversion,
    EventHandler handler
)
public BoundingBox(
    int APIversion,
    EventHandler handler
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler
)
public:
BoundingBox(
    int APIversion,
    EventHandler^ handler
)
public:
BoundingBox(
    int APIversion,
    EventHandler^ handler
)
Parameters
APIversion
Type:   Online System Int32
The requested API version.
handler
Type:   Online System EventHandler
The   Online EventHandler delegate to invoke if the AHandlerElement changes.
See Also
BoundingBox Class
BoundingBox Members
BoundingBox Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


BoundingBox Constructor (Int32, EventHandler, BoundingBox)

BoundingBox Constructor (Int32, EventHandler, BoundingBox) s3pi library documentation
Create a bounding box from a given value.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public BoundingBox(
    int APIversion,
    EventHandler handler,
    BoundingBox basis
)
public BoundingBox(
    int APIversion,
    EventHandler handler,
    BoundingBox basis
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler,
    basis As BoundingBox
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler,
    basis As BoundingBox
)
public:
BoundingBox(
    int APIversion,
    EventHandler^ handler,
    BoundingBox^ basis
)
public:
BoundingBox(
    int APIversion,
    EventHandler^ handler,
    BoundingBox^ basis
)
Parameters
APIversion
Type:   Online System Int32
The requested API version.
handler
Type:   Online System EventHandler
The   Online EventHandler delegate to invoke if the AHandlerElement changes.
basis
Type: s3pi.Interfaces BoundingBox
BoundingBox to copy.
See Also
BoundingBox Class
BoundingBox Members
BoundingBox Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


BoundingBox Constructor (Int32, EventHandler, Stream)

BoundingBox Constructor (Int32, EventHandler, Stream) s3pi library documentation
Create a bounding box from a Online Stream.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public BoundingBox(
    int APIversion,
    EventHandler handler,
    Stream s
)
public BoundingBox(
    int APIversion,
    EventHandler handler,
    Stream s
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler,
    s As Stream
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler,
    s As Stream
)
public:
BoundingBox(
    int APIversion,
    EventHandler^ handler,
    Stream^ s
)
public:
BoundingBox(
    int APIversion,
    EventHandler^ handler,
    Stream^ s
)
Parameters
APIversion
Type:   Online System Int32
The requested API version.
handler
Type:   Online System EventHandler
The   Online EventHandler delegate to invoke if the AHandlerElement changes.
s
Type:   Online System.IO Stream
  Online Stream containing vertices.
See Also
BoundingBox Class
BoundingBox Members
BoundingBox Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


BoundingBox Constructor (Int32, EventHandler, Vertex, Vertex)

BoundingBox Constructor (Int32, EventHandler, Vertex, Vertex) s3pi library documentation
Create a bounding box with the specified minimum and maximum vertices.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public BoundingBox(
    int APIversion,
    EventHandler handler,
    Vertex min,
    Vertex max
)
public BoundingBox(
    int APIversion,
    EventHandler handler,
    Vertex min,
    Vertex max
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler,
    min As Vertex,
    max As Vertex
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler,
    min As Vertex,
    max As Vertex
)
public:
BoundingBox(
    int APIversion,
    EventHandler^ handler,
    Vertex^ min,
    Vertex^ max
)
public:
BoundingBox(
    int APIversion,
    EventHandler^ handler,
    Vertex^ min,
    Vertex^ max
)
Parameters
APIversion
Type:   Online System Int32
The requested API version.
handler
Type:   Online System EventHandler
The   Online EventHandler delegate to invoke if the AHandlerElement changes.
min
Type: s3pi.Interfaces Vertex
Minimum vertex.
max
Type: s3pi.Interfaces Vertex
Maximum vertex.
See Also
BoundingBox Class
BoundingBox Members
BoundingBox Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


BoundingBox Methods

BoundingBox Methods s3pi library documentation
The BoundingBox type exposes the following members.
Methods
 | Name | Description
Public method | Equals(Object) | Determines whether the specified Online Object is equal to the current BoundingBox. (Overrides Online Object Equals(Object).)
Public method | Equals(BoundingBox) | Indicates whether the current object is equal to another object of the same type.
Public method | GetHashCode | Returns the hash code for this instance. (Overrides Online Object GetHashCode .)
Public method | UnParse | Write the bounding box to the given Online Stream.
Back to Top
See Also
BoundingBox Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


BoundingBox.Equals Method

BoundingBox Equals Method s3pi library documentation
Overload List
 | Name | Description
Public method | Equals(Object) | Determines whether the specified Online Object is equal to the current BoundingBox. (Overrides Online Object Equals(Object).)
Public method | Equals(BoundingBox) | Indicates whether the current object is equal to another object of the same type.
Back to Top
See Also
BoundingBox Class
BoundingBox Members
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


BoundingBox.Equals Method (Object)

BoundingBox Equals Method (Object) s3pi library documentation
Determines whether the specified Online Object is equal to the current BoundingBox.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override bool Equals(
    Object obj
)
public override bool Equals(
    Object obj
)
Public Overrides Function Equals (
    obj As Object
) As Boolean
Public Overrides Function Equals (
    obj As Object
) As Boolean
public:
virtual bool Equals(
    Object^ obj
) override
public:
virtual bool Equals(
    Object^ obj
) override
Parameters
obj
Type:   Online System Object
The   Online Object to compare with the current BoundingBox.
Return Value
Type:   Online Boolean
true if the specified   Online Object is equal to the current BoundingBox; otherwise, false.
See Also
BoundingBox Class
BoundingBox Members
Equals Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


BoundingBox.Equals Method (BoundingBox)

BoundingBox Equals Method (BoundingBox) s3pi library documentation
Indicates whether the current object is equal to another object of the same type.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public bool Equals(
    BoundingBox other
)
public bool Equals(
    BoundingBox other
)
Public Function Equals (
    other As BoundingBox
) As Boolean
Public Function Equals (
    other As BoundingBox
) As Boolean
public:
virtual bool Equals(
    BoundingBox^ other
) sealed
public:
virtual bool Equals(
    BoundingBox^ other
) sealed
Parameters
other
Type: s3pi.Interfaces BoundingBox
An object to compare with this object.
Return Value
Type:   Online Boolean
true if the current object is equal to the other parameter; otherwise, false.
Implements
  Online IEquatable T  Equals(T)
See Also
BoundingBox Class
BoundingBox Members
Equals Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


BoundingBox.GetHashCode Method

BoundingBox GetHashCode Method s3pi library documentation
Returns the hash code for this instance.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override int GetHashCode()
public override int GetHashCode()
Public Overrides Function GetHashCode As Integer
Public Overrides Function GetHashCode As Integer
public:
virtual int GetHashCode() override
public:
virtual int GetHashCode() override
Return Value
Type:   Online Int32
A 32-bit signed integer that is the hash code for this instance.
See Also
BoundingBox Class
BoundingBox Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


BoundingBox.UnParse Method

BoundingBox UnParse Method s3pi library documentation
Write the bounding box to the given Online Stream.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void UnParse(
    Stream s
)
public void UnParse(
    Stream s
)
Public Sub UnParse (
    s As Stream
)
Public Sub UnParse (
    s As Stream
)
public:
void UnParse(
    Stream^ s
)
public:
void UnParse(
    Stream^ s
)
Parameters
s
Type:   Online System.IO Stream
  Online Stream to contain vertices.
See Also
BoundingBox Class
BoundingBox Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


BoundingBox Properties

BoundingBox Properties s3pi library documentation
The BoundingBox type exposes the following members.
Properties
 | Name | Description
Public property | ContentFields | The list of available field names on this API object. (Overrides AApiVersionedFields ContentFields.)
Public property | Max | Maximum vertex
Public property | Min | Minimum vertex
Public property | RecommendedApiVersion | The best supported version of the API available (Overrides AApiVersionedFields RecommendedApiVersion.)
Public property | Value | A displayable representation of the object
Back to Top
See Also
BoundingBox Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


BoundingBox.ContentFields Property

BoundingBox ContentFields Property s3pi library documentation
The list of available field names on this API object.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override List<string> ContentFields { get; }
public override List<string> ContentFields { get; }
Public Overrides ReadOnly Property ContentFields As List(Of String)
    Get
Public Overrides ReadOnly Property ContentFields As List(Of String)
    Get
public:
virtual property List<String^>^ ContentFields {
    List<String^>^ get () override;
}
public:
virtual property List<String^>^ ContentFields {
    List<String^>^ get () override;
}
Property Value
Type:   Online List    Online String
Implements
IContentFields ContentFields
See Also
BoundingBox Class
BoundingBox Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


BoundingBox.Max Property

BoundingBox Max Property s3pi library documentation
Maximum vertex

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[ElementPriorityAttribute(2)]
public Vertex Max { get; set; }
[ElementPriorityAttribute(2)]
public Vertex Max { get; set; }
<ElementPriorityAttribute(2)>
Public Property Max As Vertex
    Get
    Set
<ElementPriorityAttribute(2)>
Public Property Max As Vertex
    Get
    Set
public:
[ElementPriorityAttribute(2)]
property Vertex^ Max {
    Vertex^ get ();
    void set (Vertex^ value);
}
public:
[ElementPriorityAttribute(2)]
property Vertex^ Max {
    Vertex^ get ();
    void set (Vertex^ value);
}
Property Value
Type: Vertex
See Also
BoundingBox Class
BoundingBox Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


BoundingBox.Min Property

BoundingBox Min Property s3pi library documentation
Minimum vertex

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[ElementPriorityAttribute(1)]
public Vertex Min { get; set; }
[ElementPriorityAttribute(1)]
public Vertex Min { get; set; }
<ElementPriorityAttribute(1)>
Public Property Min As Vertex
    Get
    Set
<ElementPriorityAttribute(1)>
Public Property Min As Vertex
    Get
    Set
public:
[ElementPriorityAttribute(1)]
property Vertex^ Min {
    Vertex^ get ();
    void set (Vertex^ value);
}
public:
[ElementPriorityAttribute(1)]
property Vertex^ Min {
    Vertex^ get ();
    void set (Vertex^ value);
}
Property Value
Type: Vertex
See Also
BoundingBox Class
BoundingBox Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


BoundingBox.RecommendedApiVersion Property

BoundingBox RecommendedApiVersion Property s3pi library documentation
The best supported version of the API available

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override int RecommendedApiVersion { get; }
public override int RecommendedApiVersion { get; }
Public Overrides ReadOnly Property RecommendedApiVersion As Integer
    Get
Public Overrides ReadOnly Property RecommendedApiVersion As Integer
    Get
public:
virtual property int RecommendedApiVersion {
    int get () override;
}
public:
virtual property int RecommendedApiVersion {
    int get () override;
}
Property Value
Type:   Online Int32
Implements
IApiVersion RecommendedApiVersion
See Also
BoundingBox Class
BoundingBox Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


BoundingBox.Value Property

BoundingBox Value Property s3pi library documentation
A displayable representation of the object

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public string Value { get; }
public string Value { get; }
Public ReadOnly Property Value As String
    Get
Public ReadOnly Property Value As String
    Get
public:
property String^ Value {
    String^ get ();
}
public:
property String^ Value {
    String^ get ();
}
Property Value
Type:   Online String
See Also
BoundingBox Class
BoundingBox Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ByteIndexList Class

ByteIndexList Class s3pi library documentation
A byte-size use of IndexList T .
Inheritance Hierarchy
Online System Object
Online System.Collections.Generic List TGIBlockListIndex Online Byte
System.Collections.Generic AHandlerList TGIBlockListIndex Online Byte
s3pi.Interfaces DependentList TGIBlockListIndex Online Byte
s3pi.Interfaces IndexList Online Byte
s3pi.Interfaces ByteIndexList

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public class ByteIndexList : IndexList<byte>
public class ByteIndexList : IndexList<byte>
Public Class ByteIndexList
    Inherits IndexList(Of Byte)
Public Class ByteIndexList
    Inherits IndexList(Of Byte)
public ref class ByteIndexList : public IndexList<unsigned char>
public ref class ByteIndexList : public IndexList<unsigned char>
See Also
ByteIndexList Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ByteIndexList Members

ByteIndexList Members s3pi library documentation

Constructors
 | Name | Description
Public method | ByteIndexList(EventHandler, DependentList TGIBlock ) | Create an empty ByteIndexList, setting the ParentTGIBlocks as passed. Defaults will be used for list size limit and Data I/O handlers used for the count.
Public method | ByteIndexList(EventHandler, IEnumerable Byte , DependentList TGIBlock ) | Create a ByteIndexList populated from an existing set of values, setting the ParentTGIBlocks as passed. There will be no list size limit and default Data I/O handlers will be used for the count.
Public method | ByteIndexList(EventHandler, Stream, DependentList TGIBlock ) | Create a ByteIndexList populated from a Online Stream, setting the ParentTGIBlocks as passed. There will be no list size limit and default Data I/O handlers will be used for the count.
Public method | ByteIndexList(EventHandler, IndexList Byte ReadCountMethod, IndexList Byte WriteCountMethod, Int64, DependentList TGIBlock ) | Create an empty UIntList.
Public method | ByteIndexList(EventHandler, IEnumerable Byte , IndexList Byte ReadCountMethod, IndexList Byte WriteCountMethod, Int64, DependentList TGIBlock ) | Create a UIntList populated from an existing set of values.
Public method | ByteIndexList(EventHandler, Stream, IndexList Byte ReadCountMethod, IndexList Byte WriteCountMethod, Int64, DependentList TGIBlock ) | Create a UIntList populated from a Online Stream.
Back to Top
See Also
ByteIndexList Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ByteIndexList Constructor

ByteIndexList Constructor s3pi library documentation
Overload List
 | Name | Description
Public method | ByteIndexList(EventHandler, DependentList TGIBlock ) | Create an empty ByteIndexList, setting the ParentTGIBlocks as passed. Defaults will be used for list size limit and Data I/O handlers used for the count.
Public method | ByteIndexList(EventHandler, IEnumerable Byte , DependentList TGIBlock ) | Create a ByteIndexList populated from an existing set of values, setting the ParentTGIBlocks as passed. There will be no list size limit and default Data I/O handlers will be used for the count.
Public method | ByteIndexList(EventHandler, Stream, DependentList TGIBlock ) | Create a ByteIndexList populated from a Online Stream, setting the ParentTGIBlocks as passed. There will be no list size limit and default Data I/O handlers will be used for the count.
Public method | ByteIndexList(EventHandler, IndexList Byte ReadCountMethod, IndexList Byte WriteCountMethod, Int64, DependentList TGIBlock ) | Create an empty UIntList.
Public method | ByteIndexList(EventHandler, IEnumerable Byte , IndexList Byte ReadCountMethod, IndexList Byte WriteCountMethod, Int64, DependentList TGIBlock ) | Create a UIntList populated from an existing set of values.
Public method | ByteIndexList(EventHandler, Stream, IndexList Byte ReadCountMethod, IndexList Byte WriteCountMethod, Int64, DependentList TGIBlock ) | Create a UIntList populated from a Online Stream.
Back to Top
See Also
ByteIndexList Class
ByteIndexList Members
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ByteIndexList Constructor (EventHandler, DependentList(TGIBlock))

ByteIndexList Constructor (EventHandler, DependentList TGIBlock ) s3pi library documentation
Create an empty ByteIndexList, setting the ParentTGIBlocks as passed. Defaults will be used for list size limit and Data I/O handlers used for the count.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public ByteIndexList(
    EventHandler handler,
    DependentList<TGIBlock> ParentTGIBlocks
)
public ByteIndexList(
    EventHandler handler,
    DependentList<TGIBlock> ParentTGIBlocks
)
Public Sub New (
    handler As EventHandler,
    ParentTGIBlocks As DependentList(Of TGIBlock)
)
Public Sub New (
    handler As EventHandler,
    ParentTGIBlocks As DependentList(Of TGIBlock)
)
public:
ByteIndexList(
    EventHandler^ handler,
    DependentList<TGIBlock^>^ ParentTGIBlocks
)
public:
ByteIndexList(
    EventHandler^ handler,
    DependentList<TGIBlock^>^ ParentTGIBlocks
)
Parameters
handler
Type:   Online System EventHandler
Event handler.
ParentTGIBlocks
Type: s3pi.Interfaces DependentList  TGIBlock
Default parent DependentList T  into which elements of this list index.
See Also
ByteIndexList Class
ByteIndexList Members
ByteIndexList Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ByteIndexList Constructor (EventHandler, IEnumerable(Byte), DependentList(TGIBlock))

ByteIndexList Constructor (EventHandler, IEnumerable Byte , DependentList TGIBlock ) s3pi library documentation
Create a ByteIndexList populated from an existing set of values, setting the ParentTGIBlocks as passed. There will be no list size limit and default Data I/O handlers will be used for the count.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public ByteIndexList(
    EventHandler handler,
    IEnumerable<byte> basis,
    DependentList<TGIBlock> ParentTGIBlocks
)
public ByteIndexList(
    EventHandler handler,
    IEnumerable<byte> basis,
    DependentList<TGIBlock> ParentTGIBlocks
)
Public Sub New (
    handler As EventHandler,
    basis As IEnumerable(Of Byte),
    ParentTGIBlocks As DependentList(Of TGIBlock)
)
Public Sub New (
    handler As EventHandler,
    basis As IEnumerable(Of Byte),
    ParentTGIBlocks As DependentList(Of TGIBlock)
)
public:
ByteIndexList(
    EventHandler^ handler,
    IEnumerable<unsigned char>^ basis,
    DependentList<TGIBlock^>^ ParentTGIBlocks
)
public:
ByteIndexList(
    EventHandler^ handler,
    IEnumerable<unsigned char>^ basis,
    DependentList<TGIBlock^>^ ParentTGIBlocks
)
Parameters
handler
Type:   Online System EventHandler
Event handler.
basis
Type:   Online System.Collections.Generic IEnumerable    Online Byte
Basis on which to populate the list.
ParentTGIBlocks
Type: s3pi.Interfaces DependentList  TGIBlock
Default parent DependentList T  into which elements of this list index.
See Also
ByteIndexList Class
ByteIndexList Members
ByteIndexList Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ByteIndexList Constructor (EventHandler, Stream, DependentList(TGIBlock))

ByteIndexList Constructor (EventHandler, Stream, DependentList TGIBlock ) s3pi library documentation
Create a ByteIndexList populated from a Online Stream, setting the ParentTGIBlocks as passed. There will be no list size limit and default Data I/O handlers will be used for the count.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public ByteIndexList(
    EventHandler handler,
    Stream s,
    DependentList<TGIBlock> ParentTGIBlocks
)
public ByteIndexList(
    EventHandler handler,
    Stream s,
    DependentList<TGIBlock> ParentTGIBlocks
)
Public Sub New (
    handler As EventHandler,
    s As Stream,
    ParentTGIBlocks As DependentList(Of TGIBlock)
)
Public Sub New (
    handler As EventHandler,
    s As Stream,
    ParentTGIBlocks As DependentList(Of TGIBlock)
)
public:
ByteIndexList(
    EventHandler^ handler,
    Stream^ s,
    DependentList<TGIBlock^>^ ParentTGIBlocks
)
public:
ByteIndexList(
    EventHandler^ handler,
    Stream^ s,
    DependentList<TGIBlock^>^ ParentTGIBlocks
)
Parameters
handler
Type:   Online System EventHandler
Event handler.
s
Type:   Online System.IO Stream
  Online Stream from which to read elements.
ParentTGIBlocks
Type: s3pi.Interfaces DependentList  TGIBlock
Default parent DependentList T  into which elements of this list index.
See Also
ByteIndexList Class
ByteIndexList Members
ByteIndexList Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ByteIndexList Constructor (EventHandler, IndexList(Byte).ReadCountMethod, IndexList(Byte).WriteCountMethod, Int64, DependentList(TGIBlock))

ByteIndexList Constructor (EventHandler, IndexList Byte ReadCountMethod, IndexList Byte WriteCountMethod, Int64, DependentList TGIBlock ) s3pi library documentation
Create an empty UIntList.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public ByteIndexList(
    EventHandler handler,
    IndexList<(Of <(<'T>)>)>..::..ReadCountMethod readCount = null,
    IndexList<(Of <(<'T>)>)>..::..WriteCountMethod writeCount = null,
    long size = 255,
    DependentList<TGIBlock> ParentTGIBlocks = null
)
public ByteIndexList(
    EventHandler handler,
    IndexList<(Of <(<'T>)>)>..::..ReadCountMethod readCount = null,
    IndexList<(Of <(<'T>)>)>..::..WriteCountMethod writeCount = null,
    long size = 255,
    DependentList<TGIBlock> ParentTGIBlocks = null
)
Public Sub New (
    handler As EventHandler,
    Optional readCount As IndexList<(Of <(<'T>)>)>..::..ReadCountMethod = Nothing,
    Optional writeCount As IndexList<(Of <(<'T>)>)>..::..WriteCountMethod = Nothing,
    Optional size As Long = 255,
    Optional ParentTGIBlocks As DependentList(Of TGIBlock) = Nothing
)
Public Sub New (
    handler As EventHandler,
    Optional readCount As IndexList<(Of <(<'T>)>)>..::..ReadCountMethod = Nothing,
    Optional writeCount As IndexList<(Of <(<'T>)>)>..::..WriteCountMethod = Nothing,
    Optional size As Long = 255,
    Optional ParentTGIBlocks As DependentList(Of TGIBlock) = Nothing
)
public:
ByteIndexList(
    EventHandler^ handler,
    IndexList<(Of <(<'T>)>)>..::..ReadCountMethod^ readCount = nullptr,
    IndexList<(Of <(<'T>)>)>..::..WriteCountMethod^ writeCount = nullptr,
    long long size = 255,
    DependentList<TGIBlock^>^ ParentTGIBlocks = nullptr
)
public:
ByteIndexList(
    EventHandler^ handler,
    IndexList<(Of <(<'T>)>)>..::..ReadCountMethod^ readCount = nullptr,
    IndexList<(Of <(<'T>)>)>..::..WriteCountMethod^ writeCount = nullptr,
    long long size = 255,
    DependentList<TGIBlock^>^ ParentTGIBlocks = nullptr
)
Parameters
handler
Type:   Online System EventHandler
Event handler.
readCount (Optional)
Type: s3pi.Interfaces IndexList T  ReadCountMethod
Optional; default is to read a   Online Int32 from the   Online Stream.
writeCount (Optional)
Type: s3pi.Interfaces IndexList T  WriteCountMethod
Optional; default is to write a   Online Int32 to the   Online Stream.
size (Optional)
Type:   Online System Int64
Optional list size (should be byte.MaxValue or below).
ParentTGIBlocks (Optional)
Type: s3pi.Interfaces DependentList  TGIBlock
Optional; default parent DependentList T  into which elements of this list index.
See Also
ByteIndexList Class
ByteIndexList Members
ByteIndexList Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ByteIndexList Constructor (EventHandler, IEnumerable(Byte), IndexList(Byte).ReadCountMethod, IndexList(Byte).WriteCountMethod, Int64, DependentList(TGIBlock))

ByteIndexList Constructor (EventHandler, IEnumerable Byte , IndexList Byte ReadCountMethod, IndexList Byte WriteCountMethod, Int64, DependentList TGIBlock ) s3pi library documentation
Create a UIntList populated from an existing set of values.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public ByteIndexList(
    EventHandler handler,
    IEnumerable<byte> basis,
    IndexList<(Of <(<'T>)>)>..::..ReadCountMethod readCount = null,
    IndexList<(Of <(<'T>)>)>..::..WriteCountMethod writeCount = null,
    long size = 255,
    DependentList<TGIBlock> ParentTGIBlocks = null
)
public ByteIndexList(
    EventHandler handler,
    IEnumerable<byte> basis,
    IndexList<(Of <(<'T>)>)>..::..ReadCountMethod readCount = null,
    IndexList<(Of <(<'T>)>)>..::..WriteCountMethod writeCount = null,
    long size = 255,
    DependentList<TGIBlock> ParentTGIBlocks = null
)
Public Sub New (
    handler As EventHandler,
    basis As IEnumerable(Of Byte),
    Optional readCount As IndexList<(Of <(<'T>)>)>..::..ReadCountMethod = Nothing,
    Optional writeCount As IndexList<(Of <(<'T>)>)>..::..WriteCountMethod = Nothing,
    Optional size As Long = 255,
    Optional ParentTGIBlocks As DependentList(Of TGIBlock) = Nothing
)
Public Sub New (
    handler As EventHandler,
    basis As IEnumerable(Of Byte),
    Optional readCount As IndexList<(Of <(<'T>)>)>..::..ReadCountMethod = Nothing,
    Optional writeCount As IndexList<(Of <(<'T>)>)>..::..WriteCountMethod = Nothing,
    Optional size As Long = 255,
    Optional ParentTGIBlocks As DependentList(Of TGIBlock) = Nothing
)
public:
ByteIndexList(
    EventHandler^ handler,
    IEnumerable<unsigned char>^ basis,
    IndexList<(Of <(<'T>)>)>..::..ReadCountMethod^ readCount = nullptr,
    IndexList<(Of <(<'T>)>)>..::..WriteCountMethod^ writeCount = nullptr,
    long long size = 255,
    DependentList<TGIBlock^>^ ParentTGIBlocks = nullptr
)
public:
ByteIndexList(
    EventHandler^ handler,
    IEnumerable<unsigned char>^ basis,
    IndexList<(Of <(<'T>)>)>..::..ReadCountMethod^ readCount = nullptr,
    IndexList<(Of <(<'T>)>)>..::..WriteCountMethod^ writeCount = nullptr,
    long long size = 255,
    DependentList<TGIBlock^>^ ParentTGIBlocks = nullptr
)
Parameters
handler
Type:   Online System EventHandler
Event handler.
basis
Type:   Online System.Collections.Generic IEnumerable    Online Byte
Basis on which to populate the list.
readCount (Optional)
Type: s3pi.Interfaces IndexList T  ReadCountMethod
Optional; default is to read a   Online Int32 from the   Online Stream.
writeCount (Optional)
Type: s3pi.Interfaces IndexList T  WriteCountMethod
Optional; default is to write a   Online Int32 to the   Online Stream.
size (Optional)
Type:   Online System Int64
Optional list size (should be byte.MaxValue or below).
ParentTGIBlocks (Optional)
Type: s3pi.Interfaces DependentList  TGIBlock
Optional; default parent DependentList T  into which elements of this list index.
See Also
ByteIndexList Class
ByteIndexList Members
ByteIndexList Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ByteIndexList Constructor (EventHandler, Stream, IndexList(Byte).ReadCountMethod, IndexList(Byte).WriteCountMethod, Int64, DependentList(TGIBlock))

ByteIndexList Constructor (EventHandler, Stream, IndexList Byte ReadCountMethod, IndexList Byte WriteCountMethod, Int64, DependentList TGIBlock ) s3pi library documentation
Create a UIntList populated from a Online Stream.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public ByteIndexList(
    EventHandler handler,
    Stream s,
    IndexList<(Of <(<'T>)>)>..::..ReadCountMethod readCount = null,
    IndexList<(Of <(<'T>)>)>..::..WriteCountMethod writeCount = null,
    long size = 255,
    DependentList<TGIBlock> ParentTGIBlocks = null
)
public ByteIndexList(
    EventHandler handler,
    Stream s,
    IndexList<(Of <(<'T>)>)>..::..ReadCountMethod readCount = null,
    IndexList<(Of <(<'T>)>)>..::..WriteCountMethod writeCount = null,
    long size = 255,
    DependentList<TGIBlock> ParentTGIBlocks = null
)
Public Sub New (
    handler As EventHandler,
    s As Stream,
    Optional readCount As IndexList<(Of <(<'T>)>)>..::..ReadCountMethod = Nothing,
    Optional writeCount As IndexList<(Of <(<'T>)>)>..::..WriteCountMethod = Nothing,
    Optional size As Long = 255,
    Optional ParentTGIBlocks As DependentList(Of TGIBlock) = Nothing
)
Public Sub New (
    handler As EventHandler,
    s As Stream,
    Optional readCount As IndexList<(Of <(<'T>)>)>..::..ReadCountMethod = Nothing,
    Optional writeCount As IndexList<(Of <(<'T>)>)>..::..WriteCountMethod = Nothing,
    Optional size As Long = 255,
    Optional ParentTGIBlocks As DependentList(Of TGIBlock) = Nothing
)
public:
ByteIndexList(
    EventHandler^ handler,
    Stream^ s,
    IndexList<(Of <(<'T>)>)>..::..ReadCountMethod^ readCount = nullptr,
    IndexList<(Of <(<'T>)>)>..::..WriteCountMethod^ writeCount = nullptr,
    long long size = 255,
    DependentList<TGIBlock^>^ ParentTGIBlocks = nullptr
)
public:
ByteIndexList(
    EventHandler^ handler,
    Stream^ s,
    IndexList<(Of <(<'T>)>)>..::..ReadCountMethod^ readCount = nullptr,
    IndexList<(Of <(<'T>)>)>..::..WriteCountMethod^ writeCount = nullptr,
    long long size = 255,
    DependentList<TGIBlock^>^ ParentTGIBlocks = nullptr
)
Parameters
handler
Type:   Online System EventHandler
Event handler.
s
Type:   Online System.IO Stream
  Online Stream from which to read elements.
readCount (Optional)
Type: s3pi.Interfaces IndexList T  ReadCountMethod
Optional; default is to read a   Online Int32 from the   Online Stream.
writeCount (Optional)
Type: s3pi.Interfaces IndexList T  WriteCountMethod
Optional; default is to write a   Online Int32 to the   Online Stream.
size (Optional)
Type:   Online System Int64
Optional list size (should be byte.MaxValue or below).
ParentTGIBlocks (Optional)
Type: s3pi.Interfaces DependentList  TGIBlock
Optional; default parent DependentList T  into which elements of this list index.
See Also
ByteIndexList Class
ByteIndexList Members
ByteIndexList Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


CountedTGIBlockList Class

CountedTGIBlockList Class s3pi library documentation
A TGIBlock list class where the count of elements is separate from the stored list
Inheritance Hierarchy
Online System Object
Online System.Collections.Generic List TGIBlock
System.Collections.Generic AHandlerList TGIBlock
s3pi.Interfaces DependentList TGIBlock
s3pi.Interfaces CountedTGIBlockList

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public class CountedTGIBlockList : DependentList<TGIBlock>
public class CountedTGIBlockList : DependentList<TGIBlock>
Public Class CountedTGIBlockList
    Inherits DependentList(Of TGIBlock)
Public Class CountedTGIBlockList
    Inherits DependentList(Of TGIBlock)
public ref class CountedTGIBlockList : public DependentList<TGIBlock^>
public ref class CountedTGIBlockList : public DependentList<TGIBlock^>
See Also
CountedTGIBlockList Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


CountedTGIBlockList Members

CountedTGIBlockList Members s3pi library documentation

The CountedTGIBlockList type exposes the following members.
Constructors
 | Name | Description
Public method | CountedTGIBlockList(EventHandler, Int64) | Initializes a new instance of the CountedTGIBlockList class that is empty with TGIBlock Order of "TGI".
Public method | CountedTGIBlockList(EventHandler, TGIBlock Order, Int64) | Initializes a new instance of the CountedTGIBlockList class that is empty with the specified TGIBlock Order.
Public method | CountedTGIBlockList(EventHandler, IEnumerable TGIBlock , Int64) | Initializes a new instance of the CountedTGIBlockList class filled with the content of ilt with TGIBlock Order of "TGI".
Public method | CountedTGIBlockList(EventHandler, String, Int64) | Initializes a new instance of the CountedTGIBlockList class that is empty with the specified TGIBlock Order.
Public method | CountedTGIBlockList(EventHandler, TGIBlock Order, IEnumerable TGIBlock , Int64) | Initializes a new instance of the CountedTGIBlockList class filled with the content of ilt with the specified TGIBlock Order.
Public method | CountedTGIBlockList(EventHandler, Int32, Stream, Int64) | Initializes a new instance of the CountedTGIBlockList class filled with count elements from Online Stream s with TGIBlock Order of "TGI".
Public method | CountedTGIBlockList(EventHandler, String, IEnumerable TGIBlock , Int64) | Initializes a new instance of the CountedTGIBlockList class filled with the content of ilt with the specified TGIBlock Order.
Public method | CountedTGIBlockList(EventHandler, TGIBlock Order, Int32, Stream, Int64) | Initializes a new instance of the CountedTGIBlockList class filled with count elements from Online Stream s with the specified TGIBlock Order.
Public method | CountedTGIBlockList(EventHandler, String, Int32, Stream, Int64) | Initializes a new instance of the CountedTGIBlockList class filled with count elements from Online Stream s with the specified TGIBlock Order.
Back to Top
Methods
 | Name | Description
Public method | Add | Add a new default element to the list. (Overrides DependentList T Add .)
Public method | Add(IResourceKey) | Adds a new TGIBlock to the list using the values of the IResourceKey.
Public method | Add(TGIBlock) | Adds a new TGIBlock to the list using the values of the specified TGIBlock. (Overrides DependentList T Add(T).)
Protected method | CreateElement | Create a new element from the Online Stream. (Overrides DependentList T CreateElement(Stream).)
Public method | Insert | Inserts a new TGIBlock to the list at the specified index using the values of the specified TGIBlock. (Overrides AHandlerList T Insert(Int32, T).)
Protected method | ReadCount | Return the number of elements to be created. (Overrides DependentList T ReadCount(Stream).)
Protected method | WriteCount | This list does not manage a count within the Online Stream. (Overrides DependentList T WriteCount(Stream, Int32).)
Protected method | WriteElement | Write an element to the stream. (Overrides DependentList T WriteElement(Stream, T).)
Back to Top
See Also
CountedTGIBlockList Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


CountedTGIBlockList Constructor

CountedTGIBlockList Constructor s3pi library documentation
Overload List
 | Name | Description
Public method | CountedTGIBlockList(EventHandler, Int64) | Initializes a new instance of the CountedTGIBlockList class that is empty with TGIBlock Order of "TGI".
Public method | CountedTGIBlockList(EventHandler, TGIBlock Order, Int64) | Initializes a new instance of the CountedTGIBlockList class that is empty with the specified TGIBlock Order.
Public method | CountedTGIBlockList(EventHandler, IEnumerable TGIBlock , Int64) | Initializes a new instance of the CountedTGIBlockList class filled with the content of ilt with TGIBlock Order of "TGI".
Public method | CountedTGIBlockList(EventHandler, String, Int64) | Initializes a new instance of the CountedTGIBlockList class that is empty with the specified TGIBlock Order.
Public method | CountedTGIBlockList(EventHandler, TGIBlock Order, IEnumerable TGIBlock , Int64) | Initializes a new instance of the CountedTGIBlockList class filled with the content of ilt with the specified TGIBlock Order.
Public method | CountedTGIBlockList(EventHandler, Int32, Stream, Int64) | Initializes a new instance of the CountedTGIBlockList class filled with count elements from Online Stream s with TGIBlock Order of "TGI".
Public method | CountedTGIBlockList(EventHandler, String, IEnumerable TGIBlock , Int64) | Initializes a new instance of the CountedTGIBlockList class filled with the content of ilt with the specified TGIBlock Order.
Public method | CountedTGIBlockList(EventHandler, TGIBlock Order, Int32, Stream, Int64) | Initializes a new instance of the CountedTGIBlockList class filled with count elements from Online Stream s with the specified TGIBlock Order.
Public method | CountedTGIBlockList(EventHandler, String, Int32, Stream, Int64) | Initializes a new instance of the CountedTGIBlockList class filled with count elements from Online Stream s with the specified TGIBlock Order.
Back to Top
See Also
CountedTGIBlockList Class
CountedTGIBlockList Members
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


CountedTGIBlockList Constructor (EventHandler, Int64)

CountedTGIBlockList Constructor (EventHandler, Int64) s3pi library documentation
Initializes a new instance of the CountedTGIBlockList class that is empty with TGIBlock Order of "TGI".

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public CountedTGIBlockList(
    EventHandler handler,
    long size = -1
)
public CountedTGIBlockList(
    EventHandler handler,
    long size = -1
)
Public Sub New (
    handler As EventHandler,
    Optional size As Long = -1
)
Public Sub New (
    handler As EventHandler,
    Optional size As Long = -1
)
public:
CountedTGIBlockList(
    EventHandler^ handler,
    long long size = -1
)
public:
CountedTGIBlockList(
    EventHandler^ handler,
    long long size = -1
)
Parameters
handler
Type:   Online System EventHandler
The   Online EventHandler to call on changes to the list or its elements.
size (Optional)
Type:   Online System Int64
Optional; -1 for unlimited size, otherwise the maximum number of elements in the list.
See Also
CountedTGIBlockList Class
CountedTGIBlockList Members
CountedTGIBlockList Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


CountedTGIBlockList Constructor (EventHandler, TGIBlock.Order, Int64)

CountedTGIBlockList Constructor (EventHandler, TGIBlock Order, Int64) s3pi library documentation
Initializes a new instance of the CountedTGIBlockList class that is empty with the specified TGIBlock Order.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public CountedTGIBlockList(
    EventHandler handler,
    TGIBlock..::..Order order,
    long size = -1
)
public CountedTGIBlockList(
    EventHandler handler,
    TGIBlock..::..Order order,
    long size = -1
)
Public Sub New (
    handler As EventHandler,
    order As TGIBlock..::..Order,
    Optional size As Long = -1
)
Public Sub New (
    handler As EventHandler,
    order As TGIBlock..::..Order,
    Optional size As Long = -1
)
public:
CountedTGIBlockList(
    EventHandler^ handler,
    TGIBlock..::..Order order,
    long long size = -1
)
public:
CountedTGIBlockList(
    EventHandler^ handler,
    TGIBlock..::..Order order,
    long long size = -1
)
Parameters
handler
Type:   Online System EventHandler
The   Online EventHandler to call on changes to the list or its elements.
order
Type: s3pi.Interfaces TGIBlock Order
The TGIBlock Order of the TGIBlock values.
size (Optional)
Type:   Online System Int64
Optional; -1 for unlimited size, otherwise the maximum number of elements in the list.
See Also
CountedTGIBlockList Class
CountedTGIBlockList Members
CountedTGIBlockList Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


CountedTGIBlockList Constructor (EventHandler, IEnumerable(TGIBlock), Int64)

CountedTGIBlockList Constructor (EventHandler, IEnumerable TGIBlock , Int64) s3pi library documentation
Initializes a new instance of the CountedTGIBlockList class filled with the content of ilt with TGIBlock Order of "TGI".

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public CountedTGIBlockList(
    EventHandler handler,
    IEnumerable<TGIBlock> ilt,
    long size = -1
)
public CountedTGIBlockList(
    EventHandler handler,
    IEnumerable<TGIBlock> ilt,
    long size = -1
)
Public Sub New (
    handler As EventHandler,
    ilt As IEnumerable(Of TGIBlock),
    Optional size As Long = -1
)
Public Sub New (
    handler As EventHandler,
    ilt As IEnumerable(Of TGIBlock),
    Optional size As Long = -1
)
public:
CountedTGIBlockList(
    EventHandler^ handler,
    IEnumerable<TGIBlock^>^ ilt,
    long long size = -1
)
public:
CountedTGIBlockList(
    EventHandler^ handler,
    IEnumerable<TGIBlock^>^ ilt,
    long long size = -1
)
Parameters
handler
Type:   Online System EventHandler
The   Online EventHandler to call on changes to the list or its elements.
ilt
Type:   Online System.Collections.Generic IEnumerable  TGIBlock
The   Online IEnumerable T  to use as the initial content of the list.
size (Optional)
Type:   Online System Int64
Optional; -1 for unlimited size, otherwise the maximum number of elements in the list.
See Also
CountedTGIBlockList Class
CountedTGIBlockList Members
CountedTGIBlockList Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


CountedTGIBlockList Constructor (EventHandler, String, Int64)

CountedTGIBlockList Constructor (EventHandler, String, Int64) s3pi library documentation
Initializes a new instance of the CountedTGIBlockList class that is empty with the specified TGIBlock Order.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public CountedTGIBlockList(
    EventHandler handler,
    string order,
    long size = -1
)
public CountedTGIBlockList(
    EventHandler handler,
    string order,
    long size = -1
)
Public Sub New (
    handler As EventHandler,
    order As String,
    Optional size As Long = -1
)
Public Sub New (
    handler As EventHandler,
    order As String,
    Optional size As Long = -1
)
public:
CountedTGIBlockList(
    EventHandler^ handler,
    String^ order,
    long long size = -1
)
public:
CountedTGIBlockList(
    EventHandler^ handler,
    String^ order,
    long long size = -1
)
Parameters
handler
Type:   Online System EventHandler
The   Online EventHandler to call on changes to the list or its elements.
order
Type:   Online System String
A string representing the TGIBlock Order of the TGIBlock values.
size (Optional)
Type:   Online System Int64
Optional; -1 for unlimited size, otherwise the maximum number of elements in the list.
See Also
CountedTGIBlockList Class
CountedTGIBlockList Members
CountedTGIBlockList Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


CountedTGIBlockList Constructor (EventHandler, TGIBlock.Order, IEnumerable(TGIBlock), Int64)

CountedTGIBlockList Constructor (EventHandler, TGIBlock Order, IEnumerable TGIBlock , Int64) s3pi library documentation
Initializes a new instance of the CountedTGIBlockList class filled with the content of ilt with the specified TGIBlock Order.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public CountedTGIBlockList(
    EventHandler handler,
    TGIBlock..::..Order order,
    IEnumerable<TGIBlock> ilt,
    long size = -1
)
public CountedTGIBlockList(
    EventHandler handler,
    TGIBlock..::..Order order,
    IEnumerable<TGIBlock> ilt,
    long size = -1
)
Public Sub New (
    handler As EventHandler,
    order As TGIBlock..::..Order,
    ilt As IEnumerable(Of TGIBlock),
    Optional size As Long = -1
)
Public Sub New (
    handler As EventHandler,
    order As TGIBlock..::..Order,
    ilt As IEnumerable(Of TGIBlock),
    Optional size As Long = -1
)
public:
CountedTGIBlockList(
    EventHandler^ handler,
    TGIBlock..::..Order order,
    IEnumerable<TGIBlock^>^ ilt,
    long long size = -1
)
public:
CountedTGIBlockList(
    EventHandler^ handler,
    TGIBlock..::..Order order,
    IEnumerable<TGIBlock^>^ ilt,
    long long size = -1
)
Parameters
handler
Type:   Online System EventHandler
The   Online EventHandler to call on changes to the list or its elements.
order
Type: s3pi.Interfaces TGIBlock Order
The TGIBlock Order of the TGIBlock values.
ilt
Type:   Online System.Collections.Generic IEnumerable  TGIBlock
The   Online IEnumerable T  to use as the initial content of the list.
size (Optional)
Type:   Online System Int64
Optional; -1 for unlimited size, otherwise the maximum number of elements in the list.
See Also
CountedTGIBlockList Class
CountedTGIBlockList Members
CountedTGIBlockList Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


CountedTGIBlockList Constructor (EventHandler, Int32, Stream, Int64)

CountedTGIBlockList Constructor (EventHandler, Int32, Stream, Int64) s3pi library documentation
Initializes a new instance of the CountedTGIBlockList class filled with count elements from Online Stream s with TGIBlock Order of "TGI".

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public CountedTGIBlockList(
    EventHandler handler,
    int count,
    Stream s,
    long size = -1
)
public CountedTGIBlockList(
    EventHandler handler,
    int count,
    Stream s,
    long size = -1
)
Public Sub New (
    handler As EventHandler,
    count As Integer,
    s As Stream,
    Optional size As Long = -1
)
Public Sub New (
    handler As EventHandler,
    count As Integer,
    s As Stream,
    Optional size As Long = -1
)
public:
CountedTGIBlockList(
    EventHandler^ handler,
    int count,
    Stream^ s,
    long long size = -1
)
public:
CountedTGIBlockList(
    EventHandler^ handler,
    int count,
    Stream^ s,
    long long size = -1
)
Parameters
handler
Type:   Online System EventHandler
The   Online EventHandler to call on changes to the list or its elements.
count
Type:   Online System Int32
The number of list elements to read.
s
Type:   Online System.IO Stream
The   Online Stream to read for the initial content of the list.
size (Optional)
Type:   Online System Int64
Optional; -1 for unlimited size, otherwise the maximum number of elements in the list.
See Also
CountedTGIBlockList Class
CountedTGIBlockList Members
CountedTGIBlockList Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


CountedTGIBlockList Constructor (EventHandler, String, IEnumerable(TGIBlock), Int64)

CountedTGIBlockList Constructor (EventHandler, String, IEnumerable TGIBlock , Int64) s3pi library documentation
Initializes a new instance of the CountedTGIBlockList class filled with the content of ilt with the specified TGIBlock Order.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public CountedTGIBlockList(
    EventHandler handler,
    string order,
    IEnumerable<TGIBlock> ilt,
    long size = -1
)
public CountedTGIBlockList(
    EventHandler handler,
    string order,
    IEnumerable<TGIBlock> ilt,
    long size = -1
)
Public Sub New (
    handler As EventHandler,
    order As String,
    ilt As IEnumerable(Of TGIBlock),
    Optional size As Long = -1
)
Public Sub New (
    handler As EventHandler,
    order As String,
    ilt As IEnumerable(Of TGIBlock),
    Optional size As Long = -1
)
public:
CountedTGIBlockList(
    EventHandler^ handler,
    String^ order,
    IEnumerable<TGIBlock^>^ ilt,
    long long size = -1
)
public:
CountedTGIBlockList(
    EventHandler^ handler,
    String^ order,
    IEnumerable<TGIBlock^>^ ilt,
    long long size = -1
)
Parameters
handler
Type:   Online System EventHandler
The   Online EventHandler to call on changes to the list or its elements.
order
Type:   Online System String
A string representing the TGIBlock Order of the TGIBlock values.
ilt
Type:   Online System.Collections.Generic IEnumerable  TGIBlock
The   Online IEnumerable T  to use as the initial content of the list.
size (Optional)
Type:   Online System Int64
Optional; -1 for unlimited size, otherwise the maximum number of elements in the list.
See Also
CountedTGIBlockList Class
CountedTGIBlockList Members
CountedTGIBlockList Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


CountedTGIBlockList Constructor (EventHandler, TGIBlock.Order, Int32, Stream, Int64)

CountedTGIBlockList Constructor (EventHandler, TGIBlock Order, Int32, Stream, Int64) s3pi library documentation
Initializes a new instance of the CountedTGIBlockList class filled with count elements from Online Stream s with the specified TGIBlock Order.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public CountedTGIBlockList(
    EventHandler handler,
    TGIBlock..::..Order order,
    int count,
    Stream s,
    long size = -1
)
public CountedTGIBlockList(
    EventHandler handler,
    TGIBlock..::..Order order,
    int count,
    Stream s,
    long size = -1
)
Public Sub New (
    handler As EventHandler,
    order As TGIBlock..::..Order,
    count As Integer,
    s As Stream,
    Optional size As Long = -1
)
Public Sub New (
    handler As EventHandler,
    order As TGIBlock..::..Order,
    count As Integer,
    s As Stream,
    Optional size As Long = -1
)
public:
CountedTGIBlockList(
    EventHandler^ handler,
    TGIBlock..::..Order order,
    int count,
    Stream^ s,
    long long size = -1
)
public:
CountedTGIBlockList(
    EventHandler^ handler,
    TGIBlock..::..Order order,
    int count,
    Stream^ s,
    long long size = -1
)
Parameters
handler
Type:   Online System EventHandler
The   Online EventHandler to call on changes to the list or its elements.
order
Type: s3pi.Interfaces TGIBlock Order
The TGIBlock Order of the TGIBlock values.
count
Type:   Online System Int32
The number of list elements to read.
s
Type:   Online System.IO Stream
The   Online Stream to read for the initial content of the list.
size (Optional)
Type:   Online System Int64
Optional; -1 for unlimited size, otherwise the maximum number of elements in the list.
See Also
CountedTGIBlockList Class
CountedTGIBlockList Members
CountedTGIBlockList Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


CountedTGIBlockList Constructor (EventHandler, String, Int32, Stream, Int64)

CountedTGIBlockList Constructor (EventHandler, String, Int32, Stream, Int64) s3pi library documentation
Initializes a new instance of the CountedTGIBlockList class filled with count elements from Online Stream s with the specified TGIBlock Order.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public CountedTGIBlockList(
    EventHandler handler,
    string order,
    int count,
    Stream s,
    long size = -1
)
public CountedTGIBlockList(
    EventHandler handler,
    string order,
    int count,
    Stream s,
    long size = -1
)
Public Sub New (
    handler As EventHandler,
    order As String,
    count As Integer,
    s As Stream,
    Optional size As Long = -1
)
Public Sub New (
    handler As EventHandler,
    order As String,
    count As Integer,
    s As Stream,
    Optional size As Long = -1
)
public:
CountedTGIBlockList(
    EventHandler^ handler,
    String^ order,
    int count,
    Stream^ s,
    long long size = -1
)
public:
CountedTGIBlockList(
    EventHandler^ handler,
    String^ order,
    int count,
    Stream^ s,
    long long size = -1
)
Parameters
handler
Type:   Online System EventHandler
The   Online EventHandler to call on changes to the list or its elements.
order
Type:   Online System String
A string representing the TGIBlock Order of the TGIBlock values.
count
Type:   Online System Int32
The number of list elements to read.
s
Type:   Online System.IO Stream
The   Online Stream to read for the initial content of the list.
size (Optional)
Type:   Online System Int64
Optional; -1 for unlimited size, otherwise the maximum number of elements in the list.
See Also
CountedTGIBlockList Class
CountedTGIBlockList Members
CountedTGIBlockList Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


CountedTGIBlockList Methods

CountedTGIBlockList Methods s3pi library documentation
The CountedTGIBlockList type exposes the following members.
Methods
 | Name | Description
Public method | Add | Add a new default element to the list. (Overrides DependentList T Add .)
Public method | Add(IResourceKey) | Adds a new TGIBlock to the list using the values of the IResourceKey.
Public method | Add(TGIBlock) | Adds a new TGIBlock to the list using the values of the specified TGIBlock. (Overrides DependentList T Add(T).)
Protected method | CreateElement | Create a new element from the Online Stream. (Overrides DependentList T CreateElement(Stream).)
Public method | Insert | Inserts a new TGIBlock to the list at the specified index using the values of the specified TGIBlock. (Overrides AHandlerList T Insert(Int32, T).)
Protected method | ReadCount | Return the number of elements to be created. (Overrides DependentList T ReadCount(Stream).)
Protected method | WriteCount | This list does not manage a count within the Online Stream. (Overrides DependentList T WriteCount(Stream, Int32).)
Protected method | WriteElement | Write an element to the stream. (Overrides DependentList T WriteElement(Stream, T).)
Back to Top
See Also
CountedTGIBlockList Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


CountedTGIBlockList.Add Method

CountedTGIBlockList Add Method s3pi library documentation
Overload List
 | Name | Description
Public method | Add | Add a new default element to the list. (Overrides DependentList T Add .)
Public method | Add(IResourceKey) | Adds a new TGIBlock to the list using the values of the IResourceKey.
Public method | Add(TGIBlock) | Adds a new TGIBlock to the list using the values of the specified TGIBlock. (Overrides DependentList T Add(T).)
Back to Top
See Also
CountedTGIBlockList Class
CountedTGIBlockList Members
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


CountedTGIBlockList.Add Method

CountedTGIBlockList Add Method s3pi library documentation
Add a new default element to the list.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override void Add()
public override void Add()
Public Overrides Sub Add
Public Overrides Sub Add
public:
virtual void Add() override
public:
virtual void Add() override
Implements
IGenericAdd Add
See Also
CountedTGIBlockList Class
CountedTGIBlockList Members
Add Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


CountedTGIBlockList.Add Method (IResourceKey)

CountedTGIBlockList Add Method (IResourceKey) s3pi library documentation
Adds a new TGIBlock to the list using the values of the IResourceKey.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void Add(
    IResourceKey rk
)
public void Add(
    IResourceKey rk
)
Public Sub Add (
    rk As IResourceKey
)
Public Sub Add (
    rk As IResourceKey
)
public:
void Add(
    IResourceKey^ rk
)
public:
void Add(
    IResourceKey^ rk
)
Parameters
rk
Type: s3pi.Interfaces IResourceKey
The ResourceKey values to use for the TGIBlock.
Remarks
A new element is created rather than using the element passed
            as the order (TGI/ITG/etc) may be different.
See Also
CountedTGIBlockList Class
CountedTGIBlockList Members
Add Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


CountedTGIBlockList.Add Method (TGIBlock)

CountedTGIBlockList Add Method (TGIBlock) s3pi library documentation
Adds a new TGIBlock to the list using the values of the specified TGIBlock.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override void Add(
    TGIBlock item
)
public override void Add(
    TGIBlock item
)
Public Overrides Sub Add (
    item As TGIBlock
)
Public Overrides Sub Add (
    item As TGIBlock
)
public:
virtual void Add(
    TGIBlock^ item
) override
public:
virtual void Add(
    TGIBlock^ item
) override
Parameters
item
Type: s3pi.Interfaces TGIBlock
The TGIBlock to use as a basis for the new TGIBlock.
Exceptions
Exception | Condition
Online System InvalidOperationException | Thrown when list size exceeded.
Online System NotSupportedException | The AHandlerList T is read-only.
Remarks
A new element is created rather than using the element passed
            as the order (TGI/ITG/etc) may be different.
See Also
CountedTGIBlockList Class
CountedTGIBlockList Members
Add Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


CountedTGIBlockList.CreateElement Method

CountedTGIBlockList CreateElement Method s3pi library documentation
Create a new element from the Online Stream.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected override TGIBlock CreateElement(
    Stream s
)
protected override TGIBlock CreateElement(
    Stream s
)
Protected Overrides Function CreateElement (
    s As Stream
) As TGIBlock
Protected Overrides Function CreateElement (
    s As Stream
) As TGIBlock
protected:
virtual TGIBlock^ CreateElement(
    Stream^ s
) override
protected:
virtual TGIBlock^ CreateElement(
    Stream^ s
) override
Parameters
s
Type:   Online System.IO Stream
Stream containing element data.
Return Value
Type: TGIBlock
A new element.
See Also
CountedTGIBlockList Class
CountedTGIBlockList Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


CountedTGIBlockList.Insert Method

CountedTGIBlockList Insert Method s3pi library documentation
Inserts a new TGIBlock to the list at the specified index using the values of the specified TGIBlock.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override void Insert(
    int index,
    TGIBlock item
)
public override void Insert(
    int index,
    TGIBlock item
)
Public Overrides Sub Insert (
    index As Integer,
    item As TGIBlock
)
Public Overrides Sub Insert (
    index As Integer,
    item As TGIBlock
)
public:
virtual void Insert(
    int index,
    TGIBlock^ item
) override
public:
virtual void Insert(
    int index,
    TGIBlock^ item
) override
Parameters
index
Type:   Online System Int32
The zero-based index at which the new TGIBlock should be inserted.
item
Type: s3pi.Interfaces TGIBlock
The TGIBlock to use as a basis for the new TGIBlock.
Exceptions
Exception | Condition
Online System ArgumentOutOfRangeException | index is not a valid index in the CountedTGIBlockList.
Online System InvalidOperationException | Thrown when list size exceeded.
Online System NotSupportedException | The CountedTGIBlockList is read-only.
Remarks
A new element is created rather than using the element passed
            as the order (TGI/ITG/etc) may be different.
See Also
CountedTGIBlockList Class
CountedTGIBlockList Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


CountedTGIBlockList.ReadCount Method

CountedTGIBlockList ReadCount Method s3pi library documentation
Return the number of elements to be created.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected override int ReadCount(
    Stream s
)
protected override int ReadCount(
    Stream s
)
Protected Overrides Function ReadCount (
    s As Stream
) As Integer
Protected Overrides Function ReadCount (
    s As Stream
) As Integer
protected:
virtual int ReadCount(
    Stream^ s
) override
protected:
virtual int ReadCount(
    Stream^ s
) override
Parameters
s
Type:   Online System.IO Stream
  Online Stream being processed -- ignored.
Return Value
Type:   Online Int32
The number of elements to be created, as provided to the CountedTGIBlockList constructor.
See Also
CountedTGIBlockList Class
CountedTGIBlockList Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


CountedTGIBlockList.WriteCount Method

CountedTGIBlockList WriteCount Method s3pi library documentation
This list does not manage a count within the Online Stream.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected override void WriteCount(
    Stream s,
    int count
)
protected override void WriteCount(
    Stream s,
    int count
)
Protected Overrides Sub WriteCount (
    s As Stream,
    count As Integer
)
Protected Overrides Sub WriteCount (
    s As Stream,
    count As Integer
)
protected:
virtual void WriteCount(
    Stream^ s,
    int count
) override
protected:
virtual void WriteCount(
    Stream^ s,
    int count
) override
Parameters
s
Type:   Online System.IO Stream
Ignored.
count
Type:   Online System Int32
Ignored.
See Also
CountedTGIBlockList Class
CountedTGIBlockList Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


CountedTGIBlockList.WriteElement Method

CountedTGIBlockList WriteElement Method s3pi library documentation
Write an element to the stream.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected override void WriteElement(
    Stream s,
    TGIBlock element
)
protected override void WriteElement(
    Stream s,
    TGIBlock element
)
Protected Overrides Sub WriteElement (
    s As Stream,
    element As TGIBlock
)
Protected Overrides Sub WriteElement (
    s As Stream,
    element As TGIBlock
)
protected:
virtual void WriteElement(
    Stream^ s,
    TGIBlock^ element
) override
protected:
virtual void WriteElement(
    Stream^ s,
    TGIBlock^ element
) override
Parameters
s
Type:   Online System.IO Stream
  Online Stream to write element to.
element
Type: s3pi.Interfaces TGIBlock
Value to write to   Online Stream s.
See Also
CountedTGIBlockList Class
CountedTGIBlockList Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DependentList(T) Class

DependentList T Class s3pi library documentation
Abstract extension to AHandlerList T adding support for Online Stream IO and partially implementing IGenericAdd.
Inheritance Hierarchy
Online System Object
Online System.Collections.Generic List T
System.Collections.Generic AHandlerList T
s3pi.Interfaces DependentList T
s3pi.GenericRCOLResource GenericRCOLResource ChunkEntryList
s3pi.Interfaces CountedTGIBlockList
s3pi.Interfaces IndexList T
s3pi.Interfaces SimpleList T
s3pi.Interfaces TGIBlockList

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public abstract class DependentList<T> : AHandlerList<T>,
    IGenericAdd, IList, ICollection, IEnumerable
where T : AHandlerElement, IEquatable<T>
public abstract class DependentList<T> : AHandlerList<T>,
    IGenericAdd, IList, ICollection, IEnumerable
where T : AHandlerElement, IEquatable<T>
Public MustInherit Class DependentList(Of T As {AHandlerElement, IEquatable(Of T)})
    Inherits AHandlerList(Of T)
    Implements IGenericAdd, IList, ICollection, IEnumerable
Public MustInherit Class DependentList(Of T As {AHandlerElement, IEquatable(Of T)})
    Inherits AHandlerList(Of T)
    Implements IGenericAdd, IList, ICollection, IEnumerable
generic<typename T>
where T : AHandlerElement, IEquatable<T>
public ref class DependentList abstract : public AHandlerList<T>,
    IGenericAdd, IList, ICollection, IEnumerable
generic<typename T>
where T : AHandlerElement, IEquatable<T>
public ref class DependentList abstract : public AHandlerList<T>,
    IGenericAdd, IList, ICollection, IEnumerable
Type Parameters
T
  Online Type of list element
See Also
DependentList T  Members
s3pi.Interfaces Namespace
System.Collections.Generic AHandlerList T
s3pi.Interfaces IGenericAdd
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DependentList(T) Members

DependentList T Members s3pi library documentation

The DependentList T type exposes the following members.
Constructors
 | Name | Description
Protected method | DependentList T (EventHandler, Int64) | Initializes a new instance of the DependentList T class that is empty.
Protected method | DependentList T (EventHandler, IEnumerable T , Int64) | Initializes a new instance of the DependentList T class filled with the content of ilt.
Protected method | DependentList T (EventHandler, Stream, Int64) | Initializes a new instance of the DependentList T class filled from Online Stream s.
Back to Top
Methods
 | Name | Description
Public method | Add | Add a default element to a DependentList T .
Public method | Add(Type) | Add a default element to a DependentList T of the specified type, elementType.
Public method | Add(T) | Adds an entry to a DependentList T , setting the element change handler. (Overrides AHandlerList T Add(T).)
Protected method | CreateElement(Stream) | Create a new element from the Online Stream.
Protected method | CreateElement(Stream, Boolean ) | Create a new element from the Online Stream and indicates whether it counts towards the number of elements to be created.
Protected method | GetElementType | Obsolete. Return the type to get the constructor from, for the given set of fields.
Protected method | Parse | Read list entries from a stream
Protected method | ReadCount | Return the number of elements to be created.
Public method | UnParse | Write list entries to a stream
Protected method | WriteCount | Write the count of list elements to the stream.
Protected method | WriteElement | Write an element to the stream.
Back to Top
Fields
 | Name | Description
Protected field | elementHandler | Holds the Online EventHandler delegate to invoke if an element in the DependentList T changes.
Back to Top
Explicit Interface Implementations
 | Name | Description
Explicit interface implemetation | IList Clear |
Explicit interface implemetation | IList RemoveAt |
Back to Top
See Also
DependentList T Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DependentList(T) Constructor

DependentList T Constructor s3pi library documentation
Overload List
 | Name | Description
Protected method | DependentList T (EventHandler, Int64) | Initializes a new instance of the DependentList T class that is empty.
Protected method | DependentList T (EventHandler, IEnumerable T , Int64) | Initializes a new instance of the DependentList T class filled with the content of ilt.
Protected method | DependentList T (EventHandler, Stream, Int64) | Initializes a new instance of the DependentList T class filled from Online Stream s.
Back to Top
See Also
DependentList T Class
DependentList T Members
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DependentList(T) Constructor (EventHandler, Int64)

DependentList T Constructor (EventHandler, Int64) s3pi library documentation
Initializes a new instance of the DependentList T class that is empty.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected DependentList(
    EventHandler handler,
    long maxSize = -1
)
protected DependentList(
    EventHandler handler,
    long maxSize = -1
)
Protected Sub New (
    handler As EventHandler,
    Optional maxSize As Long = -1
)
Protected Sub New (
    handler As EventHandler,
    Optional maxSize As Long = -1
)
protected:
DependentList(
    EventHandler^ handler,
    long long maxSize = -1
)
protected:
DependentList(
    EventHandler^ handler,
    long long maxSize = -1
)
Parameters
handler
Type:   Online System EventHandler
The   Online EventHandler to call on changes to the list or its elements.
maxSize (Optional)
Type:   Online System Int64
Optional; -1 for unlimited size, otherwise the maximum number of elements in the list.
See Also
DependentList T  Class
DependentList T  Members
DependentList T  Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DependentList(T) Constructor (EventHandler, IEnumerable(T), Int64)

DependentList T Constructor (EventHandler, IEnumerable T , Int64) s3pi library documentation
Initializes a new instance of the DependentList T class filled with the content of ilt.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected DependentList(
    EventHandler handler,
    IEnumerable<T> ilt,
    long maxSize = -1
)
protected DependentList(
    EventHandler handler,
    IEnumerable<T> ilt,
    long maxSize = -1
)
Protected Sub New (
    handler As EventHandler,
    ilt As IEnumerable(Of T),
    Optional maxSize As Long = -1
)
Protected Sub New (
    handler As EventHandler,
    ilt As IEnumerable(Of T),
    Optional maxSize As Long = -1
)
protected:
DependentList(
    EventHandler^ handler,
    IEnumerable<T>^ ilt,
    long long maxSize = -1
)
protected:
DependentList(
    EventHandler^ handler,
    IEnumerable<T>^ ilt,
    long long maxSize = -1
)
Parameters
handler
Type:   Online System EventHandler
The   Online EventHandler to call on changes to the list or its elements.
ilt
Type:   Online System.Collections.Generic IEnumerable  T
The initial content of the list.
maxSize (Optional)
Type:   Online System Int64
Optional; -1 for unlimited size, otherwise the maximum number of elements in the list.
Exceptions
Exception | Condition
Online System InvalidOperationException | Thrown when list size exceeded.
Remarks
Calls this.Add(...) to ensure a fresh instance is created, rather than passing ilt to the base constructor.
See Also
DependentList T  Class
DependentList T  Members
DependentList T  Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DependentList(T) Constructor (EventHandler, Stream, Int64)

DependentList T Constructor (EventHandler, Stream, Int64) s3pi library documentation
Initializes a new instance of the DependentList T class filled from Online Stream s.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected DependentList(
    EventHandler handler,
    Stream s,
    long maxSize = -1
)
protected DependentList(
    EventHandler handler,
    Stream s,
    long maxSize = -1
)
Protected Sub New (
    handler As EventHandler,
    s As Stream,
    Optional maxSize As Long = -1
)
Protected Sub New (
    handler As EventHandler,
    s As Stream,
    Optional maxSize As Long = -1
)
protected:
DependentList(
    EventHandler^ handler,
    Stream^ s,
    long long maxSize = -1
)
protected:
DependentList(
    EventHandler^ handler,
    Stream^ s,
    long long maxSize = -1
)
Parameters
handler
Type:   Online System EventHandler
The   Online EventHandler to call on changes to the list or its elements.
s
Type:   Online System.IO Stream
The   Online Stream to read for the initial content of the list.
maxSize (Optional)
Type:   Online System Int64
Optional; -1 for unlimited size, otherwise the maximum number of elements in the list.
Exceptions
Exception | Condition
Online System InvalidOperationException | Thrown when list size exceeded.
See Also
DependentList T  Class
DependentList T  Members
DependentList T  Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DependentList(T) Fields

DependentList T Fields s3pi library documentation
The DependentList T type exposes the following members.
Fields
 | Name | Description
Protected field | elementHandler | Holds the Online EventHandler delegate to invoke if an element in the DependentList T changes.
Back to Top
See Also
DependentList T Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DependentList(T).elementHandler Field

DependentList T elementHandler Field s3pi library documentation
Holds the Online EventHandler delegate to invoke if an element in the DependentList T changes.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected EventHandler elementHandler
protected EventHandler elementHandler
Protected elementHandler As EventHandler
Protected elementHandler As EventHandler
protected:
EventHandler^ elementHandler
protected:
EventHandler^ elementHandler
Field Value
Type:   Online EventHandler
Remarks
Work around for list event handler triggering during stream constructor and other places.
See Also
DependentList T  Class
DependentList T  Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DependentList(T) Methods

DependentList T Methods s3pi library documentation
The DependentList T type exposes the following members.
Methods
 | Name | Description
Public method | Add | Add a default element to a DependentList T .
Public method | Add(Type) | Add a default element to a DependentList T of the specified type, elementType.
Public method | Add(T) | Adds an entry to a DependentList T , setting the element change handler. (Overrides AHandlerList T Add(T).)
Protected method | CreateElement(Stream) | Create a new element from the Online Stream.
Protected method | CreateElement(Stream, Boolean ) | Create a new element from the Online Stream and indicates whether it counts towards the number of elements to be created.
Protected method | GetElementType | Obsolete. Return the type to get the constructor from, for the given set of fields.
Protected method | Parse | Read list entries from a stream
Protected method | ReadCount | Return the number of elements to be created.
Public method | UnParse | Write list entries to a stream
Protected method | WriteCount | Write the count of list elements to the stream.
Protected method | WriteElement | Write an element to the stream.
Back to Top
Explicit Interface Implementations
 | Name | Description
Explicit interface implemetation | IList Clear |
Explicit interface implemetation | IList RemoveAt |
Back to Top
See Also
DependentList T Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DependentList(T).IList.Clear Method

DependentList T IList Clear Method s3pi library documentation

[Missing <summary> documentation for "M:s3pi.Interfaces.DependentList`1.System#Collections#IList#Clear"]

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
void IList.Clear()
void IList.Clear()
Private Sub Clear Implements IList.Clear
Private Sub Clear Implements IList.Clear
private:
virtual void Clear() sealed = IList::Clear
private:
virtual void Clear() sealed = IList::Clear
Implements
  Online IList Clear
See Also
DependentList T  Class
DependentList T  Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DependentList(T).IList.RemoveAt Method

DependentList T IList RemoveAt Method s3pi library documentation

[Missing <summary> documentation for "M:s3pi.Interfaces.DependentList`1.System#Collections#IList#RemoveAt(System.Int32)"]

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
void IList.RemoveAt(
    int param0
)
void IList.RemoveAt(
    int param0
)
Private Sub RemoveAt (
    param0 As Integer
) Implements IList.RemoveAt
Private Sub RemoveAt (
    param0 As Integer
) Implements IList.RemoveAt
private:
virtual void RemoveAt(
    int param0
) sealed = IList::RemoveAt
private:
virtual void RemoveAt(
    int param0
) sealed = IList::RemoveAt
Parameters
param0
Type:   Online System Int32
[Missing <param name="param0"/> documentation for "M:s3pi.Interfaces.DependentList`1.System#Collections#IList#RemoveAt(System.Int32)"]
Implements
  Online IList RemoveAt(Int32)
See Also
DependentList T  Class
DependentList T  Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DependentList(T).Add Method

DependentList T Add Method s3pi library documentation
Overload List
 | Name | Description
Public method | Add | Add a default element to a DependentList T .
Public method | Add(Type) | Add a default element to a DependentList T of the specified type, elementType.
Public method | Add(T) | Adds an entry to a DependentList T , setting the element change handler. (Overrides AHandlerList T Add(T).)
Back to Top
See Also
DependentList T Class
DependentList T Members
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DependentList(T).Add Method

DependentList T Add Method s3pi library documentation
Add a default element to a DependentList T .

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public virtual void Add()
public virtual void Add()
Public Overridable Sub Add
Public Overridable Sub Add
public:
virtual void Add()
public:
virtual void Add()
Implements
IGenericAdd Add
Exceptions
Exception | Condition
Online System NotImplementedException | T is abstract.
Online System InvalidOperationException | Thrown when list size exceeded.
Online System NotSupportedException | The DependentList T is read-only.
See Also
DependentList T  Class
DependentList T  Members
Add Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DependentList(T).Add Method (Type)

DependentList T Add Method (Type) s3pi library documentation
Add a default element to a DependentList T of the specified type, elementType.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public virtual void Add(
    Type elementType
)
public virtual void Add(
    Type elementType
)
Public Overridable Sub Add (
    elementType As Type
)
Public Overridable Sub Add (
    elementType As Type
)
public:
virtual void Add(
    Type^ elementType
)
public:
virtual void Add(
    Type^ elementType
)
Parameters
elementType
Type:   Online System Type
A concrete type assignable to the list generic type, T.
Implements
IGenericAdd Add(Type)
Exceptions
Exception | Condition
Online System ArgumentException | elementType is abstract.
Online System ArgumentException | Thrown when elementType is not an implementation of the list type, T.
Online System InvalidOperationException | Thrown when list size exceeded.
Online System NotSupportedException | The DependentList T is read-only.
See Also
DependentList T  Class
DependentList T  Members
Add Overload
s3pi.Interfaces Namespace
  Online Activator CreateInstance(Type,  Object )
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DependentList(T).Add Method (T)

DependentList T Add Method (T) s3pi library documentation
Adds an entry to a DependentList T , setting the element change handler.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override void Add(
    T newElement
)
public override void Add(
    T newElement
)
Public Overrides Sub Add (
    newElement As T
)
Public Overrides Sub Add (
    newElement As T
)
public:
virtual void Add(
    T newElement
) override
public:
virtual void Add(
    T newElement
) override
Parameters
newElement
Type: T
An instance of type {T} to add to the list.
Exceptions
Exception | Condition
Online System InvalidOperationException | Thrown when list size exceeded.
Online System NotSupportedException | The DependentList T is read-only.
See Also
DependentList T  Class
DependentList T  Members
Add Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DependentList(T).CreateElement Method

DependentList T CreateElement Method s3pi library documentation
Overload List
 | Name | Description
Protected method | CreateElement(Stream) | Create a new element from the Online Stream.
Protected method | CreateElement(Stream, Boolean ) | Create a new element from the Online Stream and indicates whether it counts towards the number of elements to be created.
Back to Top
See Also
DependentList T Class
DependentList T Members
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DependentList(T).CreateElement Method (Stream)

DependentList T CreateElement Method (Stream) s3pi library documentation
Create a new element from the Online Stream.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected abstract T CreateElement(
    Stream s
)
protected abstract T CreateElement(
    Stream s
)
Protected MustOverride Function CreateElement (
    s As Stream
) As T
Protected MustOverride Function CreateElement (
    s As Stream
) As T
protected:
virtual T CreateElement(
    Stream^ s
) abstract
protected:
virtual T CreateElement(
    Stream^ s
) abstract
Parameters
s
Type:   Online System.IO Stream
Stream containing element data.
Return Value
Type: T
A new element.
See Also
DependentList T  Class
DependentList T  Members
CreateElement Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DependentList(T).CreateElement Method (Stream, Boolean)

DependentList T CreateElement Method (Stream, Boolean ) s3pi library documentation
Create a new element from the Online Stream and indicates whether it counts towards the number of elements to be created.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected virtual T CreateElement(
    Stream s,
    out bool inc
)
protected virtual T CreateElement(
    Stream s,
    out bool inc
)
Protected Overridable Function CreateElement (
    s As Stream,
    <OutAttribute> ByRef inc As Boolean
) As T
Protected Overridable Function CreateElement (
    s As Stream,
    <OutAttribute> ByRef inc As Boolean
) As T
protected:
virtual T CreateElement(
    Stream^ s,
    [OutAttribute] bool% inc
)
protected:
virtual T CreateElement(
    Stream^ s,
    [OutAttribute] bool% inc
)
Parameters
s
Type:   Online System.IO Stream
  Online Stream containing element data.
inc
Type:   Online System Boolean
Whether this call towards the number of elements to be created.
Return Value
Type: T
A new element.
See Also
DependentList T  Class
DependentList T  Members
CreateElement Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DependentList(T).GetElementType Method

DependentList T GetElementType Method s3pi library documentation
Return the type to get the constructor from, for the given set of fields.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[ObsoleteAttribute]
protected virtual Type GetElementType(
    params Object[] fields
)
[ObsoleteAttribute]
protected virtual Type GetElementType(
    params Object[] fields
)
<ObsoleteAttribute>
Protected Overridable Function GetElementType (
    ParamArray fields As Object()
) As Type
<ObsoleteAttribute>
Protected Overridable Function GetElementType (
    ParamArray fields As Object()
) As Type
protected:
[ObsoleteAttribute]
virtual Type^ GetElementType(
    ... array<Object^>^ fields
)
protected:
[ObsoleteAttribute]
virtual Type^ GetElementType(
    ... array<Object^>^ fields
)
Parameters
fields
Type:    Online System Object
Constructor parameters
Return Value
Type:   Online Type
Class on which to invoke constructor
Remarks
fields[0] could be an instance of the abstract class: it should provide a constructor that accepts a "template"
            object and creates a new instance on that basis.
See Also
DependentList T  Class
DependentList T  Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DependentList(T).Parse Method

DependentList T Parse Method s3pi library documentation
Read list entries from a stream

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected virtual void Parse(
    Stream s
)
protected virtual void Parse(
    Stream s
)
Protected Overridable Sub Parse (
    s As Stream
)
Protected Overridable Sub Parse (
    s As Stream
)
protected:
virtual void Parse(
    Stream^ s
)
protected:
virtual void Parse(
    Stream^ s
)
Parameters
s
Type:   Online System.IO Stream
Stream containing list entries
See Also
DependentList T  Class
DependentList T  Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DependentList(T).ReadCount Method

DependentList T ReadCount Method s3pi library documentation
Return the number of elements to be created.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected virtual int ReadCount(
    Stream s
)
protected virtual int ReadCount(
    Stream s
)
Protected Overridable Function ReadCount (
    s As Stream
) As Integer
Protected Overridable Function ReadCount (
    s As Stream
) As Integer
protected:
virtual int ReadCount(
    Stream^ s
)
protected:
virtual int ReadCount(
    Stream^ s
)
Parameters
s
Type:   Online System.IO Stream
  Online Stream being processed.
Return Value
Type:   Online Int32
The number of elements to be created.
See Also
DependentList T  Class
DependentList T  Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DependentList(T).UnParse Method

DependentList T UnParse Method s3pi library documentation
Write list entries to a stream

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public virtual void UnParse(
    Stream s
)
public virtual void UnParse(
    Stream s
)
Public Overridable Sub UnParse (
    s As Stream
)
Public Overridable Sub UnParse (
    s As Stream
)
public:
virtual void UnParse(
    Stream^ s
)
public:
virtual void UnParse(
    Stream^ s
)
Parameters
s
Type:   Online System.IO Stream
Stream to receive list entries
See Also
DependentList T  Class
DependentList T  Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DependentList(T).WriteCount Method

DependentList T WriteCount Method s3pi library documentation
Write the count of list elements to the stream.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected virtual void WriteCount(
    Stream s,
    int count
)
protected virtual void WriteCount(
    Stream s,
    int count
)
Protected Overridable Sub WriteCount (
    s As Stream,
    count As Integer
)
Protected Overridable Sub WriteCount (
    s As Stream,
    count As Integer
)
protected:
virtual void WriteCount(
    Stream^ s,
    int count
)
protected:
virtual void WriteCount(
    Stream^ s,
    int count
)
Parameters
s
Type:   Online System.IO Stream
  Online Stream to write count to.
count
Type:   Online System Int32
Value to write to   Online Stream s.
See Also
DependentList T  Class
DependentList T  Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DependentList(T).WriteElement Method

DependentList T WriteElement Method s3pi library documentation
Write an element to the stream.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected abstract void WriteElement(
    Stream s,
    T element
)
protected abstract void WriteElement(
    Stream s,
    T element
)
Protected MustOverride Sub WriteElement (
    s As Stream,
    element As T
)
Protected MustOverride Sub WriteElement (
    s As Stream,
    element As T
)
protected:
virtual void WriteElement(
    Stream^ s,
    T element
) abstract
protected:
virtual void WriteElement(
    Stream^ s,
    T element
) abstract
Parameters
s
Type:   Online System.IO Stream
  Online Stream to write element to.
element
Type: T
Value to write to   Online Stream s.
See Also
DependentList T  Class
DependentList T  Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ElementPriorityAttribute Class

ElementPriorityAttribute Class s3pi library documentation
Element priority is used when displaying elements
Inheritance Hierarchy
Online System Object
Online System Attribute
s3pi.Interfaces ElementPriorityAttribute

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[AttributeUsageAttribute(AttributeTargets.All, AllowMultiple = false, Inherited = false)]
public class ElementPriorityAttribute : Attribute
[AttributeUsageAttribute(AttributeTargets.All, AllowMultiple = false, Inherited = false)]
public class ElementPriorityAttribute : Attribute
<AttributeUsageAttribute(AttributeTargets.All, AllowMultiple := false, Inherited := false)>
Public Class ElementPriorityAttribute
    Inherits Attribute
<AttributeUsageAttribute(AttributeTargets.All, AllowMultiple := false, Inherited := false)>
Public Class ElementPriorityAttribute
    Inherits Attribute
[AttributeUsageAttribute(AttributeTargets::All, AllowMultiple = false, Inherited = false)]
public ref class ElementPriorityAttribute : public Attribute
[AttributeUsageAttribute(AttributeTargets::All, AllowMultiple = false, Inherited = false)]
public ref class ElementPriorityAttribute : public Attribute
See Also
ElementPriorityAttribute Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ElementPriorityAttribute Members

ElementPriorityAttribute Members s3pi library documentation

The ElementPriorityAttribute type exposes the following members.
Constructors
 | Name | Description
Public method | ElementPriorityAttribute | Element priority is used when displaying elements
Back to Top
Methods
Name | Description
GetPriority | Return the ElementPriority value for a Content Field.
Back to Top
Properties
 | Name | Description
Public property | Priority | Element priority, lower values are higher priority
Back to Top
See Also
ElementPriorityAttribute Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ElementPriorityAttribute Constructor

ElementPriorityAttribute Constructor s3pi library documentation
Element priority is used when displaying elements

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public ElementPriorityAttribute(
    int priority
)
public ElementPriorityAttribute(
    int priority
)
Public Sub New (
    priority As Integer
)
Public Sub New (
    priority As Integer
)
public:
ElementPriorityAttribute(
    int priority
)
public:
ElementPriorityAttribute(
    int priority
)
Parameters
priority
Type:   Online System Int32
Element priority, lower values are higher priority
See Also
ElementPriorityAttribute Class
ElementPriorityAttribute Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ElementPriorityAttribute Methods

ElementPriorityAttribute Methods s3pi library documentation
The ElementPriorityAttribute type exposes the following members.
Methods
Name | Description
GetPriority | Return the ElementPriority value for a Content Field.
Back to Top
See Also
ElementPriorityAttribute Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ElementPriorityAttribute.GetPriority Method

ElementPriorityAttribute GetPriority Method s3pi library documentation
Return the ElementPriority value for a Content Field.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static int GetPriority(
    Type t,
    string index
)
public static int GetPriority(
    Type t,
    string index
)
Public Shared Function GetPriority (
    t As Type,
    index As String
) As Integer
Public Shared Function GetPriority (
    t As Type,
    index As String
) As Integer
public:
static int GetPriority(
    Type^ t,
    String^ index
)
public:
static int GetPriority(
    Type^ t,
    String^ index
)
Parameters
t
Type:   Online System Type
Type on which Content Field exists.
index
Type:   Online System String
Content Field name.
Return Value
Type:   Online Int32
The value of the ElementPriorityAttribute Priority field, if found;
            otherwise Int32.MaxValue.
See Also
ElementPriorityAttribute Class
ElementPriorityAttribute Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ElementPriorityAttribute Properties

ElementPriorityAttribute Properties s3pi library documentation
The ElementPriorityAttribute type exposes the following members.
Properties
 | Name | Description
Public property | Priority | Element priority, lower values are higher priority
Back to Top
See Also
ElementPriorityAttribute Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ElementPriorityAttribute.Priority Property

ElementPriorityAttribute Priority Property s3pi library documentation
Element priority, lower values are higher priority

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public int Priority { get; set; }
public int Priority { get; set; }
Public Property Priority As Integer
    Get
    Set
Public Property Priority As Integer
    Get
    Set
public:
property int Priority {
    int get ();
    void set (int value);
}
public:
property int Priority {
    int get ();
    void set (int value);
}
Property Value
Type:   Online Int32
See Also
ElementPriorityAttribute Class
ElementPriorityAttribute Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


HandlerElement(T) Class

HandlerElement T Class s3pi library documentation
An extension to AHandlerElement, for simple data types (such as Online UInt32).
Inheritance Hierarchy
Online System Object
s3pi.Interfaces AApiVersionedFields
s3pi.Interfaces AHandlerElement
s3pi.Interfaces HandlerElement T

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public class HandlerElement<T> : AHandlerElement,
    IEquatable<HandlerElement<T>>
where T : struct, new(), IComparable, IConvertible, IEquatable<T>, IComparable<T>
public class HandlerElement<T> : AHandlerElement,
    IEquatable<HandlerElement<T>>
where T : struct, new(), IComparable, IConvertible, IEquatable<T>, IComparable<T>
Public Class HandlerElement(Of T As {Structure, New, IComparable, IConvertible, IEquatable(Of T), IComparable(Of T)})
    Inherits AHandlerElement
    Implements IEquatable(Of HandlerElement(Of T))
Public Class HandlerElement(Of T As {Structure, New, IComparable, IConvertible, IEquatable(Of T), IComparable(Of T)})
    Inherits AHandlerElement
    Implements IEquatable(Of HandlerElement(Of T))
generic<typename T>
where T : value class, gcnew(), IComparable, IConvertible, IEquatable<T>, IComparable<T>
public ref class HandlerElement : public AHandlerElement,
    IEquatable<HandlerElement<T>^>
generic<typename T>
where T : value class, gcnew(), IComparable, IConvertible, IEquatable<T>, IComparable<T>
public ref class HandlerElement : public AHandlerElement,
    IEquatable<HandlerElement<T>^>
Type Parameters
T
A simple data type (such as   Online UInt32).
Remarks
For an example of use, see SimpleList T .
See Also
HandlerElement T  Members
s3pi.Interfaces Namespace
s3pi.Interfaces SimpleList T
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


HandlerElement(T) Members

HandlerElement T Members s3pi library documentation

The HandlerElement T type exposes the following members.
Constructors
 | Name | Description
Public method | HandlerElement T (Int32, EventHandler) | Initialize a new instance with a default value.
Public method | HandlerElement T (Int32, EventHandler, HandlerElement T ) | Initialize a new instance with an initial value from basis.
Public method | HandlerElement T (Int32, EventHandler, T) | Initialize a new instance with an initial value of basis.
Back to Top
Methods
 | Name | Description
Public method | Clone | Get a copy of the HandlerElement but with a new change Online EventHandler. (Overrides AHandlerElement Clone(EventHandler).)
Public method | Equals(Object) | Determines whether the specified Online Object is equal to the current HandlerElement T . (Overrides Online Object Equals(Object).)
Public method | Equals(HandlerElement T ) | Indicates whether the current object is equal to another object of the same type.
Public method | GetHashCode | Returns the hash code for this instance. (Overrides Online Object GetHashCode .)
Back to Top
Operators
Name | Description
(HandlerElement T to T) | Implicit cast from HandlerElement T to T.
Back to Top
Properties
 | Name | Description
Public property | ContentFields | The list of available field names on this API object. (Overrides AApiVersionedFields ContentFields.)
Public property | RecommendedApiVersion | The best supported version of the API available (Overrides AApiVersionedFields RecommendedApiVersion.)
Public property | Val | The value of the object.
Public property | Value | Get displayable value.
Back to Top
See Also
HandlerElement T Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


HandlerElement(T) Constructor

HandlerElement T Constructor s3pi library documentation
Overload List
 | Name | Description
Public method | HandlerElement T (Int32, EventHandler) | Initialize a new instance with a default value.
Public method | HandlerElement T (Int32, EventHandler, HandlerElement T ) | Initialize a new instance with an initial value from basis.
Public method | HandlerElement T (Int32, EventHandler, T) | Initialize a new instance with an initial value of basis.
Back to Top
See Also
HandlerElement T Class
HandlerElement T Members
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


HandlerElement(T) Constructor (Int32, EventHandler)

HandlerElement T Constructor (Int32, EventHandler) s3pi library documentation
Initialize a new instance with a default value.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public HandlerElement(
    int APIversion,
    EventHandler handler
)
public HandlerElement(
    int APIversion,
    EventHandler handler
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler
)
public:
HandlerElement(
    int APIversion,
    EventHandler^ handler
)
public:
HandlerElement(
    int APIversion,
    EventHandler^ handler
)
Parameters
APIversion
Type:   Online System Int32
The requested API version.
handler
Type:   Online System EventHandler
The   Online EventHandler delegate to invoke if the AHandlerElement changes.
See Also
HandlerElement T  Class
HandlerElement T  Members
HandlerElement T  Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


HandlerElement(T) Constructor (Int32, EventHandler, HandlerElement(T))

HandlerElement T Constructor (Int32, EventHandler, HandlerElement T ) s3pi library documentation
Initialize a new instance with an initial value from basis.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public HandlerElement(
    int APIversion,
    EventHandler handler,
    HandlerElement<T> basis
)
public HandlerElement(
    int APIversion,
    EventHandler handler,
    HandlerElement<T> basis
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler,
    basis As HandlerElement(Of T)
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler,
    basis As HandlerElement(Of T)
)
public:
HandlerElement(
    int APIversion,
    EventHandler^ handler,
    HandlerElement<T>^ basis
)
public:
HandlerElement(
    int APIversion,
    EventHandler^ handler,
    HandlerElement<T>^ basis
)
Parameters
APIversion
Type:   Online System Int32
The requested API version.
handler
Type:   Online System EventHandler
The   Online EventHandler delegate to invoke if the AHandlerElement changes.
basis
Type: s3pi.Interfaces HandlerElement  T
Element containing the initial value for instance.
See Also
HandlerElement T  Class
HandlerElement T  Members
HandlerElement T  Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


HandlerElement(T) Constructor (Int32, EventHandler, T)

HandlerElement T Constructor (Int32, EventHandler, T) s3pi library documentation
Initialize a new instance with an initial value of basis.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public HandlerElement(
    int APIversion,
    EventHandler handler,
    T basis
)
public HandlerElement(
    int APIversion,
    EventHandler handler,
    T basis
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler,
    basis As T
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler,
    basis As T
)
public:
HandlerElement(
    int APIversion,
    EventHandler^ handler,
    T basis
)
public:
HandlerElement(
    int APIversion,
    EventHandler^ handler,
    T basis
)
Parameters
APIversion
Type:   Online System Int32
The requested API version.
handler
Type:   Online System EventHandler
The   Online EventHandler delegate to invoke if the AHandlerElement changes.
basis
Type: T
Initial value for instance.
See Also
HandlerElement T  Class
HandlerElement T  Members
HandlerElement T  Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


HandlerElement(T) Methods

HandlerElement T Methods s3pi library documentation
The HandlerElement T type exposes the following members.
Methods
 | Name | Description
Public method | Clone | Get a copy of the HandlerElement but with a new change Online EventHandler. (Overrides AHandlerElement Clone(EventHandler).)
Public method | Equals(Object) | Determines whether the specified Online Object is equal to the current HandlerElement T . (Overrides Online Object Equals(Object).)
Public method | Equals(HandlerElement T ) | Indicates whether the current object is equal to another object of the same type.
Public method | GetHashCode | Returns the hash code for this instance. (Overrides Online Object GetHashCode .)
Back to Top
See Also
HandlerElement T Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


HandlerElement(T).Clone Method

HandlerElement T Clone Method s3pi library documentation
Get a copy of the HandlerElement but with a new change Online EventHandler.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override AHandlerElement Clone(
    EventHandler handler
)
public override AHandlerElement Clone(
    EventHandler handler
)
Public Overrides Function Clone (
    handler As EventHandler
) As AHandlerElement
Public Overrides Function Clone (
    handler As EventHandler
) As AHandlerElement
public:
virtual AHandlerElement^ Clone(
    EventHandler^ handler
) override
public:
virtual AHandlerElement^ Clone(
    EventHandler^ handler
) override
Parameters
handler
Type:   Online System EventHandler
The replacement HandlerElement delegate.
Return Value
Type: AHandlerElement
Return a copy of the HandlerElement but with a new change   Online EventHandler.
See Also
HandlerElement T  Class
HandlerElement T  Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


HandlerElement(T).Equals Method

HandlerElement T Equals Method s3pi library documentation
Overload List
 | Name | Description
Public method | Equals(Object) | Determines whether the specified Online Object is equal to the current HandlerElement T . (Overrides Online Object Equals(Object).)
Public method | Equals(HandlerElement T ) | Indicates whether the current object is equal to another object of the same type.
Back to Top
See Also
HandlerElement T Class
HandlerElement T Members
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


HandlerElement(T).Equals Method (Object)

HandlerElement T Equals Method (Object) s3pi library documentation
Determines whether the specified Online Object is equal to the current HandlerElement T .

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override bool Equals(
    Object obj
)
public override bool Equals(
    Object obj
)
Public Overrides Function Equals (
    obj As Object
) As Boolean
Public Overrides Function Equals (
    obj As Object
) As Boolean
public:
virtual bool Equals(
    Object^ obj
) override
public:
virtual bool Equals(
    Object^ obj
) override
Parameters
obj
Type:   Online System Object
The   Online Object to compare with the current HandlerElement T .
Return Value
Type:   Online Boolean
true if the specified   Online Object is equal to the current HandlerElement T ; otherwise, false.
Exceptions
Exception | Condition
Online System NullReferenceException | The obj parameter is null.
See Also
HandlerElement T  Class
HandlerElement T  Members
Equals Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


HandlerElement(T).Equals Method (HandlerElement(T))

HandlerElement T Equals Method (HandlerElement T ) s3pi library documentation
Indicates whether the current object is equal to another object of the same type.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public bool Equals(
    HandlerElement<T> other
)
public bool Equals(
    HandlerElement<T> other
)
Public Function Equals (
    other As HandlerElement(Of T)
) As Boolean
Public Function Equals (
    other As HandlerElement(Of T)
) As Boolean
public:
virtual bool Equals(
    HandlerElement<T>^ other
) sealed
public:
virtual bool Equals(
    HandlerElement<T>^ other
) sealed
Parameters
other
Type: s3pi.Interfaces HandlerElement  T
An object to compare with this object.
Return Value
Type:   Online Boolean
true if the current object is equal to the other parameter; otherwise, false.
Implements
  Online IEquatable T  Equals(T)
See Also
HandlerElement T  Class
HandlerElement T  Members
Equals Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


HandlerElement(T).GetHashCode Method

HandlerElement T GetHashCode Method s3pi library documentation
Returns the hash code for this instance.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override int GetHashCode()
public override int GetHashCode()
Public Overrides Function GetHashCode As Integer
Public Overrides Function GetHashCode As Integer
public:
virtual int GetHashCode() override
public:
virtual int GetHashCode() override
Return Value
Type:   Online Int32
A 32-bit signed integer that is the hash code for this instance.
See Also
HandlerElement T  Class
HandlerElement T  Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


HandlerElement(T) Type Conversions

HandlerElement T Type Conversions s3pi library documentation
The HandlerElement T type exposes the following members.
Operators
Name | Description
(HandlerElement T to T) | Implicit cast from HandlerElement T to T.
Back to Top
See Also
HandlerElement T Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


HandlerElement(T) Implicit Conversion (HandlerElement(T) to T)

HandlerElement T Conversion (HandlerElement T to T) s3pi library documentation
Implicit cast from HandlerElement T to T.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static implicit operator T (
    HandlerElement<T> value
)
public static implicit operator T (
    HandlerElement<T> value
)
Public Shared Widening Operator CType (
    value As HandlerElement(Of T)
) As T
Public Shared Widening Operator CType (
    value As HandlerElement(Of T)
) As T
static implicit operator T (
    HandlerElement<T>^ value
)
static implicit operator T (
    HandlerElement<T>^ value
)
Parameters
value
Type: s3pi.Interfaces HandlerElement  T
Value to cast.
Return Value
Type: T
Cast value.
See Also
HandlerElement T  Class
HandlerElement T  Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


HandlerElement(T) Properties

HandlerElement T Properties s3pi library documentation
The HandlerElement T type exposes the following members.
Properties
 | Name | Description
Public property | ContentFields | The list of available field names on this API object. (Overrides AApiVersionedFields ContentFields.)
Public property | RecommendedApiVersion | The best supported version of the API available (Overrides AApiVersionedFields RecommendedApiVersion.)
Public property | Val | The value of the object.
Public property | Value | Get displayable value.
Back to Top
See Also
HandlerElement T Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


HandlerElement(T).ContentFields Property

HandlerElement T ContentFields Property s3pi library documentation
The list of available field names on this API object.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override List<string> ContentFields { get; }
public override List<string> ContentFields { get; }
Public Overrides ReadOnly Property ContentFields As List(Of String)
    Get
Public Overrides ReadOnly Property ContentFields As List(Of String)
    Get
public:
virtual property List<String^>^ ContentFields {
    List<String^>^ get () override;
}
public:
virtual property List<String^>^ ContentFields {
    List<String^>^ get () override;
}
Property Value
Type:   Online List    Online String
Implements
IContentFields ContentFields
See Also
HandlerElement T  Class
HandlerElement T  Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


HandlerElement(T).RecommendedApiVersion Property

HandlerElement T RecommendedApiVersion Property s3pi library documentation
The best supported version of the API available

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override int RecommendedApiVersion { get; }
public override int RecommendedApiVersion { get; }
Public Overrides ReadOnly Property RecommendedApiVersion As Integer
    Get
Public Overrides ReadOnly Property RecommendedApiVersion As Integer
    Get
public:
virtual property int RecommendedApiVersion {
    int get () override;
}
public:
virtual property int RecommendedApiVersion {
    int get () override;
}
Property Value
Type:   Online Int32
Implements
IApiVersion RecommendedApiVersion
See Also
HandlerElement T  Class
HandlerElement T  Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


HandlerElement(T).Val Property

HandlerElement T Val Property s3pi library documentation
The value of the object.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public T Val { get; set; }
public T Val { get; set; }
Public Property Val As T
    Get
    Set
Public Property Val As T
    Get
    Set
public:
property T Val {
    T get ();
    void set (T value);
}
public:
property T Val {
    T get ();
    void set (T value);
}
Property Value
Type: T
See Also
HandlerElement T  Class
HandlerElement T  Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


HandlerElement(T).Value Property

HandlerElement T Value Property s3pi library documentation
Get displayable value.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public string Value { get; }
public string Value { get; }
Public ReadOnly Property Value As String
    Get
Public ReadOnly Property Value As String
    Get
public:
property String^ Value {
    String^ get ();
}
public:
property String^ Value {
    String^ get ();
}
Property Value
Type:   Online String
See Also
HandlerElement T  Class
HandlerElement T  Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IApiVersion Interface

IApiVersion Interface s3pi library documentation
Support for API versioning

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public interface IApiVersion
public interface IApiVersion
Public Interface IApiVersion
Public Interface IApiVersion
public interface class IApiVersion
public interface class IApiVersion
See Also
IApiVersion Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IApiVersion Members

IApiVersion Members s3pi library documentation

The IApiVersion type exposes the following members.
Properties
 | Name | Description
Public property | RecommendedApiVersion | The best supported version of the API available
Public property | RequestedApiVersion | The version of the API in use
Back to Top
See Also
IApiVersion Interface
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IApiVersion Properties

IApiVersion Properties s3pi library documentation
The IApiVersion type exposes the following members.
Properties
 | Name | Description
Public property | RecommendedApiVersion | The best supported version of the API available
Public property | RequestedApiVersion | The version of the API in use
Back to Top
See Also
IApiVersion Interface
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IApiVersion.RecommendedApiVersion Property

IApiVersion RecommendedApiVersion Property s3pi library documentation
The best supported version of the API available

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
int RecommendedApiVersion { get; }
int RecommendedApiVersion { get; }
ReadOnly Property RecommendedApiVersion As Integer
    Get
ReadOnly Property RecommendedApiVersion As Integer
    Get
property int RecommendedApiVersion {
    int get ();
}
property int RecommendedApiVersion {
    int get ();
}
Property Value
Type:   Online Int32
See Also
IApiVersion Interface
IApiVersion Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IApiVersion.RequestedApiVersion Property

IApiVersion RequestedApiVersion Property s3pi library documentation
The version of the API in use

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
int RequestedApiVersion { get; }
int RequestedApiVersion { get; }
ReadOnly Property RequestedApiVersion As Integer
    Get
ReadOnly Property RequestedApiVersion As Integer
    Get
property int RequestedApiVersion {
    int get ();
}
property int RequestedApiVersion {
    int get ();
}
Property Value
Type:   Online Int32
See Also
IApiVersion Interface
IApiVersion Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IContentFields Interface

IContentFields Interface s3pi library documentation
Standardised interface to API objects (hiding the reflection)

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public interface IContentFields
public interface IContentFields
Public Interface IContentFields
Public Interface IContentFields
public interface class IContentFields
public interface class IContentFields
See Also
IContentFields Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IContentFields Members

IContentFields Members s3pi library documentation

The IContentFields type exposes the following members.
Properties
 | Name | Description
Public property | ContentFields | A List<string> of available field names on object
Public property | Item | A TypedValue on this object
Back to Top
See Also
IContentFields Interface
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IContentFields Properties

IContentFields Properties s3pi library documentation
The IContentFields type exposes the following members.
Properties
 | Name | Description
Public property | ContentFields | A List<string> of available field names on object
Public property | Item | A TypedValue on this object
Back to Top
See Also
IContentFields Interface
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IContentFields.ContentFields Property

IContentFields ContentFields Property s3pi library documentation
A List<string> of available field names on object

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
List<string> ContentFields { get; }
List<string> ContentFields { get; }
ReadOnly Property ContentFields As List(Of String)
    Get
ReadOnly Property ContentFields As List(Of String)
    Get
property List<String^>^ ContentFields {
    List<String^>^ get ();
}
property List<String^>^ ContentFields {
    List<String^>^ get ();
}
Property Value
Type:   Online List    Online String
See Also
IContentFields Interface
IContentFields Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IContentFields.Item Property

IContentFields Item Property s3pi library documentation
A TypedValue on this object

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
TypedValue this[
    string index
] { get; set; }
TypedValue this[
    string index
] { get; set; }
Default Property Item (
    index As String
) As TypedValue
    Get
    Set
Default Property Item (
    index As String
) As TypedValue
    Get
    Set
property TypedValue^ default[String^ index] {
    TypedValue^ get (String^ index);
    void set (String^ index, TypedValue^ value);
}
property TypedValue^ default[String^ index] {
    TypedValue^ get (String^ index);
    void set (String^ index, TypedValue^ value);
}
Parameters
index
Type:   Online System String
The   Online String representing the name of the field
            (i.e. one of the values from ContentFields)
Return Value
Type: TypedValue
The TypedValue of field index on this API object.
Exceptions
Exception | Condition
Online System ArgumentOutOfRangeException | Thrown when an unknown index name is requested
See Also
IContentFields Interface
IContentFields Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IGenericAdd Interface

IGenericAdd Interface s3pi library documentation
Classes implementing this interface can have elements added with an empty parameter list or the list of arguments to a generic class' constructor.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public interface IGenericAdd : IList,
    ICollection, IEnumerable
public interface IGenericAdd : IList,
    ICollection, IEnumerable
Public Interface IGenericAdd
    Inherits IList, ICollection, IEnumerable
Public Interface IGenericAdd
    Inherits IList, ICollection, IEnumerable
public interface class IGenericAdd : IList,
    ICollection, IEnumerable
public interface class IGenericAdd : IList,
    ICollection, IEnumerable
See Also
IGenericAdd Members
s3pi.Interfaces Namespace
s3pi.Interfaces DependentList T
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IGenericAdd Members

IGenericAdd Members s3pi library documentation

Methods
 | Name | Description
Public method | Add | Add a default element to an Online IList that implements this interface.
Public method | Add(Type) | Adds an entry to an Online IList that implements this interface.
Back to Top
See Also
IGenericAdd Interface
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IGenericAdd Methods

IGenericAdd Methods s3pi library documentation
Methods
 | Name | Description
Public method | Add | Add a default element to an Online IList that implements this interface.
Public method | Add(Type) | Adds an entry to an Online IList that implements this interface.
Back to Top
See Also
IGenericAdd Interface
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IGenericAdd.Add Method

IGenericAdd Add Method s3pi library documentation
Overload List
 | Name | Description
Public method | Add | Add a default element to an Online IList that implements this interface.
Public method | Add(Type) | Adds an entry to an Online IList that implements this interface.
Back to Top
See Also
IGenericAdd Interface
IGenericAdd Members
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IGenericAdd.Add Method

IGenericAdd Add Method s3pi library documentation
Add a default element to an Online IList that implements this interface.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
void Add()
void Add()
Sub Add
Sub Add
void Add()
void Add()
Exceptions
Exception | Condition
Online System NotImplementedException | Lists of abstract classes will fail with a NotImplementedException.
See Also
IGenericAdd Interface
IGenericAdd Members
Add Overload
s3pi.Interfaces Namespace
s3pi.Interfaces DependentList T
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IGenericAdd.Add Method (Type)

IGenericAdd Add Method (Type) s3pi library documentation
Adds an entry to an Online IList that implements this interface.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
void Add(
    Type instanceType
)
void Add(
    Type instanceType
)
Sub Add (
    instanceType As Type
)
Sub Add (
    instanceType As Type
)
void Add(
    Type^ instanceType
)
void Add(
    Type^ instanceType
)
Parameters
instanceType
Type:   Online System Type
Type of the instance to create and add to the   Online IList.
See Also
IGenericAdd Interface
IGenericAdd Members
Add Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IndexList(T) Class

IndexList T Class s3pi library documentation
A flexible generic list of DependentList T indices.
Inheritance Hierarchy
Online System Object
Online System.Collections.Generic List TGIBlockListIndex T
System.Collections.Generic AHandlerList TGIBlockListIndex T
s3pi.Interfaces DependentList TGIBlockListIndex T
s3pi.Interfaces IndexList T
s3pi.Interfaces ByteIndexList
s3pi.Interfaces Int32IndexList

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public class IndexList<T> : DependentList<TGIBlockListIndex<T>>,
    IEnumerable<T>, IEnumerable
where T : struct, new(), IComparable, IConvertible, IEquatable<T>, IComparable<T>
public class IndexList<T> : DependentList<TGIBlockListIndex<T>>,
    IEnumerable<T>, IEnumerable
where T : struct, new(), IComparable, IConvertible, IEquatable<T>, IComparable<T>
Public Class IndexList(Of T As {Structure, New, IComparable, IConvertible, IEquatable(Of T), IComparable(Of T)})
    Inherits DependentList(Of TGIBlockListIndex(Of T))
    Implements IEnumerable(Of T), IEnumerable
Public Class IndexList(Of T As {Structure, New, IComparable, IConvertible, IEquatable(Of T), IComparable(Of T)})
    Inherits DependentList(Of TGIBlockListIndex(Of T))
    Implements IEnumerable(Of T), IEnumerable
generic<typename T>
where T : value class, gcnew(), IComparable, IConvertible, IEquatable<T>, IComparable<T>
public ref class IndexList : public DependentList<TGIBlockListIndex<T>^>,
    IEnumerable<T>, IEnumerable
generic<typename T>
where T : value class, gcnew(), IComparable, IConvertible, IEquatable<T>, IComparable<T>
public ref class IndexList : public DependentList<TGIBlockListIndex<T>^>,
    IEnumerable<T>, IEnumerable
Type Parameters
T
A simple data type (such as   Online Int32 or   Online Byte).
See Also
IndexList T  Members
s3pi.Interfaces Namespace
s3pi.Interfaces SimpleList T
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IndexList(T) Members

IndexList T Members s3pi library documentation

The IndexList T type exposes the following members.
Constructors
 | Name | Description
Public method | IndexList T (EventHandler, IndexList T CreateElementMethod, IndexList T WriteElementMethod, Int64, IndexList T ReadCountMethod, IndexList T WriteCountMethod, DependentList TGIBlock ) | Initializes a new instance of the IndexList T class that is empty.
Public method | IndexList T (EventHandler, IEnumerable T , IndexList T CreateElementMethod, IndexList T WriteElementMethod, Int64, IndexList T ReadCountMethod, IndexList T WriteCountMethod, DependentList TGIBlock ) | Initializes a new instance of the IndexList T class from collection, wrapping each entry in a TGIBlockListIndex T instance.
Public method | IndexList T (EventHandler, Stream, IndexList T CreateElementMethod, IndexList T WriteElementMethod, Int64, IndexList T ReadCountMethod, IndexList T WriteCountMethod, DependentList TGIBlock ) | Initializes a new instance of the IndexList T class from s.
Back to Top
Methods
 | Name | Description
Public method | Add | Add a default element to a IndexList T . (Overrides DependentList T Add .)
Public method | Add(T) | Adds an entry to a IndexList T .
Public method | AddRange | Adds the elements of the specified collection to the end of the IndexList T .
Public method | BinarySearch(T) | Searches a the entire sorted IndexList T for an element using the default comparer and returns the zero-based index of the element.
Public method | BinarySearch(T, IComparer T ) | Searches a the entire sorted IndexList T for an element using the specified comparer and returns the zero-based index of the element.
Public method | BinarySearch(Int32, Int32, T, IComparer T ) | Searches a range of elements in the sorted IndexList T for an element using the specified comparer and returns the zero-based index of the element.
Public method | Contains | Determines whether an element is in the IndexList T .
Public method | ConvertAll TOutput | Converts the elements in the current IndexList T to another type, and returns a list containing the converted elements.
Public method | CopyTo( T ) | Copies the entire IndexList T to a compatible one-dimensional array, starting at the beginning of the target array.
Public method | CopyTo( T , Int32) | Copies the entire IndexList T to a compatible one-dimensional array.
Public method | CopyTo(Int32, T , Int32, Int32) | Copies a range of elements from the IndexList T to a compatible one-dimensional array, starting at the specified index of the target array.
Protected method | CreateElement | Creates an new list element of type T by reading s. (Overrides DependentList T CreateElement(Stream).)
Public method | Exists | Determines whether the IndexList T contains elements that match the conditions defined by the specified predicate.
Public method | Find | Searches for an element that matches the conditions defined by the specified predicate, and returns the first occurrence within the entire IndexList T .
Public method | FindAll | Retrieves all the elements that match the conditions defined by the specified predicate.
Public method | FindIndex(Predicate T ) | Retrieves all the elements that match the conditions defined by the specified predicate. Searches for an element that matches the conditions defined by the specified predicate, and returns the zero-based index of the first occurrence within the entire IndexList T .
Public method | FindIndex(Int32, Predicate T ) | Searches for an element that matches the conditions defined by the specified predicate, and returns the zero-based index of the first occurrence within the range of elements in the IndexList T that extends from the specified index to the last element.
Public method | FindIndex(Int32, Int32, Predicate T ) | Searches for an element that matches the conditions defined by the specified predicate, and returns the zero-based index of the first occurrence within the range of elements in the IndexList T that starts at the specified index and contains the specified number of elements.
Public method | FindLast | Searches for an element that matches the conditions defined by the specified predicate, and returns the last occurrence within the entire IndexList T .
Public method | FindLastIndex(Predicate T ) | Searches for an element that matches the conditions defined by the specified predicate, and returns the zero-based index of the last occurrence within the entire IndexList T .
Public method | FindLastIndex(Int32, Predicate T ) | Searches for an element that matches the conditions defined by the specified predicate, and returns the zero-based index of the last occurrence within the range of elements in the IndexList T that extends from the first element to the specified index.
Public method | FindLastIndex(Int32, Int32, Predicate T ) | Searches for an element that matches the conditions defined by the specified predicate, and returns the zero-based index of the last occurrence within the range of elements in the IndexList T that contains the specified number of elements and ends at the specified index.
Public method | ForEach | Performs the specified action on each element of the IndexList T .
Public method | GetEnumerator | Returns an enumerator that iterates through the collection.
Public method | IndexOf(T) | Searches for the specified object and returns the zero-based index of the first occurrence within the entire IndexList T .
Public method | IndexOf(T, Int32) | Searches for the specified object and returns the zero-based index of the first occurrence within the range of elements in the IndexList T that extends from the specified index to the last element.
Public method | IndexOf(T, Int32, Int32) | Searches for the specified object and returns the zero-based index of the first occurrence within the range of elements in the IndexList T that starts at the specified index and contains the specified number of elements.
Public method | Insert | Inserts an item to the IndexList T at the specified index.
Public method | InsertRange | Inserts the elements of a collection into the IndexList T at the specified index.
Public method | LastIndexOf(T) | Searches for the specified object and returns the zero-based index of the last occurrence within the entire IndexList T .
Public method | LastIndexOf(T, Int32) | Searches for the specified object and returns the zero-based index of the last occurrence within the range of elements in the IndexList T that extends from the first element to the specified index.
Public method | LastIndexOf(T, Int32, Int32) | Searches for the specified object and returns the zero-based index of the last occurrence within the range of elements in the IndexList T that contains the specified number of elements and ends at the specified index.
Protected method | ReadCount | Return the number of elements to be created. (Overrides DependentList T ReadCount(Stream).)
Public method | Remove | Removes the first occurrence of an entry from the IndexList T with the value given.
Public method | RemoveAll | Removes the all the elements that match the conditions defined by the specified predicate.
Public method | Sort(IComparer T ) | Sorts the elements in the entire IndexList T using the specified comparer.
Public method | Sort(Comparison T ) | Sorts the elements in the entire IndexList T using the specified Online Comparison T .
Public method | Sort(Int32, Int32, IComparer T ) | Sorts the elements in a range of elements in IndexList T using the specified comparer.
Public method | ToArray | Copies the elements of the IndexList T to a new array.
Public method | TrueForAll | Determines whether every element in the IndexList T matches the conditions defined by the specified predicate.
Protected method | WriteCount | Write the count of list elements to the stream. (Overrides DependentList T WriteCount(Stream, Int32).)
Protected method | WriteElement | Writes the value of a list element to s. (Overrides DependentList T WriteElement(Stream, T).)
Back to Top
Properties
 | Name | Description
Public property | Item | Gets or sets the element at the specified index.
Public property | ParentTGIBlocks | Reference to TGIBlockList into which this is an index.
Back to Top
See Also
IndexList T Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IndexList(T) Constructor

IndexList T Constructor s3pi library documentation
Overload List
 | Name | Description
Public method | IndexList T (EventHandler, IndexList T CreateElementMethod, IndexList T WriteElementMethod, Int64, IndexList T ReadCountMethod, IndexList T WriteCountMethod, DependentList TGIBlock ) | Initializes a new instance of the IndexList T class that is empty.
Public method | IndexList T (EventHandler, IEnumerable T , IndexList T CreateElementMethod, IndexList T WriteElementMethod, Int64, IndexList T ReadCountMethod, IndexList T WriteCountMethod, DependentList TGIBlock ) | Initializes a new instance of the IndexList T class from collection, wrapping each entry in a TGIBlockListIndex T instance.
Public method | IndexList T (EventHandler, Stream, IndexList T CreateElementMethod, IndexList T WriteElementMethod, Int64, IndexList T ReadCountMethod, IndexList T WriteCountMethod, DependentList TGIBlock ) | Initializes a new instance of the IndexList T class from s.
Back to Top
See Also
IndexList T Class
IndexList T Members
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IndexList(T) Constructor (EventHandler, IndexList(T).CreateElementMethod, IndexList(T).WriteElementMethod, Int64, IndexList(T).ReadCountMethod, IndexList(T).WriteCountMethod, DependentList(TGIBlock))

IndexList T Constructor (EventHandler, IndexList T CreateElementMethod, IndexList T WriteElementMethod, Int64, IndexList T ReadCountMethod, IndexList T WriteCountMethod, DependentList TGIBlock ) s3pi library documentation
Initializes a new instance of the IndexList T class that is empty.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public IndexList(
    EventHandler handler,
    IndexList<(Of <(<'T>)>)>..::..CreateElementMethod createElement = null,
    IndexList<(Of <(<'T>)>)>..::..WriteElementMethod writeElement = null,
    long size = -1,
    IndexList<(Of <(<'T>)>)>..::..ReadCountMethod readCount = null,
    IndexList<(Of <(<'T>)>)>..::..WriteCountMethod writeCount = null,
    DependentList<TGIBlock> ParentTGIBlocks = null
)
public IndexList(
    EventHandler handler,
    IndexList<(Of <(<'T>)>)>..::..CreateElementMethod createElement = null,
    IndexList<(Of <(<'T>)>)>..::..WriteElementMethod writeElement = null,
    long size = -1,
    IndexList<(Of <(<'T>)>)>..::..ReadCountMethod readCount = null,
    IndexList<(Of <(<'T>)>)>..::..WriteCountMethod writeCount = null,
    DependentList<TGIBlock> ParentTGIBlocks = null
)
Public Sub New (
    handler As EventHandler,
    Optional createElement As IndexList<(Of <(<'T>)>)>..::..CreateElementMethod = Nothing,
    Optional writeElement As IndexList<(Of <(<'T>)>)>..::..WriteElementMethod = Nothing,
    Optional size As Long = -1,
    Optional readCount As IndexList<(Of <(<'T>)>)>..::..ReadCountMethod = Nothing,
    Optional writeCount As IndexList<(Of <(<'T>)>)>..::..WriteCountMethod = Nothing,
    Optional ParentTGIBlocks As DependentList(Of TGIBlock) = Nothing
)
Public Sub New (
    handler As EventHandler,
    Optional createElement As IndexList<(Of <(<'T>)>)>..::..CreateElementMethod = Nothing,
    Optional writeElement As IndexList<(Of <(<'T>)>)>..::..WriteElementMethod = Nothing,
    Optional size As Long = -1,
    Optional readCount As IndexList<(Of <(<'T>)>)>..::..ReadCountMethod = Nothing,
    Optional writeCount As IndexList<(Of <(<'T>)>)>..::..WriteCountMethod = Nothing,
    Optional ParentTGIBlocks As DependentList(Of TGIBlock) = Nothing
)
public:
IndexList(
    EventHandler^ handler,
    IndexList<(Of <(<'T>)>)>..::..CreateElementMethod^ createElement = nullptr,
    IndexList<(Of <(<'T>)>)>..::..WriteElementMethod^ writeElement = nullptr,
    long long size = -1,
    IndexList<(Of <(<'T>)>)>..::..ReadCountMethod^ readCount = nullptr,
    IndexList<(Of <(<'T>)>)>..::..WriteCountMethod^ writeCount = nullptr,
    DependentList<TGIBlock^>^ ParentTGIBlocks = nullptr
)
public:
IndexList(
    EventHandler^ handler,
    IndexList<(Of <(<'T>)>)>..::..CreateElementMethod^ createElement = nullptr,
    IndexList<(Of <(<'T>)>)>..::..WriteElementMethod^ writeElement = nullptr,
    long long size = -1,
    IndexList<(Of <(<'T>)>)>..::..ReadCountMethod^ readCount = nullptr,
    IndexList<(Of <(<'T>)>)>..::..WriteCountMethod^ writeCount = nullptr,
    DependentList<TGIBlock^>^ ParentTGIBlocks = nullptr
)
Parameters
handler
Type:   Online System EventHandler
The   Online EventHandler to call on changes to the list or its elements.
createElement (Optional)
Type: s3pi.Interfaces IndexList T  CreateElementMethod
Optional; the method to create a new element in the list from a stream.  If null, return default{T}.
writeElement (Optional)
Type: s3pi.Interfaces IndexList T  WriteElementMethod
Optional; the method to create a new element in the list from a stream.  No operation if null.
size (Optional)
Type:   Online System Int64
Optional maximum number of elements in the list.
readCount (Optional)
Type: s3pi.Interfaces IndexList T  ReadCountMethod
Optional; default is to read a   Online Int32 from the   Online Stream.
writeCount (Optional)
Type: s3pi.Interfaces IndexList T  WriteCountMethod
Optional; default is to write a   Online Int32 to the   Online Stream.
ParentTGIBlocks (Optional)
Type: s3pi.Interfaces DependentList  TGIBlock
Optional; default parent DependentList T  into which elements of this list index.
See Also
IndexList T  Class
IndexList T  Members
IndexList T  Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IndexList(T) Constructor (EventHandler, IEnumerable(T), IndexList(T).CreateElementMethod, IndexList(T).WriteElementMethod, Int64, IndexList(T).ReadCountMethod, IndexList(T).WriteCountMethod, DependentList(TGIBlock))

IndexList T Constructor (EventHandler, IEnumerable T , IndexList T CreateElementMethod, IndexList T WriteElementMethod, Int64, IndexList T ReadCountMethod, IndexList T WriteCountMethod, DependentList TGIBlock ) s3pi library documentation
Initializes a new instance of the IndexList T class from collection, wrapping each entry in a TGIBlockListIndex T instance.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public IndexList(
    EventHandler handler,
    IEnumerable<T> collection,
    IndexList<(Of <(<'T>)>)>..::..CreateElementMethod createElement = null,
    IndexList<(Of <(<'T>)>)>..::..WriteElementMethod writeElement = null,
    long size = -1,
    IndexList<(Of <(<'T>)>)>..::..ReadCountMethod readCount = null,
    IndexList<(Of <(<'T>)>)>..::..WriteCountMethod writeCount = null,
    DependentList<TGIBlock> ParentTGIBlocks = null
)
public IndexList(
    EventHandler handler,
    IEnumerable<T> collection,
    IndexList<(Of <(<'T>)>)>..::..CreateElementMethod createElement = null,
    IndexList<(Of <(<'T>)>)>..::..WriteElementMethod writeElement = null,
    long size = -1,
    IndexList<(Of <(<'T>)>)>..::..ReadCountMethod readCount = null,
    IndexList<(Of <(<'T>)>)>..::..WriteCountMethod writeCount = null,
    DependentList<TGIBlock> ParentTGIBlocks = null
)
Public Sub New (
    handler As EventHandler,
    collection As IEnumerable(Of T),
    Optional createElement As IndexList<(Of <(<'T>)>)>..::..CreateElementMethod = Nothing,
    Optional writeElement As IndexList<(Of <(<'T>)>)>..::..WriteElementMethod = Nothing,
    Optional size As Long = -1,
    Optional readCount As IndexList<(Of <(<'T>)>)>..::..ReadCountMethod = Nothing,
    Optional writeCount As IndexList<(Of <(<'T>)>)>..::..WriteCountMethod = Nothing,
    Optional ParentTGIBlocks As DependentList(Of TGIBlock) = Nothing
)
Public Sub New (
    handler As EventHandler,
    collection As IEnumerable(Of T),
    Optional createElement As IndexList<(Of <(<'T>)>)>..::..CreateElementMethod = Nothing,
    Optional writeElement As IndexList<(Of <(<'T>)>)>..::..WriteElementMethod = Nothing,
    Optional size As Long = -1,
    Optional readCount As IndexList<(Of <(<'T>)>)>..::..ReadCountMethod = Nothing,
    Optional writeCount As IndexList<(Of <(<'T>)>)>..::..WriteCountMethod = Nothing,
    Optional ParentTGIBlocks As DependentList(Of TGIBlock) = Nothing
)
public:
IndexList(
    EventHandler^ handler,
    IEnumerable<T>^ collection,
    IndexList<(Of <(<'T>)>)>..::..CreateElementMethod^ createElement = nullptr,
    IndexList<(Of <(<'T>)>)>..::..WriteElementMethod^ writeElement = nullptr,
    long long size = -1,
    IndexList<(Of <(<'T>)>)>..::..ReadCountMethod^ readCount = nullptr,
    IndexList<(Of <(<'T>)>)>..::..WriteCountMethod^ writeCount = nullptr,
    DependentList<TGIBlock^>^ ParentTGIBlocks = nullptr
)
public:
IndexList(
    EventHandler^ handler,
    IEnumerable<T>^ collection,
    IndexList<(Of <(<'T>)>)>..::..CreateElementMethod^ createElement = nullptr,
    IndexList<(Of <(<'T>)>)>..::..WriteElementMethod^ writeElement = nullptr,
    long long size = -1,
    IndexList<(Of <(<'T>)>)>..::..ReadCountMethod^ readCount = nullptr,
    IndexList<(Of <(<'T>)>)>..::..WriteCountMethod^ writeCount = nullptr,
    DependentList<TGIBlock^>^ ParentTGIBlocks = nullptr
)
Parameters
handler
Type:   Online System EventHandler
The   Online EventHandler to call on changes to the list or its elements.
collection
Type:   Online System.Collections.Generic IEnumerable  T
The source to use as the initial content of the list.
createElement (Optional)
Type: s3pi.Interfaces IndexList T  CreateElementMethod
Optional; the method to create a new element in the list from a stream.  If null, return default{T}.
writeElement (Optional)
Type: s3pi.Interfaces IndexList T  WriteElementMethod
Optional; the method to create a new element in the list from a stream.  No operation if null.
size (Optional)
Type:   Online System Int64
Optional maximum number of elements in the list.
readCount (Optional)
Type: s3pi.Interfaces IndexList T  ReadCountMethod
Optional; default is to read a   Online Int32 from the   Online Stream.
writeCount (Optional)
Type: s3pi.Interfaces IndexList T  WriteCountMethod
Optional; default is to write a   Online Int32 to the   Online Stream.
ParentTGIBlocks (Optional)
Type: s3pi.Interfaces DependentList  TGIBlock
Optional; default parent DependentList T  into which elements of this list index.
See Also
IndexList T  Class
IndexList T  Members
IndexList T  Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IndexList(T) Constructor (EventHandler, Stream, IndexList(T).CreateElementMethod, IndexList(T).WriteElementMethod, Int64, IndexList(T).ReadCountMethod, IndexList(T).WriteCountMethod, DependentList(TGIBlock))

IndexList T Constructor (EventHandler, Stream, IndexList T CreateElementMethod, IndexList T WriteElementMethod, Int64, IndexList T ReadCountMethod, IndexList T WriteCountMethod, DependentList TGIBlock ) s3pi library documentation
Initializes a new instance of the IndexList T class from s.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public IndexList(
    EventHandler handler,
    Stream s,
    IndexList<(Of <(<'T>)>)>..::..CreateElementMethod createElement,
    IndexList<(Of <(<'T>)>)>..::..WriteElementMethod writeElement,
    long size = -1,
    IndexList<(Of <(<'T>)>)>..::..ReadCountMethod readCount = null,
    IndexList<(Of <(<'T>)>)>..::..WriteCountMethod writeCount = null,
    DependentList<TGIBlock> ParentTGIBlocks = null
)
public IndexList(
    EventHandler handler,
    Stream s,
    IndexList<(Of <(<'T>)>)>..::..CreateElementMethod createElement,
    IndexList<(Of <(<'T>)>)>..::..WriteElementMethod writeElement,
    long size = -1,
    IndexList<(Of <(<'T>)>)>..::..ReadCountMethod readCount = null,
    IndexList<(Of <(<'T>)>)>..::..WriteCountMethod writeCount = null,
    DependentList<TGIBlock> ParentTGIBlocks = null
)
Public Sub New (
    handler As EventHandler,
    s As Stream,
    createElement As IndexList<(Of <(<'T>)>)>..::..CreateElementMethod,
    writeElement As IndexList<(Of <(<'T>)>)>..::..WriteElementMethod,
    Optional size As Long = -1,
    Optional readCount As IndexList<(Of <(<'T>)>)>..::..ReadCountMethod = Nothing,
    Optional writeCount As IndexList<(Of <(<'T>)>)>..::..WriteCountMethod = Nothing,
    Optional ParentTGIBlocks As DependentList(Of TGIBlock) = Nothing
)
Public Sub New (
    handler As EventHandler,
    s As Stream,
    createElement As IndexList<(Of <(<'T>)>)>..::..CreateElementMethod,
    writeElement As IndexList<(Of <(<'T>)>)>..::..WriteElementMethod,
    Optional size As Long = -1,
    Optional readCount As IndexList<(Of <(<'T>)>)>..::..ReadCountMethod = Nothing,
    Optional writeCount As IndexList<(Of <(<'T>)>)>..::..WriteCountMethod = Nothing,
    Optional ParentTGIBlocks As DependentList(Of TGIBlock) = Nothing
)
public:
IndexList(
    EventHandler^ handler,
    Stream^ s,
    IndexList<(Of <(<'T>)>)>..::..CreateElementMethod^ createElement,
    IndexList<(Of <(<'T>)>)>..::..WriteElementMethod^ writeElement,
    long long size = -1,
    IndexList<(Of <(<'T>)>)>..::..ReadCountMethod^ readCount = nullptr,
    IndexList<(Of <(<'T>)>)>..::..WriteCountMethod^ writeCount = nullptr,
    DependentList<TGIBlock^>^ ParentTGIBlocks = nullptr
)
public:
IndexList(
    EventHandler^ handler,
    Stream^ s,
    IndexList<(Of <(<'T>)>)>..::..CreateElementMethod^ createElement,
    IndexList<(Of <(<'T>)>)>..::..WriteElementMethod^ writeElement,
    long long size = -1,
    IndexList<(Of <(<'T>)>)>..::..ReadCountMethod^ readCount = nullptr,
    IndexList<(Of <(<'T>)>)>..::..WriteCountMethod^ writeCount = nullptr,
    DependentList<TGIBlock^>^ ParentTGIBlocks = nullptr
)
Parameters
handler
Type:   Online System EventHandler
The   Online EventHandler to call on changes to the list or its elements.
s
Type:   Online System.IO Stream
The   Online Stream to read for the initial content of the list.
createElement
Type: s3pi.Interfaces IndexList T  CreateElementMethod
Required; the method to create a new element in the list from a stream.
writeElement
Type: s3pi.Interfaces IndexList T  WriteElementMethod
Required; the method to create a new element in the list from a stream.
size (Optional)
Type:   Online System Int64
Optional maximum number of elements in the list.
readCount (Optional)
Type: s3pi.Interfaces IndexList T  ReadCountMethod
Optional; default is to read a   Online Int32 from the   Online Stream.
writeCount (Optional)
Type: s3pi.Interfaces IndexList T  WriteCountMethod
Optional; default is to write a   Online Int32 to the   Online Stream.
ParentTGIBlocks (Optional)
Type: s3pi.Interfaces DependentList  TGIBlock
Optional; default parent DependentList T  into which elements of this list index.
See Also
IndexList T  Class
IndexList T  Members
IndexList T  Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IndexList(T) Methods

IndexList T Methods s3pi library documentation
The IndexList T type exposes the following members.
Methods
 | Name | Description
Public method | Add | Add a default element to a IndexList T . (Overrides DependentList T Add .)
Public method | Add(T) | Adds an entry to a IndexList T .
Public method | AddRange | Adds the elements of the specified collection to the end of the IndexList T .
Public method | BinarySearch(T) | Searches a the entire sorted IndexList T for an element using the default comparer and returns the zero-based index of the element.
Public method | BinarySearch(T, IComparer T ) | Searches a the entire sorted IndexList T for an element using the specified comparer and returns the zero-based index of the element.
Public method | BinarySearch(Int32, Int32, T, IComparer T ) | Searches a range of elements in the sorted IndexList T for an element using the specified comparer and returns the zero-based index of the element.
Public method | Contains | Determines whether an element is in the IndexList T .
Public method | ConvertAll TOutput | Converts the elements in the current IndexList T to another type, and returns a list containing the converted elements.
Public method | CopyTo( T ) | Copies the entire IndexList T to a compatible one-dimensional array, starting at the beginning of the target array.
Public method | CopyTo( T , Int32) | Copies the entire IndexList T to a compatible one-dimensional array.
Public method | CopyTo(Int32, T , Int32, Int32) | Copies a range of elements from the IndexList T to a compatible one-dimensional array, starting at the specified index of the target array.
Protected method | CreateElement | Creates an new list element of type T by reading s. (Overrides DependentList T CreateElement(Stream).)
Public method | Exists | Determines whether the IndexList T contains elements that match the conditions defined by the specified predicate.
Public method | Find | Searches for an element that matches the conditions defined by the specified predicate, and returns the first occurrence within the entire IndexList T .
Public method | FindAll | Retrieves all the elements that match the conditions defined by the specified predicate.
Public method | FindIndex(Predicate T ) | Retrieves all the elements that match the conditions defined by the specified predicate. Searches for an element that matches the conditions defined by the specified predicate, and returns the zero-based index of the first occurrence within the entire IndexList T .
Public method | FindIndex(Int32, Predicate T ) | Searches for an element that matches the conditions defined by the specified predicate, and returns the zero-based index of the first occurrence within the range of elements in the IndexList T that extends from the specified index to the last element.
Public method | FindIndex(Int32, Int32, Predicate T ) | Searches for an element that matches the conditions defined by the specified predicate, and returns the zero-based index of the first occurrence within the range of elements in the IndexList T that starts at the specified index and contains the specified number of elements.
Public method | FindLast | Searches for an element that matches the conditions defined by the specified predicate, and returns the last occurrence within the entire IndexList T .
Public method | FindLastIndex(Predicate T ) | Searches for an element that matches the conditions defined by the specified predicate, and returns the zero-based index of the last occurrence within the entire IndexList T .
Public method | FindLastIndex(Int32, Predicate T ) | Searches for an element that matches the conditions defined by the specified predicate, and returns the zero-based index of the last occurrence within the range of elements in the IndexList T that extends from the first element to the specified index.
Public method | FindLastIndex(Int32, Int32, Predicate T ) | Searches for an element that matches the conditions defined by the specified predicate, and returns the zero-based index of the last occurrence within the range of elements in the IndexList T that contains the specified number of elements and ends at the specified index.
Public method | ForEach | Performs the specified action on each element of the IndexList T .
Public method | GetEnumerator | Returns an enumerator that iterates through the collection.
Public method | IndexOf(T) | Searches for the specified object and returns the zero-based index of the first occurrence within the entire IndexList T .
Public method | IndexOf(T, Int32) | Searches for the specified object and returns the zero-based index of the first occurrence within the range of elements in the IndexList T that extends from the specified index to the last element.
Public method | IndexOf(T, Int32, Int32) | Searches for the specified object and returns the zero-based index of the first occurrence within the range of elements in the IndexList T that starts at the specified index and contains the specified number of elements.
Public method | Insert | Inserts an item to the IndexList T at the specified index.
Public method | InsertRange | Inserts the elements of a collection into the IndexList T at the specified index.
Public method | LastIndexOf(T) | Searches for the specified object and returns the zero-based index of the last occurrence within the entire IndexList T .
Public method | LastIndexOf(T, Int32) | Searches for the specified object and returns the zero-based index of the last occurrence within the range of elements in the IndexList T that extends from the first element to the specified index.
Public method | LastIndexOf(T, Int32, Int32) | Searches for the specified object and returns the zero-based index of the last occurrence within the range of elements in the IndexList T that contains the specified number of elements and ends at the specified index.
Protected method | ReadCount | Return the number of elements to be created. (Overrides DependentList T ReadCount(Stream).)
Public method | Remove | Removes the first occurrence of an entry from the IndexList T with the value given.
Public method | RemoveAll | Removes the all the elements that match the conditions defined by the specified predicate.
Public method | Sort(IComparer T ) | Sorts the elements in the entire IndexList T using the specified comparer.
Public method | Sort(Comparison T ) | Sorts the elements in the entire IndexList T using the specified Online Comparison T .
Public method | Sort(Int32, Int32, IComparer T ) | Sorts the elements in a range of elements in IndexList T using the specified comparer.
Public method | ToArray | Copies the elements of the IndexList T to a new array.
Public method | TrueForAll | Determines whether every element in the IndexList T matches the conditions defined by the specified predicate.
Protected method | WriteCount | Write the count of list elements to the stream. (Overrides DependentList T WriteCount(Stream, Int32).)
Protected method | WriteElement | Writes the value of a list element to s. (Overrides DependentList T WriteElement(Stream, T).)
Back to Top
See Also
IndexList T Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IndexList(T).Add Method

IndexList T Add Method s3pi library documentation
Overload List
 | Name | Description
Public method | Add | Add a default element to a IndexList T . (Overrides DependentList T Add .)
Public method | Add(T) | Adds an entry to a IndexList T .
Back to Top
See Also
IndexList T Class
IndexList T Members
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IndexList(T).Add Method

IndexList T Add Method s3pi library documentation
Add a default element to a IndexList T .

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override void Add()
public override void Add()
Public Overrides Sub Add
Public Overrides Sub Add
public:
virtual void Add() override
public:
virtual void Add() override
Implements
IGenericAdd Add
Exceptions
Exception | Condition
Online System NotImplementedException | Lists of abstract classes will fail with a NotImplementedException.
Online System InvalidOperationException | Thrown when list size exceeded.
Online System NotSupportedException | The IndexList T is read-only.
See Also
IndexList T  Class
IndexList T  Members
Add Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IndexList(T).Add Method (T)

IndexList T Add Method (T) s3pi library documentation
Adds an entry to a IndexList T .

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public virtual void Add(
    T item
)
public virtual void Add(
    T item
)
Public Overridable Sub Add (
    item As T
)
Public Overridable Sub Add (
    item As T
)
public:
virtual void Add(
    T item
)
public:
virtual void Add(
    T item
)
Parameters
item
Type: T
The object to add.
Return Value
Type:
True on success
Exceptions
Exception | Condition
Online System InvalidOperationException | Thrown when list size exceeded.
Online System NotSupportedException | The IndexList T is read-only.
See Also
IndexList T  Class
IndexList T  Members
Add Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IndexList(T).AddRange Method

IndexList T AddRange Method s3pi library documentation
Adds the elements of the specified collection to the end of the IndexList T .

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public virtual void AddRange(
    IEnumerable<T> collection
)
public virtual void AddRange(
    IEnumerable<T> collection
)
Public Overridable Sub AddRange (
    collection As IEnumerable(Of T)
)
Public Overridable Sub AddRange (
    collection As IEnumerable(Of T)
)
public:
virtual void AddRange(
    IEnumerable<T>^ collection
)
public:
virtual void AddRange(
    IEnumerable<T>^ collection
)
Parameters
collection
Type:   Online System.Collections.Generic IEnumerable  T
The collection whose elements should be added to the end of the IndexList T .
            The collection itself cannot be null, but it can contain elements that are null, if type T is a reference type.
Exceptions
Exception | Condition
Online System ArgumentNullException | collection is null.
Online System InvalidOperationException | Thrown when list size would be exceeded.
Online System NotSupportedException | The IndexList T is read-only.
Remarks
Calls Add(T) for each item in collection.
See Also
IndexList T  Class
IndexList T  Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IndexList(T).BinarySearch Method

IndexList T BinarySearch Method s3pi library documentation
Overload List
 | Name | Description
Public method | BinarySearch(T) | Searches a the entire sorted IndexList T for an element using the default comparer and returns the zero-based index of the element.
Public method | BinarySearch(T, IComparer T ) | Searches a the entire sorted IndexList T for an element using the specified comparer and returns the zero-based index of the element.
Public method | BinarySearch(Int32, Int32, T, IComparer T ) | Searches a range of elements in the sorted IndexList T for an element using the specified comparer and returns the zero-based index of the element.
Back to Top
See Also
IndexList T Class
IndexList T Members
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IndexList(T).BinarySearch Method (T)

IndexList T BinarySearch Method (T) s3pi library documentation
Searches a the entire sorted IndexList T for an element using the default comparer and returns the zero-based index of the element.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public int BinarySearch(
    T item
)
public int BinarySearch(
    T item
)
Public Function BinarySearch (
    item As T
) As Integer
Public Function BinarySearch (
    item As T
) As Integer
public:
int BinarySearch(
    T item
)
public:
int BinarySearch(
    T item
)
Parameters
item
Type: T

                The object to locate.

Return Value
Type:   Online Int32

                The zero-based index of item in the sorted IndexList T ,
                if item is found; otherwise, a negative number that is the bitwise complement
                of the index of the next element that is larger than item or, if there is
                no larger element, the bitwise complement of IndexList T .Count.

Exceptions
Exception | Condition
Online System InvalidOperationException | The default comparer Online Default cannot find an implementation of the Online IComparable T generic interface or the Online IComparable interface for type T.
See Also
IndexList T  Class
IndexList T  Members
BinarySearch Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IndexList(T).BinarySearch Method (T, IComparer(T))

IndexList T BinarySearch Method (T, IComparer T ) s3pi library documentation
Searches a the entire sorted IndexList T for an element using the specified comparer and returns the zero-based index of the element.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public int BinarySearch(
    T item,
    IComparer<T> comparer
)
public int BinarySearch(
    T item,
    IComparer<T> comparer
)
Public Function BinarySearch (
    item As T,
    comparer As IComparer(Of T)
) As Integer
Public Function BinarySearch (
    item As T,
    comparer As IComparer(Of T)
) As Integer
public:
int BinarySearch(
    T item,
    IComparer<T>^ comparer
)
public:
int BinarySearch(
    T item,
    IComparer<T>^ comparer
)
Parameters
item
Type: T

                The object to locate.

comparer
Type:   Online System.Collections.Generic IComparer  T

                The   Online IComparer T  implementation to use when comparing
                elements.

-or-

                null to use the default comparer   Online Default.

Return Value
Type:   Online Int32

                The zero-based index of item in the sorted IndexList T ,
                if item is found; otherwise, a negative number that is the bitwise complement
                of the index of the next element that is larger than item or, if there is
                no larger element, the bitwise complement of IndexList T .Count.

Exceptions
Exception | Condition
Online System InvalidOperationException | comparer is null, and the default comparer Online Default cannot find an implementation of the Online IComparable T generic interface or the Online IComparable interface for type T.
See Also
IndexList T  Class
IndexList T  Members
BinarySearch Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IndexList(T).BinarySearch Method (Int32, Int32, T, IComparer(T))

IndexList T BinarySearch Method (Int32, Int32, T, IComparer T ) s3pi library documentation
Searches a range of elements in the sorted IndexList T for an element using the specified comparer and returns the zero-based index of the element.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public int BinarySearch(
    int index,
    int count,
    T item,
    IComparer<T> comparer
)
public int BinarySearch(
    int index,
    int count,
    T item,
    IComparer<T> comparer
)
Public Function BinarySearch (
    index As Integer,
    count As Integer,
    item As T,
    comparer As IComparer(Of T)
) As Integer
Public Function BinarySearch (
    index As Integer,
    count As Integer,
    item As T,
    comparer As IComparer(Of T)
) As Integer
public:
int BinarySearch(
    int index,
    int count,
    T item,
    IComparer<T>^ comparer
)
public:
int BinarySearch(
    int index,
    int count,
    T item,
    IComparer<T>^ comparer
)
Parameters
index
Type:   Online System Int32

                The zero-based starting index of the range to search.

count
Type:   Online System Int32

                The length of the range to search.

item
Type: T

                The object to locate.

comparer
Type:   Online System.Collections.Generic IComparer  T

                The   Online IComparer T  implementation to use when comparing
                elements, or null to use the default comparer   Online Default.

Return Value
Type:   Online Int32

                The zero-based index of item in the sorted IndexList T ,
                if item is found; otherwise, a negative number that is the bitwise complement
                of the index of the next element that is larger than item or, if there is
                no larger element, the bitwise complement of IndexList T .Count.

Exceptions
Exception | Condition
Online System ArgumentOutOfRangeException | index is less than 0. -or- count is less than 0.
Online System ArgumentException | index and count do not denote a valid range in the IndexList T .
Online System InvalidOperationException | comparer is null, and the default comparer Online Default cannot find an implementation of the Online IComparable T generic interface or the Online IComparable interface for type T.
See Also
IndexList T  Class
IndexList T  Members
BinarySearch Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IndexList(T).Contains Method

IndexList T Contains Method s3pi library documentation
Determines whether an element is in the IndexList T .

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public bool Contains(
    T item
)
public bool Contains(
    T item
)
Public Function Contains (
    item As T
) As Boolean
Public Function Contains (
    item As T
) As Boolean
public:
bool Contains(
    T item
)
public:
bool Contains(
    T item
)
Parameters
item
Type: T
The object to locate in the IndexList T .
Return Value
Type:   Online Boolean
true if item is found in the IndexList T ; otherwise, false.
See Also
IndexList T  Class
IndexList T  Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IndexList(T).ConvertAll(TOutput) Method

IndexList T ConvertAll TOutput Method s3pi library documentation
Converts the elements in the current IndexList T to another type, and returns a list containing the converted elements.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public List<TOutput> ConvertAll<TOutput>(
    Converter<T, TOutput> converter
)
public List<TOutput> ConvertAll<TOutput>(
    Converter<T, TOutput> converter
)
Public Function ConvertAll(Of TOutput) (
    converter As Converter(Of T, TOutput)
) As List(Of TOutput)
Public Function ConvertAll(Of TOutput) (
    converter As Converter(Of T, TOutput)
) As List(Of TOutput)
public:
generic<typename TOutput>
List<TOutput>^ ConvertAll(
    Converter<T, TOutput>^ converter
)
public:
generic<typename TOutput>
List<TOutput>^ ConvertAll(
    Converter<T, TOutput>^ converter
)
Parameters
converter
Type:   Online System Converter  T, TOutput

                A   Online Converter TInput, TOutput  delegate that converts each element from
                one type to another type.

Type Parameters
TOutput

                The target type of the elements of the   Online List T .

Return Value
Type:   Online List  TOutput

                A   Online List T  of the target type containing the converted
                elements from the current IndexList T .

Exceptions
Exception | Condition
Online System ArgumentNullException | converter is null.
See Also
IndexList T  Class
IndexList T  Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IndexList(T).CopyTo Method

IndexList T CopyTo Method s3pi library documentation
Overload List
 | Name | Description
Public method | CopyTo( T ) | Copies the entire IndexList T to a compatible one-dimensional array, starting at the beginning of the target array.
Public method | CopyTo( T , Int32) | Copies the entire IndexList T to a compatible one-dimensional array.
Public method | CopyTo(Int32, T , Int32, Int32) | Copies a range of elements from the IndexList T to a compatible one-dimensional array, starting at the specified index of the target array.
Back to Top
See Also
IndexList T Class
IndexList T Members
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IndexList(T).CopyTo Method (T[])

IndexList T CopyTo Method ( T ) s3pi library documentation
Copies the entire IndexList T to a compatible one-dimensional array, starting at the beginning of the target array.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void CopyTo(
    T[] array
)
public void CopyTo(
    T[] array
)
Public Sub CopyTo (
    array As T()
)
Public Sub CopyTo (
    array As T()
)
public:
void CopyTo(
    array<T>^ array
)
public:
void CopyTo(
    array<T>^ array
)
Parameters
array
Type:  T

                The one-dimensional System.Array that is the destination of the elements
                copied from IndexList T . The   Online Array must have
                zero-based indexing.

Exceptions
Exception | Condition
Online System ArgumentNullException | array is null.
Online System ArgumentException | The number of elements in the source IndexList T is greater than the number of elements that the destination array can contain.
See Also
IndexList T  Class
IndexList T  Members
CopyTo Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IndexList(T).CopyTo Method (T[], Int32)

IndexList T CopyTo Method ( T , Int32) s3pi library documentation
Copies the entire IndexList T to a compatible one-dimensional array.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void CopyTo(
    T[] array,
    int arrayIndex
)
public void CopyTo(
    T[] array,
    int arrayIndex
)
Public Sub CopyTo (
    array As T(),
    arrayIndex As Integer
)
Public Sub CopyTo (
    array As T(),
    arrayIndex As Integer
)
public:
void CopyTo(
    array<T>^ array,
    int arrayIndex
)
public:
void CopyTo(
    array<T>^ array,
    int arrayIndex
)
Parameters
array
Type:  T

                The one-dimensional System.Array that is the destination of the elements
                copied from IndexList T . The   Online Array must have
                zero-based indexing.

arrayIndex
Type:   Online System Int32

                The zero-based index in array at which copying begins.

Exceptions
Exception | Condition
Online System ArgumentNullException | array is null.
Online System ArgumentOutOfRangeException | arrayIndex is less than 0.
Online System ArgumentException | arrayIndex is equal to or greater than the length of array. -or- The number of elements in the source IndexList T is greater than the available space from arrayIndex to the end of the destination array.
See Also
IndexList T  Class
IndexList T  Members
CopyTo Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IndexList(T).CopyTo Method (Int32, T[], Int32, Int32)

IndexList T CopyTo Method (Int32, T , Int32, Int32) s3pi library documentation
Copies a range of elements from the IndexList T to a compatible one-dimensional array, starting at the specified index of the target array.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void CopyTo(
    int index,
    T[] array,
    int arrayIndex,
    int count
)
public void CopyTo(
    int index,
    T[] array,
    int arrayIndex,
    int count
)
Public Sub CopyTo (
    index As Integer,
    array As T(),
    arrayIndex As Integer,
    count As Integer
)
Public Sub CopyTo (
    index As Integer,
    array As T(),
    arrayIndex As Integer,
    count As Integer
)
public:
void CopyTo(
    int index,
    array<T>^ array,
    int arrayIndex,
    int count
)
public:
void CopyTo(
    int index,
    array<T>^ array,
    int arrayIndex,
    int count
)
Parameters
index
Type:   Online System Int32

                The zero-based index in the source IndexList T  at
                which copying begins.

array
Type:  T

                The one-dimensional System.Array that is the destination of the elements
                copied from IndexList T . The   Online Array must have
                zero-based indexing.

arrayIndex
Type:   Online System Int32

                The zero-based index in array at which copying begins.

count
Type:   Online System Int32

                The number of elements to copy.

Exceptions
Exception | Condition
Online System ArgumentNullException | array is null.
Online System ArgumentOutOfRangeException | index is less than 0. -or- arrayIndex is less than 0. -or- count is less than 0.
Online System ArgumentException | index is equal to or greater than the IndexList T .Count of the source IndexList T . -or- arrayIndex is equal to or greater than the length of array. -or- The number of elements from index to the end of the source IndexList T is greater than the available space from arrayIndex to the end of the destination array.
See Also
IndexList T  Class
IndexList T  Members
CopyTo Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IndexList(T).CreateElement Method

IndexList T CreateElement Method s3pi library documentation
Creates an new list element of type T by reading s.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected override TGIBlockListIndex<T> CreateElement(
    Stream s
)
protected override TGIBlockListIndex<T> CreateElement(
    Stream s
)
Protected Overrides Function CreateElement (
    s As Stream
) As TGIBlockListIndex(Of T)
Protected Overrides Function CreateElement (
    s As Stream
) As TGIBlockListIndex(Of T)
protected:
virtual TGIBlockListIndex<T>^ CreateElement(
    Stream^ s
) override
protected:
virtual TGIBlockListIndex<T>^ CreateElement(
    Stream^ s
) override
Parameters
s
Type:   Online System.IO Stream
  Online Stream containing data.
Return Value
Type: TGIBlockListIndex  T
New list element.
See Also
IndexList T  Class
IndexList T  Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IndexList(T).Exists Method

IndexList T Exists Method s3pi library documentation
Determines whether the IndexList T contains elements that match the conditions defined by the specified predicate.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public bool Exists(
    Predicate<T> match
)
public bool Exists(
    Predicate<T> match
)
Public Function Exists (
    match As Predicate(Of T)
) As Boolean
Public Function Exists (
    match As Predicate(Of T)
) As Boolean
public:
bool Exists(
    Predicate<T>^ match
)
public:
bool Exists(
    Predicate<T>^ match
)
Parameters
match
Type:   Online System Predicate  T

                The   Online Predicate T  delegate that defines the conditions of the elements
                to search for.

Return Value
Type:   Online Boolean

                true if the IndexList T  contains one or more elements
                that match the conditions defined by the specified predicate; otherwise,
                false.

Exceptions
Exception | Condition
Online System ArgumentNullException | match is null.
See Also
IndexList T  Class
IndexList T  Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IndexList(T).Find Method

IndexList T Find Method s3pi library documentation
Searches for an element that matches the conditions defined by the specified predicate, and returns the first occurrence within the entire IndexList T .

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public T Find(
    Predicate<T> match
)
public T Find(
    Predicate<T> match
)
Public Function Find (
    match As Predicate(Of T)
) As T
Public Function Find (
    match As Predicate(Of T)
) As T
public:
T Find(
    Predicate<T>^ match
)
public:
T Find(
    Predicate<T>^ match
)
Parameters
match
Type:   Online System Predicate  T

                The   Online Predicate T  delegate that defines the conditions of the element
                to search for.

Return Value
Type: T

                The first element that matches the conditions defined by the specified predicate,
                if found; otherwise, the default value for type T.

Exceptions
Exception | Condition
Online System ArgumentNullException | match is null.
See Also
IndexList T  Class
IndexList T  Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IndexList(T).FindAll Method

IndexList T FindAll Method s3pi library documentation
Retrieves all the elements that match the conditions defined by the specified predicate.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public List<T> FindAll(
    Predicate<T> match
)
public List<T> FindAll(
    Predicate<T> match
)
Public Function FindAll (
    match As Predicate(Of T)
) As List(Of T)
Public Function FindAll (
    match As Predicate(Of T)
) As List(Of T)
public:
List<T>^ FindAll(
    Predicate<T>^ match
)
public:
List<T>^ FindAll(
    Predicate<T>^ match
)
Parameters
match
Type:   Online System Predicate  T

                The   Online Predicate T  delegate that defines the conditions of the elements
                to search for.

Return Value
Type:   Online List  T

                A   Online List T  containing all the elements that match
                the conditions defined by the specified predicate, if found; otherwise, an
                empty   Online List T .

Exceptions
Exception | Condition
Online System ArgumentNullException | match is null.
See Also
IndexList T  Class
IndexList T  Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IndexList(T).FindIndex Method

IndexList T FindIndex Method s3pi library documentation
Overload List
 | Name | Description
Public method | FindIndex(Predicate T ) | Retrieves all the elements that match the conditions defined by the specified predicate. Searches for an element that matches the conditions defined by the specified predicate, and returns the zero-based index of the first occurrence within the entire IndexList T .
Public method | FindIndex(Int32, Predicate T ) | Searches for an element that matches the conditions defined by the specified predicate, and returns the zero-based index of the first occurrence within the range of elements in the IndexList T that extends from the specified index to the last element.
Public method | FindIndex(Int32, Int32, Predicate T ) | Searches for an element that matches the conditions defined by the specified predicate, and returns the zero-based index of the first occurrence within the range of elements in the IndexList T that starts at the specified index and contains the specified number of elements.
Back to Top
See Also
IndexList T Class
IndexList T Members
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IndexList(T).FindIndex Method (Predicate(T))

IndexList T FindIndex Method (Predicate T ) s3pi library documentation
Retrieves all the elements that match the conditions defined by the specified predicate. Searches for an element that matches the conditions defined by the specified predicate, and returns the zero-based index of the first occurrence within the entire IndexList T .

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public int FindIndex(
    Predicate<T> match
)
public int FindIndex(
    Predicate<T> match
)
Public Function FindIndex (
    match As Predicate(Of T)
) As Integer
Public Function FindIndex (
    match As Predicate(Of T)
) As Integer
public:
int FindIndex(
    Predicate<T>^ match
)
public:
int FindIndex(
    Predicate<T>^ match
)
Parameters
match
Type:   Online System Predicate  T

                The   Online Predicate T  delegate that defines the conditions of the element
                to search for.

Return Value
Type:   Online Int32

                The zero-based index of the first occurrence of an element that matches the
                conditions defined by match, if found; otherwise, –1.

Exceptions
Exception | Condition
Online System ArgumentNullException | match is null.
See Also
IndexList T  Class
IndexList T  Members
FindIndex Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IndexList(T).FindIndex Method (Int32, Predicate(T))

IndexList T FindIndex Method (Int32, Predicate T ) s3pi library documentation
Searches for an element that matches the conditions defined by the specified predicate, and returns the zero-based index of the first occurrence within the range of elements in the IndexList T that extends from the specified index to the last element.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public int FindIndex(
    int startIndex,
    Predicate<T> match
)
public int FindIndex(
    int startIndex,
    Predicate<T> match
)
Public Function FindIndex (
    startIndex As Integer,
    match As Predicate(Of T)
) As Integer
Public Function FindIndex (
    startIndex As Integer,
    match As Predicate(Of T)
) As Integer
public:
int FindIndex(
    int startIndex,
    Predicate<T>^ match
)
public:
int FindIndex(
    int startIndex,
    Predicate<T>^ match
)
Parameters
startIndex
Type:   Online System Int32

                The zero-based starting index of the search.

match
Type:   Online System Predicate  T

                The   Online Predicate T  delegate that defines the conditions of the element
                to search for.

Return Value
Type:   Online Int32

                The zero-based index of the first occurrence of an element that matches the
                conditions defined by match, if found; otherwise, –1.

Exceptions
Exception | Condition
Online System ArgumentNullException | match is null.
Online System ArgumentOutOfRangeException | startIndex is outside the range of valid indexes for the IndexList T .
See Also
IndexList T  Class
IndexList T  Members
FindIndex Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IndexList(T).FindIndex Method (Int32, Int32, Predicate(T))

IndexList T FindIndex Method (Int32, Int32, Predicate T ) s3pi library documentation
Searches for an element that matches the conditions defined by the specified predicate, and returns the zero-based index of the first occurrence within the range of elements in the IndexList T that starts at the specified index and contains the specified number of elements.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public int FindIndex(
    int startIndex,
    int count,
    Predicate<T> match
)
public int FindIndex(
    int startIndex,
    int count,
    Predicate<T> match
)
Public Function FindIndex (
    startIndex As Integer,
    count As Integer,
    match As Predicate(Of T)
) As Integer
Public Function FindIndex (
    startIndex As Integer,
    count As Integer,
    match As Predicate(Of T)
) As Integer
public:
int FindIndex(
    int startIndex,
    int count,
    Predicate<T>^ match
)
public:
int FindIndex(
    int startIndex,
    int count,
    Predicate<T>^ match
)
Parameters
startIndex
Type:   Online System Int32

                The zero-based starting index of the search.

count
Type:   Online System Int32

                The number of elements in the section to search.

match
Type:   Online System Predicate  T

                The   Online Predicate T  delegate that defines the conditions of the element
                to search for.

Return Value
Type:   Online Int32

                The zero-based index of the first occurrence of an element that matches the
                conditions defined by match, if found; otherwise, –1.

Exceptions
Exception | Condition
Online System ArgumentNullException | match is null.
Online System ArgumentOutOfRangeException | startIndex is outside the range of valid indexes for the IndexList T . -or- count is less than 0. -or- startIndex and count do not specify a valid section in the IndexList T .
See Also
IndexList T  Class
IndexList T  Members
FindIndex Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IndexList(T).FindLast Method

IndexList T FindLast Method s3pi library documentation
Searches for an element that matches the conditions defined by the specified predicate, and returns the last occurrence within the entire IndexList T .

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public T FindLast(
    Predicate<T> match
)
public T FindLast(
    Predicate<T> match
)
Public Function FindLast (
    match As Predicate(Of T)
) As T
Public Function FindLast (
    match As Predicate(Of T)
) As T
public:
T FindLast(
    Predicate<T>^ match
)
public:
T FindLast(
    Predicate<T>^ match
)
Parameters
match
Type:   Online System Predicate  T

                The   Online Predicate T  delegate that defines the conditions of the element
                to search for.

Return Value
Type: T

                The last element that matches the conditions defined by the specified predicate,
                if found; otherwise, the default value for type T.

Exceptions
Exception | Condition
Online System ArgumentNullException | match is null.
See Also
IndexList T  Class
IndexList T  Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IndexList(T).FindLastIndex Method

IndexList T FindLastIndex Method s3pi library documentation
Overload List
 | Name | Description
Public method | FindLastIndex(Predicate T ) | Searches for an element that matches the conditions defined by the specified predicate, and returns the zero-based index of the last occurrence within the entire IndexList T .
Public method | FindLastIndex(Int32, Predicate T ) | Searches for an element that matches the conditions defined by the specified predicate, and returns the zero-based index of the last occurrence within the range of elements in the IndexList T that extends from the first element to the specified index.
Public method | FindLastIndex(Int32, Int32, Predicate T ) | Searches for an element that matches the conditions defined by the specified predicate, and returns the zero-based index of the last occurrence within the range of elements in the IndexList T that contains the specified number of elements and ends at the specified index.
Back to Top
See Also
IndexList T Class
IndexList T Members
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IndexList(T).FindLastIndex Method (Predicate(T))

IndexList T FindLastIndex Method (Predicate T ) s3pi library documentation
Searches for an element that matches the conditions defined by the specified predicate, and returns the zero-based index of the last occurrence within the entire IndexList T .

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public int FindLastIndex(
    Predicate<T> match
)
public int FindLastIndex(
    Predicate<T> match
)
Public Function FindLastIndex (
    match As Predicate(Of T)
) As Integer
Public Function FindLastIndex (
    match As Predicate(Of T)
) As Integer
public:
int FindLastIndex(
    Predicate<T>^ match
)
public:
int FindLastIndex(
    Predicate<T>^ match
)
Parameters
match
Type:   Online System Predicate  T

                The   Online Predicate T  delegate that defines the conditions of the element
                to search for.

Return Value
Type:   Online Int32

                The zero-based index of the last occurrence of an element that matches the
                conditions defined by match, if found; otherwise, –1.

Exceptions
Exception | Condition
Online System ArgumentNullException | match is null.
See Also
IndexList T  Class
IndexList T  Members
FindLastIndex Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IndexList(T).FindLastIndex Method (Int32, Predicate(T))

IndexList T FindLastIndex Method (Int32, Predicate T ) s3pi library documentation
Searches for an element that matches the conditions defined by the specified predicate, and returns the zero-based index of the last occurrence within the range of elements in the IndexList T that extends from the first element to the specified index.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public int FindLastIndex(
    int startIndex,
    Predicate<T> match
)
public int FindLastIndex(
    int startIndex,
    Predicate<T> match
)
Public Function FindLastIndex (
    startIndex As Integer,
    match As Predicate(Of T)
) As Integer
Public Function FindLastIndex (
    startIndex As Integer,
    match As Predicate(Of T)
) As Integer
public:
int FindLastIndex(
    int startIndex,
    Predicate<T>^ match
)
public:
int FindLastIndex(
    int startIndex,
    Predicate<T>^ match
)
Parameters
startIndex
Type:   Online System Int32

                The zero-based starting index of the backward search.

match
Type:   Online System Predicate  T

                The   Online Predicate T  delegate that defines the conditions of the element
                to search for.

Return Value
Type:   Online Int32

                The zero-based index of the last occurrence of an element that matches the
                conditions defined by match, if found; otherwise, –1.

Exceptions
Exception | Condition
Online System ArgumentNullException | match is null.
Online System ArgumentOutOfRangeException | startIndex is outside the range of valid indexes for the IndexList T .
See Also
IndexList T  Class
IndexList T  Members
FindLastIndex Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IndexList(T).FindLastIndex Method (Int32, Int32, Predicate(T))

IndexList T FindLastIndex Method (Int32, Int32, Predicate T ) s3pi library documentation
Searches for an element that matches the conditions defined by the specified predicate, and returns the zero-based index of the last occurrence within the range of elements in the IndexList T that contains the specified number of elements and ends at the specified index.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public int FindLastIndex(
    int startIndex,
    int count,
    Predicate<T> match
)
public int FindLastIndex(
    int startIndex,
    int count,
    Predicate<T> match
)
Public Function FindLastIndex (
    startIndex As Integer,
    count As Integer,
    match As Predicate(Of T)
) As Integer
Public Function FindLastIndex (
    startIndex As Integer,
    count As Integer,
    match As Predicate(Of T)
) As Integer
public:
int FindLastIndex(
    int startIndex,
    int count,
    Predicate<T>^ match
)
public:
int FindLastIndex(
    int startIndex,
    int count,
    Predicate<T>^ match
)
Parameters
startIndex
Type:   Online System Int32

                The zero-based starting index of the backward search.

count
Type:   Online System Int32

                The number of elements in the section to search.

match
Type:   Online System Predicate  T

                The   Online Predicate T  delegate that defines the conditions of the element
                to search for.

Return Value
Type:   Online Int32

                The zero-based index of the last occurrence of an element that matches the
                conditions defined by match, if found; otherwise, –1.

Exceptions
Exception | Condition
Online System ArgumentNullException | match is null.
Online System ArgumentOutOfRangeException | startIndex is outside the range of valid indexes for the IndexList T . -or- count is less than 0. -or- startIndex and count do not specify a valid section in the IndexList T .
See Also
IndexList T  Class
IndexList T  Members
FindLastIndex Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IndexList(T).ForEach Method

IndexList T ForEach Method s3pi library documentation
Performs the specified action on each element of the IndexList T .

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void ForEach(
    Action<T> action
)
public void ForEach(
    Action<T> action
)
Public Sub ForEach (
    action As Action(Of T)
)
Public Sub ForEach (
    action As Action(Of T)
)
public:
void ForEach(
    Action<T>^ action
)
public:
void ForEach(
    Action<T>^ action
)
Parameters
action
Type:   Online System Action  T

            The   Online Action T  delegate to perform on each element of the IndexList T .

Exceptions
Exception | Condition
Online System ArgumentNullException | action is null.
See Also
IndexList T  Class
IndexList T  Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IndexList(T).GetEnumerator Method

IndexList T GetEnumerator Method s3pi library documentation
Returns an enumerator that iterates through the collection.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public IEnumerator<T> GetEnumerator()
public IEnumerator<T> GetEnumerator()
Public Function GetEnumerator As IEnumerator(Of T)
Public Function GetEnumerator As IEnumerator(Of T)
public:
virtual IEnumerator<T>^ GetEnumerator() sealed
public:
virtual IEnumerator<T>^ GetEnumerator() sealed
Return Value
Type:   Online IEnumerator  T
A   Online IEnumerator T  that can be used to iterate through the collection.
Implements
  Online IEnumerable T  GetEnumerator
See Also
IndexList T  Class
IndexList T  Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IndexList(T).IndexOf Method

IndexList T IndexOf Method s3pi library documentation
Overload List
 | Name | Description
Public method | IndexOf(T) | Searches for the specified object and returns the zero-based index of the first occurrence within the entire IndexList T .
Public method | IndexOf(T, Int32) | Searches for the specified object and returns the zero-based index of the first occurrence within the range of elements in the IndexList T that extends from the specified index to the last element.
Public method | IndexOf(T, Int32, Int32) | Searches for the specified object and returns the zero-based index of the first occurrence within the range of elements in the IndexList T that starts at the specified index and contains the specified number of elements.
Back to Top
See Also
IndexList T Class
IndexList T Members
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IndexList(T).IndexOf Method (T)

IndexList T IndexOf Method (T) s3pi library documentation
Searches for the specified object and returns the zero-based index of the first occurrence within the entire IndexList T .

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public int IndexOf(
    T item
)
public int IndexOf(
    T item
)
Public Function IndexOf (
    item As T
) As Integer
Public Function IndexOf (
    item As T
) As Integer
public:
int IndexOf(
    T item
)
public:
int IndexOf(
    T item
)
Parameters
item
Type: T

                The object to locate in the IndexList T .

Return Value
Type:   Online Int32

                The zero-based index of the first occurrence of item within the entire IndexList T ,
                if found; otherwise, –1.

See Also
IndexList T  Class
IndexList T  Members
IndexOf Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IndexList(T).IndexOf Method (T, Int32)

IndexList T IndexOf Method (T, Int32) s3pi library documentation
Searches for the specified object and returns the zero-based index of the first occurrence within the range of elements in the IndexList T that extends from the specified index to the last element.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public int IndexOf(
    T item,
    int index
)
public int IndexOf(
    T item,
    int index
)
Public Function IndexOf (
    item As T,
    index As Integer
) As Integer
Public Function IndexOf (
    item As T,
    index As Integer
) As Integer
public:
int IndexOf(
    T item,
    int index
)
public:
int IndexOf(
    T item,
    int index
)
Parameters
item
Type: T

                The object to locate in the IndexList T .

index
Type:   Online System Int32

                The zero-based starting index of the search.

Return Value
Type:   Online Int32

                The zero-based index of the first occurrence of item within the range of
                elements in the IndexList T  that extends from index
                to the last element, if found; otherwise, –1.

Exceptions
Exception | Condition
Online System ArgumentOutOfRangeException | index is outside the range of valid indexes for the IndexList T .
See Also
IndexList T  Class
IndexList T  Members
IndexOf Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IndexList(T).IndexOf Method (T, Int32, Int32)

IndexList T IndexOf Method (T, Int32, Int32) s3pi library documentation
Searches for the specified object and returns the zero-based index of the first occurrence within the range of elements in the IndexList T that starts at the specified index and contains the specified number of elements.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public int IndexOf(
    T item,
    int index,
    int count
)
public int IndexOf(
    T item,
    int index,
    int count
)
Public Function IndexOf (
    item As T,
    index As Integer,
    count As Integer
) As Integer
Public Function IndexOf (
    item As T,
    index As Integer,
    count As Integer
) As Integer
public:
int IndexOf(
    T item,
    int index,
    int count
)
public:
int IndexOf(
    T item,
    int index,
    int count
)
Parameters
item
Type: T

                The object to locate in the IndexList T .

index
Type:   Online System Int32

                The zero-based starting index of the search.

count
Type:   Online System Int32

                The number of elements in the section to search.

Return Value
Type:   Online Int32

                The zero-based index of the first occurrence of item within the range of
                elements in the IndexList T  that
                starts at index and contains count number of elements,
                if found; otherwise, –1.

Exceptions
Exception | Condition
Online System ArgumentOutOfRangeException | index is outside the range of valid indexes for the IndexList T . -or- count is less than 0. -or- index and count do not specify a valid section in the IndexList T .
See Also
IndexList T  Class
IndexList T  Members
IndexOf Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IndexList(T).Insert Method

IndexList T Insert Method s3pi library documentation
Inserts an item to the IndexList T at the specified index.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public virtual void Insert(
    int index,
    T item
)
public virtual void Insert(
    int index,
    T item
)
Public Overridable Sub Insert (
    index As Integer,
    item As T
)
Public Overridable Sub Insert (
    index As Integer,
    item As T
)
public:
virtual void Insert(
    int index,
    T item
)
public:
virtual void Insert(
    int index,
    T item
)
Parameters
index
Type:   Online System Int32
The zero-based index at which item should be inserted.
item
Type: T
The object to insert into the IndexList T .
Exceptions
Exception | Condition
Online System ArgumentOutOfRangeException | index is not a valid index in the IndexList T .
Online System InvalidOperationException | Thrown when list size exceeded.
Online System NotSupportedException | The IndexList T is read-only.
See Also
IndexList T  Class
IndexList T  Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IndexList(T).InsertRange Method

IndexList T InsertRange Method s3pi library documentation
Inserts the elements of a collection into the IndexList T at the specified index.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public virtual void InsertRange(
    int index,
    IEnumerable<T> collection
)
public virtual void InsertRange(
    int index,
    IEnumerable<T> collection
)
Public Overridable Sub InsertRange (
    index As Integer,
    collection As IEnumerable(Of T)
)
Public Overridable Sub InsertRange (
    index As Integer,
    collection As IEnumerable(Of T)
)
public:
virtual void InsertRange(
    int index,
    IEnumerable<T>^ collection
)
public:
virtual void InsertRange(
    int index,
    IEnumerable<T>^ collection
)
Parameters
index
Type:   Online System Int32
The zero-based index at which the new elements should be inserted.
collection
Type:   Online System.Collections.Generic IEnumerable  T
The collection whose elements should be inserted into the IndexList T .
            The collection itself cannot be null, but it can contain elements that are null, if type T is a reference type.
Exceptions
Exception | Condition
Online System ArgumentNullException | collection is null.
Online System ArgumentOutOfRangeException | index is less than 0. -or- index is greater than IndexList T .Count.
Online System InvalidOperationException | Thrown when list size would be exceeded.
Online System NotSupportedException | The IndexList T is read-only.
Remarks
Calls Insert(Int32, T) for each item in collection.
See Also
IndexList T  Class
IndexList T  Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IndexList(T).LastIndexOf Method

IndexList T LastIndexOf Method s3pi library documentation
Overload List
 | Name | Description
Public method | LastIndexOf(T) | Searches for the specified object and returns the zero-based index of the last occurrence within the entire IndexList T .
Public method | LastIndexOf(T, Int32) | Searches for the specified object and returns the zero-based index of the last occurrence within the range of elements in the IndexList T that extends from the first element to the specified index.
Public method | LastIndexOf(T, Int32, Int32) | Searches for the specified object and returns the zero-based index of the last occurrence within the range of elements in the IndexList T that contains the specified number of elements and ends at the specified index.
Back to Top
See Also
IndexList T Class
IndexList T Members
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IndexList(T).LastIndexOf Method (T)

IndexList T LastIndexOf Method (T) s3pi library documentation
Searches for the specified object and returns the zero-based index of the last occurrence within the entire IndexList T .

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public int LastIndexOf(
    T item
)
public int LastIndexOf(
    T item
)
Public Function LastIndexOf (
    item As T
) As Integer
Public Function LastIndexOf (
    item As T
) As Integer
public:
int LastIndexOf(
    T item
)
public:
int LastIndexOf(
    T item
)
Parameters
item
Type: T

                The object to locate in the IndexList T .

Return Value
Type:   Online Int32

                The zero-based index of the last occurrence of item within the entire IndexList T ,
                if found; otherwise, –1.

See Also
IndexList T  Class
IndexList T  Members
LastIndexOf Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IndexList(T).LastIndexOf Method (T, Int32)

IndexList T LastIndexOf Method (T, Int32) s3pi library documentation
Searches for the specified object and returns the zero-based index of the last occurrence within the range of elements in the IndexList T that extends from the first element to the specified index.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public int LastIndexOf(
    T item,
    int index
)
public int LastIndexOf(
    T item,
    int index
)
Public Function LastIndexOf (
    item As T,
    index As Integer
) As Integer
Public Function LastIndexOf (
    item As T,
    index As Integer
) As Integer
public:
int LastIndexOf(
    T item,
    int index
)
public:
int LastIndexOf(
    T item,
    int index
)
Parameters
item
Type: T

                The object to locate in the IndexList T .

index
Type:   Online System Int32

                The zero-based starting index of the backward search.

Return Value
Type:   Online Int32

                The zero-based index of the last occurrence of item within the range of
                elements in the IndexList T  that
                extends from the first element and ends at index,
                if found; otherwise, –1.

Exceptions
Exception | Condition
Online System ArgumentOutOfRangeException | index is outside the range of valid indexes for the IndexList T .
See Also
IndexList T  Class
IndexList T  Members
LastIndexOf Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IndexList(T).LastIndexOf Method (T, Int32, Int32)

IndexList T LastIndexOf Method (T, Int32, Int32) s3pi library documentation
Searches for the specified object and returns the zero-based index of the last occurrence within the range of elements in the IndexList T that contains the specified number of elements and ends at the specified index.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public int LastIndexOf(
    T item,
    int index,
    int count
)
public int LastIndexOf(
    T item,
    int index,
    int count
)
Public Function LastIndexOf (
    item As T,
    index As Integer,
    count As Integer
) As Integer
Public Function LastIndexOf (
    item As T,
    index As Integer,
    count As Integer
) As Integer
public:
int LastIndexOf(
    T item,
    int index,
    int count
)
public:
int LastIndexOf(
    T item,
    int index,
    int count
)
Parameters
item
Type: T

                The object to locate in the IndexList T .

index
Type:   Online System Int32

                The zero-based starting index of the backward search.

count
Type:   Online System Int32

                The number of elements in the section to search.

Return Value
Type:   Online Int32

                The zero-based index of the last occurrence of item within the range of
                elements in the IndexList T  that
                contains count number of elements and ends at index,
                if found; otherwise, –1.

Exceptions
Exception | Condition
Online System ArgumentOutOfRangeException | index is outside the range of valid indexes for the IndexList T . -or- count is less than 0. -or- index and count do not specify a valid section in the IndexList T .
See Also
IndexList T  Class
IndexList T  Members
LastIndexOf Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IndexList(T).ReadCount Method

IndexList T ReadCount Method s3pi library documentation
Return the number of elements to be created.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected override int ReadCount(
    Stream s
)
protected override int ReadCount(
    Stream s
)
Protected Overrides Function ReadCount (
    s As Stream
) As Integer
Protected Overrides Function ReadCount (
    s As Stream
) As Integer
protected:
virtual int ReadCount(
    Stream^ s
) override
protected:
virtual int ReadCount(
    Stream^ s
) override
Parameters
s
Type:   Online System.IO Stream
  Online Stream being processed.
Return Value
Type:   Online Int32
The number of elements to be created.
See Also
IndexList T  Class
IndexList T  Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IndexList(T).Remove Method

IndexList T Remove Method s3pi library documentation
Removes the first occurrence of an entry from the IndexList T with the value given.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public virtual bool Remove(
    T item
)
public virtual bool Remove(
    T item
)
Public Overridable Function Remove (
    item As T
) As Boolean
Public Overridable Function Remove (
    item As T
) As Boolean
public:
virtual bool Remove(
    T item
)
public:
virtual bool Remove(
    T item
)
Parameters
item
Type: T
The value to remove from the IndexList T .
Return Value
Type:   Online Boolean

            true if item was successfully removed from the IndexList T
            otherwise, false. This method also returns false if item is not found in
            the original IndexList T .

Exceptions
Exception | Condition
Online System NotSupportedException | The AHandlerList T is read-only.
See Also
IndexList T  Class
IndexList T  Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IndexList(T).RemoveAll Method

IndexList T RemoveAll Method s3pi library documentation
Removes the all the elements that match the conditions defined by the specified predicate.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public virtual int RemoveAll(
    Predicate<T> match
)
public virtual int RemoveAll(
    Predicate<T> match
)
Public Overridable Function RemoveAll (
    match As Predicate(Of T)
) As Integer
Public Overridable Function RemoveAll (
    match As Predicate(Of T)
) As Integer
public:
virtual int RemoveAll(
    Predicate<T>^ match
)
public:
virtual int RemoveAll(
    Predicate<T>^ match
)
Parameters
match
Type:   Online System Predicate  T
The   Online Predicate T  delegate that defines the conditions of the elements to remove.
Return Value
Type:   Online Int32
The number of elements removed from the IndexList T .
Exceptions
Exception | Condition
Online System ArgumentNullException | match is null.
Online System NotSupportedException | The IndexList T is read-only.
See Also
IndexList T  Class
IndexList T  Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IndexList(T).Sort Method

IndexList T Sort Method s3pi library documentation
Overload List
 | Name | Description
Public method | Sort(IComparer T ) | Sorts the elements in the entire IndexList T using the specified comparer.
Public method | Sort(Comparison T ) | Sorts the elements in the entire IndexList T using the specified Online Comparison T .
Public method | Sort(Int32, Int32, IComparer T ) | Sorts the elements in a range of elements in IndexList T using the specified comparer.
Back to Top
See Also
IndexList T Class
IndexList T Members
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IndexList(T).Sort Method (IComparer(T))

IndexList T Sort Method (IComparer T ) s3pi library documentation
Sorts the elements in the entire IndexList T using the specified comparer.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public virtual void Sort(
    IComparer<T> comparer
)
public virtual void Sort(
    IComparer<T> comparer
)
Public Overridable Sub Sort (
    comparer As IComparer(Of T)
)
Public Overridable Sub Sort (
    comparer As IComparer(Of T)
)
public:
virtual void Sort(
    IComparer<T>^ comparer
)
public:
virtual void Sort(
    IComparer<T>^ comparer
)
Parameters
comparer
Type:   Online System.Collections.Generic IComparer  T
The   Online IComparer T  implementation to use when comparing elements,
            or null to use the default comparer   Online Default.
Exceptions
Exception | Condition
Online System ArgumentException | The implementation of comparer caused an error during the sort. For example, comparer might not return 0 when comparing an item with itself.
Online System InvalidOperationException | comparer is null, and the default comparer Online Default cannot find implementation of the Online IComparable T generic interface or the System.IComparable interface for type T.
Online System NotSupportedException | The IndexList T is read-only.
See Also
IndexList T  Class
IndexList T  Members
Sort Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IndexList(T).Sort Method (Comparison(T))

IndexList T Sort Method (Comparison T ) s3pi library documentation
Sorts the elements in the entire IndexList T using the specified Online Comparison T .

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public virtual void Sort(
    Comparison<T> comparison
)
public virtual void Sort(
    Comparison<T> comparison
)
Public Overridable Sub Sort (
    comparison As Comparison(Of T)
)
Public Overridable Sub Sort (
    comparison As Comparison(Of T)
)
public:
virtual void Sort(
    Comparison<T>^ comparison
)
public:
virtual void Sort(
    Comparison<T>^ comparison
)
Parameters
comparison
Type:   Online System Comparison  T
The   Online Comparison T  to use when comparing elements.
Exceptions
Exception | Condition
Online System ArgumentException | The implementation of comparison caused an error during the sort. For example, comparison might not return 0 when comparing an item with itself.
Online System ArgumentNullException | comparison is null.
Online System NotSupportedException | The IndexList T is read-only.
See Also
IndexList T  Class
IndexList T  Members
Sort Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IndexList(T).Sort Method (Int32, Int32, IComparer(T))

IndexList T Sort Method (Int32, Int32, IComparer T ) s3pi library documentation
Sorts the elements in a range of elements in IndexList T using the specified comparer.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public virtual void Sort(
    int index,
    int count,
    IComparer<T> comparer
)
public virtual void Sort(
    int index,
    int count,
    IComparer<T> comparer
)
Public Overridable Sub Sort (
    index As Integer,
    count As Integer,
    comparer As IComparer(Of T)
)
Public Overridable Sub Sort (
    index As Integer,
    count As Integer,
    comparer As IComparer(Of T)
)
public:
virtual void Sort(
    int index,
    int count,
    IComparer<T>^ comparer
)
public:
virtual void Sort(
    int index,
    int count,
    IComparer<T>^ comparer
)
Parameters
index
Type:   Online System Int32
The zero-based starting index of the range to sort.
count
Type:   Online System Int32
The number of elements in the range to sort.
comparer
Type:   Online System.Collections.Generic IComparer  T
The   Online IComparer T  implementation to use when comparing elements,
            or null to use the default comparer   Online Default.
Exceptions
Exception | Condition
Online System ArgumentException | index and count do not denote a valid range of elements in the IndexList T . -or- The implementation of comparer caused an error during the sort. For example, comparer might not return 0 when comparing an item with itself. -or- comparer is null, and an implementation of the Online IComparable T generic interface or the Online IComparable interface for type T cannot be found.
Online System ArgumentOutOfRangeException | index is less than 0. -or- count is less than 0.
Online System NotSupportedException | The IndexList T is read-only.
See Also
IndexList T  Class
IndexList T  Members
Sort Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IndexList(T).ToArray Method

IndexList T ToArray Method s3pi library documentation
Copies the elements of the IndexList T to a new array.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public T[] ToArray()
public T[] ToArray()
Public Function ToArray As T()
Public Function ToArray As T()
public:
array<T>^ ToArray()
public:
array<T>^ ToArray()
Return Value
Type:  T

                An array containing copies of the elements of the IndexList T .

See Also
IndexList T  Class
IndexList T  Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IndexList(T).TrueForAll Method

IndexList T TrueForAll Method s3pi library documentation
Determines whether every element in the IndexList T matches the conditions defined by the specified predicate.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public bool TrueForAll(
    Predicate<T> match
)
public bool TrueForAll(
    Predicate<T> match
)
Public Function TrueForAll (
    match As Predicate(Of T)
) As Boolean
Public Function TrueForAll (
    match As Predicate(Of T)
) As Boolean
public:
bool TrueForAll(
    Predicate<T>^ match
)
public:
bool TrueForAll(
    Predicate<T>^ match
)
Parameters
match
Type:   Online System Predicate  T
The   Online Predicate T  delegate that defines the conditions to check against the elements.
Return Value
Type:   Online Boolean

                true if every element in the IndexList T  matches the
                conditions defined by the specified predicate; otherwise, false. If the list
                has no elements, the return value is true.

Exceptions
Exception | Condition
Online System ArgumentNullException | match is null.
See Also
IndexList T  Class
IndexList T  Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IndexList(T).WriteCount Method

IndexList T WriteCount Method s3pi library documentation
Write the count of list elements to the stream.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected override void WriteCount(
    Stream s,
    int count
)
protected override void WriteCount(
    Stream s,
    int count
)
Protected Overrides Sub WriteCount (
    s As Stream,
    count As Integer
)
Protected Overrides Sub WriteCount (
    s As Stream,
    count As Integer
)
protected:
virtual void WriteCount(
    Stream^ s,
    int count
) override
protected:
virtual void WriteCount(
    Stream^ s,
    int count
) override
Parameters
s
Type:   Online System.IO Stream
  Online Stream to write count to.
count
Type:   Online System Int32
Value to write to   Online Stream s.
See Also
IndexList T  Class
IndexList T  Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IndexList(T).WriteElement Method

IndexList T WriteElement Method s3pi library documentation
Writes the value of a list element to s.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected override void WriteElement(
    Stream s,
    TGIBlockListIndex<T> element
)
protected override void WriteElement(
    Stream s,
    TGIBlockListIndex<T> element
)
Protected Overrides Sub WriteElement (
    s As Stream,
    element As TGIBlockListIndex(Of T)
)
Protected Overrides Sub WriteElement (
    s As Stream,
    element As TGIBlockListIndex(Of T)
)
protected:
virtual void WriteElement(
    Stream^ s,
    TGIBlockListIndex<T>^ element
) override
protected:
virtual void WriteElement(
    Stream^ s,
    TGIBlockListIndex<T>^ element
) override
Parameters
s
Type:   Online System.IO Stream
  Online Stream containing data.
element
Type: s3pi.Interfaces TGIBlockListIndex  T
List element for which to write the value to the   Online Stream.
See Also
IndexList T  Class
IndexList T  Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IndexList(T) Properties

IndexList T Properties s3pi library documentation
The IndexList T type exposes the following members.
Properties
 | Name | Description
Public property | Item | Gets or sets the element at the specified index.
Public property | ParentTGIBlocks | Reference to TGIBlockList into which this is an index.
Back to Top
See Also
IndexList T Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IndexList(T).Item Property

IndexList T Item Property s3pi library documentation
Gets or sets the element at the specified index.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public virtual T this[
    int index
] { get; set; }
public virtual T this[
    int index
] { get; set; }
Public Overridable Default Property Item (
    index As Integer
) As T
    Get
    Set
Public Overridable Default Property Item (
    index As Integer
) As T
    Get
    Set
public:
virtual property T default[int index] {
    T get (int index);
    void set (int index, T value);
}
public:
virtual property T default[int index] {
    T get (int index);
    void set (int index, T value);
}
Parameters
index
Type:   Online System Int32
The zero-based index of the element to get or set.
Return Value
Type: T
The element at the specified index.
Exceptions
Exception | Condition
Online System ArgumentOutOfRangeException | index is not a valid index in the IndexList T .
Online System NotSupportedException | The IndexList T is read-only.
See Also
IndexList T  Class
IndexList T  Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IndexList(T).ParentTGIBlocks Property

IndexList T ParentTGIBlocks Property s3pi library documentation
Reference to TGIBlockList into which this is an index.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public DependentList<TGIBlock> ParentTGIBlocks { get; set; }
public DependentList<TGIBlock> ParentTGIBlocks { get; set; }
Public Property ParentTGIBlocks As DependentList(Of TGIBlock)
    Get
    Set
Public Property ParentTGIBlocks As DependentList(Of TGIBlock)
    Get
    Set
public:
property DependentList<TGIBlock^>^ ParentTGIBlocks {
    DependentList<TGIBlock^>^ get ();
    void set (DependentList<TGIBlock^>^ value);
}
public:
property DependentList<TGIBlock^>^ ParentTGIBlocks {
    DependentList<TGIBlock^>^ get ();
    void set (DependentList<TGIBlock^>^ value);
}
Property Value
Type: DependentList  TGIBlock
See Also
IndexList T  Class
IndexList T  Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IndexList(T).CreateElementMethod Delegate

IndexList T CreateElementMethod Delegate s3pi library documentation
Create a new element of type T from a Online Stream.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public delegate T CreateElementMethod(
    Stream s
)
public delegate T CreateElementMethod(
    Stream s
)
Public Delegate Function CreateElementMethod (
    s As Stream
) As T
Public Delegate Function CreateElementMethod (
    s As Stream
) As T
public delegate T CreateElementMethod(
    Stream^ s
)
public delegate T CreateElementMethod(
    Stream^ s
)
Parameters
s
Type:   Online System.IO Stream
The   Online Stream from which to read the element data.
Return Value
Type: T
A new element of type T.
See Also
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IndexList(T).Enumerator(U) Class

IndexList T Enumerator U Class s3pi library documentation
Supports a simple iteration over a generic collection.
Inheritance Hierarchy
Online System Object
s3pi.Interfaces IndexList T Enumerator U

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public class Enumerator<U> : IEnumerator<U>,
    IDisposable, IEnumerator
where U : struct, new(), IComparable, IConvertible, IEquatable<U>, IComparable<U>
public class Enumerator<U> : IEnumerator<U>,
    IDisposable, IEnumerator
where U : struct, new(), IComparable, IConvertible, IEquatable<U>, IComparable<U>
Public Class Enumerator(Of U As {Structure, New, IComparable, IConvertible, IEquatable(Of U), IComparable(Of U)})
    Implements IEnumerator(Of U), IDisposable, IEnumerator
Public Class Enumerator(Of U As {Structure, New, IComparable, IConvertible, IEquatable(Of U), IComparable(Of U)})
    Implements IEnumerator(Of U), IDisposable, IEnumerator
generic<typename U>
where U : value class, gcnew(), IComparable, IConvertible, IEquatable<U>, IComparable<U>
public ref class Enumerator : IEnumerator<U>,
    IDisposable, IEnumerator
generic<typename U>
where U : value class, gcnew(), IComparable, IConvertible, IEquatable<U>, IComparable<U>
public ref class Enumerator : IEnumerator<U>,
    IDisposable, IEnumerator
Type Parameters
U
The type of objects to enumerate.
See Also
IndexList T  Enumerator U  Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IndexList(T).Enumerator(U) Members

IndexList T Enumerator U Members s3pi library documentation

A flexible generic list of DependentList T indices.

The IndexList T Enumerator U generic type exposes the following members.
Methods
 | Name | Description
Public method | Dispose | Releases all resources used by the enumerator.
Public method | MoveNext | Advances the enumerator to the next element of the collection.
Public method | Reset | Sets the enumerator to its initial position, which is before the first element in the collection.
Back to Top
Properties
 | Name | Description
Public property | Current | Gets the element at the current position of the enumerator.
Back to Top
Explicit Interface Implementations
 | Name | Description
Explicit interface implemetation | IEnumerator Current |
Back to Top
See Also
IndexList T Enumerator U Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IndexList(T).Enumerator(U) Methods

IndexList T Enumerator U Methods s3pi library documentation
The IndexList T Enumerator U generic type exposes the following members.
Methods
 | Name | Description
Public method | Dispose | Releases all resources used by the enumerator.
Public method | MoveNext | Advances the enumerator to the next element of the collection.
Public method | Reset | Sets the enumerator to its initial position, which is before the first element in the collection.
Back to Top
See Also
IndexList T Enumerator U Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IndexList(T).Enumerator(U).Dispose Method

IndexList T Enumerator U Dispose Method s3pi library documentation
Releases all resources used by the enumerator.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void Dispose()
public void Dispose()
Public Sub Dispose
Public Sub Dispose
public:
virtual void Dispose() sealed
public:
virtual void Dispose() sealed
Implements
  Online IDisposable Dispose
See Also
IndexList T  Enumerator U  Class
IndexList T  Enumerator U  Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IndexList(T).Enumerator(U).MoveNext Method

IndexList T Enumerator U MoveNext Method s3pi library documentation
Advances the enumerator to the next element of the collection.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public bool MoveNext()
public bool MoveNext()
Public Function MoveNext As Boolean
Public Function MoveNext As Boolean
public:
virtual bool MoveNext() sealed
public:
virtual bool MoveNext() sealed
Return Value
Type:   Online Boolean

            true if the enumerator was successfully advanced to the next element;
            false if the enumerator has passed the end of the collection.

Implements
  Online IEnumerator MoveNext
Exceptions
Exception | Condition
Online System InvalidOperationException | The collection was modified after the enumerator was created.
See Also
IndexList T  Enumerator U  Class
IndexList T  Enumerator U  Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IndexList(T).Enumerator(U).Reset Method

IndexList T Enumerator U Reset Method s3pi library documentation
Sets the enumerator to its initial position, which is before the first element in the collection.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void Reset()
public void Reset()
Public Sub Reset
Public Sub Reset
public:
virtual void Reset() sealed
public:
virtual void Reset() sealed
Implements
  Online IEnumerator Reset
Exceptions
Exception | Condition
Online System InvalidOperationException | The collection was modified after the enumerator was created.
See Also
IndexList T  Enumerator U  Class
IndexList T  Enumerator U  Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IndexList(T).Enumerator(U) Properties

IndexList T Enumerator U Properties s3pi library documentation
The IndexList T Enumerator U generic type exposes the following members.
Properties
 | Name | Description
Public property | Current | Gets the element at the current position of the enumerator.
Back to Top
Explicit Interface Implementations
 | Name | Description
Explicit interface implemetation | IEnumerator Current |
Back to Top
See Also
IndexList T Enumerator U Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IndexList(T).Enumerator(U).IEnumerator.Current Property

IndexList T Enumerator U IEnumerator Current Property s3pi library documentation

[Missing <summary> documentation for "P:s3pi.Interfaces.IndexList`1.Enumerator`1.System#Collections#IEnumerator#Current"]

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
Object IEnumerator.Current { get; }
Object IEnumerator.Current { get; }
Private ReadOnly Property Current As Object
    Implements IEnumerator.Current
    Get
Private ReadOnly Property Current As Object
    Implements IEnumerator.Current
    Get
private:
virtual property Object^ Current {
    Object^ get () sealed = IEnumerator::Current::get;
}
private:
virtual property Object^ Current {
    Object^ get () sealed = IEnumerator::Current::get;
}
Property Value
Type:   Online Object
Implements
  Online IEnumerator Current
See Also
IndexList T  Enumerator U  Class
IndexList T  Enumerator U  Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IndexList(T).Enumerator(U).Current Property

IndexList T Enumerator U Current Property s3pi library documentation
Gets the element at the current position of the enumerator.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public U Current { get; }
public U Current { get; }
Public ReadOnly Property Current As U
    Get
Public ReadOnly Property Current As U
    Get
public:
virtual property U Current {
    U get () sealed;
}
public:
virtual property U Current {
    U get () sealed;
}
Property Value
Type: U
Implements
  Online IEnumerator T  Current
See Also
IndexList T  Enumerator U  Class
IndexList T  Enumerator U  Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IndexList(T).ReadCountMethod Delegate

IndexList T ReadCountMethod Delegate s3pi library documentation
Return the number of list elements to read.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public delegate int ReadCountMethod(
    Stream s
)
public delegate int ReadCountMethod(
    Stream s
)
Public Delegate Function ReadCountMethod (
    s As Stream
) As Integer
Public Delegate Function ReadCountMethod (
    s As Stream
) As Integer
public delegate int ReadCountMethod(
    Stream^ s
)
public delegate int ReadCountMethod(
    Stream^ s
)
Parameters
s
Type:   Online System.IO Stream
A   Online Stream that may contain the number of elements.
Return Value
Type:   Online Int32
The number of list elements to read.
See Also
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IndexList(T).WriteCountMethod Delegate

IndexList T WriteCountMethod Delegate s3pi library documentation
Store the number of elements in the list.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public delegate void WriteCountMethod(
    Stream s,
    int count
)
public delegate void WriteCountMethod(
    Stream s,
    int count
)
Public Delegate Sub WriteCountMethod (
    s As Stream,
    count As Integer
)
Public Delegate Sub WriteCountMethod (
    s As Stream,
    count As Integer
)
public delegate void WriteCountMethod(
    Stream^ s,
    int count
)
public delegate void WriteCountMethod(
    Stream^ s,
    int count
)
Parameters
s
Type:   Online System.IO Stream
A   Online Stream to which list elements will be written after the count.
count
Type:   Online System Int32
The number of list elements.
See Also
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IndexList(T).WriteElementMethod Delegate

IndexList T WriteElementMethod Delegate s3pi library documentation
Write an element of type T to a Online Stream.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public delegate void WriteElementMethod(
    Stream s,
    T value
)
public delegate void WriteElementMethod(
    Stream s,
    T value
)
Public Delegate Sub WriteElementMethod (
    s As Stream,
    value As T
)
Public Delegate Sub WriteElementMethod (
    s As Stream,
    value As T
)
public delegate void WriteElementMethod(
    Stream^ s,
    T value
)
public delegate void WriteElementMethod(
    Stream^ s,
    T value
)
Parameters
s
Type:   Online System.IO Stream
The   Online Stream to which to write the value.
value
Type: T
The value of type T to write.
See Also
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Int32IndexList Class

Int32IndexList Class s3pi library documentation
IndexList T with Online Int32 entries.
Inheritance Hierarchy
Online System Object
Online System.Collections.Generic List TGIBlockListIndex Online Int32
System.Collections.Generic AHandlerList TGIBlockListIndex Online Int32
s3pi.Interfaces DependentList TGIBlockListIndex Online Int32
s3pi.Interfaces IndexList Online Int32
s3pi.Interfaces Int32IndexList

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public class Int32IndexList : IndexList<int>
public class Int32IndexList : IndexList<int>
Public Class Int32IndexList
    Inherits IndexList(Of Integer)
Public Class Int32IndexList
    Inherits IndexList(Of Integer)
public ref class Int32IndexList : public IndexList<int>
public ref class Int32IndexList : public IndexList<int>
See Also
Int32IndexList Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Int32IndexList Members

Int32IndexList Members s3pi library documentation

Constructors
 | Name | Description
Public method | Int32IndexList(EventHandler, DependentList TGIBlock ) | Create an empty UIntList, setting the ParentTGIBlocks as passed. There will be no list size limit and default Data I/O handlers will be used for the count.
Public method | Int32IndexList(EventHandler, IEnumerable Int32 , DependentList TGIBlock ) | Create a UIntList populated from an existing set of values, setting the ParentTGIBlocks as passed. There will be no list size limit and default Data I/O handlers will be used for the count.
Public method | Int32IndexList(EventHandler, Stream, DependentList TGIBlock ) | Create a UIntList populated from a Online Stream, setting the ParentTGIBlocks as passed. There will be no list size limit and default Data I/O handlers will be used for the count.
Public method | Int32IndexList(EventHandler, Int64, IndexList Int32 ReadCountMethod, IndexList Int32 WriteCountMethod, DependentList TGIBlock ) | Create an empty UIntList.
Public method | Int32IndexList(EventHandler, IEnumerable Int32 , Int64, IndexList Int32 ReadCountMethod, IndexList Int32 WriteCountMethod, DependentList TGIBlock ) | Create a UIntList populated from an existing set of values.
Public method | Int32IndexList(EventHandler, Stream, Int64, IndexList Int32 ReadCountMethod, IndexList Int32 WriteCountMethod, DependentList TGIBlock ) | Create a UIntList populated from a Online Stream.
Back to Top
See Also
Int32IndexList Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Int32IndexList Constructor

Int32IndexList Constructor s3pi library documentation
Overload List
 | Name | Description
Public method | Int32IndexList(EventHandler, DependentList TGIBlock ) | Create an empty UIntList, setting the ParentTGIBlocks as passed. There will be no list size limit and default Data I/O handlers will be used for the count.
Public method | Int32IndexList(EventHandler, IEnumerable Int32 , DependentList TGIBlock ) | Create a UIntList populated from an existing set of values, setting the ParentTGIBlocks as passed. There will be no list size limit and default Data I/O handlers will be used for the count.
Public method | Int32IndexList(EventHandler, Stream, DependentList TGIBlock ) | Create a UIntList populated from a Online Stream, setting the ParentTGIBlocks as passed. There will be no list size limit and default Data I/O handlers will be used for the count.
Public method | Int32IndexList(EventHandler, Int64, IndexList Int32 ReadCountMethod, IndexList Int32 WriteCountMethod, DependentList TGIBlock ) | Create an empty UIntList.
Public method | Int32IndexList(EventHandler, IEnumerable Int32 , Int64, IndexList Int32 ReadCountMethod, IndexList Int32 WriteCountMethod, DependentList TGIBlock ) | Create a UIntList populated from an existing set of values.
Public method | Int32IndexList(EventHandler, Stream, Int64, IndexList Int32 ReadCountMethod, IndexList Int32 WriteCountMethod, DependentList TGIBlock ) | Create a UIntList populated from a Online Stream.
Back to Top
See Also
Int32IndexList Class
Int32IndexList Members
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Int32IndexList Constructor (EventHandler, DependentList(TGIBlock))

Int32IndexList Constructor (EventHandler, DependentList TGIBlock ) s3pi library documentation
Create an empty UIntList, setting the ParentTGIBlocks as passed. There will be no list size limit and default Data I/O handlers will be used for the count.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public Int32IndexList(
    EventHandler handler,
    DependentList<TGIBlock> ParentTGIBlocks
)
public Int32IndexList(
    EventHandler handler,
    DependentList<TGIBlock> ParentTGIBlocks
)
Public Sub New (
    handler As EventHandler,
    ParentTGIBlocks As DependentList(Of TGIBlock)
)
Public Sub New (
    handler As EventHandler,
    ParentTGIBlocks As DependentList(Of TGIBlock)
)
public:
Int32IndexList(
    EventHandler^ handler,
    DependentList<TGIBlock^>^ ParentTGIBlocks
)
public:
Int32IndexList(
    EventHandler^ handler,
    DependentList<TGIBlock^>^ ParentTGIBlocks
)
Parameters
handler
Type:   Online System EventHandler
Event handler.
ParentTGIBlocks
Type: s3pi.Interfaces DependentList  TGIBlock
Default parent DependentList T  into which elements of this list index.
See Also
Int32IndexList Class
Int32IndexList Members
Int32IndexList Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Int32IndexList Constructor (EventHandler, IEnumerable(Int32), DependentList(TGIBlock))

Int32IndexList Constructor (EventHandler, IEnumerable Int32 , DependentList TGIBlock ) s3pi library documentation
Create a UIntList populated from an existing set of values, setting the ParentTGIBlocks as passed. There will be no list size limit and default Data I/O handlers will be used for the count.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public Int32IndexList(
    EventHandler handler,
    IEnumerable<int> basis,
    DependentList<TGIBlock> ParentTGIBlocks
)
public Int32IndexList(
    EventHandler handler,
    IEnumerable<int> basis,
    DependentList<TGIBlock> ParentTGIBlocks
)
Public Sub New (
    handler As EventHandler,
    basis As IEnumerable(Of Integer),
    ParentTGIBlocks As DependentList(Of TGIBlock)
)
Public Sub New (
    handler As EventHandler,
    basis As IEnumerable(Of Integer),
    ParentTGIBlocks As DependentList(Of TGIBlock)
)
public:
Int32IndexList(
    EventHandler^ handler,
    IEnumerable<int>^ basis,
    DependentList<TGIBlock^>^ ParentTGIBlocks
)
public:
Int32IndexList(
    EventHandler^ handler,
    IEnumerable<int>^ basis,
    DependentList<TGIBlock^>^ ParentTGIBlocks
)
Parameters
handler
Type:   Online System EventHandler
Event handler.
basis
Type:   Online System.Collections.Generic IEnumerable    Online Int32
Basis on which to populate the list.
ParentTGIBlocks
Type: s3pi.Interfaces DependentList  TGIBlock
Default parent DependentList T  into which elements of this list index.
See Also
Int32IndexList Class
Int32IndexList Members
Int32IndexList Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Int32IndexList Constructor (EventHandler, Stream, DependentList(TGIBlock))

Int32IndexList Constructor (EventHandler, Stream, DependentList TGIBlock ) s3pi library documentation
Create a UIntList populated from a Online Stream, setting the ParentTGIBlocks as passed. There will be no list size limit and default Data I/O handlers will be used for the count.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public Int32IndexList(
    EventHandler handler,
    Stream s,
    DependentList<TGIBlock> ParentTGIBlocks
)
public Int32IndexList(
    EventHandler handler,
    Stream s,
    DependentList<TGIBlock> ParentTGIBlocks
)
Public Sub New (
    handler As EventHandler,
    s As Stream,
    ParentTGIBlocks As DependentList(Of TGIBlock)
)
Public Sub New (
    handler As EventHandler,
    s As Stream,
    ParentTGIBlocks As DependentList(Of TGIBlock)
)
public:
Int32IndexList(
    EventHandler^ handler,
    Stream^ s,
    DependentList<TGIBlock^>^ ParentTGIBlocks
)
public:
Int32IndexList(
    EventHandler^ handler,
    Stream^ s,
    DependentList<TGIBlock^>^ ParentTGIBlocks
)
Parameters
handler
Type:   Online System EventHandler
Event handler.
s
Type:   Online System.IO Stream
  Online Stream from which to read elements.
ParentTGIBlocks
Type: s3pi.Interfaces DependentList  TGIBlock
Default parent DependentList T  into which elements of this list index.
See Also
Int32IndexList Class
Int32IndexList Members
Int32IndexList Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Int32IndexList Constructor (EventHandler, Int64, IndexList(Int32).ReadCountMethod, IndexList(Int32).WriteCountMethod, DependentList(TGIBlock))

Int32IndexList Constructor (EventHandler, Int64, IndexList Int32 ReadCountMethod, IndexList Int32 WriteCountMethod, DependentList TGIBlock ) s3pi library documentation
Create an empty UIntList.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public Int32IndexList(
    EventHandler handler,
    long size = -1,
    IndexList<(Of <(<'T>)>)>..::..ReadCountMethod readCount = null,
    IndexList<(Of <(<'T>)>)>..::..WriteCountMethod writeCount = null,
    DependentList<TGIBlock> ParentTGIBlocks = null
)
public Int32IndexList(
    EventHandler handler,
    long size = -1,
    IndexList<(Of <(<'T>)>)>..::..ReadCountMethod readCount = null,
    IndexList<(Of <(<'T>)>)>..::..WriteCountMethod writeCount = null,
    DependentList<TGIBlock> ParentTGIBlocks = null
)
Public Sub New (
    handler As EventHandler,
    Optional size As Long = -1,
    Optional readCount As IndexList<(Of <(<'T>)>)>..::..ReadCountMethod = Nothing,
    Optional writeCount As IndexList<(Of <(<'T>)>)>..::..WriteCountMethod = Nothing,
    Optional ParentTGIBlocks As DependentList(Of TGIBlock) = Nothing
)
Public Sub New (
    handler As EventHandler,
    Optional size As Long = -1,
    Optional readCount As IndexList<(Of <(<'T>)>)>..::..ReadCountMethod = Nothing,
    Optional writeCount As IndexList<(Of <(<'T>)>)>..::..WriteCountMethod = Nothing,
    Optional ParentTGIBlocks As DependentList(Of TGIBlock) = Nothing
)
public:
Int32IndexList(
    EventHandler^ handler,
    long long size = -1,
    IndexList<(Of <(<'T>)>)>..::..ReadCountMethod^ readCount = nullptr,
    IndexList<(Of <(<'T>)>)>..::..WriteCountMethod^ writeCount = nullptr,
    DependentList<TGIBlock^>^ ParentTGIBlocks = nullptr
)
public:
Int32IndexList(
    EventHandler^ handler,
    long long size = -1,
    IndexList<(Of <(<'T>)>)>..::..ReadCountMethod^ readCount = nullptr,
    IndexList<(Of <(<'T>)>)>..::..WriteCountMethod^ writeCount = nullptr,
    DependentList<TGIBlock^>^ ParentTGIBlocks = nullptr
)
Parameters
handler
Type:   Online System EventHandler
Event handler.
size (Optional)
Type:   Online System Int64
Optional list size.
readCount (Optional)
Type: s3pi.Interfaces IndexList T  ReadCountMethod
Optional; default is to read a   Online Int32 from the   Online Stream.
writeCount (Optional)
Type: s3pi.Interfaces IndexList T  WriteCountMethod
Optional; default is to write a   Online Int32 to the   Online Stream.
ParentTGIBlocks (Optional)
Type: s3pi.Interfaces DependentList  TGIBlock
Optional; default parent DependentList T  into which elements of this list index.
See Also
Int32IndexList Class
Int32IndexList Members
Int32IndexList Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Int32IndexList Constructor (EventHandler, IEnumerable(Int32), Int64, IndexList(Int32).ReadCountMethod, IndexList(Int32).WriteCountMethod, DependentList(TGIBlock))

Int32IndexList Constructor (EventHandler, IEnumerable Int32 , Int64, IndexList Int32 ReadCountMethod, IndexList Int32 WriteCountMethod, DependentList TGIBlock ) s3pi library documentation
Create a UIntList populated from an existing set of values.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public Int32IndexList(
    EventHandler handler,
    IEnumerable<int> basis,
    long size = -1,
    IndexList<(Of <(<'T>)>)>..::..ReadCountMethod readCount = null,
    IndexList<(Of <(<'T>)>)>..::..WriteCountMethod writeCount = null,
    DependentList<TGIBlock> ParentTGIBlocks = null
)
public Int32IndexList(
    EventHandler handler,
    IEnumerable<int> basis,
    long size = -1,
    IndexList<(Of <(<'T>)>)>..::..ReadCountMethod readCount = null,
    IndexList<(Of <(<'T>)>)>..::..WriteCountMethod writeCount = null,
    DependentList<TGIBlock> ParentTGIBlocks = null
)
Public Sub New (
    handler As EventHandler,
    basis As IEnumerable(Of Integer),
    Optional size As Long = -1,
    Optional readCount As IndexList<(Of <(<'T>)>)>..::..ReadCountMethod = Nothing,
    Optional writeCount As IndexList<(Of <(<'T>)>)>..::..WriteCountMethod = Nothing,
    Optional ParentTGIBlocks As DependentList(Of TGIBlock) = Nothing
)
Public Sub New (
    handler As EventHandler,
    basis As IEnumerable(Of Integer),
    Optional size As Long = -1,
    Optional readCount As IndexList<(Of <(<'T>)>)>..::..ReadCountMethod = Nothing,
    Optional writeCount As IndexList<(Of <(<'T>)>)>..::..WriteCountMethod = Nothing,
    Optional ParentTGIBlocks As DependentList(Of TGIBlock) = Nothing
)
public:
Int32IndexList(
    EventHandler^ handler,
    IEnumerable<int>^ basis,
    long long size = -1,
    IndexList<(Of <(<'T>)>)>..::..ReadCountMethod^ readCount = nullptr,
    IndexList<(Of <(<'T>)>)>..::..WriteCountMethod^ writeCount = nullptr,
    DependentList<TGIBlock^>^ ParentTGIBlocks = nullptr
)
public:
Int32IndexList(
    EventHandler^ handler,
    IEnumerable<int>^ basis,
    long long size = -1,
    IndexList<(Of <(<'T>)>)>..::..ReadCountMethod^ readCount = nullptr,
    IndexList<(Of <(<'T>)>)>..::..WriteCountMethod^ writeCount = nullptr,
    DependentList<TGIBlock^>^ ParentTGIBlocks = nullptr
)
Parameters
handler
Type:   Online System EventHandler
Event handler.
basis
Type:   Online System.Collections.Generic IEnumerable    Online Int32
Basis on which to populate the list.
size (Optional)
Type:   Online System Int64
Optional list size.
readCount (Optional)
Type: s3pi.Interfaces IndexList T  ReadCountMethod
Optional; default is to read a   Online Int32 from the   Online Stream.
writeCount (Optional)
Type: s3pi.Interfaces IndexList T  WriteCountMethod
Optional; default is to write a   Online Int32 to the   Online Stream.
ParentTGIBlocks (Optional)
Type: s3pi.Interfaces DependentList  TGIBlock
Optional; default parent DependentList T  into which elements of this list index.
See Also
Int32IndexList Class
Int32IndexList Members
Int32IndexList Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Int32IndexList Constructor (EventHandler, Stream, Int64, IndexList(Int32).ReadCountMethod, IndexList(Int32).WriteCountMethod, DependentList(TGIBlock))

Int32IndexList Constructor (EventHandler, Stream, Int64, IndexList Int32 ReadCountMethod, IndexList Int32 WriteCountMethod, DependentList TGIBlock ) s3pi library documentation
Create a UIntList populated from a Online Stream.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public Int32IndexList(
    EventHandler handler,
    Stream s,
    long size = -1,
    IndexList<(Of <(<'T>)>)>..::..ReadCountMethod readCount = null,
    IndexList<(Of <(<'T>)>)>..::..WriteCountMethod writeCount = null,
    DependentList<TGIBlock> ParentTGIBlocks = null
)
public Int32IndexList(
    EventHandler handler,
    Stream s,
    long size = -1,
    IndexList<(Of <(<'T>)>)>..::..ReadCountMethod readCount = null,
    IndexList<(Of <(<'T>)>)>..::..WriteCountMethod writeCount = null,
    DependentList<TGIBlock> ParentTGIBlocks = null
)
Public Sub New (
    handler As EventHandler,
    s As Stream,
    Optional size As Long = -1,
    Optional readCount As IndexList<(Of <(<'T>)>)>..::..ReadCountMethod = Nothing,
    Optional writeCount As IndexList<(Of <(<'T>)>)>..::..WriteCountMethod = Nothing,
    Optional ParentTGIBlocks As DependentList(Of TGIBlock) = Nothing
)
Public Sub New (
    handler As EventHandler,
    s As Stream,
    Optional size As Long = -1,
    Optional readCount As IndexList<(Of <(<'T>)>)>..::..ReadCountMethod = Nothing,
    Optional writeCount As IndexList<(Of <(<'T>)>)>..::..WriteCountMethod = Nothing,
    Optional ParentTGIBlocks As DependentList(Of TGIBlock) = Nothing
)
public:
Int32IndexList(
    EventHandler^ handler,
    Stream^ s,
    long long size = -1,
    IndexList<(Of <(<'T>)>)>..::..ReadCountMethod^ readCount = nullptr,
    IndexList<(Of <(<'T>)>)>..::..WriteCountMethod^ writeCount = nullptr,
    DependentList<TGIBlock^>^ ParentTGIBlocks = nullptr
)
public:
Int32IndexList(
    EventHandler^ handler,
    Stream^ s,
    long long size = -1,
    IndexList<(Of <(<'T>)>)>..::..ReadCountMethod^ readCount = nullptr,
    IndexList<(Of <(<'T>)>)>..::..WriteCountMethod^ writeCount = nullptr,
    DependentList<TGIBlock^>^ ParentTGIBlocks = nullptr
)
Parameters
handler
Type:   Online System EventHandler
Event handler.
s
Type:   Online System.IO Stream
  Online Stream from which to read elements.
size (Optional)
Type:   Online System Int64
Optional list size.
readCount (Optional)
Type: s3pi.Interfaces IndexList T  ReadCountMethod
Optional; default is to read a   Online Int32 from the   Online Stream.
writeCount (Optional)
Type: s3pi.Interfaces IndexList T  WriteCountMethod
Optional; default is to write a   Online Int32 to the   Online Stream.
ParentTGIBlocks (Optional)
Type: s3pi.Interfaces DependentList  TGIBlock
Optional; default parent DependentList T  into which elements of this list index.
See Also
Int32IndexList Class
Int32IndexList Members
Int32IndexList Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IntList Class

IntList Class s3pi library documentation
Commonly used simple list. The list count is an integer stored immediately before the list. The elements are Int32.
Inheritance Hierarchy
Online System Object
Online System.Collections.Generic List HandlerElement Online Int32
System.Collections.Generic AHandlerList HandlerElement Online Int32
s3pi.Interfaces DependentList HandlerElement Online Int32
s3pi.Interfaces SimpleList Online Int32
s3pi.Interfaces IntList

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public class IntList : SimpleList<int>
public class IntList : SimpleList<int>
Public Class IntList
    Inherits SimpleList(Of Integer)
Public Class IntList
    Inherits SimpleList(Of Integer)
public ref class IntList : public SimpleList<int>
public ref class IntList : public SimpleList<int>
See Also
IntList Members
s3pi.Interfaces Namespace
s3pi.Interfaces Int32IndexList
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IntList Members

IntList Members s3pi library documentation

Constructors
 | Name | Description
Public method | IntList(EventHandler, Int64) | Create an empty IntList.
Public method | IntList(EventHandler, IEnumerable Int32 , Int64) | Create an IntList populated from an existing set of values.
Public method | IntList(EventHandler, Stream, Int64) | Create an IntList populated from a Online Stream.
Back to Top
See Also
IntList Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IntList Constructor

IntList Constructor s3pi library documentation
Overload List
 | Name | Description
Public method | IntList(EventHandler, Int64) | Create an empty IntList.
Public method | IntList(EventHandler, IEnumerable Int32 , Int64) | Create an IntList populated from an existing set of values.
Public method | IntList(EventHandler, Stream, Int64) | Create an IntList populated from a Online Stream.
Back to Top
See Also
IntList Class
IntList Members
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IntList Constructor (EventHandler, Int64)

IntList Constructor (EventHandler, Int64) s3pi library documentation
Create an empty IntList.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public IntList(
    EventHandler handler,
    long size = -1
)
public IntList(
    EventHandler handler,
    long size = -1
)
Public Sub New (
    handler As EventHandler,
    Optional size As Long = -1
)
Public Sub New (
    handler As EventHandler,
    Optional size As Long = -1
)
public:
IntList(
    EventHandler^ handler,
    long long size = -1
)
public:
IntList(
    EventHandler^ handler,
    long long size = -1
)
Parameters
handler
Type:   Online System EventHandler
Event handler.
size (Optional)
Type:   Online System Int64
Optional list size.
See Also
IntList Class
IntList Members
IntList Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IntList Constructor (EventHandler, IEnumerable(Int32), Int64)

IntList Constructor (EventHandler, IEnumerable Int32 , Int64) s3pi library documentation
Create an IntList populated from an existing set of values.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public IntList(
    EventHandler handler,
    IEnumerable<int> basis,
    long size = -1
)
public IntList(
    EventHandler handler,
    IEnumerable<int> basis,
    long size = -1
)
Public Sub New (
    handler As EventHandler,
    basis As IEnumerable(Of Integer),
    Optional size As Long = -1
)
Public Sub New (
    handler As EventHandler,
    basis As IEnumerable(Of Integer),
    Optional size As Long = -1
)
public:
IntList(
    EventHandler^ handler,
    IEnumerable<int>^ basis,
    long long size = -1
)
public:
IntList(
    EventHandler^ handler,
    IEnumerable<int>^ basis,
    long long size = -1
)
Parameters
handler
Type:   Online System EventHandler
Event handler.
basis
Type:   Online System.Collections.Generic IEnumerable    Online Int32
Basis on which to populate the list.
size (Optional)
Type:   Online System Int64
Optional list size.
See Also
IntList Class
IntList Members
IntList Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IntList Constructor (EventHandler, Stream, Int64)

IntList Constructor (EventHandler, Stream, Int64) s3pi library documentation
Create an IntList populated from a Online Stream.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public IntList(
    EventHandler handler,
    Stream s,
    long size = -1
)
public IntList(
    EventHandler handler,
    Stream s,
    long size = -1
)
Public Sub New (
    handler As EventHandler,
    s As Stream,
    Optional size As Long = -1
)
Public Sub New (
    handler As EventHandler,
    s As Stream,
    Optional size As Long = -1
)
public:
IntList(
    EventHandler^ handler,
    Stream^ s,
    long long size = -1
)
public:
IntList(
    EventHandler^ handler,
    Stream^ s,
    long long size = -1
)
Parameters
handler
Type:   Online System EventHandler
Event handler.
s
Type:   Online System.IO Stream
  Online Stream from which to read elements.
size (Optional)
Type:   Online System Int64
Optional list size.
See Also
IntList Class
IntList Members
IntList Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IPackage Interface

IPackage Interface s3pi library documentation
Representation of a Sims 3 Package

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public interface IPackage : IApiVersion,
    IContentFields
public interface IPackage : IApiVersion,
    IContentFields
Public Interface IPackage
    Inherits IApiVersion, IContentFields
Public Interface IPackage
    Inherits IApiVersion, IContentFields
public interface class IPackage : IApiVersion,
    IContentFields
public interface class IPackage : IApiVersion,
    IContentFields
See Also
IPackage Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IPackage Members

IPackage Members s3pi library documentation

The IPackage type exposes the following members.
Methods
 | Name | Description
Public method | AddResource | Add a resource to the IPackage.
Public method | DeleteResource | Tell the package to delete the resource indexed by IResourceIndexEntry rc.
Public method | Find(Predicate IResourceIndexEntry ) | Searches the entire IPackage for the first IResourceIndexEntry that matches the conditions defined by the Predicate<IResourceIndexEntry>Match.
Public method | Find( String , TypedValue ) | Obsolete. Searches the entire IPackage for the first IResourceIndexEntry that matches the conditions defined by names and values.
Public method | Find(UInt32, IResourceIndexEntry) | Obsolete. Searches the entire IPackage for the first IResourceIndexEntry that matches the conditions defined by flags and values.
Public method | FindAll(Predicate IResourceIndexEntry ) | Searches the entire IPackage for all IResourceIndexEntrys that matches the conditions defined by the Predicate<IResourceIndexEntry>Match.
Public method | FindAll( String , TypedValue ) | Obsolete. Searches the entire IPackage for all IResourceIndexEntrys that matches the conditions defined by names and values.
Public method | FindAll(UInt32, IResourceIndexEntry) | Obsolete. Searches the entire IPackage for all IResourceIndexEntrys that matches the conditions defined by flags and values.
Public method | ReplaceResource | Tell the IPackage to replace the data for the resource indexed by IResourceIndexEntry rc with the data from the IResource res.
Public method | SaveAs(Stream) | Tell the package to save itself to the Online Stream s
Public method | SaveAs(String) | Tell the package to save itself to a file with the name in path
Public method | SavePackage | Tell the package to save itself to wherever it believes it came from
Back to Top
Properties
 | Name | Description
Public property | GetResourceList | Package index: the index as a IResourceIndexEntry list
Public property | HeaderStream | A Online MemoryStream covering the package header bytes
Public property | Indexcount | Package header: number of entries in the package index
Public property | Indexposition | Package header: index position in file
Public property | Indexsize | Package header: index size on disk in bytes
Public property | Indextype | Package index: the index format in use
Public property | Indexversion | Package header: always 3?
Public property | Magic | Package header: "DBPF" bytes
Public property | Major | Package header: 0x00000002
Public property | Minor | Package header: 0x00000000
Public property | Unknown1 | Package header: unused
Public property | Unknown2 | Package header: unused
Public property | Unknown3 | Package header: unused
Public property | Unknown4 | Package header: unused
Back to Top
Events
 | Name | Description
Public event | ResourceIndexInvalidated | Package index: raised when the result of a previous call to GetResourceList becomes invalid
Back to Top
See Also
IPackage Interface
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IPackage Methods

IPackage Methods s3pi library documentation
The IPackage type exposes the following members.
Methods
 | Name | Description
Public method | AddResource | Add a resource to the IPackage.
Public method | DeleteResource | Tell the package to delete the resource indexed by IResourceIndexEntry rc.
Public method | Find(Predicate IResourceIndexEntry ) | Searches the entire IPackage for the first IResourceIndexEntry that matches the conditions defined by the Predicate<IResourceIndexEntry>Match.
Public method | Find( String , TypedValue ) | Obsolete. Searches the entire IPackage for the first IResourceIndexEntry that matches the conditions defined by names and values.
Public method | Find(UInt32, IResourceIndexEntry) | Obsolete. Searches the entire IPackage for the first IResourceIndexEntry that matches the conditions defined by flags and values.
Public method | FindAll(Predicate IResourceIndexEntry ) | Searches the entire IPackage for all IResourceIndexEntrys that matches the conditions defined by the Predicate<IResourceIndexEntry>Match.
Public method | FindAll( String , TypedValue ) | Obsolete. Searches the entire IPackage for all IResourceIndexEntrys that matches the conditions defined by names and values.
Public method | FindAll(UInt32, IResourceIndexEntry) | Obsolete. Searches the entire IPackage for all IResourceIndexEntrys that matches the conditions defined by flags and values.
Public method | ReplaceResource | Tell the IPackage to replace the data for the resource indexed by IResourceIndexEntry rc with the data from the IResource res.
Public method | SaveAs(Stream) | Tell the package to save itself to the Online Stream s
Public method | SaveAs(String) | Tell the package to save itself to a file with the name in path
Public method | SavePackage | Tell the package to save itself to wherever it believes it came from
Back to Top
See Also
IPackage Interface
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IPackage.AddResource Method

IPackage AddResource Method s3pi library documentation
Add a resource to the IPackage.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
IResourceIndexEntry AddResource(
    IResourceKey rk,
    Stream stream,
    bool rejectDups
)
IResourceIndexEntry AddResource(
    IResourceKey rk,
    Stream stream,
    bool rejectDups
)
Function AddResource (
    rk As IResourceKey,
    stream As Stream,
    rejectDups As Boolean
) As IResourceIndexEntry
Function AddResource (
    rk As IResourceKey,
    stream As Stream,
    rejectDups As Boolean
) As IResourceIndexEntry
IResourceIndexEntry^ AddResource(
    IResourceKey^ rk,
    Stream^ stream,
    bool rejectDups
)
IResourceIndexEntry^ AddResource(
    IResourceKey^ rk,
    Stream^ stream,
    bool rejectDups
)
Parameters
rk
Type: s3pi.Interfaces IResourceKey
The resource's IResourceKey
stream
Type:   Online System.IO Stream
The   Online Stream that contains the resource's data
rejectDups
Type:   Online System Boolean
If true, fail if the IResourceKey already exists
Return Value
Type: IResourceIndexEntry
Null if rejectDups and the IResourceKey exists; else the new IResourceIndexEntry
See Also
IPackage Interface
IPackage Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IPackage.DeleteResource Method

IPackage DeleteResource Method s3pi library documentation
Tell the package to delete the resource indexed by IResourceIndexEntry rc.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
void DeleteResource(
    IResourceIndexEntry rc
)
void DeleteResource(
    IResourceIndexEntry rc
)
Sub DeleteResource (
    rc As IResourceIndexEntry
)
Sub DeleteResource (
    rc As IResourceIndexEntry
)
void DeleteResource(
    IResourceIndexEntry^ rc
)
void DeleteResource(
    IResourceIndexEntry^ rc
)
Parameters
rc
Type: s3pi.Interfaces IResourceIndexEntry
Target IResourceIndexEntry.
See Also
IPackage Interface
IPackage Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IPackage.Find Method

IPackage Find Method s3pi library documentation
Overload List
 | Name | Description
Public method | Find(Predicate IResourceIndexEntry ) | Searches the entire IPackage for the first IResourceIndexEntry that matches the conditions defined by the Predicate<IResourceIndexEntry>Match.
Public method | Find( String , TypedValue ) | Obsolete. Searches the entire IPackage for the first IResourceIndexEntry that matches the conditions defined by names and values.
Public method | Find(UInt32, IResourceIndexEntry) | Obsolete. Searches the entire IPackage for the first IResourceIndexEntry that matches the conditions defined by flags and values.
Back to Top
See Also
IPackage Interface
IPackage Members
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IPackage.Find Method (Predicate(IResourceIndexEntry))

IPackage Find Method (Predicate IResourceIndexEntry ) s3pi library documentation
Searches the entire IPackage for the first IResourceIndexEntry that matches the conditions defined by the Predicate<IResourceIndexEntry>Match.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
IResourceIndexEntry Find(
    Predicate<IResourceIndexEntry> Match
)
IResourceIndexEntry Find(
    Predicate<IResourceIndexEntry> Match
)
Function Find (
    Match As Predicate(Of IResourceIndexEntry)
) As IResourceIndexEntry
Function Find (
    Match As Predicate(Of IResourceIndexEntry)
) As IResourceIndexEntry
IResourceIndexEntry^ Find(
    Predicate<IResourceIndexEntry^>^ Match
)
IResourceIndexEntry^ Find(
    Predicate<IResourceIndexEntry^>^ Match
)
Parameters
Match
Type:   Online System Predicate  IResourceIndexEntry
Predicate<IResourceIndexEntry> defining matching conditions.
Return Value
Type: IResourceIndexEntry
The first matching IResourceIndexEntry, if any; otherwise null.
Remarks
Note that entries marked as deleted will not be returned.
See Also
IPackage Interface
IPackage Members
Find Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IPackage.Find Method (String[], TypedValue[])

IPackage Find Method ( String , TypedValue ) s3pi library documentation
Searches the entire IPackage for the first IResourceIndexEntry that matches the conditions defined by names and values.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[ObsoleteAttribute("Please use Find(Predicate<IResourceIndexEntry> Match)")]
IResourceIndexEntry Find(
    string[] names,
    TypedValue[] values
)
[ObsoleteAttribute("Please use Find(Predicate<IResourceIndexEntry> Match)")]
IResourceIndexEntry Find(
    string[] names,
    TypedValue[] values
)
<ObsoleteAttribute("Please use Find(Predicate<IResourceIndexEntry> Match)")>
Function Find (
    names As String(),
    values As TypedValue()
) As IResourceIndexEntry
<ObsoleteAttribute("Please use Find(Predicate<IResourceIndexEntry> Match)")>
Function Find (
    names As String(),
    values As TypedValue()
) As IResourceIndexEntry
[ObsoleteAttribute(L"Please use Find(Predicate<IResourceIndexEntry> Match)")]
IResourceIndexEntry^ Find(
    array<String^>^ names,
    array<TypedValue^>^ values
)
[ObsoleteAttribute(L"Please use Find(Predicate<IResourceIndexEntry> Match)")]
IResourceIndexEntry^ Find(
    array<String^>^ names,
    array<TypedValue^>^ values
)
Parameters
names
Type:    Online System String
Names of IResourceIndexEntry fields to compare.
values
Type:  s3pi.Interfaces TypedValue
Field values to compare against.
Return Value
Type: IResourceIndexEntry
The first matching IResourceIndexEntry, if any; otherwise null.
See Also
IPackage Interface
IPackage Members
Find Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IPackage.Find Method (UInt32, IResourceIndexEntry)

IPackage Find Method (UInt32, IResourceIndexEntry) s3pi library documentation
Searches the entire IPackage for the first IResourceIndexEntry that matches the conditions defined by flags and values.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[ObsoleteAttribute("Please use Find(Predicate<IResourceIndexEntry> Match)")]
IResourceIndexEntry Find(
    uint flags,
    IResourceIndexEntry values
)
[ObsoleteAttribute("Please use Find(Predicate<IResourceIndexEntry> Match)")]
IResourceIndexEntry Find(
    uint flags,
    IResourceIndexEntry values
)
<ObsoleteAttribute("Please use Find(Predicate<IResourceIndexEntry> Match)")>
Function Find (
    flags As UInteger,
    values As IResourceIndexEntry
) As IResourceIndexEntry
<ObsoleteAttribute("Please use Find(Predicate<IResourceIndexEntry> Match)")>
Function Find (
    flags As UInteger,
    values As IResourceIndexEntry
) As IResourceIndexEntry
[ObsoleteAttribute(L"Please use Find(Predicate<IResourceIndexEntry> Match)")]
IResourceIndexEntry^ Find(
    unsigned int flags,
    IResourceIndexEntry^ values
)
[ObsoleteAttribute(L"Please use Find(Predicate<IResourceIndexEntry> Match)")]
IResourceIndexEntry^ Find(
    unsigned int flags,
    IResourceIndexEntry^ values
)
Parameters
flags
Type:   Online System UInt32
True bits enable matching against numerically equivalent values entry.
values
Type: s3pi.Interfaces IResourceIndexEntry
Field values to compare against.
Return Value
Type: IResourceIndexEntry
The first matching IResourceIndexEntry, if any; otherwise null.
See Also
IPackage Interface
IPackage Members
Find Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IPackage.FindAll Method

IPackage FindAll Method s3pi library documentation
Overload List
 | Name | Description
Public method | FindAll(Predicate IResourceIndexEntry ) | Searches the entire IPackage for all IResourceIndexEntrys that matches the conditions defined by the Predicate<IResourceIndexEntry>Match.
Public method | FindAll( String , TypedValue ) | Obsolete. Searches the entire IPackage for all IResourceIndexEntrys that matches the conditions defined by names and values.
Public method | FindAll(UInt32, IResourceIndexEntry) | Obsolete. Searches the entire IPackage for all IResourceIndexEntrys that matches the conditions defined by flags and values.
Back to Top
See Also
IPackage Interface
IPackage Members
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IPackage.FindAll Method (Predicate(IResourceIndexEntry))

IPackage FindAll Method (Predicate IResourceIndexEntry ) s3pi library documentation
Searches the entire IPackage for all IResourceIndexEntrys that matches the conditions defined by the Predicate<IResourceIndexEntry>Match.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
List<IResourceIndexEntry> FindAll(
    Predicate<IResourceIndexEntry> Match
)
List<IResourceIndexEntry> FindAll(
    Predicate<IResourceIndexEntry> Match
)
Function FindAll (
    Match As Predicate(Of IResourceIndexEntry)
) As List(Of IResourceIndexEntry)
Function FindAll (
    Match As Predicate(Of IResourceIndexEntry)
) As List(Of IResourceIndexEntry)
List<IResourceIndexEntry^>^ FindAll(
    Predicate<IResourceIndexEntry^>^ Match
)
List<IResourceIndexEntry^>^ FindAll(
    Predicate<IResourceIndexEntry^>^ Match
)
Parameters
Match
Type:   Online System Predicate  IResourceIndexEntry
Predicate<IResourceIndexEntry> defining matching conditions.
Return Value
Type:   Online List  IResourceIndexEntry
Zero or more matches.
Remarks
Note that entries marked as deleted will not be returned.
See Also
IPackage Interface
IPackage Members
FindAll Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IPackage.FindAll Method (String[], TypedValue[])

IPackage FindAll Method ( String , TypedValue ) s3pi library documentation
Searches the entire IPackage for all IResourceIndexEntrys that matches the conditions defined by names and values.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[ObsoleteAttribute("Please use FindAll(Predicate<IResourceIndexEntry> Match)")]
List<IResourceIndexEntry> FindAll(
    string[] names,
    TypedValue[] values
)
[ObsoleteAttribute("Please use FindAll(Predicate<IResourceIndexEntry> Match)")]
List<IResourceIndexEntry> FindAll(
    string[] names,
    TypedValue[] values
)
<ObsoleteAttribute("Please use FindAll(Predicate<IResourceIndexEntry> Match)")>
Function FindAll (
    names As String(),
    values As TypedValue()
) As List(Of IResourceIndexEntry)
<ObsoleteAttribute("Please use FindAll(Predicate<IResourceIndexEntry> Match)")>
Function FindAll (
    names As String(),
    values As TypedValue()
) As List(Of IResourceIndexEntry)
[ObsoleteAttribute(L"Please use FindAll(Predicate<IResourceIndexEntry> Match)")]
List<IResourceIndexEntry^>^ FindAll(
    array<String^>^ names,
    array<TypedValue^>^ values
)
[ObsoleteAttribute(L"Please use FindAll(Predicate<IResourceIndexEntry> Match)")]
List<IResourceIndexEntry^>^ FindAll(
    array<String^>^ names,
    array<TypedValue^>^ values
)
Parameters
names
Type:    Online System String
Names of IResourceIndexEntry fields to compare.
values
Type:  s3pi.Interfaces TypedValue
Field values to compare against.
Return Value
Type:   Online List  IResourceIndexEntry
An IList<IResourceIndexEntry> of zero or more matches.
See Also
IPackage Interface
IPackage Members
FindAll Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IPackage.FindAll Method (UInt32, IResourceIndexEntry)

IPackage FindAll Method (UInt32, IResourceIndexEntry) s3pi library documentation
Searches the entire IPackage for all IResourceIndexEntrys that matches the conditions defined by flags and values.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[ObsoleteAttribute("Please use FindAll(Predicate<IResourceIndexEntry> Match)")]
List<IResourceIndexEntry> FindAll(
    uint flags,
    IResourceIndexEntry values
)
[ObsoleteAttribute("Please use FindAll(Predicate<IResourceIndexEntry> Match)")]
List<IResourceIndexEntry> FindAll(
    uint flags,
    IResourceIndexEntry values
)
<ObsoleteAttribute("Please use FindAll(Predicate<IResourceIndexEntry> Match)")>
Function FindAll (
    flags As UInteger,
    values As IResourceIndexEntry
) As List(Of IResourceIndexEntry)
<ObsoleteAttribute("Please use FindAll(Predicate<IResourceIndexEntry> Match)")>
Function FindAll (
    flags As UInteger,
    values As IResourceIndexEntry
) As List(Of IResourceIndexEntry)
[ObsoleteAttribute(L"Please use FindAll(Predicate<IResourceIndexEntry> Match)")]
List<IResourceIndexEntry^>^ FindAll(
    unsigned int flags,
    IResourceIndexEntry^ values
)
[ObsoleteAttribute(L"Please use FindAll(Predicate<IResourceIndexEntry> Match)")]
List<IResourceIndexEntry^>^ FindAll(
    unsigned int flags,
    IResourceIndexEntry^ values
)
Parameters
flags
Type:   Online System UInt32
True bits enable matching against numerically equivalent values entry.
values
Type: s3pi.Interfaces IResourceIndexEntry
Field values to compare against.
Return Value
Type:   Online List  IResourceIndexEntry
An IList<IResourceIndexEntry> of zero or more matches.
See Also
IPackage Interface
IPackage Members
FindAll Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IPackage.ReplaceResource Method

IPackage ReplaceResource Method s3pi library documentation
Tell the IPackage to replace the data for the resource indexed by IResourceIndexEntry rc with the data from the IResource res.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
void ReplaceResource(
    IResourceIndexEntry rc,
    IResource res
)
void ReplaceResource(
    IResourceIndexEntry rc,
    IResource res
)
Sub ReplaceResource (
    rc As IResourceIndexEntry,
    res As IResource
)
Sub ReplaceResource (
    rc As IResourceIndexEntry,
    res As IResource
)
void ReplaceResource(
    IResourceIndexEntry^ rc,
    IResource^ res
)
void ReplaceResource(
    IResourceIndexEntry^ rc,
    IResource^ res
)
Parameters
rc
Type: s3pi.Interfaces IResourceIndexEntry
Target IResourceIndexEntry.
res
Type: s3pi.Interfaces IResource
Source IResource.
See Also
IPackage Interface
IPackage Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IPackage.SaveAs Method

IPackage SaveAs Method s3pi library documentation
Overload List
 | Name | Description
Public method | SaveAs(Stream) | Tell the package to save itself to the Online Stream s
Public method | SaveAs(String) | Tell the package to save itself to a file with the name in path
Back to Top
See Also
IPackage Interface
IPackage Members
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IPackage.SaveAs Method (Stream)

IPackage SaveAs Method (Stream) s3pi library documentation
Tell the package to save itself to the Online Stream s

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
void SaveAs(
    Stream s
)
void SaveAs(
    Stream s
)
Sub SaveAs (
    s As Stream
)
Sub SaveAs (
    s As Stream
)
void SaveAs(
    Stream^ s
)
void SaveAs(
    Stream^ s
)
Parameters
s
Type:   Online System.IO Stream
A   Online Stream to which the package should be saved
See Also
IPackage Interface
IPackage Members
SaveAs Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IPackage.SaveAs Method (String)

IPackage SaveAs Method (String) s3pi library documentation
Tell the package to save itself to a file with the name in path

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
void SaveAs(
    string path
)
void SaveAs(
    string path
)
Sub SaveAs (
    path As String
)
Sub SaveAs (
    path As String
)
void SaveAs(
    String^ path
)
void SaveAs(
    String^ path
)
Parameters
path
Type:   Online System String
A fully-qualified file name
See Also
IPackage Interface
IPackage Members
SaveAs Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IPackage.SavePackage Method

IPackage SavePackage Method s3pi library documentation
Tell the package to save itself to wherever it believes it came from

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
void SavePackage()
void SavePackage()
Sub SavePackage
Sub SavePackage
void SavePackage()
void SavePackage()
See Also
IPackage Interface
IPackage Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IPackage Properties

IPackage Properties s3pi library documentation
The IPackage type exposes the following members.
Properties
 | Name | Description
Public property | GetResourceList | Package index: the index as a IResourceIndexEntry list
Public property | HeaderStream | A Online MemoryStream covering the package header bytes
Public property | Indexcount | Package header: number of entries in the package index
Public property | Indexposition | Package header: index position in file
Public property | Indexsize | Package header: index size on disk in bytes
Public property | Indextype | Package index: the index format in use
Public property | Indexversion | Package header: always 3?
Public property | Magic | Package header: "DBPF" bytes
Public property | Major | Package header: 0x00000002
Public property | Minor | Package header: 0x00000000
Public property | Unknown1 | Package header: unused
Public property | Unknown2 | Package header: unused
Public property | Unknown3 | Package header: unused
Public property | Unknown4 | Package header: unused
Back to Top
See Also
IPackage Interface
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IPackage.GetResourceList Property

IPackage GetResourceList Property s3pi library documentation
Package index: the index as a IResourceIndexEntry list

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[ElementPriorityAttribute(14)]
List<IResourceIndexEntry> GetResourceList { get; }
[ElementPriorityAttribute(14)]
List<IResourceIndexEntry> GetResourceList { get; }
<ElementPriorityAttribute(14)>
ReadOnly Property GetResourceList As List(Of IResourceIndexEntry)
    Get
<ElementPriorityAttribute(14)>
ReadOnly Property GetResourceList As List(Of IResourceIndexEntry)
    Get
[ElementPriorityAttribute(14)]
property List<IResourceIndexEntry^>^ GetResourceList {
    List<IResourceIndexEntry^>^ get ();
}
[ElementPriorityAttribute(14)]
property List<IResourceIndexEntry^>^ GetResourceList {
    List<IResourceIndexEntry^>^ get ();
}
Property Value
Type:   Online List  IResourceIndexEntry
See Also
IPackage Interface
IPackage Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IPackage.HeaderStream Property

IPackage HeaderStream Property s3pi library documentation
A Online MemoryStream covering the package header bytes

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[ElementPriorityAttribute(12)]
Stream HeaderStream { get; }
[ElementPriorityAttribute(12)]
Stream HeaderStream { get; }
<ElementPriorityAttribute(12)>
ReadOnly Property HeaderStream As Stream
    Get
<ElementPriorityAttribute(12)>
ReadOnly Property HeaderStream As Stream
    Get
[ElementPriorityAttribute(12)]
property Stream^ HeaderStream {
    Stream^ get ();
}
[ElementPriorityAttribute(12)]
property Stream^ HeaderStream {
    Stream^ get ();
}
Property Value
Type:   Online Stream
See Also
IPackage Interface
IPackage Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IPackage.Indexcount Property

IPackage Indexcount Property s3pi library documentation
Package header: number of entries in the package index

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[ElementPriorityAttribute(5)]
int Indexcount { get; }
[ElementPriorityAttribute(5)]
int Indexcount { get; }
<ElementPriorityAttribute(5)>
ReadOnly Property Indexcount As Integer
    Get
<ElementPriorityAttribute(5)>
ReadOnly Property Indexcount As Integer
    Get
[ElementPriorityAttribute(5)]
property int Indexcount {
    int get ();
}
[ElementPriorityAttribute(5)]
property int Indexcount {
    int get ();
}
Property Value
Type:   Online Int32
See Also
IPackage Interface
IPackage Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IPackage.Indexposition Property

IPackage Indexposition Property s3pi library documentation
Package header: index position in file

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[ElementPriorityAttribute(10)]
int Indexposition { get; }
[ElementPriorityAttribute(10)]
int Indexposition { get; }
<ElementPriorityAttribute(10)>
ReadOnly Property Indexposition As Integer
    Get
<ElementPriorityAttribute(10)>
ReadOnly Property Indexposition As Integer
    Get
[ElementPriorityAttribute(10)]
property int Indexposition {
    int get ();
}
[ElementPriorityAttribute(10)]
property int Indexposition {
    int get ();
}
Property Value
Type:   Online Int32
See Also
IPackage Interface
IPackage Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IPackage.Indexsize Property

IPackage Indexsize Property s3pi library documentation
Package header: index size on disk in bytes

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[ElementPriorityAttribute(7)]
int Indexsize { get; }
[ElementPriorityAttribute(7)]
int Indexsize { get; }
<ElementPriorityAttribute(7)>
ReadOnly Property Indexsize As Integer
    Get
<ElementPriorityAttribute(7)>
ReadOnly Property Indexsize As Integer
    Get
[ElementPriorityAttribute(7)]
property int Indexsize {
    int get ();
}
[ElementPriorityAttribute(7)]
property int Indexsize {
    int get ();
}
Property Value
Type:   Online Int32
See Also
IPackage Interface
IPackage Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IPackage.Indextype Property

IPackage Indextype Property s3pi library documentation
Package index: the index format in use

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[ElementPriorityAttribute(13)]
uint Indextype { get; }
[ElementPriorityAttribute(13)]
uint Indextype { get; }
<ElementPriorityAttribute(13)>
ReadOnly Property Indextype As UInteger
    Get
<ElementPriorityAttribute(13)>
ReadOnly Property Indextype As UInteger
    Get
[ElementPriorityAttribute(13)]
property unsigned int Indextype {
    unsigned int get ();
}
[ElementPriorityAttribute(13)]
property unsigned int Indextype {
    unsigned int get ();
}
Property Value
Type:   Online UInt32
See Also
IPackage Interface
IPackage Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IPackage.Indexversion Property

IPackage Indexversion Property s3pi library documentation
Package header: always 3?

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[ElementPriorityAttribute(9)]
int Indexversion { get; }
[ElementPriorityAttribute(9)]
int Indexversion { get; }
<ElementPriorityAttribute(9)>
ReadOnly Property Indexversion As Integer
    Get
<ElementPriorityAttribute(9)>
ReadOnly Property Indexversion As Integer
    Get
[ElementPriorityAttribute(9)]
property int Indexversion {
    int get ();
}
[ElementPriorityAttribute(9)]
property int Indexversion {
    int get ();
}
Property Value
Type:   Online Int32
See Also
IPackage Interface
IPackage Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IPackage.Magic Property

IPackage Magic Property s3pi library documentation
Package header: "DBPF" bytes

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[ElementPriorityAttribute(1)]
byte[] Magic { get; }
[ElementPriorityAttribute(1)]
byte[] Magic { get; }
<ElementPriorityAttribute(1)>
ReadOnly Property Magic As Byte()
    Get
<ElementPriorityAttribute(1)>
ReadOnly Property Magic As Byte()
    Get
[ElementPriorityAttribute(1)]
property array<unsigned char>^ Magic {
    array<unsigned char>^ get ();
}
[ElementPriorityAttribute(1)]
property array<unsigned char>^ Magic {
    array<unsigned char>^ get ();
}
Property Value
Type:    Online Byte
See Also
IPackage Interface
IPackage Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IPackage.Major Property

IPackage Major Property s3pi library documentation
Package header: 0x00000002

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[ElementPriorityAttribute(2)]
int Major { get; }
[ElementPriorityAttribute(2)]
int Major { get; }
<ElementPriorityAttribute(2)>
ReadOnly Property Major As Integer
    Get
<ElementPriorityAttribute(2)>
ReadOnly Property Major As Integer
    Get
[ElementPriorityAttribute(2)]
property int Major {
    int get ();
}
[ElementPriorityAttribute(2)]
property int Major {
    int get ();
}
Property Value
Type:   Online Int32
See Also
IPackage Interface
IPackage Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IPackage.Minor Property

IPackage Minor Property s3pi library documentation
Package header: 0x00000000

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[ElementPriorityAttribute(3)]
int Minor { get; }
[ElementPriorityAttribute(3)]
int Minor { get; }
<ElementPriorityAttribute(3)>
ReadOnly Property Minor As Integer
    Get
<ElementPriorityAttribute(3)>
ReadOnly Property Minor As Integer
    Get
[ElementPriorityAttribute(3)]
property int Minor {
    int get ();
}
[ElementPriorityAttribute(3)]
property int Minor {
    int get ();
}
Property Value
Type:   Online Int32
See Also
IPackage Interface
IPackage Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IPackage.Unknown1 Property

IPackage Unknown1 Property s3pi library documentation
Package header: unused

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[ElementPriorityAttribute(4)]
byte[] Unknown1 { get; }
[ElementPriorityAttribute(4)]
byte[] Unknown1 { get; }
<ElementPriorityAttribute(4)>
ReadOnly Property Unknown1 As Byte()
    Get
<ElementPriorityAttribute(4)>
ReadOnly Property Unknown1 As Byte()
    Get
[ElementPriorityAttribute(4)]
property array<unsigned char>^ Unknown1 {
    array<unsigned char>^ get ();
}
[ElementPriorityAttribute(4)]
property array<unsigned char>^ Unknown1 {
    array<unsigned char>^ get ();
}
Property Value
Type:    Online Byte
See Also
IPackage Interface
IPackage Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IPackage.Unknown2 Property

IPackage Unknown2 Property s3pi library documentation
Package header: unused

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[ElementPriorityAttribute(6)]
byte[] Unknown2 { get; }
[ElementPriorityAttribute(6)]
byte[] Unknown2 { get; }
<ElementPriorityAttribute(6)>
ReadOnly Property Unknown2 As Byte()
    Get
<ElementPriorityAttribute(6)>
ReadOnly Property Unknown2 As Byte()
    Get
[ElementPriorityAttribute(6)]
property array<unsigned char>^ Unknown2 {
    array<unsigned char>^ get ();
}
[ElementPriorityAttribute(6)]
property array<unsigned char>^ Unknown2 {
    array<unsigned char>^ get ();
}
Property Value
Type:    Online Byte
See Also
IPackage Interface
IPackage Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IPackage.Unknown3 Property

IPackage Unknown3 Property s3pi library documentation
Package header: unused

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[ElementPriorityAttribute(8)]
byte[] Unknown3 { get; }
[ElementPriorityAttribute(8)]
byte[] Unknown3 { get; }
<ElementPriorityAttribute(8)>
ReadOnly Property Unknown3 As Byte()
    Get
<ElementPriorityAttribute(8)>
ReadOnly Property Unknown3 As Byte()
    Get
[ElementPriorityAttribute(8)]
property array<unsigned char>^ Unknown3 {
    array<unsigned char>^ get ();
}
[ElementPriorityAttribute(8)]
property array<unsigned char>^ Unknown3 {
    array<unsigned char>^ get ();
}
Property Value
Type:    Online Byte
See Also
IPackage Interface
IPackage Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IPackage.Unknown4 Property

IPackage Unknown4 Property s3pi library documentation
Package header: unused

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[ElementPriorityAttribute(11)]
byte[] Unknown4 { get; }
[ElementPriorityAttribute(11)]
byte[] Unknown4 { get; }
<ElementPriorityAttribute(11)>
ReadOnly Property Unknown4 As Byte()
    Get
<ElementPriorityAttribute(11)>
ReadOnly Property Unknown4 As Byte()
    Get
[ElementPriorityAttribute(11)]
property array<unsigned char>^ Unknown4 {
    array<unsigned char>^ get ();
}
[ElementPriorityAttribute(11)]
property array<unsigned char>^ Unknown4 {
    array<unsigned char>^ get ();
}
Property Value
Type:    Online Byte
See Also
IPackage Interface
IPackage Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IPackage Events

IPackage Events s3pi library documentation
The IPackage type exposes the following members.
Events
 | Name | Description
Public event | ResourceIndexInvalidated | Package index: raised when the result of a previous call to GetResourceList becomes invalid
Back to Top
See Also
IPackage Interface
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IPackage.ResourceIndexInvalidated Event

IPackage ResourceIndexInvalidated Event s3pi library documentation
Package index: raised when the result of a previous call to GetResourceList becomes invalid

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
event EventHandler ResourceIndexInvalidated
event EventHandler ResourceIndexInvalidated
Event ResourceIndexInvalidated As EventHandler
Event ResourceIndexInvalidated As EventHandler
 event EventHandler^ ResourceIndexInvalidated {
    void add (EventHandler^ value);
    void remove (EventHandler^ value);
}
 event EventHandler^ ResourceIndexInvalidated {
    void add (EventHandler^ value);
    void remove (EventHandler^ value);
}
Value
Type:   Online System EventHandler
See Also
IPackage Interface
IPackage Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IRCOLBlock Interface

IRCOLBlock Interface s3pi library documentation
Defines the interface exposed by an RCOL block.

Namespace: s3pi.Interfaces
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public interface IRCOLBlock : IResource,
    IApiVersion, IContentFields
public interface IRCOLBlock : IResource,
    IApiVersion, IContentFields
Public Interface IRCOLBlock
    Inherits IResource, IApiVersion, IContentFields
Public Interface IRCOLBlock
    Inherits IResource, IApiVersion, IContentFields
public interface class IRCOLBlock : IResource,
    IApiVersion, IContentFields
public interface class IRCOLBlock : IResource,
    IApiVersion, IContentFields
See Also
IRCOLBlock Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IRCOLBlock Members

IRCOLBlock Members s3pi library documentation

The IRCOLBlock type exposes the following members.
Methods
 | Name | Description
Public method | UnParse | Writes the content of the RCOL block to a stream
Back to Top
Properties
 | Name | Description
Public property | ResourceType | The ResourceType for the RCOL block, used to determine which specific RCOL handlers are available
Public property | Tag | The four byte tag for the RCOL block, may be null if none present
Back to Top
See Also
IRCOLBlock Interface
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IRCOLBlock Methods

IRCOLBlock Methods s3pi library documentation
The IRCOLBlock type exposes the following members.
Methods
 | Name | Description
Public method | UnParse | Writes the content of the RCOL block to a stream
Back to Top
See Also
IRCOLBlock Interface
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IRCOLBlock.UnParse Method

IRCOLBlock UnParse Method s3pi library documentation
Writes the content of the RCOL block to a stream

Namespace: s3pi.Interfaces
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
Stream UnParse()
Stream UnParse()
Function UnParse As Stream
Function UnParse As Stream
Stream^ UnParse()
Stream^ UnParse()
Return Value
Type:   Online Stream
A stream containing the current content of the RCOL block
See Also
IRCOLBlock Interface
IRCOLBlock Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IRCOLBlock Properties

IRCOLBlock Properties s3pi library documentation
The IRCOLBlock type exposes the following members.
Properties
 | Name | Description
Public property | ResourceType | The ResourceType for the RCOL block, used to determine which specific RCOL handlers are available
Public property | Tag | The four byte tag for the RCOL block, may be null if none present
Back to Top
See Also
IRCOLBlock Interface
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IRCOLBlock.ResourceType Property

IRCOLBlock ResourceType Property s3pi library documentation
The ResourceType for the RCOL block, used to determine which specific RCOL handlers are available

Namespace: s3pi.Interfaces
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[ElementPriorityAttribute(3)]
uint ResourceType { get; }
[ElementPriorityAttribute(3)]
uint ResourceType { get; }
<ElementPriorityAttribute(3)>
ReadOnly Property ResourceType As UInteger
    Get
<ElementPriorityAttribute(3)>
ReadOnly Property ResourceType As UInteger
    Get
[ElementPriorityAttribute(3)]
property unsigned int ResourceType {
    unsigned int get ();
}
[ElementPriorityAttribute(3)]
property unsigned int ResourceType {
    unsigned int get ();
}
Property Value
Type:   Online UInt32
See Also
IRCOLBlock Interface
IRCOLBlock Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IRCOLBlock.Tag Property

IRCOLBlock Tag Property s3pi library documentation
The four byte tag for the RCOL block, may be null if none present

Namespace: s3pi.Interfaces
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[ElementPriorityAttribute(2)]
string Tag { get; }
[ElementPriorityAttribute(2)]
string Tag { get; }
<ElementPriorityAttribute(2)>
ReadOnly Property Tag As String
    Get
<ElementPriorityAttribute(2)>
ReadOnly Property Tag As String
    Get
[ElementPriorityAttribute(2)]
property String^ Tag {
    String^ get ();
}
[ElementPriorityAttribute(2)]
property String^ Tag {
    String^ get ();
}
Property Value
Type:   Online String
See Also
IRCOLBlock Interface
IRCOLBlock Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IResource Interface

IResource Interface s3pi library documentation
Minimal resource interface

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public interface IResource : IApiVersion,
    IContentFields
public interface IResource : IApiVersion,
    IContentFields
Public Interface IResource
    Inherits IApiVersion, IContentFields
Public Interface IResource
    Inherits IApiVersion, IContentFields
public interface class IResource : IApiVersion,
    IContentFields
public interface class IResource : IApiVersion,
    IContentFields
See Also
IResource Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IResource Members

IResource Members s3pi library documentation

The IResource type exposes the following members.
Properties
 | Name | Description
Public property | AsBytes | The resource content as a Online Byte array
Public property | Stream | The resource content as a Online Stream.
Back to Top
Events
 | Name | Description
Public event | ResourceChanged | Raised if the resource is changed
Back to Top
See Also
IResource Interface
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IResource Properties

IResource Properties s3pi library documentation
The IResource type exposes the following members.
Properties
 | Name | Description
Public property | AsBytes | The resource content as a Online Byte array
Public property | Stream | The resource content as a Online Stream.
Back to Top
See Also
IResource Interface
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IResource.AsBytes Property

IResource AsBytes Property s3pi library documentation
The resource content as a Online Byte array

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
byte[] AsBytes { get; }
byte[] AsBytes { get; }
ReadOnly Property AsBytes As Byte()
    Get
ReadOnly Property AsBytes As Byte()
    Get
property array<unsigned char>^ AsBytes {
    array<unsigned char>^ get ();
}
property array<unsigned char>^ AsBytes {
    array<unsigned char>^ get ();
}
Property Value
Type:    Online Byte
See Also
IResource Interface
IResource Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IResource.Stream Property

IResource Stream Property s3pi library documentation
The resource content as a Online Stream.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
Stream Stream { get; }
Stream Stream { get; }
ReadOnly Property Stream As Stream
    Get
ReadOnly Property Stream As Stream
    Get
property Stream^ Stream {
    Stream^ get ();
}
property Stream^ Stream {
    Stream^ get ();
}
Property Value
Type:   Online Stream
See Also
IResource Interface
IResource Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IResource Events

IResource Events s3pi library documentation
The IResource type exposes the following members.
Events
 | Name | Description
Public event | ResourceChanged | Raised if the resource is changed
Back to Top
See Also
IResource Interface
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IResource.ResourceChanged Event

IResource ResourceChanged Event s3pi library documentation
Raised if the resource is changed

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
event EventHandler ResourceChanged
event EventHandler ResourceChanged
Event ResourceChanged As EventHandler
Event ResourceChanged As EventHandler
 event EventHandler^ ResourceChanged {
    void add (EventHandler^ value);
    void remove (EventHandler^ value);
}
 event EventHandler^ ResourceChanged {
    void add (EventHandler^ value);
    void remove (EventHandler^ value);
}
Value
Type:   Online System EventHandler
See Also
IResource Interface
IResource Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IResourceIndexEntry Interface

IResourceIndexEntry Interface s3pi library documentation
An index entry within a package

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public interface IResourceIndexEntry : IApiVersion,
    IContentFields, IResourceKey, IEqualityComparer<IResourceKey>, IEquatable<IResourceKey>,
    IComparable<IResourceKey>, IEquatable<IResourceIndexEntry>
public interface IResourceIndexEntry : IApiVersion,
    IContentFields, IResourceKey, IEqualityComparer<IResourceKey>, IEquatable<IResourceKey>,
    IComparable<IResourceKey>, IEquatable<IResourceIndexEntry>
Public Interface IResourceIndexEntry
    Inherits IApiVersion, IContentFields, IResourceKey, IEqualityComparer(Of IResourceKey),
    IEquatable(Of IResourceKey), IComparable(Of IResourceKey), IEquatable(Of IResourceIndexEntry)
Public Interface IResourceIndexEntry
    Inherits IApiVersion, IContentFields, IResourceKey, IEqualityComparer(Of IResourceKey),
    IEquatable(Of IResourceKey), IComparable(Of IResourceKey), IEquatable(Of IResourceIndexEntry)
public interface class IResourceIndexEntry : IApiVersion,
    IContentFields, IResourceKey, IEqualityComparer<IResourceKey^>, IEquatable<IResourceKey^>,
    IComparable<IResourceKey^>, IEquatable<IResourceIndexEntry^>
public interface class IResourceIndexEntry : IApiVersion,
    IContentFields, IResourceKey, IEqualityComparer<IResourceKey^>, IEquatable<IResourceKey^>,
    IComparable<IResourceKey^>, IEquatable<IResourceIndexEntry^>
See Also
IResourceIndexEntry Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IResourceIndexEntry Members

IResourceIndexEntry Members s3pi library documentation

The IResourceIndexEntry type exposes the following members.
Properties
 | Name | Description
Public property | Chunkoffset | If the resource was read from a package, the location in the package the resource was read from
Public property | Compressed | 0xFFFF if Filesize != Memsize, else 0x0000
Public property | Filesize | The number of bytes the resource uses within the package
Public property | IsDeleted | True if the index entry has been deleted from the package index
Public property | Memsize | The number of bytes the resource uses in memory
Public property | Stream | A Online MemoryStream covering the index entry bytes
Public property | Unknown2 | Always 0x0001
Back to Top
See Also
IResourceIndexEntry Interface
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IResourceIndexEntry Properties

IResourceIndexEntry Properties s3pi library documentation
The IResourceIndexEntry type exposes the following members.
Properties
 | Name | Description
Public property | Chunkoffset | If the resource was read from a package, the location in the package the resource was read from
Public property | Compressed | 0xFFFF if Filesize != Memsize, else 0x0000
Public property | Filesize | The number of bytes the resource uses within the package
Public property | IsDeleted | True if the index entry has been deleted from the package index
Public property | Memsize | The number of bytes the resource uses in memory
Public property | Stream | A Online MemoryStream covering the index entry bytes
Public property | Unknown2 | Always 0x0001
Back to Top
See Also
IResourceIndexEntry Interface
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IResourceIndexEntry.Chunkoffset Property

IResourceIndexEntry Chunkoffset Property s3pi library documentation
If the resource was read from a package, the location in the package the resource was read from

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
uint Chunkoffset { get; set; }
uint Chunkoffset { get; set; }
Property Chunkoffset As UInteger
    Get
    Set
Property Chunkoffset As UInteger
    Get
    Set
property unsigned int Chunkoffset {
    unsigned int get ();
    void set (unsigned int value);
}
property unsigned int Chunkoffset {
    unsigned int get ();
    void set (unsigned int value);
}
Property Value
Type:   Online UInt32
See Also
IResourceIndexEntry Interface
IResourceIndexEntry Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IResourceIndexEntry.Compressed Property

IResourceIndexEntry Compressed Property s3pi library documentation
0xFFFF if Filesize != Memsize, else 0x0000

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
ushort Compressed { get; set; }
ushort Compressed { get; set; }
Property Compressed As UShort
    Get
    Set
Property Compressed As UShort
    Get
    Set
property unsigned short Compressed {
    unsigned short get ();
    void set (unsigned short value);
}
property unsigned short Compressed {
    unsigned short get ();
    void set (unsigned short value);
}
Property Value
Type:   Online UInt16
See Also
IResourceIndexEntry Interface
IResourceIndexEntry Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IResourceIndexEntry.Filesize Property

IResourceIndexEntry Filesize Property s3pi library documentation
The number of bytes the resource uses within the package

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
uint Filesize { get; set; }
uint Filesize { get; set; }
Property Filesize As UInteger
    Get
    Set
Property Filesize As UInteger
    Get
    Set
property unsigned int Filesize {
    unsigned int get ();
    void set (unsigned int value);
}
property unsigned int Filesize {
    unsigned int get ();
    void set (unsigned int value);
}
Property Value
Type:   Online UInt32
See Also
IResourceIndexEntry Interface
IResourceIndexEntry Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IResourceIndexEntry.IsDeleted Property

IResourceIndexEntry IsDeleted Property s3pi library documentation
True if the index entry has been deleted from the package index

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
bool IsDeleted { get; set; }
bool IsDeleted { get; set; }
Property IsDeleted As Boolean
    Get
    Set
Property IsDeleted As Boolean
    Get
    Set
property bool IsDeleted {
    bool get ();
    void set (bool value);
}
property bool IsDeleted {
    bool get ();
    void set (bool value);
}
Property Value
Type:   Online Boolean
See Also
IResourceIndexEntry Interface
IResourceIndexEntry Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IResourceIndexEntry.Memsize Property

IResourceIndexEntry Memsize Property s3pi library documentation
The number of bytes the resource uses in memory

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
uint Memsize { get; set; }
uint Memsize { get; set; }
Property Memsize As UInteger
    Get
    Set
Property Memsize As UInteger
    Get
    Set
property unsigned int Memsize {
    unsigned int get ();
    void set (unsigned int value);
}
property unsigned int Memsize {
    unsigned int get ();
    void set (unsigned int value);
}
Property Value
Type:   Online UInt32
See Also
IResourceIndexEntry Interface
IResourceIndexEntry Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IResourceIndexEntry.Stream Property

IResourceIndexEntry Stream Property s3pi library documentation
A Online MemoryStream covering the index entry bytes

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
Stream Stream { get; }
Stream Stream { get; }
ReadOnly Property Stream As Stream
    Get
ReadOnly Property Stream As Stream
    Get
property Stream^ Stream {
    Stream^ get ();
}
property Stream^ Stream {
    Stream^ get ();
}
Property Value
Type:   Online Stream
See Also
IResourceIndexEntry Interface
IResourceIndexEntry Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IResourceIndexEntry.Unknown2 Property

IResourceIndexEntry Unknown2 Property s3pi library documentation
Always 0x0001

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
ushort Unknown2 { get; set; }
ushort Unknown2 { get; set; }
Property Unknown2 As UShort
    Get
    Set
Property Unknown2 As UShort
    Get
    Set
property unsigned short Unknown2 {
    unsigned short get ();
    void set (unsigned short value);
}
property unsigned short Unknown2 {
    unsigned short get ();
    void set (unsigned short value);
}
Property Value
Type:   Online UInt16
See Also
IResourceIndexEntry Interface
IResourceIndexEntry Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IResourceKey Interface

IResourceKey Interface s3pi library documentation
Exposes a standard set of properties to identify a resource

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public interface IResourceKey : IEqualityComparer<IResourceKey>,
    IEquatable<IResourceKey>, IComparable<IResourceKey>
public interface IResourceKey : IEqualityComparer<IResourceKey>,
    IEquatable<IResourceKey>, IComparable<IResourceKey>
Public Interface IResourceKey
    Inherits IEqualityComparer(Of IResourceKey), IEquatable(Of IResourceKey),
    IComparable(Of IResourceKey)
Public Interface IResourceKey
    Inherits IEqualityComparer(Of IResourceKey), IEquatable(Of IResourceKey),
    IComparable(Of IResourceKey)
public interface class IResourceKey : IEqualityComparer<IResourceKey^>,
    IEquatable<IResourceKey^>, IComparable<IResourceKey^>
public interface class IResourceKey : IEqualityComparer<IResourceKey^>,
    IEquatable<IResourceKey^>, IComparable<IResourceKey^>
See Also
IResourceKey Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IResourceKey Members

IResourceKey Members s3pi library documentation

The IResourceKey type exposes the following members.
Properties
 | Name | Description
Public property | Instance | The "instance" number of the resource
Public property | ResourceGroup | The "group" the resource is part of
Public property | ResourceType | The "type" of the resource
Back to Top
See Also
IResourceKey Interface
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IResourceKey Properties

IResourceKey Properties s3pi library documentation
The IResourceKey type exposes the following members.
Properties
 | Name | Description
Public property | Instance | The "instance" number of the resource
Public property | ResourceGroup | The "group" the resource is part of
Public property | ResourceType | The "type" of the resource
Back to Top
See Also
IResourceKey Interface
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IResourceKey.Instance Property

IResourceKey Instance Property s3pi library documentation
The "instance" number of the resource

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
ulong Instance { get; set; }
ulong Instance { get; set; }
Property Instance As ULong
    Get
    Set
Property Instance As ULong
    Get
    Set
property unsigned long long Instance {
    unsigned long long get ();
    void set (unsigned long long value);
}
property unsigned long long Instance {
    unsigned long long get ();
    void set (unsigned long long value);
}
Property Value
Type:   Online UInt64
See Also
IResourceKey Interface
IResourceKey Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IResourceKey.ResourceGroup Property

IResourceKey ResourceGroup Property s3pi library documentation
The "group" the resource is part of

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
uint ResourceGroup { get; set; }
uint ResourceGroup { get; set; }
Property ResourceGroup As UInteger
    Get
    Set
Property ResourceGroup As UInteger
    Get
    Set
property unsigned int ResourceGroup {
    unsigned int get ();
    void set (unsigned int value);
}
property unsigned int ResourceGroup {
    unsigned int get ();
    void set (unsigned int value);
}
Property Value
Type:   Online UInt32
See Also
IResourceKey Interface
IResourceKey Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


IResourceKey.ResourceType Property

IResourceKey ResourceType Property s3pi library documentation
The "type" of the resource

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
uint ResourceType { get; set; }
uint ResourceType { get; set; }
Property ResourceType As UInteger
    Get
    Set
Property ResourceType As UInteger
    Get
    Set
property unsigned int ResourceType {
    unsigned int get ();
    void set (unsigned int value);
}
property unsigned int ResourceType {
    unsigned int get ();
    void set (unsigned int value);
}
Property Value
Type:   Online UInt32
See Also
IResourceKey Interface
IResourceKey Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


MaximumVersionAttribute Class

MaximumVersionAttribute Class s3pi library documentation
Specify the Maximum version up to which a field or method is supported
Inheritance Hierarchy
Online System Object
Online System Attribute
s3pi.Interfaces VersionAttribute
s3pi.Interfaces MaximumVersionAttribute

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[AttributeUsageAttribute(AttributeTargets.All, AllowMultiple = false, Inherited = true)]
public class MaximumVersionAttribute : VersionAttribute
[AttributeUsageAttribute(AttributeTargets.All, AllowMultiple = false, Inherited = true)]
public class MaximumVersionAttribute : VersionAttribute
<AttributeUsageAttribute(AttributeTargets.All, AllowMultiple := false, Inherited := true)>
Public Class MaximumVersionAttribute
    Inherits VersionAttribute
<AttributeUsageAttribute(AttributeTargets.All, AllowMultiple := false, Inherited := true)>
Public Class MaximumVersionAttribute
    Inherits VersionAttribute
[AttributeUsageAttribute(AttributeTargets::All, AllowMultiple = false, Inherited = true)]
public ref class MaximumVersionAttribute : public VersionAttribute
[AttributeUsageAttribute(AttributeTargets::All, AllowMultiple = false, Inherited = true)]
public ref class MaximumVersionAttribute : public VersionAttribute
See Also
MaximumVersionAttribute Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


MaximumVersionAttribute Members

MaximumVersionAttribute Members s3pi library documentation

The MaximumVersionAttribute type exposes the following members.
Constructors
 | Name | Description
Public method | MaximumVersionAttribute | Specify the Maximum version up to which a field or method is supported
Back to Top
See Also
MaximumVersionAttribute Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


MaximumVersionAttribute Constructor

MaximumVersionAttribute Constructor s3pi library documentation
Specify the Maximum version up to which a field or method is supported

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public MaximumVersionAttribute(
    int Version
)
public MaximumVersionAttribute(
    int Version
)
Public Sub New (
    Version As Integer
)
Public Sub New (
    Version As Integer
)
public:
MaximumVersionAttribute(
    int Version
)
public:
MaximumVersionAttribute(
    int Version
)
Parameters
Version
Type:   Online System Int32
Version number
See Also
MaximumVersionAttribute Class
MaximumVersionAttribute Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


MinimumVersionAttribute Class

MinimumVersionAttribute Class s3pi library documentation
Specify the Minumum version from which a field or method is supported
Inheritance Hierarchy
Online System Object
Online System Attribute
s3pi.Interfaces VersionAttribute
s3pi.Interfaces MinimumVersionAttribute

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[AttributeUsageAttribute(AttributeTargets.All, AllowMultiple = false, Inherited = true)]
public class MinimumVersionAttribute : VersionAttribute
[AttributeUsageAttribute(AttributeTargets.All, AllowMultiple = false, Inherited = true)]
public class MinimumVersionAttribute : VersionAttribute
<AttributeUsageAttribute(AttributeTargets.All, AllowMultiple := false, Inherited := true)>
Public Class MinimumVersionAttribute
    Inherits VersionAttribute
<AttributeUsageAttribute(AttributeTargets.All, AllowMultiple := false, Inherited := true)>
Public Class MinimumVersionAttribute
    Inherits VersionAttribute
[AttributeUsageAttribute(AttributeTargets::All, AllowMultiple = false, Inherited = true)]
public ref class MinimumVersionAttribute : public VersionAttribute
[AttributeUsageAttribute(AttributeTargets::All, AllowMultiple = false, Inherited = true)]
public ref class MinimumVersionAttribute : public VersionAttribute
See Also
MinimumVersionAttribute Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


MinimumVersionAttribute Members

MinimumVersionAttribute Members s3pi library documentation

The MinimumVersionAttribute type exposes the following members.
Constructors
 | Name | Description
Public method | MinimumVersionAttribute | Specify the Minumum version from which a field or method is supported
Back to Top
See Also
MinimumVersionAttribute Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


MinimumVersionAttribute Constructor

MinimumVersionAttribute Constructor s3pi library documentation
Specify the Minumum version from which a field or method is supported

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public MinimumVersionAttribute(
    int Version
)
public MinimumVersionAttribute(
    int Version
)
Public Sub New (
    Version As Integer
)
Public Sub New (
    Version As Integer
)
public:
MinimumVersionAttribute(
    int Version
)
public:
MinimumVersionAttribute(
    int Version
)
Parameters
Version
Type:   Online System Int32
Version number
See Also
MinimumVersionAttribute Class
MinimumVersionAttribute Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Quaternion Class

Quaternion Class s3pi library documentation
Defines a quaternion - the quotient of two vectors.
Inheritance Hierarchy
Online System Object
s3pi.Interfaces AApiVersionedFields
s3pi.Interfaces AHandlerElement
s3pi.Interfaces Quaternion

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public class Quaternion : AHandlerElement, IEquatable<Quaternion>
public class Quaternion : AHandlerElement, IEquatable<Quaternion>
Public Class Quaternion
    Inherits AHandlerElement
    Implements IEquatable(Of Quaternion)
Public Class Quaternion
    Inherits AHandlerElement
    Implements IEquatable(Of Quaternion)
public ref class Quaternion : public AHandlerElement,
    IEquatable<Quaternion^>
public ref class Quaternion : public AHandlerElement,
    IEquatable<Quaternion^>
See Also
Quaternion Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Quaternion Members

Quaternion Members s3pi library documentation

The Quaternion type exposes the following members.
Constructors
 | Name | Description
Public method | Quaternion(Int32, EventHandler) | Create a Quaternion { 0, 0, 0, 0 }.
Public method | Quaternion(Int32, EventHandler, Quaternion) | Create a Quaternion from a given value.
Public method | Quaternion(Int32, EventHandler, Stream) | Create a Quaternion from a Online Stream.
Public method | Quaternion(Int32, EventHandler, Single, Single, Single, Single) | Create a Quaternion { a, b, c, d }.
Back to Top
Methods
 | Name | Description
Public method | Equals(Object) | Determines whether the specified Online Object is equal to the current Quaternion. (Overrides Online Object Equals(Object).)
Public method | Equals(Quaternion) | Indicates whether the current object is equal to another object of the same type.
Public method | GetHashCode | Returns the hash code for this instance. (Overrides Online Object GetHashCode .)
Public method | UnParse | Write the Quaternion to the given Online Stream.
Back to Top
Properties
 | Name | Description
Public property | A | 'a' value
Public property | B | 'b' value
Public property | C | 'c' value
Public property | ContentFields | The list of available field names on this API object. (Overrides AApiVersionedFields ContentFields.)
Public property | D | 'd' value
Public property | RecommendedApiVersion | The best supported version of the API available (Overrides AApiVersionedFields RecommendedApiVersion.)
Public property | Value | A displayable representation of the object
Back to Top
See Also
Quaternion Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Quaternion Constructor

Quaternion Constructor s3pi library documentation
Overload List
 | Name | Description
Public method | Quaternion(Int32, EventHandler) | Create a Quaternion { 0, 0, 0, 0 }.
Public method | Quaternion(Int32, EventHandler, Quaternion) | Create a Quaternion from a given value.
Public method | Quaternion(Int32, EventHandler, Stream) | Create a Quaternion from a Online Stream.
Public method | Quaternion(Int32, EventHandler, Single, Single, Single, Single) | Create a Quaternion { a, b, c, d }.
Back to Top
See Also
Quaternion Class
Quaternion Members
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Quaternion Constructor (Int32, EventHandler)

Quaternion Constructor (Int32, EventHandler) s3pi library documentation
Create a Quaternion { 0, 0, 0, 0 }.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public Quaternion(
    int APIversion,
    EventHandler handler
)
public Quaternion(
    int APIversion,
    EventHandler handler
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler
)
public:
Quaternion(
    int APIversion,
    EventHandler^ handler
)
public:
Quaternion(
    int APIversion,
    EventHandler^ handler
)
Parameters
APIversion
Type:   Online System Int32
The requested API version.
handler
Type:   Online System EventHandler
The   Online EventHandler delegate to invoke if the AHandlerElement changes.
See Also
Quaternion Class
Quaternion Members
Quaternion Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Quaternion Constructor (Int32, EventHandler, Quaternion)

Quaternion Constructor (Int32, EventHandler, Quaternion) s3pi library documentation
Create a Quaternion from a given value.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public Quaternion(
    int APIversion,
    EventHandler handler,
    Quaternion basis
)
public Quaternion(
    int APIversion,
    EventHandler handler,
    Quaternion basis
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler,
    basis As Quaternion
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler,
    basis As Quaternion
)
public:
Quaternion(
    int APIversion,
    EventHandler^ handler,
    Quaternion^ basis
)
public:
Quaternion(
    int APIversion,
    EventHandler^ handler,
    Quaternion^ basis
)
Parameters
APIversion
Type:   Online System Int32
The requested API version.
handler
Type:   Online System EventHandler
The   Online EventHandler delegate to invoke if the AHandlerElement changes.
basis
Type: s3pi.Interfaces Quaternion
Quaternion to copy.
See Also
Quaternion Class
Quaternion Members
Quaternion Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Quaternion Constructor (Int32, EventHandler, Stream)

Quaternion Constructor (Int32, EventHandler, Stream) s3pi library documentation
Create a Quaternion from a Online Stream.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public Quaternion(
    int APIversion,
    EventHandler handler,
    Stream s
)
public Quaternion(
    int APIversion,
    EventHandler handler,
    Stream s
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler,
    s As Stream
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler,
    s As Stream
)
public:
Quaternion(
    int APIversion,
    EventHandler^ handler,
    Stream^ s
)
public:
Quaternion(
    int APIversion,
    EventHandler^ handler,
    Stream^ s
)
Parameters
APIversion
Type:   Online System Int32
The requested API version.
handler
Type:   Online System EventHandler
The   Online EventHandler delegate to invoke if the AHandlerElement changes.
s
Type:   Online System.IO Stream
  Online Stream containing coordinates.
See Also
Quaternion Class
Quaternion Members
Quaternion Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Quaternion Constructor (Int32, EventHandler, Single, Single, Single, Single)

Quaternion Constructor (Int32, EventHandler, Single, Single, Single, Single) s3pi library documentation
Create a Quaternion { a, b, c, d }.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public Quaternion(
    int APIversion,
    EventHandler handler,
    float a,
    float b,
    float c,
    float d
)
public Quaternion(
    int APIversion,
    EventHandler handler,
    float a,
    float b,
    float c,
    float d
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler,
    a As Single,
    b As Single,
    c As Single,
    d As Single
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler,
    a As Single,
    b As Single,
    c As Single,
    d As Single
)
public:
Quaternion(
    int APIversion,
    EventHandler^ handler,
    float a,
    float b,
    float c,
    float d
)
public:
Quaternion(
    int APIversion,
    EventHandler^ handler,
    float a,
    float b,
    float c,
    float d
)
Parameters
APIversion
Type:   Online System Int32
The requested API version.
handler
Type:   Online System EventHandler
The   Online EventHandler delegate to invoke if the AHandlerElement changes.
a
Type:   Online System Single
Q 'a' value.
b
Type:   Online System Single
Q 'b' value.
c
Type:   Online System Single
Q 'c' value.
d
Type:   Online System Single
Q 'd' value.
See Also
Quaternion Class
Quaternion Members
Quaternion Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Quaternion Methods

Quaternion Methods s3pi library documentation
The Quaternion type exposes the following members.
Methods
 | Name | Description
Public method | Equals(Object) | Determines whether the specified Online Object is equal to the current Quaternion. (Overrides Online Object Equals(Object).)
Public method | Equals(Quaternion) | Indicates whether the current object is equal to another object of the same type.
Public method | GetHashCode | Returns the hash code for this instance. (Overrides Online Object GetHashCode .)
Public method | UnParse | Write the Quaternion to the given Online Stream.
Back to Top
See Also
Quaternion Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Quaternion.Equals Method

Quaternion Equals Method s3pi library documentation
Overload List
 | Name | Description
Public method | Equals(Object) | Determines whether the specified Online Object is equal to the current Quaternion. (Overrides Online Object Equals(Object).)
Public method | Equals(Quaternion) | Indicates whether the current object is equal to another object of the same type.
Back to Top
See Also
Quaternion Class
Quaternion Members
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Quaternion.Equals Method (Object)

Quaternion Equals Method (Object) s3pi library documentation
Determines whether the specified Online Object is equal to the current Quaternion.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override bool Equals(
    Object obj
)
public override bool Equals(
    Object obj
)
Public Overrides Function Equals (
    obj As Object
) As Boolean
Public Overrides Function Equals (
    obj As Object
) As Boolean
public:
virtual bool Equals(
    Object^ obj
) override
public:
virtual bool Equals(
    Object^ obj
) override
Parameters
obj
Type:   Online System Object
The   Online Object to compare with the current Quaternion.
Return Value
Type:   Online Boolean
true if the specified   Online Object is equal to the current Quaternion; otherwise, false.
See Also
Quaternion Class
Quaternion Members
Equals Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Quaternion.Equals Method (Quaternion)

Quaternion Equals Method (Quaternion) s3pi library documentation
Indicates whether the current object is equal to another object of the same type.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public bool Equals(
    Quaternion other
)
public bool Equals(
    Quaternion other
)
Public Function Equals (
    other As Quaternion
) As Boolean
Public Function Equals (
    other As Quaternion
) As Boolean
public:
virtual bool Equals(
    Quaternion^ other
) sealed
public:
virtual bool Equals(
    Quaternion^ other
) sealed
Parameters
other
Type: s3pi.Interfaces Quaternion
An object to compare with this object.
Return Value
Type:   Online Boolean
true if the current object is equal to the other parameter; otherwise, false.
Implements
  Online IEquatable T  Equals(T)
See Also
Quaternion Class
Quaternion Members
Equals Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Quaternion.GetHashCode Method

Quaternion GetHashCode Method s3pi library documentation
Returns the hash code for this instance.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override int GetHashCode()
public override int GetHashCode()
Public Overrides Function GetHashCode As Integer
Public Overrides Function GetHashCode As Integer
public:
virtual int GetHashCode() override
public:
virtual int GetHashCode() override
Return Value
Type:   Online Int32
A 32-bit signed integer that is the hash code for this instance.
See Also
Quaternion Class
Quaternion Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Quaternion.UnParse Method

Quaternion UnParse Method s3pi library documentation
Write the Quaternion to the given Online Stream.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void UnParse(
    Stream s
)
public void UnParse(
    Stream s
)
Public Sub UnParse (
    s As Stream
)
Public Sub UnParse (
    s As Stream
)
public:
void UnParse(
    Stream^ s
)
public:
void UnParse(
    Stream^ s
)
Parameters
s
Type:   Online System.IO Stream
  Online Stream to contain coordinates.
See Also
Quaternion Class
Quaternion Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Quaternion Properties

Quaternion Properties s3pi library documentation
The Quaternion type exposes the following members.
Properties
 | Name | Description
Public property | A | 'a' value
Public property | B | 'b' value
Public property | C | 'c' value
Public property | ContentFields | The list of available field names on this API object. (Overrides AApiVersionedFields ContentFields.)
Public property | D | 'd' value
Public property | RecommendedApiVersion | The best supported version of the API available (Overrides AApiVersionedFields RecommendedApiVersion.)
Public property | Value | A displayable representation of the object
Back to Top
See Also
Quaternion Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Quaternion.A Property

Quaternion A Property s3pi library documentation
'a' value

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[ElementPriorityAttribute(1)]
public float A { get; set; }
[ElementPriorityAttribute(1)]
public float A { get; set; }
<ElementPriorityAttribute(1)>
Public Property A As Single
    Get
    Set
<ElementPriorityAttribute(1)>
Public Property A As Single
    Get
    Set
public:
[ElementPriorityAttribute(1)]
property float A {
    float get ();
    void set (float value);
}
public:
[ElementPriorityAttribute(1)]
property float A {
    float get ();
    void set (float value);
}
Property Value
Type:   Online Single
See Also
Quaternion Class
Quaternion Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Quaternion.B Property

Quaternion B Property s3pi library documentation
'b' value

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[ElementPriorityAttribute(2)]
public float B { get; set; }
[ElementPriorityAttribute(2)]
public float B { get; set; }
<ElementPriorityAttribute(2)>
Public Property B As Single
    Get
    Set
<ElementPriorityAttribute(2)>
Public Property B As Single
    Get
    Set
public:
[ElementPriorityAttribute(2)]
property float B {
    float get ();
    void set (float value);
}
public:
[ElementPriorityAttribute(2)]
property float B {
    float get ();
    void set (float value);
}
Property Value
Type:   Online Single
See Also
Quaternion Class
Quaternion Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Quaternion.C Property

Quaternion C Property s3pi library documentation
'c' value

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[ElementPriorityAttribute(3)]
public float C { get; set; }
[ElementPriorityAttribute(3)]
public float C { get; set; }
<ElementPriorityAttribute(3)>
Public Property C As Single
    Get
    Set
<ElementPriorityAttribute(3)>
Public Property C As Single
    Get
    Set
public:
[ElementPriorityAttribute(3)]
property float C {
    float get ();
    void set (float value);
}
public:
[ElementPriorityAttribute(3)]
property float C {
    float get ();
    void set (float value);
}
Property Value
Type:   Online Single
See Also
Quaternion Class
Quaternion Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Quaternion.ContentFields Property

Quaternion ContentFields Property s3pi library documentation
The list of available field names on this API object.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override List<string> ContentFields { get; }
public override List<string> ContentFields { get; }
Public Overrides ReadOnly Property ContentFields As List(Of String)
    Get
Public Overrides ReadOnly Property ContentFields As List(Of String)
    Get
public:
virtual property List<String^>^ ContentFields {
    List<String^>^ get () override;
}
public:
virtual property List<String^>^ ContentFields {
    List<String^>^ get () override;
}
Property Value
Type:   Online List    Online String
Implements
IContentFields ContentFields
See Also
Quaternion Class
Quaternion Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Quaternion.D Property

Quaternion D Property s3pi library documentation
'd' value

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[ElementPriorityAttribute(3)]
public float D { get; set; }
[ElementPriorityAttribute(3)]
public float D { get; set; }
<ElementPriorityAttribute(3)>
Public Property D As Single
    Get
    Set
<ElementPriorityAttribute(3)>
Public Property D As Single
    Get
    Set
public:
[ElementPriorityAttribute(3)]
property float D {
    float get ();
    void set (float value);
}
public:
[ElementPriorityAttribute(3)]
property float D {
    float get ();
    void set (float value);
}
Property Value
Type:   Online Single
See Also
Quaternion Class
Quaternion Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Quaternion.RecommendedApiVersion Property

Quaternion RecommendedApiVersion Property s3pi library documentation
The best supported version of the API available

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override int RecommendedApiVersion { get; }
public override int RecommendedApiVersion { get; }
Public Overrides ReadOnly Property RecommendedApiVersion As Integer
    Get
Public Overrides ReadOnly Property RecommendedApiVersion As Integer
    Get
public:
virtual property int RecommendedApiVersion {
    int get () override;
}
public:
virtual property int RecommendedApiVersion {
    int get () override;
}
Property Value
Type:   Online Int32
Implements
IApiVersion RecommendedApiVersion
See Also
Quaternion Class
Quaternion Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Quaternion.Value Property

Quaternion Value Property s3pi library documentation
A displayable representation of the object

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public string Value { get; }
public string Value { get; }
Public ReadOnly Property Value As String
    Get
Public ReadOnly Property Value As String
    Get
public:
property String^ Value {
    String^ get ();
}
public:
property String^ Value {
    String^ get ();
}
Property Value
Type:   Online String
See Also
Quaternion Class
Quaternion Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SimpleList(T) Class

SimpleList T Class s3pi library documentation
A flexible generic list that implements DependentList T for a simple data type (such as Online UInt32).
Inheritance Hierarchy
Online System Object
Online System.Collections.Generic List HandlerElement T
System.Collections.Generic AHandlerList HandlerElement T
s3pi.Interfaces DependentList HandlerElement T
s3pi.Interfaces SimpleList T
s3pi.Interfaces IntList
s3pi.Interfaces UIntList

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public class SimpleList<T> : DependentList<HandlerElement<T>>,
    IEnumerable<T>, IEnumerable
where T : struct, new(), IComparable, IConvertible, IEquatable<T>, IComparable<T>
public class SimpleList<T> : DependentList<HandlerElement<T>>,
    IEnumerable<T>, IEnumerable
where T : struct, new(), IComparable, IConvertible, IEquatable<T>, IComparable<T>
Public Class SimpleList(Of T As {Structure, New, IComparable, IConvertible, IEquatable(Of T), IComparable(Of T)})
    Inherits DependentList(Of HandlerElement(Of T))
    Implements IEnumerable(Of T), IEnumerable
Public Class SimpleList(Of T As {Structure, New, IComparable, IConvertible, IEquatable(Of T), IComparable(Of T)})
    Inherits DependentList(Of HandlerElement(Of T))
    Implements IEnumerable(Of T), IEnumerable
generic<typename T>
where T : value class, gcnew(), IComparable, IConvertible, IEquatable<T>, IComparable<T>
public ref class SimpleList : public DependentList<HandlerElement<T>^>,
    IEnumerable<T>, IEnumerable
generic<typename T>
where T : value class, gcnew(), IComparable, IConvertible, IEquatable<T>, IComparable<T>
public ref class SimpleList : public DependentList<HandlerElement<T>^>,
    IEnumerable<T>, IEnumerable
Type Parameters
T
A simple data type (such as   Online UInt32).
Examples

            The following method shows a way to create a list of UInt32 values, with an Int32 entry count
            stored in the stream immediately before the list.

View Colorized Copy to Clipboard Print
SimpleList<UInt32> ReadUInt32List(EventHandler e, Stream s)
{
    return new SimpleList<UInt32>(e, s,
        s => new BinaryReader(s).ReadUInt32(),
        (s, value) => new BinaryWriter(s).Write(value));
}
SimpleList<UInt32> ReadUInt32List(EventHandler e, Stream s)
{
    return new SimpleList<UInt32>(e, s,
        s => new BinaryReader(s).ReadUInt32(),
        (s, value) => new BinaryWriter(s).Write(value));
}

            For more complex cases, or where repeated use of the same kind of SimpleList T  is needed in different contexts,
            it can be worthwhile extending the class, as shown below.  This example is for a list of byte values prefixed
            by a one byte count.  It shows that the list length can also be specified (here using Byte.MaxValue
View Colorized Copy to Clipboard Print
public class ByteList : SimpleList<Byte>
{
    public ByteList(EventHandler handler) : base(handler, ReadByte, WriteByte, Byte.MaxValue, ReadListCount, WriteListCount) { }
    public ByteList(EventHandler handler, Stream s) : base(handler, s, ReadByte, WriteByte, Byte.MaxValue, ReadListCount, WriteListCount) { }
    public ByteList(EventHandler handler, IList<Byte> le) : base(handler, le, ReadByte, WriteByte Byte.MaxValue, ReadListCount, WriteListCount) { }

    static uint ReadListCount(Stream s) { return new BinaryReader(s).ReadByte(); }
    static void WriteListCount(Stream s, uint count) { new BinaryWriter(s).Write((byte)count); }
    static byte ReadByte(Stream s) { return new BinaryReader(s).ReadByte(); }
    static void WriteByte(Stream s, byte value) { new BinaryWriter(s).Write(value); }
}
public class ByteList : SimpleList<Byte>
{
    public ByteList(EventHandler handler) : base(handler, ReadByte, WriteByte, Byte.MaxValue, ReadListCount, WriteListCount) { }
    public ByteList(EventHandler handler, Stream s) : base(handler, s, ReadByte, WriteByte, Byte.MaxValue, ReadListCount, WriteListCount) { }
    public ByteList(EventHandler handler, IList<Byte> le) : base(handler, le, ReadByte, WriteByte Byte.MaxValue, ReadListCount, WriteListCount) { }

    static uint ReadListCount(Stream s) { return new BinaryReader(s).ReadByte(); }
    static void WriteListCount(Stream s, uint count) { new BinaryWriter(s).Write((byte)count); }
    static byte ReadByte(Stream s) { return new BinaryReader(s).ReadByte(); }
    static void WriteByte(Stream s, byte value) { new BinaryWriter(s).Write(value); }
}
See Also
SimpleList T  Members
s3pi.Interfaces Namespace
s3pi.Interfaces HandlerElement T
s3pi.Interfaces IndexList T
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SimpleList(T) Members

SimpleList T Members s3pi library documentation

The SimpleList T type exposes the following members.
Constructors
 | Name | Description
Public method | SimpleList T (EventHandler, SimpleList T CreateElementMethod, SimpleList T WriteElementMethod, Int64, SimpleList T ReadCountMethod, SimpleList T WriteCountMethod) | Initializes a new instance of the SimpleList T class that is empty.
Public method | SimpleList T (EventHandler, IEnumerable T , SimpleList T CreateElementMethod, SimpleList T WriteElementMethod, Int64, SimpleList T ReadCountMethod, SimpleList T WriteCountMethod) | Initializes a new instance of the SimpleList T class from collection, wrapping each entry in a HandlerElement T instance.
Public method | SimpleList T (EventHandler, Stream, SimpleList T CreateElementMethod, SimpleList T WriteElementMethod, Int64, SimpleList T ReadCountMethod, SimpleList T WriteCountMethod) | Initializes a new instance of the SimpleList T class from s.
Back to Top
Methods
 | Name | Description
Public method | Add | Add a default element to a SimpleList T . (Overrides DependentList T Add .)
Public method | Add(T) | Adds an entry to a SimpleList T .
Public method | AddRange | Adds the elements of the specified collection to the end of the SimpleList T .
Public method | BinarySearch(T) | Searches a the entire sorted SimpleList T for an element using the default comparer and returns the zero-based index of the element.
Public method | BinarySearch(T, IComparer T ) | Searches a the entire sorted SimpleList T for an element using the specified comparer and returns the zero-based index of the element.
Public method | BinarySearch(Int32, Int32, T, IComparer T ) | Searches a range of elements in the sorted SimpleList T for an element using the specified comparer and returns the zero-based index of the element.
Public method | Contains | Determines whether an element is in the SimpleList T .
Public method | ConvertAll TOutput | Converts the elements in the current SimpleList T to another type, and returns a list containing the converted elements.
Public method | CopyTo( T ) | Copies the entire SimpleList T to a compatible one-dimensional array, starting at the beginning of the target array.
Public method | CopyTo( T , Int32) | Copies the entire SimpleList T to a compatible one-dimensional array.
Public method | CopyTo(Int32, T , Int32, Int32) | Copies a range of elements from the SimpleList T to a compatible one-dimensional array, starting at the specified index of the target array.
Protected method | CreateElement | Creates an new list element of type T by reading s. (Overrides DependentList T CreateElement(Stream).)
Public method | Exists | Determines whether the SimpleList T contains elements that match the conditions defined by the specified predicate.
Public method | Find | Searches for an element that matches the conditions defined by the specified predicate, and returns the first occurrence within the entire SimpleList T .
Public method | FindAll | Retrieves all the elements that match the conditions defined by the specified predicate.
Public method | FindIndex(Predicate T ) | Retrieves all the elements that match the conditions defined by the specified predicate. Searches for an element that matches the conditions defined by the specified predicate, and returns the zero-based index of the first occurrence within the entire SimpleList T .
Public method | FindIndex(Int32, Predicate T ) | Searches for an element that matches the conditions defined by the specified predicate, and returns the zero-based index of the first occurrence within the range of elements in the SimpleList T that extends from the specified index to the last element.
Public method | FindIndex(Int32, Int32, Predicate T ) | Searches for an element that matches the conditions defined by the specified predicate, and returns the zero-based index of the first occurrence within the range of elements in the SimpleList T that starts at the specified index and contains the specified number of elements.
Public method | FindLast | Searches for an element that matches the conditions defined by the specified predicate, and returns the last occurrence within the entire SimpleList T .
Public method | FindLastIndex(Predicate T ) | Searches for an element that matches the conditions defined by the specified predicate, and returns the zero-based index of the last occurrence within the entire SimpleList T .
Public method | FindLastIndex(Int32, Predicate T ) | Searches for an element that matches the conditions defined by the specified predicate, and returns the zero-based index of the last occurrence within the range of elements in the SimpleList T that extends from the first element to the specified index.
Public method | FindLastIndex(Int32, Int32, Predicate T ) | Searches for an element that matches the conditions defined by the specified predicate, and returns the zero-based index of the last occurrence within the range of elements in the SimpleList T that contains the specified number of elements and ends at the specified index.
Public method | ForEach | Performs the specified action on each element of the SimpleList T .
Public method | GetEnumerator | Returns an enumerator that iterates through the collection.
Public method | IndexOf(T) | Searches for the specified object and returns the zero-based index of the first occurrence within the entire SimpleList T .
Public method | IndexOf(T, Int32) | Searches for the specified object and returns the zero-based index of the first occurrence within the range of elements in the SimpleList T that extends from the specified index to the last element.
Public method | IndexOf(T, Int32, Int32) | Searches for the specified object and returns the zero-based index of the first occurrence within the range of elements in the SimpleList T that starts at the specified index and contains the specified number of elements.
Public method | Insert | Inserts an item to the SimpleList T at the specified index.
Public method | InsertRange | Inserts the elements of a collection into the SimpleList T at the specified index.
Public method | LastIndexOf(T) | Searches for the specified object and returns the zero-based index of the last occurrence within the entire SimpleList T .
Public method | LastIndexOf(T, Int32) | Searches for the specified object and returns the zero-based index of the last occurrence within the range of elements in the SimpleList T that extends from the first element to the specified index.
Public method | LastIndexOf(T, Int32, Int32) | Searches for the specified object and returns the zero-based index of the last occurrence within the range of elements in the SimpleList T that contains the specified number of elements and ends at the specified index.
Protected method | ReadCount | Return the number of elements to be created. (Overrides DependentList T ReadCount(Stream).)
Public method | Remove | Removes the first occurrence of an entry from the SimpleList T with the value given.
Public method | RemoveAll | Removes the all the elements that match the conditions defined by the specified predicate.
Public method | Sort(IComparer T ) | Sorts the elements in the entire SimpleList T using the specified comparer.
Public method | Sort(Comparison T ) | Sorts the elements in the entire SimpleList T using the specified Online Comparison T .
Public method | Sort(Int32, Int32, IComparer T ) | Sorts the elements in a range of elements in SimpleList T using the specified comparer.
Public method | ToArray | Copies the elements of the SimpleList T to a new array.
Public method | TrueForAll | Determines whether every element in the SimpleList T matches the conditions defined by the specified predicate.
Protected method | WriteCount | Write the count of list elements to the stream. (Overrides DependentList T WriteCount(Stream, Int32).)
Protected method | WriteElement | Writes the value of a list element to s. (Overrides DependentList T WriteElement(Stream, T).)
Back to Top
Properties
 | Name | Description
Public property | Item | Gets or sets the element at the specified index.
Back to Top
See Also
SimpleList T Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SimpleList(T) Constructor

SimpleList T Constructor s3pi library documentation
Overload List
 | Name | Description
Public method | SimpleList T (EventHandler, SimpleList T CreateElementMethod, SimpleList T WriteElementMethod, Int64, SimpleList T ReadCountMethod, SimpleList T WriteCountMethod) | Initializes a new instance of the SimpleList T class that is empty.
Public method | SimpleList T (EventHandler, IEnumerable T , SimpleList T CreateElementMethod, SimpleList T WriteElementMethod, Int64, SimpleList T ReadCountMethod, SimpleList T WriteCountMethod) | Initializes a new instance of the SimpleList T class from collection, wrapping each entry in a HandlerElement T instance.
Public method | SimpleList T (EventHandler, Stream, SimpleList T CreateElementMethod, SimpleList T WriteElementMethod, Int64, SimpleList T ReadCountMethod, SimpleList T WriteCountMethod) | Initializes a new instance of the SimpleList T class from s.
Back to Top
See Also
SimpleList T Class
SimpleList T Members
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SimpleList(T) Constructor (EventHandler, SimpleList(T).CreateElementMethod, SimpleList(T).WriteElementMethod, Int64, SimpleList(T).ReadCountMethod, SimpleList(T).WriteCountMethod)

SimpleList T Constructor (EventHandler, SimpleList T CreateElementMethod, SimpleList T WriteElementMethod, Int64, SimpleList T ReadCountMethod, SimpleList T WriteCountMethod) s3pi library documentation
Initializes a new instance of the SimpleList T class that is empty.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public SimpleList(
    EventHandler handler,
    SimpleList<(Of <(<'T>)>)>..::..CreateElementMethod createElement = null,
    SimpleList<(Of <(<'T>)>)>..::..WriteElementMethod writeElement = null,
    long size = -1,
    SimpleList<(Of <(<'T>)>)>..::..ReadCountMethod readCount = null,
    SimpleList<(Of <(<'T>)>)>..::..WriteCountMethod writeCount = null
)
public SimpleList(
    EventHandler handler,
    SimpleList<(Of <(<'T>)>)>..::..CreateElementMethod createElement = null,
    SimpleList<(Of <(<'T>)>)>..::..WriteElementMethod writeElement = null,
    long size = -1,
    SimpleList<(Of <(<'T>)>)>..::..ReadCountMethod readCount = null,
    SimpleList<(Of <(<'T>)>)>..::..WriteCountMethod writeCount = null
)
Public Sub New (
    handler As EventHandler,
    Optional createElement As SimpleList<(Of <(<'T>)>)>..::..CreateElementMethod = Nothing,
    Optional writeElement As SimpleList<(Of <(<'T>)>)>..::..WriteElementMethod = Nothing,
    Optional size As Long = -1,
    Optional readCount As SimpleList<(Of <(<'T>)>)>..::..ReadCountMethod = Nothing,
    Optional writeCount As SimpleList<(Of <(<'T>)>)>..::..WriteCountMethod = Nothing
)
Public Sub New (
    handler As EventHandler,
    Optional createElement As SimpleList<(Of <(<'T>)>)>..::..CreateElementMethod = Nothing,
    Optional writeElement As SimpleList<(Of <(<'T>)>)>..::..WriteElementMethod = Nothing,
    Optional size As Long = -1,
    Optional readCount As SimpleList<(Of <(<'T>)>)>..::..ReadCountMethod = Nothing,
    Optional writeCount As SimpleList<(Of <(<'T>)>)>..::..WriteCountMethod = Nothing
)
public:
SimpleList(
    EventHandler^ handler,
    SimpleList<(Of <(<'T>)>)>..::..CreateElementMethod^ createElement = nullptr,
    SimpleList<(Of <(<'T>)>)>..::..WriteElementMethod^ writeElement = nullptr,
    long long size = -1,
    SimpleList<(Of <(<'T>)>)>..::..ReadCountMethod^ readCount = nullptr,
    SimpleList<(Of <(<'T>)>)>..::..WriteCountMethod^ writeCount = nullptr
)
public:
SimpleList(
    EventHandler^ handler,
    SimpleList<(Of <(<'T>)>)>..::..CreateElementMethod^ createElement = nullptr,
    SimpleList<(Of <(<'T>)>)>..::..WriteElementMethod^ writeElement = nullptr,
    long long size = -1,
    SimpleList<(Of <(<'T>)>)>..::..ReadCountMethod^ readCount = nullptr,
    SimpleList<(Of <(<'T>)>)>..::..WriteCountMethod^ writeCount = nullptr
)
Parameters
handler
Type:   Online System EventHandler
The   Online EventHandler to call on changes to the list or its elements.
createElement (Optional)
Type: s3pi.Interfaces SimpleList T  CreateElementMethod
Optional; the method to create a new element in the list from a stream.  If null, return default{T}.
writeElement (Optional)
Type: s3pi.Interfaces SimpleList T  WriteElementMethod
Optional; the method to create a new element in the list from a stream.  No operation if null.
size (Optional)
Type:   Online System Int64
Optional maximum number of elements in the list.
readCount (Optional)
Type: s3pi.Interfaces SimpleList T  ReadCountMethod
Optional; default is to read a   Online Int32 from the   Online Stream.
writeCount (Optional)
Type: s3pi.Interfaces SimpleList T  WriteCountMethod
Optional; default is to write a   Online Int32 to the   Online Stream.
See Also
SimpleList T  Class
SimpleList T  Members
SimpleList T  Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SimpleList(T) Constructor (EventHandler, IEnumerable(T), SimpleList(T).CreateElementMethod, SimpleList(T).WriteElementMethod, Int64, SimpleList(T).ReadCountMethod, SimpleList(T).WriteCountMethod)

SimpleList T Constructor (EventHandler, IEnumerable T , SimpleList T CreateElementMethod, SimpleList T WriteElementMethod, Int64, SimpleList T ReadCountMethod, SimpleList T WriteCountMethod) s3pi library documentation
Initializes a new instance of the SimpleList T class from collection, wrapping each entry in a HandlerElement T instance.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public SimpleList(
    EventHandler handler,
    IEnumerable<T> collection,
    SimpleList<(Of <(<'T>)>)>..::..CreateElementMethod createElement = null,
    SimpleList<(Of <(<'T>)>)>..::..WriteElementMethod writeElement = null,
    long size = -1,
    SimpleList<(Of <(<'T>)>)>..::..ReadCountMethod readCount = null,
    SimpleList<(Of <(<'T>)>)>..::..WriteCountMethod writeCount = null
)
public SimpleList(
    EventHandler handler,
    IEnumerable<T> collection,
    SimpleList<(Of <(<'T>)>)>..::..CreateElementMethod createElement = null,
    SimpleList<(Of <(<'T>)>)>..::..WriteElementMethod writeElement = null,
    long size = -1,
    SimpleList<(Of <(<'T>)>)>..::..ReadCountMethod readCount = null,
    SimpleList<(Of <(<'T>)>)>..::..WriteCountMethod writeCount = null
)
Public Sub New (
    handler As EventHandler,
    collection As IEnumerable(Of T),
    Optional createElement As SimpleList<(Of <(<'T>)>)>..::..CreateElementMethod = Nothing,
    Optional writeElement As SimpleList<(Of <(<'T>)>)>..::..WriteElementMethod = Nothing,
    Optional size As Long = -1,
    Optional readCount As SimpleList<(Of <(<'T>)>)>..::..ReadCountMethod = Nothing,
    Optional writeCount As SimpleList<(Of <(<'T>)>)>..::..WriteCountMethod = Nothing
)
Public Sub New (
    handler As EventHandler,
    collection As IEnumerable(Of T),
    Optional createElement As SimpleList<(Of <(<'T>)>)>..::..CreateElementMethod = Nothing,
    Optional writeElement As SimpleList<(Of <(<'T>)>)>..::..WriteElementMethod = Nothing,
    Optional size As Long = -1,
    Optional readCount As SimpleList<(Of <(<'T>)>)>..::..ReadCountMethod = Nothing,
    Optional writeCount As SimpleList<(Of <(<'T>)>)>..::..WriteCountMethod = Nothing
)
public:
SimpleList(
    EventHandler^ handler,
    IEnumerable<T>^ collection,
    SimpleList<(Of <(<'T>)>)>..::..CreateElementMethod^ createElement = nullptr,
    SimpleList<(Of <(<'T>)>)>..::..WriteElementMethod^ writeElement = nullptr,
    long long size = -1,
    SimpleList<(Of <(<'T>)>)>..::..ReadCountMethod^ readCount = nullptr,
    SimpleList<(Of <(<'T>)>)>..::..WriteCountMethod^ writeCount = nullptr
)
public:
SimpleList(
    EventHandler^ handler,
    IEnumerable<T>^ collection,
    SimpleList<(Of <(<'T>)>)>..::..CreateElementMethod^ createElement = nullptr,
    SimpleList<(Of <(<'T>)>)>..::..WriteElementMethod^ writeElement = nullptr,
    long long size = -1,
    SimpleList<(Of <(<'T>)>)>..::..ReadCountMethod^ readCount = nullptr,
    SimpleList<(Of <(<'T>)>)>..::..WriteCountMethod^ writeCount = nullptr
)
Parameters
handler
Type:   Online System EventHandler
The   Online EventHandler to call on changes to the list or its elements.
collection
Type:   Online System.Collections.Generic IEnumerable  T
The source to use as the initial content of the list.
createElement (Optional)
Type: s3pi.Interfaces SimpleList T  CreateElementMethod
Optional; the method to create a new element in the list from a stream.  If null, return default{T}.
writeElement (Optional)
Type: s3pi.Interfaces SimpleList T  WriteElementMethod
Optional; the method to create a new element in the list from a stream.  No operation if null.
size (Optional)
Type:   Online System Int64
Optional maximum number of elements in the list.
readCount (Optional)
Type: s3pi.Interfaces SimpleList T  ReadCountMethod
Optional; default is to read a   Online Int32 from the   Online Stream.
writeCount (Optional)
Type: s3pi.Interfaces SimpleList T  WriteCountMethod
Optional; default is to write a   Online Int32 to the   Online Stream.
See Also
SimpleList T  Class
SimpleList T  Members
SimpleList T  Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SimpleList(T) Constructor (EventHandler, Stream, SimpleList(T).CreateElementMethod, SimpleList(T).WriteElementMethod, Int64, SimpleList(T).ReadCountMethod, SimpleList(T).WriteCountMethod)

SimpleList T Constructor (EventHandler, Stream, SimpleList T CreateElementMethod, SimpleList T WriteElementMethod, Int64, SimpleList T ReadCountMethod, SimpleList T WriteCountMethod) s3pi library documentation
Initializes a new instance of the SimpleList T class from s.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public SimpleList(
    EventHandler handler,
    Stream s,
    SimpleList<(Of <(<'T>)>)>..::..CreateElementMethod createElement,
    SimpleList<(Of <(<'T>)>)>..::..WriteElementMethod writeElement,
    long size = -1,
    SimpleList<(Of <(<'T>)>)>..::..ReadCountMethod readCount = null,
    SimpleList<(Of <(<'T>)>)>..::..WriteCountMethod writeCount = null
)
public SimpleList(
    EventHandler handler,
    Stream s,
    SimpleList<(Of <(<'T>)>)>..::..CreateElementMethod createElement,
    SimpleList<(Of <(<'T>)>)>..::..WriteElementMethod writeElement,
    long size = -1,
    SimpleList<(Of <(<'T>)>)>..::..ReadCountMethod readCount = null,
    SimpleList<(Of <(<'T>)>)>..::..WriteCountMethod writeCount = null
)
Public Sub New (
    handler As EventHandler,
    s As Stream,
    createElement As SimpleList<(Of <(<'T>)>)>..::..CreateElementMethod,
    writeElement As SimpleList<(Of <(<'T>)>)>..::..WriteElementMethod,
    Optional size As Long = -1,
    Optional readCount As SimpleList<(Of <(<'T>)>)>..::..ReadCountMethod = Nothing,
    Optional writeCount As SimpleList<(Of <(<'T>)>)>..::..WriteCountMethod = Nothing
)
Public Sub New (
    handler As EventHandler,
    s As Stream,
    createElement As SimpleList<(Of <(<'T>)>)>..::..CreateElementMethod,
    writeElement As SimpleList<(Of <(<'T>)>)>..::..WriteElementMethod,
    Optional size As Long = -1,
    Optional readCount As SimpleList<(Of <(<'T>)>)>..::..ReadCountMethod = Nothing,
    Optional writeCount As SimpleList<(Of <(<'T>)>)>..::..WriteCountMethod = Nothing
)
public:
SimpleList(
    EventHandler^ handler,
    Stream^ s,
    SimpleList<(Of <(<'T>)>)>..::..CreateElementMethod^ createElement,
    SimpleList<(Of <(<'T>)>)>..::..WriteElementMethod^ writeElement,
    long long size = -1,
    SimpleList<(Of <(<'T>)>)>..::..ReadCountMethod^ readCount = nullptr,
    SimpleList<(Of <(<'T>)>)>..::..WriteCountMethod^ writeCount = nullptr
)
public:
SimpleList(
    EventHandler^ handler,
    Stream^ s,
    SimpleList<(Of <(<'T>)>)>..::..CreateElementMethod^ createElement,
    SimpleList<(Of <(<'T>)>)>..::..WriteElementMethod^ writeElement,
    long long size = -1,
    SimpleList<(Of <(<'T>)>)>..::..ReadCountMethod^ readCount = nullptr,
    SimpleList<(Of <(<'T>)>)>..::..WriteCountMethod^ writeCount = nullptr
)
Parameters
handler
Type:   Online System EventHandler
The   Online EventHandler to call on changes to the list or its elements.
s
Type:   Online System.IO Stream
The   Online Stream to read for the initial content of the list.
createElement
Type: s3pi.Interfaces SimpleList T  CreateElementMethod
Required; the method to create a new element in the list from a stream.
writeElement
Type: s3pi.Interfaces SimpleList T  WriteElementMethod
Required; the method to create a new element in the list from a stream.
size (Optional)
Type:   Online System Int64
Optional maximum number of elements in the list.
readCount (Optional)
Type: s3pi.Interfaces SimpleList T  ReadCountMethod
Optional; default is to read a   Online Int32 from the   Online Stream.
writeCount (Optional)
Type: s3pi.Interfaces SimpleList T  WriteCountMethod
Optional; default is to write a   Online Int32 to the   Online Stream.
See Also
SimpleList T  Class
SimpleList T  Members
SimpleList T  Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SimpleList(T) Methods

SimpleList T Methods s3pi library documentation
The SimpleList T type exposes the following members.
Methods
 | Name | Description
Public method | Add | Add a default element to a SimpleList T . (Overrides DependentList T Add .)
Public method | Add(T) | Adds an entry to a SimpleList T .
Public method | AddRange | Adds the elements of the specified collection to the end of the SimpleList T .
Public method | BinarySearch(T) | Searches a the entire sorted SimpleList T for an element using the default comparer and returns the zero-based index of the element.
Public method | BinarySearch(T, IComparer T ) | Searches a the entire sorted SimpleList T for an element using the specified comparer and returns the zero-based index of the element.
Public method | BinarySearch(Int32, Int32, T, IComparer T ) | Searches a range of elements in the sorted SimpleList T for an element using the specified comparer and returns the zero-based index of the element.
Public method | Contains | Determines whether an element is in the SimpleList T .
Public method | ConvertAll TOutput | Converts the elements in the current SimpleList T to another type, and returns a list containing the converted elements.
Public method | CopyTo( T ) | Copies the entire SimpleList T to a compatible one-dimensional array, starting at the beginning of the target array.
Public method | CopyTo( T , Int32) | Copies the entire SimpleList T to a compatible one-dimensional array.
Public method | CopyTo(Int32, T , Int32, Int32) | Copies a range of elements from the SimpleList T to a compatible one-dimensional array, starting at the specified index of the target array.
Protected method | CreateElement | Creates an new list element of type T by reading s. (Overrides DependentList T CreateElement(Stream).)
Public method | Exists | Determines whether the SimpleList T contains elements that match the conditions defined by the specified predicate.
Public method | Find | Searches for an element that matches the conditions defined by the specified predicate, and returns the first occurrence within the entire SimpleList T .
Public method | FindAll | Retrieves all the elements that match the conditions defined by the specified predicate.
Public method | FindIndex(Predicate T ) | Retrieves all the elements that match the conditions defined by the specified predicate. Searches for an element that matches the conditions defined by the specified predicate, and returns the zero-based index of the first occurrence within the entire SimpleList T .
Public method | FindIndex(Int32, Predicate T ) | Searches for an element that matches the conditions defined by the specified predicate, and returns the zero-based index of the first occurrence within the range of elements in the SimpleList T that extends from the specified index to the last element.
Public method | FindIndex(Int32, Int32, Predicate T ) | Searches for an element that matches the conditions defined by the specified predicate, and returns the zero-based index of the first occurrence within the range of elements in the SimpleList T that starts at the specified index and contains the specified number of elements.
Public method | FindLast | Searches for an element that matches the conditions defined by the specified predicate, and returns the last occurrence within the entire SimpleList T .
Public method | FindLastIndex(Predicate T ) | Searches for an element that matches the conditions defined by the specified predicate, and returns the zero-based index of the last occurrence within the entire SimpleList T .
Public method | FindLastIndex(Int32, Predicate T ) | Searches for an element that matches the conditions defined by the specified predicate, and returns the zero-based index of the last occurrence within the range of elements in the SimpleList T that extends from the first element to the specified index.
Public method | FindLastIndex(Int32, Int32, Predicate T ) | Searches for an element that matches the conditions defined by the specified predicate, and returns the zero-based index of the last occurrence within the range of elements in the SimpleList T that contains the specified number of elements and ends at the specified index.
Public method | ForEach | Performs the specified action on each element of the SimpleList T .
Public method | GetEnumerator | Returns an enumerator that iterates through the collection.
Public method | IndexOf(T) | Searches for the specified object and returns the zero-based index of the first occurrence within the entire SimpleList T .
Public method | IndexOf(T, Int32) | Searches for the specified object and returns the zero-based index of the first occurrence within the range of elements in the SimpleList T that extends from the specified index to the last element.
Public method | IndexOf(T, Int32, Int32) | Searches for the specified object and returns the zero-based index of the first occurrence within the range of elements in the SimpleList T that starts at the specified index and contains the specified number of elements.
Public method | Insert | Inserts an item to the SimpleList T at the specified index.
Public method | InsertRange | Inserts the elements of a collection into the SimpleList T at the specified index.
Public method | LastIndexOf(T) | Searches for the specified object and returns the zero-based index of the last occurrence within the entire SimpleList T .
Public method | LastIndexOf(T, Int32) | Searches for the specified object and returns the zero-based index of the last occurrence within the range of elements in the SimpleList T that extends from the first element to the specified index.
Public method | LastIndexOf(T, Int32, Int32) | Searches for the specified object and returns the zero-based index of the last occurrence within the range of elements in the SimpleList T that contains the specified number of elements and ends at the specified index.
Protected method | ReadCount | Return the number of elements to be created. (Overrides DependentList T ReadCount(Stream).)
Public method | Remove | Removes the first occurrence of an entry from the SimpleList T with the value given.
Public method | RemoveAll | Removes the all the elements that match the conditions defined by the specified predicate.
Public method | Sort(IComparer T ) | Sorts the elements in the entire SimpleList T using the specified comparer.
Public method | Sort(Comparison T ) | Sorts the elements in the entire SimpleList T using the specified Online Comparison T .
Public method | Sort(Int32, Int32, IComparer T ) | Sorts the elements in a range of elements in SimpleList T using the specified comparer.
Public method | ToArray | Copies the elements of the SimpleList T to a new array.
Public method | TrueForAll | Determines whether every element in the SimpleList T matches the conditions defined by the specified predicate.
Protected method | WriteCount | Write the count of list elements to the stream. (Overrides DependentList T WriteCount(Stream, Int32).)
Protected method | WriteElement | Writes the value of a list element to s. (Overrides DependentList T WriteElement(Stream, T).)
Back to Top
See Also
SimpleList T Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SimpleList(T).Add Method

SimpleList T Add Method s3pi library documentation
Overload List
 | Name | Description
Public method | Add | Add a default element to a SimpleList T . (Overrides DependentList T Add .)
Public method | Add(T) | Adds an entry to a SimpleList T .
Back to Top
See Also
SimpleList T Class
SimpleList T Members
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SimpleList(T).Add Method

SimpleList T Add Method s3pi library documentation
Add a default element to a SimpleList T .

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override void Add()
public override void Add()
Public Overrides Sub Add
Public Overrides Sub Add
public:
virtual void Add() override
public:
virtual void Add() override
Implements
IGenericAdd Add
Exceptions
Exception | Condition
Online System NotImplementedException | Lists of abstract classes will fail with a NotImplementedException.
Online System InvalidOperationException | Thrown when list size exceeded.
Online System NotSupportedException | The SimpleList T is read-only.
See Also
SimpleList T  Class
SimpleList T  Members
Add Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SimpleList(T).Add Method (T)

SimpleList T Add Method (T) s3pi library documentation
Adds an entry to a SimpleList T .

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public virtual void Add(
    T item
)
public virtual void Add(
    T item
)
Public Overridable Sub Add (
    item As T
)
Public Overridable Sub Add (
    item As T
)
public:
virtual void Add(
    T item
)
public:
virtual void Add(
    T item
)
Parameters
item
Type: T
The object to add.
Return Value
Type:
True on success
Exceptions
Exception | Condition
Online System InvalidOperationException | Thrown when list size exceeded.
Online System NotSupportedException | The SimpleList T is read-only.
See Also
SimpleList T  Class
SimpleList T  Members
Add Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SimpleList(T).AddRange Method

SimpleList T AddRange Method s3pi library documentation
Adds the elements of the specified collection to the end of the SimpleList T .

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public virtual void AddRange(
    IEnumerable<T> collection
)
public virtual void AddRange(
    IEnumerable<T> collection
)
Public Overridable Sub AddRange (
    collection As IEnumerable(Of T)
)
Public Overridable Sub AddRange (
    collection As IEnumerable(Of T)
)
public:
virtual void AddRange(
    IEnumerable<T>^ collection
)
public:
virtual void AddRange(
    IEnumerable<T>^ collection
)
Parameters
collection
Type:   Online System.Collections.Generic IEnumerable  T
The collection whose elements should be added to the end of the SimpleList T .
            The collection itself cannot be null, but it can contain elements that are null, if type T is a reference type.
Exceptions
Exception | Condition
Online System ArgumentNullException | collection is null.
Online System InvalidOperationException | Thrown when list size would be exceeded.
Online System NotSupportedException | The SimpleList T is read-only.
Remarks
Calls Add(T) for each item in collection.
See Also
SimpleList T  Class
SimpleList T  Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SimpleList(T).BinarySearch Method

SimpleList T BinarySearch Method s3pi library documentation
Overload List
 | Name | Description
Public method | BinarySearch(T) | Searches a the entire sorted SimpleList T for an element using the default comparer and returns the zero-based index of the element.
Public method | BinarySearch(T, IComparer T ) | Searches a the entire sorted SimpleList T for an element using the specified comparer and returns the zero-based index of the element.
Public method | BinarySearch(Int32, Int32, T, IComparer T ) | Searches a range of elements in the sorted SimpleList T for an element using the specified comparer and returns the zero-based index of the element.
Back to Top
See Also
SimpleList T Class
SimpleList T Members
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SimpleList(T).BinarySearch Method (T)

SimpleList T BinarySearch Method (T) s3pi library documentation
Searches a the entire sorted SimpleList T for an element using the default comparer and returns the zero-based index of the element.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public int BinarySearch(
    T item
)
public int BinarySearch(
    T item
)
Public Function BinarySearch (
    item As T
) As Integer
Public Function BinarySearch (
    item As T
) As Integer
public:
int BinarySearch(
    T item
)
public:
int BinarySearch(
    T item
)
Parameters
item
Type: T

                The object to locate.

Return Value
Type:   Online Int32

                The zero-based index of item in the sorted SimpleList T ,
                if item is found; otherwise, a negative number that is the bitwise complement
                of the index of the next element that is larger than item or, if there is
                no larger element, the bitwise complement of SimpleList T .Count.

Exceptions
Exception | Condition
Online System InvalidOperationException | The default comparer Online Default cannot find an implementation of the Online IComparable T generic interface or the Online IComparable interface for type T.
See Also
SimpleList T  Class
SimpleList T  Members
BinarySearch Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SimpleList(T).BinarySearch Method (T, IComparer(T))

SimpleList T BinarySearch Method (T, IComparer T ) s3pi library documentation
Searches a the entire sorted SimpleList T for an element using the specified comparer and returns the zero-based index of the element.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public int BinarySearch(
    T item,
    IComparer<T> comparer
)
public int BinarySearch(
    T item,
    IComparer<T> comparer
)
Public Function BinarySearch (
    item As T,
    comparer As IComparer(Of T)
) As Integer
Public Function BinarySearch (
    item As T,
    comparer As IComparer(Of T)
) As Integer
public:
int BinarySearch(
    T item,
    IComparer<T>^ comparer
)
public:
int BinarySearch(
    T item,
    IComparer<T>^ comparer
)
Parameters
item
Type: T

                The object to locate.

comparer
Type:   Online System.Collections.Generic IComparer  T

                The   Online IComparer T  implementation to use when comparing
                elements.

-or-

                null to use the default comparer   Online Default.

Return Value
Type:   Online Int32

                The zero-based index of item in the sorted SimpleList T ,
                if item is found; otherwise, a negative number that is the bitwise complement
                of the index of the next element that is larger than item or, if there is
                no larger element, the bitwise complement of SimpleList T .Count.

Exceptions
Exception | Condition
Online System InvalidOperationException | comparer is null, and the default comparer Online Default cannot find an implementation of the Online IComparable T generic interface or the Online IComparable interface for type T.
See Also
SimpleList T  Class
SimpleList T  Members
BinarySearch Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SimpleList(T).BinarySearch Method (Int32, Int32, T, IComparer(T))

SimpleList T BinarySearch Method (Int32, Int32, T, IComparer T ) s3pi library documentation
Searches a range of elements in the sorted SimpleList T for an element using the specified comparer and returns the zero-based index of the element.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public int BinarySearch(
    int index,
    int count,
    T item,
    IComparer<T> comparer
)
public int BinarySearch(
    int index,
    int count,
    T item,
    IComparer<T> comparer
)
Public Function BinarySearch (
    index As Integer,
    count As Integer,
    item As T,
    comparer As IComparer(Of T)
) As Integer
Public Function BinarySearch (
    index As Integer,
    count As Integer,
    item As T,
    comparer As IComparer(Of T)
) As Integer
public:
int BinarySearch(
    int index,
    int count,
    T item,
    IComparer<T>^ comparer
)
public:
int BinarySearch(
    int index,
    int count,
    T item,
    IComparer<T>^ comparer
)
Parameters
index
Type:   Online System Int32

                The zero-based starting index of the range to search.

count
Type:   Online System Int32

                The length of the range to search.

item
Type: T

                The object to locate.

comparer
Type:   Online System.Collections.Generic IComparer  T

                The   Online IComparer T  implementation to use when comparing
                elements, or null to use the default comparer   Online Default.

Return Value
Type:   Online Int32

                The zero-based index of item in the sorted SimpleList T ,
                if item is found; otherwise, a negative number that is the bitwise complement
                of the index of the next element that is larger than item or, if there is
                no larger element, the bitwise complement of SimpleList T .Count.

Exceptions
Exception | Condition
Online System ArgumentOutOfRangeException | index is less than 0. -or- count is less than 0.
Online System ArgumentException | index and count do not denote a valid range in the SimpleList T .
Online System InvalidOperationException | comparer is null, and the default comparer Online Default cannot find an implementation of the Online IComparable T generic interface or the Online IComparable interface for type T.
See Also
SimpleList T  Class
SimpleList T  Members
BinarySearch Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SimpleList(T).Contains Method

SimpleList T Contains Method s3pi library documentation
Determines whether an element is in the SimpleList T .

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public bool Contains(
    T item
)
public bool Contains(
    T item
)
Public Function Contains (
    item As T
) As Boolean
Public Function Contains (
    item As T
) As Boolean
public:
bool Contains(
    T item
)
public:
bool Contains(
    T item
)
Parameters
item
Type: T
The object to locate in the SimpleList T .
Return Value
Type:   Online Boolean
true if item is found in the SimpleList T ; otherwise, false.
See Also
SimpleList T  Class
SimpleList T  Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SimpleList(T).ConvertAll(TOutput) Method

SimpleList T ConvertAll TOutput Method s3pi library documentation
Converts the elements in the current SimpleList T to another type, and returns a list containing the converted elements.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public List<TOutput> ConvertAll<TOutput>(
    Converter<T, TOutput> converter
)
public List<TOutput> ConvertAll<TOutput>(
    Converter<T, TOutput> converter
)
Public Function ConvertAll(Of TOutput) (
    converter As Converter(Of T, TOutput)
) As List(Of TOutput)
Public Function ConvertAll(Of TOutput) (
    converter As Converter(Of T, TOutput)
) As List(Of TOutput)
public:
generic<typename TOutput>
List<TOutput>^ ConvertAll(
    Converter<T, TOutput>^ converter
)
public:
generic<typename TOutput>
List<TOutput>^ ConvertAll(
    Converter<T, TOutput>^ converter
)
Parameters
converter
Type:   Online System Converter  T, TOutput

                A   Online Converter TInput, TOutput  delegate that converts each element from
                one type to another type.

Type Parameters
TOutput

                The target type of the elements of the   Online List T .

Return Value
Type:   Online List  TOutput

                A   Online List T  of the target type containing the converted
                elements from the current SimpleList T .

Exceptions
Exception | Condition
Online System ArgumentNullException | converter is null.
See Also
SimpleList T  Class
SimpleList T  Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SimpleList(T).CopyTo Method

SimpleList T CopyTo Method s3pi library documentation
Overload List
 | Name | Description
Public method | CopyTo( T ) | Copies the entire SimpleList T to a compatible one-dimensional array, starting at the beginning of the target array.
Public method | CopyTo( T , Int32) | Copies the entire SimpleList T to a compatible one-dimensional array.
Public method | CopyTo(Int32, T , Int32, Int32) | Copies a range of elements from the SimpleList T to a compatible one-dimensional array, starting at the specified index of the target array.
Back to Top
See Also
SimpleList T Class
SimpleList T Members
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SimpleList(T).CopyTo Method (T[])

SimpleList T CopyTo Method ( T ) s3pi library documentation
Copies the entire SimpleList T to a compatible one-dimensional array, starting at the beginning of the target array.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void CopyTo(
    T[] array
)
public void CopyTo(
    T[] array
)
Public Sub CopyTo (
    array As T()
)
Public Sub CopyTo (
    array As T()
)
public:
void CopyTo(
    array<T>^ array
)
public:
void CopyTo(
    array<T>^ array
)
Parameters
array
Type:  T

                The one-dimensional System.Array that is the destination of the elements
                copied from SimpleList T . The   Online Array must have
                zero-based indexing.

Exceptions
Exception | Condition
Online System ArgumentNullException | array is null.
Online System ArgumentException | The number of elements in the source SimpleList T is greater than the number of elements that the destination array can contain.
See Also
SimpleList T  Class
SimpleList T  Members
CopyTo Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SimpleList(T).CopyTo Method (T[], Int32)

SimpleList T CopyTo Method ( T , Int32) s3pi library documentation
Copies the entire SimpleList T to a compatible one-dimensional array.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void CopyTo(
    T[] array,
    int arrayIndex
)
public void CopyTo(
    T[] array,
    int arrayIndex
)
Public Sub CopyTo (
    array As T(),
    arrayIndex As Integer
)
Public Sub CopyTo (
    array As T(),
    arrayIndex As Integer
)
public:
void CopyTo(
    array<T>^ array,
    int arrayIndex
)
public:
void CopyTo(
    array<T>^ array,
    int arrayIndex
)
Parameters
array
Type:  T

                The one-dimensional System.Array that is the destination of the elements
                copied from SimpleList T . The   Online Array must have
                zero-based indexing.

arrayIndex
Type:   Online System Int32

                The zero-based index in array at which copying begins.

Exceptions
Exception | Condition
Online System ArgumentNullException | array is null.
Online System ArgumentOutOfRangeException | arrayIndex is less than 0.
Online System ArgumentException | arrayIndex is equal to or greater than the length of array. -or- The number of elements in the source SimpleList T is greater than the available space from arrayIndex to the end of the destination array.
See Also
SimpleList T  Class
SimpleList T  Members
CopyTo Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SimpleList(T).CopyTo Method (Int32, T[], Int32, Int32)

SimpleList T CopyTo Method (Int32, T , Int32, Int32) s3pi library documentation
Copies a range of elements from the SimpleList T to a compatible one-dimensional array, starting at the specified index of the target array.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void CopyTo(
    int index,
    T[] array,
    int arrayIndex,
    int count
)
public void CopyTo(
    int index,
    T[] array,
    int arrayIndex,
    int count
)
Public Sub CopyTo (
    index As Integer,
    array As T(),
    arrayIndex As Integer,
    count As Integer
)
Public Sub CopyTo (
    index As Integer,
    array As T(),
    arrayIndex As Integer,
    count As Integer
)
public:
void CopyTo(
    int index,
    array<T>^ array,
    int arrayIndex,
    int count
)
public:
void CopyTo(
    int index,
    array<T>^ array,
    int arrayIndex,
    int count
)
Parameters
index
Type:   Online System Int32

                The zero-based index in the source SimpleList T  at
                which copying begins.

array
Type:  T

                The one-dimensional System.Array that is the destination of the elements
                copied from SimpleList T . The   Online Array must have
                zero-based indexing.

arrayIndex
Type:   Online System Int32

                The zero-based index in array at which copying begins.

count
Type:   Online System Int32

                The number of elements to copy.

Exceptions
Exception | Condition
Online System ArgumentNullException | array is null.
Online System ArgumentOutOfRangeException | index is less than 0. -or- arrayIndex is less than 0. -or- count is less than 0.
Online System ArgumentException | index is equal to or greater than the SimpleList T .Count of the source SimpleList T . -or- arrayIndex is equal to or greater than the length of array. -or- The number of elements from index to the end of the source SimpleList T is greater than the available space from arrayIndex to the end of the destination array.
See Also
SimpleList T  Class
SimpleList T  Members
CopyTo Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SimpleList(T).CreateElement Method

SimpleList T CreateElement Method s3pi library documentation
Creates an new list element of type T by reading s.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected override HandlerElement<T> CreateElement(
    Stream s
)
protected override HandlerElement<T> CreateElement(
    Stream s
)
Protected Overrides Function CreateElement (
    s As Stream
) As HandlerElement(Of T)
Protected Overrides Function CreateElement (
    s As Stream
) As HandlerElement(Of T)
protected:
virtual HandlerElement<T>^ CreateElement(
    Stream^ s
) override
protected:
virtual HandlerElement<T>^ CreateElement(
    Stream^ s
) override
Parameters
s
Type:   Online System.IO Stream
  Online Stream containing data.
Return Value
Type: HandlerElement  T
New list element.
See Also
SimpleList T  Class
SimpleList T  Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SimpleList(T).Exists Method

SimpleList T Exists Method s3pi library documentation
Determines whether the SimpleList T contains elements that match the conditions defined by the specified predicate.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public bool Exists(
    Predicate<T> match
)
public bool Exists(
    Predicate<T> match
)
Public Function Exists (
    match As Predicate(Of T)
) As Boolean
Public Function Exists (
    match As Predicate(Of T)
) As Boolean
public:
bool Exists(
    Predicate<T>^ match
)
public:
bool Exists(
    Predicate<T>^ match
)
Parameters
match
Type:   Online System Predicate  T

                The   Online Predicate T  delegate that defines the conditions of the elements
                to search for.

Return Value
Type:   Online Boolean

                true if the SimpleList T  contains one or more elements
                that match the conditions defined by the specified predicate; otherwise,
                false.

Exceptions
Exception | Condition
Online System ArgumentNullException | match is null.
See Also
SimpleList T  Class
SimpleList T  Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SimpleList(T).Find Method

SimpleList T Find Method s3pi library documentation
Searches for an element that matches the conditions defined by the specified predicate, and returns the first occurrence within the entire SimpleList T .

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public T Find(
    Predicate<T> match
)
public T Find(
    Predicate<T> match
)
Public Function Find (
    match As Predicate(Of T)
) As T
Public Function Find (
    match As Predicate(Of T)
) As T
public:
T Find(
    Predicate<T>^ match
)
public:
T Find(
    Predicate<T>^ match
)
Parameters
match
Type:   Online System Predicate  T

                The   Online Predicate T  delegate that defines the conditions of the element
                to search for.

Return Value
Type: T

                The first element that matches the conditions defined by the specified predicate,
                if found; otherwise, the default value for type T.

Exceptions
Exception | Condition
Online System ArgumentNullException | match is null.
See Also
SimpleList T  Class
SimpleList T  Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SimpleList(T).FindAll Method

SimpleList T FindAll Method s3pi library documentation
Retrieves all the elements that match the conditions defined by the specified predicate.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public List<T> FindAll(
    Predicate<T> match
)
public List<T> FindAll(
    Predicate<T> match
)
Public Function FindAll (
    match As Predicate(Of T)
) As List(Of T)
Public Function FindAll (
    match As Predicate(Of T)
) As List(Of T)
public:
List<T>^ FindAll(
    Predicate<T>^ match
)
public:
List<T>^ FindAll(
    Predicate<T>^ match
)
Parameters
match
Type:   Online System Predicate  T

                The   Online Predicate T  delegate that defines the conditions of the elements
                to search for.

Return Value
Type:   Online List  T

                A   Online List T  containing all the elements that match
                the conditions defined by the specified predicate, if found; otherwise, an
                empty   Online List T .

Exceptions
Exception | Condition
Online System ArgumentNullException | match is null.
See Also
SimpleList T  Class
SimpleList T  Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SimpleList(T).FindIndex Method

SimpleList T FindIndex Method s3pi library documentation
Overload List
 | Name | Description
Public method | FindIndex(Predicate T ) | Retrieves all the elements that match the conditions defined by the specified predicate. Searches for an element that matches the conditions defined by the specified predicate, and returns the zero-based index of the first occurrence within the entire SimpleList T .
Public method | FindIndex(Int32, Predicate T ) | Searches for an element that matches the conditions defined by the specified predicate, and returns the zero-based index of the first occurrence within the range of elements in the SimpleList T that extends from the specified index to the last element.
Public method | FindIndex(Int32, Int32, Predicate T ) | Searches for an element that matches the conditions defined by the specified predicate, and returns the zero-based index of the first occurrence within the range of elements in the SimpleList T that starts at the specified index and contains the specified number of elements.
Back to Top
See Also
SimpleList T Class
SimpleList T Members
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SimpleList(T).FindIndex Method (Predicate(T))

SimpleList T FindIndex Method (Predicate T ) s3pi library documentation
Retrieves all the elements that match the conditions defined by the specified predicate. Searches for an element that matches the conditions defined by the specified predicate, and returns the zero-based index of the first occurrence within the entire SimpleList T .

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public int FindIndex(
    Predicate<T> match
)
public int FindIndex(
    Predicate<T> match
)
Public Function FindIndex (
    match As Predicate(Of T)
) As Integer
Public Function FindIndex (
    match As Predicate(Of T)
) As Integer
public:
int FindIndex(
    Predicate<T>^ match
)
public:
int FindIndex(
    Predicate<T>^ match
)
Parameters
match
Type:   Online System Predicate  T

                The   Online Predicate T  delegate that defines the conditions of the element
                to search for.

Return Value
Type:   Online Int32

                The zero-based index of the first occurrence of an element that matches the
                conditions defined by match, if found; otherwise, –1.

Exceptions
Exception | Condition
Online System ArgumentNullException | match is null.
See Also
SimpleList T  Class
SimpleList T  Members
FindIndex Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SimpleList(T).FindIndex Method (Int32, Predicate(T))

SimpleList T FindIndex Method (Int32, Predicate T ) s3pi library documentation
Searches for an element that matches the conditions defined by the specified predicate, and returns the zero-based index of the first occurrence within the range of elements in the SimpleList T that extends from the specified index to the last element.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public int FindIndex(
    int startIndex,
    Predicate<T> match
)
public int FindIndex(
    int startIndex,
    Predicate<T> match
)
Public Function FindIndex (
    startIndex As Integer,
    match As Predicate(Of T)
) As Integer
Public Function FindIndex (
    startIndex As Integer,
    match As Predicate(Of T)
) As Integer
public:
int FindIndex(
    int startIndex,
    Predicate<T>^ match
)
public:
int FindIndex(
    int startIndex,
    Predicate<T>^ match
)
Parameters
startIndex
Type:   Online System Int32

                The zero-based starting index of the search.

match
Type:   Online System Predicate  T

                The   Online Predicate T  delegate that defines the conditions of the element
                to search for.

Return Value
Type:   Online Int32

                The zero-based index of the first occurrence of an element that matches the
                conditions defined by match, if found; otherwise, –1.

Exceptions
Exception | Condition
Online System ArgumentNullException | match is null.
Online System ArgumentOutOfRangeException | startIndex is outside the range of valid indexes for the SimpleList T .
See Also
SimpleList T  Class
SimpleList T  Members
FindIndex Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SimpleList(T).FindIndex Method (Int32, Int32, Predicate(T))

SimpleList T FindIndex Method (Int32, Int32, Predicate T ) s3pi library documentation
Searches for an element that matches the conditions defined by the specified predicate, and returns the zero-based index of the first occurrence within the range of elements in the SimpleList T that starts at the specified index and contains the specified number of elements.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public int FindIndex(
    int startIndex,
    int count,
    Predicate<T> match
)
public int FindIndex(
    int startIndex,
    int count,
    Predicate<T> match
)
Public Function FindIndex (
    startIndex As Integer,
    count As Integer,
    match As Predicate(Of T)
) As Integer
Public Function FindIndex (
    startIndex As Integer,
    count As Integer,
    match As Predicate(Of T)
) As Integer
public:
int FindIndex(
    int startIndex,
    int count,
    Predicate<T>^ match
)
public:
int FindIndex(
    int startIndex,
    int count,
    Predicate<T>^ match
)
Parameters
startIndex
Type:   Online System Int32

                The zero-based starting index of the search.

count
Type:   Online System Int32

                The number of elements in the section to search.

match
Type:   Online System Predicate  T

                The   Online Predicate T  delegate that defines the conditions of the element
                to search for.

Return Value
Type:   Online Int32

                The zero-based index of the first occurrence of an element that matches the
                conditions defined by match, if found; otherwise, –1.

Exceptions
Exception | Condition
Online System ArgumentNullException | match is null.
Online System ArgumentOutOfRangeException | startIndex is outside the range of valid indexes for the SimpleList T . -or- count is less than 0. -or- startIndex and count do not specify a valid section in the SimpleList T .
See Also
SimpleList T  Class
SimpleList T  Members
FindIndex Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SimpleList(T).FindLast Method

SimpleList T FindLast Method s3pi library documentation
Searches for an element that matches the conditions defined by the specified predicate, and returns the last occurrence within the entire SimpleList T .

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public T FindLast(
    Predicate<T> match
)
public T FindLast(
    Predicate<T> match
)
Public Function FindLast (
    match As Predicate(Of T)
) As T
Public Function FindLast (
    match As Predicate(Of T)
) As T
public:
T FindLast(
    Predicate<T>^ match
)
public:
T FindLast(
    Predicate<T>^ match
)
Parameters
match
Type:   Online System Predicate  T

                The   Online Predicate T  delegate that defines the conditions of the element
                to search for.

Return Value
Type: T

                The last element that matches the conditions defined by the specified predicate,
                if found; otherwise, the default value for type T.

Exceptions
Exception | Condition
Online System ArgumentNullException | match is null.
See Also
SimpleList T  Class
SimpleList T  Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SimpleList(T).FindLastIndex Method

SimpleList T FindLastIndex Method s3pi library documentation
Overload List
 | Name | Description
Public method | FindLastIndex(Predicate T ) | Searches for an element that matches the conditions defined by the specified predicate, and returns the zero-based index of the last occurrence within the entire SimpleList T .
Public method | FindLastIndex(Int32, Predicate T ) | Searches for an element that matches the conditions defined by the specified predicate, and returns the zero-based index of the last occurrence within the range of elements in the SimpleList T that extends from the first element to the specified index.
Public method | FindLastIndex(Int32, Int32, Predicate T ) | Searches for an element that matches the conditions defined by the specified predicate, and returns the zero-based index of the last occurrence within the range of elements in the SimpleList T that contains the specified number of elements and ends at the specified index.
Back to Top
See Also
SimpleList T Class
SimpleList T Members
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SimpleList(T).FindLastIndex Method (Predicate(T))

SimpleList T FindLastIndex Method (Predicate T ) s3pi library documentation
Searches for an element that matches the conditions defined by the specified predicate, and returns the zero-based index of the last occurrence within the entire SimpleList T .

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public int FindLastIndex(
    Predicate<T> match
)
public int FindLastIndex(
    Predicate<T> match
)
Public Function FindLastIndex (
    match As Predicate(Of T)
) As Integer
Public Function FindLastIndex (
    match As Predicate(Of T)
) As Integer
public:
int FindLastIndex(
    Predicate<T>^ match
)
public:
int FindLastIndex(
    Predicate<T>^ match
)
Parameters
match
Type:   Online System Predicate  T

                The   Online Predicate T  delegate that defines the conditions of the element
                to search for.

Return Value
Type:   Online Int32

                The zero-based index of the last occurrence of an element that matches the
                conditions defined by match, if found; otherwise, –1.

Exceptions
Exception | Condition
Online System ArgumentNullException | match is null.
See Also
SimpleList T  Class
SimpleList T  Members
FindLastIndex Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SimpleList(T).FindLastIndex Method (Int32, Predicate(T))

SimpleList T FindLastIndex Method (Int32, Predicate T ) s3pi library documentation
Searches for an element that matches the conditions defined by the specified predicate, and returns the zero-based index of the last occurrence within the range of elements in the SimpleList T that extends from the first element to the specified index.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public int FindLastIndex(
    int startIndex,
    Predicate<T> match
)
public int FindLastIndex(
    int startIndex,
    Predicate<T> match
)
Public Function FindLastIndex (
    startIndex As Integer,
    match As Predicate(Of T)
) As Integer
Public Function FindLastIndex (
    startIndex As Integer,
    match As Predicate(Of T)
) As Integer
public:
int FindLastIndex(
    int startIndex,
    Predicate<T>^ match
)
public:
int FindLastIndex(
    int startIndex,
    Predicate<T>^ match
)
Parameters
startIndex
Type:   Online System Int32

                The zero-based starting index of the backward search.

match
Type:   Online System Predicate  T

                The   Online Predicate T  delegate that defines the conditions of the element
                to search for.

Return Value
Type:   Online Int32

                The zero-based index of the last occurrence of an element that matches the
                conditions defined by match, if found; otherwise, –1.

Exceptions
Exception | Condition
Online System ArgumentNullException | match is null.
Online System ArgumentOutOfRangeException | startIndex is outside the range of valid indexes for the SimpleList T .
See Also
SimpleList T  Class
SimpleList T  Members
FindLastIndex Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SimpleList(T).FindLastIndex Method (Int32, Int32, Predicate(T))

SimpleList T FindLastIndex Method (Int32, Int32, Predicate T ) s3pi library documentation
Searches for an element that matches the conditions defined by the specified predicate, and returns the zero-based index of the last occurrence within the range of elements in the SimpleList T that contains the specified number of elements and ends at the specified index.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public int FindLastIndex(
    int startIndex,
    int count,
    Predicate<T> match
)
public int FindLastIndex(
    int startIndex,
    int count,
    Predicate<T> match
)
Public Function FindLastIndex (
    startIndex As Integer,
    count As Integer,
    match As Predicate(Of T)
) As Integer
Public Function FindLastIndex (
    startIndex As Integer,
    count As Integer,
    match As Predicate(Of T)
) As Integer
public:
int FindLastIndex(
    int startIndex,
    int count,
    Predicate<T>^ match
)
public:
int FindLastIndex(
    int startIndex,
    int count,
    Predicate<T>^ match
)
Parameters
startIndex
Type:   Online System Int32

                The zero-based starting index of the backward search.

count
Type:   Online System Int32

                The number of elements in the section to search.

match
Type:   Online System Predicate  T

                The   Online Predicate T  delegate that defines the conditions of the element
                to search for.

Return Value
Type:   Online Int32

                The zero-based index of the last occurrence of an element that matches the
                conditions defined by match, if found; otherwise, –1.

Exceptions
Exception | Condition
Online System ArgumentNullException | match is null.
Online System ArgumentOutOfRangeException | startIndex is outside the range of valid indexes for the SimpleList T . -or- count is less than 0. -or- startIndex and count do not specify a valid section in the SimpleList T .
See Also
SimpleList T  Class
SimpleList T  Members
FindLastIndex Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SimpleList(T).ForEach Method

SimpleList T ForEach Method s3pi library documentation
Performs the specified action on each element of the SimpleList T .

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void ForEach(
    Action<T> action
)
public void ForEach(
    Action<T> action
)
Public Sub ForEach (
    action As Action(Of T)
)
Public Sub ForEach (
    action As Action(Of T)
)
public:
void ForEach(
    Action<T>^ action
)
public:
void ForEach(
    Action<T>^ action
)
Parameters
action
Type:   Online System Action  T

            The   Online Action T  delegate to perform on each element of the SimpleList T .

Exceptions
Exception | Condition
Online System ArgumentNullException | action is null.
See Also
SimpleList T  Class
SimpleList T  Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SimpleList(T).GetEnumerator Method

SimpleList T GetEnumerator Method s3pi library documentation
Returns an enumerator that iterates through the collection.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public IEnumerator<T> GetEnumerator()
public IEnumerator<T> GetEnumerator()
Public Function GetEnumerator As IEnumerator(Of T)
Public Function GetEnumerator As IEnumerator(Of T)
public:
virtual IEnumerator<T>^ GetEnumerator() sealed
public:
virtual IEnumerator<T>^ GetEnumerator() sealed
Return Value
Type:   Online IEnumerator  T
A   Online IEnumerator T  that can be used to iterate through the collection.
Implements
  Online IEnumerable T  GetEnumerator
See Also
SimpleList T  Class
SimpleList T  Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SimpleList(T).IndexOf Method

SimpleList T IndexOf Method s3pi library documentation
Overload List
 | Name | Description
Public method | IndexOf(T) | Searches for the specified object and returns the zero-based index of the first occurrence within the entire SimpleList T .
Public method | IndexOf(T, Int32) | Searches for the specified object and returns the zero-based index of the first occurrence within the range of elements in the SimpleList T that extends from the specified index to the last element.
Public method | IndexOf(T, Int32, Int32) | Searches for the specified object and returns the zero-based index of the first occurrence within the range of elements in the SimpleList T that starts at the specified index and contains the specified number of elements.
Back to Top
See Also
SimpleList T Class
SimpleList T Members
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SimpleList(T).IndexOf Method (T)

SimpleList T IndexOf Method (T) s3pi library documentation
Searches for the specified object and returns the zero-based index of the first occurrence within the entire SimpleList T .

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public int IndexOf(
    T item
)
public int IndexOf(
    T item
)
Public Function IndexOf (
    item As T
) As Integer
Public Function IndexOf (
    item As T
) As Integer
public:
int IndexOf(
    T item
)
public:
int IndexOf(
    T item
)
Parameters
item
Type: T

                The object to locate in the SimpleList T .

Return Value
Type:   Online Int32

                The zero-based index of the first occurrence of item within the entire SimpleList T ,
                if found; otherwise, –1.

See Also
SimpleList T  Class
SimpleList T  Members
IndexOf Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SimpleList(T).IndexOf Method (T, Int32)

SimpleList T IndexOf Method (T, Int32) s3pi library documentation
Searches for the specified object and returns the zero-based index of the first occurrence within the range of elements in the SimpleList T that extends from the specified index to the last element.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public int IndexOf(
    T item,
    int index
)
public int IndexOf(
    T item,
    int index
)
Public Function IndexOf (
    item As T,
    index As Integer
) As Integer
Public Function IndexOf (
    item As T,
    index As Integer
) As Integer
public:
int IndexOf(
    T item,
    int index
)
public:
int IndexOf(
    T item,
    int index
)
Parameters
item
Type: T

                The object to locate in the SimpleList T .

index
Type:   Online System Int32

                The zero-based starting index of the search.

Return Value
Type:   Online Int32

                The zero-based index of the first occurrence of item within the range of
                elements in the SimpleList T  that extends from index
                to the last element, if found; otherwise, –1.

Exceptions
Exception | Condition
Online System ArgumentOutOfRangeException | index is outside the range of valid indexes for the SimpleList T .
See Also
SimpleList T  Class
SimpleList T  Members
IndexOf Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SimpleList(T).IndexOf Method (T, Int32, Int32)

SimpleList T IndexOf Method (T, Int32, Int32) s3pi library documentation
Searches for the specified object and returns the zero-based index of the first occurrence within the range of elements in the SimpleList T that starts at the specified index and contains the specified number of elements.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public int IndexOf(
    T item,
    int index,
    int count
)
public int IndexOf(
    T item,
    int index,
    int count
)
Public Function IndexOf (
    item As T,
    index As Integer,
    count As Integer
) As Integer
Public Function IndexOf (
    item As T,
    index As Integer,
    count As Integer
) As Integer
public:
int IndexOf(
    T item,
    int index,
    int count
)
public:
int IndexOf(
    T item,
    int index,
    int count
)
Parameters
item
Type: T

                The object to locate in the SimpleList T .

index
Type:   Online System Int32

                The zero-based starting index of the search.

count
Type:   Online System Int32

                The number of elements in the section to search.

Return Value
Type:   Online Int32

                The zero-based index of the first occurrence of item within the range of
                elements in the SimpleList T  that
                starts at index and contains count number of elements,
                if found; otherwise, –1.

Exceptions
Exception | Condition
Online System ArgumentOutOfRangeException | index is outside the range of valid indexes for the SimpleList T . -or- count is less than 0. -or- index and count do not specify a valid section in the SimpleList T .
See Also
SimpleList T  Class
SimpleList T  Members
IndexOf Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SimpleList(T).Insert Method

SimpleList T Insert Method s3pi library documentation
Inserts an item to the SimpleList T at the specified index.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public virtual void Insert(
    int index,
    T item
)
public virtual void Insert(
    int index,
    T item
)
Public Overridable Sub Insert (
    index As Integer,
    item As T
)
Public Overridable Sub Insert (
    index As Integer,
    item As T
)
public:
virtual void Insert(
    int index,
    T item
)
public:
virtual void Insert(
    int index,
    T item
)
Parameters
index
Type:   Online System Int32
The zero-based index at which item should be inserted.
item
Type: T
The object to insert into the SimpleList T .
Exceptions
Exception | Condition
Online System ArgumentOutOfRangeException | index is not a valid index in the SimpleList T .
Online System InvalidOperationException | Thrown when list size exceeded.
Online System NotSupportedException | The SimpleList T is read-only.
See Also
SimpleList T  Class
SimpleList T  Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SimpleList(T).InsertRange Method

SimpleList T InsertRange Method s3pi library documentation
Inserts the elements of a collection into the SimpleList T at the specified index.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public virtual void InsertRange(
    int index,
    IEnumerable<T> collection
)
public virtual void InsertRange(
    int index,
    IEnumerable<T> collection
)
Public Overridable Sub InsertRange (
    index As Integer,
    collection As IEnumerable(Of T)
)
Public Overridable Sub InsertRange (
    index As Integer,
    collection As IEnumerable(Of T)
)
public:
virtual void InsertRange(
    int index,
    IEnumerable<T>^ collection
)
public:
virtual void InsertRange(
    int index,
    IEnumerable<T>^ collection
)
Parameters
index
Type:   Online System Int32
The zero-based index at which the new elements should be inserted.
collection
Type:   Online System.Collections.Generic IEnumerable  T
The collection whose elements should be inserted into the SimpleList T .
            The collection itself cannot be null, but it can contain elements that are null, if type T is a reference type.
Exceptions
Exception | Condition
Online System ArgumentNullException | collection is null.
Online System ArgumentOutOfRangeException | index is less than 0. -or- index is greater than SimpleList T .Count.
Online System InvalidOperationException | Thrown when list size would be exceeded.
Online System NotSupportedException | The SimpleList T is read-only.
Remarks
Calls Insert(Int32, T) for each item in collection.
See Also
SimpleList T  Class
SimpleList T  Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SimpleList(T).LastIndexOf Method

SimpleList T LastIndexOf Method s3pi library documentation
Overload List
 | Name | Description
Public method | LastIndexOf(T) | Searches for the specified object and returns the zero-based index of the last occurrence within the entire SimpleList T .
Public method | LastIndexOf(T, Int32) | Searches for the specified object and returns the zero-based index of the last occurrence within the range of elements in the SimpleList T that extends from the first element to the specified index.
Public method | LastIndexOf(T, Int32, Int32) | Searches for the specified object and returns the zero-based index of the last occurrence within the range of elements in the SimpleList T that contains the specified number of elements and ends at the specified index.
Back to Top
See Also
SimpleList T Class
SimpleList T Members
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SimpleList(T).LastIndexOf Method (T)

SimpleList T LastIndexOf Method (T) s3pi library documentation
Searches for the specified object and returns the zero-based index of the last occurrence within the entire SimpleList T .

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public int LastIndexOf(
    T item
)
public int LastIndexOf(
    T item
)
Public Function LastIndexOf (
    item As T
) As Integer
Public Function LastIndexOf (
    item As T
) As Integer
public:
int LastIndexOf(
    T item
)
public:
int LastIndexOf(
    T item
)
Parameters
item
Type: T

                The object to locate in the SimpleList T .

Return Value
Type:   Online Int32

                The zero-based index of the last occurrence of item within the entire SimpleList T ,
                if found; otherwise, –1.

See Also
SimpleList T  Class
SimpleList T  Members
LastIndexOf Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SimpleList(T).LastIndexOf Method (T, Int32)

SimpleList T LastIndexOf Method (T, Int32) s3pi library documentation
Searches for the specified object and returns the zero-based index of the last occurrence within the range of elements in the SimpleList T that extends from the first element to the specified index.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public int LastIndexOf(
    T item,
    int index
)
public int LastIndexOf(
    T item,
    int index
)
Public Function LastIndexOf (
    item As T,
    index As Integer
) As Integer
Public Function LastIndexOf (
    item As T,
    index As Integer
) As Integer
public:
int LastIndexOf(
    T item,
    int index
)
public:
int LastIndexOf(
    T item,
    int index
)
Parameters
item
Type: T

                The object to locate in the SimpleList T .

index
Type:   Online System Int32

                The zero-based starting index of the backward search.

Return Value
Type:   Online Int32

                The zero-based index of the last occurrence of item within the range of
                elements in the SimpleList T  that
                extends from the first element and ends at index,
                if found; otherwise, –1.

Exceptions
Exception | Condition
Online System ArgumentOutOfRangeException | index is outside the range of valid indexes for the SimpleList T .
See Also
SimpleList T  Class
SimpleList T  Members
LastIndexOf Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SimpleList(T).LastIndexOf Method (T, Int32, Int32)

SimpleList T LastIndexOf Method (T, Int32, Int32) s3pi library documentation
Searches for the specified object and returns the zero-based index of the last occurrence within the range of elements in the SimpleList T that contains the specified number of elements and ends at the specified index.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public int LastIndexOf(
    T item,
    int index,
    int count
)
public int LastIndexOf(
    T item,
    int index,
    int count
)
Public Function LastIndexOf (
    item As T,
    index As Integer,
    count As Integer
) As Integer
Public Function LastIndexOf (
    item As T,
    index As Integer,
    count As Integer
) As Integer
public:
int LastIndexOf(
    T item,
    int index,
    int count
)
public:
int LastIndexOf(
    T item,
    int index,
    int count
)
Parameters
item
Type: T

                The object to locate in the SimpleList T .

index
Type:   Online System Int32

                The zero-based starting index of the backward search.

count
Type:   Online System Int32

                The number of elements in the section to search.

Return Value
Type:   Online Int32

                The zero-based index of the last occurrence of item within the range of
                elements in the SimpleList T  that
                contains count number of elements and ends at index,
                if found; otherwise, –1.

Exceptions
Exception | Condition
Online System ArgumentOutOfRangeException | index is outside the range of valid indexes for the SimpleList T . -or- count is less than 0. -or- index and count do not specify a valid section in the SimpleList T .
See Also
SimpleList T  Class
SimpleList T  Members
LastIndexOf Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SimpleList(T).ReadCount Method

SimpleList T ReadCount Method s3pi library documentation
Return the number of elements to be created.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected override int ReadCount(
    Stream s
)
protected override int ReadCount(
    Stream s
)
Protected Overrides Function ReadCount (
    s As Stream
) As Integer
Protected Overrides Function ReadCount (
    s As Stream
) As Integer
protected:
virtual int ReadCount(
    Stream^ s
) override
protected:
virtual int ReadCount(
    Stream^ s
) override
Parameters
s
Type:   Online System.IO Stream
  Online Stream being processed.
Return Value
Type:   Online Int32
The number of elements to be created.
See Also
SimpleList T  Class
SimpleList T  Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SimpleList(T).Remove Method

SimpleList T Remove Method s3pi library documentation
Removes the first occurrence of an entry from the SimpleList T with the value given.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public virtual bool Remove(
    T item
)
public virtual bool Remove(
    T item
)
Public Overridable Function Remove (
    item As T
) As Boolean
Public Overridable Function Remove (
    item As T
) As Boolean
public:
virtual bool Remove(
    T item
)
public:
virtual bool Remove(
    T item
)
Parameters
item
Type: T
The value to remove from the SimpleList T .
Return Value
Type:   Online Boolean

            true if item was successfully removed from the SimpleList T
            otherwise, false. This method also returns false if item is not found in
            the original SimpleList T .

Exceptions
Exception | Condition
Online System NotSupportedException | The AHandlerList T is read-only.
See Also
SimpleList T  Class
SimpleList T  Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SimpleList(T).RemoveAll Method

SimpleList T RemoveAll Method s3pi library documentation
Removes the all the elements that match the conditions defined by the specified predicate.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public virtual int RemoveAll(
    Predicate<T> match
)
public virtual int RemoveAll(
    Predicate<T> match
)
Public Overridable Function RemoveAll (
    match As Predicate(Of T)
) As Integer
Public Overridable Function RemoveAll (
    match As Predicate(Of T)
) As Integer
public:
virtual int RemoveAll(
    Predicate<T>^ match
)
public:
virtual int RemoveAll(
    Predicate<T>^ match
)
Parameters
match
Type:   Online System Predicate  T
The   Online Predicate T  delegate that defines the conditions of the elements to remove.
Return Value
Type:   Online Int32
The number of elements removed from the SimpleList T .
Exceptions
Exception | Condition
Online System ArgumentNullException | match is null.
Online System NotSupportedException | The SimpleList T is read-only.
See Also
SimpleList T  Class
SimpleList T  Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SimpleList(T).Sort Method

SimpleList T Sort Method s3pi library documentation
Overload List
 | Name | Description
Public method | Sort(IComparer T ) | Sorts the elements in the entire SimpleList T using the specified comparer.
Public method | Sort(Comparison T ) | Sorts the elements in the entire SimpleList T using the specified Online Comparison T .
Public method | Sort(Int32, Int32, IComparer T ) | Sorts the elements in a range of elements in SimpleList T using the specified comparer.
Back to Top
See Also
SimpleList T Class
SimpleList T Members
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SimpleList(T).Sort Method (IComparer(T))

SimpleList T Sort Method (IComparer T ) s3pi library documentation
Sorts the elements in the entire SimpleList T using the specified comparer.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public virtual void Sort(
    IComparer<T> comparer
)
public virtual void Sort(
    IComparer<T> comparer
)
Public Overridable Sub Sort (
    comparer As IComparer(Of T)
)
Public Overridable Sub Sort (
    comparer As IComparer(Of T)
)
public:
virtual void Sort(
    IComparer<T>^ comparer
)
public:
virtual void Sort(
    IComparer<T>^ comparer
)
Parameters
comparer
Type:   Online System.Collections.Generic IComparer  T
The   Online IComparer T  implementation to use when comparing elements,
            or null to use the default comparer   Online Default.
Exceptions
Exception | Condition
Online System ArgumentException | The implementation of comparer caused an error during the sort. For example, comparer might not return 0 when comparing an item with itself.
Online System InvalidOperationException | comparer is null, and the default comparer Online Default cannot find implementation of the Online IComparable T generic interface or the System.IComparable interface for type T.
Online System NotSupportedException | The SimpleList T is read-only.
See Also
SimpleList T  Class
SimpleList T  Members
Sort Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SimpleList(T).Sort Method (Comparison(T))

SimpleList T Sort Method (Comparison T ) s3pi library documentation
Sorts the elements in the entire SimpleList T using the specified Online Comparison T .

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public virtual void Sort(
    Comparison<T> comparison
)
public virtual void Sort(
    Comparison<T> comparison
)
Public Overridable Sub Sort (
    comparison As Comparison(Of T)
)
Public Overridable Sub Sort (
    comparison As Comparison(Of T)
)
public:
virtual void Sort(
    Comparison<T>^ comparison
)
public:
virtual void Sort(
    Comparison<T>^ comparison
)
Parameters
comparison
Type:   Online System Comparison  T
The   Online Comparison T  to use when comparing elements.
Exceptions
Exception | Condition
Online System ArgumentException | The implementation of comparison caused an error during the sort. For example, comparison might not return 0 when comparing an item with itself.
Online System ArgumentNullException | comparison is null.
Online System NotSupportedException | The SimpleList T is read-only.
See Also
SimpleList T  Class
SimpleList T  Members
Sort Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SimpleList(T).Sort Method (Int32, Int32, IComparer(T))

SimpleList T Sort Method (Int32, Int32, IComparer T ) s3pi library documentation
Sorts the elements in a range of elements in SimpleList T using the specified comparer.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public virtual void Sort(
    int index,
    int count,
    IComparer<T> comparer
)
public virtual void Sort(
    int index,
    int count,
    IComparer<T> comparer
)
Public Overridable Sub Sort (
    index As Integer,
    count As Integer,
    comparer As IComparer(Of T)
)
Public Overridable Sub Sort (
    index As Integer,
    count As Integer,
    comparer As IComparer(Of T)
)
public:
virtual void Sort(
    int index,
    int count,
    IComparer<T>^ comparer
)
public:
virtual void Sort(
    int index,
    int count,
    IComparer<T>^ comparer
)
Parameters
index
Type:   Online System Int32
The zero-based starting index of the range to sort.
count
Type:   Online System Int32
The number of elements in the range to sort.
comparer
Type:   Online System.Collections.Generic IComparer  T
The   Online IComparer T  implementation to use when comparing elements,
            or null to use the default comparer   Online Default.
Exceptions
Exception | Condition
Online System ArgumentException | index and count do not denote a valid range of elements in the SimpleList T . -or- The implementation of comparer caused an error during the sort. For example, comparer might not return 0 when comparing an item with itself. -or- comparer is null, and an implementation of the Online IComparable T generic interface or the Online IComparable interface for type T cannot be found.
Online System ArgumentOutOfRangeException | index is less than 0. -or- count is less than 0.
Online System NotSupportedException | The SimpleList T is read-only.
See Also
SimpleList T  Class
SimpleList T  Members
Sort Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SimpleList(T).ToArray Method

SimpleList T ToArray Method s3pi library documentation
Copies the elements of the SimpleList T to a new array.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public T[] ToArray()
public T[] ToArray()
Public Function ToArray As T()
Public Function ToArray As T()
public:
array<T>^ ToArray()
public:
array<T>^ ToArray()
Return Value
Type:  T

                An array containing copies of the elements of the SimpleList T .

See Also
SimpleList T  Class
SimpleList T  Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SimpleList(T).TrueForAll Method

SimpleList T TrueForAll Method s3pi library documentation
Determines whether every element in the SimpleList T matches the conditions defined by the specified predicate.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public bool TrueForAll(
    Predicate<T> match
)
public bool TrueForAll(
    Predicate<T> match
)
Public Function TrueForAll (
    match As Predicate(Of T)
) As Boolean
Public Function TrueForAll (
    match As Predicate(Of T)
) As Boolean
public:
bool TrueForAll(
    Predicate<T>^ match
)
public:
bool TrueForAll(
    Predicate<T>^ match
)
Parameters
match
Type:   Online System Predicate  T
The   Online Predicate T  delegate that defines the conditions to check against the elements.
Return Value
Type:   Online Boolean

                true if every element in the SimpleList T  matches the
                conditions defined by the specified predicate; otherwise, false. If the list
                has no elements, the return value is true.

Exceptions
Exception | Condition
Online System ArgumentNullException | match is null.
See Also
SimpleList T  Class
SimpleList T  Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SimpleList(T).WriteCount Method

SimpleList T WriteCount Method s3pi library documentation
Write the count of list elements to the stream.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected override void WriteCount(
    Stream s,
    int count
)
protected override void WriteCount(
    Stream s,
    int count
)
Protected Overrides Sub WriteCount (
    s As Stream,
    count As Integer
)
Protected Overrides Sub WriteCount (
    s As Stream,
    count As Integer
)
protected:
virtual void WriteCount(
    Stream^ s,
    int count
) override
protected:
virtual void WriteCount(
    Stream^ s,
    int count
) override
Parameters
s
Type:   Online System.IO Stream
  Online Stream to write count to.
count
Type:   Online System Int32
Value to write to   Online Stream s.
See Also
SimpleList T  Class
SimpleList T  Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SimpleList(T).WriteElement Method

SimpleList T WriteElement Method s3pi library documentation
Writes the value of a list element to s.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected override void WriteElement(
    Stream s,
    HandlerElement<T> element
)
protected override void WriteElement(
    Stream s,
    HandlerElement<T> element
)
Protected Overrides Sub WriteElement (
    s As Stream,
    element As HandlerElement(Of T)
)
Protected Overrides Sub WriteElement (
    s As Stream,
    element As HandlerElement(Of T)
)
protected:
virtual void WriteElement(
    Stream^ s,
    HandlerElement<T>^ element
) override
protected:
virtual void WriteElement(
    Stream^ s,
    HandlerElement<T>^ element
) override
Parameters
s
Type:   Online System.IO Stream
  Online Stream containing data.
element
Type: s3pi.Interfaces HandlerElement  T
List element for which to write the value to the   Online Stream.
See Also
SimpleList T  Class
SimpleList T  Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SimpleList(T) Properties

SimpleList T Properties s3pi library documentation
The SimpleList T type exposes the following members.
Properties
 | Name | Description
Public property | Item | Gets or sets the element at the specified index.
Back to Top
See Also
SimpleList T Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SimpleList(T).Item Property

SimpleList T Item Property s3pi library documentation
Gets or sets the element at the specified index.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public virtual T this[
    int index
] { get; set; }
public virtual T this[
    int index
] { get; set; }
Public Overridable Default Property Item (
    index As Integer
) As T
    Get
    Set
Public Overridable Default Property Item (
    index As Integer
) As T
    Get
    Set
public:
virtual property T default[int index] {
    T get (int index);
    void set (int index, T value);
}
public:
virtual property T default[int index] {
    T get (int index);
    void set (int index, T value);
}
Parameters
index
Type:   Online System Int32
The zero-based index of the element to get or set.
Return Value
Type: T
The element at the specified index.
Exceptions
Exception | Condition
Online System ArgumentOutOfRangeException | index is not a valid index in the SimpleList T .
Online System NotSupportedException | The SimpleList T is read-only.
See Also
SimpleList T  Class
SimpleList T  Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SimpleList(T).CreateElementMethod Delegate

SimpleList T CreateElementMethod Delegate s3pi library documentation
Create a new element of type T from a Online Stream.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public delegate T CreateElementMethod(
    Stream s
)
public delegate T CreateElementMethod(
    Stream s
)
Public Delegate Function CreateElementMethod (
    s As Stream
) As T
Public Delegate Function CreateElementMethod (
    s As Stream
) As T
public delegate T CreateElementMethod(
    Stream^ s
)
public delegate T CreateElementMethod(
    Stream^ s
)
Parameters
s
Type:   Online System.IO Stream
The   Online Stream from which to read the element data.
Return Value
Type: T
A new element of type T.
See Also
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SimpleList(T).Enumerator(U) Class

SimpleList T Enumerator U Class s3pi library documentation
Supports a simple iteration over a generic collection.
Inheritance Hierarchy
Online System Object
s3pi.Interfaces SimpleList T Enumerator U

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public class Enumerator<U> : IEnumerator<U>,
    IDisposable, IEnumerator
where U : struct, new(), IComparable, IConvertible, IEquatable<U>, IComparable<U>
public class Enumerator<U> : IEnumerator<U>,
    IDisposable, IEnumerator
where U : struct, new(), IComparable, IConvertible, IEquatable<U>, IComparable<U>
Public Class Enumerator(Of U As {Structure, New, IComparable, IConvertible, IEquatable(Of U), IComparable(Of U)})
    Implements IEnumerator(Of U), IDisposable, IEnumerator
Public Class Enumerator(Of U As {Structure, New, IComparable, IConvertible, IEquatable(Of U), IComparable(Of U)})
    Implements IEnumerator(Of U), IDisposable, IEnumerator
generic<typename U>
where U : value class, gcnew(), IComparable, IConvertible, IEquatable<U>, IComparable<U>
public ref class Enumerator : IEnumerator<U>,
    IDisposable, IEnumerator
generic<typename U>
where U : value class, gcnew(), IComparable, IConvertible, IEquatable<U>, IComparable<U>
public ref class Enumerator : IEnumerator<U>,
    IDisposable, IEnumerator
Type Parameters
U
The type of objects to enumerate.
See Also
SimpleList T  Enumerator U  Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SimpleList(T).Enumerator(U) Members

SimpleList T Enumerator U Members s3pi library documentation

A flexible generic list that implements DependentList T for a simple data type (such as Online UInt32).

The SimpleList T Enumerator U generic type exposes the following members.
Methods
 | Name | Description
Public method | Dispose | Releases all resources used by the enumerator.
Public method | MoveNext | Advances the enumerator to the next element of the collection.
Public method | Reset | Sets the enumerator to its initial position, which is before the first element in the collection.
Back to Top
Properties
 | Name | Description
Public property | Current | Gets the element at the current position of the enumerator.
Back to Top
Explicit Interface Implementations
 | Name | Description
Explicit interface implemetation | IEnumerator Current |
Back to Top
See Also
SimpleList T Enumerator U Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SimpleList(T).Enumerator(U) Methods

SimpleList T Enumerator U Methods s3pi library documentation
The SimpleList T Enumerator U generic type exposes the following members.
Methods
 | Name | Description
Public method | Dispose | Releases all resources used by the enumerator.
Public method | MoveNext | Advances the enumerator to the next element of the collection.
Public method | Reset | Sets the enumerator to its initial position, which is before the first element in the collection.
Back to Top
See Also
SimpleList T Enumerator U Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SimpleList(T).Enumerator(U).Dispose Method

SimpleList T Enumerator U Dispose Method s3pi library documentation
Releases all resources used by the enumerator.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void Dispose()
public void Dispose()
Public Sub Dispose
Public Sub Dispose
public:
virtual void Dispose() sealed
public:
virtual void Dispose() sealed
Implements
  Online IDisposable Dispose
See Also
SimpleList T  Enumerator U  Class
SimpleList T  Enumerator U  Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SimpleList(T).Enumerator(U).MoveNext Method

SimpleList T Enumerator U MoveNext Method s3pi library documentation
Advances the enumerator to the next element of the collection.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public bool MoveNext()
public bool MoveNext()
Public Function MoveNext As Boolean
Public Function MoveNext As Boolean
public:
virtual bool MoveNext() sealed
public:
virtual bool MoveNext() sealed
Return Value
Type:   Online Boolean

            true if the enumerator was successfully advanced to the next element;
            false if the enumerator has passed the end of the collection.

Implements
  Online IEnumerator MoveNext
Exceptions
Exception | Condition
Online System InvalidOperationException | The collection was modified after the enumerator was created.
See Also
SimpleList T  Enumerator U  Class
SimpleList T  Enumerator U  Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SimpleList(T).Enumerator(U).Reset Method

SimpleList T Enumerator U Reset Method s3pi library documentation
Sets the enumerator to its initial position, which is before the first element in the collection.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void Reset()
public void Reset()
Public Sub Reset
Public Sub Reset
public:
virtual void Reset() sealed
public:
virtual void Reset() sealed
Implements
  Online IEnumerator Reset
Exceptions
Exception | Condition
Online System InvalidOperationException | The collection was modified after the enumerator was created.
See Also
SimpleList T  Enumerator U  Class
SimpleList T  Enumerator U  Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SimpleList(T).Enumerator(U) Properties

SimpleList T Enumerator U Properties s3pi library documentation
The SimpleList T Enumerator U generic type exposes the following members.
Properties
 | Name | Description
Public property | Current | Gets the element at the current position of the enumerator.
Back to Top
Explicit Interface Implementations
 | Name | Description
Explicit interface implemetation | IEnumerator Current |
Back to Top
See Also
SimpleList T Enumerator U Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SimpleList(T).Enumerator(U).IEnumerator.Current Property

SimpleList T Enumerator U IEnumerator Current Property s3pi library documentation

[Missing <summary> documentation for "P:s3pi.Interfaces.SimpleList`1.Enumerator`1.System#Collections#IEnumerator#Current"]

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
Object IEnumerator.Current { get; }
Object IEnumerator.Current { get; }
Private ReadOnly Property Current As Object
    Implements IEnumerator.Current
    Get
Private ReadOnly Property Current As Object
    Implements IEnumerator.Current
    Get
private:
virtual property Object^ Current {
    Object^ get () sealed = IEnumerator::Current::get;
}
private:
virtual property Object^ Current {
    Object^ get () sealed = IEnumerator::Current::get;
}
Property Value
Type:   Online Object
Implements
  Online IEnumerator Current
See Also
SimpleList T  Enumerator U  Class
SimpleList T  Enumerator U  Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SimpleList(T).Enumerator(U).Current Property

SimpleList T Enumerator U Current Property s3pi library documentation
Gets the element at the current position of the enumerator.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public U Current { get; }
public U Current { get; }
Public ReadOnly Property Current As U
    Get
Public ReadOnly Property Current As U
    Get
public:
virtual property U Current {
    U get () sealed;
}
public:
virtual property U Current {
    U get () sealed;
}
Property Value
Type: U
Implements
  Online IEnumerator T  Current
See Also
SimpleList T  Enumerator U  Class
SimpleList T  Enumerator U  Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SimpleList(T).ReadCountMethod Delegate

SimpleList T ReadCountMethod Delegate s3pi library documentation
Return the number of list elements to read.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public delegate int ReadCountMethod(
    Stream s
)
public delegate int ReadCountMethod(
    Stream s
)
Public Delegate Function ReadCountMethod (
    s As Stream
) As Integer
Public Delegate Function ReadCountMethod (
    s As Stream
) As Integer
public delegate int ReadCountMethod(
    Stream^ s
)
public delegate int ReadCountMethod(
    Stream^ s
)
Parameters
s
Type:   Online System.IO Stream
A   Online Stream that may contain the number of elements.
Return Value
Type:   Online Int32
The number of list elements to read.
See Also
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SimpleList(T).WriteCountMethod Delegate

SimpleList T WriteCountMethod Delegate s3pi library documentation
Store the number of elements in the list.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public delegate void WriteCountMethod(
    Stream s,
    int count
)
public delegate void WriteCountMethod(
    Stream s,
    int count
)
Public Delegate Sub WriteCountMethod (
    s As Stream,
    count As Integer
)
Public Delegate Sub WriteCountMethod (
    s As Stream,
    count As Integer
)
public delegate void WriteCountMethod(
    Stream^ s,
    int count
)
public delegate void WriteCountMethod(
    Stream^ s,
    int count
)
Parameters
s
Type:   Online System.IO Stream
A   Online Stream to which list elements will be written after the count.
count
Type:   Online System Int32
The number of list elements.
See Also
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SimpleList(T).WriteElementMethod Delegate

SimpleList T WriteElementMethod Delegate s3pi library documentation
Write an element of type T to a Online Stream.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public delegate void WriteElementMethod(
    Stream s,
    T value
)
public delegate void WriteElementMethod(
    Stream s,
    T value
)
Public Delegate Sub WriteElementMethod (
    s As Stream,
    value As T
)
Public Delegate Sub WriteElementMethod (
    s As Stream,
    value As T
)
public delegate void WriteElementMethod(
    Stream^ s,
    T value
)
public delegate void WriteElementMethod(
    Stream^ s,
    T value
)
Parameters
s
Type:   Online System.IO Stream
The   Online Stream to which to write the value.
value
Type: T
The value of type T to write.
See Also
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIBlock Class

TGIBlock Class s3pi library documentation
An implementation of AResourceKey that supports storing the Type, Group and Instance in any order.
Inheritance Hierarchy
Online System Object
s3pi.Interfaces AApiVersionedFields
s3pi.Interfaces AHandlerElement
s3pi.Interfaces AResourceKey
s3pi.Interfaces TGIBlock

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public class TGIBlock : AResourceKey, IEquatable<TGIBlock>
public class TGIBlock : AResourceKey, IEquatable<TGIBlock>
Public Class TGIBlock
    Inherits AResourceKey
    Implements IEquatable(Of TGIBlock)
Public Class TGIBlock
    Inherits AResourceKey
    Implements IEquatable(Of TGIBlock)
public ref class TGIBlock : public AResourceKey,
    IEquatable<TGIBlock^>
public ref class TGIBlock : public AResourceKey,
    IEquatable<TGIBlock^>
Remarks
An explicit implementation of   Online IEquatable T  is required by
            CountedTGIBlockList and TGIBlockList.
See Also
TGIBlock Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIBlock Members

TGIBlock Members s3pi library documentation

The TGIBlock type exposes the following members.
Constructors
 | Name | Description
Public method | TGIBlock(Int32, EventHandler) | Initialize a new TGIBlock with the default order ("TGI").
Public method | TGIBlock(Int32, EventHandler, IResourceKey) | Initialize a new TGIBlock with the default order ("TGI") and specified IResourceKey values.
Public method | TGIBlock(Int32, EventHandler, TGIBlock) | Initialize a new TGIBlock with the order and values based on basis.
Public method | TGIBlock(Int32, EventHandler, TGIBlock Order) | Initialize a new TGIBlock with the specified order.
Public method | TGIBlock(Int32, EventHandler, Stream) | Initialize a new TGIBlock with the default order ("TGI") and values read from the specified Online Stream.
Public method | TGIBlock(Int32, EventHandler, String) | Initialize a new TGIBlock with the specified order.
Public method | TGIBlock(Int32, EventHandler, TGIBlock Order, IResourceKey) | Initialize a new TGIBlock with the specified order and IResourceKey values.
Public method | TGIBlock(Int32, EventHandler, TGIBlock Order, Stream) | Initialize a new TGIBlock with the specified order and values read from the specified Online Stream.
Public method | TGIBlock(Int32, EventHandler, String, IResourceKey) | Initialize a new TGIBlock with the specified order and IResourceKey values.
Public method | TGIBlock(Int32, EventHandler, String, Stream) | Initialize a new TGIBlock with the specified order and values read from the specified Online Stream.
Public method | TGIBlock(Int32, EventHandler, UInt32, UInt32, UInt64) | Initialize a new TGIBlock with the default order ("TGI") and specified values.
Public method | TGIBlock(Int32, EventHandler, TGIBlock Order, UInt32, UInt32, UInt64) | Initialize a new TGIBlock with the specified order and values.
Public method | TGIBlock(Int32, EventHandler, String, UInt32, UInt32, UInt64) | Initialize a new TGIBlock with the specified order and values.
Back to Top
Methods
 | Name | Description
Public method | Equals | Indicates whether the current TGIBlock instance is equal to another TGIBlock instance.
Protected method | Parse | Used by the TGIBlock constructor to inialise a new TGIBlock from a Online Stream.
Public method | UnParse | Writes the TGIBlock to the specified Online Stream in known order.
Back to Top
Properties
 | Name | Description
Public property | ContentFields | The list of available field names on this API object (Overrides AApiVersionedFields ContentFields.)
Public property | RecommendedApiVersion | The best supported version of the API available (Overrides AApiVersionedFields RecommendedApiVersion.)
Public property | Value | A display-ready string representing the TGIBlock.
Back to Top
See Also
TGIBlock Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIBlock Constructor

TGIBlock Constructor s3pi library documentation
Overload List
 | Name | Description
Public method | TGIBlock(Int32, EventHandler) | Initialize a new TGIBlock with the default order ("TGI").
Public method | TGIBlock(Int32, EventHandler, IResourceKey) | Initialize a new TGIBlock with the default order ("TGI") and specified IResourceKey values.
Public method | TGIBlock(Int32, EventHandler, TGIBlock) | Initialize a new TGIBlock with the order and values based on basis.
Public method | TGIBlock(Int32, EventHandler, TGIBlock Order) | Initialize a new TGIBlock with the specified order.
Public method | TGIBlock(Int32, EventHandler, Stream) | Initialize a new TGIBlock with the default order ("TGI") and values read from the specified Online Stream.
Public method | TGIBlock(Int32, EventHandler, String) | Initialize a new TGIBlock with the specified order.
Public method | TGIBlock(Int32, EventHandler, TGIBlock Order, IResourceKey) | Initialize a new TGIBlock with the specified order and IResourceKey values.
Public method | TGIBlock(Int32, EventHandler, TGIBlock Order, Stream) | Initialize a new TGIBlock with the specified order and values read from the specified Online Stream.
Public method | TGIBlock(Int32, EventHandler, String, IResourceKey) | Initialize a new TGIBlock with the specified order and IResourceKey values.
Public method | TGIBlock(Int32, EventHandler, String, Stream) | Initialize a new TGIBlock with the specified order and values read from the specified Online Stream.
Public method | TGIBlock(Int32, EventHandler, UInt32, UInt32, UInt64) | Initialize a new TGIBlock with the default order ("TGI") and specified values.
Public method | TGIBlock(Int32, EventHandler, TGIBlock Order, UInt32, UInt32, UInt64) | Initialize a new TGIBlock with the specified order and values.
Public method | TGIBlock(Int32, EventHandler, String, UInt32, UInt32, UInt64) | Initialize a new TGIBlock with the specified order and values.
Back to Top
See Also
TGIBlock Class
TGIBlock Members
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIBlock Constructor (Int32, EventHandler)

TGIBlock Constructor (Int32, EventHandler) s3pi library documentation
Initialize a new TGIBlock with the default order ("TGI").

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public TGIBlock(
    int APIversion,
    EventHandler handler
)
public TGIBlock(
    int APIversion,
    EventHandler handler
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler
)
public:
TGIBlock(
    int APIversion,
    EventHandler^ handler
)
public:
TGIBlock(
    int APIversion,
    EventHandler^ handler
)
Parameters
APIversion
Type:   Online System Int32
The requested API version.
handler
Type:   Online System EventHandler
The   Online EventHandler delegate to invoke if the AHandlerElement changes.
See Also
TGIBlock Class
TGIBlock Members
TGIBlock Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIBlock Constructor (Int32, EventHandler, IResourceKey)

TGIBlock Constructor (Int32, EventHandler, IResourceKey) s3pi library documentation
Initialize a new TGIBlock with the default order ("TGI") and specified IResourceKey values.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public TGIBlock(
    int APIversion,
    EventHandler handler,
    IResourceKey rk
)
public TGIBlock(
    int APIversion,
    EventHandler handler,
    IResourceKey rk
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler,
    rk As IResourceKey
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler,
    rk As IResourceKey
)
public:
TGIBlock(
    int APIversion,
    EventHandler^ handler,
    IResourceKey^ rk
)
public:
TGIBlock(
    int APIversion,
    EventHandler^ handler,
    IResourceKey^ rk
)
Parameters
APIversion
Type:   Online System Int32
The requested API version.
handler
Type:   Online System EventHandler
The   Online EventHandler delegate to invoke if the AHandlerElement changes.
rk
Type: s3pi.Interfaces IResourceKey
The IResourceKey values.
See Also
TGIBlock Class
TGIBlock Members
TGIBlock Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIBlock Constructor (Int32, EventHandler, TGIBlock)

TGIBlock Constructor (Int32, EventHandler, TGIBlock) s3pi library documentation
Initialize a new TGIBlock with the order and values based on basis.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public TGIBlock(
    int APIversion,
    EventHandler handler,
    TGIBlock basis
)
public TGIBlock(
    int APIversion,
    EventHandler handler,
    TGIBlock basis
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler,
    basis As TGIBlock
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler,
    basis As TGIBlock
)
public:
TGIBlock(
    int APIversion,
    EventHandler^ handler,
    TGIBlock^ basis
)
public:
TGIBlock(
    int APIversion,
    EventHandler^ handler,
    TGIBlock^ basis
)
Parameters
APIversion
Type:   Online System Int32
The requested API version.
handler
Type:   Online System EventHandler
The   Online EventHandler delegate to invoke if the AHandlerElement changes.
basis
Type: s3pi.Interfaces TGIBlock
The TGIBlock to use for the TGIBlock Order and IResourceKey values.
See Also
TGIBlock Class
TGIBlock Members
TGIBlock Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIBlock Constructor (Int32, EventHandler, TGIBlock.Order)

TGIBlock Constructor (Int32, EventHandler, TGIBlock Order) s3pi library documentation
Initialize a new TGIBlock with the specified order.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public TGIBlock(
    int APIversion,
    EventHandler handler,
    TGIBlock..::..Order order
)
public TGIBlock(
    int APIversion,
    EventHandler handler,
    TGIBlock..::..Order order
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler,
    order As TGIBlock..::..Order
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler,
    order As TGIBlock..::..Order
)
public:
TGIBlock(
    int APIversion,
    EventHandler^ handler,
    TGIBlock..::..Order order
)
public:
TGIBlock(
    int APIversion,
    EventHandler^ handler,
    TGIBlock..::..Order order
)
Parameters
APIversion
Type:   Online System Int32
The requested API version.
handler
Type:   Online System EventHandler
The   Online EventHandler delegate to invoke if the AHandlerElement changes.
order
Type: s3pi.Interfaces TGIBlock Order
The TGIBlock Order to use to store the IResourceKey values.
See Also
TGIBlock Class
TGIBlock Members
TGIBlock Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIBlock Constructor (Int32, EventHandler, Stream)

TGIBlock Constructor (Int32, EventHandler, Stream) s3pi library documentation
Initialize a new TGIBlock with the default order ("TGI") and values read from the specified Online Stream.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public TGIBlock(
    int APIversion,
    EventHandler handler,
    Stream s
)
public TGIBlock(
    int APIversion,
    EventHandler handler,
    Stream s
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler,
    s As Stream
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler,
    s As Stream
)
public:
TGIBlock(
    int APIversion,
    EventHandler^ handler,
    Stream^ s
)
public:
TGIBlock(
    int APIversion,
    EventHandler^ handler,
    Stream^ s
)
Parameters
APIversion
Type:   Online System Int32
The requested API version.
handler
Type:   Online System EventHandler
The   Online EventHandler delegate to invoke if the AHandlerElement changes.
s
Type:   Online System.IO Stream
The   Online Stream from which to read the IResourceKey values.
See Also
TGIBlock Class
TGIBlock Members
TGIBlock Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIBlock Constructor (Int32, EventHandler, String)

TGIBlock Constructor (Int32, EventHandler, String) s3pi library documentation
Initialize a new TGIBlock with the specified order.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public TGIBlock(
    int APIversion,
    EventHandler handler,
    string order
)
public TGIBlock(
    int APIversion,
    EventHandler handler,
    string order
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler,
    order As String
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler,
    order As String
)
public:
TGIBlock(
    int APIversion,
    EventHandler^ handler,
    String^ order
)
public:
TGIBlock(
    int APIversion,
    EventHandler^ handler,
    String^ order
)
Parameters
APIversion
Type:   Online System Int32
The requested API version.
handler
Type:   Online System EventHandler
The   Online EventHandler delegate to invoke if the AHandlerElement changes.
order
Type:   Online System String
A   Online String representing the TGIBlock Order to use to store the IResourceKey values.
See Also
TGIBlock Class
TGIBlock Members
TGIBlock Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIBlock Constructor (Int32, EventHandler, TGIBlock.Order, IResourceKey)

TGIBlock Constructor (Int32, EventHandler, TGIBlock Order, IResourceKey) s3pi library documentation
Initialize a new TGIBlock with the specified order and IResourceKey values.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public TGIBlock(
    int APIversion,
    EventHandler handler,
    TGIBlock..::..Order order,
    IResourceKey rk
)
public TGIBlock(
    int APIversion,
    EventHandler handler,
    TGIBlock..::..Order order,
    IResourceKey rk
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler,
    order As TGIBlock..::..Order,
    rk As IResourceKey
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler,
    order As TGIBlock..::..Order,
    rk As IResourceKey
)
public:
TGIBlock(
    int APIversion,
    EventHandler^ handler,
    TGIBlock..::..Order order,
    IResourceKey^ rk
)
public:
TGIBlock(
    int APIversion,
    EventHandler^ handler,
    TGIBlock..::..Order order,
    IResourceKey^ rk
)
Parameters
APIversion
Type:   Online System Int32
The requested API version.
handler
Type:   Online System EventHandler
The   Online EventHandler delegate to invoke if the AHandlerElement changes.
order
Type: s3pi.Interfaces TGIBlock Order
The TGIBlock Order to use to store the IResourceKey values.
rk
Type: s3pi.Interfaces IResourceKey
The IResourceKey values.
See Also
TGIBlock Class
TGIBlock Members
TGIBlock Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIBlock Constructor (Int32, EventHandler, TGIBlock.Order, Stream)

TGIBlock Constructor (Int32, EventHandler, TGIBlock Order, Stream) s3pi library documentation
Initialize a new TGIBlock with the specified order and values read from the specified Online Stream.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public TGIBlock(
    int APIversion,
    EventHandler handler,
    TGIBlock..::..Order order,
    Stream s
)
public TGIBlock(
    int APIversion,
    EventHandler handler,
    TGIBlock..::..Order order,
    Stream s
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler,
    order As TGIBlock..::..Order,
    s As Stream
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler,
    order As TGIBlock..::..Order,
    s As Stream
)
public:
TGIBlock(
    int APIversion,
    EventHandler^ handler,
    TGIBlock..::..Order order,
    Stream^ s
)
public:
TGIBlock(
    int APIversion,
    EventHandler^ handler,
    TGIBlock..::..Order order,
    Stream^ s
)
Parameters
APIversion
Type:   Online System Int32
The requested API version.
handler
Type:   Online System EventHandler
The   Online EventHandler delegate to invoke if the AHandlerElement changes.
order
Type: s3pi.Interfaces TGIBlock Order
The TGIBlock Order of the IResourceKey values.
s
Type:   Online System.IO Stream
The   Online Stream from which to read the IResourceKey values.
See Also
TGIBlock Class
TGIBlock Members
TGIBlock Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIBlock Constructor (Int32, EventHandler, String, IResourceKey)

TGIBlock Constructor (Int32, EventHandler, String, IResourceKey) s3pi library documentation
Initialize a new TGIBlock with the specified order and IResourceKey values.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public TGIBlock(
    int APIversion,
    EventHandler handler,
    string order,
    IResourceKey rk
)
public TGIBlock(
    int APIversion,
    EventHandler handler,
    string order,
    IResourceKey rk
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler,
    order As String,
    rk As IResourceKey
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler,
    order As String,
    rk As IResourceKey
)
public:
TGIBlock(
    int APIversion,
    EventHandler^ handler,
    String^ order,
    IResourceKey^ rk
)
public:
TGIBlock(
    int APIversion,
    EventHandler^ handler,
    String^ order,
    IResourceKey^ rk
)
Parameters
APIversion
Type:   Online System Int32
The requested API version.
handler
Type:   Online System EventHandler
The   Online EventHandler delegate to invoke if the AHandlerElement changes.
order
Type:   Online System String
A   Online String representing the TGIBlock Order to use to store the IResourceKey values.
rk
Type: s3pi.Interfaces IResourceKey
The IResourceKey values.
See Also
TGIBlock Class
TGIBlock Members
TGIBlock Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIBlock Constructor (Int32, EventHandler, String, Stream)

TGIBlock Constructor (Int32, EventHandler, String, Stream) s3pi library documentation
Initialize a new TGIBlock with the specified order and values read from the specified Online Stream.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public TGIBlock(
    int APIversion,
    EventHandler handler,
    string order,
    Stream s
)
public TGIBlock(
    int APIversion,
    EventHandler handler,
    string order,
    Stream s
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler,
    order As String,
    s As Stream
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler,
    order As String,
    s As Stream
)
public:
TGIBlock(
    int APIversion,
    EventHandler^ handler,
    String^ order,
    Stream^ s
)
public:
TGIBlock(
    int APIversion,
    EventHandler^ handler,
    String^ order,
    Stream^ s
)
Parameters
APIversion
Type:   Online System Int32
The requested API version.
handler
Type:   Online System EventHandler
The   Online EventHandler delegate to invoke if the AHandlerElement changes.
order
Type:   Online System String
A   Online String representing the TGIBlock Order of the IResourceKey values.
s
Type:   Online System.IO Stream
The   Online Stream from which to read the IResourceKey values.
See Also
TGIBlock Class
TGIBlock Members
TGIBlock Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIBlock Constructor (Int32, EventHandler, UInt32, UInt32, UInt64)

TGIBlock Constructor (Int32, EventHandler, UInt32, UInt32, UInt64) s3pi library documentation
Initialize a new TGIBlock with the default order ("TGI") and specified values.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public TGIBlock(
    int APIversion,
    EventHandler handler,
    uint resourceType,
    uint resourceGroup,
    ulong instance
)
public TGIBlock(
    int APIversion,
    EventHandler handler,
    uint resourceType,
    uint resourceGroup,
    ulong instance
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler,
    resourceType As UInteger,
    resourceGroup As UInteger,
    instance As ULong
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler,
    resourceType As UInteger,
    resourceGroup As UInteger,
    instance As ULong
)
public:
TGIBlock(
    int APIversion,
    EventHandler^ handler,
    unsigned int resourceType,
    unsigned int resourceGroup,
    unsigned long long instance
)
public:
TGIBlock(
    int APIversion,
    EventHandler^ handler,
    unsigned int resourceType,
    unsigned int resourceGroup,
    unsigned long long instance
)
Parameters
APIversion
Type:   Online System Int32
The requested API version.
handler
Type:   Online System EventHandler
The   Online EventHandler delegate to invoke if the AHandlerElement changes.
resourceType
Type:   Online System UInt32
The resource type value.
resourceGroup
Type:   Online System UInt32
The resource group value.
instance
Type:   Online System UInt64
The resource instance value.
See Also
TGIBlock Class
TGIBlock Members
TGIBlock Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIBlock Constructor (Int32, EventHandler, TGIBlock.Order, UInt32, UInt32, UInt64)

TGIBlock Constructor (Int32, EventHandler, TGIBlock Order, UInt32, UInt32, UInt64) s3pi library documentation
Initialize a new TGIBlock with the specified order and values.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public TGIBlock(
    int APIversion,
    EventHandler handler,
    TGIBlock..::..Order order,
    uint resourceType,
    uint resourceGroup,
    ulong instance
)
public TGIBlock(
    int APIversion,
    EventHandler handler,
    TGIBlock..::..Order order,
    uint resourceType,
    uint resourceGroup,
    ulong instance
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler,
    order As TGIBlock..::..Order,
    resourceType As UInteger,
    resourceGroup As UInteger,
    instance As ULong
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler,
    order As TGIBlock..::..Order,
    resourceType As UInteger,
    resourceGroup As UInteger,
    instance As ULong
)
public:
TGIBlock(
    int APIversion,
    EventHandler^ handler,
    TGIBlock..::..Order order,
    unsigned int resourceType,
    unsigned int resourceGroup,
    unsigned long long instance
)
public:
TGIBlock(
    int APIversion,
    EventHandler^ handler,
    TGIBlock..::..Order order,
    unsigned int resourceType,
    unsigned int resourceGroup,
    unsigned long long instance
)
Parameters
APIversion
Type:   Online System Int32
The requested API version.
handler
Type:   Online System EventHandler
The   Online EventHandler delegate to invoke if the AHandlerElement changes.
order
Type: s3pi.Interfaces TGIBlock Order
The TGIBlock Order to use to store the IResourceKey values.
resourceType
Type:   Online System UInt32
The resource type value.
resourceGroup
Type:   Online System UInt32
The resource group value.
instance
Type:   Online System UInt64
The resource instance value.
See Also
TGIBlock Class
TGIBlock Members
TGIBlock Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIBlock Constructor (Int32, EventHandler, String, UInt32, UInt32, UInt64)

TGIBlock Constructor (Int32, EventHandler, String, UInt32, UInt32, UInt64) s3pi library documentation
Initialize a new TGIBlock with the specified order and values.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public TGIBlock(
    int APIversion,
    EventHandler handler,
    string order,
    uint resourceType,
    uint resourceGroup,
    ulong instance
)
public TGIBlock(
    int APIversion,
    EventHandler handler,
    string order,
    uint resourceType,
    uint resourceGroup,
    ulong instance
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler,
    order As String,
    resourceType As UInteger,
    resourceGroup As UInteger,
    instance As ULong
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler,
    order As String,
    resourceType As UInteger,
    resourceGroup As UInteger,
    instance As ULong
)
public:
TGIBlock(
    int APIversion,
    EventHandler^ handler,
    String^ order,
    unsigned int resourceType,
    unsigned int resourceGroup,
    unsigned long long instance
)
public:
TGIBlock(
    int APIversion,
    EventHandler^ handler,
    String^ order,
    unsigned int resourceType,
    unsigned int resourceGroup,
    unsigned long long instance
)
Parameters
APIversion
Type:   Online System Int32
The requested API version.
handler
Type:   Online System EventHandler
The   Online EventHandler delegate to invoke if the AHandlerElement changes.
order
Type:   Online System String
A   Online String representing the TGIBlock Order to use to store the IResourceKey values.
resourceType
Type:   Online System UInt32
The resource type value.
resourceGroup
Type:   Online System UInt32
The resource group value.
instance
Type:   Online System UInt64
The resource instance value.
See Also
TGIBlock Class
TGIBlock Members
TGIBlock Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIBlock Methods

TGIBlock Methods s3pi library documentation
The TGIBlock type exposes the following members.
Methods
 | Name | Description
Public method | Equals | Indicates whether the current TGIBlock instance is equal to another TGIBlock instance.
Protected method | Parse | Used by the TGIBlock constructor to inialise a new TGIBlock from a Online Stream.
Public method | UnParse | Writes the TGIBlock to the specified Online Stream in known order.
Back to Top
See Also
TGIBlock Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIBlock.Equals Method

TGIBlock Equals Method s3pi library documentation
Indicates whether the current TGIBlock instance is equal to another TGIBlock instance.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public bool Equals(
    TGIBlock other
)
public bool Equals(
    TGIBlock other
)
Public Function Equals (
    other As TGIBlock
) As Boolean
Public Function Equals (
    other As TGIBlock
) As Boolean
public:
virtual bool Equals(
    TGIBlock^ other
) sealed
public:
virtual bool Equals(
    TGIBlock^ other
) sealed
Parameters
other
Type: s3pi.Interfaces TGIBlock
An TGIBlock instance to compare with this instance.
Return Value
Type:   Online Boolean
true if the current instance is equal to the other parameter; otherwise, false.
Implements
  Online IEquatable T  Equals(T)
See Also
TGIBlock Class
TGIBlock Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIBlock.Parse Method

TGIBlock Parse Method s3pi library documentation
Used by the TGIBlock constructor to inialise a new TGIBlock from a Online Stream.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected void Parse(
    Stream s
)
protected void Parse(
    Stream s
)
Protected Sub Parse (
    s As Stream
)
Protected Sub Parse (
    s As Stream
)
protected:
void Parse(
    Stream^ s
)
protected:
void Parse(
    Stream^ s
)
Parameters
s
Type:   Online System.IO Stream
  Online Stream containing TGIBlock values in known order.
See Also
TGIBlock Class
TGIBlock Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIBlock.UnParse Method

TGIBlock UnParse Method s3pi library documentation
Writes the TGIBlock to the specified Online Stream in known order.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void UnParse(
    Stream s
)
public void UnParse(
    Stream s
)
Public Sub UnParse (
    s As Stream
)
Public Sub UnParse (
    s As Stream
)
public:
void UnParse(
    Stream^ s
)
public:
void UnParse(
    Stream^ s
)
Parameters
s
Type:   Online System.IO Stream
  Online Stream to write TGIBlock values to.
See Also
TGIBlock Class
TGIBlock Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIBlock Properties

TGIBlock Properties s3pi library documentation
The TGIBlock type exposes the following members.
Properties
 | Name | Description
Public property | ContentFields | The list of available field names on this API object (Overrides AApiVersionedFields ContentFields.)
Public property | RecommendedApiVersion | The best supported version of the API available (Overrides AApiVersionedFields RecommendedApiVersion.)
Public property | Value | A display-ready string representing the TGIBlock.
Back to Top
See Also
TGIBlock Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIBlock.ContentFields Property

TGIBlock ContentFields Property s3pi library documentation
The list of available field names on this API object

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override List<string> ContentFields { get; }
public override List<string> ContentFields { get; }
Public Overrides ReadOnly Property ContentFields As List(Of String)
    Get
Public Overrides ReadOnly Property ContentFields As List(Of String)
    Get
public:
virtual property List<String^>^ ContentFields {
    List<String^>^ get () override;
}
public:
virtual property List<String^>^ ContentFields {
    List<String^>^ get () override;
}
Property Value
Type:   Online List    Online String
Implements
IContentFields ContentFields
See Also
TGIBlock Class
TGIBlock Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIBlock.RecommendedApiVersion Property

TGIBlock RecommendedApiVersion Property s3pi library documentation
The best supported version of the API available

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override int RecommendedApiVersion { get; }
public override int RecommendedApiVersion { get; }
Public Overrides ReadOnly Property RecommendedApiVersion As Integer
    Get
Public Overrides ReadOnly Property RecommendedApiVersion As Integer
    Get
public:
virtual property int RecommendedApiVersion {
    int get () override;
}
public:
virtual property int RecommendedApiVersion {
    int get () override;
}
Property Value
Type:   Online Int32
Implements
IApiVersion RecommendedApiVersion
See Also
TGIBlock Class
TGIBlock Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIBlock.Value Property

TGIBlock Value Property s3pi library documentation
A display-ready string representing the TGIBlock.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public string Value { get; }
public string Value { get; }
Public ReadOnly Property Value As String
    Get
Public ReadOnly Property Value As String
    Get
public:
property String^ Value {
    String^ get ();
}
public:
property String^ Value {
    String^ get ();
}
Property Value
Type:   Online String
See Also
TGIBlock Class
TGIBlock Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIBlock.Order Enumeration

TGIBlock Order Enumeration s3pi library documentation
Options for the order of the Type, Group and Instance elements of a TGIBlock

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public enum Order
public enum Order
Public Enumeration Order
Public Enumeration Order
public enum class Order
public enum class Order
Members
Member name | Value | Description
TGI | 0 | Type, Group, Instance
TIG | 1 | Type, Instance, Group
GTI | 2 | Group, Type, Instance
GIT | 3 | Group, Instance, Type
ITG | 4 | Instance, Type, Group
IGT | 5 | Instance, Group, Type
See Also
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIBlockList Class

TGIBlockList Class s3pi library documentation
A TGIBlock list class where the count and size of the list are stored separately (but managed by this class)
Inheritance Hierarchy
Online System Object
Online System.Collections.Generic List TGIBlock
System.Collections.Generic AHandlerList TGIBlock
s3pi.Interfaces DependentList TGIBlock
s3pi.Interfaces TGIBlockList

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public class TGIBlockList : DependentList<TGIBlock>
public class TGIBlockList : DependentList<TGIBlock>
Public Class TGIBlockList
    Inherits DependentList(Of TGIBlock)
Public Class TGIBlockList
    Inherits DependentList(Of TGIBlock)
public ref class TGIBlockList : public DependentList<TGIBlock^>
public ref class TGIBlockList : public DependentList<TGIBlock^>
See Also
TGIBlockList Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIBlockList Members

TGIBlockList Members s3pi library documentation

The TGIBlockList type exposes the following members.
Constructors
 | Name | Description
Public method | TGIBlockList(EventHandler, Boolean, Boolean) | Initializes a new instance of the TGIBlockList class that is empty.
Public method | TGIBlockList(EventHandler, IEnumerable TGIBlock , Boolean, Boolean) | Initializes a new instance of the TGIBlockList class filled with the content of ilt.
Public method | TGIBlockList(EventHandler, Stream, Int64, Int64, Boolean, Boolean) | Initializes a new instance of the TGIBlockList class filled with elements from Online Stream s.
Back to Top
Methods
 | Name | Description
Protected method | CreateElement | Create a new element from the Online Stream. (Overrides DependentList T CreateElement(Stream).)
Protected method | Parse | Read list entries from a stream
Public method | UnParse | Write list entries to a stream
Protected method | WriteElement | Write an element to the stream. (Overrides DependentList T WriteElement(Stream, T).)
Back to Top
See Also
TGIBlockList Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIBlockList Constructor

TGIBlockList Constructor s3pi library documentation
Overload List
 | Name | Description
Public method | TGIBlockList(EventHandler, Boolean, Boolean) | Initializes a new instance of the TGIBlockList class that is empty.
Public method | TGIBlockList(EventHandler, IEnumerable TGIBlock , Boolean, Boolean) | Initializes a new instance of the TGIBlockList class filled with the content of ilt.
Public method | TGIBlockList(EventHandler, Stream, Int64, Int64, Boolean, Boolean) | Initializes a new instance of the TGIBlockList class filled with elements from Online Stream s.
Back to Top
See Also
TGIBlockList Class
TGIBlockList Members
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIBlockList Constructor (EventHandler, Boolean, Boolean)

TGIBlockList Constructor (EventHandler, Boolean, Boolean) s3pi library documentation
Initializes a new instance of the TGIBlockList class that is empty.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public TGIBlockList(
    EventHandler handler,
    [OptionalAttribute] bool addEight,
    [OptionalAttribute] bool ignoreTgiSize
)
public TGIBlockList(
    EventHandler handler,
    [OptionalAttribute] bool addEight,
    [OptionalAttribute] bool ignoreTgiSize
)
Public Sub New (
    handler As EventHandler,
    <OptionalAttribute> addEight As Boolean,
    <OptionalAttribute> ignoreTgiSize As Boolean
)
Public Sub New (
    handler As EventHandler,
    <OptionalAttribute> addEight As Boolean,
    <OptionalAttribute> ignoreTgiSize As Boolean
)
public:
TGIBlockList(
    EventHandler^ handler,
    [OptionalAttribute] bool addEight,
    [OptionalAttribute] bool ignoreTgiSize
)
public:
TGIBlockList(
    EventHandler^ handler,
    [OptionalAttribute] bool addEight,
    [OptionalAttribute] bool ignoreTgiSize
)
Parameters
handler
Type:   Online System EventHandler
The   Online EventHandler to call on changes to the list or its elements.
addEight (Optional)
Type:   Online System Boolean
When true, invoke fudge factor in parse/unparse
ignoreTgiSize (Optional)
Type:   Online System Boolean
When true, the size of TGIBlockList will be ignored (only the entry count will be used).
See Also
TGIBlockList Class
TGIBlockList Members
TGIBlockList Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIBlockList Constructor (EventHandler, IEnumerable(TGIBlock), Boolean, Boolean)

TGIBlockList Constructor (EventHandler, IEnumerable TGIBlock , Boolean, Boolean) s3pi library documentation
Initializes a new instance of the TGIBlockList class filled with the content of ilt.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public TGIBlockList(
    EventHandler handler,
    IEnumerable<TGIBlock> ilt,
    [OptionalAttribute] bool addEight,
    [OptionalAttribute] bool ignoreTgiSize
)
public TGIBlockList(
    EventHandler handler,
    IEnumerable<TGIBlock> ilt,
    [OptionalAttribute] bool addEight,
    [OptionalAttribute] bool ignoreTgiSize
)
Public Sub New (
    handler As EventHandler,
    ilt As IEnumerable(Of TGIBlock),
    <OptionalAttribute> addEight As Boolean,
    <OptionalAttribute> ignoreTgiSize As Boolean
)
Public Sub New (
    handler As EventHandler,
    ilt As IEnumerable(Of TGIBlock),
    <OptionalAttribute> addEight As Boolean,
    <OptionalAttribute> ignoreTgiSize As Boolean
)
public:
TGIBlockList(
    EventHandler^ handler,
    IEnumerable<TGIBlock^>^ ilt,
    [OptionalAttribute] bool addEight,
    [OptionalAttribute] bool ignoreTgiSize
)
public:
TGIBlockList(
    EventHandler^ handler,
    IEnumerable<TGIBlock^>^ ilt,
    [OptionalAttribute] bool addEight,
    [OptionalAttribute] bool ignoreTgiSize
)
Parameters
handler
Type:   Online System EventHandler
The   Online EventHandler to call on changes to the list or its elements.
ilt
Type:   Online System.Collections.Generic IEnumerable  TGIBlock
The   Online IEnumerable T  to use as the initial content of the list.
addEight (Optional)
Type:   Online System Boolean
When true, invoke fudge factor in parse/unparse
ignoreTgiSize (Optional)
Type:   Online System Boolean
When true, the size of TGIBlockList will be ignored (only the entry count will be used).
See Also
TGIBlockList Class
TGIBlockList Members
TGIBlockList Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIBlockList Constructor (EventHandler, Stream, Int64, Int64, Boolean, Boolean)

TGIBlockList Constructor (EventHandler, Stream, Int64, Int64, Boolean, Boolean) s3pi library documentation
Initializes a new instance of the TGIBlockList class filled with elements from Online Stream s.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public TGIBlockList(
    EventHandler handler,
    Stream s,
    long tgiPosn,
    long tgiSize,
    [OptionalAttribute] bool addEight,
    [OptionalAttribute] bool ignoreTgiSize
)
public TGIBlockList(
    EventHandler handler,
    Stream s,
    long tgiPosn,
    long tgiSize,
    [OptionalAttribute] bool addEight,
    [OptionalAttribute] bool ignoreTgiSize
)
Public Sub New (
    handler As EventHandler,
    s As Stream,
    tgiPosn As Long,
    tgiSize As Long,
    <OptionalAttribute> addEight As Boolean,
    <OptionalAttribute> ignoreTgiSize As Boolean
)
Public Sub New (
    handler As EventHandler,
    s As Stream,
    tgiPosn As Long,
    tgiSize As Long,
    <OptionalAttribute> addEight As Boolean,
    <OptionalAttribute> ignoreTgiSize As Boolean
)
public:
TGIBlockList(
    EventHandler^ handler,
    Stream^ s,
    long long tgiPosn,
    long long tgiSize,
    [OptionalAttribute] bool addEight,
    [OptionalAttribute] bool ignoreTgiSize
)
public:
TGIBlockList(
    EventHandler^ handler,
    Stream^ s,
    long long tgiPosn,
    long long tgiSize,
    [OptionalAttribute] bool addEight,
    [OptionalAttribute] bool ignoreTgiSize
)
Parameters
handler
Type:   Online System EventHandler
The   Online EventHandler to call on changes to the list or its elements.
s
Type:   Online System.IO Stream
The   Online Stream to read for the initial content of the list.
tgiPosn
Type:   Online System Int64
Position in the   Online Stream where the list of TGIBlocks starts.
tgiSize
Type:   Online System Int64
Size (in bytes) of the stored list.
addEight (Optional)
Type:   Online System Boolean
When true, invoke fudge factor in parse/unparse
ignoreTgiSize (Optional)
Type:   Online System Boolean
When true, the size of TGIBlockList will be ignored (only the entry count will be used).
See Also
TGIBlockList Class
TGIBlockList Members
TGIBlockList Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIBlockList Methods

TGIBlockList Methods s3pi library documentation
The TGIBlockList type exposes the following members.
Methods
 | Name | Description
Protected method | CreateElement | Create a new element from the Online Stream. (Overrides DependentList T CreateElement(Stream).)
Protected method | Parse | Read list entries from a stream
Public method | UnParse | Write list entries to a stream
Protected method | WriteElement | Write an element to the stream. (Overrides DependentList T WriteElement(Stream, T).)
Back to Top
See Also
TGIBlockList Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIBlockList.CreateElement Method

TGIBlockList CreateElement Method s3pi library documentation
Create a new element from the Online Stream.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected override TGIBlock CreateElement(
    Stream s
)
protected override TGIBlock CreateElement(
    Stream s
)
Protected Overrides Function CreateElement (
    s As Stream
) As TGIBlock
Protected Overrides Function CreateElement (
    s As Stream
) As TGIBlock
protected:
virtual TGIBlock^ CreateElement(
    Stream^ s
) override
protected:
virtual TGIBlock^ CreateElement(
    Stream^ s
) override
Parameters
s
Type:   Online System.IO Stream
Stream containing element data.
Return Value
Type: TGIBlock
A new element.
See Also
TGIBlockList Class
TGIBlockList Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIBlockList.Parse Method

TGIBlockList Parse Method s3pi library documentation
Read list entries from a stream

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected void Parse(
    Stream s,
    long tgiPosn,
    long tgiSize
)
protected void Parse(
    Stream s,
    long tgiPosn,
    long tgiSize
)
Protected Sub Parse (
    s As Stream,
    tgiPosn As Long,
    tgiSize As Long
)
Protected Sub Parse (
    s As Stream,
    tgiPosn As Long,
    tgiSize As Long
)
protected:
void Parse(
    Stream^ s,
    long long tgiPosn,
    long long tgiSize
)
protected:
void Parse(
    Stream^ s,
    long long tgiPosn,
    long long tgiSize
)
Parameters
s
Type:   Online System.IO Stream
Stream containing list entries
tgiPosn
Type:   Online System Int64
Position in the   Online Stream where the list of TGIBlocks starts.
tgiSize
Type:   Online System Int64
Size (in bytes) of the stored list.
See Also
TGIBlockList Class
TGIBlockList Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIBlockList.UnParse Method

TGIBlockList UnParse Method s3pi library documentation
Write list entries to a stream

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void UnParse(
    Stream s,
    long ptgiO
)
public void UnParse(
    Stream s,
    long ptgiO
)
Public Sub UnParse (
    s As Stream,
    ptgiO As Long
)
Public Sub UnParse (
    s As Stream,
    ptgiO As Long
)
public:
void UnParse(
    Stream^ s,
    long long ptgiO
)
public:
void UnParse(
    Stream^ s,
    long long ptgiO
)
Parameters
s
Type:   Online System.IO Stream
Stream to receive list entries
ptgiO
Type:   Online System Int64
Position in   Online Stream to write list position and size values.
See Also
TGIBlockList Class
TGIBlockList Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIBlockList.WriteElement Method

TGIBlockList WriteElement Method s3pi library documentation
Write an element to the stream.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected override void WriteElement(
    Stream s,
    TGIBlock element
)
protected override void WriteElement(
    Stream s,
    TGIBlock element
)
Protected Overrides Sub WriteElement (
    s As Stream,
    element As TGIBlock
)
Protected Overrides Sub WriteElement (
    s As Stream,
    element As TGIBlock
)
protected:
virtual void WriteElement(
    Stream^ s,
    TGIBlock^ element
) override
protected:
virtual void WriteElement(
    Stream^ s,
    TGIBlock^ element
) override
Parameters
s
Type:   Online System.IO Stream
  Online Stream to write element to.
element
Type: s3pi.Interfaces TGIBlock
Value to write to   Online Stream s.
See Also
TGIBlockList Class
TGIBlockList Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIBlockListContentFieldAttribute Class

TGIBlockListContentFieldAttribute Class s3pi library documentation
Indicates that the element should be expandable rather than requiring a popup
Inheritance Hierarchy
Online System Object
Online System Attribute
s3pi.Interfaces TGIBlockListContentFieldAttribute

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[AttributeUsageAttribute(AttributeTargets.Property, AllowMultiple = false,
    Inherited = false)]
public class TGIBlockListContentFieldAttribute : Attribute
[AttributeUsageAttribute(AttributeTargets.Property, AllowMultiple = false,
    Inherited = false)]
public class TGIBlockListContentFieldAttribute : Attribute
<AttributeUsageAttribute(AttributeTargets.Property, AllowMultiple := false,
    Inherited := false)>
Public Class TGIBlockListContentFieldAttribute
    Inherits Attribute
<AttributeUsageAttribute(AttributeTargets.Property, AllowMultiple := false,
    Inherited := false)>
Public Class TGIBlockListContentFieldAttribute
    Inherits Attribute
[AttributeUsageAttribute(AttributeTargets::Property, AllowMultiple = false,
    Inherited = false)]
public ref class TGIBlockListContentFieldAttribute : public Attribute
[AttributeUsageAttribute(AttributeTargets::Property, AllowMultiple = false,
    Inherited = false)]
public ref class TGIBlockListContentFieldAttribute : public Attribute
See Also
TGIBlockListContentFieldAttribute Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIBlockListContentFieldAttribute Members

TGIBlockListContentFieldAttribute Members s3pi library documentation

The TGIBlockListContentFieldAttribute type exposes the following members.
Constructors
 | Name | Description
Public method | TGIBlockListContentFieldAttribute | Attaches a TGIBlockList to an Index ContentField.
Back to Top
Methods
Name | Description
GetTGIBlockListContentField | Return the TGIBlockListContentField value for a Content Field.
Back to Top
Properties
 | Name | Description
Public property | TGIBlockListContentField | The TGIBlockList to which this ContentField Property applies.
Back to Top
See Also
TGIBlockListContentFieldAttribute Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIBlockListContentFieldAttribute Constructor

TGIBlockListContentFieldAttribute Constructor s3pi library documentation
Attaches a TGIBlockList to an Index ContentField.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public TGIBlockListContentFieldAttribute(
    string value
)
public TGIBlockListContentFieldAttribute(
    string value
)
Public Sub New (
    value As String
)
Public Sub New (
    value As String
)
public:
TGIBlockListContentFieldAttribute(
    String^ value
)
public:
TGIBlockListContentFieldAttribute(
    String^ value
)
Parameters
value
Type:   Online System String
The TGIBlockList to which this ContentField Property applies.
See Also
TGIBlockListContentFieldAttribute Class
TGIBlockListContentFieldAttribute Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIBlockListContentFieldAttribute Methods

TGIBlockListContentFieldAttribute Methods s3pi library documentation
The TGIBlockListContentFieldAttribute type exposes the following members.
Methods
Name | Description
GetTGIBlockListContentField | Return the TGIBlockListContentField value for a Content Field.
Back to Top
See Also
TGIBlockListContentFieldAttribute Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIBlockListContentFieldAttribute.GetTGIBlockListContentField Method

TGIBlockListContentFieldAttribute GetTGIBlockListContentField Method s3pi library documentation
Return the TGIBlockListContentField value for a Content Field.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static string GetTGIBlockListContentField(
    Type t,
    string index
)
public static string GetTGIBlockListContentField(
    Type t,
    string index
)
Public Shared Function GetTGIBlockListContentField (
    t As Type,
    index As String
) As String
Public Shared Function GetTGIBlockListContentField (
    t As Type,
    index As String
) As String
public:
static String^ GetTGIBlockListContentField(
    Type^ t,
    String^ index
)
public:
static String^ GetTGIBlockListContentField(
    Type^ t,
    String^ index
)
Parameters
t
Type:   Online System Type
Type on which Content Field exists.
index
Type:   Online System String
Content Field name.
Return Value
Type:   Online String
The value of the TGIBlockListContentFieldAttribute TGIBlockListContentField field, if found;
            otherwise null.
See Also
TGIBlockListContentFieldAttribute Class
TGIBlockListContentFieldAttribute Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIBlockListContentFieldAttribute Properties

TGIBlockListContentFieldAttribute Properties s3pi library documentation
The TGIBlockListContentFieldAttribute type exposes the following members.
Properties
 | Name | Description
Public property | TGIBlockListContentField | The TGIBlockList to which this ContentField Property applies.
Back to Top
See Also
TGIBlockListContentFieldAttribute Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIBlockListContentFieldAttribute.TGIBlockListContentField Property

TGIBlockListContentFieldAttribute TGIBlockListContentField Property s3pi library documentation
The TGIBlockList to which this ContentField Property applies.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public string TGIBlockListContentField { get; set; }
public string TGIBlockListContentField { get; set; }
Public Property TGIBlockListContentField As String
    Get
    Set
Public Property TGIBlockListContentField As String
    Get
    Set
public:
property String^ TGIBlockListContentField {
    String^ get ();
    void set (String^ value);
}
public:
property String^ TGIBlockListContentField {
    String^ get ();
    void set (String^ value);
}
Property Value
Type:   Online String
See Also
TGIBlockListContentFieldAttribute Class
TGIBlockListContentFieldAttribute Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIBlockListIndex(T) Class

TGIBlockListIndex T Class s3pi library documentation
An extension to AHandlerElement, for lists of TGIBlockList indices.
Inheritance Hierarchy
Online System Object
s3pi.Interfaces AApiVersionedFields
s3pi.Interfaces AHandlerElement
s3pi.Interfaces TGIBlockListIndex T

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public class TGIBlockListIndex<T> : AHandlerElement,
    IEquatable<TGIBlockListIndex<T>>
where T : struct, new(), IComparable, IConvertible, IEquatable<T>, IComparable<T>
public class TGIBlockListIndex<T> : AHandlerElement,
    IEquatable<TGIBlockListIndex<T>>
where T : struct, new(), IComparable, IConvertible, IEquatable<T>, IComparable<T>
Public Class TGIBlockListIndex(Of T As {Structure, New, IComparable, IConvertible, IEquatable(Of T), IComparable(Of T)})
    Inherits AHandlerElement
    Implements IEquatable(Of TGIBlockListIndex(Of T))
Public Class TGIBlockListIndex(Of T As {Structure, New, IComparable, IConvertible, IEquatable(Of T), IComparable(Of T)})
    Inherits AHandlerElement
    Implements IEquatable(Of TGIBlockListIndex(Of T))
generic<typename T>
where T : value class, gcnew(), IComparable, IConvertible, IEquatable<T>, IComparable<T>
public ref class TGIBlockListIndex : public AHandlerElement,
    IEquatable<TGIBlockListIndex<T>^>
generic<typename T>
where T : value class, gcnew(), IComparable, IConvertible, IEquatable<T>, IComparable<T>
public ref class TGIBlockListIndex : public AHandlerElement,
    IEquatable<TGIBlockListIndex<T>^>
Type Parameters
T
A simple data type (such as   Online Int32).
Remarks
For an example of use, see IndexList T .
See Also
TGIBlockListIndex T  Members
s3pi.Interfaces Namespace
s3pi.Interfaces IndexList T
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIBlockListIndex(T) Members

TGIBlockListIndex T Members s3pi library documentation

The TGIBlockListIndex T type exposes the following members.
Constructors
 | Name | Description
Public method | TGIBlockListIndex T (Int32, EventHandler, DependentList TGIBlock ) | Initialize a new instance with a default value.
Public method | TGIBlockListIndex T (Int32, EventHandler, TGIBlockListIndex T , DependentList TGIBlock ) | Initialize a new instance with an initial value from basis.
Public method | TGIBlockListIndex T (Int32, EventHandler, T, DependentList TGIBlock ) | Initialize a new instance with an initial value of value.
Back to Top
Methods
 | Name | Description
Public method | Equals(Object) | Determines whether the specified Online Object is equal to the current HandlerElement T . (Overrides Online Object Equals(Object).)
Public method | Equals(TGIBlockListIndex T ) | Indicates whether the current object is equal to another object of the same type.
Public method | GetHashCode | Returns the hash code for this instance. (Overrides Online Object GetHashCode .)
Back to Top
Operators
Name | Description
(TGIBlockListIndex T to T) | Implicit cast from HandlerElement T to T.
Back to Top
Properties
 | Name | Description
Public property | ContentFields | The list of available field names on this API object. (Overrides AApiVersionedFields ContentFields.)
Public property | Data | The value of the object.
Public property | ParentTGIBlocks | Reference to list into which this is an index.
Public property | RecommendedApiVersion | The best supported version of the API available (Overrides AApiVersionedFields RecommendedApiVersion.)
Public property | Value | Displayable value
Back to Top
See Also
TGIBlockListIndex T Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIBlockListIndex(T) Constructor

TGIBlockListIndex T Constructor s3pi library documentation
Overload List
 | Name | Description
Public method | TGIBlockListIndex T (Int32, EventHandler, DependentList TGIBlock ) | Initialize a new instance with a default value.
Public method | TGIBlockListIndex T (Int32, EventHandler, TGIBlockListIndex T , DependentList TGIBlock ) | Initialize a new instance with an initial value from basis.
Public method | TGIBlockListIndex T (Int32, EventHandler, T, DependentList TGIBlock ) | Initialize a new instance with an initial value of value.
Back to Top
See Also
TGIBlockListIndex T Class
TGIBlockListIndex T Members
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIBlockListIndex(T) Constructor (Int32, EventHandler, DependentList(TGIBlock))

TGIBlockListIndex T Constructor (Int32, EventHandler, DependentList TGIBlock ) s3pi library documentation
Initialize a new instance with a default value.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public TGIBlockListIndex(
    int APIversion,
    EventHandler handler,
    DependentList<TGIBlock> ParentTGIBlocks = null
)
public TGIBlockListIndex(
    int APIversion,
    EventHandler handler,
    DependentList<TGIBlock> ParentTGIBlocks = null
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler,
    Optional ParentTGIBlocks As DependentList(Of TGIBlock) = Nothing
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler,
    Optional ParentTGIBlocks As DependentList(Of TGIBlock) = Nothing
)
public:
TGIBlockListIndex(
    int APIversion,
    EventHandler^ handler,
    DependentList<TGIBlock^>^ ParentTGIBlocks = nullptr
)
public:
TGIBlockListIndex(
    int APIversion,
    EventHandler^ handler,
    DependentList<TGIBlock^>^ ParentTGIBlocks = nullptr
)
Parameters
APIversion
Type:   Online System Int32
The requested API version.
handler
Type:   Online System EventHandler
The   Online EventHandler delegate to invoke if the AHandlerElement changes.
ParentTGIBlocks (Optional)
Type: s3pi.Interfaces DependentList  TGIBlock
Reference to list into which this is an index.
See Also
TGIBlockListIndex T  Class
TGIBlockListIndex T  Members
TGIBlockListIndex T  Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIBlockListIndex(T) Constructor (Int32, EventHandler, TGIBlockListIndex(T), DependentList(TGIBlock))

TGIBlockListIndex T Constructor (Int32, EventHandler, TGIBlockListIndex T , DependentList TGIBlock ) s3pi library documentation
Initialize a new instance with an initial value from basis.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public TGIBlockListIndex(
    int APIversion,
    EventHandler handler,
    TGIBlockListIndex<T> basis,
    DependentList<TGIBlock> ParentTGIBlocks = null
)
public TGIBlockListIndex(
    int APIversion,
    EventHandler handler,
    TGIBlockListIndex<T> basis,
    DependentList<TGIBlock> ParentTGIBlocks = null
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler,
    basis As TGIBlockListIndex(Of T),
    Optional ParentTGIBlocks As DependentList(Of TGIBlock) = Nothing
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler,
    basis As TGIBlockListIndex(Of T),
    Optional ParentTGIBlocks As DependentList(Of TGIBlock) = Nothing
)
public:
TGIBlockListIndex(
    int APIversion,
    EventHandler^ handler,
    TGIBlockListIndex<T>^ basis,
    DependentList<TGIBlock^>^ ParentTGIBlocks = nullptr
)
public:
TGIBlockListIndex(
    int APIversion,
    EventHandler^ handler,
    TGIBlockListIndex<T>^ basis,
    DependentList<TGIBlock^>^ ParentTGIBlocks = nullptr
)
Parameters
APIversion
Type:   Online System Int32
The requested API version.
handler
Type:   Online System EventHandler
The   Online EventHandler delegate to invoke if the AHandlerElement changes.
basis
Type: s3pi.Interfaces TGIBlockListIndex  T
Element containing the initial value for instance.
ParentTGIBlocks (Optional)
Type: s3pi.Interfaces DependentList  TGIBlock
Reference to list into which this is an index, or null to use that in basis.
See Also
TGIBlockListIndex T  Class
TGIBlockListIndex T  Members
TGIBlockListIndex T  Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIBlockListIndex(T) Constructor (Int32, EventHandler, T, DependentList(TGIBlock))

TGIBlockListIndex T Constructor (Int32, EventHandler, T, DependentList TGIBlock ) s3pi library documentation
Initialize a new instance with an initial value of value.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public TGIBlockListIndex(
    int APIversion,
    EventHandler handler,
    T value,
    DependentList<TGIBlock> ParentTGIBlocks = null
)
public TGIBlockListIndex(
    int APIversion,
    EventHandler handler,
    T value,
    DependentList<TGIBlock> ParentTGIBlocks = null
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler,
    value As T,
    Optional ParentTGIBlocks As DependentList(Of TGIBlock) = Nothing
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler,
    value As T,
    Optional ParentTGIBlocks As DependentList(Of TGIBlock) = Nothing
)
public:
TGIBlockListIndex(
    int APIversion,
    EventHandler^ handler,
    T value,
    DependentList<TGIBlock^>^ ParentTGIBlocks = nullptr
)
public:
TGIBlockListIndex(
    int APIversion,
    EventHandler^ handler,
    T value,
    DependentList<TGIBlock^>^ ParentTGIBlocks = nullptr
)
Parameters
APIversion
Type:   Online System Int32
The requested API version.
handler
Type:   Online System EventHandler
The   Online EventHandler delegate to invoke if the AHandlerElement changes.
value
Type: T
Initial value for instance.
ParentTGIBlocks (Optional)
Type: s3pi.Interfaces DependentList  TGIBlock
Reference to list into which this is an index.
See Also
TGIBlockListIndex T  Class
TGIBlockListIndex T  Members
TGIBlockListIndex T  Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIBlockListIndex(T) Methods

TGIBlockListIndex T Methods s3pi library documentation
The TGIBlockListIndex T type exposes the following members.
Methods
 | Name | Description
Public method | Equals(Object) | Determines whether the specified Online Object is equal to the current HandlerElement T . (Overrides Online Object Equals(Object).)
Public method | Equals(TGIBlockListIndex T ) | Indicates whether the current object is equal to another object of the same type.
Public method | GetHashCode | Returns the hash code for this instance. (Overrides Online Object GetHashCode .)
Back to Top
See Also
TGIBlockListIndex T Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIBlockListIndex(T).Equals Method

TGIBlockListIndex T Equals Method s3pi library documentation
Overload List
 | Name | Description
Public method | Equals(Object) | Determines whether the specified Online Object is equal to the current HandlerElement T . (Overrides Online Object Equals(Object).)
Public method | Equals(TGIBlockListIndex T ) | Indicates whether the current object is equal to another object of the same type.
Back to Top
See Also
TGIBlockListIndex T Class
TGIBlockListIndex T Members
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIBlockListIndex(T).Equals Method (Object)

TGIBlockListIndex T Equals Method (Object) s3pi library documentation
Determines whether the specified Online Object is equal to the current HandlerElement T .

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override bool Equals(
    Object obj
)
public override bool Equals(
    Object obj
)
Public Overrides Function Equals (
    obj As Object
) As Boolean
Public Overrides Function Equals (
    obj As Object
) As Boolean
public:
virtual bool Equals(
    Object^ obj
) override
public:
virtual bool Equals(
    Object^ obj
) override
Parameters
obj
Type:   Online System Object
The   Online Object to compare with the current HandlerElement T .
Return Value
Type:   Online Boolean
true if the specified   Online Object is equal to the current HandlerElement T ; otherwise, false.
Exceptions
Exception | Condition
Online System NullReferenceException | The obj parameter is null.
See Also
TGIBlockListIndex T  Class
TGIBlockListIndex T  Members
Equals Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIBlockListIndex(T).Equals Method (TGIBlockListIndex(T))

TGIBlockListIndex T Equals Method (TGIBlockListIndex T ) s3pi library documentation
Indicates whether the current object is equal to another object of the same type.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public bool Equals(
    TGIBlockListIndex<T> other
)
public bool Equals(
    TGIBlockListIndex<T> other
)
Public Function Equals (
    other As TGIBlockListIndex(Of T)
) As Boolean
Public Function Equals (
    other As TGIBlockListIndex(Of T)
) As Boolean
public:
virtual bool Equals(
    TGIBlockListIndex<T>^ other
) sealed
public:
virtual bool Equals(
    TGIBlockListIndex<T>^ other
) sealed
Parameters
other
Type: s3pi.Interfaces TGIBlockListIndex  T
An object to compare with this object.
Return Value
Type:   Online Boolean
true if the current object is equal to the other parameter; otherwise, false.
Implements
  Online IEquatable T  Equals(T)
See Also
TGIBlockListIndex T  Class
TGIBlockListIndex T  Members
Equals Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIBlockListIndex(T).GetHashCode Method

TGIBlockListIndex T GetHashCode Method s3pi library documentation
Returns the hash code for this instance.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override int GetHashCode()
public override int GetHashCode()
Public Overrides Function GetHashCode As Integer
Public Overrides Function GetHashCode As Integer
public:
virtual int GetHashCode() override
public:
virtual int GetHashCode() override
Return Value
Type:   Online Int32
A 32-bit signed integer that is the hash code for this instance.
See Also
TGIBlockListIndex T  Class
TGIBlockListIndex T  Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIBlockListIndex(T) Type Conversions

TGIBlockListIndex T Type Conversions s3pi library documentation
The TGIBlockListIndex T type exposes the following members.
Operators
Name | Description
(TGIBlockListIndex T to T) | Implicit cast from HandlerElement T to T.
Back to Top
See Also
TGIBlockListIndex T Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIBlockListIndex(T) Implicit Conversion (TGIBlockListIndex(T) to T)

TGIBlockListIndex T Conversion (TGIBlockListIndex T to T) s3pi library documentation
Implicit cast from HandlerElement T to T.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static implicit operator T (
    TGIBlockListIndex<T> value
)
public static implicit operator T (
    TGIBlockListIndex<T> value
)
Public Shared Widening Operator CType (
    value As TGIBlockListIndex(Of T)
) As T
Public Shared Widening Operator CType (
    value As TGIBlockListIndex(Of T)
) As T
static implicit operator T (
    TGIBlockListIndex<T>^ value
)
static implicit operator T (
    TGIBlockListIndex<T>^ value
)
Parameters
value
Type: s3pi.Interfaces TGIBlockListIndex  T
Value to cast.
Return Value
Type: T
Cast value.
See Also
TGIBlockListIndex T  Class
TGIBlockListIndex T  Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIBlockListIndex(T) Properties

TGIBlockListIndex T Properties s3pi library documentation
The TGIBlockListIndex T type exposes the following members.
Properties
 | Name | Description
Public property | ContentFields | The list of available field names on this API object. (Overrides AApiVersionedFields ContentFields.)
Public property | Data | The value of the object.
Public property | ParentTGIBlocks | Reference to list into which this is an index.
Public property | RecommendedApiVersion | The best supported version of the API available (Overrides AApiVersionedFields RecommendedApiVersion.)
Public property | Value | Displayable value
Back to Top
See Also
TGIBlockListIndex T Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIBlockListIndex(T).ContentFields Property

TGIBlockListIndex T ContentFields Property s3pi library documentation
The list of available field names on this API object.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override List<string> ContentFields { get; }
public override List<string> ContentFields { get; }
Public Overrides ReadOnly Property ContentFields As List(Of String)
    Get
Public Overrides ReadOnly Property ContentFields As List(Of String)
    Get
public:
virtual property List<String^>^ ContentFields {
    List<String^>^ get () override;
}
public:
virtual property List<String^>^ ContentFields {
    List<String^>^ get () override;
}
Property Value
Type:   Online List    Online String
Implements
IContentFields ContentFields
See Also
TGIBlockListIndex T  Class
TGIBlockListIndex T  Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIBlockListIndex(T).Data Property

TGIBlockListIndex T Data Property s3pi library documentation
The value of the object.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[TGIBlockListContentFieldAttribute("ParentTGIBlocks")]
public T Data { get; set; }
[TGIBlockListContentFieldAttribute("ParentTGIBlocks")]
public T Data { get; set; }
<TGIBlockListContentFieldAttribute("ParentTGIBlocks")>
Public Property Data As T
    Get
    Set
<TGIBlockListContentFieldAttribute("ParentTGIBlocks")>
Public Property Data As T
    Get
    Set
public:
[TGIBlockListContentFieldAttribute(L"ParentTGIBlocks")]
property T Data {
    T get ();
    void set (T value);
}
public:
[TGIBlockListContentFieldAttribute(L"ParentTGIBlocks")]
property T Data {
    T get ();
    void set (T value);
}
Property Value
Type: T
See Also
TGIBlockListIndex T  Class
TGIBlockListIndex T  Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIBlockListIndex(T).ParentTGIBlocks Property

TGIBlockListIndex T ParentTGIBlocks Property s3pi library documentation
Reference to list into which this is an index.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public DependentList<TGIBlock> ParentTGIBlocks { get; set; }
public DependentList<TGIBlock> ParentTGIBlocks { get; set; }
Public Property ParentTGIBlocks As DependentList(Of TGIBlock)
    Get
    Set
Public Property ParentTGIBlocks As DependentList(Of TGIBlock)
    Get
    Set
public:
property DependentList<TGIBlock^>^ ParentTGIBlocks {
    DependentList<TGIBlock^>^ get ();
    void set (DependentList<TGIBlock^>^ value);
}
public:
property DependentList<TGIBlock^>^ ParentTGIBlocks {
    DependentList<TGIBlock^>^ get ();
    void set (DependentList<TGIBlock^>^ value);
}
Property Value
Type: DependentList  TGIBlock
See Also
TGIBlockListIndex T  Class
TGIBlockListIndex T  Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIBlockListIndex(T).RecommendedApiVersion Property

TGIBlockListIndex T RecommendedApiVersion Property s3pi library documentation
The best supported version of the API available

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override int RecommendedApiVersion { get; }
public override int RecommendedApiVersion { get; }
Public Overrides ReadOnly Property RecommendedApiVersion As Integer
    Get
Public Overrides ReadOnly Property RecommendedApiVersion As Integer
    Get
public:
virtual property int RecommendedApiVersion {
    int get () override;
}
public:
virtual property int RecommendedApiVersion {
    int get () override;
}
Property Value
Type:   Online Int32
Implements
IApiVersion RecommendedApiVersion
See Also
TGIBlockListIndex T  Class
TGIBlockListIndex T  Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIBlockListIndex(T).Value Property

TGIBlockListIndex T Value Property s3pi library documentation
Displayable value

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public string Value { get; }
public string Value { get; }
Public ReadOnly Property Value As String
    Get
Public ReadOnly Property Value As String
    Get
public:
property String^ Value {
    String^ get ();
}
public:
property String^ Value {
    String^ get ();
}
Property Value
Type:   Online String
See Also
TGIBlockListIndex T  Class
TGIBlockListIndex T  Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TypedValue Class

TypedValue Class s3pi library documentation
A tuple associating a data type (or class) with a value object (of the given type)
Inheritance Hierarchy
Online System Object
s3pi.Interfaces TypedValue

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[SerializableAttribute]
public class TypedValue : IComparable<TypedValue>,
    IEqualityComparer<TypedValue>, IEquatable<TypedValue>, IConvertible,
    ICloneable, ISerializable
[SerializableAttribute]
public class TypedValue : IComparable<TypedValue>,
    IEqualityComparer<TypedValue>, IEquatable<TypedValue>, IConvertible,
    ICloneable, ISerializable
<SerializableAttribute>
Public Class TypedValue
    Implements IComparable(Of TypedValue), IEqualityComparer(Of TypedValue),
    IEquatable(Of TypedValue), IConvertible, ICloneable, ISerializable
<SerializableAttribute>
Public Class TypedValue
    Implements IComparable(Of TypedValue), IEqualityComparer(Of TypedValue),
    IEquatable(Of TypedValue), IConvertible, ICloneable, ISerializable
[SerializableAttribute]
public ref class TypedValue : IComparable<TypedValue^>,
    IEqualityComparer<TypedValue^>, IEquatable<TypedValue^>, IConvertible,
    ICloneable, ISerializable
[SerializableAttribute]
public ref class TypedValue : IComparable<TypedValue^>,
    IEqualityComparer<TypedValue^>, IEquatable<TypedValue^>, IConvertible,
    ICloneable, ISerializable
See Also
TypedValue Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TypedValue Members

TypedValue Members s3pi library documentation

The TypedValue type exposes the following members.
Constructors
 | Name | Description
Public method | TypedValue(Type, Object) | Create a new TypedValue
Public method | TypedValue(Type, Object, String) | Create a new TypedValue
Back to Top
Methods
 | Name | Description
Public method | Clone | Creates a new object that is a copy of the current instance.
Public method | CompareTo | Compare this TypedValue to another for sort order purposes
Public method | Equals(Object) | Determines whether the specified Online Object is equal to the current TypedValue. (Overrides Online Object Equals(Object).)
Public method | Equals(TypedValue) | Indicates whether the current TypedValue instance is equal to another TypedValue instance.
Public method | Equals(TypedValue, TypedValue) | Determines whether the specified TypedValue instances are equal.
Public method | GetHashCode | Returns the hash code for this instance. (Overrides Online Object GetHashCode .)
Public method | GetHashCode(TypedValue) | Returns a hash code for the specified TypedValue.
Public method | GetObjectData | Populates a Online SerializationInfo with the data needed to serialize the target object.
Public method | GetTypeCode | Returns the Online TypeCode for this instance.
Public method | ToBoolean | Converts the value of this instance to an equivalent Online Boolean value (ignoring the specified culture-specific formatting information).
Public method | ToByte | Converts the value of this instance to an equivalent Online Byte value (ignoring the specified culture-specific formatting information).
Public method | ToChar | Converts the value of this instance to an equivalent Online Char value (ignoring the specified culture-specific formatting information).
Public method | ToDateTime | Converts the value of this instance to an equivalent Online DateTime value (ignoring the specified culture-specific formatting information).
Public method | ToDecimal | Converts the value of this instance to an equivalent Online Decimal value (ignoring the specified culture-specific formatting information).
Public method | ToDouble | Converts the value of this instance to an equivalent Online Double value (ignoring the specified culture-specific formatting information).
Public method | ToInt16 | Converts the value of this instance to an equivalent Online Int16 value (ignoring the specified culture-specific formatting information).
Public method | ToInt32 | Converts the value of this instance to an equivalent Online Int32 value (ignoring the specified culture-specific formatting information).
Public method | ToInt64 | Converts the value of this instance to an equivalent Online Int64 value (ignoring the specified culture-specific formatting information).
Public method | ToSByte | Converts the value of this instance to an equivalent Online SByte value (ignoring the specified culture-specific formatting information).
Public method | ToSingle | Converts the value of this instance to an equivalent Online Single value (ignoring the specified culture-specific formatting information).
Public method | ToString | Return the Value as a string using the default format (Overrides Online Object ToString .)
Public method | ToString(IFormatProvider) | Converts the value of this instance to an equivalent Online String value (ignoring the specified culture-specific formatting information).
Public method | ToString(String) | Return the Value as a string using the given format
Public method | ToType | Converts the value of this instance to an Online Object of the specified Type that has an equivalent value, using the specified culture-specific formatting information.
Public method | ToUInt16 | Converts the value of this instance to an equivalent Online UInt16 value (ignoring the specified culture-specific formatting information).
Public method | ToUInt32 | Converts the value of this instance to an equivalent Online UInt32 value (ignoring the specified culture-specific formatting information).
Public method | ToUInt64 | Converts the value of this instance to an equivalent Online UInt64 value (ignoring the specified culture-specific formatting information).
Back to Top
Operators
Name | Description
(TypedValue to String) | Return a string representing the TypedValue tv.
Back to Top
Fields
 | Name | Description
Public field | Type | The data type
Public field | Value | The value
Back to Top
See Also
TypedValue Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TypedValue Constructor

TypedValue Constructor s3pi library documentation
Overload List
 | Name | Description
Public method | TypedValue(Type, Object) | Create a new TypedValue
Public method | TypedValue(Type, Object, String) | Create a new TypedValue
Back to Top
See Also
TypedValue Class
TypedValue Members
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TypedValue Constructor (Type, Object)

TypedValue Constructor (Type, Object) s3pi library documentation
Create a new TypedValue

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public TypedValue(
    Type t,
    Object v
)
public TypedValue(
    Type t,
    Object v
)
Public Sub New (
    t As Type,
    v As Object
)
Public Sub New (
    t As Type,
    v As Object
)
public:
TypedValue(
    Type^ t,
    Object^ v
)
public:
TypedValue(
    Type^ t,
    Object^ v
)
Parameters
t
Type:   Online System Type
The data type
v
Type:   Online System Object
The value
See Also
TypedValue Class
TypedValue Members
TypedValue Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TypedValue Constructor (Type, Object, String)

TypedValue Constructor (Type, Object, String) s3pi library documentation
Create a new TypedValue

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public TypedValue(
    Type t,
    Object v,
    string f
)
public TypedValue(
    Type t,
    Object v,
    string f
)
Public Sub New (
    t As Type,
    v As Object,
    f As String
)
Public Sub New (
    t As Type,
    v As Object,
    f As String
)
public:
TypedValue(
    Type^ t,
    Object^ v,
    String^ f
)
public:
TypedValue(
    Type^ t,
    Object^ v,
    String^ f
)
Parameters
t
Type:   Online System Type
The data type
v
Type:   Online System Object
The value
f
Type:   Online System String
The default format for ToString
See Also
TypedValue Class
TypedValue Members
TypedValue Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TypedValue Fields

TypedValue Fields s3pi library documentation
The TypedValue type exposes the following members.
Fields
 | Name | Description
Public field | Type | The data type
Public field | Value | The value
Back to Top
See Also
TypedValue Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TypedValue.Type Field

TypedValue Type Field s3pi library documentation
The data type

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public readonly Type Type
public readonly Type Type
Public ReadOnly Type As Type
Public ReadOnly Type As Type
public:
initonly Type^ Type
public:
initonly Type^ Type
Field Value
Type:   Online Type
See Also
TypedValue Class
TypedValue Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TypedValue.Value Field

TypedValue Value Field s3pi library documentation
The value

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public readonly Object Value
public readonly Object Value
Public ReadOnly Value As Object
Public ReadOnly Value As Object
public:
initonly Object^ Value
public:
initonly Object^ Value
Field Value
Type:   Online Object
See Also
TypedValue Class
TypedValue Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TypedValue Methods

TypedValue Methods s3pi library documentation
The TypedValue type exposes the following members.
Methods
 | Name | Description
Public method | Clone | Creates a new object that is a copy of the current instance.
Public method | CompareTo | Compare this TypedValue to another for sort order purposes
Public method | Equals(Object) | Determines whether the specified Online Object is equal to the current TypedValue. (Overrides Online Object Equals(Object).)
Public method | Equals(TypedValue) | Indicates whether the current TypedValue instance is equal to another TypedValue instance.
Public method | Equals(TypedValue, TypedValue) | Determines whether the specified TypedValue instances are equal.
Public method | GetHashCode | Returns the hash code for this instance. (Overrides Online Object GetHashCode .)
Public method | GetHashCode(TypedValue) | Returns a hash code for the specified TypedValue.
Public method | GetObjectData | Populates a Online SerializationInfo with the data needed to serialize the target object.
Public method | GetTypeCode | Returns the Online TypeCode for this instance.
Public method | ToBoolean | Converts the value of this instance to an equivalent Online Boolean value (ignoring the specified culture-specific formatting information).
Public method | ToByte | Converts the value of this instance to an equivalent Online Byte value (ignoring the specified culture-specific formatting information).
Public method | ToChar | Converts the value of this instance to an equivalent Online Char value (ignoring the specified culture-specific formatting information).
Public method | ToDateTime | Converts the value of this instance to an equivalent Online DateTime value (ignoring the specified culture-specific formatting information).
Public method | ToDecimal | Converts the value of this instance to an equivalent Online Decimal value (ignoring the specified culture-specific formatting information).
Public method | ToDouble | Converts the value of this instance to an equivalent Online Double value (ignoring the specified culture-specific formatting information).
Public method | ToInt16 | Converts the value of this instance to an equivalent Online Int16 value (ignoring the specified culture-specific formatting information).
Public method | ToInt32 | Converts the value of this instance to an equivalent Online Int32 value (ignoring the specified culture-specific formatting information).
Public method | ToInt64 | Converts the value of this instance to an equivalent Online Int64 value (ignoring the specified culture-specific formatting information).
Public method | ToSByte | Converts the value of this instance to an equivalent Online SByte value (ignoring the specified culture-specific formatting information).
Public method | ToSingle | Converts the value of this instance to an equivalent Online Single value (ignoring the specified culture-specific formatting information).
Public method | ToString | Return the Value as a string using the default format (Overrides Online Object ToString .)
Public method | ToString(IFormatProvider) | Converts the value of this instance to an equivalent Online String value (ignoring the specified culture-specific formatting information).
Public method | ToString(String) | Return the Value as a string using the given format
Public method | ToType | Converts the value of this instance to an Online Object of the specified Type that has an equivalent value, using the specified culture-specific formatting information.
Public method | ToUInt16 | Converts the value of this instance to an equivalent Online UInt16 value (ignoring the specified culture-specific formatting information).
Public method | ToUInt32 | Converts the value of this instance to an equivalent Online UInt32 value (ignoring the specified culture-specific formatting information).
Public method | ToUInt64 | Converts the value of this instance to an equivalent Online UInt64 value (ignoring the specified culture-specific formatting information).
Back to Top
See Also
TypedValue Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TypedValue.Clone Method

TypedValue Clone Method s3pi library documentation
Creates a new object that is a copy of the current instance.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public Object Clone()
public Object Clone()
Public Function Clone As Object
Public Function Clone As Object
public:
virtual Object^ Clone() sealed
public:
virtual Object^ Clone() sealed
Return Value
Type:   Online Object
A new object that is a copy of this instance.
Implements
  Online ICloneable Clone
Exceptions
Exception | Condition
Online System NotImplementedException | Thrown if the value cannot be cloned.
See Also
TypedValue Class
TypedValue Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TypedValue.CompareTo Method

TypedValue CompareTo Method s3pi library documentation
Compare this TypedValue to another for sort order purposes

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public int CompareTo(
    TypedValue other
)
public int CompareTo(
    TypedValue other
)
Public Function CompareTo (
    other As TypedValue
) As Integer
Public Function CompareTo (
    other As TypedValue
) As Integer
public:
virtual int CompareTo(
    TypedValue^ other
) sealed
public:
virtual int CompareTo(
    TypedValue^ other
) sealed
Parameters
other
Type: s3pi.Interfaces TypedValue
Target TypedValue
Return Value
Type:   Online Int32
A 32-bit signed integer that indicates the relative order of the objects being compared.  The return value has these meanings:

Value | Meaning
Less than zero | This instance is less than other.
Zero | This instance is equal to other.
Greater than zero | This instance is greater than other.
Implements
  Online IComparable T  CompareTo(T)
Exceptions
Exception | Condition
Online System NotImplementedException | Either this object's Type or the target's is not comparable
Online System ArgumentException | The target is not comparable with this object
See Also
TypedValue Class
TypedValue Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TypedValue.Equals Method

TypedValue Equals Method s3pi library documentation
Overload List
 | Name | Description
Public method | Equals(Object) | Determines whether the specified Online Object is equal to the current TypedValue. (Overrides Online Object Equals(Object).)
Public method | Equals(TypedValue) | Indicates whether the current TypedValue instance is equal to another TypedValue instance.
Public method | Equals(TypedValue, TypedValue) | Determines whether the specified TypedValue instances are equal.
Back to Top
See Also
TypedValue Class
TypedValue Members
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TypedValue.Equals Method (Object)

TypedValue Equals Method (Object) s3pi library documentation
Determines whether the specified Online Object is equal to the current TypedValue.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override bool Equals(
    Object obj
)
public override bool Equals(
    Object obj
)
Public Overrides Function Equals (
    obj As Object
) As Boolean
Public Overrides Function Equals (
    obj As Object
) As Boolean
public:
virtual bool Equals(
    Object^ obj
) override
public:
virtual bool Equals(
    Object^ obj
) override
Parameters
obj
Type:   Online System Object
The   Online Object to compare with the current TypedValue.
Return Value
Type:   Online Boolean
true if the specified   Online Object is equal to the current TypedValue; otherwise, false.
See Also
TypedValue Class
TypedValue Members
Equals Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TypedValue.Equals Method (TypedValue)

TypedValue Equals Method (TypedValue) s3pi library documentation
Indicates whether the current TypedValue instance is equal to another TypedValue instance.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public bool Equals(
    TypedValue other
)
public bool Equals(
    TypedValue other
)
Public Function Equals (
    other As TypedValue
) As Boolean
Public Function Equals (
    other As TypedValue
) As Boolean
public:
virtual bool Equals(
    TypedValue^ other
) sealed
public:
virtual bool Equals(
    TypedValue^ other
) sealed
Parameters
other
Type: s3pi.Interfaces TypedValue
An TypedValue instance to compare with this instance.
Return Value
Type:   Online Boolean
true if the current instance is equal to the other parameter; otherwise, false.
Implements
  Online IEquatable T  Equals(T)
See Also
TypedValue Class
TypedValue Members
Equals Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TypedValue.Equals Method (TypedValue, TypedValue)

TypedValue Equals Method (TypedValue, TypedValue) s3pi library documentation
Determines whether the specified TypedValue instances are equal.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public bool Equals(
    TypedValue x,
    TypedValue y
)
public bool Equals(
    TypedValue x,
    TypedValue y
)
Public Function Equals (
    x As TypedValue,
    y As TypedValue
) As Boolean
Public Function Equals (
    x As TypedValue,
    y As TypedValue
) As Boolean
public:
virtual bool Equals(
    TypedValue^ x,
    TypedValue^ y
) sealed
public:
virtual bool Equals(
    TypedValue^ x,
    TypedValue^ y
) sealed
Parameters
x
Type: s3pi.Interfaces TypedValue
The first TypedValue to compare.
y
Type: s3pi.Interfaces TypedValue
The second TypedValue to compare.
Return Value
Type:   Online Boolean
true if the specified TypedValue instances are equal; otherwise, false.
Implements
  Online IEqualityComparer T  Equals(T, T)
See Also
TypedValue Class
TypedValue Members
Equals Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TypedValue.GetHashCode Method

TypedValue GetHashCode Method s3pi library documentation
Overload List
 | Name | Description
Public method | GetHashCode | Returns the hash code for this instance. (Overrides Online Object GetHashCode .)
Public method | GetHashCode(TypedValue) | Returns a hash code for the specified TypedValue.
Back to Top
See Also
TypedValue Class
TypedValue Members
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TypedValue.GetHashCode Method

TypedValue GetHashCode Method s3pi library documentation
Returns the hash code for this instance.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override int GetHashCode()
public override int GetHashCode()
Public Overrides Function GetHashCode As Integer
Public Overrides Function GetHashCode As Integer
public:
virtual int GetHashCode() override
public:
virtual int GetHashCode() override
Return Value
Type:   Online Int32
A 32-bit signed integer that is the hash code for this instance.
See Also
TypedValue Class
TypedValue Members
GetHashCode Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TypedValue.GetHashCode Method (TypedValue)

TypedValue GetHashCode Method (TypedValue) s3pi library documentation
Returns a hash code for the specified TypedValue.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public int GetHashCode(
    TypedValue obj
)
public int GetHashCode(
    TypedValue obj
)
Public Function GetHashCode (
    obj As TypedValue
) As Integer
Public Function GetHashCode (
    obj As TypedValue
) As Integer
public:
virtual int GetHashCode(
    TypedValue^ obj
) sealed
public:
virtual int GetHashCode(
    TypedValue^ obj
) sealed
Parameters
obj
Type: s3pi.Interfaces TypedValue
The TypedValue for which a hash code is to be returned.
Return Value
Type:   Online Int32
A hash code for the specified object.
Implements
  Online IEqualityComparer T  GetHashCode(T)
Exceptions
Exception | Condition
Online System ArgumentNullException | The type of obj is a reference type and obj is null.
See Also
TypedValue Class
TypedValue Members
GetHashCode Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TypedValue.GetObjectData Method

TypedValue GetObjectData Method s3pi library documentation
Populates a Online SerializationInfo with the data needed to serialize the target object.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void GetObjectData(
    SerializationInfo info,
    StreamingContext context
)
public void GetObjectData(
    SerializationInfo info,
    StreamingContext context
)
Public Sub GetObjectData (
    info As SerializationInfo,
    context As StreamingContext
)
Public Sub GetObjectData (
    info As SerializationInfo,
    context As StreamingContext
)
public:
virtual void GetObjectData(
    SerializationInfo^ info,
    StreamingContext context
) sealed
public:
virtual void GetObjectData(
    SerializationInfo^ info,
    StreamingContext context
) sealed
Parameters
info
Type:   Online System.Runtime.Serialization SerializationInfo
The System.Runtime.Serialization.SerializationInfo to populate with data.
context
Type:   Online System.Runtime.Serialization StreamingContext
The destination (see System.Runtime.Serialization.StreamingContext) for this serialization.
Implements
  Online ISerializable GetObjectData(SerializationInfo, StreamingContext)
Exceptions
Exception | Condition
Online System.Security SecurityException | The caller does not have the required permission.
See Also
TypedValue Class
TypedValue Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TypedValue.GetTypeCode Method

TypedValue GetTypeCode Method s3pi library documentation
Returns the Online TypeCode for this instance.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public TypeCode GetTypeCode()
public TypeCode GetTypeCode()
Public Function GetTypeCode As TypeCode
Public Function GetTypeCode As TypeCode
public:
virtual TypeCode GetTypeCode() sealed
public:
virtual TypeCode GetTypeCode() sealed
Return Value
Type:   Online TypeCode
The enumerated constant that is the   Online TypeCode of the TypedValue class.
Implements
  Online IConvertible GetTypeCode
See Also
TypedValue Class
TypedValue Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TypedValue.ToBoolean Method

TypedValue ToBoolean Method s3pi library documentation
Converts the value of this instance to an equivalent Online Boolean value (ignoring the specified culture-specific formatting information).

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public bool ToBoolean(
    IFormatProvider provider
)
public bool ToBoolean(
    IFormatProvider provider
)
Public Function ToBoolean (
    provider As IFormatProvider
) As Boolean
Public Function ToBoolean (
    provider As IFormatProvider
) As Boolean
public:
virtual bool ToBoolean(
    IFormatProvider^ provider
) sealed
public:
virtual bool ToBoolean(
    IFormatProvider^ provider
) sealed
Parameters
provider
Type:   Online System IFormatProvider
(unused, may be null) An   Online IFormatProvider interface implementation
            that supplies culture-specific formatting information.
Return Value
Type:   Online Boolean
A   Online Boolean value equivalent to the value of this instance.
Implements
  Online IConvertible ToBoolean(IFormatProvider)
Exceptions
Exception | Condition
Online System NotImplementedException | Thrown if the TypedValue value cannot be assigned to a Online Boolean.
See Also
TypedValue Class
TypedValue Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TypedValue.ToByte Method

TypedValue ToByte Method s3pi library documentation
Converts the value of this instance to an equivalent Online Byte value (ignoring the specified culture-specific formatting information).

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public byte ToByte(
    IFormatProvider provider
)
public byte ToByte(
    IFormatProvider provider
)
Public Function ToByte (
    provider As IFormatProvider
) As Byte
Public Function ToByte (
    provider As IFormatProvider
) As Byte
public:
virtual unsigned char ToByte(
    IFormatProvider^ provider
) sealed
public:
virtual unsigned char ToByte(
    IFormatProvider^ provider
) sealed
Parameters
provider
Type:   Online System IFormatProvider
(unused, may be null) An   Online IFormatProvider interface implementation
            that supplies culture-specific formatting information.
Return Value
Type:   Online Byte
A   Online Byte value equivalent to the value of this instance.
Implements
  Online IConvertible ToByte(IFormatProvider)
Exceptions
Exception | Condition
Online System NotImplementedException | Thrown if the TypedValue value cannot be assigned to a Online Byte.
See Also
TypedValue Class
TypedValue Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TypedValue.ToChar Method

TypedValue ToChar Method s3pi library documentation
Converts the value of this instance to an equivalent Online Char value (ignoring the specified culture-specific formatting information).

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public char ToChar(
    IFormatProvider provider
)
public char ToChar(
    IFormatProvider provider
)
Public Function ToChar (
    provider As IFormatProvider
) As Char
Public Function ToChar (
    provider As IFormatProvider
) As Char
public:
virtual wchar_t ToChar(
    IFormatProvider^ provider
) sealed
public:
virtual wchar_t ToChar(
    IFormatProvider^ provider
) sealed
Parameters
provider
Type:   Online System IFormatProvider
(unused, may be null) An   Online IFormatProvider interface implementation
            that supplies culture-specific formatting information.
Return Value
Type:   Online Char
A   Online Char value equivalent to the value of this instance.
Implements
  Online IConvertible ToChar(IFormatProvider)
Exceptions
Exception | Condition
Online System NotImplementedException | Thrown if the TypedValue value cannot be assigned to a Online Char.
See Also
TypedValue Class
TypedValue Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TypedValue.ToDateTime Method

TypedValue ToDateTime Method s3pi library documentation
Converts the value of this instance to an equivalent Online DateTime value (ignoring the specified culture-specific formatting information).

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public DateTime ToDateTime(
    IFormatProvider provider
)
public DateTime ToDateTime(
    IFormatProvider provider
)
Public Function ToDateTime (
    provider As IFormatProvider
) As DateTime
Public Function ToDateTime (
    provider As IFormatProvider
) As DateTime
public:
virtual DateTime ToDateTime(
    IFormatProvider^ provider
) sealed
public:
virtual DateTime ToDateTime(
    IFormatProvider^ provider
) sealed
Parameters
provider
Type:   Online System IFormatProvider
(unused, may be null) An   Online IFormatProvider interface implementation
            that supplies culture-specific formatting information.
Return Value
Type:   Online DateTime
A   Online DateTime value equivalent to the value of this instance.
Implements
  Online IConvertible ToDateTime(IFormatProvider)
Exceptions
Exception | Condition
Online System NotImplementedException | Thrown if the TypedValue value cannot be assigned to a Online DateTime.
See Also
TypedValue Class
TypedValue Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TypedValue.ToDecimal Method

TypedValue ToDecimal Method s3pi library documentation
Converts the value of this instance to an equivalent Online Decimal value (ignoring the specified culture-specific formatting information).

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public decimal ToDecimal(
    IFormatProvider provider
)
public decimal ToDecimal(
    IFormatProvider provider
)
Public Function ToDecimal (
    provider As IFormatProvider
) As Decimal
Public Function ToDecimal (
    provider As IFormatProvider
) As Decimal
public:
virtual Decimal ToDecimal(
    IFormatProvider^ provider
) sealed
public:
virtual Decimal ToDecimal(
    IFormatProvider^ provider
) sealed
Parameters
provider
Type:   Online System IFormatProvider
(unused, may be null) An   Online IFormatProvider interface implementation
            that supplies culture-specific formatting information.
Return Value
Type:   Online Decimal
A   Online Decimal value equivalent to the value of this instance.
Implements
  Online IConvertible ToDecimal(IFormatProvider)
Exceptions
Exception | Condition
Online System NotImplementedException | Thrown if the TypedValue value cannot be assigned to a Online Decimal.
See Also
TypedValue Class
TypedValue Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TypedValue.ToDouble Method

TypedValue ToDouble Method s3pi library documentation
Converts the value of this instance to an equivalent Online Double value (ignoring the specified culture-specific formatting information).

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public double ToDouble(
    IFormatProvider provider
)
public double ToDouble(
    IFormatProvider provider
)
Public Function ToDouble (
    provider As IFormatProvider
) As Double
Public Function ToDouble (
    provider As IFormatProvider
) As Double
public:
virtual double ToDouble(
    IFormatProvider^ provider
) sealed
public:
virtual double ToDouble(
    IFormatProvider^ provider
) sealed
Parameters
provider
Type:   Online System IFormatProvider
(unused, may be null) An   Online IFormatProvider interface implementation
            that supplies culture-specific formatting information.
Return Value
Type:   Online Double
A   Online Double value equivalent to the value of this instance.
Implements
  Online IConvertible ToDouble(IFormatProvider)
Exceptions
Exception | Condition
Online System NotImplementedException | Thrown if the TypedValue value cannot be assigned to a Online Double.
See Also
TypedValue Class
TypedValue Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TypedValue.ToInt16 Method

TypedValue ToInt16 Method s3pi library documentation
Converts the value of this instance to an equivalent Online Int16 value (ignoring the specified culture-specific formatting information).

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public short ToInt16(
    IFormatProvider provider
)
public short ToInt16(
    IFormatProvider provider
)
Public Function ToInt16 (
    provider As IFormatProvider
) As Short
Public Function ToInt16 (
    provider As IFormatProvider
) As Short
public:
virtual short ToInt16(
    IFormatProvider^ provider
) sealed
public:
virtual short ToInt16(
    IFormatProvider^ provider
) sealed
Parameters
provider
Type:   Online System IFormatProvider
(unused, may be null) An   Online IFormatProvider interface implementation
            that supplies culture-specific formatting information.
Return Value
Type:   Online Int16
A   Online Int16 value equivalent to the value of this instance.
Implements
  Online IConvertible ToInt16(IFormatProvider)
Exceptions
Exception | Condition
Online System NotImplementedException | Thrown if the TypedValue value cannot be assigned to a Online Int16.
See Also
TypedValue Class
TypedValue Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TypedValue.ToInt32 Method

TypedValue ToInt32 Method s3pi library documentation
Converts the value of this instance to an equivalent Online Int32 value (ignoring the specified culture-specific formatting information).

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public int ToInt32(
    IFormatProvider provider
)
public int ToInt32(
    IFormatProvider provider
)
Public Function ToInt32 (
    provider As IFormatProvider
) As Integer
Public Function ToInt32 (
    provider As IFormatProvider
) As Integer
public:
virtual int ToInt32(
    IFormatProvider^ provider
) sealed
public:
virtual int ToInt32(
    IFormatProvider^ provider
) sealed
Parameters
provider
Type:   Online System IFormatProvider
(unused, may be null) An   Online IFormatProvider interface implementation
            that supplies culture-specific formatting information.
Return Value
Type:   Online Int32
A   Online Int32 value equivalent to the value of this instance.
Implements
  Online IConvertible ToInt32(IFormatProvider)
Exceptions
Exception | Condition
Online System NotImplementedException | Thrown if the TypedValue value cannot be assigned to a Online Int32.
See Also
TypedValue Class
TypedValue Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TypedValue.ToInt64 Method

TypedValue ToInt64 Method s3pi library documentation
Converts the value of this instance to an equivalent Online Int64 value (ignoring the specified culture-specific formatting information).

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public long ToInt64(
    IFormatProvider provider
)
public long ToInt64(
    IFormatProvider provider
)
Public Function ToInt64 (
    provider As IFormatProvider
) As Long
Public Function ToInt64 (
    provider As IFormatProvider
) As Long
public:
virtual long long ToInt64(
    IFormatProvider^ provider
) sealed
public:
virtual long long ToInt64(
    IFormatProvider^ provider
) sealed
Parameters
provider
Type:   Online System IFormatProvider
(unused, may be null) An   Online IFormatProvider interface implementation
            that supplies culture-specific formatting information.
Return Value
Type:   Online Int64
A   Online Int64 value equivalent to the value of this instance.
Implements
  Online IConvertible ToInt64(IFormatProvider)
Exceptions
Exception | Condition
Online System NotImplementedException | Thrown if the TypedValue value cannot be assigned to a Online Int64.
See Also
TypedValue Class
TypedValue Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TypedValue.ToSByte Method

TypedValue ToSByte Method s3pi library documentation
Converts the value of this instance to an equivalent Online SByte value (ignoring the specified culture-specific formatting information).

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public sbyte ToSByte(
    IFormatProvider provider
)
public sbyte ToSByte(
    IFormatProvider provider
)
Public Function ToSByte (
    provider As IFormatProvider
) As SByte
Public Function ToSByte (
    provider As IFormatProvider
) As SByte
public:
virtual signed char ToSByte(
    IFormatProvider^ provider
) sealed
public:
virtual signed char ToSByte(
    IFormatProvider^ provider
) sealed
Parameters
provider
Type:   Online System IFormatProvider
(unused, may be null) An   Online IFormatProvider interface implementation
            that supplies culture-specific formatting information.
Return Value
Type:   Online SByte
A   Online SByte value equivalent to the value of this instance.
Implements
  Online IConvertible ToSByte(IFormatProvider)
Exceptions
Exception | Condition
Online System NotImplementedException | Thrown if the TypedValue value cannot be assigned to a Online SByte.
See Also
TypedValue Class
TypedValue Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TypedValue.ToSingle Method

TypedValue ToSingle Method s3pi library documentation
Converts the value of this instance to an equivalent Online Single value (ignoring the specified culture-specific formatting information).

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public float ToSingle(
    IFormatProvider provider
)
public float ToSingle(
    IFormatProvider provider
)
Public Function ToSingle (
    provider As IFormatProvider
) As Single
Public Function ToSingle (
    provider As IFormatProvider
) As Single
public:
virtual float ToSingle(
    IFormatProvider^ provider
) sealed
public:
virtual float ToSingle(
    IFormatProvider^ provider
) sealed
Parameters
provider
Type:   Online System IFormatProvider
(unused, may be null) An   Online IFormatProvider interface implementation
            that supplies culture-specific formatting information.
Return Value
Type:   Online Single
A   Online Single value equivalent to the value of this instance.
Implements
  Online IConvertible ToSingle(IFormatProvider)
Exceptions
Exception | Condition
Online System NotImplementedException | Thrown if the TypedValue value cannot be assigned to a Online Single.
See Also
TypedValue Class
TypedValue Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TypedValue.ToString Method

TypedValue ToString Method s3pi library documentation
Overload List
 | Name | Description
Public method | ToString | Return the Value as a string using the default format (Overrides Online Object ToString .)
Public method | ToString(IFormatProvider) | Converts the value of this instance to an equivalent Online String value (ignoring the specified culture-specific formatting information).
Public method | ToString(String) | Return the Value as a string using the given format
Back to Top
See Also
TypedValue Class
TypedValue Members
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TypedValue.ToString Method

TypedValue ToString Method s3pi library documentation
Return the Value as a string using the default format

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override string ToString()
public override string ToString()
Public Overrides Function ToString As String
Public Overrides Function ToString As String
public:
virtual String^ ToString() override
public:
virtual String^ ToString() override
Return Value
Type:   Online String
String representation of Value in default format
See Also
TypedValue Class
TypedValue Members
ToString Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TypedValue.ToString Method (IFormatProvider)

TypedValue ToString Method (IFormatProvider) s3pi library documentation
Converts the value of this instance to an equivalent Online String value (ignoring the specified culture-specific formatting information).

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public string ToString(
    IFormatProvider provider
)
public string ToString(
    IFormatProvider provider
)
Public Function ToString (
    provider As IFormatProvider
) As String
Public Function ToString (
    provider As IFormatProvider
) As String
public:
virtual String^ ToString(
    IFormatProvider^ provider
) sealed
public:
virtual String^ ToString(
    IFormatProvider^ provider
) sealed
Parameters
provider
Type:   Online System IFormatProvider
(unused, may be null) An   Online IFormatProvider interface implementation
            that supplies culture-specific formatting information.
Return Value
Type:   Online String
A   Online String value equivalent to the value of this instance.
Implements
  Online IConvertible ToString(IFormatProvider)
Exceptions
Exception | Condition
Online System NotImplementedException | Thrown if the TypedValue value cannot be assigned to a Online String.
See Also
TypedValue Class
TypedValue Members
ToString Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TypedValue.ToString Method (String)

TypedValue ToString Method (String) s3pi library documentation
Return the Value as a string using the given format

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public string ToString(
    string format
)
public string ToString(
    string format
)
Public Function ToString (
    format As String
) As String
Public Function ToString (
    format As String
) As String
public:
String^ ToString(
    String^ format
)
public:
String^ ToString(
    String^ format
)
Parameters
format
Type:   Online System String
Format to use for result
Return Value
Type:   Online String
String representation of Value in given format
See Also
TypedValue Class
TypedValue Members
ToString Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TypedValue.ToType Method

TypedValue ToType Method s3pi library documentation
Converts the value of this instance to an Online Object of the specified Type that has an equivalent value, using the specified culture-specific formatting information.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public Object ToType(
    Type conversionType,
    IFormatProvider provider
)
public Object ToType(
    Type conversionType,
    IFormatProvider provider
)
Public Function ToType (
    conversionType As Type,
    provider As IFormatProvider
) As Object
Public Function ToType (
    conversionType As Type,
    provider As IFormatProvider
) As Object
public:
virtual Object^ ToType(
    Type^ conversionType,
    IFormatProvider^ provider
) sealed
public:
virtual Object^ ToType(
    Type^ conversionType,
    IFormatProvider^ provider
) sealed
Parameters
conversionType
Type:   Online System Type
The Type to which the value of this instance is converted.
provider
Type:   Online System IFormatProvider
An   Online IFormatProvider interface implementation that supplies culture-specific formatting information.
Return Value
Type:   Online Object
An   Online Object instance of type conversionType whose value is equivalent to the value of this instance.
Implements
  Online IConvertible ToType(Type, IFormatProvider)
Exceptions
Exception | Condition
Online System NotImplementedException | Thrown if the TypedValue value cannot be assigned to a conversionType object.
See Also
TypedValue Class
TypedValue Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TypedValue.ToUInt16 Method

TypedValue ToUInt16 Method s3pi library documentation
Converts the value of this instance to an equivalent Online UInt16 value (ignoring the specified culture-specific formatting information).

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public ushort ToUInt16(
    IFormatProvider provider
)
public ushort ToUInt16(
    IFormatProvider provider
)
Public Function ToUInt16 (
    provider As IFormatProvider
) As UShort
Public Function ToUInt16 (
    provider As IFormatProvider
) As UShort
public:
virtual unsigned short ToUInt16(
    IFormatProvider^ provider
) sealed
public:
virtual unsigned short ToUInt16(
    IFormatProvider^ provider
) sealed
Parameters
provider
Type:   Online System IFormatProvider
(unused, may be null) An   Online IFormatProvider interface implementation
            that supplies culture-specific formatting information.
Return Value
Type:   Online UInt16
A   Online UInt16 value equivalent to the value of this instance.
Implements
  Online IConvertible ToUInt16(IFormatProvider)
Exceptions
Exception | Condition
Online System NotImplementedException | Thrown if the TypedValue value cannot be assigned to a Online UInt16.
See Also
TypedValue Class
TypedValue Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TypedValue.ToUInt32 Method

TypedValue ToUInt32 Method s3pi library documentation
Converts the value of this instance to an equivalent Online UInt32 value (ignoring the specified culture-specific formatting information).

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public uint ToUInt32(
    IFormatProvider provider
)
public uint ToUInt32(
    IFormatProvider provider
)
Public Function ToUInt32 (
    provider As IFormatProvider
) As UInteger
Public Function ToUInt32 (
    provider As IFormatProvider
) As UInteger
public:
virtual unsigned int ToUInt32(
    IFormatProvider^ provider
) sealed
public:
virtual unsigned int ToUInt32(
    IFormatProvider^ provider
) sealed
Parameters
provider
Type:   Online System IFormatProvider
(unused, may be null) An   Online IFormatProvider interface implementation
            that supplies culture-specific formatting information.
Return Value
Type:   Online UInt32
A   Online UInt32 value equivalent to the value of this instance.
Implements
  Online IConvertible ToUInt32(IFormatProvider)
Exceptions
Exception | Condition
Online System NotImplementedException | Thrown if the TypedValue value cannot be assigned to a Online UInt32.
See Also
TypedValue Class
TypedValue Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TypedValue.ToUInt64 Method

TypedValue ToUInt64 Method s3pi library documentation
Converts the value of this instance to an equivalent Online UInt64 value (ignoring the specified culture-specific formatting information).

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public ulong ToUInt64(
    IFormatProvider provider
)
public ulong ToUInt64(
    IFormatProvider provider
)
Public Function ToUInt64 (
    provider As IFormatProvider
) As ULong
Public Function ToUInt64 (
    provider As IFormatProvider
) As ULong
public:
virtual unsigned long long ToUInt64(
    IFormatProvider^ provider
) sealed
public:
virtual unsigned long long ToUInt64(
    IFormatProvider^ provider
) sealed
Parameters
provider
Type:   Online System IFormatProvider
(unused, may be null) An   Online IFormatProvider interface implementation
            that supplies culture-specific formatting information.
Return Value
Type:   Online UInt64
A   Online UInt64 value equivalent to the value of this instance.
Implements
  Online IConvertible ToUInt64(IFormatProvider)
Exceptions
Exception | Condition
Online System NotImplementedException | Thrown if the TypedValue value cannot be assigned to a Online UInt64.
See Also
TypedValue Class
TypedValue Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TypedValue Type Conversions

TypedValue Type Conversions s3pi library documentation
The TypedValue type exposes the following members.
Operators
Name | Description
(TypedValue to String) | Return a string representing the TypedValue tv.
Back to Top
See Also
TypedValue Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TypedValue Implicit Conversion (TypedValue to String)

TypedValue Conversion (TypedValue to String) s3pi library documentation
Return a string representing the TypedValue tv.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static implicit operator string (
    TypedValue tv
)
public static implicit operator string (
    TypedValue tv
)
Public Shared Widening Operator CType (
    tv As TypedValue
) As String
Public Shared Widening Operator CType (
    tv As TypedValue
) As String
static implicit operator String^ (
    TypedValue^ tv
)
static implicit operator String^ (
    TypedValue^ tv
)
Parameters
tv
Type: s3pi.Interfaces TypedValue
The value to convert.
Return Value
Type:   Online String
A string representing tv.
See Also
TypedValue Class
TypedValue Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


UIntList Class

UIntList Class s3pi library documentation
Commonly used simple list. The list count is an integer stored immediately before the list. The elements are UInt32.
Inheritance Hierarchy
Online System Object
Online System.Collections.Generic List HandlerElement Online UInt32
System.Collections.Generic AHandlerList HandlerElement Online UInt32
s3pi.Interfaces DependentList HandlerElement Online UInt32
s3pi.Interfaces SimpleList Online UInt32
s3pi.Interfaces UIntList

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public class UIntList : SimpleList<uint>
public class UIntList : SimpleList<uint>
Public Class UIntList
    Inherits SimpleList(Of UInteger)
Public Class UIntList
    Inherits SimpleList(Of UInteger)
public ref class UIntList : public SimpleList<unsigned int>
public ref class UIntList : public SimpleList<unsigned int>
See Also
UIntList Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


UIntList Members

UIntList Members s3pi library documentation

Constructors
 | Name | Description
Public method | UIntList(EventHandler, Int64) | Create an empty UIntList.
Public method | UIntList(EventHandler, IEnumerable UInt32 , Int64) | Create a UIntList populated from an existing set of values.
Public method | UIntList(EventHandler, Stream, Int64) | Create a UIntList populated from a Online Stream.
Back to Top
See Also
UIntList Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


UIntList Constructor

UIntList Constructor s3pi library documentation
Overload List
 | Name | Description
Public method | UIntList(EventHandler, Int64) | Create an empty UIntList.
Public method | UIntList(EventHandler, IEnumerable UInt32 , Int64) | Create a UIntList populated from an existing set of values.
Public method | UIntList(EventHandler, Stream, Int64) | Create a UIntList populated from a Online Stream.
Back to Top
See Also
UIntList Class
UIntList Members
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


UIntList Constructor (EventHandler, Int64)

UIntList Constructor (EventHandler, Int64) s3pi library documentation
Create an empty UIntList.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public UIntList(
    EventHandler handler,
    long size = -1
)
public UIntList(
    EventHandler handler,
    long size = -1
)
Public Sub New (
    handler As EventHandler,
    Optional size As Long = -1
)
Public Sub New (
    handler As EventHandler,
    Optional size As Long = -1
)
public:
UIntList(
    EventHandler^ handler,
    long long size = -1
)
public:
UIntList(
    EventHandler^ handler,
    long long size = -1
)
Parameters
handler
Type:   Online System EventHandler
Event handler.
size (Optional)
Type:   Online System Int64
Optional list size.
See Also
UIntList Class
UIntList Members
UIntList Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


UIntList Constructor (EventHandler, IEnumerable(UInt32), Int64)

UIntList Constructor (EventHandler, IEnumerable UInt32 , Int64) s3pi library documentation
Create a UIntList populated from an existing set of values.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public UIntList(
    EventHandler handler,
    IEnumerable<uint> basis,
    long size = -1
)
public UIntList(
    EventHandler handler,
    IEnumerable<uint> basis,
    long size = -1
)
Public Sub New (
    handler As EventHandler,
    basis As IEnumerable(Of UInteger),
    Optional size As Long = -1
)
Public Sub New (
    handler As EventHandler,
    basis As IEnumerable(Of UInteger),
    Optional size As Long = -1
)
public:
UIntList(
    EventHandler^ handler,
    IEnumerable<unsigned int>^ basis,
    long long size = -1
)
public:
UIntList(
    EventHandler^ handler,
    IEnumerable<unsigned int>^ basis,
    long long size = -1
)
Parameters
handler
Type:   Online System EventHandler
Event handler.
basis
Type:   Online System.Collections.Generic IEnumerable    Online UInt32
Basis on which to populate the list.
size (Optional)
Type:   Online System Int64
Optional list size.
See Also
UIntList Class
UIntList Members
UIntList Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


UIntList Constructor (EventHandler, Stream, Int64)

UIntList Constructor (EventHandler, Stream, Int64) s3pi library documentation
Create a UIntList populated from a Online Stream.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public UIntList(
    EventHandler handler,
    Stream s,
    long size = -1
)
public UIntList(
    EventHandler handler,
    Stream s,
    long size = -1
)
Public Sub New (
    handler As EventHandler,
    s As Stream,
    Optional size As Long = -1
)
Public Sub New (
    handler As EventHandler,
    s As Stream,
    Optional size As Long = -1
)
public:
UIntList(
    EventHandler^ handler,
    Stream^ s,
    long long size = -1
)
public:
UIntList(
    EventHandler^ handler,
    Stream^ s,
    long long size = -1
)
Parameters
handler
Type:   Online System EventHandler
Event handler.
s
Type:   Online System.IO Stream
  Online Stream from which to read elements.
size (Optional)
Type:   Online System Int64
Optional list size.
See Also
UIntList Class
UIntList Members
UIntList Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


VersionAttribute Class

VersionAttribute Class s3pi library documentation
Base class for versioning support. Not directly used by the API.
Inheritance Hierarchy
Online System Object
Online System Attribute
s3pi.Interfaces VersionAttribute
s3pi.Interfaces MaximumVersionAttribute
s3pi.Interfaces MinimumVersionAttribute

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public class VersionAttribute : Attribute
public class VersionAttribute : Attribute
Public Class VersionAttribute
    Inherits Attribute
Public Class VersionAttribute
    Inherits Attribute
public ref class VersionAttribute : public Attribute
public ref class VersionAttribute : public Attribute
See Also
VersionAttribute Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


VersionAttribute Members

VersionAttribute Members s3pi library documentation

The VersionAttribute type exposes the following members.
Constructors
 | Name | Description
Public method | VersionAttribute | Version number attribute (base)
Back to Top
Properties
 | Name | Description
Public property | Version | Version number
Back to Top
See Also
VersionAttribute Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


VersionAttribute Constructor

VersionAttribute Constructor s3pi library documentation
Version number attribute (base)

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public VersionAttribute(
    int Version
)
public VersionAttribute(
    int Version
)
Public Sub New (
    Version As Integer
)
Public Sub New (
    Version As Integer
)
public:
VersionAttribute(
    int Version
)
public:
VersionAttribute(
    int Version
)
Parameters
Version
Type:   Online System Int32
Version number
See Also
VersionAttribute Class
VersionAttribute Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


VersionAttribute Properties

VersionAttribute Properties s3pi library documentation
The VersionAttribute type exposes the following members.
Properties
 | Name | Description
Public property | Version | Version number
Back to Top
See Also
VersionAttribute Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


VersionAttribute.Version Property

VersionAttribute Version Property s3pi library documentation
Version number

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public int Version { get; set; }
public int Version { get; set; }
Public Property Version As Integer
    Get
    Set
Public Property Version As Integer
    Get
    Set
public:
property int Version {
    int get ();
    void set (int value);
}
public:
property int Version {
    int get ();
    void set (int value);
}
Property Value
Type:   Online Int32
See Also
VersionAttribute Class
VersionAttribute Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Vertex Class

Vertex Class s3pi library documentation
Defines a vertex - a point in 3d space defined by three coordinates.
Inheritance Hierarchy
Online System Object
s3pi.Interfaces AApiVersionedFields
s3pi.Interfaces AHandlerElement
s3pi.Interfaces Vertex

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public class Vertex : AHandlerElement, IEquatable<Vertex>
public class Vertex : AHandlerElement, IEquatable<Vertex>
Public Class Vertex
    Inherits AHandlerElement
    Implements IEquatable(Of Vertex)
Public Class Vertex
    Inherits AHandlerElement
    Implements IEquatable(Of Vertex)
public ref class Vertex : public AHandlerElement,
    IEquatable<Vertex^>
public ref class Vertex : public AHandlerElement,
    IEquatable<Vertex^>
See Also
Vertex Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Vertex Members

Vertex Members s3pi library documentation

The Vertex type exposes the following members.
Constructors
 | Name | Description
Public method | Vertex(Int32, EventHandler) | Create a vertex at { 0, 0, 0 }.
Public method | Vertex(Int32, EventHandler, Vertex) | Create a vertex from a given value.
Public method | Vertex(Int32, EventHandler, Stream) | Create a vertex from a Online Stream.
Public method | Vertex(Int32, EventHandler, Single, Single, Single) | Create a vertex at { x, y, z }.
Back to Top
Methods
 | Name | Description
Public method | Equals(Object) | Determines whether the specified Online Object is equal to the current Vertex. (Overrides Online Object Equals(Object).)
Public method | Equals(Vertex) | Indicates whether the current object is equal to another object of the same type.
Public method | GetHashCode | Returns the hash code for this instance. (Overrides Online Object GetHashCode .)
Public method | UnParse | Write the vertex to the given Online Stream.
Back to Top
Properties
 | Name | Description
Public property | ContentFields | The list of available field names on this API object. (Overrides AApiVersionedFields ContentFields.)
Public property | RecommendedApiVersion | The best supported version of the API available (Overrides AApiVersionedFields RecommendedApiVersion.)
Public property | Value | A displayable representation of the object
Public property | X | X coordinate
Public property | Y | Y coordinate
Public property | Z | Z coordinate
Back to Top
See Also
Vertex Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Vertex Constructor

Vertex Constructor s3pi library documentation
Overload List
 | Name | Description
Public method | Vertex(Int32, EventHandler) | Create a vertex at { 0, 0, 0 }.
Public method | Vertex(Int32, EventHandler, Vertex) | Create a vertex from a given value.
Public method | Vertex(Int32, EventHandler, Stream) | Create a vertex from a Online Stream.
Public method | Vertex(Int32, EventHandler, Single, Single, Single) | Create a vertex at { x, y, z }.
Back to Top
See Also
Vertex Class
Vertex Members
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Vertex Constructor (Int32, EventHandler)

Vertex Constructor (Int32, EventHandler) s3pi library documentation
Create a vertex at { 0, 0, 0 }.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public Vertex(
    int APIversion,
    EventHandler handler
)
public Vertex(
    int APIversion,
    EventHandler handler
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler
)
public:
Vertex(
    int APIversion,
    EventHandler^ handler
)
public:
Vertex(
    int APIversion,
    EventHandler^ handler
)
Parameters
APIversion
Type:   Online System Int32
The requested API version.
handler
Type:   Online System EventHandler
The   Online EventHandler delegate to invoke if the AHandlerElement changes.
See Also
Vertex Class
Vertex Members
Vertex Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Vertex Constructor (Int32, EventHandler, Vertex)

Vertex Constructor (Int32, EventHandler, Vertex) s3pi library documentation
Create a vertex from a given value.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public Vertex(
    int APIversion,
    EventHandler handler,
    Vertex basis
)
public Vertex(
    int APIversion,
    EventHandler handler,
    Vertex basis
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler,
    basis As Vertex
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler,
    basis As Vertex
)
public:
Vertex(
    int APIversion,
    EventHandler^ handler,
    Vertex^ basis
)
public:
Vertex(
    int APIversion,
    EventHandler^ handler,
    Vertex^ basis
)
Parameters
APIversion
Type:   Online System Int32
The requested API version.
handler
Type:   Online System EventHandler
The   Online EventHandler delegate to invoke if the AHandlerElement changes.
basis
Type: s3pi.Interfaces Vertex
Vertex to copy.
See Also
Vertex Class
Vertex Members
Vertex Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Vertex Constructor (Int32, EventHandler, Stream)

Vertex Constructor (Int32, EventHandler, Stream) s3pi library documentation
Create a vertex from a Online Stream.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public Vertex(
    int APIversion,
    EventHandler handler,
    Stream s
)
public Vertex(
    int APIversion,
    EventHandler handler,
    Stream s
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler,
    s As Stream
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler,
    s As Stream
)
public:
Vertex(
    int APIversion,
    EventHandler^ handler,
    Stream^ s
)
public:
Vertex(
    int APIversion,
    EventHandler^ handler,
    Stream^ s
)
Parameters
APIversion
Type:   Online System Int32
The requested API version.
handler
Type:   Online System EventHandler
The   Online EventHandler delegate to invoke if the AHandlerElement changes.
s
Type:   Online System.IO Stream
  Online Stream containing coordinates.
See Also
Vertex Class
Vertex Members
Vertex Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Vertex Constructor (Int32, EventHandler, Single, Single, Single)

Vertex Constructor (Int32, EventHandler, Single, Single, Single) s3pi library documentation
Create a vertex at { x, y, z }.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public Vertex(
    int APIversion,
    EventHandler handler,
    float x,
    float y,
    float z
)
public Vertex(
    int APIversion,
    EventHandler handler,
    float x,
    float y,
    float z
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler,
    x As Single,
    y As Single,
    z As Single
)
Public Sub New (
    APIversion As Integer,
    handler As EventHandler,
    x As Single,
    y As Single,
    z As Single
)
public:
Vertex(
    int APIversion,
    EventHandler^ handler,
    float x,
    float y,
    float z
)
public:
Vertex(
    int APIversion,
    EventHandler^ handler,
    float x,
    float y,
    float z
)
Parameters
APIversion
Type:   Online System Int32
The requested API version.
handler
Type:   Online System EventHandler
The   Online EventHandler delegate to invoke if the AHandlerElement changes.
x
Type:   Online System Single
X coordinate.
y
Type:   Online System Single
Y coordinate.
z
Type:   Online System Single
Z coordinate.
See Also
Vertex Class
Vertex Members
Vertex Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Vertex Methods

Vertex Methods s3pi library documentation
The Vertex type exposes the following members.
Methods
 | Name | Description
Public method | Equals(Object) | Determines whether the specified Online Object is equal to the current Vertex. (Overrides Online Object Equals(Object).)
Public method | Equals(Vertex) | Indicates whether the current object is equal to another object of the same type.
Public method | GetHashCode | Returns the hash code for this instance. (Overrides Online Object GetHashCode .)
Public method | UnParse | Write the vertex to the given Online Stream.
Back to Top
See Also
Vertex Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Vertex.Equals Method

Vertex Equals Method s3pi library documentation
Overload List
 | Name | Description
Public method | Equals(Object) | Determines whether the specified Online Object is equal to the current Vertex. (Overrides Online Object Equals(Object).)
Public method | Equals(Vertex) | Indicates whether the current object is equal to another object of the same type.
Back to Top
See Also
Vertex Class
Vertex Members
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Vertex.Equals Method (Object)

Vertex Equals Method (Object) s3pi library documentation
Determines whether the specified Online Object is equal to the current Vertex.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override bool Equals(
    Object obj
)
public override bool Equals(
    Object obj
)
Public Overrides Function Equals (
    obj As Object
) As Boolean
Public Overrides Function Equals (
    obj As Object
) As Boolean
public:
virtual bool Equals(
    Object^ obj
) override
public:
virtual bool Equals(
    Object^ obj
) override
Parameters
obj
Type:   Online System Object
The   Online Object to compare with the current Vertex.
Return Value
Type:   Online Boolean
true if the specified   Online Object is equal to the current Vertex; otherwise, false.
See Also
Vertex Class
Vertex Members
Equals Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Vertex.Equals Method (Vertex)

Vertex Equals Method (Vertex) s3pi library documentation
Indicates whether the current object is equal to another object of the same type.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public bool Equals(
    Vertex other
)
public bool Equals(
    Vertex other
)
Public Function Equals (
    other As Vertex
) As Boolean
Public Function Equals (
    other As Vertex
) As Boolean
public:
virtual bool Equals(
    Vertex^ other
) sealed
public:
virtual bool Equals(
    Vertex^ other
) sealed
Parameters
other
Type: s3pi.Interfaces Vertex
An object to compare with this object.
Return Value
Type:   Online Boolean
true if the current object is equal to the other parameter; otherwise, false.
Implements
  Online IEquatable T  Equals(T)
See Also
Vertex Class
Vertex Members
Equals Overload
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Vertex.GetHashCode Method

Vertex GetHashCode Method s3pi library documentation
Returns the hash code for this instance.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override int GetHashCode()
public override int GetHashCode()
Public Overrides Function GetHashCode As Integer
Public Overrides Function GetHashCode As Integer
public:
virtual int GetHashCode() override
public:
virtual int GetHashCode() override
Return Value
Type:   Online Int32
A 32-bit signed integer that is the hash code for this instance.
See Also
Vertex Class
Vertex Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Vertex.UnParse Method

Vertex UnParse Method s3pi library documentation
Write the vertex to the given Online Stream.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void UnParse(
    Stream s
)
public void UnParse(
    Stream s
)
Public Sub UnParse (
    s As Stream
)
Public Sub UnParse (
    s As Stream
)
public:
void UnParse(
    Stream^ s
)
public:
void UnParse(
    Stream^ s
)
Parameters
s
Type:   Online System.IO Stream
  Online Stream to contain coordinates.
See Also
Vertex Class
Vertex Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Vertex Properties

Vertex Properties s3pi library documentation
The Vertex type exposes the following members.
Properties
 | Name | Description
Public property | ContentFields | The list of available field names on this API object. (Overrides AApiVersionedFields ContentFields.)
Public property | RecommendedApiVersion | The best supported version of the API available (Overrides AApiVersionedFields RecommendedApiVersion.)
Public property | Value | A displayable representation of the object
Public property | X | X coordinate
Public property | Y | Y coordinate
Public property | Z | Z coordinate
Back to Top
See Also
Vertex Class
s3pi.Interfaces Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Vertex.ContentFields Property

Vertex ContentFields Property s3pi library documentation
The list of available field names on this API object.

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override List<string> ContentFields { get; }
public override List<string> ContentFields { get; }
Public Overrides ReadOnly Property ContentFields As List(Of String)
    Get
Public Overrides ReadOnly Property ContentFields As List(Of String)
    Get
public:
virtual property List<String^>^ ContentFields {
    List<String^>^ get () override;
}
public:
virtual property List<String^>^ ContentFields {
    List<String^>^ get () override;
}
Property Value
Type:   Online List    Online String
Implements
IContentFields ContentFields
See Also
Vertex Class
Vertex Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Vertex.RecommendedApiVersion Property

Vertex RecommendedApiVersion Property s3pi library documentation
The best supported version of the API available

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override int RecommendedApiVersion { get; }
public override int RecommendedApiVersion { get; }
Public Overrides ReadOnly Property RecommendedApiVersion As Integer
    Get
Public Overrides ReadOnly Property RecommendedApiVersion As Integer
    Get
public:
virtual property int RecommendedApiVersion {
    int get () override;
}
public:
virtual property int RecommendedApiVersion {
    int get () override;
}
Property Value
Type:   Online Int32
Implements
IApiVersion RecommendedApiVersion
See Also
Vertex Class
Vertex Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Vertex.Value Property

Vertex Value Property s3pi library documentation
A displayable representation of the object

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public string Value { get; }
public string Value { get; }
Public ReadOnly Property Value As String
    Get
Public ReadOnly Property Value As String
    Get
public:
property String^ Value {
    String^ get ();
}
public:
property String^ Value {
    String^ get ();
}
Property Value
Type:   Online String
See Also
Vertex Class
Vertex Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Vertex.X Property

Vertex X Property s3pi library documentation
X coordinate

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[ElementPriorityAttribute(1)]
public float X { get; set; }
[ElementPriorityAttribute(1)]
public float X { get; set; }
<ElementPriorityAttribute(1)>
Public Property X As Single
    Get
    Set
<ElementPriorityAttribute(1)>
Public Property X As Single
    Get
    Set
public:
[ElementPriorityAttribute(1)]
property float X {
    float get ();
    void set (float value);
}
public:
[ElementPriorityAttribute(1)]
property float X {
    float get ();
    void set (float value);
}
Property Value
Type:   Online Single
See Also
Vertex Class
Vertex Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Vertex.Y Property

Vertex Y Property s3pi library documentation
Y coordinate

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[ElementPriorityAttribute(2)]
public float Y { get; set; }
[ElementPriorityAttribute(2)]
public float Y { get; set; }
<ElementPriorityAttribute(2)>
Public Property Y As Single
    Get
    Set
<ElementPriorityAttribute(2)>
Public Property Y As Single
    Get
    Set
public:
[ElementPriorityAttribute(2)]
property float Y {
    float get ();
    void set (float value);
}
public:
[ElementPriorityAttribute(2)]
property float Y {
    float get ();
    void set (float value);
}
Property Value
Type:   Online Single
See Also
Vertex Class
Vertex Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Vertex.Z Property

Vertex Z Property s3pi library documentation
Z coordinate

Namespace: s3pi.Interfaces
Assembly: s3pi.Interfaces (in s3pi.Interfaces.dll) Version: 1312.15.2223.40311
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[ElementPriorityAttribute(3)]
public float Z { get; set; }
[ElementPriorityAttribute(3)]
public float Z { get; set; }
<ElementPriorityAttribute(3)>
Public Property Z As Single
    Get
    Set
<ElementPriorityAttribute(3)>
Public Property Z As Single
    Get
    Set
public:
[ElementPriorityAttribute(3)]
property float Z {
    float get ();
    void set (float value);
}
public:
[ElementPriorityAttribute(3)]
property float Z {
    float get ();
    void set (float value);
}
Property Value
Type:   Online Single
See Also
Vertex Class
Vertex Members
s3pi.Interfaces Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


s3pi.Package Namespace

s3pi.Package Namespace s3pi library documentation
Classes
 | Class | Description
Public class | Package | Implementation of a package
Public class | ResourceIndexEntry | Implementation of an index entry

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Package Class

Package Class s3pi library documentation
Implementation of a package
Inheritance Hierarchy
Online System Object
s3pi.Interfaces AApiVersionedFields
s3pi.Interfaces APackage
s3pi.Package Package

Namespace: s3pi.Package
Assembly: s3pi.Package (in s3pi.Package.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public class Package : APackage
public class Package : APackage
Public Class Package
    Inherits APackage
Public Class Package
    Inherits APackage
public ref class Package : public APackage
public ref class Package : public APackage
See Also
Package Members
s3pi.Package Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Package Members

Package Members s3pi library documentation

The Package type exposes the following members.
Methods
 | Name | Description
Public method | AddResource | Add a resource to the package (Overrides APackage AddResource(IResourceKey, Stream, Boolean).)
 | ClosePackage | Releases any internal references associated with the given package
Public method | DeleteResource | Tell the package to delete the resource indexed by rc (Overrides APackage DeleteResource(IResourceIndexEntry).)
Public method | Find(Predicate IResourceIndexEntry ) | Searches the entire IPackage for the first IResourceIndexEntry that matches the conditions defined by the Predicate<IResourceIndexEntry>Match. (Overrides APackage Find(Predicate IResourceIndexEntry ).)
Public method | Find( String , TypedValue ) | Obsolete. Searches for an element that matches the conditions defined by names and values, and returns the first occurrence within the package index./>. (Overrides APackage Find( String , TypedValue ).)
Public method | Find(UInt32, IResourceIndexEntry) | Obsolete. Searches for an element that matches the conditions defined by flags and values, and returns the first occurrence within the package index./>. (Overrides APackage Find(UInt32, IResourceIndexEntry).)
Public method | FindAll(Predicate IResourceIndexEntry ) | Searches the entire IPackage for all IResourceIndexEntrys that matches the conditions defined by the Predicate<IResourceIndexEntry>Match. (Overrides APackage FindAll(Predicate IResourceIndexEntry ).)
Public method | FindAll( String , TypedValue ) | Obsolete. Searches the entire IPackage for all IResourceIndexEntrys that matches the conditions defined by names and values. (Overrides APackage FindAll( String , TypedValue ).)
Public method | FindAll(UInt32, IResourceIndexEntry) | Obsolete. Searches the entire IPackage for all IResourceIndexEntrys that matches the conditions defined by flags and values. (Overrides APackage FindAll(UInt32, IResourceIndexEntry).)
Public method | GetResource | Required internally by s3pi - not for use in user tools. Please use WrapperDealer.GetResource(int, IPackage, IResourceIndexEntry) instead. (Overrides APackage GetResource(IResourceIndexEntry).)
 | NewPackage(Int32) | Initialise a new, empty package and return the IPackage reference
 | NewPackage(Int32, Int32) | Initialise a new, empty package and return the IPackage reference
 | OpenPackage(Int32, String) | Open an existing package by filename, read only
 | OpenPackage(Int32, String, Boolean) | Open an existing package by filename, optionally readwrite
Public method | ReplaceResource | Tell the package to replace the data for the resource indexed by rc with the data from the resource res (Overrides APackage ReplaceResource(IResourceIndexEntry, IResource).)
Public method | SaveAs(Stream) | Save the package to a given stream (Overrides APackage SaveAs(Stream).)
Public method | SaveAs(String) | Save the package to a given file (Overrides APackage SaveAs(String).)
Public method | SavePackage | Tell the package to save itself to wherever it believes it came from (Overrides APackage SavePackage .)
Back to Top
Properties
 | Name | Description
Public property | GetResourceList | Package index: the index (Overrides APackage GetResourceList.)
Public property | HeaderStream | A MemoryStream covering the package header bytes (Overrides APackage HeaderStream.)
Public property | Indexcount | Package header: number of entries in the package index (Overrides APackage Indexcount.)
Public property | Indexposition | Package header: index position in file (Overrides APackage Indexposition.)
Public property | Indexsize | Package header: index size on disk in bytes (Overrides APackage Indexsize.)
Public property | Indextype | Package index: the index format in use (Overrides APackage Indextype.)
Public property | Indexversion | Package header: always 3? (Overrides APackage Indexversion.)
Public property | Magic | Package header: "DBPF" bytes (Overrides APackage Magic.)
Public property | Major | Package header: 0x00000002 (Overrides APackage Major.)
Public property | Minor | Package header: 0x00000000 (Overrides APackage Minor.)
Public property | RecommendedApiVersion | The version of the API in use (Overrides AApiVersionedFields RecommendedApiVersion.)
Public property | Unknown1 | Package header: unused (Overrides APackage Unknown1.)
Public property | Unknown2 | Package header: unused (Overrides APackage Unknown2.)
Public property | Unknown3 | Package header: unused (Overrides APackage Unknown3.)
Public property | Unknown4 | Package header: unused (Overrides APackage Unknown4.)
Back to Top
See Also
Package Class
s3pi.Package Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Package Methods

Package Methods s3pi library documentation
The Package type exposes the following members.
Methods
 | Name | Description
Public method | AddResource | Add a resource to the package (Overrides APackage AddResource(IResourceKey, Stream, Boolean).)
 | ClosePackage | Releases any internal references associated with the given package
Public method | DeleteResource | Tell the package to delete the resource indexed by rc (Overrides APackage DeleteResource(IResourceIndexEntry).)
Public method | Find(Predicate IResourceIndexEntry ) | Searches the entire IPackage for the first IResourceIndexEntry that matches the conditions defined by the Predicate<IResourceIndexEntry>Match. (Overrides APackage Find(Predicate IResourceIndexEntry ).)
Public method | Find( String , TypedValue ) | Obsolete. Searches for an element that matches the conditions defined by names and values, and returns the first occurrence within the package index./>. (Overrides APackage Find( String , TypedValue ).)
Public method | Find(UInt32, IResourceIndexEntry) | Obsolete. Searches for an element that matches the conditions defined by flags and values, and returns the first occurrence within the package index./>. (Overrides APackage Find(UInt32, IResourceIndexEntry).)
Public method | FindAll(Predicate IResourceIndexEntry ) | Searches the entire IPackage for all IResourceIndexEntrys that matches the conditions defined by the Predicate<IResourceIndexEntry>Match. (Overrides APackage FindAll(Predicate IResourceIndexEntry ).)
Public method | FindAll( String , TypedValue ) | Obsolete. Searches the entire IPackage for all IResourceIndexEntrys that matches the conditions defined by names and values. (Overrides APackage FindAll( String , TypedValue ).)
Public method | FindAll(UInt32, IResourceIndexEntry) | Obsolete. Searches the entire IPackage for all IResourceIndexEntrys that matches the conditions defined by flags and values. (Overrides APackage FindAll(UInt32, IResourceIndexEntry).)
Public method | GetResource | Required internally by s3pi - not for use in user tools. Please use WrapperDealer.GetResource(int, IPackage, IResourceIndexEntry) instead. (Overrides APackage GetResource(IResourceIndexEntry).)
 | NewPackage(Int32) | Initialise a new, empty package and return the IPackage reference
 | NewPackage(Int32, Int32) | Initialise a new, empty package and return the IPackage reference
 | OpenPackage(Int32, String) | Open an existing package by filename, read only
 | OpenPackage(Int32, String, Boolean) | Open an existing package by filename, optionally readwrite
Public method | ReplaceResource | Tell the package to replace the data for the resource indexed by rc with the data from the resource res (Overrides APackage ReplaceResource(IResourceIndexEntry, IResource).)
Public method | SaveAs(Stream) | Save the package to a given stream (Overrides APackage SaveAs(Stream).)
Public method | SaveAs(String) | Save the package to a given file (Overrides APackage SaveAs(String).)
Public method | SavePackage | Tell the package to save itself to wherever it believes it came from (Overrides APackage SavePackage .)
Back to Top
See Also
Package Class
s3pi.Package Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Package.AddResource Method

Package AddResource Method s3pi library documentation
Add a resource to the package

Namespace: s3pi.Package
Assembly: s3pi.Package (in s3pi.Package.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override IResourceIndexEntry AddResource(
    IResourceKey rk,
    Stream stream,
    bool rejectDups
)
public override IResourceIndexEntry AddResource(
    IResourceKey rk,
    Stream stream,
    bool rejectDups
)
Public Overrides Function AddResource (
    rk As IResourceKey,
    stream As Stream,
    rejectDups As Boolean
) As IResourceIndexEntry
Public Overrides Function AddResource (
    rk As IResourceKey,
    stream As Stream,
    rejectDups As Boolean
) As IResourceIndexEntry
public:
virtual IResourceIndexEntry^ AddResource(
    IResourceKey^ rk,
    Stream^ stream,
    bool rejectDups
) override
public:
virtual IResourceIndexEntry^ AddResource(
    IResourceKey^ rk,
    Stream^ stream,
    bool rejectDups
) override
Parameters
rk
Type: s3pi.Interfaces IResourceKey
The resource key
stream
Type:   Online System.IO Stream
The stream that contains the resource data
rejectDups
Type:   Online System Boolean
If true, fail if the resource key already exists
Return Value
Type: IResourceIndexEntry
Null if rejectDups and the resource key exists; else the new IResourceIndexEntry
Implements
IPackage AddResource(IResourceKey, Stream, Boolean)
See Also
Package Class
Package Members
s3pi.Package Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Package.ClosePackage Method

Package ClosePackage Method s3pi library documentation
Releases any internal references associated with the given package

Namespace: s3pi.Package
Assembly: s3pi.Package (in s3pi.Package.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static void ClosePackage(
    int APIversion,
    IPackage pkg
)
public static void ClosePackage(
    int APIversion,
    IPackage pkg
)
Public Shared Sub ClosePackage (
    APIversion As Integer,
    pkg As IPackage
)
Public Shared Sub ClosePackage (
    APIversion As Integer,
    pkg As IPackage
)
public:
static void ClosePackage(
    int APIversion,
    IPackage^ pkg
)
public:
static void ClosePackage(
    int APIversion,
    IPackage^ pkg
)
Parameters
APIversion
Type:   Online System Int32
(unused)
pkg
Type: s3pi.Interfaces IPackage
IPackage reference to close
See Also
Package Class
Package Members
s3pi.Package Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Package.DeleteResource Method

Package DeleteResource Method s3pi library documentation
Tell the package to delete the resource indexed by rc

Namespace: s3pi.Package
Assembly: s3pi.Package (in s3pi.Package.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override void DeleteResource(
    IResourceIndexEntry rc
)
public override void DeleteResource(
    IResourceIndexEntry rc
)
Public Overrides Sub DeleteResource (
    rc As IResourceIndexEntry
)
Public Overrides Sub DeleteResource (
    rc As IResourceIndexEntry
)
public:
virtual void DeleteResource(
    IResourceIndexEntry^ rc
) override
public:
virtual void DeleteResource(
    IResourceIndexEntry^ rc
) override
Parameters
rc
Type: s3pi.Interfaces IResourceIndexEntry
Target resource index
Implements
IPackage DeleteResource(IResourceIndexEntry)
See Also
Package Class
Package Members
s3pi.Package Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Package.Find Method

Package Find Method s3pi library documentation
Overload List
 | Name | Description
Public method | Find(Predicate IResourceIndexEntry ) | Searches the entire IPackage for the first IResourceIndexEntry that matches the conditions defined by the Predicate<IResourceIndexEntry>Match. (Overrides APackage Find(Predicate IResourceIndexEntry ).)
Public method | Find( String , TypedValue ) | Obsolete. Searches for an element that matches the conditions defined by names and values, and returns the first occurrence within the package index./>. (Overrides APackage Find( String , TypedValue ).)
Public method | Find(UInt32, IResourceIndexEntry) | Obsolete. Searches for an element that matches the conditions defined by flags and values, and returns the first occurrence within the package index./>. (Overrides APackage Find(UInt32, IResourceIndexEntry).)
Back to Top
See Also
Package Class
Package Members
s3pi.Package Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Package.Find Method (Predicate(IResourceIndexEntry))

Package Find Method (Predicate IResourceIndexEntry ) s3pi library documentation
Searches the entire IPackage for the first IResourceIndexEntry that matches the conditions defined by the Predicate<IResourceIndexEntry>Match.

Namespace: s3pi.Package
Assembly: s3pi.Package (in s3pi.Package.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[MinimumVersionAttribute(1)]
[MaximumVersionAttribute(1)]
public override IResourceIndexEntry Find(
    Predicate<IResourceIndexEntry> Match
)
[MinimumVersionAttribute(1)]
[MaximumVersionAttribute(1)]
public override IResourceIndexEntry Find(
    Predicate<IResourceIndexEntry> Match
)
<MinimumVersionAttribute(1)>
<MaximumVersionAttribute(1)>
Public Overrides Function Find (
    Match As Predicate(Of IResourceIndexEntry)
) As IResourceIndexEntry
<MinimumVersionAttribute(1)>
<MaximumVersionAttribute(1)>
Public Overrides Function Find (
    Match As Predicate(Of IResourceIndexEntry)
) As IResourceIndexEntry
public:
[MinimumVersionAttribute(1)]
[MaximumVersionAttribute(1)]
virtual IResourceIndexEntry^ Find(
    Predicate<IResourceIndexEntry^>^ Match
) override
public:
[MinimumVersionAttribute(1)]
[MaximumVersionAttribute(1)]
virtual IResourceIndexEntry^ Find(
    Predicate<IResourceIndexEntry^>^ Match
) override
Parameters
Match
Type:   Online System Predicate  IResourceIndexEntry
Predicate<IResourceIndexEntry> defining matching conditions.
Return Value
Type: IResourceIndexEntry
The first matching IResourceIndexEntry, if any; otherwise null.
Implements
IPackage Find(Predicate IResourceIndexEntry )
Remarks
Note that entries marked as deleted will not be returned.
See Also
Package Class
Package Members
Find Overload
s3pi.Package Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Package.Find Method (String[], TypedValue[])

Package Find Method ( String , TypedValue ) s3pi library documentation
Searches for an element that matches the conditions defined by names and values, and returns the first occurrence within the package index./>.

Namespace: s3pi.Package
Assembly: s3pi.Package (in s3pi.Package.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[ObsoleteAttribute("Please use Find(Predicate<IResourceIndexEntry> Match)")]
[MaximumVersionAttribute(1)]
[MinimumVersionAttribute(1)]
public override IResourceIndexEntry Find(
    string[] names,
    TypedValue[] values
)
[ObsoleteAttribute("Please use Find(Predicate<IResourceIndexEntry> Match)")]
[MaximumVersionAttribute(1)]
[MinimumVersionAttribute(1)]
public override IResourceIndexEntry Find(
    string[] names,
    TypedValue[] values
)
<ObsoleteAttribute("Please use Find(Predicate<IResourceIndexEntry> Match)")>
<MaximumVersionAttribute(1)>
<MinimumVersionAttribute(1)>
Public Overrides Function Find (
    names As String(),
    values As TypedValue()
) As IResourceIndexEntry
<ObsoleteAttribute("Please use Find(Predicate<IResourceIndexEntry> Match)")>
<MaximumVersionAttribute(1)>
<MinimumVersionAttribute(1)>
Public Overrides Function Find (
    names As String(),
    values As TypedValue()
) As IResourceIndexEntry
public:
[ObsoleteAttribute(L"Please use Find(Predicate<IResourceIndexEntry> Match)")]
[MaximumVersionAttribute(1)]
[MinimumVersionAttribute(1)]
virtual IResourceIndexEntry^ Find(
    array<String^>^ names,
    array<TypedValue^>^ values
) override
public:
[ObsoleteAttribute(L"Please use Find(Predicate<IResourceIndexEntry> Match)")]
[MaximumVersionAttribute(1)]
[MinimumVersionAttribute(1)]
virtual IResourceIndexEntry^ Find(
    array<String^>^ names,
    array<TypedValue^>^ values
) override
Parameters
names
Type:    Online System String
Names of fields to compare
values
Type:  s3pi.Interfaces TypedValue
Fields to compare against
Return Value
Type: IResourceIndexEntry
The first match, if any; otherwise null.
Implements
IPackage Find( String ,  TypedValue )
See Also
Package Class
Package Members
Find Overload
s3pi.Package Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Package.Find Method (UInt32, IResourceIndexEntry)

Package Find Method (UInt32, IResourceIndexEntry) s3pi library documentation
Searches for an element that matches the conditions defined by flags and values, and returns the first occurrence within the package index./>.

Namespace: s3pi.Package
Assembly: s3pi.Package (in s3pi.Package.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[MaximumVersionAttribute(1)]
[MinimumVersionAttribute(1)]
[ObsoleteAttribute("Please use Find(Predicate<IResourceIndexEntry> Match)")]
public override IResourceIndexEntry Find(
    uint flags,
    IResourceIndexEntry values
)
[MaximumVersionAttribute(1)]
[MinimumVersionAttribute(1)]
[ObsoleteAttribute("Please use Find(Predicate<IResourceIndexEntry> Match)")]
public override IResourceIndexEntry Find(
    uint flags,
    IResourceIndexEntry values
)
<MaximumVersionAttribute(1)>
<MinimumVersionAttribute(1)>
<ObsoleteAttribute("Please use Find(Predicate<IResourceIndexEntry> Match)")>
Public Overrides Function Find (
    flags As UInteger,
    values As IResourceIndexEntry
) As IResourceIndexEntry
<MaximumVersionAttribute(1)>
<MinimumVersionAttribute(1)>
<ObsoleteAttribute("Please use Find(Predicate<IResourceIndexEntry> Match)")>
Public Overrides Function Find (
    flags As UInteger,
    values As IResourceIndexEntry
) As IResourceIndexEntry
public:
[MaximumVersionAttribute(1)]
[MinimumVersionAttribute(1)]
[ObsoleteAttribute(L"Please use Find(Predicate<IResourceIndexEntry> Match)")]
virtual IResourceIndexEntry^ Find(
    unsigned int flags,
    IResourceIndexEntry^ values
) override
public:
[MaximumVersionAttribute(1)]
[MinimumVersionAttribute(1)]
[ObsoleteAttribute(L"Please use Find(Predicate<IResourceIndexEntry> Match)")]
virtual IResourceIndexEntry^ Find(
    unsigned int flags,
    IResourceIndexEntry^ values
) override
Parameters
flags
Type:   Online System UInt32
True bits enable matching against numerically equivalent values entry
values
Type: s3pi.Interfaces IResourceIndexEntry
Fields to compare against
Return Value
Type: IResourceIndexEntry
The first match, if any; otherwise null.
Implements
IPackage Find(UInt32, IResourceIndexEntry)
See Also
Package Class
Package Members
Find Overload
s3pi.Package Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Package.FindAll Method

Package FindAll Method s3pi library documentation
Overload List
 | Name | Description
Public method | FindAll(Predicate IResourceIndexEntry ) | Searches the entire IPackage for all IResourceIndexEntrys that matches the conditions defined by the Predicate<IResourceIndexEntry>Match. (Overrides APackage FindAll(Predicate IResourceIndexEntry ).)
Public method | FindAll( String , TypedValue ) | Obsolete. Searches the entire IPackage for all IResourceIndexEntrys that matches the conditions defined by names and values. (Overrides APackage FindAll( String , TypedValue ).)
Public method | FindAll(UInt32, IResourceIndexEntry) | Obsolete. Searches the entire IPackage for all IResourceIndexEntrys that matches the conditions defined by flags and values. (Overrides APackage FindAll(UInt32, IResourceIndexEntry).)
Back to Top
See Also
Package Class
Package Members
s3pi.Package Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Package.FindAll Method (Predicate(IResourceIndexEntry))

Package FindAll Method (Predicate IResourceIndexEntry ) s3pi library documentation
Searches the entire IPackage for all IResourceIndexEntrys that matches the conditions defined by the Predicate<IResourceIndexEntry>Match.

Namespace: s3pi.Package
Assembly: s3pi.Package (in s3pi.Package.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[MaximumVersionAttribute(1)]
[MinimumVersionAttribute(1)]
public override List<IResourceIndexEntry> FindAll(
    Predicate<IResourceIndexEntry> Match
)
[MaximumVersionAttribute(1)]
[MinimumVersionAttribute(1)]
public override List<IResourceIndexEntry> FindAll(
    Predicate<IResourceIndexEntry> Match
)
<MaximumVersionAttribute(1)>
<MinimumVersionAttribute(1)>
Public Overrides Function FindAll (
    Match As Predicate(Of IResourceIndexEntry)
) As List(Of IResourceIndexEntry)
<MaximumVersionAttribute(1)>
<MinimumVersionAttribute(1)>
Public Overrides Function FindAll (
    Match As Predicate(Of IResourceIndexEntry)
) As List(Of IResourceIndexEntry)
public:
[MaximumVersionAttribute(1)]
[MinimumVersionAttribute(1)]
virtual List<IResourceIndexEntry^>^ FindAll(
    Predicate<IResourceIndexEntry^>^ Match
) override
public:
[MaximumVersionAttribute(1)]
[MinimumVersionAttribute(1)]
virtual List<IResourceIndexEntry^>^ FindAll(
    Predicate<IResourceIndexEntry^>^ Match
) override
Parameters
Match
Type:   Online System Predicate  IResourceIndexEntry
Predicate<IResourceIndexEntry> defining matching conditions.
Return Value
Type:   Online List  IResourceIndexEntry
Zero or more matches.
Implements
IPackage FindAll(Predicate IResourceIndexEntry )
Remarks
Note that entries marked as deleted will not be returned.
See Also
Package Class
Package Members
FindAll Overload
s3pi.Package Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Package.FindAll Method (String[], TypedValue[])

Package FindAll Method ( String , TypedValue ) s3pi library documentation
Searches the entire IPackage for all IResourceIndexEntrys that matches the conditions defined by names and values.

Namespace: s3pi.Package
Assembly: s3pi.Package (in s3pi.Package.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[MinimumVersionAttribute(1)]
[MaximumVersionAttribute(1)]
[ObsoleteAttribute("Please use FindAll(Predicate<IResourceIndexEntry> Match)")]
public override List<IResourceIndexEntry> FindAll(
    string[] names,
    TypedValue[] values
)
[MinimumVersionAttribute(1)]
[MaximumVersionAttribute(1)]
[ObsoleteAttribute("Please use FindAll(Predicate<IResourceIndexEntry> Match)")]
public override List<IResourceIndexEntry> FindAll(
    string[] names,
    TypedValue[] values
)
<MinimumVersionAttribute(1)>
<MaximumVersionAttribute(1)>
<ObsoleteAttribute("Please use FindAll(Predicate<IResourceIndexEntry> Match)")>
Public Overrides Function FindAll (
    names As String(),
    values As TypedValue()
) As List(Of IResourceIndexEntry)
<MinimumVersionAttribute(1)>
<MaximumVersionAttribute(1)>
<ObsoleteAttribute("Please use FindAll(Predicate<IResourceIndexEntry> Match)")>
Public Overrides Function FindAll (
    names As String(),
    values As TypedValue()
) As List(Of IResourceIndexEntry)
public:
[MinimumVersionAttribute(1)]
[MaximumVersionAttribute(1)]
[ObsoleteAttribute(L"Please use FindAll(Predicate<IResourceIndexEntry> Match)")]
virtual List<IResourceIndexEntry^>^ FindAll(
    array<String^>^ names,
    array<TypedValue^>^ values
) override
public:
[MinimumVersionAttribute(1)]
[MaximumVersionAttribute(1)]
[ObsoleteAttribute(L"Please use FindAll(Predicate<IResourceIndexEntry> Match)")]
virtual List<IResourceIndexEntry^>^ FindAll(
    array<String^>^ names,
    array<TypedValue^>^ values
) override
Parameters
names
Type:    Online System String
Names of IResourceIndexEntry fields to compare.
values
Type:  s3pi.Interfaces TypedValue
Field values to compare against.
Return Value
Type:   Online List  IResourceIndexEntry
An IList<IResourceIndexEntry> of zero or more matches.
Implements
IPackage FindAll( String ,  TypedValue )
See Also
Package Class
Package Members
FindAll Overload
s3pi.Package Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Package.FindAll Method (UInt32, IResourceIndexEntry)

Package FindAll Method (UInt32, IResourceIndexEntry) s3pi library documentation
Searches the entire IPackage for all IResourceIndexEntrys that matches the conditions defined by flags and values.

Namespace: s3pi.Package
Assembly: s3pi.Package (in s3pi.Package.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[ObsoleteAttribute("Please use FindAll(Predicate<IResourceIndexEntry> Match)")]
[MinimumVersionAttribute(1)]
[MaximumVersionAttribute(1)]
public override List<IResourceIndexEntry> FindAll(
    uint flags,
    IResourceIndexEntry values
)
[ObsoleteAttribute("Please use FindAll(Predicate<IResourceIndexEntry> Match)")]
[MinimumVersionAttribute(1)]
[MaximumVersionAttribute(1)]
public override List<IResourceIndexEntry> FindAll(
    uint flags,
    IResourceIndexEntry values
)
<ObsoleteAttribute("Please use FindAll(Predicate<IResourceIndexEntry> Match)")>
<MinimumVersionAttribute(1)>
<MaximumVersionAttribute(1)>
Public Overrides Function FindAll (
    flags As UInteger,
    values As IResourceIndexEntry
) As List(Of IResourceIndexEntry)
<ObsoleteAttribute("Please use FindAll(Predicate<IResourceIndexEntry> Match)")>
<MinimumVersionAttribute(1)>
<MaximumVersionAttribute(1)>
Public Overrides Function FindAll (
    flags As UInteger,
    values As IResourceIndexEntry
) As List(Of IResourceIndexEntry)
public:
[ObsoleteAttribute(L"Please use FindAll(Predicate<IResourceIndexEntry> Match)")]
[MinimumVersionAttribute(1)]
[MaximumVersionAttribute(1)]
virtual List<IResourceIndexEntry^>^ FindAll(
    unsigned int flags,
    IResourceIndexEntry^ values
) override
public:
[ObsoleteAttribute(L"Please use FindAll(Predicate<IResourceIndexEntry> Match)")]
[MinimumVersionAttribute(1)]
[MaximumVersionAttribute(1)]
virtual List<IResourceIndexEntry^>^ FindAll(
    unsigned int flags,
    IResourceIndexEntry^ values
) override
Parameters
flags
Type:   Online System UInt32
True bits enable matching against numerically equivalent values entry.
values
Type: s3pi.Interfaces IResourceIndexEntry
Field values to compare against.
Return Value
Type:   Online List  IResourceIndexEntry
An IList<IResourceIndexEntry> of zero or more matches.
Implements
IPackage FindAll(UInt32, IResourceIndexEntry)
See Also
Package Class
Package Members
FindAll Overload
s3pi.Package Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Package.GetResource Method

Package GetResource Method s3pi library documentation
Required internally by s3pi - not for use in user tools. Please use WrapperDealer.GetResource(int, IPackage, IResourceIndexEntry) instead.

Namespace: s3pi.Package
Assembly: s3pi.Package (in s3pi.Package.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override Stream GetResource(
    IResourceIndexEntry rc
)
public override Stream GetResource(
    IResourceIndexEntry rc
)
Public Overrides Function GetResource (
    rc As IResourceIndexEntry
) As Stream
Public Overrides Function GetResource (
    rc As IResourceIndexEntry
) As Stream
public:
virtual Stream^ GetResource(
    IResourceIndexEntry^ rc
) override
public:
virtual Stream^ GetResource(
    IResourceIndexEntry^ rc
) override
Parameters
rc
Type: s3pi.Interfaces IResourceIndexEntry
IResourceIndexEntry of resource
Return Value
Type:   Online Stream
The resource data (uncompressed, if necessary)
Remarks
Used by WrapperDealer to get the data for a resource.
See Also
Package Class
Package Members
s3pi.Package Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Package.NewPackage Method

Package NewPackage Method s3pi library documentation
Overload List
Name | Description
NewPackage(Int32) | Initialise a new, empty package and return the IPackage reference
NewPackage(Int32, Int32) | Initialise a new, empty package and return the IPackage reference
Back to Top
See Also
Package Class
Package Members
s3pi.Package Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Package.NewPackage Method (Int32)

Package NewPackage Method (Int32) s3pi library documentation
Initialise a new, empty package and return the IPackage reference

Namespace: s3pi.Package
Assembly: s3pi.Package (in s3pi.Package.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static IPackage NewPackage(
    int APIversion
)
public static IPackage NewPackage(
    int APIversion
)
Public Shared Function NewPackage (
    APIversion As Integer
) As IPackage
Public Shared Function NewPackage (
    APIversion As Integer
) As IPackage
public:
static IPackage^ NewPackage(
    int APIversion
)
public:
static IPackage^ NewPackage(
    int APIversion
)
Parameters
APIversion
Type:   Online System Int32
(unused)
Return Value
Type: IPackage
IPackage reference to an empty package
See Also
Package Class
Package Members
NewPackage Overload
s3pi.Package Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Package.NewPackage Method (Int32, Int32)

Package NewPackage Method (Int32, Int32) s3pi library documentation
Initialise a new, empty package and return the IPackage reference

Namespace: s3pi.Package
Assembly: s3pi.Package (in s3pi.Package.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static IPackage NewPackage(
    int APIversion,
    int major
)
public static IPackage NewPackage(
    int APIversion,
    int major
)
Public Shared Function NewPackage (
    APIversion As Integer,
    major As Integer
) As IPackage
Public Shared Function NewPackage (
    APIversion As Integer,
    major As Integer
) As IPackage
public:
static IPackage^ NewPackage(
    int APIversion,
    int major
)
public:
static IPackage^ NewPackage(
    int APIversion,
    int major
)
Parameters
APIversion
Type:   Online System Int32
(unused)
major
Type:   Online System Int32
Major version for the DBPF package.
Return Value
Type: IPackage
IPackage reference to an empty package
See Also
Package Class
Package Members
NewPackage Overload
s3pi.Package Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Package.OpenPackage Method

Package OpenPackage Method s3pi library documentation
Overload List
Name | Description
OpenPackage(Int32, String) | Open an existing package by filename, read only
OpenPackage(Int32, String, Boolean) | Open an existing package by filename, optionally readwrite
Back to Top
See Also
Package Class
Package Members
s3pi.Package Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Package.OpenPackage Method (Int32, String)

Package OpenPackage Method (Int32, String) s3pi library documentation
Open an existing package by filename, read only

Namespace: s3pi.Package
Assembly: s3pi.Package (in s3pi.Package.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static IPackage OpenPackage(
    int APIversion,
    string packagePath
)
public static IPackage OpenPackage(
    int APIversion,
    string packagePath
)
Public Shared Function OpenPackage (
    APIversion As Integer,
    packagePath As String
) As IPackage
Public Shared Function OpenPackage (
    APIversion As Integer,
    packagePath As String
) As IPackage
public:
static IPackage^ OpenPackage(
    int APIversion,
    String^ packagePath
)
public:
static IPackage^ OpenPackage(
    int APIversion,
    String^ packagePath
)
Parameters
APIversion
Type:   Online System Int32
(unused)
packagePath
Type:   Online System String
Fully qualified filename of the package
Return Value
Type: IPackage
IPackage reference to an existing package on disk
Exceptions
Exception | Condition
Online System ArgumentNullException | packagePath is null.
Online System.IO FileNotFoundException | The file cannot be found.
Online System.IO DirectoryNotFoundException | packagePath is invalid, such as being on an unmapped drive.
Online System.IO PathTooLongException | packagePath, or a component of the file name, exceeds the system-defined maximum length. For example, on Windows-based platforms, paths must be less than 248 characters, and file names must be less than 260 characters.
Online System ArgumentException | packagePath is an empty string (""), contains only white space, or contains one or more invalid characters. -or- packagePath refers to a non-file device, such as "con:", "com1:", "lpt1:", etc. in an NTFS environment.
Online System NotSupportedException | packagePath refers to a non-file device, such as "con:", "com1:", "lpt1:", etc. in a non-NTFS environment.
Online System.Security SecurityException | The caller does not have the required permission.
Online System.IO InvalidDataException | Thrown if the package header is malformed.
See Also
Package Class
Package Members
OpenPackage Overload
s3pi.Package Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Package.OpenPackage Method (Int32, String, Boolean)

Package OpenPackage Method (Int32, String, Boolean) s3pi library documentation
Open an existing package by filename, optionally readwrite

Namespace: s3pi.Package
Assembly: s3pi.Package (in s3pi.Package.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static IPackage OpenPackage(
    int APIversion,
    string packagePath,
    bool readwrite
)
public static IPackage OpenPackage(
    int APIversion,
    string packagePath,
    bool readwrite
)
Public Shared Function OpenPackage (
    APIversion As Integer,
    packagePath As String,
    readwrite As Boolean
) As IPackage
Public Shared Function OpenPackage (
    APIversion As Integer,
    packagePath As String,
    readwrite As Boolean
) As IPackage
public:
static IPackage^ OpenPackage(
    int APIversion,
    String^ packagePath,
    bool readwrite
)
public:
static IPackage^ OpenPackage(
    int APIversion,
    String^ packagePath,
    bool readwrite
)
Parameters
APIversion
Type:   Online System Int32
(unused)
packagePath
Type:   Online System String
Fully qualified filename of the package
readwrite
Type:   Online System Boolean
True to indicate read/write access required
Return Value
Type: IPackage
IPackage reference to an existing package on disk
Exceptions
Exception | Condition
Online System ArgumentNullException | packagePath is null.
Online System.IO FileNotFoundException | The file cannot be found.
Online System.IO DirectoryNotFoundException | packagePath is invalid, such as being on an unmapped drive.
Online System.IO PathTooLongException | packagePath, or a component of the file name, exceeds the system-defined maximum length. For example, on Windows-based platforms, paths must be less than 248 characters, and file names must be less than 260 characters.
Online System ArgumentException | packagePath is an empty string (""), contains only white space, or contains one or more invalid characters. -or- packagePath refers to a non-file device, such as "con:", "com1:", "lpt1:", etc. in an NTFS environment.
Online System NotSupportedException | packagePath refers to a non-file device, such as "con:", "com1:", "lpt1:", etc. in a non-NTFS environment.
Online System.Security SecurityException | The caller does not have the required permission.
Online System UnauthorizedAccessException | The access requested is not permitted by the operating system for packagePath, such as when access is ReadWrite and the file or directory is set for read-only access.
Online System.IO InvalidDataException | Thrown if the package header is malformed.
See Also
Package Class
Package Members
OpenPackage Overload
s3pi.Package Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Package.ReplaceResource Method

Package ReplaceResource Method s3pi library documentation
Tell the package to replace the data for the resource indexed by rc with the data from the resource res

Namespace: s3pi.Package
Assembly: s3pi.Package (in s3pi.Package.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override void ReplaceResource(
    IResourceIndexEntry rc,
    IResource res
)
public override void ReplaceResource(
    IResourceIndexEntry rc,
    IResource res
)
Public Overrides Sub ReplaceResource (
    rc As IResourceIndexEntry,
    res As IResource
)
Public Overrides Sub ReplaceResource (
    rc As IResourceIndexEntry,
    res As IResource
)
public:
virtual void ReplaceResource(
    IResourceIndexEntry^ rc,
    IResource^ res
) override
public:
virtual void ReplaceResource(
    IResourceIndexEntry^ rc,
    IResource^ res
) override
Parameters
rc
Type: s3pi.Interfaces IResourceIndexEntry
Target resource index
res
Type: s3pi.Interfaces IResource
Source resource
Implements
IPackage ReplaceResource(IResourceIndexEntry, IResource)
See Also
Package Class
Package Members
s3pi.Package Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Package.SaveAs Method

Package SaveAs Method s3pi library documentation
Overload List
 | Name | Description
Public method | SaveAs(Stream) | Save the package to a given stream (Overrides APackage SaveAs(Stream).)
Public method | SaveAs(String) | Save the package to a given file (Overrides APackage SaveAs(String).)
Back to Top
See Also
Package Class
Package Members
s3pi.Package Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Package.SaveAs Method (Stream)

Package SaveAs Method (Stream) s3pi library documentation
Save the package to a given stream

Namespace: s3pi.Package
Assembly: s3pi.Package (in s3pi.Package.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[MinimumVersionAttribute(1)]
[MaximumVersionAttribute(1)]
public override void SaveAs(
    Stream s
)
[MinimumVersionAttribute(1)]
[MaximumVersionAttribute(1)]
public override void SaveAs(
    Stream s
)
<MinimumVersionAttribute(1)>
<MaximumVersionAttribute(1)>
Public Overrides Sub SaveAs (
    s As Stream
)
<MinimumVersionAttribute(1)>
<MaximumVersionAttribute(1)>
Public Overrides Sub SaveAs (
    s As Stream
)
public:
[MinimumVersionAttribute(1)]
[MaximumVersionAttribute(1)]
virtual void SaveAs(
    Stream^ s
) override
public:
[MinimumVersionAttribute(1)]
[MaximumVersionAttribute(1)]
virtual void SaveAs(
    Stream^ s
) override
Parameters
s
Type:   Online System.IO Stream
Stream to save to
Implements
IPackage SaveAs(Stream)
See Also
Package Class
Package Members
SaveAs Overload
s3pi.Package Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Package.SaveAs Method (String)

Package SaveAs Method (String) s3pi library documentation
Save the package to a given file

Namespace: s3pi.Package
Assembly: s3pi.Package (in s3pi.Package.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[MinimumVersionAttribute(1)]
[MaximumVersionAttribute(1)]
public override void SaveAs(
    string path
)
[MinimumVersionAttribute(1)]
[MaximumVersionAttribute(1)]
public override void SaveAs(
    string path
)
<MinimumVersionAttribute(1)>
<MaximumVersionAttribute(1)>
Public Overrides Sub SaveAs (
    path As String
)
<MinimumVersionAttribute(1)>
<MaximumVersionAttribute(1)>
Public Overrides Sub SaveAs (
    path As String
)
public:
[MinimumVersionAttribute(1)]
[MaximumVersionAttribute(1)]
virtual void SaveAs(
    String^ path
) override
public:
[MinimumVersionAttribute(1)]
[MaximumVersionAttribute(1)]
virtual void SaveAs(
    String^ path
) override
Parameters
path
Type:   Online System String
File to save to - will be overwritten or created
Implements
IPackage SaveAs(String)
See Also
Package Class
Package Members
SaveAs Overload
s3pi.Package Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Package.SavePackage Method

Package SavePackage Method s3pi library documentation
Tell the package to save itself to wherever it believes it came from

Namespace: s3pi.Package
Assembly: s3pi.Package (in s3pi.Package.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[MaximumVersionAttribute(1)]
[MinimumVersionAttribute(1)]
public override void SavePackage()
[MaximumVersionAttribute(1)]
[MinimumVersionAttribute(1)]
public override void SavePackage()
<MaximumVersionAttribute(1)>
<MinimumVersionAttribute(1)>
Public Overrides Sub SavePackage
<MaximumVersionAttribute(1)>
<MinimumVersionAttribute(1)>
Public Overrides Sub SavePackage
public:
[MaximumVersionAttribute(1)]
[MinimumVersionAttribute(1)]
virtual void SavePackage() override
public:
[MaximumVersionAttribute(1)]
[MinimumVersionAttribute(1)]
virtual void SavePackage() override
Implements
IPackage SavePackage
See Also
Package Class
Package Members
s3pi.Package Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Package Properties

Package Properties s3pi library documentation
The Package type exposes the following members.
Properties
 | Name | Description
Public property | GetResourceList | Package index: the index (Overrides APackage GetResourceList.)
Public property | HeaderStream | A MemoryStream covering the package header bytes (Overrides APackage HeaderStream.)
Public property | Indexcount | Package header: number of entries in the package index (Overrides APackage Indexcount.)
Public property | Indexposition | Package header: index position in file (Overrides APackage Indexposition.)
Public property | Indexsize | Package header: index size on disk in bytes (Overrides APackage Indexsize.)
Public property | Indextype | Package index: the index format in use (Overrides APackage Indextype.)
Public property | Indexversion | Package header: always 3? (Overrides APackage Indexversion.)
Public property | Magic | Package header: "DBPF" bytes (Overrides APackage Magic.)
Public property | Major | Package header: 0x00000002 (Overrides APackage Major.)
Public property | Minor | Package header: 0x00000000 (Overrides APackage Minor.)
Public property | RecommendedApiVersion | The version of the API in use (Overrides AApiVersionedFields RecommendedApiVersion.)
Public property | Unknown1 | Package header: unused (Overrides APackage Unknown1.)
Public property | Unknown2 | Package header: unused (Overrides APackage Unknown2.)
Public property | Unknown3 | Package header: unused (Overrides APackage Unknown3.)
Public property | Unknown4 | Package header: unused (Overrides APackage Unknown4.)
Back to Top
See Also
Package Class
s3pi.Package Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Package.GetResourceList Property

Package GetResourceList Property s3pi library documentation
Package index: the index

Namespace: s3pi.Package
Assembly: s3pi.Package (in s3pi.Package.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[ElementPriorityAttribute(14)]
public override List<IResourceIndexEntry> GetResourceList { get; }
[ElementPriorityAttribute(14)]
public override List<IResourceIndexEntry> GetResourceList { get; }
<ElementPriorityAttribute(14)>
Public Overrides ReadOnly Property GetResourceList As List(Of IResourceIndexEntry)
    Get
<ElementPriorityAttribute(14)>
Public Overrides ReadOnly Property GetResourceList As List(Of IResourceIndexEntry)
    Get
public:
[ElementPriorityAttribute(14)]
virtual property List<IResourceIndexEntry^>^ GetResourceList {
    List<IResourceIndexEntry^>^ get () override;
}
public:
[ElementPriorityAttribute(14)]
virtual property List<IResourceIndexEntry^>^ GetResourceList {
    List<IResourceIndexEntry^>^ get () override;
}
Property Value
Type:   Online List  IResourceIndexEntry
Implements
IPackage GetResourceList
See Also
Package Class
Package Members
s3pi.Package Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Package.HeaderStream Property

Package HeaderStream Property s3pi library documentation
A MemoryStream covering the package header bytes

Namespace: s3pi.Package
Assembly: s3pi.Package (in s3pi.Package.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[ElementPriorityAttribute(12)]
public override Stream HeaderStream { get; }
[ElementPriorityAttribute(12)]
public override Stream HeaderStream { get; }
<ElementPriorityAttribute(12)>
Public Overrides ReadOnly Property HeaderStream As Stream
    Get
<ElementPriorityAttribute(12)>
Public Overrides ReadOnly Property HeaderStream As Stream
    Get
public:
[ElementPriorityAttribute(12)]
virtual property Stream^ HeaderStream {
    Stream^ get () override;
}
public:
[ElementPriorityAttribute(12)]
virtual property Stream^ HeaderStream {
    Stream^ get () override;
}
Property Value
Type:   Online Stream
Implements
IPackage HeaderStream
See Also
Package Class
Package Members
s3pi.Package Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Package.Indexcount Property

Package Indexcount Property s3pi library documentation
Package header: number of entries in the package index

Namespace: s3pi.Package
Assembly: s3pi.Package (in s3pi.Package.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[ElementPriorityAttribute(5)]
public override int Indexcount { get; }
[ElementPriorityAttribute(5)]
public override int Indexcount { get; }
<ElementPriorityAttribute(5)>
Public Overrides ReadOnly Property Indexcount As Integer
    Get
<ElementPriorityAttribute(5)>
Public Overrides ReadOnly Property Indexcount As Integer
    Get
public:
[ElementPriorityAttribute(5)]
virtual property int Indexcount {
    int get () override;
}
public:
[ElementPriorityAttribute(5)]
virtual property int Indexcount {
    int get () override;
}
Property Value
Type:   Online Int32
Implements
IPackage Indexcount
See Also
Package Class
Package Members
s3pi.Package Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Package.Indexposition Property

Package Indexposition Property s3pi library documentation
Package header: index position in file

Namespace: s3pi.Package
Assembly: s3pi.Package (in s3pi.Package.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[ElementPriorityAttribute(10)]
public override int Indexposition { get; }
[ElementPriorityAttribute(10)]
public override int Indexposition { get; }
<ElementPriorityAttribute(10)>
Public Overrides ReadOnly Property Indexposition As Integer
    Get
<ElementPriorityAttribute(10)>
Public Overrides ReadOnly Property Indexposition As Integer
    Get
public:
[ElementPriorityAttribute(10)]
virtual property int Indexposition {
    int get () override;
}
public:
[ElementPriorityAttribute(10)]
virtual property int Indexposition {
    int get () override;
}
Property Value
Type:   Online Int32
Implements
IPackage Indexposition
See Also
Package Class
Package Members
s3pi.Package Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Package.Indexsize Property

Package Indexsize Property s3pi library documentation
Package header: index size on disk in bytes

Namespace: s3pi.Package
Assembly: s3pi.Package (in s3pi.Package.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[ElementPriorityAttribute(7)]
public override int Indexsize { get; }
[ElementPriorityAttribute(7)]
public override int Indexsize { get; }
<ElementPriorityAttribute(7)>
Public Overrides ReadOnly Property Indexsize As Integer
    Get
<ElementPriorityAttribute(7)>
Public Overrides ReadOnly Property Indexsize As Integer
    Get
public:
[ElementPriorityAttribute(7)]
virtual property int Indexsize {
    int get () override;
}
public:
[ElementPriorityAttribute(7)]
virtual property int Indexsize {
    int get () override;
}
Property Value
Type:   Online Int32
Implements
IPackage Indexsize
See Also
Package Class
Package Members
s3pi.Package Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Package.Indextype Property

Package Indextype Property s3pi library documentation
Package index: the index format in use

Namespace: s3pi.Package
Assembly: s3pi.Package (in s3pi.Package.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[ElementPriorityAttribute(13)]
public override uint Indextype { get; }
[ElementPriorityAttribute(13)]
public override uint Indextype { get; }
<ElementPriorityAttribute(13)>
Public Overrides ReadOnly Property Indextype As UInteger
    Get
<ElementPriorityAttribute(13)>
Public Overrides ReadOnly Property Indextype As UInteger
    Get
public:
[ElementPriorityAttribute(13)]
virtual property unsigned int Indextype {
    unsigned int get () override;
}
public:
[ElementPriorityAttribute(13)]
virtual property unsigned int Indextype {
    unsigned int get () override;
}
Property Value
Type:   Online UInt32
Implements
IPackage Indextype
See Also
Package Class
Package Members
s3pi.Package Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Package.Indexversion Property

Package Indexversion Property s3pi library documentation
Package header: always 3?

Namespace: s3pi.Package
Assembly: s3pi.Package (in s3pi.Package.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[ElementPriorityAttribute(9)]
public override int Indexversion { get; }
[ElementPriorityAttribute(9)]
public override int Indexversion { get; }
<ElementPriorityAttribute(9)>
Public Overrides ReadOnly Property Indexversion As Integer
    Get
<ElementPriorityAttribute(9)>
Public Overrides ReadOnly Property Indexversion As Integer
    Get
public:
[ElementPriorityAttribute(9)]
virtual property int Indexversion {
    int get () override;
}
public:
[ElementPriorityAttribute(9)]
virtual property int Indexversion {
    int get () override;
}
Property Value
Type:   Online Int32
Implements
IPackage Indexversion
See Also
Package Class
Package Members
s3pi.Package Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Package.Magic Property

Package Magic Property s3pi library documentation
Package header: "DBPF" bytes

Namespace: s3pi.Package
Assembly: s3pi.Package (in s3pi.Package.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[ElementPriorityAttribute(1)]
public override byte[] Magic { get; }
[ElementPriorityAttribute(1)]
public override byte[] Magic { get; }
<ElementPriorityAttribute(1)>
Public Overrides ReadOnly Property Magic As Byte()
    Get
<ElementPriorityAttribute(1)>
Public Overrides ReadOnly Property Magic As Byte()
    Get
public:
[ElementPriorityAttribute(1)]
virtual property array<unsigned char>^ Magic {
    array<unsigned char>^ get () override;
}
public:
[ElementPriorityAttribute(1)]
virtual property array<unsigned char>^ Magic {
    array<unsigned char>^ get () override;
}
Property Value
Type:    Online Byte
Implements
IPackage Magic
See Also
Package Class
Package Members
s3pi.Package Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Package.Major Property

Package Major Property s3pi library documentation
Package header: 0x00000002

Namespace: s3pi.Package
Assembly: s3pi.Package (in s3pi.Package.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[ElementPriorityAttribute(2)]
public override int Major { get; }
[ElementPriorityAttribute(2)]
public override int Major { get; }
<ElementPriorityAttribute(2)>
Public Overrides ReadOnly Property Major As Integer
    Get
<ElementPriorityAttribute(2)>
Public Overrides ReadOnly Property Major As Integer
    Get
public:
[ElementPriorityAttribute(2)]
virtual property int Major {
    int get () override;
}
public:
[ElementPriorityAttribute(2)]
virtual property int Major {
    int get () override;
}
Property Value
Type:   Online Int32
Implements
IPackage Major
See Also
Package Class
Package Members
s3pi.Package Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Package.Minor Property

Package Minor Property s3pi library documentation
Package header: 0x00000000

Namespace: s3pi.Package
Assembly: s3pi.Package (in s3pi.Package.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[ElementPriorityAttribute(3)]
public override int Minor { get; }
[ElementPriorityAttribute(3)]
public override int Minor { get; }
<ElementPriorityAttribute(3)>
Public Overrides ReadOnly Property Minor As Integer
    Get
<ElementPriorityAttribute(3)>
Public Overrides ReadOnly Property Minor As Integer
    Get
public:
[ElementPriorityAttribute(3)]
virtual property int Minor {
    int get () override;
}
public:
[ElementPriorityAttribute(3)]
virtual property int Minor {
    int get () override;
}
Property Value
Type:   Online Int32
Implements
IPackage Minor
See Also
Package Class
Package Members
s3pi.Package Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Package.RecommendedApiVersion Property

Package RecommendedApiVersion Property s3pi library documentation
The version of the API in use

Namespace: s3pi.Package
Assembly: s3pi.Package (in s3pi.Package.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override int RecommendedApiVersion { get; }
public override int RecommendedApiVersion { get; }
Public Overrides ReadOnly Property RecommendedApiVersion As Integer
    Get
Public Overrides ReadOnly Property RecommendedApiVersion As Integer
    Get
public:
virtual property int RecommendedApiVersion {
    int get () override;
}
public:
virtual property int RecommendedApiVersion {
    int get () override;
}
Property Value
Type:   Online Int32
Implements
IApiVersion RecommendedApiVersion
See Also
Package Class
Package Members
s3pi.Package Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Package.Unknown1 Property

Package Unknown1 Property s3pi library documentation
Package header: unused

Namespace: s3pi.Package
Assembly: s3pi.Package (in s3pi.Package.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[ElementPriorityAttribute(4)]
public override byte[] Unknown1 { get; }
[ElementPriorityAttribute(4)]
public override byte[] Unknown1 { get; }
<ElementPriorityAttribute(4)>
Public Overrides ReadOnly Property Unknown1 As Byte()
    Get
<ElementPriorityAttribute(4)>
Public Overrides ReadOnly Property Unknown1 As Byte()
    Get
public:
[ElementPriorityAttribute(4)]
virtual property array<unsigned char>^ Unknown1 {
    array<unsigned char>^ get () override;
}
public:
[ElementPriorityAttribute(4)]
virtual property array<unsigned char>^ Unknown1 {
    array<unsigned char>^ get () override;
}
Property Value
Type:    Online Byte
Implements
IPackage Unknown1
See Also
Package Class
Package Members
s3pi.Package Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Package.Unknown2 Property

Package Unknown2 Property s3pi library documentation
Package header: unused

Namespace: s3pi.Package
Assembly: s3pi.Package (in s3pi.Package.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[ElementPriorityAttribute(6)]
public override byte[] Unknown2 { get; }
[ElementPriorityAttribute(6)]
public override byte[] Unknown2 { get; }
<ElementPriorityAttribute(6)>
Public Overrides ReadOnly Property Unknown2 As Byte()
    Get
<ElementPriorityAttribute(6)>
Public Overrides ReadOnly Property Unknown2 As Byte()
    Get
public:
[ElementPriorityAttribute(6)]
virtual property array<unsigned char>^ Unknown2 {
    array<unsigned char>^ get () override;
}
public:
[ElementPriorityAttribute(6)]
virtual property array<unsigned char>^ Unknown2 {
    array<unsigned char>^ get () override;
}
Property Value
Type:    Online Byte
Implements
IPackage Unknown2
See Also
Package Class
Package Members
s3pi.Package Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Package.Unknown3 Property

Package Unknown3 Property s3pi library documentation
Package header: unused

Namespace: s3pi.Package
Assembly: s3pi.Package (in s3pi.Package.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[ElementPriorityAttribute(8)]
public override byte[] Unknown3 { get; }
[ElementPriorityAttribute(8)]
public override byte[] Unknown3 { get; }
<ElementPriorityAttribute(8)>
Public Overrides ReadOnly Property Unknown3 As Byte()
    Get
<ElementPriorityAttribute(8)>
Public Overrides ReadOnly Property Unknown3 As Byte()
    Get
public:
[ElementPriorityAttribute(8)]
virtual property array<unsigned char>^ Unknown3 {
    array<unsigned char>^ get () override;
}
public:
[ElementPriorityAttribute(8)]
virtual property array<unsigned char>^ Unknown3 {
    array<unsigned char>^ get () override;
}
Property Value
Type:    Online Byte
Implements
IPackage Unknown3
See Also
Package Class
Package Members
s3pi.Package Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Package.Unknown4 Property

Package Unknown4 Property s3pi library documentation
Package header: unused

Namespace: s3pi.Package
Assembly: s3pi.Package (in s3pi.Package.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[ElementPriorityAttribute(11)]
public override byte[] Unknown4 { get; }
[ElementPriorityAttribute(11)]
public override byte[] Unknown4 { get; }
<ElementPriorityAttribute(11)>
Public Overrides ReadOnly Property Unknown4 As Byte()
    Get
<ElementPriorityAttribute(11)>
Public Overrides ReadOnly Property Unknown4 As Byte()
    Get
public:
[ElementPriorityAttribute(11)]
virtual property array<unsigned char>^ Unknown4 {
    array<unsigned char>^ get () override;
}
public:
[ElementPriorityAttribute(11)]
virtual property array<unsigned char>^ Unknown4 {
    array<unsigned char>^ get () override;
}
Property Value
Type:    Online Byte
Implements
IPackage Unknown4
See Also
Package Class
Package Members
s3pi.Package Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ResourceIndexEntry Class

ResourceIndexEntry Class s3pi library documentation
Implementation of an index entry
Inheritance Hierarchy
Online System Object
s3pi.Interfaces AApiVersionedFields
s3pi.Interfaces AHandlerElement
s3pi.Interfaces AResourceKey
s3pi.Interfaces AResourceIndexEntry
s3pi.Package ResourceIndexEntry

Namespace: s3pi.Package
Assembly: s3pi.Package (in s3pi.Package.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public class ResourceIndexEntry : AResourceIndexEntry
public class ResourceIndexEntry : AResourceIndexEntry
Public Class ResourceIndexEntry
    Inherits AResourceIndexEntry
Public Class ResourceIndexEntry
    Inherits AResourceIndexEntry
public ref class ResourceIndexEntry : public AResourceIndexEntry
public ref class ResourceIndexEntry : public AResourceIndexEntry
See Also
ResourceIndexEntry Members
s3pi.Package Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ResourceIndexEntry Members

ResourceIndexEntry Members s3pi library documentation

The ResourceIndexEntry type exposes the following members.
Methods
 | Name | Description
Public method | Clone | Get a copy of this element but with a new change event handler (Overrides AHandlerElement Clone(EventHandler).)
Public method | Equals | Indicates whether the current ResourceIndexEntry instance is equal to another IResourceIndexEntry instance. (Overrides AResourceIndexEntry Equals(IResourceIndexEntry).)
Public method | GetHashCode | Returns the hash code for this instance. (Overrides AResourceIndexEntry GetHashCode .)
Back to Top
Properties
 | Name | Description
Public property | Chunkoffset | If the resource was read from a package, the location in the package the resource was read from (Overrides AResourceIndexEntry Chunkoffset.)
Public property | Compressed | 0xFFFF if Filesize != Memsize, else 0x0000 (Overrides AResourceIndexEntry Compressed.)
Public property | Filesize | The number of bytes the resource uses within the package (Overrides AResourceIndexEntry Filesize.)
Public property | Instance | The "instance" number of the resource (Overrides AResourceKey Instance.)
Public property | IsDeleted | True if the index entry has been deleted from the package index (Overrides AResourceIndexEntry IsDeleted.)
Public property | Memsize | The number of bytes the resource uses in memory (Overrides AResourceIndexEntry Memsize.)
Public property | RecommendedApiVersion | The version of the API in use (Overrides AApiVersionedFields RecommendedApiVersion.)
Public property | ResourceGroup | The "group" the resource is part of (Overrides AResourceKey ResourceGroup.)
Public property | ResourceType | The "type" of the resource (Overrides AResourceKey ResourceType.)
Public property | Stream | A MemoryStream covering the index entry bytes (Overrides AResourceIndexEntry Stream.)
Public property | Unknown2 | Always 0x0001 (Overrides AResourceIndexEntry Unknown2.)
Back to Top
See Also
ResourceIndexEntry Class
s3pi.Package Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ResourceIndexEntry Methods

ResourceIndexEntry Methods s3pi library documentation
The ResourceIndexEntry type exposes the following members.
Methods
 | Name | Description
Public method | Clone | Get a copy of this element but with a new change event handler (Overrides AHandlerElement Clone(EventHandler).)
Public method | Equals | Indicates whether the current ResourceIndexEntry instance is equal to another IResourceIndexEntry instance. (Overrides AResourceIndexEntry Equals(IResourceIndexEntry).)
Public method | GetHashCode | Returns the hash code for this instance. (Overrides AResourceIndexEntry GetHashCode .)
Back to Top
See Also
ResourceIndexEntry Class
s3pi.Package Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ResourceIndexEntry.Clone Method

ResourceIndexEntry Clone Method s3pi library documentation
Get a copy of this element but with a new change event handler

Namespace: s3pi.Package
Assembly: s3pi.Package (in s3pi.Package.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[MinimumVersionAttribute(1)]
[MaximumVersionAttribute(2)]
public override AHandlerElement Clone(
    EventHandler handler
)
[MinimumVersionAttribute(1)]
[MaximumVersionAttribute(2)]
public override AHandlerElement Clone(
    EventHandler handler
)
<MinimumVersionAttribute(1)>
<MaximumVersionAttribute(2)>
Public Overrides Function Clone (
    handler As EventHandler
) As AHandlerElement
<MinimumVersionAttribute(1)>
<MaximumVersionAttribute(2)>
Public Overrides Function Clone (
    handler As EventHandler
) As AHandlerElement
public:
[MinimumVersionAttribute(1)]
[MaximumVersionAttribute(2)]
virtual AHandlerElement^ Clone(
    EventHandler^ handler
) override
public:
[MinimumVersionAttribute(1)]
[MaximumVersionAttribute(2)]
virtual AHandlerElement^ Clone(
    EventHandler^ handler
) override
Parameters
handler
Type:   Online System EventHandler
Element change event handler
Return Value
Type: AHandlerElement
Return a copy of this element but with a new change event handler
See Also
ResourceIndexEntry Class
ResourceIndexEntry Members
s3pi.Package Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ResourceIndexEntry.Equals Method

ResourceIndexEntry Equals Method s3pi library documentation
Indicates whether the current ResourceIndexEntry instance is equal to another IResourceIndexEntry instance.

Namespace: s3pi.Package
Assembly: s3pi.Package (in s3pi.Package.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override bool Equals(
    IResourceIndexEntry other
)
public override bool Equals(
    IResourceIndexEntry other
)
Public Overrides Function Equals (
    other As IResourceIndexEntry
) As Boolean
Public Overrides Function Equals (
    other As IResourceIndexEntry
) As Boolean
public:
virtual bool Equals(
    IResourceIndexEntry^ other
) override
public:
virtual bool Equals(
    IResourceIndexEntry^ other
) override
Parameters
other
Type: s3pi.Interfaces IResourceIndexEntry
An IResourceIndexEntry instance to compare with this instance.
Return Value
Type:   Online Boolean
true if the current instance is equal to the other parameter; otherwise, false.
Implements
  Online IEquatable T  Equals(T)
See Also
ResourceIndexEntry Class
ResourceIndexEntry Members
s3pi.Package Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ResourceIndexEntry.GetHashCode Method

ResourceIndexEntry GetHashCode Method s3pi library documentation
Returns the hash code for this instance.

Namespace: s3pi.Package
Assembly: s3pi.Package (in s3pi.Package.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override int GetHashCode()
public override int GetHashCode()
Public Overrides Function GetHashCode As Integer
Public Overrides Function GetHashCode As Integer
public:
virtual int GetHashCode() override
public:
virtual int GetHashCode() override
Return Value
Type:   Online Int32
A 32-bit signed integer that is the hash code for this instance.
See Also
ResourceIndexEntry Class
ResourceIndexEntry Members
s3pi.Package Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ResourceIndexEntry Properties

ResourceIndexEntry Properties s3pi library documentation
The ResourceIndexEntry type exposes the following members.
Properties
 | Name | Description
Public property | Chunkoffset | If the resource was read from a package, the location in the package the resource was read from (Overrides AResourceIndexEntry Chunkoffset.)
Public property | Compressed | 0xFFFF if Filesize != Memsize, else 0x0000 (Overrides AResourceIndexEntry Compressed.)
Public property | Filesize | The number of bytes the resource uses within the package (Overrides AResourceIndexEntry Filesize.)
Public property | Instance | The "instance" number of the resource (Overrides AResourceKey Instance.)
Public property | IsDeleted | True if the index entry has been deleted from the package index (Overrides AResourceIndexEntry IsDeleted.)
Public property | Memsize | The number of bytes the resource uses in memory (Overrides AResourceIndexEntry Memsize.)
Public property | RecommendedApiVersion | The version of the API in use (Overrides AApiVersionedFields RecommendedApiVersion.)
Public property | ResourceGroup | The "group" the resource is part of (Overrides AResourceKey ResourceGroup.)
Public property | ResourceType | The "type" of the resource (Overrides AResourceKey ResourceType.)
Public property | Stream | A MemoryStream covering the index entry bytes (Overrides AResourceIndexEntry Stream.)
Public property | Unknown2 | Always 0x0001 (Overrides AResourceIndexEntry Unknown2.)
Back to Top
See Also
ResourceIndexEntry Class
s3pi.Package Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ResourceIndexEntry.Chunkoffset Property

ResourceIndexEntry Chunkoffset Property s3pi library documentation
If the resource was read from a package, the location in the package the resource was read from

Namespace: s3pi.Package
Assembly: s3pi.Package (in s3pi.Package.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[MaximumVersionAttribute(2)]
[MinimumVersionAttribute(1)]
public override uint Chunkoffset { get; set; }
[MaximumVersionAttribute(2)]
[MinimumVersionAttribute(1)]
public override uint Chunkoffset { get; set; }
<MaximumVersionAttribute(2)>
<MinimumVersionAttribute(1)>
Public Overrides Property Chunkoffset As UInteger
    Get
    Set
<MaximumVersionAttribute(2)>
<MinimumVersionAttribute(1)>
Public Overrides Property Chunkoffset As UInteger
    Get
    Set
public:
[MaximumVersionAttribute(2)]
[MinimumVersionAttribute(1)]
virtual property unsigned int Chunkoffset {
    unsigned int get () override;
    void set (unsigned int value) override;
}
public:
[MaximumVersionAttribute(2)]
[MinimumVersionAttribute(1)]
virtual property unsigned int Chunkoffset {
    unsigned int get () override;
    void set (unsigned int value) override;
}
Property Value
Type:   Online UInt32
Implements
IResourceIndexEntry Chunkoffset
See Also
ResourceIndexEntry Class
ResourceIndexEntry Members
s3pi.Package Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ResourceIndexEntry.Compressed Property

ResourceIndexEntry Compressed Property s3pi library documentation
0xFFFF if Filesize != Memsize, else 0x0000

Namespace: s3pi.Package
Assembly: s3pi.Package (in s3pi.Package.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[MaximumVersionAttribute(2)]
[MinimumVersionAttribute(1)]
public override ushort Compressed { get; set; }
[MaximumVersionAttribute(2)]
[MinimumVersionAttribute(1)]
public override ushort Compressed { get; set; }
<MaximumVersionAttribute(2)>
<MinimumVersionAttribute(1)>
Public Overrides Property Compressed As UShort
    Get
    Set
<MaximumVersionAttribute(2)>
<MinimumVersionAttribute(1)>
Public Overrides Property Compressed As UShort
    Get
    Set
public:
[MaximumVersionAttribute(2)]
[MinimumVersionAttribute(1)]
virtual property unsigned short Compressed {
    unsigned short get () override;
    void set (unsigned short value) override;
}
public:
[MaximumVersionAttribute(2)]
[MinimumVersionAttribute(1)]
virtual property unsigned short Compressed {
    unsigned short get () override;
    void set (unsigned short value) override;
}
Property Value
Type:   Online UInt16
Implements
IResourceIndexEntry Compressed
See Also
ResourceIndexEntry Class
ResourceIndexEntry Members
s3pi.Package Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ResourceIndexEntry.Filesize Property

ResourceIndexEntry Filesize Property s3pi library documentation
The number of bytes the resource uses within the package

Namespace: s3pi.Package
Assembly: s3pi.Package (in s3pi.Package.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[MinimumVersionAttribute(1)]
[MaximumVersionAttribute(2)]
public override uint Filesize { get; set; }
[MinimumVersionAttribute(1)]
[MaximumVersionAttribute(2)]
public override uint Filesize { get; set; }
<MinimumVersionAttribute(1)>
<MaximumVersionAttribute(2)>
Public Overrides Property Filesize As UInteger
    Get
    Set
<MinimumVersionAttribute(1)>
<MaximumVersionAttribute(2)>
Public Overrides Property Filesize As UInteger
    Get
    Set
public:
[MinimumVersionAttribute(1)]
[MaximumVersionAttribute(2)]
virtual property unsigned int Filesize {
    unsigned int get () override;
    void set (unsigned int value) override;
}
public:
[MinimumVersionAttribute(1)]
[MaximumVersionAttribute(2)]
virtual property unsigned int Filesize {
    unsigned int get () override;
    void set (unsigned int value) override;
}
Property Value
Type:   Online UInt32
Implements
IResourceIndexEntry Filesize
See Also
ResourceIndexEntry Class
ResourceIndexEntry Members
s3pi.Package Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ResourceIndexEntry.Instance Property

ResourceIndexEntry Instance Property s3pi library documentation
The "instance" number of the resource

Namespace: s3pi.Package
Assembly: s3pi.Package (in s3pi.Package.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[MinimumVersionAttribute(1)]
[MaximumVersionAttribute(2)]
public override ulong Instance { get; set; }
[MinimumVersionAttribute(1)]
[MaximumVersionAttribute(2)]
public override ulong Instance { get; set; }
<MinimumVersionAttribute(1)>
<MaximumVersionAttribute(2)>
Public Overrides Property Instance As ULong
    Get
    Set
<MinimumVersionAttribute(1)>
<MaximumVersionAttribute(2)>
Public Overrides Property Instance As ULong
    Get
    Set
public:
[MinimumVersionAttribute(1)]
[MaximumVersionAttribute(2)]
virtual property unsigned long long Instance {
    unsigned long long get () override;
    void set (unsigned long long value) override;
}
public:
[MinimumVersionAttribute(1)]
[MaximumVersionAttribute(2)]
virtual property unsigned long long Instance {
    unsigned long long get () override;
    void set (unsigned long long value) override;
}
Property Value
Type:   Online UInt64
Implements
IResourceKey Instance
See Also
ResourceIndexEntry Class
ResourceIndexEntry Members
s3pi.Package Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ResourceIndexEntry.IsDeleted Property

ResourceIndexEntry IsDeleted Property s3pi library documentation
True if the index entry has been deleted from the package index

Namespace: s3pi.Package
Assembly: s3pi.Package (in s3pi.Package.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[MinimumVersionAttribute(1)]
[MaximumVersionAttribute(2)]
public override bool IsDeleted { get; set; }
[MinimumVersionAttribute(1)]
[MaximumVersionAttribute(2)]
public override bool IsDeleted { get; set; }
<MinimumVersionAttribute(1)>
<MaximumVersionAttribute(2)>
Public Overrides Property IsDeleted As Boolean
    Get
    Set
<MinimumVersionAttribute(1)>
<MaximumVersionAttribute(2)>
Public Overrides Property IsDeleted As Boolean
    Get
    Set
public:
[MinimumVersionAttribute(1)]
[MaximumVersionAttribute(2)]
virtual property bool IsDeleted {
    bool get () override;
    void set (bool value) override;
}
public:
[MinimumVersionAttribute(1)]
[MaximumVersionAttribute(2)]
virtual property bool IsDeleted {
    bool get () override;
    void set (bool value) override;
}
Property Value
Type:   Online Boolean
Implements
IResourceIndexEntry IsDeleted
See Also
ResourceIndexEntry Class
ResourceIndexEntry Members
s3pi.Package Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ResourceIndexEntry.Memsize Property

ResourceIndexEntry Memsize Property s3pi library documentation
The number of bytes the resource uses in memory

Namespace: s3pi.Package
Assembly: s3pi.Package (in s3pi.Package.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[MinimumVersionAttribute(1)]
[MaximumVersionAttribute(2)]
public override uint Memsize { get; set; }
[MinimumVersionAttribute(1)]
[MaximumVersionAttribute(2)]
public override uint Memsize { get; set; }
<MinimumVersionAttribute(1)>
<MaximumVersionAttribute(2)>
Public Overrides Property Memsize As UInteger
    Get
    Set
<MinimumVersionAttribute(1)>
<MaximumVersionAttribute(2)>
Public Overrides Property Memsize As UInteger
    Get
    Set
public:
[MinimumVersionAttribute(1)]
[MaximumVersionAttribute(2)]
virtual property unsigned int Memsize {
    unsigned int get () override;
    void set (unsigned int value) override;
}
public:
[MinimumVersionAttribute(1)]
[MaximumVersionAttribute(2)]
virtual property unsigned int Memsize {
    unsigned int get () override;
    void set (unsigned int value) override;
}
Property Value
Type:   Online UInt32
Implements
IResourceIndexEntry Memsize
See Also
ResourceIndexEntry Class
ResourceIndexEntry Members
s3pi.Package Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ResourceIndexEntry.RecommendedApiVersion Property

ResourceIndexEntry RecommendedApiVersion Property s3pi library documentation
The version of the API in use

Namespace: s3pi.Package
Assembly: s3pi.Package (in s3pi.Package.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override int RecommendedApiVersion { get; }
public override int RecommendedApiVersion { get; }
Public Overrides ReadOnly Property RecommendedApiVersion As Integer
    Get
Public Overrides ReadOnly Property RecommendedApiVersion As Integer
    Get
public:
virtual property int RecommendedApiVersion {
    int get () override;
}
public:
virtual property int RecommendedApiVersion {
    int get () override;
}
Property Value
Type:   Online Int32
Implements
IApiVersion RecommendedApiVersion
See Also
ResourceIndexEntry Class
ResourceIndexEntry Members
s3pi.Package Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ResourceIndexEntry.ResourceGroup Property

ResourceIndexEntry ResourceGroup Property s3pi library documentation
The "group" the resource is part of

Namespace: s3pi.Package
Assembly: s3pi.Package (in s3pi.Package.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[MaximumVersionAttribute(2)]
[MinimumVersionAttribute(1)]
public override uint ResourceGroup { get; set; }
[MaximumVersionAttribute(2)]
[MinimumVersionAttribute(1)]
public override uint ResourceGroup { get; set; }
<MaximumVersionAttribute(2)>
<MinimumVersionAttribute(1)>
Public Overrides Property ResourceGroup As UInteger
    Get
    Set
<MaximumVersionAttribute(2)>
<MinimumVersionAttribute(1)>
Public Overrides Property ResourceGroup As UInteger
    Get
    Set
public:
[MaximumVersionAttribute(2)]
[MinimumVersionAttribute(1)]
virtual property unsigned int ResourceGroup {
    unsigned int get () override;
    void set (unsigned int value) override;
}
public:
[MaximumVersionAttribute(2)]
[MinimumVersionAttribute(1)]
virtual property unsigned int ResourceGroup {
    unsigned int get () override;
    void set (unsigned int value) override;
}
Property Value
Type:   Online UInt32
Implements
IResourceKey ResourceGroup
See Also
ResourceIndexEntry Class
ResourceIndexEntry Members
s3pi.Package Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ResourceIndexEntry.ResourceType Property

ResourceIndexEntry ResourceType Property s3pi library documentation
The "type" of the resource

Namespace: s3pi.Package
Assembly: s3pi.Package (in s3pi.Package.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[MinimumVersionAttribute(1)]
[MaximumVersionAttribute(2)]
public override uint ResourceType { get; set; }
[MinimumVersionAttribute(1)]
[MaximumVersionAttribute(2)]
public override uint ResourceType { get; set; }
<MinimumVersionAttribute(1)>
<MaximumVersionAttribute(2)>
Public Overrides Property ResourceType As UInteger
    Get
    Set
<MinimumVersionAttribute(1)>
<MaximumVersionAttribute(2)>
Public Overrides Property ResourceType As UInteger
    Get
    Set
public:
[MinimumVersionAttribute(1)]
[MaximumVersionAttribute(2)]
virtual property unsigned int ResourceType {
    unsigned int get () override;
    void set (unsigned int value) override;
}
public:
[MinimumVersionAttribute(1)]
[MaximumVersionAttribute(2)]
virtual property unsigned int ResourceType {
    unsigned int get () override;
    void set (unsigned int value) override;
}
Property Value
Type:   Online UInt32
Implements
IResourceKey ResourceType
See Also
ResourceIndexEntry Class
ResourceIndexEntry Members
s3pi.Package Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ResourceIndexEntry.Stream Property

ResourceIndexEntry Stream Property s3pi library documentation
A MemoryStream covering the index entry bytes

Namespace: s3pi.Package
Assembly: s3pi.Package (in s3pi.Package.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[MaximumVersionAttribute(2)]
[MinimumVersionAttribute(1)]
public override Stream Stream { get; }
[MaximumVersionAttribute(2)]
[MinimumVersionAttribute(1)]
public override Stream Stream { get; }
<MaximumVersionAttribute(2)>
<MinimumVersionAttribute(1)>
Public Overrides ReadOnly Property Stream As Stream
    Get
<MaximumVersionAttribute(2)>
<MinimumVersionAttribute(1)>
Public Overrides ReadOnly Property Stream As Stream
    Get
public:
[MaximumVersionAttribute(2)]
[MinimumVersionAttribute(1)]
virtual property Stream^ Stream {
    Stream^ get () override;
}
public:
[MaximumVersionAttribute(2)]
[MinimumVersionAttribute(1)]
virtual property Stream^ Stream {
    Stream^ get () override;
}
Property Value
Type:   Online Stream
Implements
IResourceIndexEntry Stream
See Also
ResourceIndexEntry Class
ResourceIndexEntry Members
s3pi.Package Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ResourceIndexEntry.Unknown2 Property

ResourceIndexEntry Unknown2 Property s3pi library documentation
Always 0x0001

Namespace: s3pi.Package
Assembly: s3pi.Package (in s3pi.Package.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[MinimumVersionAttribute(1)]
[MaximumVersionAttribute(2)]
public override ushort Unknown2 { get; set; }
[MinimumVersionAttribute(1)]
[MaximumVersionAttribute(2)]
public override ushort Unknown2 { get; set; }
<MinimumVersionAttribute(1)>
<MaximumVersionAttribute(2)>
Public Overrides Property Unknown2 As UShort
    Get
    Set
<MinimumVersionAttribute(1)>
<MaximumVersionAttribute(2)>
Public Overrides Property Unknown2 As UShort
    Get
    Set
public:
[MinimumVersionAttribute(1)]
[MaximumVersionAttribute(2)]
virtual property unsigned short Unknown2 {
    unsigned short get () override;
    void set (unsigned short value) override;
}
public:
[MinimumVersionAttribute(1)]
[MaximumVersionAttribute(2)]
virtual property unsigned short Unknown2 {
    unsigned short get () override;
    void set (unsigned short value) override;
}
Property Value
Type:   Online UInt16
Implements
IResourceIndexEntry Unknown2
See Also
ResourceIndexEntry Class
ResourceIndexEntry Members
s3pi.Package Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


s3pi.Settings Namespace

s3pi.Settings Namespace s3pi library documentation
Classes
 | Class | Description
Public class | Settings |

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Settings Class

Settings Class s3pi library documentation

[Missing <summary> documentation for "T:s3pi.Settings.Settings"]

Inheritance Hierarchy
Online System Object
s3pi.Settings Settings

Namespace: s3pi.Settings
Assembly: s3pi.Settings (in s3pi.Settings.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static class Settings
public static class Settings
Public NotInheritable Class Settings
Public NotInheritable Class Settings
public ref class Settings abstract sealed
public ref class Settings abstract sealed
See Also
Settings Members
s3pi.Settings Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Settings Members

Settings Members s3pi library documentation

The Settings type exposes the following members.
Properties
Name | Description
AsBytesWorkaround |
Checking |
Back to Top
See Also
Settings Class
s3pi.Settings Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Settings Properties

Settings Properties s3pi library documentation
The Settings type exposes the following members.
Properties
Name | Description
AsBytesWorkaround |
Checking |
Back to Top
See Also
Settings Class
s3pi.Settings Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Settings.AsBytesWorkaround Property

Settings AsBytesWorkaround Property s3pi library documentation

[Missing <summary> documentation for "P:s3pi.Settings.Settings.AsBytesWorkaround"]

Namespace: s3pi.Settings
Assembly: s3pi.Settings (in s3pi.Settings.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static bool AsBytesWorkaround { get; }
public static bool AsBytesWorkaround { get; }
Public Shared ReadOnly Property AsBytesWorkaround As Boolean
    Get
Public Shared ReadOnly Property AsBytesWorkaround As Boolean
    Get
public:
static property bool AsBytesWorkaround {
    bool get ();
}
public:
static property bool AsBytesWorkaround {
    bool get ();
}
Property Value
Type:   Online Boolean
See Also
Settings Class
Settings Members
s3pi.Settings Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Settings.Checking Property

Settings Checking Property s3pi library documentation

[Missing <summary> documentation for "P:s3pi.Settings.Settings.Checking"]

Namespace: s3pi.Settings
Assembly: s3pi.Settings (in s3pi.Settings.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static bool Checking { get; }
public static bool Checking { get; }
Public Shared ReadOnly Property Checking As Boolean
    Get
Public Shared ReadOnly Property Checking As Boolean
    Get
public:
static property bool Checking {
    bool get ();
}
public:
static property bool Checking {
    bool get ();
}
Property Value
Type:   Online Boolean
See Also
Settings Class
Settings Members
s3pi.Settings Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


s3pi.WrapperDealer Namespace

s3pi.WrapperDealer Namespace s3pi library documentation
Classes
 | Class | Description
Public class | WrapperDealer | Responsible for associating ResourceType in the IResourceIndexEntry with a particular class (a "wrapper") that understands it or the default wrapper.

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


WrapperDealer Class

WrapperDealer Class s3pi library documentation
Responsible for associating ResourceType in the IResourceIndexEntry with a particular class (a "wrapper") that understands it or the default wrapper.
Inheritance Hierarchy
Online System Object
s3pi.WrapperDealer WrapperDealer

Namespace: s3pi.WrapperDealer
Assembly: s3pi.WrapperDealer (in s3pi.WrapperDealer.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static class WrapperDealer
public static class WrapperDealer
Public NotInheritable Class WrapperDealer
Public NotInheritable Class WrapperDealer
public ref class WrapperDealer abstract sealed
public ref class WrapperDealer abstract sealed
See Also
WrapperDealer Members
s3pi.WrapperDealer Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


WrapperDealer Members

WrapperDealer Members s3pi library documentation

The WrapperDealer type exposes the following members.
Methods
Name | Description
CreateNewResource | Create a new Resource of the requested type, allowing the wrapper to initialise it appropriately
GetResource(Int32, IPackage, IResourceIndexEntry) | Retrieve a resource from a package, readying the appropriate wrapper
GetResource(Int32, IPackage, IResourceIndexEntry, Boolean) | Retrieve a resource from a package, readying the appropriate wrapper or the default wrapper
Back to Top
Properties
Name | Description
Disabled | Access the collection of wrappers on the "disabled" list.
TypeMap | Retrieve the resource wrappers known to WrapperDealer.
Back to Top
See Also
WrapperDealer Class
s3pi.WrapperDealer Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


WrapperDealer Methods

WrapperDealer Methods s3pi library documentation
The WrapperDealer type exposes the following members.
Methods
Name | Description
CreateNewResource | Create a new Resource of the requested type, allowing the wrapper to initialise it appropriately
GetResource(Int32, IPackage, IResourceIndexEntry) | Retrieve a resource from a package, readying the appropriate wrapper
GetResource(Int32, IPackage, IResourceIndexEntry, Boolean) | Retrieve a resource from a package, readying the appropriate wrapper or the default wrapper
Back to Top
See Also
WrapperDealer Class
s3pi.WrapperDealer Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


WrapperDealer.CreateNewResource Method

WrapperDealer CreateNewResource Method s3pi library documentation
Create a new Resource of the requested type, allowing the wrapper to initialise it appropriately

Namespace: s3pi.WrapperDealer
Assembly: s3pi.WrapperDealer (in s3pi.WrapperDealer.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static IResource CreateNewResource(
    int APIversion,
    string resourceType
)
public static IResource CreateNewResource(
    int APIversion,
    string resourceType
)
Public Shared Function CreateNewResource (
    APIversion As Integer,
    resourceType As String
) As IResource
Public Shared Function CreateNewResource (
    APIversion As Integer,
    resourceType As String
) As IResource
public:
static IResource^ CreateNewResource(
    int APIversion,
    String^ resourceType
)
public:
static IResource^ CreateNewResource(
    int APIversion,
    String^ resourceType
)
Parameters
APIversion
Type:   Online System Int32
API version of request
resourceType
Type:   Online System String
Type of resource (currently a string like "0xDEADBEEF")
Return Value
Type: IResource
[Missing <returns> documentation for "M:s3pi.WrapperDealer.WrapperDealer.CreateNewResource(System.Int32,System.String)"]
See Also
WrapperDealer Class
WrapperDealer Members
s3pi.WrapperDealer Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


WrapperDealer.GetResource Method

WrapperDealer GetResource Method s3pi library documentation
Overload List
Name | Description
GetResource(Int32, IPackage, IResourceIndexEntry) | Retrieve a resource from a package, readying the appropriate wrapper
GetResource(Int32, IPackage, IResourceIndexEntry, Boolean) | Retrieve a resource from a package, readying the appropriate wrapper or the default wrapper
Back to Top
See Also
WrapperDealer Class
WrapperDealer Members
s3pi.WrapperDealer Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


WrapperDealer.GetResource Method (Int32, IPackage, IResourceIndexEntry)

WrapperDealer GetResource Method (Int32, IPackage, IResourceIndexEntry) s3pi library documentation
Retrieve a resource from a package, readying the appropriate wrapper

Namespace: s3pi.WrapperDealer
Assembly: s3pi.WrapperDealer (in s3pi.WrapperDealer.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static IResource GetResource(
    int APIversion,
    IPackage pkg,
    IResourceIndexEntry rie
)
public static IResource GetResource(
    int APIversion,
    IPackage pkg,
    IResourceIndexEntry rie
)
Public Shared Function GetResource (
    APIversion As Integer,
    pkg As IPackage,
    rie As IResourceIndexEntry
) As IResource
Public Shared Function GetResource (
    APIversion As Integer,
    pkg As IPackage,
    rie As IResourceIndexEntry
) As IResource
public:
static IResource^ GetResource(
    int APIversion,
    IPackage^ pkg,
    IResourceIndexEntry^ rie
)
public:
static IResource^ GetResource(
    int APIversion,
    IPackage^ pkg,
    IResourceIndexEntry^ rie
)
Parameters
APIversion
Type:   Online System Int32
API version of request
pkg
Type: s3pi.Interfaces IPackage
Package containing rie
rie
Type: s3pi.Interfaces IResourceIndexEntry
Identifies resource to be returned
Return Value
Type: IResource
A resource from the package
See Also
WrapperDealer Class
WrapperDealer Members
GetResource Overload
s3pi.WrapperDealer Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


WrapperDealer.GetResource Method (Int32, IPackage, IResourceIndexEntry, Boolean)

WrapperDealer GetResource Method (Int32, IPackage, IResourceIndexEntry, Boolean) s3pi library documentation
Retrieve a resource from a package, readying the appropriate wrapper or the default wrapper

Namespace: s3pi.WrapperDealer
Assembly: s3pi.WrapperDealer (in s3pi.WrapperDealer.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static IResource GetResource(
    int APIversion,
    IPackage pkg,
    IResourceIndexEntry rie,
    bool AlwaysDefault
)
public static IResource GetResource(
    int APIversion,
    IPackage pkg,
    IResourceIndexEntry rie,
    bool AlwaysDefault
)
Public Shared Function GetResource (
    APIversion As Integer,
    pkg As IPackage,
    rie As IResourceIndexEntry,
    AlwaysDefault As Boolean
) As IResource
Public Shared Function GetResource (
    APIversion As Integer,
    pkg As IPackage,
    rie As IResourceIndexEntry,
    AlwaysDefault As Boolean
) As IResource
public:
static IResource^ GetResource(
    int APIversion,
    IPackage^ pkg,
    IResourceIndexEntry^ rie,
    bool AlwaysDefault
)
public:
static IResource^ GetResource(
    int APIversion,
    IPackage^ pkg,
    IResourceIndexEntry^ rie,
    bool AlwaysDefault
)
Parameters
APIversion
Type:   Online System Int32
API version of request
pkg
Type: s3pi.Interfaces IPackage
Package containing rie
rie
Type: s3pi.Interfaces IResourceIndexEntry
Identifies resource to be returned
AlwaysDefault
Type:   Online System Boolean
When true, indicates WrapperDealer should always use the DefaultResource wrapper
Return Value
Type: IResource
A resource from the package
See Also
WrapperDealer Class
WrapperDealer Members
GetResource Overload
s3pi.WrapperDealer Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


WrapperDealer Properties

WrapperDealer Properties s3pi library documentation
The WrapperDealer type exposes the following members.
Properties
Name | Description
Disabled | Access the collection of wrappers on the "disabled" list.
TypeMap | Retrieve the resource wrappers known to WrapperDealer.
Back to Top
See Also
WrapperDealer Class
s3pi.WrapperDealer Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


WrapperDealer.Disabled Property

WrapperDealer Disabled Property s3pi library documentation
Access the collection of wrappers on the "disabled" list.

Namespace: s3pi.WrapperDealer
Assembly: s3pi.WrapperDealer (in s3pi.WrapperDealer.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static ICollection<KeyValuePair<string, Type>> Disabled { get; }
public static ICollection<KeyValuePair<string, Type>> Disabled { get; }
Public Shared ReadOnly Property Disabled As ICollection(Of KeyValuePair(Of String, Type))
    Get
Public Shared ReadOnly Property Disabled As ICollection(Of KeyValuePair(Of String, Type))
    Get
public:
static property ICollection<KeyValuePair<String^, Type^>>^ Disabled {
    ICollection<KeyValuePair<String^, Type^>>^ get ();
}
public:
static property ICollection<KeyValuePair<String^, Type^>>^ Disabled {
    ICollection<KeyValuePair<String^, Type^>>^ get ();
}
Property Value
Type:   Online ICollection    Online KeyValuePair    Online String,   Online Type
Remarks
Updates to entries in the collection will be used next time a wrapper is requested.
            Existing instances of a disabled wrapper will not be invalidated and it will remain possible to
            bypass WrapperDealer and instantiate instances of the wrapper class directly.
See Also
WrapperDealer Class
WrapperDealer Members
s3pi.WrapperDealer Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


WrapperDealer.TypeMap Property

WrapperDealer TypeMap Property s3pi library documentation
Retrieve the resource wrappers known to WrapperDealer.

Namespace: s3pi.WrapperDealer
Assembly: s3pi.WrapperDealer (in s3pi.WrapperDealer.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static ICollection<KeyValuePair<string, Type>> TypeMap { get; }
public static ICollection<KeyValuePair<string, Type>> TypeMap { get; }
Public Shared ReadOnly Property TypeMap As ICollection(Of KeyValuePair(Of String, Type))
    Get
Public Shared ReadOnly Property TypeMap As ICollection(Of KeyValuePair(Of String, Type))
    Get
public:
static property ICollection<KeyValuePair<String^, Type^>>^ TypeMap {
    ICollection<KeyValuePair<String^, Type^>>^ get ();
}
public:
static property ICollection<KeyValuePair<String^, Type^>>^ TypeMap {
    ICollection<KeyValuePair<String^, Type^>>^ get ();
}
Property Value
Type:   Online ICollection    Online KeyValuePair    Online String,   Online Type
See Also
WrapperDealer Class
WrapperDealer Members
s3pi.WrapperDealer Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


System Namespace

System Namespace s3pi library documentation
Classes
 | Class | Description
Public class | ArgumentLengthException | Represents an error in the length of an argument to a method
Public class | Extensions | Useful Extension Methods not provided by Linq (and without deferred execution).

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ArgumentLengthException Class

ArgumentLengthException Class s3pi library documentation
Represents an error in the length of an argument to a method
Inheritance Hierarchy
Online System Object
Online System Exception
System ArgumentLengthException

Namespace: System
Assembly: System.Custom (in System.Custom.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public class ArgumentLengthException : Exception
public class ArgumentLengthException : Exception
Public Class ArgumentLengthException
    Inherits Exception
Public Class ArgumentLengthException
    Inherits Exception
public ref class ArgumentLengthException : public Exception
public ref class ArgumentLengthException : public Exception
See Also
ArgumentLengthException Members
System Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ArgumentLengthException Members

ArgumentLengthException Members s3pi library documentation

Constructors
 | Name | Description
Public method | ArgumentLengthException | Initializes a new instance of the System.ArgumentLengthException class.
Public method | ArgumentLengthException(String) | Initializes a new instance of the System.ArgumentLengthException class with a specified error message.
Public method | ArgumentLengthException(String, Int32) | Initializes a new instance of the System.ArgumentLengthException class with a predefined message based on argument and length.
Public method | ArgumentLengthException(String, Object ) | Initializes a new instance of the System.ArgumentLengthException class with a formatted error message. See Online Format(String, Object ).
Back to Top
See Also
ArgumentLengthException Class
System Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ArgumentLengthException Constructor

ArgumentLengthException Constructor s3pi library documentation
Overload List
 | Name | Description
Public method | ArgumentLengthException | Initializes a new instance of the System.ArgumentLengthException class.
Public method | ArgumentLengthException(String) | Initializes a new instance of the System.ArgumentLengthException class with a specified error message.
Public method | ArgumentLengthException(String, Int32) | Initializes a new instance of the System.ArgumentLengthException class with a predefined message based on argument and length.
Public method | ArgumentLengthException(String, Object ) | Initializes a new instance of the System.ArgumentLengthException class with a formatted error message. See Online Format(String, Object ).
Back to Top
See Also
ArgumentLengthException Class
ArgumentLengthException Members
System Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ArgumentLengthException Constructor

ArgumentLengthException Constructor s3pi library documentation
Initializes a new instance of the System.ArgumentLengthException class.

Namespace: System
Assembly: System.Custom (in System.Custom.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public ArgumentLengthException()
public ArgumentLengthException()
Public Sub New
Public Sub New
public:
ArgumentLengthException()
public:
ArgumentLengthException()
See Also
ArgumentLengthException Class
ArgumentLengthException Members
ArgumentLengthException Overload
System Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ArgumentLengthException Constructor (String)

ArgumentLengthException Constructor (String) s3pi library documentation
Initializes a new instance of the System.ArgumentLengthException class with a specified error message.

Namespace: System
Assembly: System.Custom (in System.Custom.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public ArgumentLengthException(
    string message
)
public ArgumentLengthException(
    string message
)
Public Sub New (
    message As String
)
Public Sub New (
    message As String
)
public:
ArgumentLengthException(
    String^ message
)
public:
ArgumentLengthException(
    String^ message
)
Parameters
message
Type:   Online System String
The message that describes the error.
See Also
ArgumentLengthException Class
ArgumentLengthException Members
ArgumentLengthException Overload
System Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ArgumentLengthException Constructor (String, Int32)

ArgumentLengthException Constructor (String, Int32) s3pi library documentation
Initializes a new instance of the System.ArgumentLengthException class with a predefined message based on argument and length.

Namespace: System
Assembly: System.Custom (in System.Custom.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public ArgumentLengthException(
    string argument,
    int length
)
public ArgumentLengthException(
    string argument,
    int length
)
Public Sub New (
    argument As String,
    length As Integer
)
Public Sub New (
    argument As String,
    length As Integer
)
public:
ArgumentLengthException(
    String^ argument,
    int length
)
public:
ArgumentLengthException(
    String^ argument,
    int length
)
Parameters
argument
Type:   Online System String
Name of the method argument in error
length
Type:   Online System Int32
Valid length of the argument
See Also
ArgumentLengthException Class
ArgumentLengthException Members
ArgumentLengthException Overload
System Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ArgumentLengthException Constructor (String, Object[])

ArgumentLengthException Constructor (String, Object ) s3pi library documentation
Initializes a new instance of the System.ArgumentLengthException class with a formatted error message. See Online Format(String, Object ).

Namespace: System
Assembly: System.Custom (in System.Custom.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public ArgumentLengthException(
    string format,
    params Object[] formatparams
)
public ArgumentLengthException(
    string format,
    params Object[] formatparams
)
Public Sub New (
    format As String,
    ParamArray formatparams As Object()
)
Public Sub New (
    format As String,
    ParamArray formatparams As Object()
)
public:
ArgumentLengthException(
    String^ format,
    ... array<Object^>^ formatparams
)
public:
ArgumentLengthException(
    String^ format,
    ... array<Object^>^ formatparams
)
Parameters
format
Type:   Online System String
format string
formatparams
Type:    Online System Object
format string substitutions
See Also
ArgumentLengthException Class
ArgumentLengthException Members
ArgumentLengthException Overload
System Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Extensions Class

Extensions Class s3pi library documentation
Useful Extension Methods not provided by Linq (and without deferred execution).
Inheritance Hierarchy
Online System Object
System Extensions

Namespace: System
Assembly: System.Custom (in System.Custom.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static class Extensions
public static class Extensions
<ExtensionAttribute>
Public NotInheritable Class Extensions
<ExtensionAttribute>
Public NotInheritable Class Extensions
[ExtensionAttribute]
public ref class Extensions abstract sealed
[ExtensionAttribute]
public ref class Extensions abstract sealed
See Also
Extensions Members
System Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Extensions Members

Extensions Members s3pi library documentation

The Extensions type exposes the following members.
Methods
Name | Description
CompareTo T | Compares this instance to a specified list of type T and returns an indication of their relative values.
ConvertAll TOut (Array) | Convert all elements of an Array to TOut.
ConvertAll TOut (Array, IFormatProvider) | Convert all elements of an Array to TOut.
ConvertAll TOut (Array, Int32) | Convert elements of an Array to TOut, starting at start.
ConvertAll TOut (Array, Int32, IFormatProvider) | Convert elements of an Array to TOut, starting at start.
ConvertAll TOut (Array, Int32, Int32) | Convert elements of an Array to TOut, starting at start for length elements.
ConvertAll TOut (Array, Int32, Int32, IFormatProvider) | Convert elements of an Array to TOut, starting at start for length elements.
Equals T | Returns a value indicating whether this instance is equal to a specified list of T values.
Back to Top
See Also
Extensions Class
System Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Extensions Methods

Extensions Methods s3pi library documentation
The Extensions type exposes the following members.
Methods
Name | Description
CompareTo T | Compares this instance to a specified list of type T and returns an indication of their relative values.
ConvertAll TOut (Array) | Convert all elements of an Array to TOut.
ConvertAll TOut (Array, IFormatProvider) | Convert all elements of an Array to TOut.
ConvertAll TOut (Array, Int32) | Convert elements of an Array to TOut, starting at start.
ConvertAll TOut (Array, Int32, IFormatProvider) | Convert elements of an Array to TOut, starting at start.
ConvertAll TOut (Array, Int32, Int32) | Convert elements of an Array to TOut, starting at start for length elements.
ConvertAll TOut (Array, Int32, Int32, IFormatProvider) | Convert elements of an Array to TOut, starting at start for length elements.
Equals T | Returns a value indicating whether this instance is equal to a specified list of T values.
Back to Top
See Also
Extensions Class
System Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Extensions.CompareTo(T) Method

Extensions CompareTo T Method s3pi library documentation
Compares this instance to a specified list of type T and returns an indication of their relative values.

Namespace: System
Assembly: System.Custom (in System.Custom.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static int CompareTo<T>(
    this IList<T> value,
    IList<T> target
)
where T : Object, IComparable<T>
public static int CompareTo<T>(
    this IList<T> value,
    IList<T> target
)
where T : Object, IComparable<T>
<ExtensionAttribute>
Public Shared Function CompareTo(Of T As {Object, IComparable(Of T)}) (
    value As IList(Of T),
    target As IList(Of T)
) As Integer
<ExtensionAttribute>
Public Shared Function CompareTo(Of T As {Object, IComparable(Of T)}) (
    value As IList(Of T),
    target As IList(Of T)
) As Integer
public:
[ExtensionAttribute]
generic<typename T>
where T : Object, IComparable<T>
static int CompareTo(
    IList<T>^ value,
    IList<T>^ target
)
public:
[ExtensionAttribute]
generic<typename T>
where T : Object, IComparable<T>
static int CompareTo(
    IList<T>^ value,
    IList<T>^ target
)
Parameters
value
Type:   Online System.Collections.Generic IList  T
This instance.
target
Type:   Online System.Collections.Generic IList  T
A list to compare.
Type Parameters
T
A type supporting IComparable{T}.
Return Value
Type:   Online Int32
An indication of the relative value of this instance and the specified list.
Usage Note
In Visual Basic and C#, you can call this method as an instance method on any object of type   Online IList  T . When you use instance method syntax to call this method, omit the first parameter. For more information, see   Online Extension Methods (Visual Basic) or   Online Extension Methods (C# Programming Guide).
See Also
Extensions Class
Extensions Members
System Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Extensions.ConvertAll Method

Extensions ConvertAll Method s3pi library documentation
Overload List
Name | Description
ConvertAll TOut (Array) | Convert all elements of an Array to TOut.
ConvertAll TOut (Array, IFormatProvider) | Convert all elements of an Array to TOut.
ConvertAll TOut (Array, Int32) | Convert elements of an Array to TOut, starting at start.
ConvertAll TOut (Array, Int32, IFormatProvider) | Convert elements of an Array to TOut, starting at start.
ConvertAll TOut (Array, Int32, Int32) | Convert elements of an Array to TOut, starting at start for length elements.
ConvertAll TOut (Array, Int32, Int32, IFormatProvider) | Convert elements of an Array to TOut, starting at start for length elements.
Back to Top
See Also
Extensions Class
Extensions Members
System Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Extensions.ConvertAll(TOut) Method (Array)

Extensions ConvertAll TOut Method (Array) s3pi library documentation
Convert all elements of an Array to TOut.

Namespace: System
Assembly: System.Custom (in System.Custom.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static TOut[] ConvertAll<TOut>(
    this Array array
)
where TOut : IConvertible
public static TOut[] ConvertAll<TOut>(
    this Array array
)
where TOut : IConvertible
<ExtensionAttribute>
Public Shared Function ConvertAll(Of TOut As IConvertible) (
    array As Array
) As TOut()
<ExtensionAttribute>
Public Shared Function ConvertAll(Of TOut As IConvertible) (
    array As Array
) As TOut()
public:
[ExtensionAttribute]
generic<typename TOut>
where TOut : IConvertible
static array<TOut>^ ConvertAll(
    Array^ array
)
public:
[ExtensionAttribute]
generic<typename TOut>
where TOut : IConvertible
static array<TOut>^ ConvertAll(
    Array^ array
)
Parameters
array
Type:   Online System Array
The input array
Type Parameters
TOut
The output element type.
Return Value
Type:  TOut
An TOut[] array containing converted input elements.
Usage Note
In Visual Basic and C#, you can call this method as an instance method on any object of type   Online Array. When you use instance method syntax to call this method, omit the first parameter. For more information, see   Online Extension Methods (Visual Basic) or   Online Extension Methods (C# Programming Guide).
Exceptions
Exception | Condition
Online System InvalidCastException | The element type of array does not provide the IConvertible interface.
See Also
Extensions Class
Extensions Members
ConvertAll Overload
System Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Extensions.ConvertAll(TOut) Method (Array, IFormatProvider)

Extensions ConvertAll TOut Method (Array, IFormatProvider) s3pi library documentation
Convert all elements of an Array to TOut.

Namespace: System
Assembly: System.Custom (in System.Custom.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static TOut[] ConvertAll<TOut>(
    this Array array,
    IFormatProvider provider
)
where TOut : IConvertible
public static TOut[] ConvertAll<TOut>(
    this Array array,
    IFormatProvider provider
)
where TOut : IConvertible
<ExtensionAttribute>
Public Shared Function ConvertAll(Of TOut As IConvertible) (
    array As Array,
    provider As IFormatProvider
) As TOut()
<ExtensionAttribute>
Public Shared Function ConvertAll(Of TOut As IConvertible) (
    array As Array,
    provider As IFormatProvider
) As TOut()
public:
[ExtensionAttribute]
generic<typename TOut>
where TOut : IConvertible
static array<TOut>^ ConvertAll(
    Array^ array,
    IFormatProvider^ provider
)
public:
[ExtensionAttribute]
generic<typename TOut>
where TOut : IConvertible
static array<TOut>^ ConvertAll(
    Array^ array,
    IFormatProvider^ provider
)
Parameters
array
Type:   Online System Array
The input array
provider
Type:   Online System IFormatProvider
An System.IFormatProvider interface implementation that supplies culture-specific formatting information.
Type Parameters
TOut
The output element type.
Return Value
Type:  TOut
An TOut[] array containing converted input elements.
Usage Note
In Visual Basic and C#, you can call this method as an instance method on any object of type   Online Array. When you use instance method syntax to call this method, omit the first parameter. For more information, see   Online Extension Methods (Visual Basic) or   Online Extension Methods (C# Programming Guide).
Exceptions
Exception | Condition
Online System InvalidCastException | The element type of array does not provide the IConvertible interface.
See Also
Extensions Class
Extensions Members
ConvertAll Overload
System Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Extensions.ConvertAll(TOut) Method (Array, Int32)

Extensions ConvertAll TOut Method (Array, Int32) s3pi library documentation
Convert elements of an Array to TOut, starting at start.

Namespace: System
Assembly: System.Custom (in System.Custom.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static TOut[] ConvertAll<TOut>(
    this Array array,
    int start
)
where TOut : IConvertible
public static TOut[] ConvertAll<TOut>(
    this Array array,
    int start
)
where TOut : IConvertible
<ExtensionAttribute>
Public Shared Function ConvertAll(Of TOut As IConvertible) (
    array As Array,
    start As Integer
) As TOut()
<ExtensionAttribute>
Public Shared Function ConvertAll(Of TOut As IConvertible) (
    array As Array,
    start As Integer
) As TOut()
public:
[ExtensionAttribute]
generic<typename TOut>
where TOut : IConvertible
static array<TOut>^ ConvertAll(
    Array^ array,
    int start
)
public:
[ExtensionAttribute]
generic<typename TOut>
where TOut : IConvertible
static array<TOut>^ ConvertAll(
    Array^ array,
    int start
)
Parameters
array
Type:   Online System Array
The input array
start
Type:   Online System Int32
The offset into array from which to start creating the output.
Type Parameters
TOut
The output element type.
Return Value
Type:  TOut
An TOut[] array containing converted input elements.
Usage Note
In Visual Basic and C#, you can call this method as an instance method on any object of type   Online Array. When you use instance method syntax to call this method, omit the first parameter. For more information, see   Online Extension Methods (Visual Basic) or   Online Extension Methods (C# Programming Guide).
Exceptions
Exception | Condition
Online System InvalidCastException | The element type of array does not provide the IConvertible interface.
Online System IndexOutOfRangeException | start is outside the bounds of array.
See Also
Extensions Class
Extensions Members
ConvertAll Overload
System Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Extensions.ConvertAll(TOut) Method (Array, Int32, IFormatProvider)

Extensions ConvertAll TOut Method (Array, Int32, IFormatProvider) s3pi library documentation
Convert elements of an Array to TOut, starting at start.

Namespace: System
Assembly: System.Custom (in System.Custom.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static TOut[] ConvertAll<TOut>(
    this Array array,
    int start,
    IFormatProvider provider
)
where TOut : IConvertible
public static TOut[] ConvertAll<TOut>(
    this Array array,
    int start,
    IFormatProvider provider
)
where TOut : IConvertible
<ExtensionAttribute>
Public Shared Function ConvertAll(Of TOut As IConvertible) (
    array As Array,
    start As Integer,
    provider As IFormatProvider
) As TOut()
<ExtensionAttribute>
Public Shared Function ConvertAll(Of TOut As IConvertible) (
    array As Array,
    start As Integer,
    provider As IFormatProvider
) As TOut()
public:
[ExtensionAttribute]
generic<typename TOut>
where TOut : IConvertible
static array<TOut>^ ConvertAll(
    Array^ array,
    int start,
    IFormatProvider^ provider
)
public:
[ExtensionAttribute]
generic<typename TOut>
where TOut : IConvertible
static array<TOut>^ ConvertAll(
    Array^ array,
    int start,
    IFormatProvider^ provider
)
Parameters
array
Type:   Online System Array
The input array
start
Type:   Online System Int32
The offset into array from which to start creating the output.
provider
Type:   Online System IFormatProvider
An System.IFormatProvider interface implementation that supplies culture-specific formatting information.
Type Parameters
TOut
The output element type.
Return Value
Type:  TOut
An TOut[] array containing converted input elements.
Usage Note
In Visual Basic and C#, you can call this method as an instance method on any object of type   Online Array. When you use instance method syntax to call this method, omit the first parameter. For more information, see   Online Extension Methods (Visual Basic) or   Online Extension Methods (C# Programming Guide).
Exceptions
Exception | Condition
Online System InvalidCastException | The element type of array does not provide the IConvertible interface.
Online System IndexOutOfRangeException | start is outside the bounds of array.
See Also
Extensions Class
Extensions Members
ConvertAll Overload
System Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Extensions.ConvertAll(TOut) Method (Array, Int32, Int32)

Extensions ConvertAll TOut Method (Array, Int32, Int32) s3pi library documentation
Convert elements of an Array to TOut, starting at start for length elements.

Namespace: System
Assembly: System.Custom (in System.Custom.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static TOut[] ConvertAll<TOut>(
    this Array array,
    int start,
    int length
)
where TOut : IConvertible
public static TOut[] ConvertAll<TOut>(
    this Array array,
    int start,
    int length
)
where TOut : IConvertible
<ExtensionAttribute>
Public Shared Function ConvertAll(Of TOut As IConvertible) (
    array As Array,
    start As Integer,
    length As Integer
) As TOut()
<ExtensionAttribute>
Public Shared Function ConvertAll(Of TOut As IConvertible) (
    array As Array,
    start As Integer,
    length As Integer
) As TOut()
public:
[ExtensionAttribute]
generic<typename TOut>
where TOut : IConvertible
static array<TOut>^ ConvertAll(
    Array^ array,
    int start,
    int length
)
public:
[ExtensionAttribute]
generic<typename TOut>
where TOut : IConvertible
static array<TOut>^ ConvertAll(
    Array^ array,
    int start,
    int length
)
Parameters
array
Type:   Online System Array
The input array
start
Type:   Online System Int32
The offset into array from which to start creating the output.
length
Type:   Online System Int32
The number of elements in the output.
Type Parameters
TOut
The output element type.
Return Value
Type:  TOut
An TOut[] array containing converted input elements.
Usage Note
In Visual Basic and C#, you can call this method as an instance method on any object of type   Online Array. When you use instance method syntax to call this method, omit the first parameter. For more information, see   Online Extension Methods (Visual Basic) or   Online Extension Methods (C# Programming Guide).
Exceptions
Exception | Condition
Online System InvalidCastException | The element type of array does not provide the IConvertible interface. -or- this conversion is not supported. -or- an array element is null and TOut is a value type.
Online System IndexOutOfRangeException | start is outside the bounds of array.
Online System ArgumentException | length has an invalid value.
See Also
Extensions Class
Extensions Members
ConvertAll Overload
System Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Extensions.ConvertAll(TOut) Method (Array, Int32, Int32, IFormatProvider)

Extensions ConvertAll TOut Method (Array, Int32, Int32, IFormatProvider) s3pi library documentation
Convert elements of an Array to TOut, starting at start for length elements.

Namespace: System
Assembly: System.Custom (in System.Custom.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static TOut[] ConvertAll<TOut>(
    this Array array,
    int start,
    int length,
    IFormatProvider provider
)
where TOut : IConvertible
public static TOut[] ConvertAll<TOut>(
    this Array array,
    int start,
    int length,
    IFormatProvider provider
)
where TOut : IConvertible
<ExtensionAttribute>
Public Shared Function ConvertAll(Of TOut As IConvertible) (
    array As Array,
    start As Integer,
    length As Integer,
    provider As IFormatProvider
) As TOut()
<ExtensionAttribute>
Public Shared Function ConvertAll(Of TOut As IConvertible) (
    array As Array,
    start As Integer,
    length As Integer,
    provider As IFormatProvider
) As TOut()
public:
[ExtensionAttribute]
generic<typename TOut>
where TOut : IConvertible
static array<TOut>^ ConvertAll(
    Array^ array,
    int start,
    int length,
    IFormatProvider^ provider
)
public:
[ExtensionAttribute]
generic<typename TOut>
where TOut : IConvertible
static array<TOut>^ ConvertAll(
    Array^ array,
    int start,
    int length,
    IFormatProvider^ provider
)
Parameters
array
Type:   Online System Array
The input array
start
Type:   Online System Int32
The offset into array from which to start creating the output.
length
Type:   Online System Int32
The number of elements in the output.
provider
Type:   Online System IFormatProvider
An System.IFormatProvider interface implementation that supplies culture-specific formatting information.
Type Parameters
TOut
The output element type.
Return Value
Type:  TOut
An TOut[] array containing converted input elements.
Usage Note
In Visual Basic and C#, you can call this method as an instance method on any object of type   Online Array. When you use instance method syntax to call this method, omit the first parameter. For more information, see   Online Extension Methods (Visual Basic) or   Online Extension Methods (C# Programming Guide).
Exceptions
Exception | Condition
Online System InvalidCastException | The element type of array does not provide the IConvertible interface. -or- this conversion is not supported. -or- an array element is null and TOut is a value type.
Online System IndexOutOfRangeException | start is outside the bounds of array.
Online System ArgumentException | length has an invalid value.
See Also
Extensions Class
Extensions Members
ConvertAll Overload
System Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Extensions.Equals(T) Method

Extensions Equals T Method s3pi library documentation
Returns a value indicating whether this instance is equal to a specified list of T values.

Namespace: System
Assembly: System.Custom (in System.Custom.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static bool Equals<T>(
    this IList<T> value,
    IList<T> target
)
where T : Object, IEquatable<T>
public static bool Equals<T>(
    this IList<T> value,
    IList<T> target
)
where T : Object, IEquatable<T>
<ExtensionAttribute>
Public Shared Function Equals(Of T As {Object, IEquatable(Of T)}) (
    value As IList(Of T),
    target As IList(Of T)
) As Boolean
<ExtensionAttribute>
Public Shared Function Equals(Of T As {Object, IEquatable(Of T)}) (
    value As IList(Of T),
    target As IList(Of T)
) As Boolean
public:
[ExtensionAttribute]
generic<typename T>
where T : Object, IEquatable<T>
static bool Equals(
    IList<T>^ value,
    IList<T>^ target
)
public:
[ExtensionAttribute]
generic<typename T>
where T : Object, IEquatable<T>
static bool Equals(
    IList<T>^ value,
    IList<T>^ target
)
Parameters
value
Type:   Online System.Collections.Generic IList  T
This instance.
target
Type:   Online System.Collections.Generic IList  T
A list to compare.
Type Parameters
T
A type supporting   Online IEquatable T .
Return Value
Type:   Online Boolean
And indication of the equality of the values of this instance and the specified list.
Usage Note
In Visual Basic and C#, you can call this method as an instance method on any object of type   Online IList  T . When you use instance method syntax to call this method, omit the first parameter. For more information, see   Online Extension Methods (Visual Basic) or   Online Extension Methods (C# Programming Guide).
See Also
Extensions Class
Extensions Members
System Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


System.Collections.Generic Namespace

System.Collections.Generic Namespace s3pi library documentation
Classes
 | Class | Description
Public class | AHandlerList T | Abstract extension of Online List T providing feedback on list updates through the supplied Online EventHandler.

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AHandlerList(T) Class

AHandlerList T Class s3pi library documentation
Abstract extension of Online List T providing feedback on list updates through the supplied Online EventHandler.
Inheritance Hierarchy
Online System Object
Online System.Collections.Generic List T
System.Collections.Generic AHandlerList T
s3pi.Interfaces DependentList T

Namespace: System.Collections.Generic
Assembly: System.Custom (in System.Custom.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public abstract class AHandlerList<T> : List<T>
where T : Object, IEquatable<T>
public abstract class AHandlerList<T> : List<T>
where T : Object, IEquatable<T>
Public MustInherit Class AHandlerList(Of T As {Object, IEquatable(Of T)})
    Inherits List(Of T)
Public MustInherit Class AHandlerList(Of T As {Object, IEquatable(Of T)})
    Inherits List(Of T)
generic<typename T>
where T : Object, IEquatable<T>
public ref class AHandlerList abstract : public List<T>
generic<typename T>
where T : Object, IEquatable<T>
public ref class AHandlerList abstract : public List<T>
Type Parameters
T
  Online Type of list element
See Also
AHandlerList T  Members
System.Collections.Generic Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AHandlerList(T) Members

AHandlerList T Members s3pi library documentation

The AHandlerList T type exposes the following members.
Constructors
 | Name | Description
Protected method | AHandlerList T (EventHandler, Int64) | Initializes a new instance of the AHandlerList T class that is empty and with maximum size of maxSize (default is unlimited).
Protected method | AHandlerList T (EventHandler, IEnumerable T , Int64) | Initializes a new instance of the AHandlerList T class, filled with the content of ilt.
Back to Top
Methods
 | Name | Description
Public method | Add | Adds an object to the end of the AHandlerList T .
Public method | AddRange | Adds the elements of the specified collection to the end of the AHandlerList T .
Public method | Clear | Removes all items from the AHandlerList T .
Public method | Equals | Determine whether this list is equal to target.
Public method | Insert | Inserts an item to the AHandlerList T at the specified index.
Public method | InsertRange | Inserts the elements of a collection into the AHandlerList T at the specified index.
Protected method | OnListChanged | Invokes the list change event handler.
Public method | Remove | Removes the first occurrence of a specific object from the AHandlerList T .
Public method | RemoveAll | Removes the all the elements that match the conditions defined by the specified predicate.
Public method | RemoveAt | Removes the AHandlerList T item at the specified index.
Public method | RemoveRange | Removes a range of elements from the AHandlerList T .
Public method | Reverse | Reverses the order of the elements in the entire AHandlerList T .
Public method | Reverse(Int32, Int32) | Reverses the order of the elements in the specified range.
Public method | Sort | Sorts the elements in the entire AHandlerList T using the default comparer.
Public method | Sort(IComparer T ) | Sorts the elements in the entire AHandlerList T using the specified comparer.
Public method | Sort(Comparison T ) | Sorts the elements in the entire AHandlerList T using the specified Online Comparison T .
Public method | Sort(Int32, Int32, IComparer T ) | Sorts the elements in a range of elements in AHandlerList T using the specified comparer.
Back to Top
Fields
 | Name | Description
Protected field | handler | Holds the Online EventHandler delegate to invoke if the AHandlerList T changes.
Protected field | maxSize | The maximum size of the list, or -1 for no limit.
Back to Top
Properties
 | Name | Description
Public property | Item | Gets or sets the element at the specified index.
Public property | MaxSize | The maximum size of the list, or -1 for no limit (read-only).
Back to Top
See Also
AHandlerList T Class
System.Collections.Generic Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AHandlerList(T) Constructor

AHandlerList T Constructor s3pi library documentation
Overload List
 | Name | Description
Protected method | AHandlerList T (EventHandler, Int64) | Initializes a new instance of the AHandlerList T class that is empty and with maximum size of maxSize (default is unlimited).
Protected method | AHandlerList T (EventHandler, IEnumerable T , Int64) | Initializes a new instance of the AHandlerList T class, filled with the content of ilt.
Back to Top
See Also
AHandlerList T Class
AHandlerList T Members
System.Collections.Generic Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AHandlerList(T) Constructor (EventHandler, Int64)

AHandlerList T Constructor (EventHandler, Int64) s3pi library documentation
Initializes a new instance of the AHandlerList T class that is empty and with maximum size of maxSize (default is unlimited).

Namespace: System.Collections.Generic
Assembly: System.Custom (in System.Custom.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected AHandlerList(
    EventHandler handler,
    long maxSize = -1
)
protected AHandlerList(
    EventHandler handler,
    long maxSize = -1
)
Protected Sub New (
    handler As EventHandler,
    Optional maxSize As Long = -1
)
Protected Sub New (
    handler As EventHandler,
    Optional maxSize As Long = -1
)
protected:
AHandlerList(
    EventHandler^ handler,
    long long maxSize = -1
)
protected:
AHandlerList(
    EventHandler^ handler,
    long long maxSize = -1
)
Parameters
handler
Type:   Online System EventHandler
The   Online EventHandler to call on changes to the list.
maxSize (Optional)
Type:   Online System Int64
Optional; -1 for unlimited size, otherwise the maximum number of elements in the list.
See Also
AHandlerList T  Class
AHandlerList T  Members
AHandlerList T  Overload
System.Collections.Generic Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AHandlerList(T) Constructor (EventHandler, IEnumerable(T), Int64)

AHandlerList T Constructor (EventHandler, IEnumerable T , Int64) s3pi library documentation
Initializes a new instance of the AHandlerList T class, filled with the content of ilt.

Namespace: System.Collections.Generic
Assembly: System.Custom (in System.Custom.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected AHandlerList(
    EventHandler handler,
    IEnumerable<T> ilt,
    long maxSize = -1
)
protected AHandlerList(
    EventHandler handler,
    IEnumerable<T> ilt,
    long maxSize = -1
)
Protected Sub New (
    handler As EventHandler,
    ilt As IEnumerable(Of T),
    Optional maxSize As Long = -1
)
Protected Sub New (
    handler As EventHandler,
    ilt As IEnumerable(Of T),
    Optional maxSize As Long = -1
)
protected:
AHandlerList(
    EventHandler^ handler,
    IEnumerable<T>^ ilt,
    long long maxSize = -1
)
protected:
AHandlerList(
    EventHandler^ handler,
    IEnumerable<T>^ ilt,
    long long maxSize = -1
)
Parameters
handler
Type:   Online System EventHandler
The   Online EventHandler to call on changes to the list.
ilt
Type:   Online System.Collections.Generic IEnumerable  T
The   Online IEnumerable T  to use as the initial content of the list.
maxSize (Optional)
Type:   Online System Int64
Optional; -1 for unlimited size, otherwise the maximum number of elements in the list.
Remarks
Does not throw an exception if ilt.Count is greater than maxSize.
            An exception will be thrown on any attempt to add further items unless the Count is reduced first.
See Also
AHandlerList T  Class
AHandlerList T  Members
AHandlerList T  Overload
System.Collections.Generic Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AHandlerList(T) Fields

AHandlerList T Fields s3pi library documentation
The AHandlerList T type exposes the following members.
Fields
 | Name | Description
Protected field | handler | Holds the Online EventHandler delegate to invoke if the AHandlerList T changes.
Protected field | maxSize | The maximum size of the list, or -1 for no limit.
Back to Top
See Also
AHandlerList T Class
System.Collections.Generic Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AHandlerList(T).handler Field

AHandlerList T handler Field s3pi library documentation
Holds the Online EventHandler delegate to invoke if the AHandlerList T changes.

Namespace: System.Collections.Generic
Assembly: System.Custom (in System.Custom.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected EventHandler handler
protected EventHandler handler
Protected handler As EventHandler
Protected handler As EventHandler
protected:
EventHandler^ handler
protected:
EventHandler^ handler
Field Value
Type:   Online EventHandler
See Also
AHandlerList T  Class
AHandlerList T  Members
System.Collections.Generic Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AHandlerList(T).maxSize Field

AHandlerList T maxSize Field s3pi library documentation
The maximum size of the list, or -1 for no limit.

Namespace: System.Collections.Generic
Assembly: System.Custom (in System.Custom.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected long maxSize
protected long maxSize
Protected maxSize As Long
Protected maxSize As Long
protected:
long long maxSize
protected:
long long maxSize
Field Value
Type:   Online Int64
See Also
AHandlerList T  Class
AHandlerList T  Members
System.Collections.Generic Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AHandlerList(T) Methods

AHandlerList T Methods s3pi library documentation
The AHandlerList T type exposes the following members.
Methods
 | Name | Description
Public method | Add | Adds an object to the end of the AHandlerList T .
Public method | AddRange | Adds the elements of the specified collection to the end of the AHandlerList T .
Public method | Clear | Removes all items from the AHandlerList T .
Public method | Equals | Determine whether this list is equal to target.
Public method | Insert | Inserts an item to the AHandlerList T at the specified index.
Public method | InsertRange | Inserts the elements of a collection into the AHandlerList T at the specified index.
Protected method | OnListChanged | Invokes the list change event handler.
Public method | Remove | Removes the first occurrence of a specific object from the AHandlerList T .
Public method | RemoveAll | Removes the all the elements that match the conditions defined by the specified predicate.
Public method | RemoveAt | Removes the AHandlerList T item at the specified index.
Public method | RemoveRange | Removes a range of elements from the AHandlerList T .
Public method | Reverse | Reverses the order of the elements in the entire AHandlerList T .
Public method | Reverse(Int32, Int32) | Reverses the order of the elements in the specified range.
Public method | Sort | Sorts the elements in the entire AHandlerList T using the default comparer.
Public method | Sort(IComparer T ) | Sorts the elements in the entire AHandlerList T using the specified comparer.
Public method | Sort(Comparison T ) | Sorts the elements in the entire AHandlerList T using the specified Online Comparison T .
Public method | Sort(Int32, Int32, IComparer T ) | Sorts the elements in a range of elements in AHandlerList T using the specified comparer.
Back to Top
See Also
AHandlerList T Class
System.Collections.Generic Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AHandlerList(T).Add Method

AHandlerList T Add Method s3pi library documentation
Adds an object to the end of the AHandlerList T .

Namespace: System.Collections.Generic
Assembly: System.Custom (in System.Custom.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public virtual void Add(
    T item
)
public virtual void Add(
    T item
)
Public Overridable Sub Add (
    item As T
)
Public Overridable Sub Add (
    item As T
)
public:
virtual void Add(
    T item
)
public:
virtual void Add(
    T item
)
Parameters
item
Type: T
The object to add to the AHandlerList T .
Exceptions
Exception | Condition
Online System InvalidOperationException | Thrown when list size exceeded.
Online System NotSupportedException | The AHandlerList T is read-only.
See Also
AHandlerList T  Class
AHandlerList T  Members
System.Collections.Generic Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AHandlerList(T).AddRange Method

AHandlerList T AddRange Method s3pi library documentation
Adds the elements of the specified collection to the end of the AHandlerList T .

Namespace: System.Collections.Generic
Assembly: System.Custom (in System.Custom.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public virtual void AddRange(
    IEnumerable<T> collection
)
public virtual void AddRange(
    IEnumerable<T> collection
)
Public Overridable Sub AddRange (
    collection As IEnumerable(Of T)
)
Public Overridable Sub AddRange (
    collection As IEnumerable(Of T)
)
public:
virtual void AddRange(
    IEnumerable<T>^ collection
)
public:
virtual void AddRange(
    IEnumerable<T>^ collection
)
Parameters
collection
Type:   Online System.Collections.Generic IEnumerable  T
The collection whose elements should be added to the end of the AHandlerList T .
            The collection itself cannot be null, but it can contain elements that are null, if type T is a reference type.
Exceptions
Exception | Condition
Online System ArgumentNullException | collection is null.
Online System InvalidOperationException | Thrown when list size would be exceeded.
Online System NotSupportedException | The AHandlerList T is read-only.
Remarks
Calls Add(T) for each item in collection.
See Also
AHandlerList T  Class
AHandlerList T  Members
System.Collections.Generic Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AHandlerList(T).Clear Method

AHandlerList T Clear Method s3pi library documentation
Removes all items from the AHandlerList T .

Namespace: System.Collections.Generic
Assembly: System.Custom (in System.Custom.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public virtual void Clear()
public virtual void Clear()
Public Overridable Sub Clear
Public Overridable Sub Clear
public:
virtual void Clear()
public:
virtual void Clear()
Exceptions
Exception | Condition
Online System NotSupportedException | The AHandlerList T is read-only.
See Also
AHandlerList T  Class
AHandlerList T  Members
System.Collections.Generic Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AHandlerList(T).Equals Method

AHandlerList T Equals Method s3pi library documentation
Determine whether this list is equal to target.

Namespace: System.Collections.Generic
Assembly: System.Custom (in System.Custom.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public bool Equals(
    AHandlerList<T> target
)
public bool Equals(
    AHandlerList<T> target
)
Public Function Equals (
    target As AHandlerList(Of T)
) As Boolean
Public Function Equals (
    target As AHandlerList(Of T)
) As Boolean
public:
bool Equals(
    AHandlerList<T>^ target
)
public:
bool Equals(
    AHandlerList<T>^ target
)
Parameters
target
Type: System.Collections.Generic AHandlerList  T
A AHandlerList T  against which to test this list for equality.
Return Value
Type:   Online Boolean
True if this list is equal to target; otherwise false.
See Also
AHandlerList T  Class
AHandlerList T  Members
System.Collections.Generic Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AHandlerList(T).Insert Method

AHandlerList T Insert Method s3pi library documentation
Inserts an item to the AHandlerList T at the specified index.

Namespace: System.Collections.Generic
Assembly: System.Custom (in System.Custom.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public virtual void Insert(
    int index,
    T item
)
public virtual void Insert(
    int index,
    T item
)
Public Overridable Sub Insert (
    index As Integer,
    item As T
)
Public Overridable Sub Insert (
    index As Integer,
    item As T
)
public:
virtual void Insert(
    int index,
    T item
)
public:
virtual void Insert(
    int index,
    T item
)
Parameters
index
Type:   Online System Int32
The zero-based index at which item should be inserted.
item
Type: T
The object to insert into the AHandlerList T .
Exceptions
Exception | Condition
Online System ArgumentOutOfRangeException | index is not a valid index in the AHandlerList T .
Online System InvalidOperationException | Thrown when list size exceeded.
Online System NotSupportedException | The AHandlerList T is read-only.
See Also
AHandlerList T  Class
AHandlerList T  Members
System.Collections.Generic Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AHandlerList(T).InsertRange Method

AHandlerList T InsertRange Method s3pi library documentation
Inserts the elements of a collection into the AHandlerList T at the specified index.

Namespace: System.Collections.Generic
Assembly: System.Custom (in System.Custom.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public virtual void InsertRange(
    int index,
    IEnumerable<T> collection
)
public virtual void InsertRange(
    int index,
    IEnumerable<T> collection
)
Public Overridable Sub InsertRange (
    index As Integer,
    collection As IEnumerable(Of T)
)
Public Overridable Sub InsertRange (
    index As Integer,
    collection As IEnumerable(Of T)
)
public:
virtual void InsertRange(
    int index,
    IEnumerable<T>^ collection
)
public:
virtual void InsertRange(
    int index,
    IEnumerable<T>^ collection
)
Parameters
index
Type:   Online System Int32
The zero-based index at which the new elements should be inserted.
collection
Type:   Online System.Collections.Generic IEnumerable  T
The collection whose elements should be inserted into the AHandlerList T .
            The collection itself cannot be null, but it can contain elements that are null, if type T is a reference type.
Exceptions
Exception | Condition
Online System ArgumentNullException | collection is null.
Online System ArgumentOutOfRangeException | index is less than 0. -or- index is greater than AHandlerList T .Count.
Online System InvalidOperationException | Thrown when list size would be exceeded.
Online System NotSupportedException | The AHandlerList T is read-only.
Remarks
Calls Insert(Int32, T) for each item in collection.
See Also
AHandlerList T  Class
AHandlerList T  Members
System.Collections.Generic Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AHandlerList(T).OnListChanged Method

AHandlerList T OnListChanged Method s3pi library documentation
Invokes the list change event handler.

Namespace: System.Collections.Generic
Assembly: System.Custom (in System.Custom.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected void OnListChanged()
protected void OnListChanged()
Protected Sub OnListChanged
Protected Sub OnListChanged
protected:
void OnListChanged()
protected:
void OnListChanged()
See Also
AHandlerList T  Class
AHandlerList T  Members
System.Collections.Generic Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AHandlerList(T).Remove Method

AHandlerList T Remove Method s3pi library documentation
Removes the first occurrence of a specific object from the AHandlerList T .

Namespace: System.Collections.Generic
Assembly: System.Custom (in System.Custom.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public virtual bool Remove(
    T item
)
public virtual bool Remove(
    T item
)
Public Overridable Function Remove (
    item As T
) As Boolean
Public Overridable Function Remove (
    item As T
) As Boolean
public:
virtual bool Remove(
    T item
)
public:
virtual bool Remove(
    T item
)
Parameters
item
Type: T
The object to remove from the AHandlerList T .
Return Value
Type:   Online Boolean

            true if item was successfully removed from the AHandlerList T
            otherwise, false. This method also returns false if item is not found in
            the original AHandlerList T .

Exceptions
Exception | Condition
Online System NotSupportedException | The AHandlerList T is read-only.
See Also
AHandlerList T  Class
AHandlerList T  Members
System.Collections.Generic Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AHandlerList(T).RemoveAll Method

AHandlerList T RemoveAll Method s3pi library documentation
Removes the all the elements that match the conditions defined by the specified predicate.

Namespace: System.Collections.Generic
Assembly: System.Custom (in System.Custom.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public virtual int RemoveAll(
    Predicate<T> match
)
public virtual int RemoveAll(
    Predicate<T> match
)
Public Overridable Function RemoveAll (
    match As Predicate(Of T)
) As Integer
Public Overridable Function RemoveAll (
    match As Predicate(Of T)
) As Integer
public:
virtual int RemoveAll(
    Predicate<T>^ match
)
public:
virtual int RemoveAll(
    Predicate<T>^ match
)
Parameters
match
Type:   Online System Predicate  T
The System.Predicate{T} delegate that defines the conditions of the elements to remove.
Return Value
Type:   Online Int32
The number of elements removed from the AHandlerList T .
Exceptions
Exception | Condition
Online System ArgumentNullException | match is null.
Online System NotSupportedException | The AHandlerList T is read-only.
See Also
AHandlerList T  Class
AHandlerList T  Members
System.Collections.Generic Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AHandlerList(T).RemoveAt Method

AHandlerList T RemoveAt Method s3pi library documentation
Removes the AHandlerList T item at the specified index.

Namespace: System.Collections.Generic
Assembly: System.Custom (in System.Custom.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public virtual void RemoveAt(
    int index
)
public virtual void RemoveAt(
    int index
)
Public Overridable Sub RemoveAt (
    index As Integer
)
Public Overridable Sub RemoveAt (
    index As Integer
)
public:
virtual void RemoveAt(
    int index
)
public:
virtual void RemoveAt(
    int index
)
Parameters
index
Type:   Online System Int32
The zero-based index of the item to remove.
Exceptions
Exception | Condition
Online System ArgumentOutOfRangeException | index is not a valid index in the AHandlerList T .
Online System NotSupportedException | The AHandlerList T is read-only.
See Also
AHandlerList T  Class
AHandlerList T  Members
System.Collections.Generic Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AHandlerList(T).RemoveRange Method

AHandlerList T RemoveRange Method s3pi library documentation
Removes a range of elements from the AHandlerList T .

Namespace: System.Collections.Generic
Assembly: System.Custom (in System.Custom.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public virtual void RemoveRange(
    int index,
    int count
)
public virtual void RemoveRange(
    int index,
    int count
)
Public Overridable Sub RemoveRange (
    index As Integer,
    count As Integer
)
Public Overridable Sub RemoveRange (
    index As Integer,
    count As Integer
)
public:
virtual void RemoveRange(
    int index,
    int count
)
public:
virtual void RemoveRange(
    int index,
    int count
)
Parameters
index
Type:   Online System Int32
The zero-based starting index of the range of elements to remove.
count
Type:   Online System Int32
The number of elements to remove.
Exceptions
Exception | Condition
Online System ArgumentException | index and count do not denote a valid range of elements in the AHandlerList T .
Online System ArgumentOutOfRangeException | index is less than 0. -or- index is greater than AHandlerList T .Count.
Online System NotSupportedException | The AHandlerList T is read-only.
See Also
AHandlerList T  Class
AHandlerList T  Members
System.Collections.Generic Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AHandlerList(T).Reverse Method

AHandlerList T Reverse Method s3pi library documentation
Overload List
 | Name | Description
Public method | Reverse | Reverses the order of the elements in the entire AHandlerList T .
Public method | Reverse(Int32, Int32) | Reverses the order of the elements in the specified range.
Back to Top
See Also
AHandlerList T Class
AHandlerList T Members
System.Collections.Generic Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AHandlerList(T).Reverse Method

AHandlerList T Reverse Method s3pi library documentation
Reverses the order of the elements in the entire AHandlerList T .

Namespace: System.Collections.Generic
Assembly: System.Custom (in System.Custom.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public virtual void Reverse()
public virtual void Reverse()
Public Overridable Sub Reverse
Public Overridable Sub Reverse
public:
virtual void Reverse()
public:
virtual void Reverse()
Exceptions
Exception | Condition
Online System NotSupportedException | The AHandlerList T is read-only.
See Also
AHandlerList T  Class
AHandlerList T  Members
Reverse Overload
System.Collections.Generic Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AHandlerList(T).Reverse Method (Int32, Int32)

AHandlerList T Reverse Method (Int32, Int32) s3pi library documentation
Reverses the order of the elements in the specified range.

Namespace: System.Collections.Generic
Assembly: System.Custom (in System.Custom.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public virtual void Reverse(
    int index,
    int count
)
public virtual void Reverse(
    int index,
    int count
)
Public Overridable Sub Reverse (
    index As Integer,
    count As Integer
)
Public Overridable Sub Reverse (
    index As Integer,
    count As Integer
)
public:
virtual void Reverse(
    int index,
    int count
)
public:
virtual void Reverse(
    int index,
    int count
)
Parameters
index
Type:   Online System Int32
The zero-based starting index of the range to reverse.
count
Type:   Online System Int32
The number of elements in the range to reverse.
Exceptions
Exception | Condition
Online System ArgumentException | index and count do not denote a valid range of elements in the AHandlerList T .
Online System ArgumentOutOfRangeException | index is less than 0. -or- index is greater than AHandlerList T .Count.
Online System NotSupportedException | The AHandlerList T is read-only.
See Also
AHandlerList T  Class
AHandlerList T  Members
Reverse Overload
System.Collections.Generic Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AHandlerList(T).Sort Method

AHandlerList T Sort Method s3pi library documentation
Overload List
 | Name | Description
Public method | Sort | Sorts the elements in the entire AHandlerList T using the default comparer.
Public method | Sort(IComparer T ) | Sorts the elements in the entire AHandlerList T using the specified comparer.
Public method | Sort(Comparison T ) | Sorts the elements in the entire AHandlerList T using the specified Online Comparison T .
Public method | Sort(Int32, Int32, IComparer T ) | Sorts the elements in a range of elements in AHandlerList T using the specified comparer.
Back to Top
See Also
AHandlerList T Class
AHandlerList T Members
System.Collections.Generic Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AHandlerList(T).Sort Method

AHandlerList T Sort Method s3pi library documentation
Sorts the elements in the entire AHandlerList T using the default comparer.

Namespace: System.Collections.Generic
Assembly: System.Custom (in System.Custom.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public virtual void Sort()
public virtual void Sort()
Public Overridable Sub Sort
Public Overridable Sub Sort
public:
virtual void Sort()
public:
virtual void Sort()
Exceptions
Exception | Condition
Online System InvalidOperationException | The default comparer Online Comparer T .Default cannot find an implementation of the Online IComparable T generic interface or the System.IComparable interface for type T.
Online System NotSupportedException | The AHandlerList T is read-only.
See Also
AHandlerList T  Class
AHandlerList T  Members
Sort Overload
System.Collections.Generic Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AHandlerList(T).Sort Method (IComparer(T))

AHandlerList T Sort Method (IComparer T ) s3pi library documentation
Sorts the elements in the entire AHandlerList T using the specified comparer.

Namespace: System.Collections.Generic
Assembly: System.Custom (in System.Custom.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public virtual void Sort(
    IComparer<T> comparer
)
public virtual void Sort(
    IComparer<T> comparer
)
Public Overridable Sub Sort (
    comparer As IComparer(Of T)
)
Public Overridable Sub Sort (
    comparer As IComparer(Of T)
)
public:
virtual void Sort(
    IComparer<T>^ comparer
)
public:
virtual void Sort(
    IComparer<T>^ comparer
)
Parameters
comparer
Type:   Online System.Collections.Generic IComparer  T
The   Online IComparer T  implementation to use when comparing elements,
            or null to use the default comparer   Online Comparer T .Default.
Exceptions
Exception | Condition
Online System ArgumentException | The implementation of comparer caused an error during the sort. For example, comparer might not return 0 when comparing an item with itself.
Online System InvalidOperationException | comparer is null, and the default comparer Online Comparer T .Default cannot find implementation of the Online IComparable T generic interface or the System.IComparable interface for type T.
Online System NotSupportedException | The AHandlerList T is read-only.
See Also
AHandlerList T  Class
AHandlerList T  Members
Sort Overload
System.Collections.Generic Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AHandlerList(T).Sort Method (Comparison(T))

AHandlerList T Sort Method (Comparison T ) s3pi library documentation
Sorts the elements in the entire AHandlerList T using the specified Online Comparison T .

Namespace: System.Collections.Generic
Assembly: System.Custom (in System.Custom.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public virtual void Sort(
    Comparison<T> comparison
)
public virtual void Sort(
    Comparison<T> comparison
)
Public Overridable Sub Sort (
    comparison As Comparison(Of T)
)
Public Overridable Sub Sort (
    comparison As Comparison(Of T)
)
public:
virtual void Sort(
    Comparison<T>^ comparison
)
public:
virtual void Sort(
    Comparison<T>^ comparison
)
Parameters
comparison
Type:   Online System Comparison  T
The   Online Comparison T  to use when comparing elements.
Exceptions
Exception | Condition
Online System ArgumentException | The implementation of comparison caused an error during the sort. For example, comparison might not return 0 when comparing an item with itself.
Online System ArgumentNullException | comparison is null.
Online System NotSupportedException | The AHandlerList T is read-only.
See Also
AHandlerList T  Class
AHandlerList T  Members
Sort Overload
System.Collections.Generic Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AHandlerList(T).Sort Method (Int32, Int32, IComparer(T))

AHandlerList T Sort Method (Int32, Int32, IComparer T ) s3pi library documentation
Sorts the elements in a range of elements in AHandlerList T using the specified comparer.

Namespace: System.Collections.Generic
Assembly: System.Custom (in System.Custom.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public virtual void Sort(
    int index,
    int count,
    IComparer<T> comparer
)
public virtual void Sort(
    int index,
    int count,
    IComparer<T> comparer
)
Public Overridable Sub Sort (
    index As Integer,
    count As Integer,
    comparer As IComparer(Of T)
)
Public Overridable Sub Sort (
    index As Integer,
    count As Integer,
    comparer As IComparer(Of T)
)
public:
virtual void Sort(
    int index,
    int count,
    IComparer<T>^ comparer
)
public:
virtual void Sort(
    int index,
    int count,
    IComparer<T>^ comparer
)
Parameters
index
Type:   Online System Int32
The zero-based starting index of the range to sort.
count
Type:   Online System Int32
The number of elements in the range to sort.
comparer
Type:   Online System.Collections.Generic IComparer  T
The   Online IComparer T  implementation to use when comparing elements,
            or null to use the default comparer   Online Comparer T .Default.
Exceptions
Exception | Condition
Online System ArgumentException | index and count do not denote a valid range of elements in the AHandlerList T . -or- The implementation of comparer caused an error during the sort. For example, comparer might not return 0 when comparing an item with itself.
Online System ArgumentOutOfRangeException | index is less than 0. -or- count is less than 0.
Online System InvalidOperationException | comparer is null, and the default comparer Online Comparer T .Default cannot find implementation of the Online IComparable T generic interface or the System.IComparable interface for type T.
Online System NotSupportedException | The AHandlerList T is read-only.
See Also
AHandlerList T  Class
AHandlerList T  Members
Sort Overload
System.Collections.Generic Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AHandlerList(T) Properties

AHandlerList T Properties s3pi library documentation
The AHandlerList T type exposes the following members.
Properties
 | Name | Description
Public property | Item | Gets or sets the element at the specified index.
Public property | MaxSize | The maximum size of the list, or -1 for no limit (read-only).
Back to Top
See Also
AHandlerList T Class
System.Collections.Generic Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AHandlerList(T).Item Property

AHandlerList T Item Property s3pi library documentation
Gets or sets the element at the specified index.

Namespace: System.Collections.Generic
Assembly: System.Custom (in System.Custom.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public virtual T this[
    int index
] { get; set; }
public virtual T this[
    int index
] { get; set; }
Public Overridable Default Property Item (
    index As Integer
) As T
    Get
    Set
Public Overridable Default Property Item (
    index As Integer
) As T
    Get
    Set
public:
virtual property T default[int index] {
    T get (int index);
    void set (int index, T value);
}
public:
virtual property T default[int index] {
    T get (int index);
    void set (int index, T value);
}
Parameters
index
Type:   Online System Int32
The zero-based index of the element to get or set.
Return Value
Type: T
The element at the specified index.
Exceptions
Exception | Condition
Online System ArgumentOutOfRangeException | index is not a valid index in the AHandlerList T .
Online System NotSupportedException | The AHandlerList T is read-only.
See Also
AHandlerList T  Class
AHandlerList T  Members
System.Collections.Generic Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


AHandlerList(T).MaxSize Property

AHandlerList T MaxSize Property s3pi library documentation
The maximum size of the list, or -1 for no limit (read-only).

Namespace: System.Collections.Generic
Assembly: System.Custom (in System.Custom.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public long MaxSize { get; }
public long MaxSize { get; }
Public ReadOnly Property MaxSize As Long
    Get
Public ReadOnly Property MaxSize As Long
    Get
public:
property long long MaxSize {
    long long get ();
}
public:
property long long MaxSize {
    long long get ();
}
Property Value
Type:   Online Int64
See Also
AHandlerList T  Class
AHandlerList T  Members
System.Collections.Generic Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


System.Configuration Namespace

System.Configuration Namespace s3pi library documentation
Classes
 | Class | Description
Public class | PortableSettingsProvider | Provides persistence for application settings classes without the random folder naming of Online LocalFileSettingsProvider.

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


PortableSettingsProvider Class

PortableSettingsProvider Class s3pi library documentation
Provides persistence for application settings classes without the random folder naming of Online LocalFileSettingsProvider.
Inheritance Hierarchy
Online System Object
Online System.Configuration.Provider ProviderBase
Online System.Configuration SettingsProvider
System.Configuration PortableSettingsProvider

Namespace: System.Configuration
Assembly: System.Custom (in System.Custom.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public class PortableSettingsProvider : SettingsProvider
public class PortableSettingsProvider : SettingsProvider
Public Class PortableSettingsProvider
    Inherits SettingsProvider
Public Class PortableSettingsProvider
    Inherits SettingsProvider
public ref class PortableSettingsProvider : public SettingsProvider
public ref class PortableSettingsProvider : public SettingsProvider
See Also
PortableSettingsProvider Members
System.Configuration Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


PortableSettingsProvider Members

PortableSettingsProvider Members s3pi library documentation

The PortableSettingsProvider type exposes the following members.
Constructors
 | Name | Description
Public method | PortableSettingsProvider | Initializes a new instance of the PortableSettingsProvider class
Back to Top
Methods
 | Name | Description
 | GetApplicationIniFile | Return the path of the ini file named suffix.
Public method | GetPropertyValues | Retrieve settings from the configuration file. (Overrides Online SettingsProvider GetPropertyValues(SettingsContext, SettingsPropertyCollection).)
Public method | Initialize | Initializes the provider. (Overrides Online ProviderBase Initialize(String, NameValueCollection).)
Public method | SetPropertyValues | Save any of the applications settings that have changed (flagged as "dirty"). (Overrides Online SettingsProvider SetPropertyValues(SettingsContext, SettingsPropertyValueCollection).)
Back to Top
Properties
 | Name | Description
Public property | ApplicationName | Return the executing assembly name without extension. (Overrides Online SettingsProvider ApplicationName.)
 | ExecutableName | The name of the process, stripped of path and extension.
 | ExecutablePath | The path to the process executable.
 | ProgramApplicationData | Get the folder where data for the application product is held.
 | UserConfigurationData | Provide the application settings filename.
Back to Top
See Also
PortableSettingsProvider Class
System.Configuration Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


PortableSettingsProvider Constructor

PortableSettingsProvider Constructor s3pi library documentation
Initializes a new instance of the PortableSettingsProvider class

Namespace: System.Configuration
Assembly: System.Custom (in System.Custom.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public PortableSettingsProvider()
public PortableSettingsProvider()
Public Sub New
Public Sub New
public:
PortableSettingsProvider()
public:
PortableSettingsProvider()
See Also
PortableSettingsProvider Class
PortableSettingsProvider Members
System.Configuration Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


PortableSettingsProvider Methods

PortableSettingsProvider Methods s3pi library documentation
The PortableSettingsProvider type exposes the following members.
Methods
 | Name | Description
 | GetApplicationIniFile | Return the path of the ini file named suffix.
Public method | GetPropertyValues | Retrieve settings from the configuration file. (Overrides Online SettingsProvider GetPropertyValues(SettingsContext, SettingsPropertyCollection).)
Public method | Initialize | Initializes the provider. (Overrides Online ProviderBase Initialize(String, NameValueCollection).)
Public method | SetPropertyValues | Save any of the applications settings that have changed (flagged as "dirty"). (Overrides Online SettingsProvider SetPropertyValues(SettingsContext, SettingsPropertyValueCollection).)
Back to Top
See Also
PortableSettingsProvider Class
System.Configuration Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


PortableSettingsProvider.GetApplicationIniFile Method

PortableSettingsProvider GetApplicationIniFile Method s3pi library documentation
Return the path of the ini file named suffix.

Namespace: System.Configuration
Assembly: System.Custom (in System.Custom.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static string GetApplicationIniFile(
    string suffix
)
public static string GetApplicationIniFile(
    string suffix
)
Public Shared Function GetApplicationIniFile (
    suffix As String
) As String
Public Shared Function GetApplicationIniFile (
    suffix As String
) As String
public:
static String^ GetApplicationIniFile(
    String^ suffix
)
public:
static String^ GetApplicationIniFile(
    String^ suffix
)
Parameters
suffix
Type:   Online System String
Name of the ini file.
Return Value
Type:   Online String
The path of the ini file named suffix.
See Also
PortableSettingsProvider Class
PortableSettingsProvider Members
System.Configuration Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


PortableSettingsProvider.GetPropertyValues Method

PortableSettingsProvider GetPropertyValues Method s3pi library documentation
Retrieve settings from the configuration file.

Namespace: System.Configuration
Assembly: System.Custom (in System.Custom.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override SettingsPropertyValueCollection GetPropertyValues(
    SettingsContext sContext,
    SettingsPropertyCollection settingsColl
)
public override SettingsPropertyValueCollection GetPropertyValues(
    SettingsContext sContext,
    SettingsPropertyCollection settingsColl
)
Public Overrides Function GetPropertyValues (
    sContext As SettingsContext,
    settingsColl As SettingsPropertyCollection
) As SettingsPropertyValueCollection
Public Overrides Function GetPropertyValues (
    sContext As SettingsContext,
    settingsColl As SettingsPropertyCollection
) As SettingsPropertyValueCollection
public:
virtual SettingsPropertyValueCollection^ GetPropertyValues(
    SettingsContext^ sContext,
    SettingsPropertyCollection^ settingsColl
) override
public:
virtual SettingsPropertyValueCollection^ GetPropertyValues(
    SettingsContext^ sContext,
    SettingsPropertyCollection^ settingsColl
) override
Parameters
sContext
Type:   Online System.Configuration SettingsContext
Provides contextual information that the provider can use when persisting settings.
settingsColl
Type:   Online System.Configuration SettingsPropertyCollection
Contains a collection of   Online SettingsProperty objects.
Return Value
Type:   Online SettingsPropertyValueCollection
A collection of settings property values that map   Online SettingsProperty objects to   Online SettingsPropertyValue objects.
See Also
PortableSettingsProvider Class
PortableSettingsProvider Members
System.Configuration Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


PortableSettingsProvider.Initialize Method

PortableSettingsProvider Initialize Method s3pi library documentation
Initializes the provider.

Namespace: System.Configuration
Assembly: System.Custom (in System.Custom.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override void Initialize(
    string name,
    NameValueCollection config
)
public override void Initialize(
    string name,
    NameValueCollection config
)
Public Overrides Sub Initialize (
    name As String,
    config As NameValueCollection
)
Public Overrides Sub Initialize (
    name As String,
    config As NameValueCollection
)
public:
virtual void Initialize(
    String^ name,
    NameValueCollection^ config
) override
public:
virtual void Initialize(
    String^ name,
    NameValueCollection^ config
) override
Parameters
name
Type:   Online System String
The friendly name of the provider.
config
Type:   Online System.Collections.Specialized NameValueCollection
A collection of the name/value pairs representing the provider-specific attributes specified in the configuration for this provider.
Exceptions
Exception | Condition
Online System ArgumentNullException | The name of the provider is null.
Online System ArgumentException | The name of the provider has a length of zero.
Online System InvalidOperationException | An attempt is made to call System.Configuration.Provider.ProviderBase.Initialize(System.String,System.Collections.Specialized.NameValueCollection) on a provider after the provider has already been initialized.
See Also
PortableSettingsProvider Class
PortableSettingsProvider Members
System.Configuration Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


PortableSettingsProvider.SetPropertyValues Method

PortableSettingsProvider SetPropertyValues Method s3pi library documentation
Save any of the applications settings that have changed (flagged as "dirty").

Namespace: System.Configuration
Assembly: System.Custom (in System.Custom.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override void SetPropertyValues(
    SettingsContext sContext,
    SettingsPropertyValueCollection settingsColl
)
public override void SetPropertyValues(
    SettingsContext sContext,
    SettingsPropertyValueCollection settingsColl
)
Public Overrides Sub SetPropertyValues (
    sContext As SettingsContext,
    settingsColl As SettingsPropertyValueCollection
)
Public Overrides Sub SetPropertyValues (
    sContext As SettingsContext,
    settingsColl As SettingsPropertyValueCollection
)
public:
virtual void SetPropertyValues(
    SettingsContext^ sContext,
    SettingsPropertyValueCollection^ settingsColl
) override
public:
virtual void SetPropertyValues(
    SettingsContext^ sContext,
    SettingsPropertyValueCollection^ settingsColl
) override
Parameters
sContext
Type:   Online System.Configuration SettingsContext
Provides contextual information that the provider can use when persisting settings.
settingsColl
Type:   Online System.Configuration SettingsPropertyValueCollection
Contains a collection of   Online SettingsProperty objects.
Exceptions
Exception | Condition
Online System.Xml XmlException | The operation would not result in a well formed XML document (for example, no document element or duplicate XML declarations).
See Also
PortableSettingsProvider Class
PortableSettingsProvider Members
System.Configuration Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


PortableSettingsProvider Properties

PortableSettingsProvider Properties s3pi library documentation
The PortableSettingsProvider type exposes the following members.
Properties
 | Name | Description
Public property | ApplicationName | Return the executing assembly name without extension. (Overrides Online SettingsProvider ApplicationName.)
 | ExecutableName | The name of the process, stripped of path and extension.
 | ExecutablePath | The path to the process executable.
 | ProgramApplicationData | Get the folder where data for the application product is held.
 | UserConfigurationData | Provide the application settings filename.
Back to Top
See Also
PortableSettingsProvider Class
System.Configuration Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


PortableSettingsProvider.ApplicationName Property

PortableSettingsProvider ApplicationName Property s3pi library documentation
Return the executing assembly name without extension.

Namespace: System.Configuration
Assembly: System.Custom (in System.Custom.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override string ApplicationName { get; set; }
public override string ApplicationName { get; set; }
Public Overrides Property ApplicationName As String
    Get
    Set
Public Overrides Property ApplicationName As String
    Get
    Set
public:
virtual property String^ ApplicationName {
    String^ get () override;
    void set (String^ value) override;
}
public:
virtual property String^ ApplicationName {
    String^ get () override;
    void set (String^ value) override;
}
Property Value
Type:   Online String
See Also
PortableSettingsProvider Class
PortableSettingsProvider Members
System.Configuration Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


PortableSettingsProvider.ExecutableName Property

PortableSettingsProvider ExecutableName Property s3pi library documentation
The name of the process, stripped of path and extension.

Namespace: System.Configuration
Assembly: System.Custom (in System.Custom.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static string ExecutableName { get; }
public static string ExecutableName { get; }
Public Shared ReadOnly Property ExecutableName As String
    Get
Public Shared ReadOnly Property ExecutableName As String
    Get
public:
static property String^ ExecutableName {
    String^ get ();
}
public:
static property String^ ExecutableName {
    String^ get ();
}
Property Value
Type:   Online String
See Also
PortableSettingsProvider Class
PortableSettingsProvider Members
System.Configuration Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


PortableSettingsProvider.ExecutablePath Property

PortableSettingsProvider ExecutablePath Property s3pi library documentation
The path to the process executable.

Namespace: System.Configuration
Assembly: System.Custom (in System.Custom.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static string ExecutablePath { get; }
public static string ExecutablePath { get; }
Public Shared ReadOnly Property ExecutablePath As String
    Get
Public Shared ReadOnly Property ExecutablePath As String
    Get
public:
static property String^ ExecutablePath {
    String^ get ();
}
public:
static property String^ ExecutablePath {
    String^ get ();
}
Property Value
Type:   Online String
See Also
PortableSettingsProvider Class
PortableSettingsProvider Members
System.Configuration Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


PortableSettingsProvider.ProgramApplicationData Property

PortableSettingsProvider ProgramApplicationData Property s3pi library documentation
Get the folder where data for the application product is held.

Namespace: System.Configuration
Assembly: System.Custom (in System.Custom.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static string ProgramApplicationData { get; }
public static string ProgramApplicationData { get; }
Public Shared ReadOnly Property ProgramApplicationData As String
    Get
Public Shared ReadOnly Property ProgramApplicationData As String
    Get
public:
static property String^ ProgramApplicationData {
    String^ get ();
}
public:
static property String^ ProgramApplicationData {
    String^ get ();
}
Property Value
Type:   Online String
See Also
PortableSettingsProvider Class
PortableSettingsProvider Members
System.Configuration Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


PortableSettingsProvider.UserConfigurationData Property

PortableSettingsProvider UserConfigurationData Property s3pi library documentation
Provide the application settings filename.

Namespace: System.Configuration
Assembly: System.Custom (in System.Custom.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static string UserConfigurationData { get; }
public static string UserConfigurationData { get; }
Public Shared ReadOnly Property UserConfigurationData As String
    Get
Public Shared ReadOnly Property UserConfigurationData As String
    Get
public:
static property String^ UserConfigurationData {
    String^ get ();
}
public:
static property String^ UserConfigurationData {
    String^ get ();
}
Return Value
Type:   Online String
The application settings filename.
See Also
PortableSettingsProvider Class
PortableSettingsProvider Members
System.Configuration Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


System.Drawing Namespace

System.Drawing Namespace s3pi library documentation
Classes
 | Class | Description
Public class | DdsFile | Represents an image encoded using one of the supported DDS mechanisms.
Public class | Extensions | Extensions for working with bitmap images.
Structures
 | Structure | Description
Public structure | ColorHSVA | Implement ColorHSVA class and conversion to ColorRGBA
Public structure | HSVShift | Describes a hue, saturation and value shift to be applied to an image

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ColorHSVA Structure

ColorHSVA Structure s3pi library documentation
Implement ColorHSVA class and conversion to ColorRGBA

Namespace: System.Drawing
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public struct ColorHSVA
public struct ColorHSVA
Public Structure ColorHSVA
Public Structure ColorHSVA
public value class ColorHSVA
public value class ColorHSVA
Remarks
See   Online this paper
            for where this code originates.
            Note that I've changed disagreements between scaling by 255 or 256 to always use 255.  This means
            floats range from 0.0f to 1.0f and bytes from 0 to 255.  I hope.
See Also
ColorHSVA Members
System.Drawing Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ColorHSVA Members

ColorHSVA Members s3pi library documentation

The ColorHSVA type exposes the following members.
Constructors
 | Name | Description
Public method | ColorHSVA(ColorHSVA) | Create a new ColorHSVA from an existing ColorHSVA value.
Public method | ColorHSVA(Byte, Byte, Byte, Byte) | Create a new ColorHSVA from the given values.
Back to Top
Methods
 | Name | Description
Public method | Equals | Determine if obj is a ColorHSVA equal to the current value. (Overrides Online ValueType Equals(Object).)
Public method | GetHashCode | Returns the hashcode for this instance. (Overrides Online ValueType GetHashCode .)
Public method | HSVShift | Return the current ColorHSVA adjusted by a given HSVShift(HSVShift) value.
Public method | ToARGB | Convert from ColorHSVA to UInt32 ARGB format.
 | ToArrayARGB | Creates a Bitmap image corresponding to an HSVA image.
 | ToArrayColorHSVA | Creates the HSVA data values corresponding to an array of UInt32 ARGB values.
Back to Top
Operators
Name | Description
Equality | Determine whether two ColorHSVA objects have the same value.
(UInt32 to ColorHSVA) | Cast from UInt32 ARGB format to ColorHSVA.
Inequality | Determine whether two ColorHSVA objects do not have the same value.
Back to Top
Fields
 | Name | Description
Public field | a | h for hue, s for saturation, v for value, a for alpha
Public field | h | h for hue, s for saturation, v for value, a for alpha
Public field | s | h for hue, s for saturation, v for value, a for alpha
Public field | v | h for hue, s for saturation, v for value, a for alpha
Back to Top
See Also
ColorHSVA Structure
System.Drawing Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ColorHSVA Constructor

ColorHSVA Constructor s3pi library documentation
Overload List
 | Name | Description
Public method | ColorHSVA(ColorHSVA) | Create a new ColorHSVA from an existing ColorHSVA value.
Public method | ColorHSVA(Byte, Byte, Byte, Byte) | Create a new ColorHSVA from the given values.
Back to Top
See Also
ColorHSVA Structure
ColorHSVA Members
System.Drawing Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ColorHSVA Constructor (ColorHSVA)

ColorHSVA Constructor (ColorHSVA) s3pi library documentation
Create a new ColorHSVA from an existing ColorHSVA value.

Namespace: System.Drawing
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public ColorHSVA(
    ColorHSVA hsva
)
public ColorHSVA(
    ColorHSVA hsva
)
Public Sub New (
    hsva As ColorHSVA
)
Public Sub New (
    hsva As ColorHSVA
)
public:
ColorHSVA(
    ColorHSVA hsva
)
public:
ColorHSVA(
    ColorHSVA hsva
)
Parameters
hsva
Type: System.Drawing ColorHSVA
An existing ColorHSVA value.
See Also
ColorHSVA Structure
ColorHSVA Members
ColorHSVA Overload
System.Drawing Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ColorHSVA Constructor (Byte, Byte, Byte, Byte)

ColorHSVA Constructor (Byte, Byte, Byte, Byte) s3pi library documentation
Create a new ColorHSVA from the given values.

Namespace: System.Drawing
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public ColorHSVA(
    byte h,
    byte s,
    byte v,
    byte a
)
public ColorHSVA(
    byte h,
    byte s,
    byte v,
    byte a
)
Public Sub New (
    h As Byte,
    s As Byte,
    v As Byte,
    a As Byte
)
Public Sub New (
    h As Byte,
    s As Byte,
    v As Byte,
    a As Byte
)
public:
ColorHSVA(
    unsigned char h,
    unsigned char s,
    unsigned char v,
    unsigned char a
)
public:
ColorHSVA(
    unsigned char h,
    unsigned char s,
    unsigned char v,
    unsigned char a
)
Parameters
h
Type:   Online System Byte
Hue.
s
Type:   Online System Byte
Saturation.
v
Type:   Online System Byte
Value.
a
Type:   Online System Byte
Alpha.
See Also
ColorHSVA Structure
ColorHSVA Members
ColorHSVA Overload
System.Drawing Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ColorHSVA Fields

ColorHSVA Fields s3pi library documentation
The ColorHSVA type exposes the following members.
Fields
 | Name | Description
Public field | a | h for hue, s for saturation, v for value, a for alpha
Public field | h | h for hue, s for saturation, v for value, a for alpha
Public field | s | h for hue, s for saturation, v for value, a for alpha
Public field | v | h for hue, s for saturation, v for value, a for alpha
Back to Top
See Also
ColorHSVA Structure
System.Drawing Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ColorHSVA.a Field

ColorHSVA a Field s3pi library documentation
h for hue, s for saturation, v for value, a for alpha

Namespace: System.Drawing
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public byte a
public byte a
Public a As Byte
Public a As Byte
public:
unsigned char a
public:
unsigned char a
Field Value
Type:   Online Byte
See Also
ColorHSVA Structure
ColorHSVA Members
System.Drawing Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ColorHSVA.h Field

ColorHSVA h Field s3pi library documentation
h for hue, s for saturation, v for value, a for alpha

Namespace: System.Drawing
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public byte h
public byte h
Public h As Byte
Public h As Byte
public:
unsigned char h
public:
unsigned char h
Field Value
Type:   Online Byte
See Also
ColorHSVA Structure
ColorHSVA Members
System.Drawing Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ColorHSVA.s Field

ColorHSVA s Field s3pi library documentation
h for hue, s for saturation, v for value, a for alpha

Namespace: System.Drawing
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public byte s
public byte s
Public s As Byte
Public s As Byte
public:
unsigned char s
public:
unsigned char s
Field Value
Type:   Online Byte
See Also
ColorHSVA Structure
ColorHSVA Members
System.Drawing Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ColorHSVA.v Field

ColorHSVA v Field s3pi library documentation
h for hue, s for saturation, v for value, a for alpha

Namespace: System.Drawing
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public byte v
public byte v
Public v As Byte
Public v As Byte
public:
unsigned char v
public:
unsigned char v
Field Value
Type:   Online Byte
See Also
ColorHSVA Structure
ColorHSVA Members
System.Drawing Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ColorHSVA Methods

ColorHSVA Methods s3pi library documentation
The ColorHSVA type exposes the following members.
Methods
 | Name | Description
Public method | Equals | Determine if obj is a ColorHSVA equal to the current value. (Overrides Online ValueType Equals(Object).)
Public method | GetHashCode | Returns the hashcode for this instance. (Overrides Online ValueType GetHashCode .)
Public method | HSVShift | Return the current ColorHSVA adjusted by a given HSVShift(HSVShift) value.
Public method | ToARGB | Convert from ColorHSVA to UInt32 ARGB format.
 | ToArrayARGB | Creates a Bitmap image corresponding to an HSVA image.
 | ToArrayColorHSVA | Creates the HSVA data values corresponding to an array of UInt32 ARGB values.
Back to Top
See Also
ColorHSVA Structure
System.Drawing Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ColorHSVA.Equals Method

ColorHSVA Equals Method s3pi library documentation
Determine if obj is a ColorHSVA equal to the current value.

Namespace: System.Drawing
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override bool Equals(
    Object obj
)
public override bool Equals(
    Object obj
)
Public Overrides Function Equals (
    obj As Object
) As Boolean
Public Overrides Function Equals (
    obj As Object
) As Boolean
public:
virtual bool Equals(
    Object^ obj
) override
public:
virtual bool Equals(
    Object^ obj
) override
Parameters
obj
Type:   Online System Object
Value to test for equality.
Return Value
Type:   Online Boolean
True if obj is a ColorHSVA equal
            to the current value; otherwise false.
See Also
ColorHSVA Structure
ColorHSVA Members
System.Drawing Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ColorHSVA.GetHashCode Method

ColorHSVA GetHashCode Method s3pi library documentation
Returns the hashcode for this instance.

Namespace: System.Drawing
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override int GetHashCode()
public override int GetHashCode()
Public Overrides Function GetHashCode As Integer
Public Overrides Function GetHashCode As Integer
public:
virtual int GetHashCode() override
public:
virtual int GetHashCode() override
Return Value
Type:   Online Int32
The hashcode for this instance.
See Also
ColorHSVA Structure
ColorHSVA Members
System.Drawing Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ColorHSVA.HSVShift Method

ColorHSVA HSVShift Method s3pi library documentation
Return the current ColorHSVA adjusted by a given HSVShift(HSVShift) value.

Namespace: System.Drawing
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public ColorHSVA HSVShift(
    HSVShift hsvShift
)
public ColorHSVA HSVShift(
    HSVShift hsvShift
)
Public Function HSVShift (
    hsvShift As HSVShift
) As ColorHSVA
Public Function HSVShift (
    hsvShift As HSVShift
) As ColorHSVA
public:
ColorHSVA HSVShift(
    HSVShift hsvShift
)
public:
ColorHSVA HSVShift(
    HSVShift hsvShift
)
Parameters
hsvShift
Type: System.Drawing HSVShift
The HSVShift(HSVShift) value by which to adjust this ColorHSVA.
Return Value
Type: ColorHSVA
The current ColorHSVA adjusted by a given HSVShift(HSVShift) value.
See Also
ColorHSVA Structure
ColorHSVA Members
System.Drawing Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ColorHSVA.ToARGB Method

ColorHSVA ToARGB Method s3pi library documentation
Convert from ColorHSVA to UInt32 ARGB format.

Namespace: System.Drawing
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public uint ToARGB()
public uint ToARGB()
Public Function ToARGB As UInteger
Public Function ToARGB As UInteger
public:
unsigned int ToARGB()
public:
unsigned int ToARGB()
Return Value
Type:   Online UInt32
The equivalent UInt32 ARGB format value.
See Also
ColorHSVA Structure
ColorHSVA Members
System.Drawing Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ColorHSVA.ToArrayARGB Method

ColorHSVA ToArrayARGB Method s3pi library documentation
Creates a Bitmap image corresponding to an HSVA image.

Namespace: System.Drawing
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static uint[] ToArrayARGB(
    ColorHSVA[] hsvaData,
    HSVShift hsvShift = null
)
public static uint[] ToArrayARGB(
    ColorHSVA[] hsvaData,
    HSVShift hsvShift = null
)
Public Shared Function ToArrayARGB (
    hsvaData As ColorHSVA(),
    Optional hsvShift As HSVShift = Nothing
) As UInteger()
Public Shared Function ToArrayARGB (
    hsvaData As ColorHSVA(),
    Optional hsvShift As HSVShift = Nothing
) As UInteger()
public:
static array<unsigned int>^ ToArrayARGB(
    array<ColorHSVA>^ hsvaData,
    HSVShift hsvShift = nullptr
)
public:
static array<unsigned int>^ ToArrayARGB(
    array<ColorHSVA>^ hsvaData,
    HSVShift hsvShift = nullptr
)
Parameters
hsvaData
Type:  System.Drawing ColorHSVA
An HSVA image.
hsvShift (Optional)
Type: System.Drawing HSVShift
An optional HSVShift(HSVShift) to apply.
Return Value
Type:    Online UInt32
A Bitmap image corresponding to hsvaData.
See Also
ColorHSVA Structure
ColorHSVA Members
System.Drawing Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ColorHSVA.ToArrayColorHSVA Method

ColorHSVA ToArrayColorHSVA Method s3pi library documentation
Creates the HSVA data values corresponding to an array of UInt32 ARGB values.

Namespace: System.Drawing
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static ColorHSVA[] ToArrayColorHSVA(
    uint[] argbData
)
public static ColorHSVA[] ToArrayColorHSVA(
    uint[] argbData
)
Public Shared Function ToArrayColorHSVA (
    argbData As UInteger()
) As ColorHSVA()
Public Shared Function ToArrayColorHSVA (
    argbData As UInteger()
) As ColorHSVA()
public:
static array<ColorHSVA>^ ToArrayColorHSVA(
    array<unsigned int>^ argbData
)
public:
static array<ColorHSVA>^ ToArrayColorHSVA(
    array<unsigned int>^ argbData
)
Parameters
argbData
Type:    Online System UInt32
An array of UInt32 ARGB values.
Return Value
Type:  ColorHSVA
HSVA data values corresponding to argbData.
See Also
ColorHSVA Structure
ColorHSVA Members
System.Drawing Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ColorHSVA Operators and Type Conversions

ColorHSVA Operators and Type Conversions s3pi library documentation
The ColorHSVA type exposes the following members.
Operators
Name | Description
Equality | Determine whether two ColorHSVA objects have the same value.
(UInt32 to ColorHSVA) | Cast from UInt32 ARGB format to ColorHSVA.
Inequality | Determine whether two ColorHSVA objects do not have the same value.
Back to Top
See Also
ColorHSVA Structure
System.Drawing Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ColorHSVA.Equality Operator

ColorHSVA Equality Operator s3pi library documentation
Determine whether two ColorHSVA objects have the same value.

Namespace: System.Drawing
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static bool operator ==(
    ColorHSVA val1,
    ColorHSVA val2
)
public static bool operator ==(
    ColorHSVA val1,
    ColorHSVA val2
)
Public Shared Operator = (
    val1 As ColorHSVA,
    val2 As ColorHSVA
) As Boolean
Public Shared Operator = (
    val1 As ColorHSVA,
    val2 As ColorHSVA
) As Boolean
public:
static bool operator ==(
    ColorHSVA val1,
    ColorHSVA val2
)
public:
static bool operator ==(
    ColorHSVA val1,
    ColorHSVA val2
)
Parameters
val1
Type: System.Drawing ColorHSVA
First object.
val2
Type: System.Drawing ColorHSVA
Second object.
Return Value
Type:   Online Boolean
True if the Equals method on val1 returns true when passed val2.
See Also
ColorHSVA Structure
ColorHSVA Members
System.Drawing Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ColorHSVA Explicit Conversion (UInt32 to ColorHSVA)

ColorHSVA Conversion (UInt32 to ColorHSVA) s3pi library documentation
Cast from UInt32 ARGB format to ColorHSVA.

Namespace: System.Drawing
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static explicit operator ColorHSVA (
    uint argb
)
public static explicit operator ColorHSVA (
    uint argb
)
Public Shared Narrowing Operator CType (
    argb As UInteger
) As ColorHSVA
Public Shared Narrowing Operator CType (
    argb As UInteger
) As ColorHSVA
static explicit operator ColorHSVA (
    unsigned int argb
)
static explicit operator ColorHSVA (
    unsigned int argb
)
Parameters
argb
Type:   Online System UInt32
[Missing <param name="argb"/> documentation for "M:System.Drawing.ColorHSVA.op_Explicit(System.UInt32)~System.Drawing.ColorHSVA"]
Return Value
Type: ColorHSVA
The equivalent ColorHSVA value.
See Also
ColorHSVA Structure
ColorHSVA Members
System.Drawing Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ColorHSVA.Inequality Operator

ColorHSVA Inequality Operator s3pi library documentation
Determine whether two ColorHSVA objects do not have the same value.

Namespace: System.Drawing
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static bool operator !=(
    ColorHSVA val1,
    ColorHSVA val2
)
public static bool operator !=(
    ColorHSVA val1,
    ColorHSVA val2
)
Public Shared Operator <> (
    val1 As ColorHSVA,
    val2 As ColorHSVA
) As Boolean
Public Shared Operator <> (
    val1 As ColorHSVA,
    val2 As ColorHSVA
) As Boolean
public:
static bool operator !=(
    ColorHSVA val1,
    ColorHSVA val2
)
public:
static bool operator !=(
    ColorHSVA val1,
    ColorHSVA val2
)
Parameters
val1
Type: System.Drawing ColorHSVA
First object.
val2
Type: System.Drawing ColorHSVA
Second object.
Return Value
Type:   Online Boolean
True if the Equals method on val1 returns false when passed val2.
See Also
ColorHSVA Structure
ColorHSVA Members
System.Drawing Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DdsFile Class

DdsFile Class s3pi library documentation
Represents an image encoded using one of the supported DDS mechanisms.
Inheritance Hierarchy
Online System Object
System.Drawing DdsFile

Namespace: System.Drawing
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public class DdsFile : IDisposable
public class DdsFile : IDisposable
Public Class DdsFile
    Implements IDisposable
Public Class DdsFile
    Implements IDisposable
public ref class DdsFile : IDisposable
public ref class DdsFile : IDisposable
Remarks

            A "DirectX Draw Surface" stores compressed pixel data that is used when
            rendering scenes.  The pixel data may be used for purposes other than purely display,
            such as being used for masked operations on another DDS image.

Note that this assembly depends on two unmanaged libraries:

squishinterface_Win32.dll - code for 32bit Windows systems.

squishinterface_x64.dll - code for 64bit Windows systems.

See Also
DdsFile Members
System.Drawing Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DdsFile Members

DdsFile Members s3pi library documentation

The DdsFile type exposes the following members.
Constructors
 | Name | Description
Public method | DdsFile | Initializes a new instance of the DdsFile class
Back to Top
Methods
 | Name | Description
Public method | ClearMask | Clears a previously-applied HSVShift mask.
Public method | CreateImage(Bitmap, Boolean) | Creates an image from a given Bitmap. If supportHSV is true, also creates an HSVa-encoded version of the image.
Public method | CreateImage(Image, Boolean) | Creates an image from a given Image. If supportHSV is true, also creates an HSVa-encoded version of the image.
Public method | CreateImage(DdsFile, Boolean) | Creates an image from a given DdsFile. If supportHSV is true, also creates an HSVa-encoded version of the image.
Public method | CreateImage(Bitmap, Int32, Int32, Boolean) | Creates an image from a given Bitmap, resized as requested. If supportHSV is true, also creates an HSVa-encoded version of the image.
Public method | CreateImage(Color, Int32, Int32, Boolean) | Creates an image of a single colour, specified by the Online Color parameter, with the size given by the int parameters. If supportHSV is true, also creates an HSVa-encoded version of the image.
Public method | CreateImage(UInt32, Int32, Int32, Boolean) | Creates an image of a single colour, specified by the uint parameter (low byte is "blue", then "green", then "red" then high byte is "alpha"), with the size given by the int parameters. If supportHSV is true, also creates an HSVa-encoded version of the image.
Public method | CreateImage(DdsFile, Int32, Int32, Boolean) | Creates an image from a given DdsFile, resized as requested. If supportHSV is true, also creates an HSVa-encoded version of the image.
Public method | CreateImage(Byte, Byte, Byte, Byte, Int32, Int32, Boolean) | Creates an image of a single colour, specified by the byte parameters, with the size given by the int parameters. If supportHSV is true, also creates an HSVa-encoded version of the image.
Public method | DeleteAlphaChannel | Set the image format to one without an alpha channel, clearing the alpha data.
Public method | Dispose | Performs application-defined tasks associated with freeing, releasing, or resetting unmanaged resources.
Public method | DoAction | Perform an action on each pixel in the current image.
Public method | GetGreyscaleFromAlpha | Get a greyscale image representing the alpha channel of the current image.
Public method | GetImage | Extract a Image representing the current image, subject to the filtering requested.
Public method | Load | Loads the data from an image encoded using one of the supported DDS mechanisms. If supportHSV is true, also creates an HSVa-encoded version of the image.
Public method | MaskedApplyImage(DdsFile, Bitmap, Bitmap, Bitmap, Bitmap) | Use the mask to apply the supplied bitmaps.
Public method | MaskedApplyImage(DdsFile, DdsFile, DdsFile, DdsFile, DdsFile) | Use the mask to apply the DDS image supplied.
Public method | MaskedApplyImage(DdsFile, Image, Image, Image, Image) | Use the mask to apply the supplied images.
Public method | MaskedHSVShift | Apply HSVShift values to this DDS image based on the channels in the mask.
Public method | MaskedHSVShiftNoBlend | Apply HSVShift values to this DDS image based on the channels in the mask. Each channel of the mask acts independently, in order "R", "G", "B", "A".
Public method | MaskedSetColour | Set the colour of the image based on the channels in the mask.
Public method | Resize | Get a new DdsFile of the given size based on the current image.
Public method | Save | Saves the current image using one of the supported DDS mechanisms.
Public method | SetAlphaFromGreyscale(Bitmap) | Converts the R, G and B channels of the supplied image to greyscale and loads this into the Alpha channel of the current image. The image format will be changed to one supporting an Alpha channel, if required.
Public method | SetAlphaFromGreyscale(Image) | Converts the R, G and B channels of the supplied image to greyscale and loads this into the Alpha channel of the current image.
Public method | SetAlphaFromGreyscale(DdsFile) | Converts the R, G and B channels of the supplied image to greyscale and loads this into the Alpha channel of the current image. The image format will be changed to one supporting an 8-bit Alpha channel, if required.
Public method | SetPixels(Func UInt32, UInt32 ) | Apply a transformation function to the current image.
Public method | SetPixels(Func Int32, Int32, UInt32, UInt32 ) | Apply a transformation function to the current image.
Back to Top
Properties
 | Name | Description
Public property | AlphaDepth | When UseDXT is true, the DXT compression mode. Otherwise the number of bits per alpha pixel.
Public property | HSVShift | The HSVShift applied to the current image, when supported.
Public property | Image | The current image.
Public property | Size | The image size.
Public property | SupportsHSV | True if the image is prepared to process HSV requests.
Public property | UseDXT | If true, use DXT-type image compression for storage. The exact format will depend on the AlphaDepth. By default, DXT5 will be used. Setting to false (from true) will default to A8B8G8R8 format.
Public property | UseLuminance | If true, treat the image as a luminance (plus alpha) map for storage. Currently only A8L8, 16bit coding is supported. Setting to false (from true) will default to A8B8G8R8 (non-DXT) format.
Back to Top
See Also
DdsFile Class
System.Drawing Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DdsFile Constructor

DdsFile Constructor s3pi library documentation
Initializes a new instance of the DdsFile class

Namespace: System.Drawing
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public DdsFile()
public DdsFile()
Public Sub New
Public Sub New
public:
DdsFile()
public:
DdsFile()
See Also
DdsFile Class
DdsFile Members
System.Drawing Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DdsFile Methods

DdsFile Methods s3pi library documentation
The DdsFile type exposes the following members.
Methods
 | Name | Description
Public method | ClearMask | Clears a previously-applied HSVShift mask.
Public method | CreateImage(Bitmap, Boolean) | Creates an image from a given Bitmap. If supportHSV is true, also creates an HSVa-encoded version of the image.
Public method | CreateImage(Image, Boolean) | Creates an image from a given Image. If supportHSV is true, also creates an HSVa-encoded version of the image.
Public method | CreateImage(DdsFile, Boolean) | Creates an image from a given DdsFile. If supportHSV is true, also creates an HSVa-encoded version of the image.
Public method | CreateImage(Bitmap, Int32, Int32, Boolean) | Creates an image from a given Bitmap, resized as requested. If supportHSV is true, also creates an HSVa-encoded version of the image.
Public method | CreateImage(Color, Int32, Int32, Boolean) | Creates an image of a single colour, specified by the Online Color parameter, with the size given by the int parameters. If supportHSV is true, also creates an HSVa-encoded version of the image.
Public method | CreateImage(UInt32, Int32, Int32, Boolean) | Creates an image of a single colour, specified by the uint parameter (low byte is "blue", then "green", then "red" then high byte is "alpha"), with the size given by the int parameters. If supportHSV is true, also creates an HSVa-encoded version of the image.
Public method | CreateImage(DdsFile, Int32, Int32, Boolean) | Creates an image from a given DdsFile, resized as requested. If supportHSV is true, also creates an HSVa-encoded version of the image.
Public method | CreateImage(Byte, Byte, Byte, Byte, Int32, Int32, Boolean) | Creates an image of a single colour, specified by the byte parameters, with the size given by the int parameters. If supportHSV is true, also creates an HSVa-encoded version of the image.
Public method | DeleteAlphaChannel | Set the image format to one without an alpha channel, clearing the alpha data.
Public method | Dispose | Performs application-defined tasks associated with freeing, releasing, or resetting unmanaged resources.
Public method | DoAction | Perform an action on each pixel in the current image.
Public method | GetGreyscaleFromAlpha | Get a greyscale image representing the alpha channel of the current image.
Public method | GetImage | Extract a Image representing the current image, subject to the filtering requested.
Public method | Load | Loads the data from an image encoded using one of the supported DDS mechanisms. If supportHSV is true, also creates an HSVa-encoded version of the image.
Public method | MaskedApplyImage(DdsFile, Bitmap, Bitmap, Bitmap, Bitmap) | Use the mask to apply the supplied bitmaps.
Public method | MaskedApplyImage(DdsFile, DdsFile, DdsFile, DdsFile, DdsFile) | Use the mask to apply the DDS image supplied.
Public method | MaskedApplyImage(DdsFile, Image, Image, Image, Image) | Use the mask to apply the supplied images.
Public method | MaskedHSVShift | Apply HSVShift values to this DDS image based on the channels in the mask.
Public method | MaskedHSVShiftNoBlend | Apply HSVShift values to this DDS image based on the channels in the mask. Each channel of the mask acts independently, in order "R", "G", "B", "A".
Public method | MaskedSetColour | Set the colour of the image based on the channels in the mask.
Public method | Resize | Get a new DdsFile of the given size based on the current image.
Public method | Save | Saves the current image using one of the supported DDS mechanisms.
Public method | SetAlphaFromGreyscale(Bitmap) | Converts the R, G and B channels of the supplied image to greyscale and loads this into the Alpha channel of the current image. The image format will be changed to one supporting an Alpha channel, if required.
Public method | SetAlphaFromGreyscale(Image) | Converts the R, G and B channels of the supplied image to greyscale and loads this into the Alpha channel of the current image.
Public method | SetAlphaFromGreyscale(DdsFile) | Converts the R, G and B channels of the supplied image to greyscale and loads this into the Alpha channel of the current image. The image format will be changed to one supporting an 8-bit Alpha channel, if required.
Public method | SetPixels(Func UInt32, UInt32 ) | Apply a transformation function to the current image.
Public method | SetPixels(Func Int32, Int32, UInt32, UInt32 ) | Apply a transformation function to the current image.
Back to Top
See Also
DdsFile Class
System.Drawing Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DdsFile.ClearMask Method

DdsFile ClearMask Method s3pi library documentation
Clears a previously-applied HSVShift mask.

Namespace: System.Drawing
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void ClearMask()
public void ClearMask()
Public Sub ClearMask
Public Sub ClearMask
public:
void ClearMask()
public:
void ClearMask()
See Also
DdsFile Class
DdsFile Members
System.Drawing Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DdsFile.CreateImage Method

DdsFile CreateImage Method s3pi library documentation
Overload List
 | Name | Description
Public method | CreateImage(Bitmap, Boolean) | Creates an image from a given Bitmap. If supportHSV is true, also creates an HSVa-encoded version of the image.
Public method | CreateImage(Image, Boolean) | Creates an image from a given Image. If supportHSV is true, also creates an HSVa-encoded version of the image.
Public method | CreateImage(DdsFile, Boolean) | Creates an image from a given DdsFile. If supportHSV is true, also creates an HSVa-encoded version of the image.
Public method | CreateImage(Bitmap, Int32, Int32, Boolean) | Creates an image from a given Bitmap, resized as requested. If supportHSV is true, also creates an HSVa-encoded version of the image.
Public method | CreateImage(Color, Int32, Int32, Boolean) | Creates an image of a single colour, specified by the Online Color parameter, with the size given by the int parameters. If supportHSV is true, also creates an HSVa-encoded version of the image.
Public method | CreateImage(UInt32, Int32, Int32, Boolean) | Creates an image of a single colour, specified by the uint parameter (low byte is "blue", then "green", then "red" then high byte is "alpha"), with the size given by the int parameters. If supportHSV is true, also creates an HSVa-encoded version of the image.
Public method | CreateImage(DdsFile, Int32, Int32, Boolean) | Creates an image from a given DdsFile, resized as requested. If supportHSV is true, also creates an HSVa-encoded version of the image.
Public method | CreateImage(Byte, Byte, Byte, Byte, Int32, Int32, Boolean) | Creates an image of a single colour, specified by the byte parameters, with the size given by the int parameters. If supportHSV is true, also creates an HSVa-encoded version of the image.
Back to Top
See Also
DdsFile Class
DdsFile Members
System.Drawing Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DdsFile.CreateImage Method (Bitmap, Boolean)

DdsFile CreateImage Method (Bitmap, Boolean) s3pi library documentation
Creates an image from a given Bitmap. If supportHSV is true, also creates an HSVa-encoded version of the image.

Namespace: System.Drawing
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void CreateImage(
    Bitmap image,
    bool supportHSV
)
public void CreateImage(
    Bitmap image,
    bool supportHSV
)
Public Sub CreateImage (
    image As Bitmap,
    supportHSV As Boolean
)
Public Sub CreateImage (
    image As Bitmap,
    supportHSV As Boolean
)
public:
void CreateImage(
    Bitmap^ image,
    bool supportHSV
)
public:
void CreateImage(
    Bitmap^ image,
    bool supportHSV
)
Parameters
image
Type:   Online System.Drawing Bitmap
Bitmap from which to extract image pixels.
supportHSV
Type:   Online System Boolean
When true, create an HSVa-encoded version of the image.
See Also
DdsFile Class
DdsFile Members
CreateImage Overload
System.Drawing Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DdsFile.CreateImage Method (Image, Boolean)

DdsFile CreateImage Method (Image, Boolean) s3pi library documentation
Creates an image from a given Image. If supportHSV is true, also creates an HSVa-encoded version of the image.

Namespace: System.Drawing
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void CreateImage(
    Image image,
    bool supportHSV
)
public void CreateImage(
    Image image,
    bool supportHSV
)
Public Sub CreateImage (
    image As Image,
    supportHSV As Boolean
)
Public Sub CreateImage (
    image As Image,
    supportHSV As Boolean
)
public:
void CreateImage(
    Image^ image,
    bool supportHSV
)
public:
void CreateImage(
    Image^ image,
    bool supportHSV
)
Parameters
image
Type:   Online System.Drawing Image
Image from which to extract image pixels.
supportHSV
Type:   Online System Boolean
When true, create an HSVa-encoded version of the image.
See Also
DdsFile Class
DdsFile Members
CreateImage Overload
System.Drawing Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DdsFile.CreateImage Method (DdsFile, Boolean)

DdsFile CreateImage Method (DdsFile, Boolean) s3pi library documentation
Creates an image from a given DdsFile. If supportHSV is true, also creates an HSVa-encoded version of the image.

Namespace: System.Drawing
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void CreateImage(
    DdsFile image,
    bool supportHSV
)
public void CreateImage(
    DdsFile image,
    bool supportHSV
)
Public Sub CreateImage (
    image As DdsFile,
    supportHSV As Boolean
)
Public Sub CreateImage (
    image As DdsFile,
    supportHSV As Boolean
)
public:
void CreateImage(
    DdsFile^ image,
    bool supportHSV
)
public:
void CreateImage(
    DdsFile^ image,
    bool supportHSV
)
Parameters
image
Type: System.Drawing DdsFile
DdsFile to clone.
supportHSV
Type:   Online System Boolean
When true, create an HSVa-encoded version of the image.
See Also
DdsFile Class
DdsFile Members
CreateImage Overload
System.Drawing Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DdsFile.CreateImage Method (Bitmap, Int32, Int32, Boolean)

DdsFile CreateImage Method (Bitmap, Int32, Int32, Boolean) s3pi library documentation
Creates an image from a given Bitmap, resized as requested. If supportHSV is true, also creates an HSVa-encoded version of the image.

Namespace: System.Drawing
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void CreateImage(
    Bitmap image,
    int width,
    int height,
    bool supportHSV
)
public void CreateImage(
    Bitmap image,
    int width,
    int height,
    bool supportHSV
)
Public Sub CreateImage (
    image As Bitmap,
    width As Integer,
    height As Integer,
    supportHSV As Boolean
)
Public Sub CreateImage (
    image As Bitmap,
    width As Integer,
    height As Integer,
    supportHSV As Boolean
)
public:
void CreateImage(
    Bitmap^ image,
    int width,
    int height,
    bool supportHSV
)
public:
void CreateImage(
    Bitmap^ image,
    int width,
    int height,
    bool supportHSV
)
Parameters
image
Type:   Online System.Drawing Bitmap
Bitmap from which to extract image pixels.
width
Type:   Online System Int32
Width of image.
height
Type:   Online System Int32
Height of image.
supportHSV
Type:   Online System Boolean
When true, create an HSVa-encoded version of the image.
See Also
DdsFile Class
DdsFile Members
CreateImage Overload
System.Drawing Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DdsFile.CreateImage Method (Color, Int32, Int32, Boolean)

DdsFile CreateImage Method (Color, Int32, Int32, Boolean) s3pi library documentation
Creates an image of a single colour, specified by the Online Color parameter, with the size given by the int parameters. If supportHSV is true, also creates an HSVa-encoded version of the image.

Namespace: System.Drawing
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void CreateImage(
    Color color,
    int width,
    int height,
    bool supportHSV
)
public void CreateImage(
    Color color,
    int width,
    int height,
    bool supportHSV
)
Public Sub CreateImage (
    color As Color,
    width As Integer,
    height As Integer,
    supportHSV As Boolean
)
Public Sub CreateImage (
    color As Color,
    width As Integer,
    height As Integer,
    supportHSV As Boolean
)
public:
void CreateImage(
    Color color,
    int width,
    int height,
    bool supportHSV
)
public:
void CreateImage(
    Color color,
    int width,
    int height,
    bool supportHSV
)
Parameters
color
Type:   Online System.Drawing Color
  Online Color of image.
width
Type:   Online System Int32
Width of image.
height
Type:   Online System Int32
Height of image.
supportHSV
Type:   Online System Boolean
When true, create an HSVa-encoded version of the image.
See Also
DdsFile Class
DdsFile Members
CreateImage Overload
System.Drawing Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DdsFile.CreateImage Method (UInt32, Int32, Int32, Boolean)

DdsFile CreateImage Method (UInt32, Int32, Int32, Boolean) s3pi library documentation
Creates an image of a single colour, specified by the uint parameter (low byte is "blue", then "green", then "red" then high byte is "alpha"), with the size given by the int parameters. If supportHSV is true, also creates an HSVa-encoded version of the image.

Namespace: System.Drawing
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void CreateImage(
    uint argb,
    int width,
    int height,
    bool supportHSV
)
public void CreateImage(
    uint argb,
    int width,
    int height,
    bool supportHSV
)
Public Sub CreateImage (
    argb As UInteger,
    width As Integer,
    height As Integer,
    supportHSV As Boolean
)
Public Sub CreateImage (
    argb As UInteger,
    width As Integer,
    height As Integer,
    supportHSV As Boolean
)
public:
void CreateImage(
    unsigned int argb,
    int width,
    int height,
    bool supportHSV
)
public:
void CreateImage(
    unsigned int argb,
    int width,
    int height,
    bool supportHSV
)
Parameters
argb
Type:   Online System UInt32
Colour of image (low byte is "blue", then "green", then "red" then high byte is "alpha").
width
Type:   Online System Int32
Width of image.
height
Type:   Online System Int32
Height of image.
supportHSV
Type:   Online System Boolean
When true, create an HSVa-encoded version of the image.
See Also
DdsFile Class
DdsFile Members
CreateImage Overload
System.Drawing Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DdsFile.CreateImage Method (DdsFile, Int32, Int32, Boolean)

DdsFile CreateImage Method (DdsFile, Int32, Int32, Boolean) s3pi library documentation
Creates an image from a given DdsFile, resized as requested. If supportHSV is true, also creates an HSVa-encoded version of the image.

Namespace: System.Drawing
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void CreateImage(
    DdsFile image,
    int width,
    int height,
    bool supportHSV
)
public void CreateImage(
    DdsFile image,
    int width,
    int height,
    bool supportHSV
)
Public Sub CreateImage (
    image As DdsFile,
    width As Integer,
    height As Integer,
    supportHSV As Boolean
)
Public Sub CreateImage (
    image As DdsFile,
    width As Integer,
    height As Integer,
    supportHSV As Boolean
)
public:
void CreateImage(
    DdsFile^ image,
    int width,
    int height,
    bool supportHSV
)
public:
void CreateImage(
    DdsFile^ image,
    int width,
    int height,
    bool supportHSV
)
Parameters
image
Type: System.Drawing DdsFile
DdsFile to clone.
width
Type:   Online System Int32
Width of image.
height
Type:   Online System Int32
Height of image.
supportHSV
Type:   Online System Boolean
When true, create an HSVa-encoded version of the image.
See Also
DdsFile Class
DdsFile Members
CreateImage Overload
System.Drawing Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DdsFile.CreateImage Method (Byte, Byte, Byte, Byte, Int32, Int32, Boolean)

DdsFile CreateImage Method (Byte, Byte, Byte, Byte, Int32, Int32, Boolean) s3pi library documentation
Creates an image of a single colour, specified by the byte parameters, with the size given by the int parameters. If supportHSV is true, also creates an HSVa-encoded version of the image.

Namespace: System.Drawing
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void CreateImage(
    byte r,
    byte g,
    byte b,
    byte a,
    int width,
    int height,
    bool supportHSV
)
public void CreateImage(
    byte r,
    byte g,
    byte b,
    byte a,
    int width,
    int height,
    bool supportHSV
)
Public Sub CreateImage (
    r As Byte,
    g As Byte,
    b As Byte,
    a As Byte,
    width As Integer,
    height As Integer,
    supportHSV As Boolean
)
Public Sub CreateImage (
    r As Byte,
    g As Byte,
    b As Byte,
    a As Byte,
    width As Integer,
    height As Integer,
    supportHSV As Boolean
)
public:
void CreateImage(
    unsigned char r,
    unsigned char g,
    unsigned char b,
    unsigned char a,
    int width,
    int height,
    bool supportHSV
)
public:
void CreateImage(
    unsigned char r,
    unsigned char g,
    unsigned char b,
    unsigned char a,
    int width,
    int height,
    bool supportHSV
)
Parameters
r
Type:   Online System Byte
Amount of red per pixel.
g
Type:   Online System Byte
Amount of green per pixel.
b
Type:   Online System Byte
Amount of blue per pixel.
a
Type:   Online System Byte
Amount of alpha per pixel.
width
Type:   Online System Int32
Width of image.
height
Type:   Online System Int32
Height of image.
supportHSV
Type:   Online System Boolean
When true, create an HSVa-encoded version of the image.
See Also
DdsFile Class
DdsFile Members
CreateImage Overload
System.Drawing Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DdsFile.DeleteAlphaChannel Method

DdsFile DeleteAlphaChannel Method s3pi library documentation
Set the image format to one without an alpha channel, clearing the alpha data.

Namespace: System.Drawing
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void DeleteAlphaChannel()
public void DeleteAlphaChannel()
Public Sub DeleteAlphaChannel
Public Sub DeleteAlphaChannel
public:
void DeleteAlphaChannel()
public:
void DeleteAlphaChannel()
See Also
DdsFile Class
DdsFile Members
System.Drawing Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DdsFile.Dispose Method

DdsFile Dispose Method s3pi library documentation
Performs application-defined tasks associated with freeing, releasing, or resetting unmanaged resources.

Namespace: System.Drawing
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void Dispose()
public void Dispose()
Public Sub Dispose
Public Sub Dispose
public:
virtual void Dispose() sealed
public:
virtual void Dispose() sealed
Implements
  Online IDisposable Dispose
See Also
DdsFile Class
DdsFile Members
System.Drawing Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DdsFile.DoAction Method

DdsFile DoAction Method s3pi library documentation
Perform an action on each pixel in the current image.

Namespace: System.Drawing
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void DoAction(
    Action<int, int, uint> action
)
public void DoAction(
    Action<int, int, uint> action
)
Public Sub DoAction (
    action As Action(Of Integer, Integer, UInteger)
)
Public Sub DoAction (
    action As Action(Of Integer, Integer, UInteger)
)
public:
void DoAction(
    Action<int, int, unsigned int>^ action
)
public:
void DoAction(
    Action<int, int, unsigned int>^ action
)
Parameters
action
Type:   Online System Action    Online Int32,   Online Int32,   Online UInt32
An action taking x, y and pixel parameters.
See Also
DdsFile Class
DdsFile Members
System.Drawing Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DdsFile.GetGreyscaleFromAlpha Method

DdsFile GetGreyscaleFromAlpha Method s3pi library documentation
Get a greyscale image representing the alpha channel of the current image.

Namespace: System.Drawing
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public Bitmap GetGreyscaleFromAlpha()
public Bitmap GetGreyscaleFromAlpha()
Public Function GetGreyscaleFromAlpha As Bitmap
Public Function GetGreyscaleFromAlpha As Bitmap
public:
Bitmap^ GetGreyscaleFromAlpha()
public:
Bitmap^ GetGreyscaleFromAlpha()
Return Value
Type:   Online Bitmap
A greyscale image representing the alpha channel of the current image.
See Also
DdsFile Class
DdsFile Members
System.Drawing Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DdsFile.GetImage Method

DdsFile GetImage Method s3pi library documentation
Extract a Image representing the current image, subject to the filtering requested.

Namespace: System.Drawing
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public Bitmap GetImage(
    bool red,
    bool green,
    bool blue,
    bool alpha,
    bool invert
)
public Bitmap GetImage(
    bool red,
    bool green,
    bool blue,
    bool alpha,
    bool invert
)
Public Function GetImage (
    red As Boolean,
    green As Boolean,
    blue As Boolean,
    alpha As Boolean,
    invert As Boolean
) As Bitmap
Public Function GetImage (
    red As Boolean,
    green As Boolean,
    blue As Boolean,
    alpha As Boolean,
    invert As Boolean
) As Bitmap
public:
Bitmap^ GetImage(
    bool red,
    bool green,
    bool blue,
    bool alpha,
    bool invert
)
public:
Bitmap^ GetImage(
    bool red,
    bool green,
    bool blue,
    bool alpha,
    bool invert
)
Parameters
red
Type:   Online System Boolean
When true, the red channel of the DDS contributes to the red pixels of the returned image.
green
Type:   Online System Boolean
When true, the green channel of the DDS contributes to the green pixels of the returned image.
blue
Type:   Online System Boolean
When true, the blue channel of the DDS contributes to the blue pixels of the returned image.
alpha
Type:   Online System Boolean
When true, the alpha channel of the DDS contributes to the pixel transparency in the returned image.
invert
Type:   Online System Boolean
When true, the alpha channel of the DDS is inverted.
Return Value
Type:   Online Bitmap
A   Online Image representation of the DDS encoded image in the loaded   Online Stream.
See Also
DdsFile Class
DdsFile Members
System.Drawing Namespace
DdsFile Load(Stream, Boolean)
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DdsFile.Load Method

DdsFile Load Method s3pi library documentation
Loads the data from an image encoded using one of the supported DDS mechanisms. If supportHSV is true, also creates an HSVa-encoded version of the image.

Namespace: System.Drawing
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void Load(
    Stream input,
    bool supportHSV
)
public void Load(
    Stream input,
    bool supportHSV
)
Public Sub Load (
    input As Stream,
    supportHSV As Boolean
)
Public Sub Load (
    input As Stream,
    supportHSV As Boolean
)
public:
void Load(
    Stream^ input,
    bool supportHSV
)
public:
void Load(
    Stream^ input,
    bool supportHSV
)
Parameters
input
Type:   Online System.IO Stream
A   Online Stream containing the DDS-encoded image.
supportHSV
Type:   Online System Boolean
When true, create an HSVa-encoded version of the image.
See Also
DdsFile Class
DdsFile Members
System.Drawing Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DdsFile.MaskedApplyImage Method

DdsFile MaskedApplyImage Method s3pi library documentation
Overload List
 | Name | Description
Public method | MaskedApplyImage(DdsFile, Bitmap, Bitmap, Bitmap, Bitmap) | Use the mask to apply the supplied bitmaps.
Public method | MaskedApplyImage(DdsFile, DdsFile, DdsFile, DdsFile, DdsFile) | Use the mask to apply the DDS image supplied.
Public method | MaskedApplyImage(DdsFile, Image, Image, Image, Image) | Use the mask to apply the supplied images.
Back to Top
See Also
DdsFile Class
DdsFile Members
System.Drawing Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DdsFile.MaskedApplyImage Method (DdsFile, Bitmap, Bitmap, Bitmap, Bitmap)

DdsFile MaskedApplyImage Method (DdsFile, Bitmap, Bitmap, Bitmap, Bitmap) s3pi library documentation
Use the mask to apply the supplied bitmaps.

Namespace: System.Drawing
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void MaskedApplyImage(
    DdsFile mask,
    Bitmap ch1Bitmap,
    Bitmap ch2Bitmap,
    Bitmap ch3Bitmap,
    Bitmap ch4Bitmap
)
public void MaskedApplyImage(
    DdsFile mask,
    Bitmap ch1Bitmap,
    Bitmap ch2Bitmap,
    Bitmap ch3Bitmap,
    Bitmap ch4Bitmap
)
Public Sub MaskedApplyImage (
    mask As DdsFile,
    ch1Bitmap As Bitmap,
    ch2Bitmap As Bitmap,
    ch3Bitmap As Bitmap,
    ch4Bitmap As Bitmap
)
Public Sub MaskedApplyImage (
    mask As DdsFile,
    ch1Bitmap As Bitmap,
    ch2Bitmap As Bitmap,
    ch3Bitmap As Bitmap,
    ch4Bitmap As Bitmap
)
public:
void MaskedApplyImage(
    DdsFile^ mask,
    Bitmap^ ch1Bitmap,
    Bitmap^ ch2Bitmap,
    Bitmap^ ch3Bitmap,
    Bitmap^ ch4Bitmap
)
public:
void MaskedApplyImage(
    DdsFile^ mask,
    Bitmap^ ch1Bitmap,
    Bitmap^ ch2Bitmap,
    Bitmap^ ch3Bitmap,
    Bitmap^ ch4Bitmap
)
Parameters
mask
Type: System.Drawing DdsFile
Determines to which areas each image is applied.
ch1Bitmap
Type:   Online System.Drawing Bitmap
Bitmap applied to mask channel 1 area.
ch2Bitmap
Type:   Online System.Drawing Bitmap
Bitmap applied to mask channel 2 area.
ch3Bitmap
Type:   Online System.Drawing Bitmap
Bitmap applied to mask channel 3 area.
ch4Bitmap
Type:   Online System.Drawing Bitmap
Bitmap applied to mask channel 4 area.
See Also
DdsFile Class
DdsFile Members
MaskedApplyImage Overload
System.Drawing Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DdsFile.MaskedApplyImage Method (DdsFile, DdsFile, DdsFile, DdsFile, DdsFile)

DdsFile MaskedApplyImage Method (DdsFile, DdsFile, DdsFile, DdsFile, DdsFile) s3pi library documentation
Use the mask to apply the DDS image supplied.

Namespace: System.Drawing
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void MaskedApplyImage(
    DdsFile mask,
    DdsFile ch1DdsFile,
    DdsFile ch2DdsFile,
    DdsFile ch3DdsFile,
    DdsFile ch4DdsFile
)
public void MaskedApplyImage(
    DdsFile mask,
    DdsFile ch1DdsFile,
    DdsFile ch2DdsFile,
    DdsFile ch3DdsFile,
    DdsFile ch4DdsFile
)
Public Sub MaskedApplyImage (
    mask As DdsFile,
    ch1DdsFile As DdsFile,
    ch2DdsFile As DdsFile,
    ch3DdsFile As DdsFile,
    ch4DdsFile As DdsFile
)
Public Sub MaskedApplyImage (
    mask As DdsFile,
    ch1DdsFile As DdsFile,
    ch2DdsFile As DdsFile,
    ch3DdsFile As DdsFile,
    ch4DdsFile As DdsFile
)
public:
void MaskedApplyImage(
    DdsFile^ mask,
    DdsFile^ ch1DdsFile,
    DdsFile^ ch2DdsFile,
    DdsFile^ ch3DdsFile,
    DdsFile^ ch4DdsFile
)
public:
void MaskedApplyImage(
    DdsFile^ mask,
    DdsFile^ ch1DdsFile,
    DdsFile^ ch2DdsFile,
    DdsFile^ ch3DdsFile,
    DdsFile^ ch4DdsFile
)
Parameters
mask
Type: System.Drawing DdsFile
Determines to which areas each DDS image is applied.
ch1DdsFile
Type: System.Drawing DdsFile
DDS image applied to mask channel 1 area.
ch2DdsFile
Type: System.Drawing DdsFile
DDS image applied to mask channel 2 area.
ch3DdsFile
Type: System.Drawing DdsFile
DDS image applied to mask channel 3 area.
ch4DdsFile
Type: System.Drawing DdsFile
DDS image applied to mask channel 4 area.
See Also
DdsFile Class
DdsFile Members
MaskedApplyImage Overload
System.Drawing Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DdsFile.MaskedApplyImage Method (DdsFile, Image, Image, Image, Image)

DdsFile MaskedApplyImage Method (DdsFile, Image, Image, Image, Image) s3pi library documentation
Use the mask to apply the supplied images.

Namespace: System.Drawing
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void MaskedApplyImage(
    DdsFile mask,
    Image ch1Image,
    Image ch2Image,
    Image ch3Image,
    Image ch4Image
)
public void MaskedApplyImage(
    DdsFile mask,
    Image ch1Image,
    Image ch2Image,
    Image ch3Image,
    Image ch4Image
)
Public Sub MaskedApplyImage (
    mask As DdsFile,
    ch1Image As Image,
    ch2Image As Image,
    ch3Image As Image,
    ch4Image As Image
)
Public Sub MaskedApplyImage (
    mask As DdsFile,
    ch1Image As Image,
    ch2Image As Image,
    ch3Image As Image,
    ch4Image As Image
)
public:
void MaskedApplyImage(
    DdsFile^ mask,
    Image^ ch1Image,
    Image^ ch2Image,
    Image^ ch3Image,
    Image^ ch4Image
)
public:
void MaskedApplyImage(
    DdsFile^ mask,
    Image^ ch1Image,
    Image^ ch2Image,
    Image^ ch3Image,
    Image^ ch4Image
)
Parameters
mask
Type: System.Drawing DdsFile
Determines to which areas each image is applied.
ch1Image
Type:   Online System.Drawing Image
Image applied to mask channel 1 area.
ch2Image
Type:   Online System.Drawing Image
Image applied to mask channel 2 area.
ch3Image
Type:   Online System.Drawing Image
Image applied to mask channel 3 area.
ch4Image
Type:   Online System.Drawing Image
Image applied to mask channel 4 area.
See Also
DdsFile Class
DdsFile Members
MaskedApplyImage Overload
System.Drawing Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DdsFile.MaskedHSVShift Method

DdsFile MaskedHSVShift Method s3pi library documentation
Apply HSVShift values to this DDS image based on the channels in the mask.

Namespace: System.Drawing
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void MaskedHSVShift(
    DdsFile mask,
    HSVShift ch1Shift,
    HSVShift ch2Shift,
    HSVShift ch3Shift,
    HSVShift ch4Shift
)
public void MaskedHSVShift(
    DdsFile mask,
    HSVShift ch1Shift,
    HSVShift ch2Shift,
    HSVShift ch3Shift,
    HSVShift ch4Shift
)
Public Sub MaskedHSVShift (
    mask As DdsFile,
    ch1Shift As HSVShift,
    ch2Shift As HSVShift,
    ch3Shift As HSVShift,
    ch4Shift As HSVShift
)
Public Sub MaskedHSVShift (
    mask As DdsFile,
    ch1Shift As HSVShift,
    ch2Shift As HSVShift,
    ch3Shift As HSVShift,
    ch4Shift As HSVShift
)
public:
void MaskedHSVShift(
    DdsFile^ mask,
    HSVShift ch1Shift,
    HSVShift ch2Shift,
    HSVShift ch3Shift,
    HSVShift ch4Shift
)
public:
void MaskedHSVShift(
    DdsFile^ mask,
    HSVShift ch1Shift,
    HSVShift ch2Shift,
    HSVShift ch3Shift,
    HSVShift ch4Shift
)
Parameters
mask
Type: System.Drawing DdsFile
A DDS image file, each colourway acting as a mask channel.
ch1Shift
Type: System.Drawing HSVShift
A shift to apply to the image when the first channel of the mask is active.
ch2Shift
Type: System.Drawing HSVShift
A shift to apply to the image when the second channel of the mask is active.
ch3Shift
Type: System.Drawing HSVShift
A shift to apply to the image when the third channel of the mask is active.
ch4Shift
Type: System.Drawing HSVShift
A shift to apply to the image when the fourth channel of the mask is active.
See Also
DdsFile Class
DdsFile Members
System.Drawing Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DdsFile.MaskedHSVShiftNoBlend Method

DdsFile MaskedHSVShiftNoBlend Method s3pi library documentation
Apply HSVShift values to this DDS image based on the channels in the mask. Each channel of the mask acts independently, in order "R", "G", "B", "A".

Namespace: System.Drawing
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void MaskedHSVShiftNoBlend(
    DdsFile mask,
    HSVShift ch1Shift,
    HSVShift ch2Shift,
    HSVShift ch3Shift,
    HSVShift ch4Shift
)
public void MaskedHSVShiftNoBlend(
    DdsFile mask,
    HSVShift ch1Shift,
    HSVShift ch2Shift,
    HSVShift ch3Shift,
    HSVShift ch4Shift
)
Public Sub MaskedHSVShiftNoBlend (
    mask As DdsFile,
    ch1Shift As HSVShift,
    ch2Shift As HSVShift,
    ch3Shift As HSVShift,
    ch4Shift As HSVShift
)
Public Sub MaskedHSVShiftNoBlend (
    mask As DdsFile,
    ch1Shift As HSVShift,
    ch2Shift As HSVShift,
    ch3Shift As HSVShift,
    ch4Shift As HSVShift
)
public:
void MaskedHSVShiftNoBlend(
    DdsFile^ mask,
    HSVShift ch1Shift,
    HSVShift ch2Shift,
    HSVShift ch3Shift,
    HSVShift ch4Shift
)
public:
void MaskedHSVShiftNoBlend(
    DdsFile^ mask,
    HSVShift ch1Shift,
    HSVShift ch2Shift,
    HSVShift ch3Shift,
    HSVShift ch4Shift
)
Parameters
mask
Type: System.Drawing DdsFile
A DDS image file, each colourway acting as a mask channel.
ch1Shift
Type: System.Drawing HSVShift
A shift to apply to the image when the first channel of the mask is active.
ch2Shift
Type: System.Drawing HSVShift
A shift to apply to the image when the second channel of the mask is active.
ch3Shift
Type: System.Drawing HSVShift
A shift to apply to the image when the third channel of the mask is active.
ch4Shift
Type: System.Drawing HSVShift
A shift to apply to the image when the fourth channel of the mask is active.
See Also
DdsFile Class
DdsFile Members
System.Drawing Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DdsFile.MaskedSetColour Method

DdsFile MaskedSetColour Method s3pi library documentation
Set the colour of the image based on the channels in the mask.

Namespace: System.Drawing
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void MaskedSetColour(
    DdsFile mask,
    Nullable<uint> ch1Colour,
    Nullable<uint> ch2Colour,
    Nullable<uint> ch3Colour,
    Nullable<uint> ch4Colour
)
public void MaskedSetColour(
    DdsFile mask,
    Nullable<uint> ch1Colour,
    Nullable<uint> ch2Colour,
    Nullable<uint> ch3Colour,
    Nullable<uint> ch4Colour
)
Public Sub MaskedSetColour (
    mask As DdsFile,
    ch1Colour As Nullable(Of UInteger),
    ch2Colour As Nullable(Of UInteger),
    ch3Colour As Nullable(Of UInteger),
    ch4Colour As Nullable(Of UInteger)
)
Public Sub MaskedSetColour (
    mask As DdsFile,
    ch1Colour As Nullable(Of UInteger),
    ch2Colour As Nullable(Of UInteger),
    ch3Colour As Nullable(Of UInteger),
    ch4Colour As Nullable(Of UInteger)
)
public:
void MaskedSetColour(
    DdsFile^ mask,
    Nullable<unsigned int> ch1Colour,
    Nullable<unsigned int> ch2Colour,
    Nullable<unsigned int> ch3Colour,
    Nullable<unsigned int> ch4Colour
)
public:
void MaskedSetColour(
    DdsFile^ mask,
    Nullable<unsigned int> ch1Colour,
    Nullable<unsigned int> ch2Colour,
    Nullable<unsigned int> ch3Colour,
    Nullable<unsigned int> ch4Colour
)
Parameters
mask
Type: System.Drawing DdsFile
The   Online Stream containing the DDS image to use as a mask.
ch1Colour
Type:   Online System Nullable    Online UInt32
(Nullable) ARGB colour to the image when the first channel of the mask is active.
ch2Colour
Type:   Online System Nullable    Online UInt32
(Nullable) ARGB colour to the image when the second channel of the mask is active.
ch3Colour
Type:   Online System Nullable    Online UInt32
(Nullable) ARGB colour to the image when the third channel of the mask is active.
ch4Colour
Type:   Online System Nullable    Online UInt32
(Nullable) ARGB colour to the image when the fourth channel of the mask is active.
See Also
DdsFile Class
DdsFile Members
System.Drawing Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DdsFile.Resize Method

DdsFile Resize Method s3pi library documentation
Get a new DdsFile of the given size based on the current image.

Namespace: System.Drawing
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public DdsFile Resize(
    Size size
)
public DdsFile Resize(
    Size size
)
Public Function Resize (
    size As Size
) As DdsFile
Public Function Resize (
    size As Size
) As DdsFile
public:
DdsFile^ Resize(
    Size size
)
public:
DdsFile^ Resize(
    Size size
)
Parameters
size
Type:   Online System.Drawing Size
The new size.
Return Value
Type: DdsFile
A new DdsFile of the given size based on the current image.
See Also
DdsFile Class
DdsFile Members
System.Drawing Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DdsFile.Save Method

DdsFile Save Method s3pi library documentation
Saves the current image using one of the supported DDS mechanisms.

Namespace: System.Drawing
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void Save(
    Stream output
)
public void Save(
    Stream output
)
Public Sub Save (
    output As Stream
)
Public Sub Save (
    output As Stream
)
public:
void Save(
    Stream^ output
)
public:
void Save(
    Stream^ output
)
Parameters
output
Type:   Online System.IO Stream
A   Online Stream to receive the DDS-encoded image.
See Also
DdsFile Class
DdsFile Members
System.Drawing Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DdsFile.SetAlphaFromGreyscale Method

DdsFile SetAlphaFromGreyscale Method s3pi library documentation
Overload List
 | Name | Description
Public method | SetAlphaFromGreyscale(Bitmap) | Converts the R, G and B channels of the supplied image to greyscale and loads this into the Alpha channel of the current image. The image format will be changed to one supporting an Alpha channel, if required.
Public method | SetAlphaFromGreyscale(Image) | Converts the R, G and B channels of the supplied image to greyscale and loads this into the Alpha channel of the current image.
Public method | SetAlphaFromGreyscale(DdsFile) | Converts the R, G and B channels of the supplied image to greyscale and loads this into the Alpha channel of the current image. The image format will be changed to one supporting an 8-bit Alpha channel, if required.
Back to Top
See Also
DdsFile Class
DdsFile Members
System.Drawing Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DdsFile.SetAlphaFromGreyscale Method (Bitmap)

DdsFile SetAlphaFromGreyscale Method (Bitmap) s3pi library documentation
Converts the R, G and B channels of the supplied image to greyscale and loads this into the Alpha channel of the current image. The image format will be changed to one supporting an Alpha channel, if required.

Namespace: System.Drawing
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void SetAlphaFromGreyscale(
    Bitmap image
)
public void SetAlphaFromGreyscale(
    Bitmap image
)
Public Sub SetAlphaFromGreyscale (
    image As Bitmap
)
Public Sub SetAlphaFromGreyscale (
    image As Bitmap
)
public:
void SetAlphaFromGreyscale(
    Bitmap^ image
)
public:
void SetAlphaFromGreyscale(
    Bitmap^ image
)
Parameters
image
Type:   Online System.Drawing Bitmap
  Online Bitmap to extract greyscale data from for alpha channel.
See Also
DdsFile Class
DdsFile Members
SetAlphaFromGreyscale Overload
System.Drawing Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DdsFile.SetAlphaFromGreyscale Method (Image)

DdsFile SetAlphaFromGreyscale Method (Image) s3pi library documentation
Converts the R, G and B channels of the supplied image to greyscale and loads this into the Alpha channel of the current image.

Namespace: System.Drawing
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void SetAlphaFromGreyscale(
    Image image
)
public void SetAlphaFromGreyscale(
    Image image
)
Public Sub SetAlphaFromGreyscale (
    image As Image
)
Public Sub SetAlphaFromGreyscale (
    image As Image
)
public:
void SetAlphaFromGreyscale(
    Image^ image
)
public:
void SetAlphaFromGreyscale(
    Image^ image
)
Parameters
image
Type:   Online System.Drawing Image
Image to extract greyscale data from for alpha channel.
See Also
DdsFile Class
DdsFile Members
SetAlphaFromGreyscale Overload
System.Drawing Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DdsFile.SetAlphaFromGreyscale Method (DdsFile)

DdsFile SetAlphaFromGreyscale Method (DdsFile) s3pi library documentation
Converts the R, G and B channels of the supplied image to greyscale and loads this into the Alpha channel of the current image. The image format will be changed to one supporting an 8-bit Alpha channel, if required.

Namespace: System.Drawing
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void SetAlphaFromGreyscale(
    DdsFile image
)
public void SetAlphaFromGreyscale(
    DdsFile image
)
Public Sub SetAlphaFromGreyscale (
    image As DdsFile
)
Public Sub SetAlphaFromGreyscale (
    image As DdsFile
)
public:
void SetAlphaFromGreyscale(
    DdsFile^ image
)
public:
void SetAlphaFromGreyscale(
    DdsFile^ image
)
Parameters
image
Type: System.Drawing DdsFile
DdsFile to extract greyscale data from for alpha channel.
See Also
DdsFile Class
DdsFile Members
SetAlphaFromGreyscale Overload
System.Drawing Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DdsFile.SetPixels Method

DdsFile SetPixels Method s3pi library documentation
Overload List
 | Name | Description
Public method | SetPixels(Func UInt32, UInt32 ) | Apply a transformation function to the current image.
Public method | SetPixels(Func Int32, Int32, UInt32, UInt32 ) | Apply a transformation function to the current image.
Back to Top
See Also
DdsFile Class
DdsFile Members
System.Drawing Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DdsFile.SetPixels Method (Func(UInt32, UInt32))

DdsFile SetPixels Method (Func UInt32, UInt32 ) s3pi library documentation
Apply a transformation function to the current image.

Namespace: System.Drawing
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void SetPixels(
    Func<uint, uint> transform
)
public void SetPixels(
    Func<uint, uint> transform
)
Public Sub SetPixels (
    transform As Func(Of UInteger, UInteger)
)
Public Sub SetPixels (
    transform As Func(Of UInteger, UInteger)
)
public:
void SetPixels(
    Func<unsigned int, unsigned int>^ transform
)
public:
void SetPixels(
    Func<unsigned int, unsigned int>^ transform
)
Parameters
transform
Type:   Online System Func    Online UInt32,   Online UInt32

            A transformation function taking a current pixel value and returning a new value.

See Also
DdsFile Class
DdsFile Members
SetPixels Overload
System.Drawing Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DdsFile.SetPixels Method (Func(Int32, Int32, UInt32, UInt32))

DdsFile SetPixels Method (Func Int32, Int32, UInt32, UInt32 ) s3pi library documentation
Apply a transformation function to the current image.

Namespace: System.Drawing
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void SetPixels(
    Func<int, int, uint, uint> transform
)
public void SetPixels(
    Func<int, int, uint, uint> transform
)
Public Sub SetPixels (
    transform As Func(Of Integer, Integer, UInteger, UInteger)
)
Public Sub SetPixels (
    transform As Func(Of Integer, Integer, UInteger, UInteger)
)
public:
void SetPixels(
    Func<int, int, unsigned int, unsigned int>^ transform
)
public:
void SetPixels(
    Func<int, int, unsigned int, unsigned int>^ transform
)
Parameters
transform
Type:   Online System Func    Online Int32,   Online Int32,   Online UInt32,   Online UInt32
A transformation function taking
            x, y and pixel parameters and
            returning a new pixel value.
See Also
DdsFile Class
DdsFile Members
SetPixels Overload
System.Drawing Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DdsFile Properties

DdsFile Properties s3pi library documentation
The DdsFile type exposes the following members.
Properties
 | Name | Description
Public property | AlphaDepth | When UseDXT is true, the DXT compression mode. Otherwise the number of bits per alpha pixel.
Public property | HSVShift | The HSVShift applied to the current image, when supported.
Public property | Image | The current image.
Public property | Size | The image size.
Public property | SupportsHSV | True if the image is prepared to process HSV requests.
Public property | UseDXT | If true, use DXT-type image compression for storage. The exact format will depend on the AlphaDepth. By default, DXT5 will be used. Setting to false (from true) will default to A8B8G8R8 format.
Public property | UseLuminance | If true, treat the image as a luminance (plus alpha) map for storage. Currently only A8L8, 16bit coding is supported. Setting to false (from true) will default to A8B8G8R8 (non-DXT) format.
Back to Top
See Also
DdsFile Class
System.Drawing Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DdsFile.AlphaDepth Property

DdsFile AlphaDepth Property s3pi library documentation
When UseDXT is true, the DXT compression mode. Otherwise the number of bits per alpha pixel.

Namespace: System.Drawing
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public int AlphaDepth { get; set; }
public int AlphaDepth { get; set; }
Public Property AlphaDepth As Integer
    Get
    Set
Public Property AlphaDepth As Integer
    Get
    Set
public:
property int AlphaDepth {
    int get ();
    void set (int value);
}
public:
property int AlphaDepth {
    int get ();
    void set (int value);
}
Property Value
Type:   Online Int32
Remarks

            Value is used when saving a DDS.
            Invalid values may cause exceptions at that point.

See Also
DdsFile Class
DdsFile Members
System.Drawing Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DdsFile.HSVShift Property

DdsFile HSVShift Property s3pi library documentation
The HSVShift applied to the current image, when supported.

Namespace: System.Drawing
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public HSVShift HSVShift { get; set; }
public HSVShift HSVShift { get; set; }
Public Property HSVShift As HSVShift
    Get
    Set
Public Property HSVShift As HSVShift
    Get
    Set
public:
property HSVShift HSVShift {
    HSVShift get ();
    void set (HSVShift value);
}
public:
property HSVShift HSVShift {
    HSVShift get ();
    void set (HSVShift value);
}
Property Value
Type: HSVShift
See Also
DdsFile Class
DdsFile Members
System.Drawing Namespace
DdsFile SupportsHSV
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DdsFile.Image Property

DdsFile Image Property s3pi library documentation
The current image.

Namespace: System.Drawing
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public Bitmap Image { get; }
public Bitmap Image { get; }
Public ReadOnly Property Image As Bitmap
    Get
Public ReadOnly Property Image As Bitmap
    Get
public:
property Bitmap^ Image {
    Bitmap^ get ();
}
public:
property Bitmap^ Image {
    Bitmap^ get ();
}
Property Value
Type:   Online Bitmap
See Also
DdsFile Class
DdsFile Members
System.Drawing Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DdsFile.Size Property

DdsFile Size Property s3pi library documentation
The image size.

Namespace: System.Drawing
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public Size Size { get; }
public Size Size { get; }
Public ReadOnly Property Size As Size
    Get
Public ReadOnly Property Size As Size
    Get
public:
property Size Size {
    Size get ();
}
public:
property Size Size {
    Size get ();
}
Property Value
Type:   Online Size
See Also
DdsFile Class
DdsFile Members
System.Drawing Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DdsFile.SupportsHSV Property

DdsFile SupportsHSV Property s3pi library documentation
True if the image is prepared to process HSV requests.

Namespace: System.Drawing
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public bool SupportsHSV { get; set; }
public bool SupportsHSV { get; set; }
Public Property SupportsHSV As Boolean
    Get
    Set
Public Property SupportsHSV As Boolean
    Get
    Set
public:
property bool SupportsHSV {
    bool get ();
    void set (bool value);
}
public:
property bool SupportsHSV {
    bool get ();
    void set (bool value);
}
Property Value
Type:   Online Boolean
See Also
DdsFile Class
DdsFile Members
System.Drawing Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DdsFile.UseDXT Property

DdsFile UseDXT Property s3pi library documentation
If true, use DXT-type image compression for storage. The exact format will depend on the AlphaDepth. By default, DXT5 will be used. Setting to false (from true) will default to A8B8G8R8 format.

Namespace: System.Drawing
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public bool UseDXT { get; set; }
public bool UseDXT { get; set; }
Public Property UseDXT As Boolean
    Get
    Set
Public Property UseDXT As Boolean
    Get
    Set
public:
property bool UseDXT {
    bool get ();
    void set (bool value);
}
public:
property bool UseDXT {
    bool get ();
    void set (bool value);
}
Property Value
Type:   Online Boolean
See Also
DdsFile Class
DdsFile Members
System.Drawing Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DdsFile.UseLuminance Property

DdsFile UseLuminance Property s3pi library documentation
If true, treat the image as a luminance (plus alpha) map for storage. Currently only A8L8, 16bit coding is supported. Setting to false (from true) will default to A8B8G8R8 (non-DXT) format.

Namespace: System.Drawing
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public bool UseLuminance { get; set; }
public bool UseLuminance { get; set; }
Public Property UseLuminance As Boolean
    Get
    Set
Public Property UseLuminance As Boolean
    Get
    Set
public:
property bool UseLuminance {
    bool get ();
    void set (bool value);
}
public:
property bool UseLuminance {
    bool get ();
    void set (bool value);
}
Property Value
Type:   Online Boolean
See Also
DdsFile Class
DdsFile Members
System.Drawing Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Extensions Class

Extensions Class s3pi library documentation
Extensions for working with bitmap images.
Inheritance Hierarchy
Online System Object
System.Drawing Extensions

Namespace: System.Drawing
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static class Extensions
public static class Extensions
<ExtensionAttribute>
Public NotInheritable Class Extensions
<ExtensionAttribute>
Public NotInheritable Class Extensions
[ExtensionAttribute]
public ref class Extensions abstract sealed
[ExtensionAttribute]
public ref class Extensions abstract sealed
See Also
Extensions Members
System.Drawing Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Extensions Members

Extensions Members s3pi library documentation

The Extensions type exposes the following members.
Methods
Name | Description
A | Extract the alpha channel from an ARGB format UInt32 value.
B | Extract the blue channel from an ARGB format UInt32 value.
Bits | Count the number of set bits in value.
G | Extract the green channel from an ARGB format UInt32 value.
R | Extract the red channel from an ARGB format UInt32 value.
ToARGBData(Bitmap) | Converts a Bitmap into an array of UInt32 ARGB elements.
ToARGBData(Image) | Converts a Image into an array of UInt32 ARGB elements.
ToBitmap( UInt32 , Size) | Convert an array of UInt32 ARGB elements into a Bitmap.
ToBitmap( UInt32 , Int32, Int32) | Convert an array of UInt32 ARGB elements into a Bitmap.
ToPixelData | Converts a Bitmap into a pixel data array, using the provided encoder.
Back to Top
See Also
Extensions Class
System.Drawing Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Extensions Methods

Extensions Methods s3pi library documentation
The Extensions type exposes the following members.
Methods
Name | Description
A | Extract the alpha channel from an ARGB format UInt32 value.
B | Extract the blue channel from an ARGB format UInt32 value.
Bits | Count the number of set bits in value.
G | Extract the green channel from an ARGB format UInt32 value.
R | Extract the red channel from an ARGB format UInt32 value.
ToARGBData(Bitmap) | Converts a Bitmap into an array of UInt32 ARGB elements.
ToARGBData(Image) | Converts a Image into an array of UInt32 ARGB elements.
ToBitmap( UInt32 , Size) | Convert an array of UInt32 ARGB elements into a Bitmap.
ToBitmap( UInt32 , Int32, Int32) | Convert an array of UInt32 ARGB elements into a Bitmap.
ToPixelData | Converts a Bitmap into a pixel data array, using the provided encoder.
Back to Top
See Also
Extensions Class
System.Drawing Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Extensions.A Method

Extensions A Method s3pi library documentation
Extract the alpha channel from an ARGB format UInt32 value.

Namespace: System.Drawing
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static uint A(
    this uint argb
)
public static uint A(
    this uint argb
)
<ExtensionAttribute>
Public Shared Function A (
    argb As UInteger
) As UInteger
<ExtensionAttribute>
Public Shared Function A (
    argb As UInteger
) As UInteger
public:
[ExtensionAttribute]
static unsigned int A(
    unsigned int argb
)
public:
[ExtensionAttribute]
static unsigned int A(
    unsigned int argb
)
Parameters
argb
Type:   Online System UInt32
An ARGB format UInt32 value.
Return Value
Type:   Online UInt32
The alpha channel extracted.
Usage Note
In Visual Basic and C#, you can call this method as an instance method on any object of type   Online UInt32. When you use instance method syntax to call this method, omit the first parameter. For more information, see   Online Extension Methods (Visual Basic) or   Online Extension Methods (C# Programming Guide).
See Also
Extensions Class
Extensions Members
System.Drawing Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Extensions.B Method

Extensions B Method s3pi library documentation
Extract the blue channel from an ARGB format UInt32 value.

Namespace: System.Drawing
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static uint B(
    this uint argb
)
public static uint B(
    this uint argb
)
<ExtensionAttribute>
Public Shared Function B (
    argb As UInteger
) As UInteger
<ExtensionAttribute>
Public Shared Function B (
    argb As UInteger
) As UInteger
public:
[ExtensionAttribute]
static unsigned int B(
    unsigned int argb
)
public:
[ExtensionAttribute]
static unsigned int B(
    unsigned int argb
)
Parameters
argb
Type:   Online System UInt32
An ARGB format UInt32 value.
Return Value
Type:   Online UInt32
The blue channel extracted.
Usage Note
In Visual Basic and C#, you can call this method as an instance method on any object of type   Online UInt32. When you use instance method syntax to call this method, omit the first parameter. For more information, see   Online Extension Methods (Visual Basic) or   Online Extension Methods (C# Programming Guide).
See Also
Extensions Class
Extensions Members
System.Drawing Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Extensions.Bits Method

Extensions Bits Method s3pi library documentation
Count the number of set bits in value.

Namespace: System.Drawing
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static int Bits(
    this uint value
)
public static int Bits(
    this uint value
)
<ExtensionAttribute>
Public Shared Function Bits (
    value As UInteger
) As Integer
<ExtensionAttribute>
Public Shared Function Bits (
    value As UInteger
) As Integer
public:
[ExtensionAttribute]
static int Bits(
    unsigned int value
)
public:
[ExtensionAttribute]
static int Bits(
    unsigned int value
)
Parameters
value
Type:   Online System UInt32
A uint value to have bits counted.
Return Value
Type:   Online Int32
The number of set bits in value.
Usage Note
In Visual Basic and C#, you can call this method as an instance method on any object of type   Online UInt32. When you use instance method syntax to call this method, omit the first parameter. For more information, see   Online Extension Methods (Visual Basic) or   Online Extension Methods (C# Programming Guide).
See Also
Extensions Class
Extensions Members
System.Drawing Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Extensions.G Method

Extensions G Method s3pi library documentation
Extract the green channel from an ARGB format UInt32 value.

Namespace: System.Drawing
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static uint G(
    this uint argb
)
public static uint G(
    this uint argb
)
<ExtensionAttribute>
Public Shared Function G (
    argb As UInteger
) As UInteger
<ExtensionAttribute>
Public Shared Function G (
    argb As UInteger
) As UInteger
public:
[ExtensionAttribute]
static unsigned int G(
    unsigned int argb
)
public:
[ExtensionAttribute]
static unsigned int G(
    unsigned int argb
)
Parameters
argb
Type:   Online System UInt32
An ARGB format UInt32 value.
Return Value
Type:   Online UInt32
The green channel extracted.
Usage Note
In Visual Basic and C#, you can call this method as an instance method on any object of type   Online UInt32. When you use instance method syntax to call this method, omit the first parameter. For more information, see   Online Extension Methods (Visual Basic) or   Online Extension Methods (C# Programming Guide).
See Also
Extensions Class
Extensions Members
System.Drawing Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Extensions.R Method

Extensions R Method s3pi library documentation
Extract the red channel from an ARGB format UInt32 value.

Namespace: System.Drawing
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static uint R(
    this uint argb
)
public static uint R(
    this uint argb
)
<ExtensionAttribute>
Public Shared Function R (
    argb As UInteger
) As UInteger
<ExtensionAttribute>
Public Shared Function R (
    argb As UInteger
) As UInteger
public:
[ExtensionAttribute]
static unsigned int R(
    unsigned int argb
)
public:
[ExtensionAttribute]
static unsigned int R(
    unsigned int argb
)
Parameters
argb
Type:   Online System UInt32
An ARGB format UInt32 value.
Return Value
Type:   Online UInt32
The red channel extracted.
Usage Note
In Visual Basic and C#, you can call this method as an instance method on any object of type   Online UInt32. When you use instance method syntax to call this method, omit the first parameter. For more information, see   Online Extension Methods (Visual Basic) or   Online Extension Methods (C# Programming Guide).
See Also
Extensions Class
Extensions Members
System.Drawing Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Extensions.ToARGBData Method

Extensions ToARGBData Method s3pi library documentation
Overload List
Name | Description
ToARGBData(Bitmap) | Converts a Bitmap into an array of UInt32 ARGB elements.
ToARGBData(Image) | Converts a Image into an array of UInt32 ARGB elements.
Back to Top
See Also
Extensions Class
Extensions Members
System.Drawing Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Extensions.ToARGBData Method (Bitmap)

Extensions ToARGBData Method (Bitmap) s3pi library documentation
Converts a Bitmap into an array of UInt32 ARGB elements.

Namespace: System.Drawing
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static uint[] ToARGBData(
    this Bitmap bitmap
)
public static uint[] ToARGBData(
    this Bitmap bitmap
)
<ExtensionAttribute>
Public Shared Function ToARGBData (
    bitmap As Bitmap
) As UInteger()
<ExtensionAttribute>
Public Shared Function ToARGBData (
    bitmap As Bitmap
) As UInteger()
public:
[ExtensionAttribute]
static array<unsigned int>^ ToARGBData(
    Bitmap^ bitmap
)
public:
[ExtensionAttribute]
static array<unsigned int>^ ToARGBData(
    Bitmap^ bitmap
)
Parameters
bitmap
Type:   Online System.Drawing Bitmap
The bitmap image to encode.
Return Value
Type:    Online UInt32
An array of UInt32 ARGB elements.
Usage Note
In Visual Basic and C#, you can call this method as an instance method on any object of type   Online Bitmap. When you use instance method syntax to call this method, omit the first parameter. For more information, see   Online Extension Methods (Visual Basic) or   Online Extension Methods (C# Programming Guide).
See Also
Extensions Class
Extensions Members
ToARGBData Overload
System.Drawing Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Extensions.ToARGBData Method (Image)

Extensions ToARGBData Method (Image) s3pi library documentation
Converts a Image into an array of UInt32 ARGB elements.

Namespace: System.Drawing
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static uint[] ToARGBData(
    this Image image
)
public static uint[] ToARGBData(
    this Image image
)
<ExtensionAttribute>
Public Shared Function ToARGBData (
    image As Image
) As UInteger()
<ExtensionAttribute>
Public Shared Function ToARGBData (
    image As Image
) As UInteger()
public:
[ExtensionAttribute]
static array<unsigned int>^ ToARGBData(
    Image^ image
)
public:
[ExtensionAttribute]
static array<unsigned int>^ ToARGBData(
    Image^ image
)
Parameters
image
Type:   Online System.Drawing Image
The image to encode.
Return Value
Type:    Online UInt32
An array of UInt32 ARGB elements.
Usage Note
In Visual Basic and C#, you can call this method as an instance method on any object of type   Online Image. When you use instance method syntax to call this method, omit the first parameter. For more information, see   Online Extension Methods (Visual Basic) or   Online Extension Methods (C# Programming Guide).
See Also
Extensions Class
Extensions Members
ToARGBData Overload
System.Drawing Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Extensions.ToBitmap Method

Extensions ToBitmap Method s3pi library documentation
Overload List
Name | Description
ToBitmap( UInt32 , Size) | Convert an array of UInt32 ARGB elements into a Bitmap.
ToBitmap( UInt32 , Int32, Int32) | Convert an array of UInt32 ARGB elements into a Bitmap.
Back to Top
See Also
Extensions Class
Extensions Members
System.Drawing Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Extensions.ToBitmap Method (UInt32[], Size)

Extensions ToBitmap Method ( UInt32 , Size) s3pi library documentation
Convert an array of UInt32 ARGB elements into a Bitmap.

Namespace: System.Drawing
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static Bitmap ToBitmap(
    this uint[] argbData,
    Size size
)
public static Bitmap ToBitmap(
    this uint[] argbData,
    Size size
)
<ExtensionAttribute>
Public Shared Function ToBitmap (
    argbData As UInteger(),
    size As Size
) As Bitmap
<ExtensionAttribute>
Public Shared Function ToBitmap (
    argbData As UInteger(),
    size As Size
) As Bitmap
public:
[ExtensionAttribute]
static Bitmap^ ToBitmap(
    array<unsigned int>^ argbData,
    Size size
)
public:
[ExtensionAttribute]
static Bitmap^ ToBitmap(
    array<unsigned int>^ argbData,
    Size size
)
Parameters
argbData
Type:    Online System UInt32
The array of UInt32 ARGB elements to decode.
size
Type:   Online System.Drawing Size
The size of the encoded image.
Return Value
Type:   Online Bitmap
The decoded image.
Usage Note
In Visual Basic and C#, you can call this method as an instance method on any object of type . When you use instance method syntax to call this method, omit the first parameter. For more information, see   Online Extension Methods (Visual Basic) or   Online Extension Methods (C# Programming Guide).
See Also
Extensions Class
Extensions Members
ToBitmap Overload
System.Drawing Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Extensions.ToBitmap Method (UInt32[], Int32, Int32)

Extensions ToBitmap Method ( UInt32 , Int32, Int32) s3pi library documentation
Convert an array of UInt32 ARGB elements into a Bitmap.

Namespace: System.Drawing
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static Bitmap ToBitmap(
    this uint[] argbData,
    int width,
    int height
)
public static Bitmap ToBitmap(
    this uint[] argbData,
    int width,
    int height
)
<ExtensionAttribute>
Public Shared Function ToBitmap (
    argbData As UInteger(),
    width As Integer,
    height As Integer
) As Bitmap
<ExtensionAttribute>
Public Shared Function ToBitmap (
    argbData As UInteger(),
    width As Integer,
    height As Integer
) As Bitmap
public:
[ExtensionAttribute]
static Bitmap^ ToBitmap(
    array<unsigned int>^ argbData,
    int width,
    int height
)
public:
[ExtensionAttribute]
static Bitmap^ ToBitmap(
    array<unsigned int>^ argbData,
    int width,
    int height
)
Parameters
argbData
Type:    Online System UInt32
The array of UInt32 ARGB elements to decode.
width
Type:   Online System Int32
The width of the encoded image.
height
Type:   Online System Int32
The height of the encoded image.
Return Value
Type:   Online Bitmap
The decoded bitmap image.
Usage Note
In Visual Basic and C#, you can call this method as an instance method on any object of type . When you use instance method syntax to call this method, omit the first parameter. For more information, see   Online Extension Methods (Visual Basic) or   Online Extension Methods (C# Programming Guide).
See Also
Extensions Class
Extensions Members
ToBitmap Overload
System.Drawing Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Extensions.ToPixelData Method

Extensions ToPixelData Method s3pi library documentation
Converts a Bitmap into a pixel data array, using the provided encoder.

Namespace: System.Drawing
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static uint[] ToPixelData(
    this Bitmap bitmap,
    Func<Color, uint> encoder
)
public static uint[] ToPixelData(
    this Bitmap bitmap,
    Func<Color, uint> encoder
)
<ExtensionAttribute>
Public Shared Function ToPixelData (
    bitmap As Bitmap,
    encoder As Func(Of Color, UInteger)
) As UInteger()
<ExtensionAttribute>
Public Shared Function ToPixelData (
    bitmap As Bitmap,
    encoder As Func(Of Color, UInteger)
) As UInteger()
public:
[ExtensionAttribute]
static array<unsigned int>^ ToPixelData(
    Bitmap^ bitmap,
    Func<Color, unsigned int>^ encoder
)
public:
[ExtensionAttribute]
static array<unsigned int>^ ToPixelData(
    Bitmap^ bitmap,
    Func<Color, unsigned int>^ encoder
)
Parameters
bitmap
Type:   Online System.Drawing Bitmap
The bitmap image to encode.
encoder
Type:   Online System Func    Online Color,   Online UInt32
The method to invoke to encode bitmap Color pixels.
Return Value
Type:    Online UInt32
An array of uint elements containing the encoded pixel data.
Usage Note
In Visual Basic and C#, you can call this method as an instance method on any object of type   Online Bitmap. When you use instance method syntax to call this method, omit the first parameter. For more information, see   Online Extension Methods (Visual Basic) or   Online Extension Methods (C# Programming Guide).
See Also
Extensions Class
Extensions Members
System.Drawing Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


HSVShift Structure

HSVShift Structure s3pi library documentation
Describes a hue, saturation and value shift to be applied to an image

Namespace: System.Drawing
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public struct HSVShift
public struct HSVShift
Public Structure HSVShift
Public Structure HSVShift
public value class HSVShift
public value class HSVShift
See Also
HSVShift Members
System.Drawing Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


HSVShift Members

HSVShift Members s3pi library documentation

The HSVShift type exposes the following members.
Methods
 | Name | Description
Public method | Equals | Returns true if obj is a HSVShift with the same value as this instance. (Overrides Online ValueType Equals(Object).)
Public method | GetHashCode | Returns the hashcode for this instance. (Overrides Online ValueType GetHashCode .)
Back to Top
Operators
Name | Description
Equality | Determine whether two HSVShift objects have the same value.
Inequality | Determine whether two HSVShift objects do not have the same value.
Back to Top
Fields
 | Name | Description
Public field | h | Hue, Saturation and Value shift amounts.
Public field | s | Hue, Saturation and Value shift amounts.
Public field | v | Hue, Saturation and Value shift amounts.
Back to Top
Properties
 | Name | Description
 | Empty | An empty HSVShift
Public property | IsEmpty | True if this HSVShift is non-zero.
Back to Top
See Also
HSVShift Structure
System.Drawing Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


HSVShift Fields

HSVShift Fields s3pi library documentation
The HSVShift type exposes the following members.
Fields
 | Name | Description
Public field | h | Hue, Saturation and Value shift amounts.
Public field | s | Hue, Saturation and Value shift amounts.
Public field | v | Hue, Saturation and Value shift amounts.
Back to Top
See Also
HSVShift Structure
System.Drawing Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


HSVShift.h Field

HSVShift h Field s3pi library documentation
Hue, Saturation and Value shift amounts.

Namespace: System.Drawing
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public float h
public float h
Public h As Single
Public h As Single
public:
float h
public:
float h
Field Value
Type:   Online Single
See Also
HSVShift Structure
HSVShift Members
System.Drawing Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


HSVShift.s Field

HSVShift s Field s3pi library documentation
Hue, Saturation and Value shift amounts.

Namespace: System.Drawing
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public float s
public float s
Public s As Single
Public s As Single
public:
float s
public:
float s
Field Value
Type:   Online Single
See Also
HSVShift Structure
HSVShift Members
System.Drawing Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


HSVShift.v Field

HSVShift v Field s3pi library documentation
Hue, Saturation and Value shift amounts.

Namespace: System.Drawing
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public float v
public float v
Public v As Single
Public v As Single
public:
float v
public:
float v
Field Value
Type:   Online Single
See Also
HSVShift Structure
HSVShift Members
System.Drawing Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


HSVShift Methods

HSVShift Methods s3pi library documentation
The HSVShift type exposes the following members.
Methods
 | Name | Description
Public method | Equals | Returns true if obj is a HSVShift with the same value as this instance. (Overrides Online ValueType Equals(Object).)
Public method | GetHashCode | Returns the hashcode for this instance. (Overrides Online ValueType GetHashCode .)
Back to Top
See Also
HSVShift Structure
System.Drawing Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


HSVShift.Equals Method

HSVShift Equals Method s3pi library documentation
Returns true if obj is a HSVShift with the same value as this instance.

Namespace: System.Drawing
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override bool Equals(
    Object obj
)
public override bool Equals(
    Object obj
)
Public Overrides Function Equals (
    obj As Object
) As Boolean
Public Overrides Function Equals (
    obj As Object
) As Boolean
public:
virtual bool Equals(
    Object^ obj
) override
public:
virtual bool Equals(
    Object^ obj
) override
Parameters
obj
Type:   Online System Object
An object to compare.
Return Value
Type:   Online Boolean
True if obj is a HSVShift with the same value as this instance; otherwise false.
See Also
HSVShift Structure
HSVShift Members
System.Drawing Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


HSVShift.GetHashCode Method

HSVShift GetHashCode Method s3pi library documentation
Returns the hashcode for this instance.

Namespace: System.Drawing
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override int GetHashCode()
public override int GetHashCode()
Public Overrides Function GetHashCode As Integer
Public Overrides Function GetHashCode As Integer
public:
virtual int GetHashCode() override
public:
virtual int GetHashCode() override
Return Value
Type:   Online Int32
The hashcode for this instance.
See Also
HSVShift Structure
HSVShift Members
System.Drawing Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


HSVShift Operators

HSVShift Operators s3pi library documentation
The HSVShift type exposes the following members.
Operators
Name | Description
Equality | Determine whether two HSVShift objects have the same value.
Inequality | Determine whether two HSVShift objects do not have the same value.
Back to Top
See Also
HSVShift Structure
System.Drawing Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


HSVShift.Equality Operator

HSVShift Equality Operator s3pi library documentation
Determine whether two HSVShift objects have the same value.

Namespace: System.Drawing
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static bool operator ==(
    HSVShift val1,
    HSVShift val2
)
public static bool operator ==(
    HSVShift val1,
    HSVShift val2
)
Public Shared Operator = (
    val1 As HSVShift,
    val2 As HSVShift
) As Boolean
Public Shared Operator = (
    val1 As HSVShift,
    val2 As HSVShift
) As Boolean
public:
static bool operator ==(
    HSVShift val1,
    HSVShift val2
)
public:
static bool operator ==(
    HSVShift val1,
    HSVShift val2
)
Parameters
val1
Type: System.Drawing HSVShift
First object.
val2
Type: System.Drawing HSVShift
Second object.
Return Value
Type:   Online Boolean
True if the Equals method on val1 returns true when passed val2.
See Also
HSVShift Structure
HSVShift Members
System.Drawing Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


HSVShift.Inequality Operator

HSVShift Inequality Operator s3pi library documentation
Determine whether two HSVShift objects do not have the same value.

Namespace: System.Drawing
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static bool operator !=(
    HSVShift val1,
    HSVShift val2
)
public static bool operator !=(
    HSVShift val1,
    HSVShift val2
)
Public Shared Operator <> (
    val1 As HSVShift,
    val2 As HSVShift
) As Boolean
Public Shared Operator <> (
    val1 As HSVShift,
    val2 As HSVShift
) As Boolean
public:
static bool operator !=(
    HSVShift val1,
    HSVShift val2
)
public:
static bool operator !=(
    HSVShift val1,
    HSVShift val2
)
Parameters
val1
Type: System.Drawing HSVShift
First object.
val2
Type: System.Drawing HSVShift
Second object.
Return Value
Type:   Online Boolean
True if the Equals method on val1 returns false when passed val2.
See Also
HSVShift Structure
HSVShift Members
System.Drawing Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


HSVShift Properties

HSVShift Properties s3pi library documentation
The HSVShift type exposes the following members.
Properties
 | Name | Description
 | Empty | An empty HSVShift
Public property | IsEmpty | True if this HSVShift is non-zero.
Back to Top
See Also
HSVShift Structure
System.Drawing Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


HSVShift.Empty Property

HSVShift Empty Property s3pi library documentation
An empty HSVShift

Namespace: System.Drawing
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static HSVShift Empty { get; }
public static HSVShift Empty { get; }
Public Shared ReadOnly Property Empty As HSVShift
    Get
Public Shared ReadOnly Property Empty As HSVShift
    Get
public:
static property HSVShift Empty {
    HSVShift get ();
}
public:
static property HSVShift Empty {
    HSVShift get ();
}
Property Value
Type: HSVShift
See Also
HSVShift Structure
HSVShift Members
System.Drawing Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


HSVShift.IsEmpty Property

HSVShift IsEmpty Property s3pi library documentation
True if this HSVShift is non-zero.

Namespace: System.Drawing
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public bool IsEmpty { get; }
public bool IsEmpty { get; }
Public ReadOnly Property IsEmpty As Boolean
    Get
Public ReadOnly Property IsEmpty As Boolean
    Get
public:
property bool IsEmpty {
    bool get ();
}
public:
property bool IsEmpty {
    bool get ();
}
Property Value
Type:   Online Boolean
See Also
HSVShift Structure
HSVShift Members
System.Drawing Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


System.Security.Cryptography Namespace

System.Security.Cryptography Namespace s3pi library documentation
Classes
 | Class | Description
Public class | FNV32 | FNV32 hash routine
Public class | FNV64 | FNV64 hash routine
Public class | FNV64CLIP | FNV64CLIP hash routine
Public class | FNVHash | Base class implementing Online HashAlgorithm. For full documentation, refer to http://www.sims2wiki.info/wiki.php?title=FNV
Public class | Sims3PackCRC | Calculate the CRC of a data chunk stored in a Sims3Pack file.

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


FNV32 Class

FNV32 Class s3pi library documentation
FNV32 hash routine
Inheritance Hierarchy
Online System Object
Online System.Security.Cryptography HashAlgorithm
System.Security.Cryptography FNVHash
System.Security.Cryptography FNV32

Namespace: System.Security.Cryptography
Assembly: System.Custom (in System.Custom.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public class FNV32 : FNVHash
public class FNV32 : FNVHash
Public Class FNV32
    Inherits FNVHash
Public Class FNV32
    Inherits FNVHash
public ref class FNV32 : public FNVHash
public ref class FNV32 : public FNVHash
See Also
FNV32 Members
System.Security.Cryptography Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


FNV32 Members

FNV32 Members s3pi library documentation

The FNV32 type exposes the following members.
Constructors
 | Name | Description
Public method | FNV32 | Initialise the hash algorithm
Back to Top
Methods
Name | Description
GetHash | Get the FNV32 hash for a string of text
Back to Top
Properties
 | Name | Description
Public property | Hash | Gets the value of the computed hash code. (Overrides Online HashAlgorithm Hash.)
Public property | HashSize | Gets the size, in bits, of the computed hash code. (Overrides Online HashAlgorithm HashSize.)
Back to Top
See Also
FNV32 Class
System.Security.Cryptography Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


FNV32 Constructor

FNV32 Constructor s3pi library documentation
Initialise the hash algorithm

Namespace: System.Security.Cryptography
Assembly: System.Custom (in System.Custom.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public FNV32()
public FNV32()
Public Sub New
Public Sub New
public:
FNV32()
public:
FNV32()
See Also
FNV32 Class
FNV32 Members
System.Security.Cryptography Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


FNV32 Methods

FNV32 Methods s3pi library documentation
The FNV32 type exposes the following members.
Methods
Name | Description
GetHash | Get the FNV32 hash for a string of text
Back to Top
See Also
FNV32 Class
System.Security.Cryptography Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


FNV32.GetHash Method

FNV32 GetHash Method s3pi library documentation
Get the FNV32 hash for a string of text

Namespace: System.Security.Cryptography
Assembly: System.Custom (in System.Custom.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static uint GetHash(
    string text
)
public static uint GetHash(
    string text
)
Public Shared Function GetHash (
    text As String
) As UInteger
Public Shared Function GetHash (
    text As String
) As UInteger
public:
static unsigned int GetHash(
    String^ text
)
public:
static unsigned int GetHash(
    String^ text
)
Parameters
text
Type:   Online System String
the text to get the hash for
Return Value
Type:   Online UInt32
the hash value
See Also
FNV32 Class
FNV32 Members
System.Security.Cryptography Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


FNV32 Properties

FNV32 Properties s3pi library documentation
The FNV32 type exposes the following members.
Properties
 | Name | Description
Public property | Hash | Gets the value of the computed hash code. (Overrides Online HashAlgorithm Hash.)
Public property | HashSize | Gets the size, in bits, of the computed hash code. (Overrides Online HashAlgorithm HashSize.)
Back to Top
See Also
FNV32 Class
System.Security.Cryptography Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


FNV32.Hash Property

FNV32 Hash Property s3pi library documentation
Gets the value of the computed hash code.

Namespace: System.Security.Cryptography
Assembly: System.Custom (in System.Custom.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override byte[] Hash { get; }
public override byte[] Hash { get; }
Public Overrides ReadOnly Property Hash As Byte()
    Get
Public Overrides ReadOnly Property Hash As Byte()
    Get
public:
virtual property array<unsigned char>^ Hash {
    array<unsigned char>^ get () override;
}
public:
virtual property array<unsigned char>^ Hash {
    array<unsigned char>^ get () override;
}
Property Value
Type:    Online Byte
See Also
FNV32 Class
FNV32 Members
System.Security.Cryptography Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


FNV32.HashSize Property

FNV32 HashSize Property s3pi library documentation
Gets the size, in bits, of the computed hash code.

Namespace: System.Security.Cryptography
Assembly: System.Custom (in System.Custom.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override int HashSize { get; }
public override int HashSize { get; }
Public Overrides ReadOnly Property HashSize As Integer
    Get
Public Overrides ReadOnly Property HashSize As Integer
    Get
public:
virtual property int HashSize {
    int get () override;
}
public:
virtual property int HashSize {
    int get () override;
}
Property Value
Type:   Online Int32
See Also
FNV32 Class
FNV32 Members
System.Security.Cryptography Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


FNV64 Class

FNV64 Class s3pi library documentation
FNV64 hash routine
Inheritance Hierarchy
Online System Object
Online System.Security.Cryptography HashAlgorithm
System.Security.Cryptography FNVHash
System.Security.Cryptography FNV64
System.Security.Cryptography FNV64CLIP

Namespace: System.Security.Cryptography
Assembly: System.Custom (in System.Custom.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public class FNV64 : FNVHash
public class FNV64 : FNVHash
Public Class FNV64
    Inherits FNVHash
Public Class FNV64
    Inherits FNVHash
public ref class FNV64 : public FNVHash
public ref class FNV64 : public FNVHash
See Also
FNV64 Members
System.Security.Cryptography Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


FNV64 Members

FNV64 Members s3pi library documentation

The FNV64 type exposes the following members.
Constructors
 | Name | Description
Public method | FNV64 | Initialise the hash algorithm
Back to Top
Methods
Name | Description
GetHash | Get the FNV64 hash for a string of text
Back to Top
Properties
 | Name | Description
Public property | Hash | Gets the value of the computed hash code. (Overrides Online HashAlgorithm Hash.)
Public property | HashSize | Gets the size, in bits, of the computed hash code. (Overrides Online HashAlgorithm HashSize.)
Back to Top
See Also
FNV64 Class
System.Security.Cryptography Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


FNV64 Constructor

FNV64 Constructor s3pi library documentation
Initialise the hash algorithm

Namespace: System.Security.Cryptography
Assembly: System.Custom (in System.Custom.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public FNV64()
public FNV64()
Public Sub New
Public Sub New
public:
FNV64()
public:
FNV64()
See Also
FNV64 Class
FNV64 Members
System.Security.Cryptography Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


FNV64 Methods

FNV64 Methods s3pi library documentation
The FNV64 type exposes the following members.
Methods
Name | Description
GetHash | Get the FNV64 hash for a string of text
Back to Top
See Also
FNV64 Class
System.Security.Cryptography Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


FNV64.GetHash Method

FNV64 GetHash Method s3pi library documentation
Get the FNV64 hash for a string of text

Namespace: System.Security.Cryptography
Assembly: System.Custom (in System.Custom.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static ulong GetHash(
    string text
)
public static ulong GetHash(
    string text
)
Public Shared Function GetHash (
    text As String
) As ULong
Public Shared Function GetHash (
    text As String
) As ULong
public:
static unsigned long long GetHash(
    String^ text
)
public:
static unsigned long long GetHash(
    String^ text
)
Parameters
text
Type:   Online System String
the text to get the hash for
Return Value
Type:   Online UInt64
the hash value
See Also
FNV64 Class
FNV64 Members
System.Security.Cryptography Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


FNV64 Properties

FNV64 Properties s3pi library documentation
The FNV64 type exposes the following members.
Properties
 | Name | Description
Public property | Hash | Gets the value of the computed hash code. (Overrides Online HashAlgorithm Hash.)
Public property | HashSize | Gets the size, in bits, of the computed hash code. (Overrides Online HashAlgorithm HashSize.)
Back to Top
See Also
FNV64 Class
System.Security.Cryptography Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


FNV64.Hash Property

FNV64 Hash Property s3pi library documentation
Gets the value of the computed hash code.

Namespace: System.Security.Cryptography
Assembly: System.Custom (in System.Custom.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override byte[] Hash { get; }
public override byte[] Hash { get; }
Public Overrides ReadOnly Property Hash As Byte()
    Get
Public Overrides ReadOnly Property Hash As Byte()
    Get
public:
virtual property array<unsigned char>^ Hash {
    array<unsigned char>^ get () override;
}
public:
virtual property array<unsigned char>^ Hash {
    array<unsigned char>^ get () override;
}
Property Value
Type:    Online Byte
See Also
FNV64 Class
FNV64 Members
System.Security.Cryptography Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


FNV64.HashSize Property

FNV64 HashSize Property s3pi library documentation
Gets the size, in bits, of the computed hash code.

Namespace: System.Security.Cryptography
Assembly: System.Custom (in System.Custom.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override int HashSize { get; }
public override int HashSize { get; }
Public Overrides ReadOnly Property HashSize As Integer
    Get
Public Overrides ReadOnly Property HashSize As Integer
    Get
public:
virtual property int HashSize {
    int get () override;
}
public:
virtual property int HashSize {
    int get () override;
}
Property Value
Type:   Online Int32
See Also
FNV64 Class
FNV64 Members
System.Security.Cryptography Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


FNV64CLIP Class

FNV64CLIP Class s3pi library documentation
FNV64CLIP hash routine
Inheritance Hierarchy
Online System Object
Online System.Security.Cryptography HashAlgorithm
System.Security.Cryptography FNVHash
System.Security.Cryptography FNV64
System.Security.Cryptography FNV64CLIP

Namespace: System.Security.Cryptography
Assembly: System.Custom (in System.Custom.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public class FNV64CLIP : FNV64
public class FNV64CLIP : FNV64
Public Class FNV64CLIP
    Inherits FNV64
Public Class FNV64CLIP
    Inherits FNV64
public ref class FNV64CLIP : public FNV64
public ref class FNV64CLIP : public FNV64
See Also
FNV64CLIP Members
System.Security.Cryptography Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


FNV64CLIP Members

FNV64CLIP Members s3pi library documentation

The FNV64CLIP type exposes the following members.
Constructors
 | Name | Description
Public method | FNV64CLIP | Initialise the hash algorithm
Back to Top
Methods
Name | Description
GetGenericValue | Get the "generic" CLIP, removing age and species.
GetHash | Get the FNV64 hash for use as the IID for a CLIP of a given name.
GetHashGeneric | Get the FNV64 hash for use as the IID for a CLIP but ignoring age and species.
Back to Top
See Also
FNV64CLIP Class
System.Security.Cryptography Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


FNV64CLIP Constructor

FNV64CLIP Constructor s3pi library documentation
Initialise the hash algorithm

Namespace: System.Security.Cryptography
Assembly: System.Custom (in System.Custom.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public FNV64CLIP()
public FNV64CLIP()
Public Sub New
Public Sub New
public:
FNV64CLIP()
public:
FNV64CLIP()
See Also
FNV64CLIP Class
FNV64CLIP Members
System.Security.Cryptography Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


FNV64CLIP Methods

FNV64CLIP Methods s3pi library documentation
The FNV64CLIP type exposes the following members.
Methods
Name | Description
GetGenericValue | Get the "generic" CLIP, removing age and species.
GetHash | Get the FNV64 hash for use as the IID for a CLIP of a given name.
GetHashGeneric | Get the FNV64 hash for use as the IID for a CLIP but ignoring age and species.
Back to Top
See Also
FNV64CLIP Class
System.Security.Cryptography Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


FNV64CLIP.GetGenericValue Method

FNV64CLIP GetGenericValue Method s3pi library documentation
Get the "generic" CLIP, removing age and species.

Namespace: System.Security.Cryptography
Assembly: System.Custom (in System.Custom.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static string GetGenericValue(
    string text
)
public static string GetGenericValue(
    string text
)
Public Shared Function GetGenericValue (
    text As String
) As String
Public Shared Function GetGenericValue (
    text As String
) As String
public:
static String^ GetGenericValue(
    String^ text
)
public:
static String^ GetGenericValue(
    String^ text
)
Parameters
text
Type:   Online System String
The CLIP name from which to et the generic value.
Return Value
Type:   Online String
The generic CLIP name.
See Also
FNV64CLIP Class
FNV64CLIP Members
System.Security.Cryptography Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


FNV64CLIP.GetHash Method

FNV64CLIP GetHash Method s3pi library documentation
Get the FNV64 hash for use as the IID for a CLIP of a given name.

Namespace: System.Security.Cryptography
Assembly: System.Custom (in System.Custom.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static ulong GetHash(
    string text
)
public static ulong GetHash(
    string text
)
Public Shared Function GetHash (
    text As String
) As ULong
Public Shared Function GetHash (
    text As String
) As ULong
public:
static unsigned long long GetHash(
    String^ text
)
public:
static unsigned long long GetHash(
    String^ text
)
Parameters
text
Type:   Online System String
the CLIP name to get the hash for
Return Value
Type:   Online UInt64
the hash value
See Also
FNV64CLIP Class
FNV64CLIP Members
System.Security.Cryptography Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


FNV64CLIP.GetHashGeneric Method

FNV64CLIP GetHashGeneric Method s3pi library documentation
Get the FNV64 hash for use as the IID for a CLIP but ignoring age and species.

Namespace: System.Security.Cryptography
Assembly: System.Custom (in System.Custom.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static ulong GetHashGeneric(
    string text
)
public static ulong GetHashGeneric(
    string text
)
Public Shared Function GetHashGeneric (
    text As String
) As ULong
Public Shared Function GetHashGeneric (
    text As String
) As ULong
public:
static unsigned long long GetHashGeneric(
    String^ text
)
public:
static unsigned long long GetHashGeneric(
    String^ text
)
Parameters
text
Type:   Online System String
The CLIP name to get the generic hash for.
Return Value
Type:   Online UInt64
The generic hash value
See Also
FNV64CLIP Class
FNV64CLIP Members
System.Security.Cryptography Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


FNVHash Class

FNVHash Class s3pi library documentation
Base class implementing Online HashAlgorithm. For full documentation, refer to http://www.sims2wiki.info/wiki.php?title=FNV
Inheritance Hierarchy
Online System Object
Online System.Security.Cryptography HashAlgorithm
System.Security.Cryptography FNVHash
System.Security.Cryptography FNV32
System.Security.Cryptography FNV64

Namespace: System.Security.Cryptography
Assembly: System.Custom (in System.Custom.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public abstract class FNVHash : HashAlgorithm
public abstract class FNVHash : HashAlgorithm
Public MustInherit Class FNVHash
    Inherits HashAlgorithm
Public MustInherit Class FNVHash
    Inherits HashAlgorithm
public ref class FNVHash abstract : public HashAlgorithm
public ref class FNVHash abstract : public HashAlgorithm
See Also
FNVHash Members
System.Security.Cryptography Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


FNVHash Members

FNVHash Members s3pi library documentation

The FNVHash type exposes the following members.
Constructors
 | Name | Description
Protected method | FNVHash | Initialise the hash algorithm
Back to Top
Methods
 | Name | Description
Public method | ComputeHash | Method for hashing a string
Protected method | HashCore | Implements the algorithm (Overrides Online HashAlgorithm HashCore( Byte , Int32, Int32).)
Protected method | HashFinal | Returns the computed hash code. (Overrides Online HashAlgorithm HashFinal .)
Public method | Initialize | Nothing to initialize (Overrides Online HashAlgorithm Initialize .)
Back to Top
Fields
 | Name | Description
Protected field | hash | Algorithm result, needs casting to appropriate size by concrete classes (because I'm lazy)
Back to Top
See Also
FNVHash Class
System.Security.Cryptography Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


FNVHash Constructor

FNVHash Constructor s3pi library documentation
Initialise the hash algorithm

Namespace: System.Security.Cryptography
Assembly: System.Custom (in System.Custom.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected FNVHash(
    ulong prime,
    ulong offset
)
protected FNVHash(
    ulong prime,
    ulong offset
)
Protected Sub New (
    prime As ULong,
    offset As ULong
)
Protected Sub New (
    prime As ULong,
    offset As ULong
)
protected:
FNVHash(
    unsigned long long prime,
    unsigned long long offset
)
protected:
FNVHash(
    unsigned long long prime,
    unsigned long long offset
)
Parameters
prime
Type:   Online System UInt64
algorithm-specific value
offset
Type:   Online System UInt64
algorithm-specific value
See Also
FNVHash Class
FNVHash Members
System.Security.Cryptography Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


FNVHash Fields

FNVHash Fields s3pi library documentation
The FNVHash type exposes the following members.
Fields
 | Name | Description
Protected field | hash | Algorithm result, needs casting to appropriate size by concrete classes (because I'm lazy)
Back to Top
See Also
FNVHash Class
System.Security.Cryptography Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


FNVHash.hash Field

FNVHash hash Field s3pi library documentation
Algorithm result, needs casting to appropriate size by concrete classes (because I'm lazy)

Namespace: System.Security.Cryptography
Assembly: System.Custom (in System.Custom.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected ulong hash
protected ulong hash
Protected hash As ULong
Protected hash As ULong
protected:
unsigned long long hash
protected:
unsigned long long hash
Field Value
Type:   Online UInt64
See Also
FNVHash Class
FNVHash Members
System.Security.Cryptography Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


FNVHash Methods

FNVHash Methods s3pi library documentation
The FNVHash type exposes the following members.
Methods
 | Name | Description
Public method | ComputeHash | Method for hashing a string
Protected method | HashCore | Implements the algorithm (Overrides Online HashAlgorithm HashCore( Byte , Int32, Int32).)
Protected method | HashFinal | Returns the computed hash code. (Overrides Online HashAlgorithm HashFinal .)
Public method | Initialize | Nothing to initialize (Overrides Online HashAlgorithm Initialize .)
Back to Top
See Also
FNVHash Class
System.Security.Cryptography Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


FNVHash.ComputeHash Method

FNVHash ComputeHash Method s3pi library documentation
Method for hashing a string

Namespace: System.Security.Cryptography
Assembly: System.Custom (in System.Custom.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public byte[] ComputeHash(
    string value
)
public byte[] ComputeHash(
    string value
)
Public Function ComputeHash (
    value As String
) As Byte()
Public Function ComputeHash (
    value As String
) As Byte()
public:
array<unsigned char>^ ComputeHash(
    String^ value
)
public:
array<unsigned char>^ ComputeHash(
    String^ value
)
Parameters
value
Type:   Online System String
string
Return Value
Type:    Online Byte
FNV hash of string
See Also
FNVHash Class
FNVHash Members
System.Security.Cryptography Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


FNVHash.HashCore Method

FNVHash HashCore Method s3pi library documentation
Implements the algorithm

Namespace: System.Security.Cryptography
Assembly: System.Custom (in System.Custom.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected override void HashCore(
    byte[] array,
    int ibStart,
    int cbSize
)
protected override void HashCore(
    byte[] array,
    int ibStart,
    int cbSize
)
Protected Overrides Sub HashCore (
    array As Byte(),
    ibStart As Integer,
    cbSize As Integer
)
Protected Overrides Sub HashCore (
    array As Byte(),
    ibStart As Integer,
    cbSize As Integer
)
protected:
virtual void HashCore(
    array<unsigned char>^ array,
    int ibStart,
    int cbSize
) override
protected:
virtual void HashCore(
    array<unsigned char>^ array,
    int ibStart,
    int cbSize
) override
Parameters
array
Type:    Online System Byte
The input to compute the hash code for.
ibStart
Type:   Online System Int32
The offset into the byte array from which to begin using data.
cbSize
Type:   Online System Int32
The number of bytes in the byte array to use as data.
See Also
FNVHash Class
FNVHash Members
System.Security.Cryptography Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


FNVHash.HashFinal Method

FNVHash HashFinal Method s3pi library documentation
Returns the computed hash code.

Namespace: System.Security.Cryptography
Assembly: System.Custom (in System.Custom.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected override byte[] HashFinal()
protected override byte[] HashFinal()
Protected Overrides Function HashFinal As Byte()
Protected Overrides Function HashFinal As Byte()
protected:
virtual array<unsigned char>^ HashFinal() override
protected:
virtual array<unsigned char>^ HashFinal() override
Return Value
Type:    Online Byte
The computed hash code.
See Also
FNVHash Class
FNVHash Members
System.Security.Cryptography Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


FNVHash.Initialize Method

FNVHash Initialize Method s3pi library documentation
Nothing to initialize

Namespace: System.Security.Cryptography
Assembly: System.Custom (in System.Custom.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override void Initialize()
public override void Initialize()
Public Overrides Sub Initialize
Public Overrides Sub Initialize
public:
virtual void Initialize() override
public:
virtual void Initialize() override
See Also
FNVHash Class
FNVHash Members
System.Security.Cryptography Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Sims3PackCRC Class

Sims3PackCRC Class s3pi library documentation
Calculate the CRC of a data chunk stored in a Sims3Pack file.
Inheritance Hierarchy
Online System Object
Online System.Security.Cryptography HashAlgorithm
System.Security.Cryptography Sims3PackCRC

Namespace: System.Security.Cryptography
Assembly: System.Custom (in System.Custom.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public class Sims3PackCRC : HashAlgorithm
public class Sims3PackCRC : HashAlgorithm
Public Class Sims3PackCRC
    Inherits HashAlgorithm
Public Class Sims3PackCRC
    Inherits HashAlgorithm
public ref class Sims3PackCRC : public HashAlgorithm
public ref class Sims3PackCRC : public HashAlgorithm
See Also
Sims3PackCRC Members
System.Security.Cryptography Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Sims3PackCRC Members

Sims3PackCRC Members s3pi library documentation

The Sims3PackCRC type exposes the following members.
Constructors
 | Name | Description
Public method | Sims3PackCRC | Create a new CRC algorithm with an optional seed.
Back to Top
Methods
 | Name | Description
 | CalculateCRC(Stream) | Calculate the CRC for the specified Online Stream.
 | CalculateCRC( Byte , Int32, Int32) | Calculates the Sims3Pack CRC value for the specified region of the specified byte array.
Protected method | HashCore | Update the running hash with the data passed. (Overrides Online HashAlgorithm HashCore( Byte , Int32, Int32).)
Protected method | HashFinal | Finalize the computation of the hash value. (Overrides Online HashAlgorithm HashFinal .)
Public method | Initialize | Initialize the Sims3PackCRC by setting the current CRC value to the seed. (Overrides Online HashAlgorithm Initialize .)
Back to Top
Properties
 | Name | Description
Public property | HashSize | Gets the size, in bits, of the computed hash code. (Overrides Online HashAlgorithm HashSize.)
Back to Top
See Also
Sims3PackCRC Class
System.Security.Cryptography Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Sims3PackCRC Constructor

Sims3PackCRC Constructor s3pi library documentation
Create a new CRC algorithm with an optional seed.

Namespace: System.Security.Cryptography
Assembly: System.Custom (in System.Custom.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public Sims3PackCRC(
    ulong seed = 72057594037927935
)
public Sims3PackCRC(
    ulong seed = 72057594037927935
)
Public Sub New (
    Optional seed As ULong = 72057594037927935
)
Public Sub New (
    Optional seed As ULong = 72057594037927935
)
public:
Sims3PackCRC(
    unsigned long long seed = 72057594037927935
)
public:
Sims3PackCRC(
    unsigned long long seed = 72057594037927935
)
Parameters
seed (Optional)
Type:   Online System UInt64
Optional CRC algorithm seed.
See Also
Sims3PackCRC Class
Sims3PackCRC Members
System.Security.Cryptography Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Sims3PackCRC Methods

Sims3PackCRC Methods s3pi library documentation
The Sims3PackCRC type exposes the following members.
Methods
 | Name | Description
 | CalculateCRC(Stream) | Calculate the CRC for the specified Online Stream.
 | CalculateCRC( Byte , Int32, Int32) | Calculates the Sims3Pack CRC value for the specified region of the specified byte array.
Protected method | HashCore | Update the running hash with the data passed. (Overrides Online HashAlgorithm HashCore( Byte , Int32, Int32).)
Protected method | HashFinal | Finalize the computation of the hash value. (Overrides Online HashAlgorithm HashFinal .)
Public method | Initialize | Initialize the Sims3PackCRC by setting the current CRC value to the seed. (Overrides Online HashAlgorithm Initialize .)
Back to Top
See Also
Sims3PackCRC Class
System.Security.Cryptography Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Sims3PackCRC.CalculateCRC Method

Sims3PackCRC CalculateCRC Method s3pi library documentation
Overload List
Name | Description
CalculateCRC(Stream) | Calculate the CRC for the specified Online Stream.
CalculateCRC( Byte , Int32, Int32) | Calculates the Sims3Pack CRC value for the specified region of the specified byte array.
Back to Top
See Also
Sims3PackCRC Class
Sims3PackCRC Members
System.Security.Cryptography Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Sims3PackCRC.CalculateCRC Method (Stream)

Sims3PackCRC CalculateCRC Method (Stream) s3pi library documentation
Calculate the CRC for the specified Online Stream.

Namespace: System.Security.Cryptography
Assembly: System.Custom (in System.Custom.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static ulong CalculateCRC(
    Stream stream
)
public static ulong CalculateCRC(
    Stream stream
)
Public Shared Function CalculateCRC (
    stream As Stream
) As ULong
Public Shared Function CalculateCRC (
    stream As Stream
) As ULong
public:
static unsigned long long CalculateCRC(
    Stream^ stream
)
public:
static unsigned long long CalculateCRC(
    Stream^ stream
)
Parameters
stream
Type:   Online System.IO Stream
The input to calculate the CRC for.
Return Value
Type:   Online UInt64
CRC of stream.
See Also
Sims3PackCRC Class
Sims3PackCRC Members
CalculateCRC Overload
System.Security.Cryptography Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Sims3PackCRC.CalculateCRC Method (Byte[], Int32, Int32)

Sims3PackCRC CalculateCRC Method ( Byte , Int32, Int32) s3pi library documentation
Calculates the Sims3Pack CRC value for the specified region of the specified byte array.

Namespace: System.Security.Cryptography
Assembly: System.Custom (in System.Custom.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static ulong CalculateCRC(
    byte[] buffer,
    int offset = 0,
    int count = -1
)
public static ulong CalculateCRC(
    byte[] buffer,
    int offset = 0,
    int count = -1
)
Public Shared Function CalculateCRC (
    buffer As Byte(),
    Optional offset As Integer = 0,
    Optional count As Integer = -1
) As ULong
Public Shared Function CalculateCRC (
    buffer As Byte(),
    Optional offset As Integer = 0,
    Optional count As Integer = -1
) As ULong
public:
static unsigned long long CalculateCRC(
    array<unsigned char>^ buffer,
    int offset = 0,
    int count = -1
)
public:
static unsigned long long CalculateCRC(
    array<unsigned char>^ buffer,
    int offset = 0,
    int count = -1
)
Parameters
buffer
Type:    Online System Byte
The input to calculate the CRC for.
offset (Optional)
Type:   Online System Int32
The offset into the byte array from which to begin using data.
count (Optional)
Type:   Online System Int32
The number of bytes in the array to use as data.
Return Value
Type:   Online UInt64
The calculated CRC.
Exceptions
Exception | Condition
Online System ArgumentException | count is an invalid value. -or- buffer length is invalid.
Online System ArgumentNullException | buffer is null.
Online System ArgumentOutOfRangeException | offset is out of range. This parameter requires a non-negative number.
See Also
Sims3PackCRC Class
Sims3PackCRC Members
CalculateCRC Overload
System.Security.Cryptography Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Sims3PackCRC.HashCore Method

Sims3PackCRC HashCore Method s3pi library documentation
Update the running hash with the data passed.

Namespace: System.Security.Cryptography
Assembly: System.Custom (in System.Custom.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected override void HashCore(
    byte[] array,
    int ibStart,
    int cbSize
)
protected override void HashCore(
    byte[] array,
    int ibStart,
    int cbSize
)
Protected Overrides Sub HashCore (
    array As Byte(),
    ibStart As Integer,
    cbSize As Integer
)
Protected Overrides Sub HashCore (
    array As Byte(),
    ibStart As Integer,
    cbSize As Integer
)
protected:
virtual void HashCore(
    array<unsigned char>^ array,
    int ibStart,
    int cbSize
) override
protected:
virtual void HashCore(
    array<unsigned char>^ array,
    int ibStart,
    int cbSize
) override
Parameters
array
Type:    Online System Byte
The input to compute the hash code for.
ibStart
Type:   Online System Int32
The offset into the byte array from which to begin using data.
cbSize
Type:   Online System Int32
The number of bytes in the byte array to use as data.
See Also
Sims3PackCRC Class
Sims3PackCRC Members
System.Security.Cryptography Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Sims3PackCRC.HashFinal Method

Sims3PackCRC HashFinal Method s3pi library documentation
Finalize the computation of the hash value.

Namespace: System.Security.Cryptography
Assembly: System.Custom (in System.Custom.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected override byte[] HashFinal()
protected override byte[] HashFinal()
Protected Overrides Function HashFinal As Byte()
Protected Overrides Function HashFinal As Byte()
protected:
virtual array<unsigned char>^ HashFinal() override
protected:
virtual array<unsigned char>^ HashFinal() override
Return Value
Type:    Online Byte
The computed hash code.
See Also
Sims3PackCRC Class
Sims3PackCRC Members
System.Security.Cryptography Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Sims3PackCRC.Initialize Method

Sims3PackCRC Initialize Method s3pi library documentation
Initialize the Sims3PackCRC by setting the current CRC value to the seed.

Namespace: System.Security.Cryptography
Assembly: System.Custom (in System.Custom.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override void Initialize()
public override void Initialize()
Public Overrides Sub Initialize
Public Overrides Sub Initialize
public:
virtual void Initialize() override
public:
virtual void Initialize() override
See Also
Sims3PackCRC Class
Sims3PackCRC Members
System.Security.Cryptography Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Sims3PackCRC Properties

Sims3PackCRC Properties s3pi library documentation
The Sims3PackCRC type exposes the following members.
Properties
 | Name | Description
Public property | HashSize | Gets the size, in bits, of the computed hash code. (Overrides Online HashAlgorithm HashSize.)
Back to Top
See Also
Sims3PackCRC Class
System.Security.Cryptography Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


Sims3PackCRC.HashSize Property

Sims3PackCRC HashSize Property s3pi library documentation
Gets the size, in bits, of the computed hash code.

Namespace: System.Security.Cryptography
Assembly: System.Custom (in System.Custom.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override int HashSize { get; }
public override int HashSize { get; }
Public Overrides ReadOnly Property HashSize As Integer
    Get
Public Overrides ReadOnly Property HashSize As Integer
    Get
public:
virtual property int HashSize {
    int get () override;
}
public:
virtual property int HashSize {
    int get () override;
}
Property Value
Type:   Online Int32
See Also
Sims3PackCRC Class
Sims3PackCRC Members
System.Security.Cryptography Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


System.Text Namespace

System.Text Namespace s3pi library documentation
Classes
 | Class | Description
Public class | BigEndianUnicodeString | Read and write a seven-bit encoded length-prefixed string in Online BigEndianUnicode from or to a Online Stream.
Public class | SevenBitString | Read and write a seven-bit encoded length-prefixed string in a given Online Encoding from or to a Online Stream.

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


BigEndianUnicodeString Class

BigEndianUnicodeString Class s3pi library documentation
Read and write a seven-bit encoded length-prefixed string in Online BigEndianUnicode from or to a Online Stream.
Inheritance Hierarchy
Online System Object
System.Text BigEndianUnicodeString

Namespace: System.Text
Assembly: System.Custom (in System.Custom.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static class BigEndianUnicodeString
public static class BigEndianUnicodeString
Public NotInheritable Class BigEndianUnicodeString
Public NotInheritable Class BigEndianUnicodeString
public ref class BigEndianUnicodeString abstract sealed
public ref class BigEndianUnicodeString abstract sealed
See Also
BigEndianUnicodeString Members
System.Text Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


BigEndianUnicodeString Members

BigEndianUnicodeString Members s3pi library documentation

The BigEndianUnicodeString type exposes the following members.
Methods
Name | Description
Read | Read a string from Online Stream s using Online BigEndianUnicode.
Write | Write a string to Online Stream s using Online BigEndianUnicode.
Back to Top
See Also
BigEndianUnicodeString Class
System.Text Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


BigEndianUnicodeString Methods

BigEndianUnicodeString Methods s3pi library documentation
The BigEndianUnicodeString type exposes the following members.
Methods
Name | Description
Read | Read a string from Online Stream s using Online BigEndianUnicode.
Write | Write a string to Online Stream s using Online BigEndianUnicode.
Back to Top
See Also
BigEndianUnicodeString Class
System.Text Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


BigEndianUnicodeString.Read Method

BigEndianUnicodeString Read Method s3pi library documentation
Read a string from Online Stream s using Online BigEndianUnicode.

Namespace: System.Text
Assembly: System.Custom (in System.Custom.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static string Read(
    Stream s
)
public static string Read(
    Stream s
)
Public Shared Function Read (
    s As Stream
) As String
Public Shared Function Read (
    s As Stream
) As String
public:
static String^ Read(
    Stream^ s
)
public:
static String^ Read(
    Stream^ s
)
Parameters
s
Type:   Online System.IO Stream
  Online Stream from which to read string.
Return Value
Type:   Online String
A   Online String value.
See Also
BigEndianUnicodeString Class
BigEndianUnicodeString Members
System.Text Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


BigEndianUnicodeString.Write Method

BigEndianUnicodeString Write Method s3pi library documentation
Write a string to Online Stream s using Online BigEndianUnicode.

Namespace: System.Text
Assembly: System.Custom (in System.Custom.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static void Write(
    Stream s,
    string value
)
public static void Write(
    Stream s,
    string value
)
Public Shared Sub Write (
    s As Stream,
    value As String
)
Public Shared Sub Write (
    s As Stream,
    value As String
)
public:
static void Write(
    Stream^ s,
    String^ value
)
public:
static void Write(
    Stream^ s,
    String^ value
)
Parameters
s
Type:   Online System.IO Stream
  Online Stream to which to write string.
value
Type:   Online System String
The   Online String to write.
See Also
BigEndianUnicodeString Class
BigEndianUnicodeString Members
System.Text Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SevenBitString Class

SevenBitString Class s3pi library documentation
Read and write a seven-bit encoded length-prefixed string in a given Online Encoding from or to a Online Stream.
Inheritance Hierarchy
Online System Object
System.Text SevenBitString

Namespace: System.Text
Assembly: System.Custom (in System.Custom.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static class SevenBitString
public static class SevenBitString
Public NotInheritable Class SevenBitString
Public NotInheritable Class SevenBitString
public ref class SevenBitString abstract sealed
public ref class SevenBitString abstract sealed
See Also
SevenBitString Members
System.Text Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SevenBitString Members

SevenBitString Members s3pi library documentation

The SevenBitString type exposes the following members.
Methods
Name | Description
Read | Read a string from Online Stream s using Online Encoding enc.
Write | Write a string to Online Stream s using Online Encoding enc.
Back to Top
See Also
SevenBitString Class
System.Text Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SevenBitString Methods

SevenBitString Methods s3pi library documentation
The SevenBitString type exposes the following members.
Methods
Name | Description
Read | Read a string from Online Stream s using Online Encoding enc.
Write | Write a string to Online Stream s using Online Encoding enc.
Back to Top
See Also
SevenBitString Class
System.Text Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SevenBitString.Read Method

SevenBitString Read Method s3pi library documentation
Read a string from Online Stream s using Online Encoding enc.

Namespace: System.Text
Assembly: System.Custom (in System.Custom.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static string Read(
    Stream s,
    Encoding enc
)
public static string Read(
    Stream s,
    Encoding enc
)
Public Shared Function Read (
    s As Stream,
    enc As Encoding
) As String
Public Shared Function Read (
    s As Stream,
    enc As Encoding
) As String
public:
static String^ Read(
    Stream^ s,
    Encoding^ enc
)
public:
static String^ Read(
    Stream^ s,
    Encoding^ enc
)
Parameters
s
Type:   Online System.IO Stream
  Online Stream from which to read string.
enc
Type:   Online System.Text Encoding
  Online Encoding to use when reading.
Return Value
Type:   Online String
A   Online String value.
See Also
SevenBitString Class
SevenBitString Members
System.Text Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


SevenBitString.Write Method

SevenBitString Write Method s3pi library documentation
Write a string to Online Stream s using Online Encoding enc.

Namespace: System.Text
Assembly: System.Custom (in System.Custom.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static void Write(
    Stream s,
    Encoding enc,
    string value
)
public static void Write(
    Stream s,
    Encoding enc,
    string value
)
Public Shared Sub Write (
    s As Stream,
    enc As Encoding,
    value As String
)
Public Shared Sub Write (
    s As Stream,
    enc As Encoding,
    value As String
)
public:
static void Write(
    Stream^ s,
    Encoding^ enc,
    String^ value
)
public:
static void Write(
    Stream^ s,
    Encoding^ enc,
    String^ value
)
Parameters
s
Type:   Online System.IO Stream
  Online Stream to which to write string.
enc
Type:   Online System.Text Encoding
  Online Encoding to use when writing.
value
Type:   Online System String
The   Online String to write.
See Also
SevenBitString Class
SevenBitString Members
System.Text Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


System.Windows.Forms Namespace

System.Windows.Forms Namespace s3pi library documentation
Classes
 | Class | Description
Public class | CopyableMessageBox | Displays a message box from which the text can be copied.
Public class | DDSPanel | Displays and manipulates a DDS image
Public class | ResourceTypeCombo |
Public class | TGIBlockCombo |
Public class | TGIBlockListEditor | A modal form for editing an AResource.DependentList<AResource.TGIBlock> object.
Enumerations
 | Enumeration | Description
Public enumeration | CopyableMessageBoxButtons | Specifies constants defining which buttons to display on a CopyableMessageBox.
Public enumeration | CopyableMessageBoxIcon | Specifies constants defining which symbol to display on a CopyableMessageBox.
Public enumeration | DDSPanel MaskChannel | Used to indicate which channels in a mask should be activated when creating a new mask.

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


CopyableMessageBox Class

CopyableMessageBox Class s3pi library documentation
Displays a message box from which the text can be copied.
Inheritance Hierarchy
Online System Object
System.Windows.Forms CopyableMessageBox

Namespace: System.Windows.Forms
Assembly: s3pi.CustomForms (in s3pi.CustomForms.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static class CopyableMessageBox
public static class CopyableMessageBox
Public NotInheritable Class CopyableMessageBox
Public NotInheritable Class CopyableMessageBox
public ref class CopyableMessageBox abstract sealed
public ref class CopyableMessageBox abstract sealed
See Also
CopyableMessageBox Members
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


CopyableMessageBox Members

CopyableMessageBox Members s3pi library documentation

Methods
Name | Description
IssueException(Exception) | Displays a message box containing the specified Online Exception including a full traceback of inner exceptions. The text can be copied.
IssueException(Exception, String) | Displays a message box containing the specified Online Exception including a full traceback of inner exceptions, with the specified caption. The text can be copied.
IssueException(Exception, String, String) | Displays a message box containing the specified Online Exception including a full traceback of inner exceptions, with the specified caption. The prefix text is display before the exception trace. The text can be copied.
Show(String) | Displays a message box with the specified text. The text can be copied.
Show(String, String, CopyableMessageBoxButtons, CopyableMessageBoxIcon, Int32) | Displays a message box with the specified text, caption, buttons, icon and default button. The text can be copied.
Show(String, String, CopyableMessageBoxButtons, CopyableMessageBoxIcon, Int32, Int32) | Displays a message box with the specified text, caption, icon, buttons, default button and cancel button. The text can be copied.
Show(String, String, CopyableMessageBoxIcon, IList String , Int32, Int32) | Displays a message box with the specified text, caption, icon, buttons, default button and cancel button. The text can be copied.
Show(IWin32Window, String, String, CopyableMessageBoxIcon, IList String , Int32, Int32) | Displays a message box with the specified text, caption, icon, buttons, default button and cancel button. The text can be copied.
Back to Top
See Also
CopyableMessageBox Class
System.Windows.Forms Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


CopyableMessageBox Methods

CopyableMessageBox Methods s3pi library documentation
Methods
Name | Description
IssueException(Exception) | Displays a message box containing the specified Online Exception including a full traceback of inner exceptions. The text can be copied.
IssueException(Exception, String) | Displays a message box containing the specified Online Exception including a full traceback of inner exceptions, with the specified caption. The text can be copied.
IssueException(Exception, String, String) | Displays a message box containing the specified Online Exception including a full traceback of inner exceptions, with the specified caption. The prefix text is display before the exception trace. The text can be copied.
Show(String) | Displays a message box with the specified text. The text can be copied.
Show(String, String, CopyableMessageBoxButtons, CopyableMessageBoxIcon, Int32) | Displays a message box with the specified text, caption, buttons, icon and default button. The text can be copied.
Show(String, String, CopyableMessageBoxButtons, CopyableMessageBoxIcon, Int32, Int32) | Displays a message box with the specified text, caption, icon, buttons, default button and cancel button. The text can be copied.
Show(String, String, CopyableMessageBoxIcon, IList String , Int32, Int32) | Displays a message box with the specified text, caption, icon, buttons, default button and cancel button. The text can be copied.
Show(IWin32Window, String, String, CopyableMessageBoxIcon, IList String , Int32, Int32) | Displays a message box with the specified text, caption, icon, buttons, default button and cancel button. The text can be copied.
Back to Top
See Also
CopyableMessageBox Class
System.Windows.Forms Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


CopyableMessageBox.IssueException Method

CopyableMessageBox IssueException Method s3pi library documentation
Overload List
Name | Description
IssueException(Exception) | Displays a message box containing the specified Online Exception including a full traceback of inner exceptions. The text can be copied.
IssueException(Exception, String) | Displays a message box containing the specified Online Exception including a full traceback of inner exceptions, with the specified caption. The text can be copied.
IssueException(Exception, String, String) | Displays a message box containing the specified Online Exception including a full traceback of inner exceptions, with the specified caption. The prefix text is display before the exception trace. The text can be copied.
Back to Top
See Also
CopyableMessageBox Class
CopyableMessageBox Members
System.Windows.Forms Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


CopyableMessageBox.IssueException Method (Exception)

CopyableMessageBox IssueException Method (Exception) s3pi library documentation
Displays a message box containing the specified Online Exception including a full traceback of inner exceptions. The text can be copied.

Namespace: System.Windows.Forms
Assembly: s3pi.CustomForms (in s3pi.CustomForms.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static void IssueException(
    Exception ex
)
public static void IssueException(
    Exception ex
)
Public Shared Sub IssueException (
    ex As Exception
)
Public Shared Sub IssueException (
    ex As Exception
)
public:
static void IssueException(
    Exception^ ex
)
public:
static void IssueException(
    Exception^ ex
)
Parameters
ex
Type:   Online System Exception
A   Online Exception to display.
See Also
CopyableMessageBox Class
CopyableMessageBox Members
IssueException Overload
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


CopyableMessageBox.IssueException Method (Exception, String)

CopyableMessageBox IssueException Method (Exception, String) s3pi library documentation
Displays a message box containing the specified Online Exception including a full traceback of inner exceptions, with the specified caption. The text can be copied.

Namespace: System.Windows.Forms
Assembly: s3pi.CustomForms (in s3pi.CustomForms.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static void IssueException(
    Exception ex,
    string caption
)
public static void IssueException(
    Exception ex,
    string caption
)
Public Shared Sub IssueException (
    ex As Exception,
    caption As String
)
Public Shared Sub IssueException (
    ex As Exception,
    caption As String
)
public:
static void IssueException(
    Exception^ ex,
    String^ caption
)
public:
static void IssueException(
    Exception^ ex,
    String^ caption
)
Parameters
ex
Type:   Online System Exception
A   Online Exception to display.
caption
Type:   Online System String
The text to display in the title bar of the message box.
See Also
CopyableMessageBox Class
CopyableMessageBox Members
IssueException Overload
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


CopyableMessageBox.IssueException Method (Exception, String, String)

CopyableMessageBox IssueException Method (Exception, String, String) s3pi library documentation
Displays a message box containing the specified Online Exception including a full traceback of inner exceptions, with the specified caption. The prefix text is display before the exception trace. The text can be copied.

Namespace: System.Windows.Forms
Assembly: s3pi.CustomForms (in s3pi.CustomForms.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static void IssueException(
    Exception ex,
    string prefix,
    string caption
)
public static void IssueException(
    Exception ex,
    string prefix,
    string caption
)
Public Shared Sub IssueException (
    ex As Exception,
    prefix As String,
    caption As String
)
Public Shared Sub IssueException (
    ex As Exception,
    prefix As String,
    caption As String
)
public:
static void IssueException(
    Exception^ ex,
    String^ prefix,
    String^ caption
)
public:
static void IssueException(
    Exception^ ex,
    String^ prefix,
    String^ caption
)
Parameters
ex
Type:   Online System Exception
A   Online Exception to display.
prefix
Type:   Online System String
Text to display before the exception.
caption
Type:   Online System String
The text to display in the title bar of the message box.
See Also
CopyableMessageBox Class
CopyableMessageBox Members
IssueException Overload
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


CopyableMessageBox.Show Method

CopyableMessageBox Show Method s3pi library documentation
Overload List
Name | Description
Show(String) | Displays a message box with the specified text. The text can be copied.
Show(String, String, CopyableMessageBoxButtons, CopyableMessageBoxIcon, Int32) | Displays a message box with the specified text, caption, buttons, icon and default button. The text can be copied.
Show(String, String, CopyableMessageBoxButtons, CopyableMessageBoxIcon, Int32, Int32) | Displays a message box with the specified text, caption, icon, buttons, default button and cancel button. The text can be copied.
Show(String, String, CopyableMessageBoxIcon, IList String , Int32, Int32) | Displays a message box with the specified text, caption, icon, buttons, default button and cancel button. The text can be copied.
Show(IWin32Window, String, String, CopyableMessageBoxIcon, IList String , Int32, Int32) | Displays a message box with the specified text, caption, icon, buttons, default button and cancel button. The text can be copied.
Back to Top
See Also
CopyableMessageBox Class
CopyableMessageBox Members
System.Windows.Forms Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


CopyableMessageBox.Show Method (String)

CopyableMessageBox Show Method (String) s3pi library documentation
Displays a message box with the specified text. The text can be copied.

Namespace: System.Windows.Forms
Assembly: s3pi.CustomForms (in s3pi.CustomForms.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static int Show(
    string message
)
public static int Show(
    string message
)
Public Shared Function Show (
    message As String
) As Integer
Public Shared Function Show (
    message As String
) As Integer
public:
static int Show(
    String^ message
)
public:
static int Show(
    String^ message
)
Parameters
message
Type:   Online System String
The text to display in the message box.  This text can be copied.
Return Value
Type:   Online Int32
Always returns 0.
See Also
CopyableMessageBox Class
CopyableMessageBox Members
Show Overload
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


CopyableMessageBox.Show Method (String, String, CopyableMessageBoxButtons, CopyableMessageBoxIcon, Int32)

CopyableMessageBox Show Method (String, String, CopyableMessageBoxButtons, CopyableMessageBoxIcon, Int32) s3pi library documentation
Displays a message box with the specified text, caption, buttons, icon and default button. The text can be copied.

Namespace: System.Windows.Forms
Assembly: s3pi.CustomForms (in s3pi.CustomForms.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static int Show(
    string message,
    string caption,
    CopyableMessageBoxButtons buttons = CopyableMessageBoxButtons.OK,
    CopyableMessageBoxIcon icon = CopyableMessageBoxIcon.None,
    int defBtn = 0
)
public static int Show(
    string message,
    string caption,
    CopyableMessageBoxButtons buttons = CopyableMessageBoxButtons.OK,
    CopyableMessageBoxIcon icon = CopyableMessageBoxIcon.None,
    int defBtn = 0
)
Public Shared Function Show (
    message As String,
    caption As String,
    Optional buttons As CopyableMessageBoxButtons = CopyableMessageBoxButtons.OK,
    Optional icon As CopyableMessageBoxIcon = CopyableMessageBoxIcon.None,
    Optional defBtn As Integer = 0
) As Integer
Public Shared Function Show (
    message As String,
    caption As String,
    Optional buttons As CopyableMessageBoxButtons = CopyableMessageBoxButtons.OK,
    Optional icon As CopyableMessageBoxIcon = CopyableMessageBoxIcon.None,
    Optional defBtn As Integer = 0
) As Integer
public:
static int Show(
    String^ message,
    String^ caption,
    CopyableMessageBoxButtons buttons = CopyableMessageBoxButtons::OK,
    CopyableMessageBoxIcon icon = CopyableMessageBoxIcon::None,
    int defBtn = 0
)
public:
static int Show(
    String^ message,
    String^ caption,
    CopyableMessageBoxButtons buttons = CopyableMessageBoxButtons::OK,
    CopyableMessageBoxIcon icon = CopyableMessageBoxIcon::None,
    int defBtn = 0
)
Parameters
message
Type:   Online System String
The text to display in the message box.  This text can be copied.
caption
Type:   Online System String
The text to display in the title bar of the message box.
buttons (Optional)
Type: System.Windows.Forms CopyableMessageBoxButtons
One of the CopyableMessageBoxButtons values that specifies which buttons to display in the message box.
            If not specified, OK is used.
icon (Optional)
Type: System.Windows.Forms CopyableMessageBoxIcon
One of the CopyableMessageBoxIcon values that specifies which icon to display in the message box.
            If not specified, None is used.
defBtn (Optional)
Type:   Online System Int32
The zero-based index of the default button.
            If not specified, 0 is used.
Return Value
Type:   Online Int32
The zero-based index of the button pressed.
See Also
CopyableMessageBox Class
CopyableMessageBox Members
Show Overload
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


CopyableMessageBox.Show Method (String, String, CopyableMessageBoxButtons, CopyableMessageBoxIcon, Int32, Int32)

CopyableMessageBox Show Method (String, String, CopyableMessageBoxButtons, CopyableMessageBoxIcon, Int32, Int32) s3pi library documentation
Displays a message box with the specified text, caption, icon, buttons, default button and cancel button. The text can be copied.

Namespace: System.Windows.Forms
Assembly: s3pi.CustomForms (in s3pi.CustomForms.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static int Show(
    string message,
    string caption,
    CopyableMessageBoxButtons buttons,
    CopyableMessageBoxIcon icon,
    int defBtn,
    int cncBtn
)
public static int Show(
    string message,
    string caption,
    CopyableMessageBoxButtons buttons,
    CopyableMessageBoxIcon icon,
    int defBtn,
    int cncBtn
)
Public Shared Function Show (
    message As String,
    caption As String,
    buttons As CopyableMessageBoxButtons,
    icon As CopyableMessageBoxIcon,
    defBtn As Integer,
    cncBtn As Integer
) As Integer
Public Shared Function Show (
    message As String,
    caption As String,
    buttons As CopyableMessageBoxButtons,
    icon As CopyableMessageBoxIcon,
    defBtn As Integer,
    cncBtn As Integer
) As Integer
public:
static int Show(
    String^ message,
    String^ caption,
    CopyableMessageBoxButtons buttons,
    CopyableMessageBoxIcon icon,
    int defBtn,
    int cncBtn
)
public:
static int Show(
    String^ message,
    String^ caption,
    CopyableMessageBoxButtons buttons,
    CopyableMessageBoxIcon icon,
    int defBtn,
    int cncBtn
)
Parameters
message
Type:   Online System String
The text to display in the message box.  This text can be copied.
caption
Type:   Online System String
The text to display in the title bar of the message box.
buttons
Type: System.Windows.Forms CopyableMessageBoxButtons
One of the CopyableMessageBoxButtons values that specifies which buttons to display in the message box.
icon
Type: System.Windows.Forms CopyableMessageBoxIcon
One of the CopyableMessageBoxIcon values that specifies which icon to display in the message box.
defBtn
Type:   Online System Int32
The zero-based index of the default button.
cncBtn
Type:   Online System Int32
The zero-based index of the cancel button.
Return Value
Type:   Online Int32
The zero-based index of the button pressed.
See Also
CopyableMessageBox Class
CopyableMessageBox Members
Show Overload
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


CopyableMessageBox.Show Method (String, String, CopyableMessageBoxIcon, IList(String), Int32, Int32)

CopyableMessageBox Show Method (String, String, CopyableMessageBoxIcon, IList String , Int32, Int32) s3pi library documentation
Displays a message box with the specified text, caption, icon, buttons, default button and cancel button. The text can be copied.

Namespace: System.Windows.Forms
Assembly: s3pi.CustomForms (in s3pi.CustomForms.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static int Show(
    string message,
    string caption,
    CopyableMessageBoxIcon icon,
    IList<string> buttons,
    int defBtn,
    int cncBtn
)
public static int Show(
    string message,
    string caption,
    CopyableMessageBoxIcon icon,
    IList<string> buttons,
    int defBtn,
    int cncBtn
)
Public Shared Function Show (
    message As String,
    caption As String,
    icon As CopyableMessageBoxIcon,
    buttons As IList(Of String),
    defBtn As Integer,
    cncBtn As Integer
) As Integer
Public Shared Function Show (
    message As String,
    caption As String,
    icon As CopyableMessageBoxIcon,
    buttons As IList(Of String),
    defBtn As Integer,
    cncBtn As Integer
) As Integer
public:
static int Show(
    String^ message,
    String^ caption,
    CopyableMessageBoxIcon icon,
    IList<String^>^ buttons,
    int defBtn,
    int cncBtn
)
public:
static int Show(
    String^ message,
    String^ caption,
    CopyableMessageBoxIcon icon,
    IList<String^>^ buttons,
    int defBtn,
    int cncBtn
)
Parameters
message
Type:   Online System String
The text to display in the message box.  This text can be copied.
caption
Type:   Online System String
The text to display in the title bar of the message box.
icon
Type: System.Windows.Forms CopyableMessageBoxIcon
One of the CopyableMessageBoxIcon values that specifies which icon to display in the message box.
buttons
Type:   Online System.Collections.Generic IList    Online String
A   Online IList T  (where T is   Online String) to display as buttons in the message box.
defBtn
Type:   Online System Int32
The zero-based index of the default button.
cncBtn
Type:   Online System Int32
The zero-based index of the cancel button.
Return Value
Type:   Online Int32
The zero-based index of the button pressed.
See Also
CopyableMessageBox Class
CopyableMessageBox Members
Show Overload
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


CopyableMessageBox.Show Method (IWin32Window, String, String, CopyableMessageBoxIcon, IList(String), Int32, Int32)

CopyableMessageBox Show Method (IWin32Window, String, String, CopyableMessageBoxIcon, IList String , Int32, Int32) s3pi library documentation
Displays a message box with the specified text, caption, icon, buttons, default button and cancel button. The text can be copied.

Namespace: System.Windows.Forms
Assembly: s3pi.CustomForms (in s3pi.CustomForms.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static int Show(
    IWin32Window owner,
    string message,
    string caption,
    CopyableMessageBoxIcon icon,
    IList<string> buttons,
    int defBtn,
    int cncBtn
)
public static int Show(
    IWin32Window owner,
    string message,
    string caption,
    CopyableMessageBoxIcon icon,
    IList<string> buttons,
    int defBtn,
    int cncBtn
)
Public Shared Function Show (
    owner As IWin32Window,
    message As String,
    caption As String,
    icon As CopyableMessageBoxIcon,
    buttons As IList(Of String),
    defBtn As Integer,
    cncBtn As Integer
) As Integer
Public Shared Function Show (
    owner As IWin32Window,
    message As String,
    caption As String,
    icon As CopyableMessageBoxIcon,
    buttons As IList(Of String),
    defBtn As Integer,
    cncBtn As Integer
) As Integer
public:
static int Show(
    IWin32Window^ owner,
    String^ message,
    String^ caption,
    CopyableMessageBoxIcon icon,
    IList<String^>^ buttons,
    int defBtn,
    int cncBtn
)
public:
static int Show(
    IWin32Window^ owner,
    String^ message,
    String^ caption,
    CopyableMessageBoxIcon icon,
    IList<String^>^ buttons,
    int defBtn,
    int cncBtn
)
Parameters
owner
Type:   Online System.Windows.Forms IWin32Window
An implementation of   Online IWin32Window that will own the modal dialog box.
message
Type:   Online System String
The text to display in the message box.  This text can be copied.
caption
Type:   Online System String
The text to display in the title bar of the message box.
icon
Type: System.Windows.Forms CopyableMessageBoxIcon
One of the CopyableMessageBoxIcon values that specifies which icon to display in the message box.
buttons
Type:   Online System.Collections.Generic IList    Online String
A   Online IList T  (where T is   Online String) to display as buttons in the message box.
defBtn
Type:   Online System Int32
The zero-based index of the default button.
cncBtn
Type:   Online System Int32
The zero-based index of the cancel button.
Return Value
Type:   Online Int32
The zero-based index of the button pressed.
See Also
CopyableMessageBox Class
CopyableMessageBox Members
Show Overload
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


CopyableMessageBoxButtons Enumeration

CopyableMessageBoxButtons Enumeration s3pi library documentation
Specifies constants defining which buttons to display on a CopyableMessageBox.

Namespace: System.Windows.Forms
Assembly: s3pi.CustomForms (in s3pi.CustomForms.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public enum CopyableMessageBoxButtons
public enum CopyableMessageBoxButtons
Public Enumeration CopyableMessageBoxButtons
Public Enumeration CopyableMessageBoxButtons
public enum class CopyableMessageBoxButtons
public enum class CopyableMessageBoxButtons
Members
Member name | Value | Description
OK | 0 | The message box contains an OK button.
OKCancel | 1 | The message box contains OK and Cancel buttons.
AbortRetryIgnore | 2 | The message box contains Abort, Retry, and Ignore buttons.
YesNoCancel | 3 | The message box contains Yes, No, and Cancel buttons.
YesNo | 4 | The message box contains Yes and No buttons.
RetryCancel | 5 | The message box contains Retry and Cancel buttons.
See Also
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


CopyableMessageBoxIcon Enumeration

CopyableMessageBoxIcon Enumeration s3pi library documentation
Specifies constants defining which symbol to display on a CopyableMessageBox.

Namespace: System.Windows.Forms
Assembly: s3pi.CustomForms (in s3pi.CustomForms.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public enum CopyableMessageBoxIcon
public enum CopyableMessageBoxIcon
Public Enumeration CopyableMessageBoxIcon
Public Enumeration CopyableMessageBoxIcon
public enum class CopyableMessageBoxIcon
public enum class CopyableMessageBoxIcon
Members
Member name | Value | Description
None | 0 | The message box contain no symbols.
Information | 1 | The message box contains a symbol consisting of a lowercase letter i. This is styled italic and displayed in blue on very pale blue.
Asterisk | 1 | The message box contains a symbol consisting of a lowercase letter i. This is styled italic and displayed in blue on very pale blue.
Question | 2 | The message box contains a symbol consisting of a question mark. This is styled regular and displayed in green on very pale green.
Warning | 3 | The message box contains a symbol consisting of an exclamation mark. This is styled bold and displayed in black on yellow.
Exclamation | 3 | The message box contains a symbol consisting of an exclamation mark. This is styled bold and displayed in black on yellow.
Error | 4 | The message box contains a symbol consisting of an uppercase letter X. This is styled bold and displayed in white on red.
Hand | 4 | The message box contains a symbol consisting of an uppercase letter X. This is styled bold and displayed in white on red.
Stop | 4 | The message box contains a symbol consisting of an uppercase letter X. This is styled bold and displayed in white on red.
See Also
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DDSPanel Class

DDSPanel Class s3pi library documentation
Displays and manipulates a DDS image
Inheritance Hierarchy
Online System Object
Online System MarshalByRefObject
Online System.ComponentModel Component
Online System.Windows.Forms Control
Online System.Windows.Forms ScrollableControl
Online System.Windows.Forms ContainerControl
Online System.Windows.Forms UserControl
System.Windows.Forms DDSPanel

Namespace: System.Windows.Forms
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public class DDSPanel : UserControl
public class DDSPanel : UserControl
Public Class DDSPanel
    Inherits UserControl
Public Class DDSPanel
    Inherits UserControl
public ref class DDSPanel : public UserControl
public ref class DDSPanel : public UserControl
See Also
DDSPanel Members
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DDSPanel Members

DDSPanel Members s3pi library documentation

The DDSPanel type exposes the following members.
Constructors
 | Name | Description
Public method | DDSPanel | Displays and manipulates a DDS image
Back to Top
Methods
 | Name | Description
Public method | ApplyColours(Nullable UInt32 , Nullable UInt32 , Nullable UInt32 , Nullable UInt32 ) | Set the colour of the image based on the channels in the currently loaded mask.
Public method | ApplyColours(Stream, Nullable UInt32 , Nullable UInt32 , Nullable UInt32 , Nullable UInt32 ) | Set the colour of the image based on the channels in the mask.
Public method | ApplyHSVShift(HSVShift, HSVShift, HSVShift, HSVShift, Boolean) | Apply HSVShift(Decimal, Decimal, Decimal) values to the image, based on the channels in the currently loaded mask.
Public method | ApplyHSVShift(Stream, HSVShift, HSVShift, HSVShift, HSVShift, Boolean) | Apply HSVShift(Decimal, Decimal, Decimal) values to the image, based on the channels in the mask.
Public method | ApplyImage(Bitmap, Bitmap, Bitmap, Bitmap) | Apply the supplied images to the areas of the base image defined by the channels in the currently loaded mask.
Public method | ApplyImage(Image, Image, Image, Image) | Apply the supplied images to the areas of the base image defined by the channels in the currently loaded mask.
Public method | ApplyImage(Stream, Stream, Stream, Stream) | Apply the supplied images to the areas of the base image defined by the channels in the currently loaded mask.
Public method | ApplyImage(Stream, Bitmap, Bitmap, Bitmap, Bitmap) | Apply the supplied images to the areas of the base image defined by the channels in the mask.
Public method | ApplyImage(Stream, Image, Image, Image, Image) | Apply the supplied images to the areas of the base image defined by the channels in the mask.
Public method | ApplyImage(Stream, Stream, Stream, Stream, Stream) | Apply the supplied images to the areas of the base image defined by the channels in the mask.
Public method | Clear | Sets the DDSPanel to an unloaded state, freeing resources.
Public method | ClearMask | Removes any previously applied masked shifts
Public method | CreateImage(Nullable UInt32 , Size, Boolean) | Creates an image of a specified colour and size; if supportHSV is passed and true (default is false), the image will support HSV shift operations.
Public method | CreateImage(Nullable UInt32 , Int32, Int32, Boolean) | Creates an image of a specified colour and given width and height; if supportHSV is passed and true (default is false), the image will support HSV shift operations.
Public method | CreateImage(Byte, Byte, Byte, Size, Boolean) | Creates an image of a specified colour (with alpha set to full on) and size; if supportHSV is passed and true (default is false), the image will support HSV shift operations.
Public method | CreateImage(Byte, Byte, Byte, Byte, Size, Boolean) | Creates an image of a specified colour and size; if supportHSV is passed and true (default is false), the image will support HSV shift operations.
Public method | CreateImage(Byte, Byte, Byte, Int32, Int32, Boolean) | Creates an image of a specified colour (with alpha set to full on) and given width and height; if supportHSV is passed and true (default is false), the image will support HSV shift operations.
Public method | CreateImage(Byte, Byte, Byte, Byte, Int32, Int32, Boolean) | Creates an image of a specified colour and given width and height; if supportHSV is passed and true (default is false), the image will support HSV shift operations.
Public method | CreateMask(DDSPanel MaskChannel, Size) | Creates a mask with given maskChannels active and of given size.
Public method | CreateMask(DDSPanel MaskChannel, Int32, Int32) | Creates a mask with given maskChannels active and of given width and height.
Public method | DDSLoad(DdsFile) | Sets the DDS image for this DDSPanel from the given ddsfile. SupportsHSV is determined from the SupportsHSV value.
Public method | DDSLoad(Bitmap, Boolean) | Sets the DDS image for this DDSPanel from the given image; if supportHSV is passed and true (default is false), the image will support HSV shift operations.
Public method | DDSLoad(Stream, Boolean) | Load a DDS image from a Online Stream; if supportHSV is passed and true (default is false), the image will support HSV shift operations.
Public method | DDSSave | Saves the current image to a DDS in stream.
Protected method | Dispose | Clean up any resources being used. (Overrides Online ContainerControl Dispose(Boolean).)
Public method | GetDdsFile | Get a copy of the current DDS image as a DdsFile.
Public method | GetGreyscaleFromAlpha | Converts the alpha channel of the currently loaded DDS image into a greyscale bitmap.
Public method | HSVShift | Apply a hue, saturation and value shift to the image.
Public method | Import | Imports an Online Image from the specified file using embedded color management information in that file and uses the file as the DDS image to work on; if supportHSV is passed and true (default is false), the image will support HSV shift operations.
Public method | LoadMask | Load a mask to use for HSV shifting or masked application of colours. Clears any mask currently applied.
Public method | SetAlphaFromGreyscale(Bitmap) | Set the alpha channel of the current image from the given greyscale.
Public method | SetAlphaFromGreyscale(Image) | Set the alpha channel of the current image from the given greyscale.
Public method | SetAlphaFromGreyscale(Stream) | Set the alpha channel of the current image from the given DDS file stream.
Back to Top
Properties
 | Name | Description
Public property | AlphaDepth | The number of alpha channel bits per pixel in the encoded DDS image or the DXT compression mode.
Public property | Channel1 | The "Red" checkbox Checked state.
Public property | Channel2 | The "Green" checkbox Checked state.
Public property | Channel3 | The "Blue" checkbox Checked state.
Public property | Channel4 | The "Alpha" checkbox Checked state.
Public property | Fit | When true, the image will resize to the control bounds.
Public property | HueShift | Hue shift to be applied to the image.
Public property | Image | Returns the image that is displayed by the DDSPanel.
Public property | ImageSize | The size of the current image (or Online Empty if not loaded).
Public property | InvertCh4 | The "Invert" checkbox Checked state.
Public property | MaskLoaded | Indicates that a Mask is currently loaded.
Public property | MaskSize | The size of the current mask (or Online Empty if no mask loaded).
Public property | MaxSize | When non-zero, indicates the maximum width and height to constrain the image size.
Public property | SaturationShift | Saturation shift to be applied to the image.
Public property | ShowChannelSelector | When true, the Channel Selection checkboxes will be displayed above the image.
Public property | SupportsHSV | When true, enables use of HSV-related methods.
Public property | UseDXT | If true, use DXT-type image compression for storage. The mode will depend on the AlphaDepth.
Public property | UseLuminance | If true, treat the image as a luminance (plus alpha) map for storage.
Public property | ValueShift | Value shift to be applied to the image.
Back to Top
Events
 | Name | Description
Public event | Channel1Changed | Raised to indicate Channel1 value changed.
Public event | Channel2Changed | Raised to indicate Channel2 value changed.
Public event | Channel3Changed | Raised to indicate Channel3 value changed.
Public event | Channel4Changed | Raised to indicate Channel4 value changed.
Public event | FitChanged | Raised to indicate Fit value changed.
Public event | InvertCh4Changed | Raised to indicate InvertCh4 value changed.
Public event | MaxSizeChanged | Raised to indicate MaxSize value changed.
Public event | ShowChannelSelectorChanged | Raised to indicate ShowChannelSelector value changed.
Back to Top
See Also
DDSPanel Class
System.Windows.Forms Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DDSPanel Constructor

DDSPanel Constructor s3pi library documentation
Displays and manipulates a DDS image

Namespace: System.Windows.Forms
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public DDSPanel()
public DDSPanel()
Public Sub New
Public Sub New
public:
DDSPanel()
public:
DDSPanel()
See Also
DDSPanel Class
DDSPanel Members
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DDSPanel Methods

DDSPanel Methods s3pi library documentation
The DDSPanel type exposes the following members.
Methods
 | Name | Description
Public method | ApplyColours(Nullable UInt32 , Nullable UInt32 , Nullable UInt32 , Nullable UInt32 ) | Set the colour of the image based on the channels in the currently loaded mask.
Public method | ApplyColours(Stream, Nullable UInt32 , Nullable UInt32 , Nullable UInt32 , Nullable UInt32 ) | Set the colour of the image based on the channels in the mask.
Public method | ApplyHSVShift(HSVShift, HSVShift, HSVShift, HSVShift, Boolean) | Apply HSVShift(Decimal, Decimal, Decimal) values to the image, based on the channels in the currently loaded mask.
Public method | ApplyHSVShift(Stream, HSVShift, HSVShift, HSVShift, HSVShift, Boolean) | Apply HSVShift(Decimal, Decimal, Decimal) values to the image, based on the channels in the mask.
Public method | ApplyImage(Bitmap, Bitmap, Bitmap, Bitmap) | Apply the supplied images to the areas of the base image defined by the channels in the currently loaded mask.
Public method | ApplyImage(Image, Image, Image, Image) | Apply the supplied images to the areas of the base image defined by the channels in the currently loaded mask.
Public method | ApplyImage(Stream, Stream, Stream, Stream) | Apply the supplied images to the areas of the base image defined by the channels in the currently loaded mask.
Public method | ApplyImage(Stream, Bitmap, Bitmap, Bitmap, Bitmap) | Apply the supplied images to the areas of the base image defined by the channels in the mask.
Public method | ApplyImage(Stream, Image, Image, Image, Image) | Apply the supplied images to the areas of the base image defined by the channels in the mask.
Public method | ApplyImage(Stream, Stream, Stream, Stream, Stream) | Apply the supplied images to the areas of the base image defined by the channels in the mask.
Public method | Clear | Sets the DDSPanel to an unloaded state, freeing resources.
Public method | ClearMask | Removes any previously applied masked shifts
Public method | CreateImage(Nullable UInt32 , Size, Boolean) | Creates an image of a specified colour and size; if supportHSV is passed and true (default is false), the image will support HSV shift operations.
Public method | CreateImage(Nullable UInt32 , Int32, Int32, Boolean) | Creates an image of a specified colour and given width and height; if supportHSV is passed and true (default is false), the image will support HSV shift operations.
Public method | CreateImage(Byte, Byte, Byte, Size, Boolean) | Creates an image of a specified colour (with alpha set to full on) and size; if supportHSV is passed and true (default is false), the image will support HSV shift operations.
Public method | CreateImage(Byte, Byte, Byte, Byte, Size, Boolean) | Creates an image of a specified colour and size; if supportHSV is passed and true (default is false), the image will support HSV shift operations.
Public method | CreateImage(Byte, Byte, Byte, Int32, Int32, Boolean) | Creates an image of a specified colour (with alpha set to full on) and given width and height; if supportHSV is passed and true (default is false), the image will support HSV shift operations.
Public method | CreateImage(Byte, Byte, Byte, Byte, Int32, Int32, Boolean) | Creates an image of a specified colour and given width and height; if supportHSV is passed and true (default is false), the image will support HSV shift operations.
Public method | CreateMask(DDSPanel MaskChannel, Size) | Creates a mask with given maskChannels active and of given size.
Public method | CreateMask(DDSPanel MaskChannel, Int32, Int32) | Creates a mask with given maskChannels active and of given width and height.
Public method | DDSLoad(DdsFile) | Sets the DDS image for this DDSPanel from the given ddsfile. SupportsHSV is determined from the SupportsHSV value.
Public method | DDSLoad(Bitmap, Boolean) | Sets the DDS image for this DDSPanel from the given image; if supportHSV is passed and true (default is false), the image will support HSV shift operations.
Public method | DDSLoad(Stream, Boolean) | Load a DDS image from a Online Stream; if supportHSV is passed and true (default is false), the image will support HSV shift operations.
Public method | DDSSave | Saves the current image to a DDS in stream.
Protected method | Dispose | Clean up any resources being used. (Overrides Online ContainerControl Dispose(Boolean).)
Public method | GetDdsFile | Get a copy of the current DDS image as a DdsFile.
Public method | GetGreyscaleFromAlpha | Converts the alpha channel of the currently loaded DDS image into a greyscale bitmap.
Public method | HSVShift | Apply a hue, saturation and value shift to the image.
Public method | Import | Imports an Online Image from the specified file using embedded color management information in that file and uses the file as the DDS image to work on; if supportHSV is passed and true (default is false), the image will support HSV shift operations.
Public method | LoadMask | Load a mask to use for HSV shifting or masked application of colours. Clears any mask currently applied.
Public method | SetAlphaFromGreyscale(Bitmap) | Set the alpha channel of the current image from the given greyscale.
Public method | SetAlphaFromGreyscale(Image) | Set the alpha channel of the current image from the given greyscale.
Public method | SetAlphaFromGreyscale(Stream) | Set the alpha channel of the current image from the given DDS file stream.
Back to Top
See Also
DDSPanel Class
System.Windows.Forms Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DDSPanel.ApplyColours Method

DDSPanel ApplyColours Method s3pi library documentation
Overload List
 | Name | Description
Public method | ApplyColours(Nullable UInt32 , Nullable UInt32 , Nullable UInt32 , Nullable UInt32 ) | Set the colour of the image based on the channels in the currently loaded mask.
Public method | ApplyColours(Stream, Nullable UInt32 , Nullable UInt32 , Nullable UInt32 , Nullable UInt32 ) | Set the colour of the image based on the channels in the mask.
Back to Top
See Also
DDSPanel Class
DDSPanel Members
System.Windows.Forms Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DDSPanel.ApplyColours Method (Nullable(UInt32), Nullable(UInt32), Nullable(UInt32), Nullable(UInt32))

DDSPanel ApplyColours Method (Nullable UInt32 , Nullable UInt32 , Nullable UInt32 , Nullable UInt32 ) s3pi library documentation
Set the colour of the image based on the channels in the currently loaded mask.

Namespace: System.Windows.Forms
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void ApplyColours(
    Nullable<uint> ch1Colour,
    Nullable<uint> ch2Colour,
    Nullable<uint> ch3Colour,
    Nullable<uint> ch4Colour
)
public void ApplyColours(
    Nullable<uint> ch1Colour,
    Nullable<uint> ch2Colour,
    Nullable<uint> ch3Colour,
    Nullable<uint> ch4Colour
)
Public Sub ApplyColours (
    ch1Colour As Nullable(Of UInteger),
    ch2Colour As Nullable(Of UInteger),
    ch3Colour As Nullable(Of UInteger),
    ch4Colour As Nullable(Of UInteger)
)
Public Sub ApplyColours (
    ch1Colour As Nullable(Of UInteger),
    ch2Colour As Nullable(Of UInteger),
    ch3Colour As Nullable(Of UInteger),
    ch4Colour As Nullable(Of UInteger)
)
public:
void ApplyColours(
    Nullable<unsigned int> ch1Colour,
    Nullable<unsigned int> ch2Colour,
    Nullable<unsigned int> ch3Colour,
    Nullable<unsigned int> ch4Colour
)
public:
void ApplyColours(
    Nullable<unsigned int> ch1Colour,
    Nullable<unsigned int> ch2Colour,
    Nullable<unsigned int> ch3Colour,
    Nullable<unsigned int> ch4Colour
)
Parameters
ch1Colour
Type:   Online System Nullable    Online UInt32
(Nullable) ARGB colour to the image when the first channel of the mask is active.
ch2Colour
Type:   Online System Nullable    Online UInt32
(Nullable) ARGB colour to the image when the second channel of the mask is active.
ch3Colour
Type:   Online System Nullable    Online UInt32
(Nullable) ARGB colour to the image when the third channel of the mask is active.
ch4Colour
Type:   Online System Nullable    Online UInt32
(Nullable) ARGB colour to the image when the fourth channel of the mask is active.
See Also
DDSPanel Class
DDSPanel Members
ApplyColours Overload
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DDSPanel.ApplyColours Method (Stream, Nullable(UInt32), Nullable(UInt32), Nullable(UInt32), Nullable(UInt32))

DDSPanel ApplyColours Method (Stream, Nullable UInt32 , Nullable UInt32 , Nullable UInt32 , Nullable UInt32 ) s3pi library documentation
Set the colour of the image based on the channels in the mask.

Namespace: System.Windows.Forms
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void ApplyColours(
    Stream mask,
    Nullable<uint> ch1Colour,
    Nullable<uint> ch2Colour,
    Nullable<uint> ch3Colour,
    Nullable<uint> ch4Colour
)
public void ApplyColours(
    Stream mask,
    Nullable<uint> ch1Colour,
    Nullable<uint> ch2Colour,
    Nullable<uint> ch3Colour,
    Nullable<uint> ch4Colour
)
Public Sub ApplyColours (
    mask As Stream,
    ch1Colour As Nullable(Of UInteger),
    ch2Colour As Nullable(Of UInteger),
    ch3Colour As Nullable(Of UInteger),
    ch4Colour As Nullable(Of UInteger)
)
Public Sub ApplyColours (
    mask As Stream,
    ch1Colour As Nullable(Of UInteger),
    ch2Colour As Nullable(Of UInteger),
    ch3Colour As Nullable(Of UInteger),
    ch4Colour As Nullable(Of UInteger)
)
public:
void ApplyColours(
    Stream^ mask,
    Nullable<unsigned int> ch1Colour,
    Nullable<unsigned int> ch2Colour,
    Nullable<unsigned int> ch3Colour,
    Nullable<unsigned int> ch4Colour
)
public:
void ApplyColours(
    Stream^ mask,
    Nullable<unsigned int> ch1Colour,
    Nullable<unsigned int> ch2Colour,
    Nullable<unsigned int> ch3Colour,
    Nullable<unsigned int> ch4Colour
)
Parameters
mask
Type:   Online System.IO Stream
The   Online Stream containing the DDS image to use as a mask.
ch1Colour
Type:   Online System Nullable    Online UInt32
(Nullable) ARGB colour to the image when the first channel of the mask is active.
ch2Colour
Type:   Online System Nullable    Online UInt32
(Nullable) ARGB colour to the image when the second channel of the mask is active.
ch3Colour
Type:   Online System Nullable    Online UInt32
(Nullable) ARGB colour to the image when the third channel of the mask is active.
ch4Colour
Type:   Online System Nullable    Online UInt32
(Nullable) ARGB colour to the image when the fourth channel of the mask is active.
See Also
DDSPanel Class
DDSPanel Members
ApplyColours Overload
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DDSPanel.ApplyHSVShift Method

DDSPanel ApplyHSVShift Method s3pi library documentation
Overload List
 | Name | Description
Public method | ApplyHSVShift(HSVShift, HSVShift, HSVShift, HSVShift, Boolean) | Apply HSVShift(Decimal, Decimal, Decimal) values to the image, based on the channels in the currently loaded mask.
Public method | ApplyHSVShift(Stream, HSVShift, HSVShift, HSVShift, HSVShift, Boolean) | Apply HSVShift(Decimal, Decimal, Decimal) values to the image, based on the channels in the mask.
Back to Top
See Also
DDSPanel Class
DDSPanel Members
System.Windows.Forms Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DDSPanel.ApplyHSVShift Method (HSVShift, HSVShift, HSVShift, HSVShift, Boolean)

DDSPanel ApplyHSVShift Method (HSVShift, HSVShift, HSVShift, HSVShift, Boolean) s3pi library documentation
Apply HSVShift(Decimal, Decimal, Decimal) values to the image, based on the channels in the currently loaded mask.

Namespace: System.Windows.Forms
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void ApplyHSVShift(
    HSVShift ch1Shift,
    HSVShift ch2Shift,
    HSVShift ch3Shift,
    HSVShift ch4Shift,
    bool blend
)
public void ApplyHSVShift(
    HSVShift ch1Shift,
    HSVShift ch2Shift,
    HSVShift ch3Shift,
    HSVShift ch4Shift,
    bool blend
)
Public Sub ApplyHSVShift (
    ch1Shift As HSVShift,
    ch2Shift As HSVShift,
    ch3Shift As HSVShift,
    ch4Shift As HSVShift,
    blend As Boolean
)
Public Sub ApplyHSVShift (
    ch1Shift As HSVShift,
    ch2Shift As HSVShift,
    ch3Shift As HSVShift,
    ch4Shift As HSVShift,
    blend As Boolean
)
public:
void ApplyHSVShift(
    HSVShift ch1Shift,
    HSVShift ch2Shift,
    HSVShift ch3Shift,
    HSVShift ch4Shift,
    bool blend
)
public:
void ApplyHSVShift(
    HSVShift ch1Shift,
    HSVShift ch2Shift,
    HSVShift ch3Shift,
    HSVShift ch4Shift,
    bool blend
)
Parameters
ch1Shift
Type: System.Drawing HSVShift
A shift to apply to the image when the first channel of the mask is active.
ch2Shift
Type: System.Drawing HSVShift
A shift to apply to the image when the second channel of the mask is active.
ch3Shift
Type: System.Drawing HSVShift
A shift to apply to the image when the third channel of the mask is active.
ch4Shift
Type: System.Drawing HSVShift
A shift to apply to the image when the fourth channel of the mask is active.
blend
Type:   Online System Boolean
When true, each channel's shift adds; when false, each channel's shift overrides.
See Also
DDSPanel Class
DDSPanel Members
ApplyHSVShift Overload
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DDSPanel.ApplyHSVShift Method (Stream, HSVShift, HSVShift, HSVShift, HSVShift, Boolean)

DDSPanel ApplyHSVShift Method (Stream, HSVShift, HSVShift, HSVShift, HSVShift, Boolean) s3pi library documentation
Apply HSVShift(Decimal, Decimal, Decimal) values to the image, based on the channels in the mask.

Namespace: System.Windows.Forms
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void ApplyHSVShift(
    Stream mask,
    HSVShift ch1Shift,
    HSVShift ch2Shift,
    HSVShift ch3Shift,
    HSVShift ch4Shift,
    bool blend
)
public void ApplyHSVShift(
    Stream mask,
    HSVShift ch1Shift,
    HSVShift ch2Shift,
    HSVShift ch3Shift,
    HSVShift ch4Shift,
    bool blend
)
Public Sub ApplyHSVShift (
    mask As Stream,
    ch1Shift As HSVShift,
    ch2Shift As HSVShift,
    ch3Shift As HSVShift,
    ch4Shift As HSVShift,
    blend As Boolean
)
Public Sub ApplyHSVShift (
    mask As Stream,
    ch1Shift As HSVShift,
    ch2Shift As HSVShift,
    ch3Shift As HSVShift,
    ch4Shift As HSVShift,
    blend As Boolean
)
public:
void ApplyHSVShift(
    Stream^ mask,
    HSVShift ch1Shift,
    HSVShift ch2Shift,
    HSVShift ch3Shift,
    HSVShift ch4Shift,
    bool blend
)
public:
void ApplyHSVShift(
    Stream^ mask,
    HSVShift ch1Shift,
    HSVShift ch2Shift,
    HSVShift ch3Shift,
    HSVShift ch4Shift,
    bool blend
)
Parameters
mask
Type:   Online System.IO Stream
The   Online Stream containing the DDS image to use as a mask.
ch1Shift
Type: System.Drawing HSVShift
A shift to apply to the image when the first channel of the mask is active.
ch2Shift
Type: System.Drawing HSVShift
A shift to apply to the image when the second channel of the mask is active.
ch3Shift
Type: System.Drawing HSVShift
A shift to apply to the image when the third channel of the mask is active.
ch4Shift
Type: System.Drawing HSVShift
A shift to apply to the image when the fourth channel of the mask is active.
blend
Type:   Online System Boolean
When true, each channel's shift adds; when false, each channel's shift overrides.
See Also
DDSPanel Class
DDSPanel Members
ApplyHSVShift Overload
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DDSPanel.ApplyImage Method

DDSPanel ApplyImage Method s3pi library documentation
Overload List
 | Name | Description
Public method | ApplyImage(Bitmap, Bitmap, Bitmap, Bitmap) | Apply the supplied images to the areas of the base image defined by the channels in the currently loaded mask.
Public method | ApplyImage(Image, Image, Image, Image) | Apply the supplied images to the areas of the base image defined by the channels in the currently loaded mask.
Public method | ApplyImage(Stream, Stream, Stream, Stream) | Apply the supplied images to the areas of the base image defined by the channels in the currently loaded mask.
Public method | ApplyImage(Stream, Bitmap, Bitmap, Bitmap, Bitmap) | Apply the supplied images to the areas of the base image defined by the channels in the mask.
Public method | ApplyImage(Stream, Image, Image, Image, Image) | Apply the supplied images to the areas of the base image defined by the channels in the mask.
Public method | ApplyImage(Stream, Stream, Stream, Stream, Stream) | Apply the supplied images to the areas of the base image defined by the channels in the mask.
Back to Top
See Also
DDSPanel Class
DDSPanel Members
System.Windows.Forms Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DDSPanel.ApplyImage Method (Bitmap, Bitmap, Bitmap, Bitmap)

DDSPanel ApplyImage Method (Bitmap, Bitmap, Bitmap, Bitmap) s3pi library documentation
Apply the supplied images to the areas of the base image defined by the channels in the currently loaded mask.

Namespace: System.Windows.Forms
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void ApplyImage(
    Bitmap ch1Image,
    Bitmap ch2Image,
    Bitmap ch3Image,
    Bitmap ch4Image
)
public void ApplyImage(
    Bitmap ch1Image,
    Bitmap ch2Image,
    Bitmap ch3Image,
    Bitmap ch4Image
)
Public Sub ApplyImage (
    ch1Image As Bitmap,
    ch2Image As Bitmap,
    ch3Image As Bitmap,
    ch4Image As Bitmap
)
Public Sub ApplyImage (
    ch1Image As Bitmap,
    ch2Image As Bitmap,
    ch3Image As Bitmap,
    ch4Image As Bitmap
)
public:
void ApplyImage(
    Bitmap^ ch1Image,
    Bitmap^ ch2Image,
    Bitmap^ ch3Image,
    Bitmap^ ch4Image
)
public:
void ApplyImage(
    Bitmap^ ch1Image,
    Bitmap^ ch2Image,
    Bitmap^ ch3Image,
    Bitmap^ ch4Image
)
Parameters
ch1Image
Type:   Online System.Drawing Bitmap
The   Online Bitmap to apply to the image when the first channel of the mask is active.
ch2Image
Type:   Online System.Drawing Bitmap
The   Online Bitmap to apply to the image when the second channel of the mask is active.
ch3Image
Type:   Online System.Drawing Bitmap
The   Online Bitmap to apply to the image when the third channel of the mask is active.
ch4Image
Type:   Online System.Drawing Bitmap
The   Online Bitmap to apply to the image when the fourth channel of the mask is active.
See Also
DDSPanel Class
DDSPanel Members
ApplyImage Overload
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DDSPanel.ApplyImage Method (Image, Image, Image, Image)

DDSPanel ApplyImage Method (Image, Image, Image, Image) s3pi library documentation
Apply the supplied images to the areas of the base image defined by the channels in the currently loaded mask.

Namespace: System.Windows.Forms
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void ApplyImage(
    Image ch1Image,
    Image ch2Image,
    Image ch3Image,
    Image ch4Image
)
public void ApplyImage(
    Image ch1Image,
    Image ch2Image,
    Image ch3Image,
    Image ch4Image
)
Public Sub ApplyImage (
    ch1Image As Image,
    ch2Image As Image,
    ch3Image As Image,
    ch4Image As Image
)
Public Sub ApplyImage (
    ch1Image As Image,
    ch2Image As Image,
    ch3Image As Image,
    ch4Image As Image
)
public:
void ApplyImage(
    Image^ ch1Image,
    Image^ ch2Image,
    Image^ ch3Image,
    Image^ ch4Image
)
public:
void ApplyImage(
    Image^ ch1Image,
    Image^ ch2Image,
    Image^ ch3Image,
    Image^ ch4Image
)
Parameters
ch1Image
Type:   Online System.Drawing Image
The   Online Image to apply to the image when the first channel of the mask is active.
ch2Image
Type:   Online System.Drawing Image
The   Online Image to apply to the image when the second channel of the mask is active.
ch3Image
Type:   Online System.Drawing Image
The   Online Image to apply to the image when the third channel of the mask is active.
ch4Image
Type:   Online System.Drawing Image
The   Online Image to apply to the image when the fourth channel of the mask is active.
See Also
DDSPanel Class
DDSPanel Members
ApplyImage Overload
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DDSPanel.ApplyImage Method (Stream, Stream, Stream, Stream)

DDSPanel ApplyImage Method (Stream, Stream, Stream, Stream) s3pi library documentation
Apply the supplied images to the areas of the base image defined by the channels in the currently loaded mask.

Namespace: System.Windows.Forms
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void ApplyImage(
    Stream ch1Image,
    Stream ch2Image,
    Stream ch3Image,
    Stream ch4Image
)
public void ApplyImage(
    Stream ch1Image,
    Stream ch2Image,
    Stream ch3Image,
    Stream ch4Image
)
Public Sub ApplyImage (
    ch1Image As Stream,
    ch2Image As Stream,
    ch3Image As Stream,
    ch4Image As Stream
)
Public Sub ApplyImage (
    ch1Image As Stream,
    ch2Image As Stream,
    ch3Image As Stream,
    ch4Image As Stream
)
public:
void ApplyImage(
    Stream^ ch1Image,
    Stream^ ch2Image,
    Stream^ ch3Image,
    Stream^ ch4Image
)
public:
void ApplyImage(
    Stream^ ch1Image,
    Stream^ ch2Image,
    Stream^ ch3Image,
    Stream^ ch4Image
)
Parameters
ch1Image
Type:   Online System.IO Stream
The   Online Stream containing the DDS image to apply to the image when the first channel of the mask is active.
ch2Image
Type:   Online System.IO Stream
The   Online Stream containing the DDS image to apply to the image when the second channel of the mask is active.
ch3Image
Type:   Online System.IO Stream
The   Online Stream containing the DDS image to apply to the image when the third channel of the mask is active.
ch4Image
Type:   Online System.IO Stream
The   Online Stream containing the DDS image to apply to the image when the fourth channel of the mask is active.
See Also
DDSPanel Class
DDSPanel Members
ApplyImage Overload
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DDSPanel.ApplyImage Method (Stream, Bitmap, Bitmap, Bitmap, Bitmap)

DDSPanel ApplyImage Method (Stream, Bitmap, Bitmap, Bitmap, Bitmap) s3pi library documentation
Apply the supplied images to the areas of the base image defined by the channels in the mask.

Namespace: System.Windows.Forms
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void ApplyImage(
    Stream mask,
    Bitmap ch1Image,
    Bitmap ch2Image,
    Bitmap ch3Image,
    Bitmap ch4Image
)
public void ApplyImage(
    Stream mask,
    Bitmap ch1Image,
    Bitmap ch2Image,
    Bitmap ch3Image,
    Bitmap ch4Image
)
Public Sub ApplyImage (
    mask As Stream,
    ch1Image As Bitmap,
    ch2Image As Bitmap,
    ch3Image As Bitmap,
    ch4Image As Bitmap
)
Public Sub ApplyImage (
    mask As Stream,
    ch1Image As Bitmap,
    ch2Image As Bitmap,
    ch3Image As Bitmap,
    ch4Image As Bitmap
)
public:
void ApplyImage(
    Stream^ mask,
    Bitmap^ ch1Image,
    Bitmap^ ch2Image,
    Bitmap^ ch3Image,
    Bitmap^ ch4Image
)
public:
void ApplyImage(
    Stream^ mask,
    Bitmap^ ch1Image,
    Bitmap^ ch2Image,
    Bitmap^ ch3Image,
    Bitmap^ ch4Image
)
Parameters
mask
Type:   Online System.IO Stream
The   Online Stream containing the DDS image to use as a mask.
ch1Image
Type:   Online System.Drawing Bitmap
The   Online Bitmap to apply to the image when the first channel of the mask is active.
ch2Image
Type:   Online System.Drawing Bitmap
The   Online Bitmap to apply to the image when the second channel of the mask is active.
ch3Image
Type:   Online System.Drawing Bitmap
The   Online Bitmap to apply to the image when the third channel of the mask is active.
ch4Image
Type:   Online System.Drawing Bitmap
The   Online Bitmap to apply to the image when the fourth channel of the mask is active.
See Also
DDSPanel Class
DDSPanel Members
ApplyImage Overload
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DDSPanel.ApplyImage Method (Stream, Image, Image, Image, Image)

DDSPanel ApplyImage Method (Stream, Image, Image, Image, Image) s3pi library documentation
Apply the supplied images to the areas of the base image defined by the channels in the mask.

Namespace: System.Windows.Forms
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void ApplyImage(
    Stream mask,
    Image ch1Image,
    Image ch2Image,
    Image ch3Image,
    Image ch4Image
)
public void ApplyImage(
    Stream mask,
    Image ch1Image,
    Image ch2Image,
    Image ch3Image,
    Image ch4Image
)
Public Sub ApplyImage (
    mask As Stream,
    ch1Image As Image,
    ch2Image As Image,
    ch3Image As Image,
    ch4Image As Image
)
Public Sub ApplyImage (
    mask As Stream,
    ch1Image As Image,
    ch2Image As Image,
    ch3Image As Image,
    ch4Image As Image
)
public:
void ApplyImage(
    Stream^ mask,
    Image^ ch1Image,
    Image^ ch2Image,
    Image^ ch3Image,
    Image^ ch4Image
)
public:
void ApplyImage(
    Stream^ mask,
    Image^ ch1Image,
    Image^ ch2Image,
    Image^ ch3Image,
    Image^ ch4Image
)
Parameters
mask
Type:   Online System.IO Stream
The   Online Stream containing the DDS image to use as a mask.
ch1Image
Type:   Online System.Drawing Image
The   Online Image to apply to the image when the first channel of the mask is active.
ch2Image
Type:   Online System.Drawing Image
The   Online Image to apply to the image when the second channel of the mask is active.
ch3Image
Type:   Online System.Drawing Image
The   Online Image to apply to the image when the third channel of the mask is active.
ch4Image
Type:   Online System.Drawing Image
The   Online Image to apply to the image when the fourth channel of the mask is active.
See Also
DDSPanel Class
DDSPanel Members
ApplyImage Overload
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DDSPanel.ApplyImage Method (Stream, Stream, Stream, Stream, Stream)

DDSPanel ApplyImage Method (Stream, Stream, Stream, Stream, Stream) s3pi library documentation
Apply the supplied images to the areas of the base image defined by the channels in the mask.

Namespace: System.Windows.Forms
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void ApplyImage(
    Stream mask,
    Stream ch1Image,
    Stream ch2Image,
    Stream ch3Image,
    Stream ch4Image
)
public void ApplyImage(
    Stream mask,
    Stream ch1Image,
    Stream ch2Image,
    Stream ch3Image,
    Stream ch4Image
)
Public Sub ApplyImage (
    mask As Stream,
    ch1Image As Stream,
    ch2Image As Stream,
    ch3Image As Stream,
    ch4Image As Stream
)
Public Sub ApplyImage (
    mask As Stream,
    ch1Image As Stream,
    ch2Image As Stream,
    ch3Image As Stream,
    ch4Image As Stream
)
public:
void ApplyImage(
    Stream^ mask,
    Stream^ ch1Image,
    Stream^ ch2Image,
    Stream^ ch3Image,
    Stream^ ch4Image
)
public:
void ApplyImage(
    Stream^ mask,
    Stream^ ch1Image,
    Stream^ ch2Image,
    Stream^ ch3Image,
    Stream^ ch4Image
)
Parameters
mask
Type:   Online System.IO Stream
The   Online Stream containing the DDS image to use as a mask.
ch1Image
Type:   Online System.IO Stream
The   Online Stream containing the DDS image to apply to the image when the first channel of the mask is active.
ch2Image
Type:   Online System.IO Stream
The   Online Stream containing the DDS image to apply to the image when the second channel of the mask is active.
ch3Image
Type:   Online System.IO Stream
The   Online Stream containing the DDS image to apply to the image when the third channel of the mask is active.
ch4Image
Type:   Online System.IO Stream
The   Online Stream containing the DDS image to apply to the image when the fourth channel of the mask is active.
See Also
DDSPanel Class
DDSPanel Members
ApplyImage Overload
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DDSPanel.Clear Method

DDSPanel Clear Method s3pi library documentation
Sets the DDSPanel to an unloaded state, freeing resources.

Namespace: System.Windows.Forms
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void Clear()
public void Clear()
Public Sub Clear
Public Sub Clear
public:
void Clear()
public:
void Clear()
See Also
DDSPanel Class
DDSPanel Members
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DDSPanel.ClearMask Method

DDSPanel ClearMask Method s3pi library documentation
Removes any previously applied masked shifts

Namespace: System.Windows.Forms
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void ClearMask()
public void ClearMask()
Public Sub ClearMask
Public Sub ClearMask
public:
void ClearMask()
public:
void ClearMask()
See Also
DDSPanel Class
DDSPanel Members
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DDSPanel.CreateImage Method

DDSPanel CreateImage Method s3pi library documentation
Overload List
 | Name | Description
Public method | CreateImage(Nullable UInt32 , Size, Boolean) | Creates an image of a specified colour and size; if supportHSV is passed and true (default is false), the image will support HSV shift operations.
Public method | CreateImage(Nullable UInt32 , Int32, Int32, Boolean) | Creates an image of a specified colour and given width and height; if supportHSV is passed and true (default is false), the image will support HSV shift operations.
Public method | CreateImage(Byte, Byte, Byte, Size, Boolean) | Creates an image of a specified colour (with alpha set to full on) and size; if supportHSV is passed and true (default is false), the image will support HSV shift operations.
Public method | CreateImage(Byte, Byte, Byte, Byte, Size, Boolean) | Creates an image of a specified colour and size; if supportHSV is passed and true (default is false), the image will support HSV shift operations.
Public method | CreateImage(Byte, Byte, Byte, Int32, Int32, Boolean) | Creates an image of a specified colour (with alpha set to full on) and given width and height; if supportHSV is passed and true (default is false), the image will support HSV shift operations.
Public method | CreateImage(Byte, Byte, Byte, Byte, Int32, Int32, Boolean) | Creates an image of a specified colour and given width and height; if supportHSV is passed and true (default is false), the image will support HSV shift operations.
Back to Top
See Also
DDSPanel Class
DDSPanel Members
System.Windows.Forms Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DDSPanel.CreateImage Method (Nullable(UInt32), Size, Boolean)

DDSPanel CreateImage Method (Nullable UInt32 , Size, Boolean) s3pi library documentation
Creates an image of a specified colour and size; if supportHSV is passed and true (default is false), the image will support HSV shift operations.

Namespace: System.Windows.Forms
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void CreateImage(
    Nullable<uint> colour,
    Size size,
    bool supportHSV = false
)
public void CreateImage(
    Nullable<uint> colour,
    Size size,
    bool supportHSV = false
)
Public Sub CreateImage (
    colour As Nullable(Of UInteger),
    size As Size,
    Optional supportHSV As Boolean = false
)
Public Sub CreateImage (
    colour As Nullable(Of UInteger),
    size As Size,
    Optional supportHSV As Boolean = false
)
public:
void CreateImage(
    Nullable<unsigned int> colour,
    Size size,
    bool supportHSV = false
)
public:
void CreateImage(
    Nullable<unsigned int> colour,
    Size size,
    bool supportHSV = false
)
Parameters
colour
Type:   Online System Nullable    Online UInt32
ARGB colour.  If null, method returns with no action.
size
Type:   Online System.Drawing Size
Size of image.
supportHSV (Optional)
Type:   Online System Boolean
Optional; when true, HSV operations will be supported on the image.
See Also
DDSPanel Class
DDSPanel Members
CreateImage Overload
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DDSPanel.CreateImage Method (Nullable(UInt32), Int32, Int32, Boolean)

DDSPanel CreateImage Method (Nullable UInt32 , Int32, Int32, Boolean) s3pi library documentation
Creates an image of a specified colour and given width and height; if supportHSV is passed and true (default is false), the image will support HSV shift operations.

Namespace: System.Windows.Forms
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void CreateImage(
    Nullable<uint> colour,
    int width,
    int height,
    bool supportHSV = false
)
public void CreateImage(
    Nullable<uint> colour,
    int width,
    int height,
    bool supportHSV = false
)
Public Sub CreateImage (
    colour As Nullable(Of UInteger),
    width As Integer,
    height As Integer,
    Optional supportHSV As Boolean = false
)
Public Sub CreateImage (
    colour As Nullable(Of UInteger),
    width As Integer,
    height As Integer,
    Optional supportHSV As Boolean = false
)
public:
void CreateImage(
    Nullable<unsigned int> colour,
    int width,
    int height,
    bool supportHSV = false
)
public:
void CreateImage(
    Nullable<unsigned int> colour,
    int width,
    int height,
    bool supportHSV = false
)
Parameters
colour
Type:   Online System Nullable    Online UInt32
ARGB colour.  If null, method returns with no action.
width
Type:   Online System Int32
Width of image.
height
Type:   Online System Int32
Height of image.
supportHSV (Optional)
Type:   Online System Boolean
Optional; when true, HSV operations will be supported on the image.
See Also
DDSPanel Class
DDSPanel Members
CreateImage Overload
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DDSPanel.CreateImage Method (Byte, Byte, Byte, Size, Boolean)

DDSPanel CreateImage Method (Byte, Byte, Byte, Size, Boolean) s3pi library documentation
Creates an image of a specified colour (with alpha set to full on) and size; if supportHSV is passed and true (default is false), the image will support HSV shift operations.

Namespace: System.Windows.Forms
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void CreateImage(
    byte red,
    byte green,
    byte blue,
    Size size,
    bool supportHSV = false
)
public void CreateImage(
    byte red,
    byte green,
    byte blue,
    Size size,
    bool supportHSV = false
)
Public Sub CreateImage (
    red As Byte,
    green As Byte,
    blue As Byte,
    size As Size,
    Optional supportHSV As Boolean = false
)
Public Sub CreateImage (
    red As Byte,
    green As Byte,
    blue As Byte,
    size As Size,
    Optional supportHSV As Boolean = false
)
public:
void CreateImage(
    unsigned char red,
    unsigned char green,
    unsigned char blue,
    Size size,
    bool supportHSV = false
)
public:
void CreateImage(
    unsigned char red,
    unsigned char green,
    unsigned char blue,
    Size size,
    bool supportHSV = false
)
Parameters
red
Type:   Online System Byte
Amount of red per pixel.
green
Type:   Online System Byte
Amount of green per pixel.
blue
Type:   Online System Byte
Amount of blue per pixel.
size
Type:   Online System.Drawing Size
Size of image.
supportHSV (Optional)
Type:   Online System Boolean
Optional; when true, HSV operations will be supported on the image.
See Also
DDSPanel Class
DDSPanel Members
CreateImage Overload
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DDSPanel.CreateImage Method (Byte, Byte, Byte, Byte, Size, Boolean)

DDSPanel CreateImage Method (Byte, Byte, Byte, Byte, Size, Boolean) s3pi library documentation
Creates an image of a specified colour and size; if supportHSV is passed and true (default is false), the image will support HSV shift operations.

Namespace: System.Windows.Forms
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void CreateImage(
    byte red,
    byte green,
    byte blue,
    byte alpha,
    Size size,
    bool supportHSV = false
)
public void CreateImage(
    byte red,
    byte green,
    byte blue,
    byte alpha,
    Size size,
    bool supportHSV = false
)
Public Sub CreateImage (
    red As Byte,
    green As Byte,
    blue As Byte,
    alpha As Byte,
    size As Size,
    Optional supportHSV As Boolean = false
)
Public Sub CreateImage (
    red As Byte,
    green As Byte,
    blue As Byte,
    alpha As Byte,
    size As Size,
    Optional supportHSV As Boolean = false
)
public:
void CreateImage(
    unsigned char red,
    unsigned char green,
    unsigned char blue,
    unsigned char alpha,
    Size size,
    bool supportHSV = false
)
public:
void CreateImage(
    unsigned char red,
    unsigned char green,
    unsigned char blue,
    unsigned char alpha,
    Size size,
    bool supportHSV = false
)
Parameters
red
Type:   Online System Byte
Amount of red per pixel.
green
Type:   Online System Byte
Amount of green per pixel.
blue
Type:   Online System Byte
Amount of blue per pixel.
alpha
Type:   Online System Byte
Amount of alpha per pixel.
size
Type:   Online System.Drawing Size
Size of image.
supportHSV (Optional)
Type:   Online System Boolean
Optional; when true, HSV operations will be supported on the image.
See Also
DDSPanel Class
DDSPanel Members
CreateImage Overload
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DDSPanel.CreateImage Method (Byte, Byte, Byte, Int32, Int32, Boolean)

DDSPanel CreateImage Method (Byte, Byte, Byte, Int32, Int32, Boolean) s3pi library documentation
Creates an image of a specified colour (with alpha set to full on) and given width and height; if supportHSV is passed and true (default is false), the image will support HSV shift operations.

Namespace: System.Windows.Forms
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void CreateImage(
    byte red,
    byte green,
    byte blue,
    int width,
    int height,
    bool supportHSV = false
)
public void CreateImage(
    byte red,
    byte green,
    byte blue,
    int width,
    int height,
    bool supportHSV = false
)
Public Sub CreateImage (
    red As Byte,
    green As Byte,
    blue As Byte,
    width As Integer,
    height As Integer,
    Optional supportHSV As Boolean = false
)
Public Sub CreateImage (
    red As Byte,
    green As Byte,
    blue As Byte,
    width As Integer,
    height As Integer,
    Optional supportHSV As Boolean = false
)
public:
void CreateImage(
    unsigned char red,
    unsigned char green,
    unsigned char blue,
    int width,
    int height,
    bool supportHSV = false
)
public:
void CreateImage(
    unsigned char red,
    unsigned char green,
    unsigned char blue,
    int width,
    int height,
    bool supportHSV = false
)
Parameters
red
Type:   Online System Byte
Amount of red per pixel.
green
Type:   Online System Byte
Amount of green per pixel.
blue
Type:   Online System Byte
Amount of blue per pixel.
width
Type:   Online System Int32
Width of image.
height
Type:   Online System Int32
Height of image.
supportHSV (Optional)
Type:   Online System Boolean
Optional; when true, HSV operations will be supported on the image.
See Also
DDSPanel Class
DDSPanel Members
CreateImage Overload
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DDSPanel.CreateImage Method (Byte, Byte, Byte, Byte, Int32, Int32, Boolean)

DDSPanel CreateImage Method (Byte, Byte, Byte, Byte, Int32, Int32, Boolean) s3pi library documentation
Creates an image of a specified colour and given width and height; if supportHSV is passed and true (default is false), the image will support HSV shift operations.

Namespace: System.Windows.Forms
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void CreateImage(
    byte red,
    byte green,
    byte blue,
    byte alpha,
    int width,
    int height,
    bool supportHSV = false
)
public void CreateImage(
    byte red,
    byte green,
    byte blue,
    byte alpha,
    int width,
    int height,
    bool supportHSV = false
)
Public Sub CreateImage (
    red As Byte,
    green As Byte,
    blue As Byte,
    alpha As Byte,
    width As Integer,
    height As Integer,
    Optional supportHSV As Boolean = false
)
Public Sub CreateImage (
    red As Byte,
    green As Byte,
    blue As Byte,
    alpha As Byte,
    width As Integer,
    height As Integer,
    Optional supportHSV As Boolean = false
)
public:
void CreateImage(
    unsigned char red,
    unsigned char green,
    unsigned char blue,
    unsigned char alpha,
    int width,
    int height,
    bool supportHSV = false
)
public:
void CreateImage(
    unsigned char red,
    unsigned char green,
    unsigned char blue,
    unsigned char alpha,
    int width,
    int height,
    bool supportHSV = false
)
Parameters
red
Type:   Online System Byte
Amount of red per pixel.
green
Type:   Online System Byte
Amount of green per pixel.
blue
Type:   Online System Byte
Amount of blue per pixel.
alpha
Type:   Online System Byte
Amount of alpha per pixel.
width
Type:   Online System Int32
Width of image.
height
Type:   Online System Int32
Height of image.
supportHSV (Optional)
Type:   Online System Boolean
Optional; when true, HSV operations will be supported on the image.
See Also
DDSPanel Class
DDSPanel Members
CreateImage Overload
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DDSPanel.CreateMask Method

DDSPanel CreateMask Method s3pi library documentation
Overload List
 | Name | Description
Public method | CreateMask(DDSPanel MaskChannel, Size) | Creates a mask with given maskChannels active and of given size.
Public method | CreateMask(DDSPanel MaskChannel, Int32, Int32) | Creates a mask with given maskChannels active and of given width and height.
Back to Top
See Also
DDSPanel Class
DDSPanel Members
System.Windows.Forms Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DDSPanel.CreateMask Method (DDSPanel.MaskChannel, Size)

DDSPanel CreateMask Method (DDSPanel MaskChannel, Size) s3pi library documentation
Creates a mask with given maskChannels active and of given size.

Namespace: System.Windows.Forms
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void CreateMask(
    DDSPanel..::..MaskChannel maskChannels,
    Size size
)
public void CreateMask(
    DDSPanel..::..MaskChannel maskChannels,
    Size size
)
Public Sub CreateMask (
    maskChannels As DDSPanel..::..MaskChannel,
    size As Size
)
Public Sub CreateMask (
    maskChannels As DDSPanel..::..MaskChannel,
    size As Size
)
public:
void CreateMask(
    DDSPanel..::..MaskChannel maskChannels,
    Size size
)
public:
void CreateMask(
    DDSPanel..::..MaskChannel maskChannels,
    Size size
)
Parameters
maskChannels
Type: System.Windows.Forms DDSPanel MaskChannel
Which channels in the mask should be activated.
size
Type:   Online System.Drawing Size
Size of image.
See Also
DDSPanel Class
DDSPanel Members
CreateMask Overload
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DDSPanel.CreateMask Method (DDSPanel.MaskChannel, Int32, Int32)

DDSPanel CreateMask Method (DDSPanel MaskChannel, Int32, Int32) s3pi library documentation
Creates a mask with given maskChannels active and of given width and height.

Namespace: System.Windows.Forms
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void CreateMask(
    DDSPanel..::..MaskChannel maskChannels,
    int width,
    int height
)
public void CreateMask(
    DDSPanel..::..MaskChannel maskChannels,
    int width,
    int height
)
Public Sub CreateMask (
    maskChannels As DDSPanel..::..MaskChannel,
    width As Integer,
    height As Integer
)
Public Sub CreateMask (
    maskChannels As DDSPanel..::..MaskChannel,
    width As Integer,
    height As Integer
)
public:
void CreateMask(
    DDSPanel..::..MaskChannel maskChannels,
    int width,
    int height
)
public:
void CreateMask(
    DDSPanel..::..MaskChannel maskChannels,
    int width,
    int height
)
Parameters
maskChannels
Type: System.Windows.Forms DDSPanel MaskChannel
Which channels in the mask should be activated.
width
Type:   Online System Int32
Width of image.
height
Type:   Online System Int32
Height of image.
See Also
DDSPanel Class
DDSPanel Members
CreateMask Overload
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DDSPanel.DDSLoad Method

DDSPanel DDSLoad Method s3pi library documentation
Overload List
 | Name | Description
Public method | DDSLoad(DdsFile) | Sets the DDS image for this DDSPanel from the given ddsfile. SupportsHSV is determined from the SupportsHSV value.
Public method | DDSLoad(Bitmap, Boolean) | Sets the DDS image for this DDSPanel from the given image; if supportHSV is passed and true (default is false), the image will support HSV shift operations.
Public method | DDSLoad(Stream, Boolean) | Load a DDS image from a Online Stream; if supportHSV is passed and true (default is false), the image will support HSV shift operations.
Back to Top
See Also
DDSPanel Class
DDSPanel Members
System.Windows.Forms Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DDSPanel.DDSLoad Method (DdsFile)

DDSPanel DDSLoad Method (DdsFile) s3pi library documentation
Sets the DDS image for this DDSPanel from the given ddsfile. SupportsHSV is determined from the SupportsHSV value.

Namespace: System.Windows.Forms
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void DDSLoad(
    DdsFile ddsfile
)
public void DDSLoad(
    DdsFile ddsfile
)
Public Sub DDSLoad (
    ddsfile As DdsFile
)
Public Sub DDSLoad (
    ddsfile As DdsFile
)
public:
void DDSLoad(
    DdsFile^ ddsfile
)
public:
void DDSLoad(
    DdsFile^ ddsfile
)
Parameters
ddsfile
Type: System.Drawing DdsFile
A DdsFile to display in this DDSPanel.
See Also
DDSPanel Class
DDSPanel Members
DDSLoad Overload
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DDSPanel.DDSLoad Method (Bitmap, Boolean)

DDSPanel DDSLoad Method (Bitmap, Boolean) s3pi library documentation
Sets the DDS image for this DDSPanel from the given image; if supportHSV is passed and true (default is false), the image will support HSV shift operations.

Namespace: System.Windows.Forms
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void DDSLoad(
    Bitmap image,
    bool supportHSV = false
)
public void DDSLoad(
    Bitmap image,
    bool supportHSV = false
)
Public Sub DDSLoad (
    image As Bitmap,
    Optional supportHSV As Boolean = false
)
Public Sub DDSLoad (
    image As Bitmap,
    Optional supportHSV As Boolean = false
)
public:
void DDSLoad(
    Bitmap^ image,
    bool supportHSV = false
)
public:
void DDSLoad(
    Bitmap^ image,
    bool supportHSV = false
)
Parameters
image
Type:   Online System.Drawing Bitmap
A   Online Bitmap to display in this DDSPanel.
supportHSV (Optional)
Type:   Online System Boolean
Optional; when true, HSV operations will be supported on the image.
See Also
DDSPanel Class
DDSPanel Members
DDSLoad Overload
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DDSPanel.DDSLoad Method (Stream, Boolean)

DDSPanel DDSLoad Method (Stream, Boolean) s3pi library documentation
Load a DDS image from a Online Stream; if supportHSV is passed and true (default is false), the image will support HSV shift operations.

Namespace: System.Windows.Forms
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void DDSLoad(
    Stream stream,
    bool supportHSV = false
)
public void DDSLoad(
    Stream stream,
    bool supportHSV = false
)
Public Sub DDSLoad (
    stream As Stream,
    Optional supportHSV As Boolean = false
)
Public Sub DDSLoad (
    stream As Stream,
    Optional supportHSV As Boolean = false
)
public:
void DDSLoad(
    Stream^ stream,
    bool supportHSV = false
)
public:
void DDSLoad(
    Stream^ stream,
    bool supportHSV = false
)
Parameters
stream
Type:   Online System.IO Stream
The   Online Stream containing the DDS image to display,

            - or -
null to clear the image and free resources.
supportHSV (Optional)
Type:   Online System Boolean
Optional; when true, HSV operations will be supported on the image.
See Also
DDSPanel Class
DDSPanel Members
DDSLoad Overload
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DDSPanel.DDSSave Method

DDSPanel DDSSave Method s3pi library documentation
Saves the current image to a DDS in stream.

Namespace: System.Windows.Forms
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void DDSSave(
    Stream stream
)
public void DDSSave(
    Stream stream
)
Public Sub DDSSave (
    stream As Stream
)
Public Sub DDSSave (
    stream As Stream
)
public:
void DDSSave(
    Stream^ stream
)
public:
void DDSSave(
    Stream^ stream
)
Parameters
stream
Type:   Online System.IO Stream
[Missing <param name="stream"/> documentation for "M:System.Windows.Forms.DDSPanel.DDSSave(System.IO.Stream)"]
See Also
DDSPanel Class
DDSPanel Members
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DDSPanel.Dispose Method

DDSPanel Dispose Method s3pi library documentation
Clean up any resources being used.

Namespace: System.Windows.Forms
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected override void Dispose(
    bool disposing
)
protected override void Dispose(
    bool disposing
)
Protected Overrides Sub Dispose (
    disposing As Boolean
)
Protected Overrides Sub Dispose (
    disposing As Boolean
)
protected:
virtual void Dispose(
    bool disposing
) override
protected:
virtual void Dispose(
    bool disposing
) override
Parameters
disposing
Type:   Online System Boolean
true if managed resources should be disposed; otherwise, false.
See Also
DDSPanel Class
DDSPanel Members
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DDSPanel.GetDdsFile Method

DDSPanel GetDdsFile Method s3pi library documentation
Get a copy of the current DDS image as a DdsFile.

Namespace: System.Windows.Forms
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public DdsFile GetDdsFile()
public DdsFile GetDdsFile()
Public Function GetDdsFile As DdsFile
Public Function GetDdsFile As DdsFile
public:
DdsFile^ GetDdsFile()
public:
DdsFile^ GetDdsFile()
Return Value
Type: DdsFile
A new DdsFile copy of the current DDS image.
See Also
DDSPanel Class
DDSPanel Members
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DDSPanel.GetGreyscaleFromAlpha Method

DDSPanel GetGreyscaleFromAlpha Method s3pi library documentation
Converts the alpha channel of the currently loaded DDS image into a greyscale bitmap.

Namespace: System.Windows.Forms
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public Bitmap GetGreyscaleFromAlpha()
public Bitmap GetGreyscaleFromAlpha()
Public Function GetGreyscaleFromAlpha As Bitmap
Public Function GetGreyscaleFromAlpha As Bitmap
public:
Bitmap^ GetGreyscaleFromAlpha()
public:
Bitmap^ GetGreyscaleFromAlpha()
Return Value
Type:   Online Bitmap
A greyscale bitmap representing the current DDS image alpha channel.
See Also
DDSPanel Class
DDSPanel Members
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DDSPanel.HSVShift Method

DDSPanel HSVShift Method s3pi library documentation
Apply a hue, saturation and value shift to the image.

Namespace: System.Windows.Forms
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void HSVShift(
    [OptionalAttribute] decimal h,
    [OptionalAttribute] decimal s,
    [OptionalAttribute] decimal v
)
public void HSVShift(
    [OptionalAttribute] decimal h,
    [OptionalAttribute] decimal s,
    [OptionalAttribute] decimal v
)
Public Sub HSVShift (
    <OptionalAttribute> h As Decimal,
    <OptionalAttribute> s As Decimal,
    <OptionalAttribute> v As Decimal
)
Public Sub HSVShift (
    <OptionalAttribute> h As Decimal,
    <OptionalAttribute> s As Decimal,
    <OptionalAttribute> v As Decimal
)
public:
void HSVShift(
    [OptionalAttribute] Decimal h,
    [OptionalAttribute] Decimal s,
    [OptionalAttribute] Decimal v
)
public:
void HSVShift(
    [OptionalAttribute] Decimal h,
    [OptionalAttribute] Decimal s,
    [OptionalAttribute] Decimal v
)
Parameters
h (Optional)
Type:   Online System Decimal
Hue shift, default 0
s (Optional)
Type:   Online System Decimal
Saturation shift, default 0
v (Optional)
Type:   Online System Decimal
Value shift, default 0
See Also
DDSPanel Class
DDSPanel Members
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DDSPanel.Import Method

DDSPanel Import Method s3pi library documentation
Imports an Online Image from the specified file using embedded color management information in that file and uses the file as the DDS image to work on; if supportHSV is passed and true (default is false), the image will support HSV shift operations.

Namespace: System.Windows.Forms
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void Import(
    string filename,
    bool supportHSV = false
)
public void Import(
    string filename,
    bool supportHSV = false
)
Public Sub Import (
    filename As String,
    Optional supportHSV As Boolean = false
)
Public Sub Import (
    filename As String,
    Optional supportHSV As Boolean = false
)
public:
void Import(
    String^ filename,
    bool supportHSV = false
)
public:
void Import(
    String^ filename,
    bool supportHSV = false
)
Parameters
filename
Type:   Online System String
A string that contains the name of the file from which to read the   Online Image.
supportHSV (Optional)
Type:   Online System Boolean
Optional; when true, HSV operations will be supported on the image.
Exceptions
Exception | Condition
Online System OutOfMemoryException | The file does not have a valid image format. -or- GDI+ does not support the pixel format of the file.
Online System.IO FileNotFoundException | The specified file does not exist.
Online System ArgumentException | filename is a System.Uri.
See Also
DDSPanel Class
DDSPanel Members
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DDSPanel.LoadMask Method

DDSPanel LoadMask Method s3pi library documentation
Load a mask to use for HSV shifting or masked application of colours. Clears any mask currently applied.

Namespace: System.Windows.Forms
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void LoadMask(
    Stream mask
)
public void LoadMask(
    Stream mask
)
Public Sub LoadMask (
    mask As Stream
)
Public Sub LoadMask (
    mask As Stream
)
public:
void LoadMask(
    Stream^ mask
)
public:
void LoadMask(
    Stream^ mask
)
Parameters
mask
Type:   Online System.IO Stream
[Missing <param name="mask"/> documentation for "M:System.Windows.Forms.DDSPanel.LoadMask(System.IO.Stream)"]
See Also
DDSPanel Class
DDSPanel Members
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DDSPanel.SetAlphaFromGreyscale Method

DDSPanel SetAlphaFromGreyscale Method s3pi library documentation
Overload List
 | Name | Description
Public method | SetAlphaFromGreyscale(Bitmap) | Set the alpha channel of the current image from the given greyscale.
Public method | SetAlphaFromGreyscale(Image) | Set the alpha channel of the current image from the given greyscale.
Public method | SetAlphaFromGreyscale(Stream) | Set the alpha channel of the current image from the given DDS file stream.
Back to Top
See Also
DDSPanel Class
DDSPanel Members
System.Windows.Forms Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DDSPanel.SetAlphaFromGreyscale Method (Bitmap)

DDSPanel SetAlphaFromGreyscale Method (Bitmap) s3pi library documentation
Set the alpha channel of the current image from the given greyscale.

Namespace: System.Windows.Forms
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void SetAlphaFromGreyscale(
    Bitmap greyscale
)
public void SetAlphaFromGreyscale(
    Bitmap greyscale
)
Public Sub SetAlphaFromGreyscale (
    greyscale As Bitmap
)
Public Sub SetAlphaFromGreyscale (
    greyscale As Bitmap
)
public:
void SetAlphaFromGreyscale(
    Bitmap^ greyscale
)
public:
void SetAlphaFromGreyscale(
    Bitmap^ greyscale
)
Parameters
greyscale
Type:   Online System.Drawing Bitmap
  Online Bitmap to use to set alpha channel.
See Also
DDSPanel Class
DDSPanel Members
SetAlphaFromGreyscale Overload
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DDSPanel.SetAlphaFromGreyscale Method (Image)

DDSPanel SetAlphaFromGreyscale Method (Image) s3pi library documentation
Set the alpha channel of the current image from the given greyscale.

Namespace: System.Windows.Forms
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void SetAlphaFromGreyscale(
    Image greyscale
)
public void SetAlphaFromGreyscale(
    Image greyscale
)
Public Sub SetAlphaFromGreyscale (
    greyscale As Image
)
Public Sub SetAlphaFromGreyscale (
    greyscale As Image
)
public:
void SetAlphaFromGreyscale(
    Image^ greyscale
)
public:
void SetAlphaFromGreyscale(
    Image^ greyscale
)
Parameters
greyscale
Type:   Online System.Drawing Image
Image to use to set alpha channel.
See Also
DDSPanel Class
DDSPanel Members
SetAlphaFromGreyscale Overload
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DDSPanel.SetAlphaFromGreyscale Method (Stream)

DDSPanel SetAlphaFromGreyscale Method (Stream) s3pi library documentation
Set the alpha channel of the current image from the given DDS file stream.

Namespace: System.Windows.Forms
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void SetAlphaFromGreyscale(
    Stream image
)
public void SetAlphaFromGreyscale(
    Stream image
)
Public Sub SetAlphaFromGreyscale (
    image As Stream
)
Public Sub SetAlphaFromGreyscale (
    image As Stream
)
public:
void SetAlphaFromGreyscale(
    Stream^ image
)
public:
void SetAlphaFromGreyscale(
    Stream^ image
)
Parameters
image
Type:   Online System.IO Stream
  Online Stream containing a DDS image.
See Also
DDSPanel Class
DDSPanel Members
SetAlphaFromGreyscale Overload
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DDSPanel Properties

DDSPanel Properties s3pi library documentation
The DDSPanel type exposes the following members.
Properties
 | Name | Description
Public property | AlphaDepth | The number of alpha channel bits per pixel in the encoded DDS image or the DXT compression mode.
Public property | Channel1 | The "Red" checkbox Checked state.
Public property | Channel2 | The "Green" checkbox Checked state.
Public property | Channel3 | The "Blue" checkbox Checked state.
Public property | Channel4 | The "Alpha" checkbox Checked state.
Public property | Fit | When true, the image will resize to the control bounds.
Public property | HueShift | Hue shift to be applied to the image.
Public property | Image | Returns the image that is displayed by the DDSPanel.
Public property | ImageSize | The size of the current image (or Online Empty if not loaded).
Public property | InvertCh4 | The "Invert" checkbox Checked state.
Public property | MaskLoaded | Indicates that a Mask is currently loaded.
Public property | MaskSize | The size of the current mask (or Online Empty if no mask loaded).
Public property | MaxSize | When non-zero, indicates the maximum width and height to constrain the image size.
Public property | SaturationShift | Saturation shift to be applied to the image.
Public property | ShowChannelSelector | When true, the Channel Selection checkboxes will be displayed above the image.
Public property | SupportsHSV | When true, enables use of HSV-related methods.
Public property | UseDXT | If true, use DXT-type image compression for storage. The mode will depend on the AlphaDepth.
Public property | UseLuminance | If true, treat the image as a luminance (plus alpha) map for storage.
Public property | ValueShift | Value shift to be applied to the image.
Back to Top
See Also
DDSPanel Class
System.Windows.Forms Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DDSPanel.AlphaDepth Property

DDSPanel AlphaDepth Property s3pi library documentation
The number of alpha channel bits per pixel in the encoded DDS image or the DXT compression mode.

Namespace: System.Windows.Forms
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[DefaultValueAttribute(8)]
public int AlphaDepth { get; set; }
[DefaultValueAttribute(8)]
public int AlphaDepth { get; set; }
<DefaultValueAttribute(8)>
Public Property AlphaDepth As Integer
    Get
    Set
<DefaultValueAttribute(8)>
Public Property AlphaDepth As Integer
    Get
    Set
public:
[DefaultValueAttribute(8)]
property int AlphaDepth {
    int get ();
    void set (int value);
}
public:
[DefaultValueAttribute(8)]
property int AlphaDepth {
    int get ();
    void set (int value);
}
Property Value
Type:   Online Int32
See Also
DDSPanel Class
DDSPanel Members
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DDSPanel.Channel1 Property

DDSPanel Channel1 Property s3pi library documentation
The "Red" checkbox Checked state.

Namespace: System.Windows.Forms
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[DefaultValueAttribute(true)]
public bool Channel1 { get; set; }
[DefaultValueAttribute(true)]
public bool Channel1 { get; set; }
<DefaultValueAttribute(true)>
Public Property Channel1 As Boolean
    Get
    Set
<DefaultValueAttribute(true)>
Public Property Channel1 As Boolean
    Get
    Set
public:
[DefaultValueAttribute(true)]
property bool Channel1 {
    bool get ();
    void set (bool value);
}
public:
[DefaultValueAttribute(true)]
property bool Channel1 {
    bool get ();
    void set (bool value);
}
Property Value
Type:   Online Boolean
Remarks
The DDS Image is retrieved using the Channel1 to 4 and InvertCh4 values.
See Also
DDSPanel Class
DDSPanel Members
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DDSPanel.Channel2 Property

DDSPanel Channel2 Property s3pi library documentation
The "Green" checkbox Checked state.

Namespace: System.Windows.Forms
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[DefaultValueAttribute(true)]
public bool Channel2 { get; set; }
[DefaultValueAttribute(true)]
public bool Channel2 { get; set; }
<DefaultValueAttribute(true)>
Public Property Channel2 As Boolean
    Get
    Set
<DefaultValueAttribute(true)>
Public Property Channel2 As Boolean
    Get
    Set
public:
[DefaultValueAttribute(true)]
property bool Channel2 {
    bool get ();
    void set (bool value);
}
public:
[DefaultValueAttribute(true)]
property bool Channel2 {
    bool get ();
    void set (bool value);
}
Property Value
Type:   Online Boolean
Remarks
The DDS Image is retrieved using the Channel1 to 4 and InvertCh4 values.
See Also
DDSPanel Class
DDSPanel Members
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DDSPanel.Channel3 Property

DDSPanel Channel3 Property s3pi library documentation
The "Blue" checkbox Checked state.

Namespace: System.Windows.Forms
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[DefaultValueAttribute(true)]
public bool Channel3 { get; set; }
[DefaultValueAttribute(true)]
public bool Channel3 { get; set; }
<DefaultValueAttribute(true)>
Public Property Channel3 As Boolean
    Get
    Set
<DefaultValueAttribute(true)>
Public Property Channel3 As Boolean
    Get
    Set
public:
[DefaultValueAttribute(true)]
property bool Channel3 {
    bool get ();
    void set (bool value);
}
public:
[DefaultValueAttribute(true)]
property bool Channel3 {
    bool get ();
    void set (bool value);
}
Property Value
Type:   Online Boolean
Remarks
The DDS Image is retrieved using the Channel1 to 4 and InvertCh4 values.
See Also
DDSPanel Class
DDSPanel Members
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DDSPanel.Channel4 Property

DDSPanel Channel4 Property s3pi library documentation
The "Alpha" checkbox Checked state.

Namespace: System.Windows.Forms
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[DefaultValueAttribute(true)]
public bool Channel4 { get; set; }
[DefaultValueAttribute(true)]
public bool Channel4 { get; set; }
<DefaultValueAttribute(true)>
Public Property Channel4 As Boolean
    Get
    Set
<DefaultValueAttribute(true)>
Public Property Channel4 As Boolean
    Get
    Set
public:
[DefaultValueAttribute(true)]
property bool Channel4 {
    bool get ();
    void set (bool value);
}
public:
[DefaultValueAttribute(true)]
property bool Channel4 {
    bool get ();
    void set (bool value);
}
Property Value
Type:   Online Boolean
Remarks
The DDS Image is retrieved using the Channel1 to 4 and InvertCh4 values.
See Also
DDSPanel Class
DDSPanel Members
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DDSPanel.Fit Property

DDSPanel Fit Property s3pi library documentation
When true, the image will resize to the control bounds.

Namespace: System.Windows.Forms
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[DefaultValueAttribute(false)]
public bool Fit { get; set; }
[DefaultValueAttribute(false)]
public bool Fit { get; set; }
<DefaultValueAttribute(false)>
Public Property Fit As Boolean
    Get
    Set
<DefaultValueAttribute(false)>
Public Property Fit As Boolean
    Get
    Set
public:
[DefaultValueAttribute(false)]
property bool Fit {
    bool get ();
    void set (bool value);
}
public:
[DefaultValueAttribute(false)]
property bool Fit {
    bool get ();
    void set (bool value);
}
Property Value
Type:   Online Boolean
See Also
DDSPanel Class
DDSPanel Members
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DDSPanel.HueShift Property

DDSPanel HueShift Property s3pi library documentation
Hue shift to be applied to the image.

Namespace: System.Windows.Forms
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[DefaultValueAttribute(0f)]
public float HueShift { get; set; }
[DefaultValueAttribute(0f)]
public float HueShift { get; set; }
<DefaultValueAttribute(0F)>
Public Property HueShift As Single
    Get
    Set
<DefaultValueAttribute(0F)>
Public Property HueShift As Single
    Get
    Set
public:
[DefaultValueAttribute(0f)]
property float HueShift {
    float get ();
    void set (float value);
}
public:
[DefaultValueAttribute(0f)]
property float HueShift {
    float get ();
    void set (float value);
}
Property Value
Type:   Online Single
Remarks
Only effective when HSV processing is enabled.
See Also
DDSPanel Class
DDSPanel Members
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DDSPanel.Image Property

DDSPanel Image Property s3pi library documentation
Returns the image that is displayed by the DDSPanel.

Namespace: System.Windows.Forms
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public Image Image { get; }
public Image Image { get; }
Public ReadOnly Property Image As Image
    Get
Public ReadOnly Property Image As Image
    Get
public:
property Image^ Image {
    Image^ get ();
}
public:
property Image^ Image {
    Image^ get ();
}
Property Value
Type:   Online Image
See Also
DDSPanel Class
DDSPanel Members
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DDSPanel.ImageSize Property

DDSPanel ImageSize Property s3pi library documentation
The size of the current image (or Online Empty if not loaded).

Namespace: System.Windows.Forms
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public Size ImageSize { get; set; }
public Size ImageSize { get; set; }
Public Property ImageSize As Size
    Get
    Set
Public Property ImageSize As Size
    Get
    Set
public:
property Size ImageSize {
    Size get ();
    void set (Size value);
}
public:
property Size ImageSize {
    Size get ();
    void set (Size value);
}
Property Value
Type:   Online Size
See Also
DDSPanel Class
DDSPanel Members
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DDSPanel.InvertCh4 Property

DDSPanel InvertCh4 Property s3pi library documentation
The "Invert" checkbox Checked state.

Namespace: System.Windows.Forms
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[DefaultValueAttribute(false)]
public bool InvertCh4 { get; set; }
[DefaultValueAttribute(false)]
public bool InvertCh4 { get; set; }
<DefaultValueAttribute(false)>
Public Property InvertCh4 As Boolean
    Get
    Set
<DefaultValueAttribute(false)>
Public Property InvertCh4 As Boolean
    Get
    Set
public:
[DefaultValueAttribute(false)]
property bool InvertCh4 {
    bool get ();
    void set (bool value);
}
public:
[DefaultValueAttribute(false)]
property bool InvertCh4 {
    bool get ();
    void set (bool value);
}
Property Value
Type:   Online Boolean
Remarks
The DDS Image is retrieved using the Channel1 to 4 and InvertCh4 values.
See Also
DDSPanel Class
DDSPanel Members
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DDSPanel.MaskLoaded Property

DDSPanel MaskLoaded Property s3pi library documentation
Indicates that a Mask is currently loaded.

Namespace: System.Windows.Forms
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public bool MaskLoaded { get; }
public bool MaskLoaded { get; }
Public ReadOnly Property MaskLoaded As Boolean
    Get
Public ReadOnly Property MaskLoaded As Boolean
    Get
public:
property bool MaskLoaded {
    bool get ();
}
public:
property bool MaskLoaded {
    bool get ();
}
Property Value
Type:   Online Boolean
See Also
DDSPanel Class
DDSPanel Members
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DDSPanel.MaskSize Property

DDSPanel MaskSize Property s3pi library documentation
The size of the current mask (or Online Empty if no mask loaded).

Namespace: System.Windows.Forms
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public Size MaskSize { get; }
public Size MaskSize { get; }
Public ReadOnly Property MaskSize As Size
    Get
Public ReadOnly Property MaskSize As Size
    Get
public:
property Size MaskSize {
    Size get ();
}
public:
property Size MaskSize {
    Size get ();
}
Property Value
Type:   Online Size
See Also
DDSPanel Class
DDSPanel Members
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DDSPanel.MaxSize Property

DDSPanel MaxSize Property s3pi library documentation
When non-zero, indicates the maximum width and height to constrain the image size.

Namespace: System.Windows.Forms
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[DefaultValueAttribute(typeof(Size), "0, 0")]
public Size MaxSize { get; set; }
[DefaultValueAttribute(typeof(Size), "0, 0")]
public Size MaxSize { get; set; }
<DefaultValueAttribute(GetType(Size), "0, 0")>
Public Property MaxSize As Size
    Get
    Set
<DefaultValueAttribute(GetType(Size), "0, 0")>
Public Property MaxSize As Size
    Get
    Set
public:
[DefaultValueAttribute(typeof(Size), L"0, 0")]
property Size MaxSize {
    Size get ();
    void set (Size value);
}
public:
[DefaultValueAttribute(typeof(Size), L"0, 0")]
property Size MaxSize {
    Size get ();
    void set (Size value);
}
Property Value
Type:   Online Size
See Also
DDSPanel Class
DDSPanel Members
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DDSPanel.SaturationShift Property

DDSPanel SaturationShift Property s3pi library documentation
Saturation shift to be applied to the image.

Namespace: System.Windows.Forms
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[DefaultValueAttribute(0f)]
public float SaturationShift { get; set; }
[DefaultValueAttribute(0f)]
public float SaturationShift { get; set; }
<DefaultValueAttribute(0F)>
Public Property SaturationShift As Single
    Get
    Set
<DefaultValueAttribute(0F)>
Public Property SaturationShift As Single
    Get
    Set
public:
[DefaultValueAttribute(0f)]
property float SaturationShift {
    float get ();
    void set (float value);
}
public:
[DefaultValueAttribute(0f)]
property float SaturationShift {
    float get ();
    void set (float value);
}
Property Value
Type:   Online Single
Remarks
Only effective when HSV processing is enabled.
See Also
DDSPanel Class
DDSPanel Members
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DDSPanel.ShowChannelSelector Property

DDSPanel ShowChannelSelector Property s3pi library documentation
When true, the Channel Selection checkboxes will be displayed above the image.

Namespace: System.Windows.Forms
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[DefaultValueAttribute(true)]
public bool ShowChannelSelector { get; set; }
[DefaultValueAttribute(true)]
public bool ShowChannelSelector { get; set; }
<DefaultValueAttribute(true)>
Public Property ShowChannelSelector As Boolean
    Get
    Set
<DefaultValueAttribute(true)>
Public Property ShowChannelSelector As Boolean
    Get
    Set
public:
[DefaultValueAttribute(true)]
property bool ShowChannelSelector {
    bool get ();
    void set (bool value);
}
public:
[DefaultValueAttribute(true)]
property bool ShowChannelSelector {
    bool get ();
    void set (bool value);
}
Property Value
Type:   Online Boolean
See Also
DDSPanel Class
DDSPanel Members
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DDSPanel.SupportsHSV Property

DDSPanel SupportsHSV Property s3pi library documentation
When true, enables use of HSV-related methods.

Namespace: System.Windows.Forms
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[DefaultValueAttribute(false)]
public bool SupportsHSV { get; set; }
[DefaultValueAttribute(false)]
public bool SupportsHSV { get; set; }
<DefaultValueAttribute(false)>
Public Property SupportsHSV As Boolean
    Get
    Set
<DefaultValueAttribute(false)>
Public Property SupportsHSV As Boolean
    Get
    Set
public:
[DefaultValueAttribute(false)]
property bool SupportsHSV {
    bool get ();
    void set (bool value);
}
public:
[DefaultValueAttribute(false)]
property bool SupportsHSV {
    bool get ();
    void set (bool value);
}
Property Value
Type:   Online Boolean
Remarks
Requires an increase in stored data whilst true.
See Also
DDSPanel Class
DDSPanel Members
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DDSPanel.UseDXT Property

DDSPanel UseDXT Property s3pi library documentation
If true, use DXT-type image compression for storage. The mode will depend on the AlphaDepth.

Namespace: System.Windows.Forms
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[DefaultValueAttribute(true)]
public bool UseDXT { get; set; }
[DefaultValueAttribute(true)]
public bool UseDXT { get; set; }
<DefaultValueAttribute(true)>
Public Property UseDXT As Boolean
    Get
    Set
<DefaultValueAttribute(true)>
Public Property UseDXT As Boolean
    Get
    Set
public:
[DefaultValueAttribute(true)]
property bool UseDXT {
    bool get ();
    void set (bool value);
}
public:
[DefaultValueAttribute(true)]
property bool UseDXT {
    bool get ();
    void set (bool value);
}
Property Value
Type:   Online Boolean
Remarks

            Setting to false (from true) will default to A8B8G8R8 format.

See Also
DDSPanel Class
DDSPanel Members
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DDSPanel.UseLuminance Property

DDSPanel UseLuminance Property s3pi library documentation
If true, treat the image as a luminance (plus alpha) map for storage.

Namespace: System.Windows.Forms
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[DefaultValueAttribute(true)]
public bool UseLuminance { get; set; }
[DefaultValueAttribute(true)]
public bool UseLuminance { get; set; }
<DefaultValueAttribute(true)>
Public Property UseLuminance As Boolean
    Get
    Set
<DefaultValueAttribute(true)>
Public Property UseLuminance As Boolean
    Get
    Set
public:
[DefaultValueAttribute(true)]
property bool UseLuminance {
    bool get ();
    void set (bool value);
}
public:
[DefaultValueAttribute(true)]
property bool UseLuminance {
    bool get ();
    void set (bool value);
}
Property Value
Type:   Online Boolean
Remarks

            Currently only A8L8, 16bit coding is supported.
            Setting to false (from true) will default to A8B8G8R8 (non-DXT) format.
            Setting to true does not turn the image into a greyscale.
            This only happens on saving the image (and will not affect the displayed values until they are read back in).

See Also
DDSPanel Class
DDSPanel Members
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DDSPanel.ValueShift Property

DDSPanel ValueShift Property s3pi library documentation
Value shift to be applied to the image.

Namespace: System.Windows.Forms
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[DefaultValueAttribute(0f)]
public float ValueShift { get; set; }
[DefaultValueAttribute(0f)]
public float ValueShift { get; set; }
<DefaultValueAttribute(0F)>
Public Property ValueShift As Single
    Get
    Set
<DefaultValueAttribute(0F)>
Public Property ValueShift As Single
    Get
    Set
public:
[DefaultValueAttribute(0f)]
property float ValueShift {
    float get ();
    void set (float value);
}
public:
[DefaultValueAttribute(0f)]
property float ValueShift {
    float get ();
    void set (float value);
}
Property Value
Type:   Online Single
Remarks
Only effective when HSV processing is enabled.
See Also
DDSPanel Class
DDSPanel Members
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DDSPanel Events

DDSPanel Events s3pi library documentation
The DDSPanel type exposes the following members.
Events
 | Name | Description
Public event | Channel1Changed | Raised to indicate Channel1 value changed.
Public event | Channel2Changed | Raised to indicate Channel2 value changed.
Public event | Channel3Changed | Raised to indicate Channel3 value changed.
Public event | Channel4Changed | Raised to indicate Channel4 value changed.
Public event | FitChanged | Raised to indicate Fit value changed.
Public event | InvertCh4Changed | Raised to indicate InvertCh4 value changed.
Public event | MaxSizeChanged | Raised to indicate MaxSize value changed.
Public event | ShowChannelSelectorChanged | Raised to indicate ShowChannelSelector value changed.
Back to Top
See Also
DDSPanel Class
System.Windows.Forms Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DDSPanel.Channel1Changed Event

DDSPanel Channel1Changed Event s3pi library documentation
Raised to indicate Channel1 value changed.

Namespace: System.Windows.Forms
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public event EventHandler Channel1Changed
public event EventHandler Channel1Changed
Public Event Channel1Changed As EventHandler
Public Event Channel1Changed As EventHandler
public:
 event EventHandler^ Channel1Changed {
    void add (EventHandler^ value);
    void remove (EventHandler^ value);
}
public:
 event EventHandler^ Channel1Changed {
    void add (EventHandler^ value);
    void remove (EventHandler^ value);
}
Value
Type:   Online System EventHandler
See Also
DDSPanel Class
DDSPanel Members
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DDSPanel.Channel2Changed Event

DDSPanel Channel2Changed Event s3pi library documentation
Raised to indicate Channel2 value changed.

Namespace: System.Windows.Forms
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public event EventHandler Channel2Changed
public event EventHandler Channel2Changed
Public Event Channel2Changed As EventHandler
Public Event Channel2Changed As EventHandler
public:
 event EventHandler^ Channel2Changed {
    void add (EventHandler^ value);
    void remove (EventHandler^ value);
}
public:
 event EventHandler^ Channel2Changed {
    void add (EventHandler^ value);
    void remove (EventHandler^ value);
}
Value
Type:   Online System EventHandler
See Also
DDSPanel Class
DDSPanel Members
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DDSPanel.Channel3Changed Event

DDSPanel Channel3Changed Event s3pi library documentation
Raised to indicate Channel3 value changed.

Namespace: System.Windows.Forms
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public event EventHandler Channel3Changed
public event EventHandler Channel3Changed
Public Event Channel3Changed As EventHandler
Public Event Channel3Changed As EventHandler
public:
 event EventHandler^ Channel3Changed {
    void add (EventHandler^ value);
    void remove (EventHandler^ value);
}
public:
 event EventHandler^ Channel3Changed {
    void add (EventHandler^ value);
    void remove (EventHandler^ value);
}
Value
Type:   Online System EventHandler
See Also
DDSPanel Class
DDSPanel Members
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DDSPanel.Channel4Changed Event

DDSPanel Channel4Changed Event s3pi library documentation
Raised to indicate Channel4 value changed.

Namespace: System.Windows.Forms
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public event EventHandler Channel4Changed
public event EventHandler Channel4Changed
Public Event Channel4Changed As EventHandler
Public Event Channel4Changed As EventHandler
public:
 event EventHandler^ Channel4Changed {
    void add (EventHandler^ value);
    void remove (EventHandler^ value);
}
public:
 event EventHandler^ Channel4Changed {
    void add (EventHandler^ value);
    void remove (EventHandler^ value);
}
Value
Type:   Online System EventHandler
See Also
DDSPanel Class
DDSPanel Members
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DDSPanel.FitChanged Event

DDSPanel FitChanged Event s3pi library documentation
Raised to indicate Fit value changed.

Namespace: System.Windows.Forms
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public event EventHandler FitChanged
public event EventHandler FitChanged
Public Event FitChanged As EventHandler
Public Event FitChanged As EventHandler
public:
 event EventHandler^ FitChanged {
    void add (EventHandler^ value);
    void remove (EventHandler^ value);
}
public:
 event EventHandler^ FitChanged {
    void add (EventHandler^ value);
    void remove (EventHandler^ value);
}
Value
Type:   Online System EventHandler
See Also
DDSPanel Class
DDSPanel Members
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DDSPanel.InvertCh4Changed Event

DDSPanel InvertCh4Changed Event s3pi library documentation
Raised to indicate InvertCh4 value changed.

Namespace: System.Windows.Forms
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public event EventHandler InvertCh4Changed
public event EventHandler InvertCh4Changed
Public Event InvertCh4Changed As EventHandler
Public Event InvertCh4Changed As EventHandler
public:
 event EventHandler^ InvertCh4Changed {
    void add (EventHandler^ value);
    void remove (EventHandler^ value);
}
public:
 event EventHandler^ InvertCh4Changed {
    void add (EventHandler^ value);
    void remove (EventHandler^ value);
}
Value
Type:   Online System EventHandler
See Also
DDSPanel Class
DDSPanel Members
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DDSPanel.MaxSizeChanged Event

DDSPanel MaxSizeChanged Event s3pi library documentation
Raised to indicate MaxSize value changed.

Namespace: System.Windows.Forms
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public event EventHandler MaxSizeChanged
public event EventHandler MaxSizeChanged
Public Event MaxSizeChanged As EventHandler
Public Event MaxSizeChanged As EventHandler
public:
 event EventHandler^ MaxSizeChanged {
    void add (EventHandler^ value);
    void remove (EventHandler^ value);
}
public:
 event EventHandler^ MaxSizeChanged {
    void add (EventHandler^ value);
    void remove (EventHandler^ value);
}
Value
Type:   Online System EventHandler
See Also
DDSPanel Class
DDSPanel Members
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DDSPanel.ShowChannelSelectorChanged Event

DDSPanel ShowChannelSelectorChanged Event s3pi library documentation
Raised to indicate ShowChannelSelector value changed.

Namespace: System.Windows.Forms
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public event EventHandler ShowChannelSelectorChanged
public event EventHandler ShowChannelSelectorChanged
Public Event ShowChannelSelectorChanged As EventHandler
Public Event ShowChannelSelectorChanged As EventHandler
public:
 event EventHandler^ ShowChannelSelectorChanged {
    void add (EventHandler^ value);
    void remove (EventHandler^ value);
}
public:
 event EventHandler^ ShowChannelSelectorChanged {
    void add (EventHandler^ value);
    void remove (EventHandler^ value);
}
Value
Type:   Online System EventHandler
See Also
DDSPanel Class
DDSPanel Members
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DDSPanel.MaskChannel Enumeration

DDSPanel MaskChannel Enumeration s3pi library documentation
Used to indicate which channels in a mask should be activated when creating a new mask.

Namespace: System.Windows.Forms
Assembly: DDSPanel (in DDSPanel.dll) Version: 1312.15.2223.40310
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[FlagsAttribute]
public enum MaskChannel
[FlagsAttribute]
public enum MaskChannel
<FlagsAttribute>
Public Enumeration MaskChannel
<FlagsAttribute>
Public Enumeration MaskChannel
[FlagsAttribute]
public enum class MaskChannel
[FlagsAttribute]
public enum class MaskChannel
Members
Member name | Value | Description
C1 | 1 | Activates channel 1 ("Red")
C2 | 2 | Activates channel 2 ("Green")
C3 | 4 | Activates channel 3 ("Blue")
C4 | 8 | Activates channel 4 ("Alpha")
See Also
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ResourceTypeCombo Class

ResourceTypeCombo Class s3pi library documentation

[Missing <summary> documentation for "T:System.Windows.Forms.ResourceTypeCombo"]

Inheritance Hierarchy
Online System Object
Online System MarshalByRefObject
Online System.ComponentModel Component
Online System.Windows.Forms Control
Online System.Windows.Forms ScrollableControl
Online System.Windows.Forms ContainerControl
Online System.Windows.Forms UserControl
System.Windows.Forms ResourceTypeCombo

Namespace: System.Windows.Forms
Assembly: s3pi.Controls (in s3pi.Controls.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public class ResourceTypeCombo : UserControl
public class ResourceTypeCombo : UserControl
Public Class ResourceTypeCombo
    Inherits UserControl
Public Class ResourceTypeCombo
    Inherits UserControl
public ref class ResourceTypeCombo : public UserControl
public ref class ResourceTypeCombo : public UserControl
See Also
ResourceTypeCombo Members
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ResourceTypeCombo Members

ResourceTypeCombo Members s3pi library documentation

The ResourceTypeCombo type exposes the following members.
Constructors
 | Name | Description
Public method | ResourceTypeCombo | Initializes a new instance of the ResourceTypeCombo class
Back to Top
Methods
 | Name | Description
Protected method | Dispose | Clean up any resources being used. (Overrides Online ContainerControl Dispose(Boolean).)
Protected method | OnValidChanged |
Protected method | OnValueChanged |
Back to Top
Properties
 | Name | Description
Public property | Text | (Overrides Online UserControl Text.)
Public property | Valid |
Public property | Value |
Back to Top
Events
 | Name | Description
Public event | ValidChanged |
Public event | ValueChanged |
Back to Top
See Also
ResourceTypeCombo Class
System.Windows.Forms Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ResourceTypeCombo Constructor

ResourceTypeCombo Constructor s3pi library documentation
Initializes a new instance of the ResourceTypeCombo class

Namespace: System.Windows.Forms
Assembly: s3pi.Controls (in s3pi.Controls.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public ResourceTypeCombo()
public ResourceTypeCombo()
Public Sub New
Public Sub New
public:
ResourceTypeCombo()
public:
ResourceTypeCombo()
See Also
ResourceTypeCombo Class
ResourceTypeCombo Members
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ResourceTypeCombo Methods

ResourceTypeCombo Methods s3pi library documentation
The ResourceTypeCombo type exposes the following members.
Methods
 | Name | Description
Protected method | Dispose | Clean up any resources being used. (Overrides Online ContainerControl Dispose(Boolean).)
Protected method | OnValidChanged |
Protected method | OnValueChanged |
Back to Top
See Also
ResourceTypeCombo Class
System.Windows.Forms Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ResourceTypeCombo.Dispose Method

ResourceTypeCombo Dispose Method s3pi library documentation
Clean up any resources being used.

Namespace: System.Windows.Forms
Assembly: s3pi.Controls (in s3pi.Controls.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected override void Dispose(
    bool disposing
)
protected override void Dispose(
    bool disposing
)
Protected Overrides Sub Dispose (
    disposing As Boolean
)
Protected Overrides Sub Dispose (
    disposing As Boolean
)
protected:
virtual void Dispose(
    bool disposing
) override
protected:
virtual void Dispose(
    bool disposing
) override
Parameters
disposing
Type:   Online System Boolean
true if managed resources should be disposed; otherwise, false.
See Also
ResourceTypeCombo Class
ResourceTypeCombo Members
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ResourceTypeCombo.OnValidChanged Method

ResourceTypeCombo OnValidChanged Method s3pi library documentation

[Missing <summary> documentation for "M:System.Windows.Forms.ResourceTypeCombo.OnValidChanged(System.Object,System.EventArgs)"]

Namespace: System.Windows.Forms
Assembly: s3pi.Controls (in s3pi.Controls.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected void OnValidChanged(
    Object sender,
    EventArgs e
)
protected void OnValidChanged(
    Object sender,
    EventArgs e
)
Protected Sub OnValidChanged (
    sender As Object,
    e As EventArgs
)
Protected Sub OnValidChanged (
    sender As Object,
    e As EventArgs
)
protected:
void OnValidChanged(
    Object^ sender,
    EventArgs^ e
)
protected:
void OnValidChanged(
    Object^ sender,
    EventArgs^ e
)
Parameters
sender
Type:   Online System Object
[Missing <param name="sender"/> documentation for "M:System.Windows.Forms.ResourceTypeCombo.OnValidChanged(System.Object,System.EventArgs)"]
e
Type:   Online System EventArgs
[Missing <param name="e"/> documentation for "M:System.Windows.Forms.ResourceTypeCombo.OnValidChanged(System.Object,System.EventArgs)"]
See Also
ResourceTypeCombo Class
ResourceTypeCombo Members
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ResourceTypeCombo.OnValueChanged Method

ResourceTypeCombo OnValueChanged Method s3pi library documentation

[Missing <summary> documentation for "M:System.Windows.Forms.ResourceTypeCombo.OnValueChanged(System.Object,System.EventArgs)"]

Namespace: System.Windows.Forms
Assembly: s3pi.Controls (in s3pi.Controls.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected void OnValueChanged(
    Object sender,
    EventArgs e
)
protected void OnValueChanged(
    Object sender,
    EventArgs e
)
Protected Sub OnValueChanged (
    sender As Object,
    e As EventArgs
)
Protected Sub OnValueChanged (
    sender As Object,
    e As EventArgs
)
protected:
void OnValueChanged(
    Object^ sender,
    EventArgs^ e
)
protected:
void OnValueChanged(
    Object^ sender,
    EventArgs^ e
)
Parameters
sender
Type:   Online System Object
[Missing <param name="sender"/> documentation for "M:System.Windows.Forms.ResourceTypeCombo.OnValueChanged(System.Object,System.EventArgs)"]
e
Type:   Online System EventArgs
[Missing <param name="e"/> documentation for "M:System.Windows.Forms.ResourceTypeCombo.OnValueChanged(System.Object,System.EventArgs)"]
See Also
ResourceTypeCombo Class
ResourceTypeCombo Members
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ResourceTypeCombo Properties

ResourceTypeCombo Properties s3pi library documentation
The ResourceTypeCombo type exposes the following members.
Properties
 | Name | Description
Public property | Text | (Overrides Online UserControl Text.)
Public property | Valid |
Public property | Value |
Back to Top
See Also
ResourceTypeCombo Class
System.Windows.Forms Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ResourceTypeCombo.Text Property

ResourceTypeCombo Text Property s3pi library documentation

[Missing <summary> documentation for "P:System.Windows.Forms.ResourceTypeCombo.Text"]

Namespace: System.Windows.Forms
Assembly: s3pi.Controls (in s3pi.Controls.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[BrowsableAttribute(false)]
public override string Text { get; set; }
[BrowsableAttribute(false)]
public override string Text { get; set; }
<BrowsableAttribute(false)>
Public Overrides Property Text As String
    Get
    Set
<BrowsableAttribute(false)>
Public Overrides Property Text As String
    Get
    Set
public:
[BrowsableAttribute(false)]
virtual property String^ Text {
    String^ get () override;
    void set (String^ value) override;
}
public:
[BrowsableAttribute(false)]
virtual property String^ Text {
    String^ get () override;
    void set (String^ value) override;
}
Property Value
Type:   Online String
See Also
ResourceTypeCombo Class
ResourceTypeCombo Members
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ResourceTypeCombo.Valid Property

ResourceTypeCombo Valid Property s3pi library documentation

[Missing <summary> documentation for "P:System.Windows.Forms.ResourceTypeCombo.Valid"]

Namespace: System.Windows.Forms
Assembly: s3pi.Controls (in s3pi.Controls.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public bool Valid { get; private set; }
public bool Valid { get; private set; }
Public Property Valid As Boolean
    Get
    Private Set
Public Property Valid As Boolean
    Get
    Private Set
public:
property bool Valid {
    bool get ();
    private: void set (bool value);
}
public:
property bool Valid {
    bool get ();
    private: void set (bool value);
}
Property Value
Type:   Online Boolean
See Also
ResourceTypeCombo Class
ResourceTypeCombo Members
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ResourceTypeCombo.Value Property

ResourceTypeCombo Value Property s3pi library documentation

[Missing <summary> documentation for "P:System.Windows.Forms.ResourceTypeCombo.Value"]

Namespace: System.Windows.Forms
Assembly: s3pi.Controls (in s3pi.Controls.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public uint Value { get; set; }
public uint Value { get; set; }
Public Property Value As UInteger
    Get
    Set
Public Property Value As UInteger
    Get
    Set
public:
property unsigned int Value {
    unsigned int get ();
    void set (unsigned int value);
}
public:
property unsigned int Value {
    unsigned int get ();
    void set (unsigned int value);
}
Property Value
Type:   Online UInt32
See Also
ResourceTypeCombo Class
ResourceTypeCombo Members
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ResourceTypeCombo Events

ResourceTypeCombo Events s3pi library documentation
The ResourceTypeCombo type exposes the following members.
Events
 | Name | Description
Public event | ValidChanged |
Public event | ValueChanged |
Back to Top
See Also
ResourceTypeCombo Class
System.Windows.Forms Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ResourceTypeCombo.ValidChanged Event

ResourceTypeCombo ValidChanged Event s3pi library documentation

[Missing <summary> documentation for "E:System.Windows.Forms.ResourceTypeCombo.ValidChanged"]

Namespace: System.Windows.Forms
Assembly: s3pi.Controls (in s3pi.Controls.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public event EventHandler ValidChanged
public event EventHandler ValidChanged
Public Event ValidChanged As EventHandler
Public Event ValidChanged As EventHandler
public:
 event EventHandler^ ValidChanged {
    void add (EventHandler^ value);
    void remove (EventHandler^ value);
}
public:
 event EventHandler^ ValidChanged {
    void add (EventHandler^ value);
    void remove (EventHandler^ value);
}
Value
Type:   Online System EventHandler
See Also
ResourceTypeCombo Class
ResourceTypeCombo Members
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


ResourceTypeCombo.ValueChanged Event

ResourceTypeCombo ValueChanged Event s3pi library documentation

[Missing <summary> documentation for "E:System.Windows.Forms.ResourceTypeCombo.ValueChanged"]

Namespace: System.Windows.Forms
Assembly: s3pi.Controls (in s3pi.Controls.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public event EventHandler ValueChanged
public event EventHandler ValueChanged
Public Event ValueChanged As EventHandler
Public Event ValueChanged As EventHandler
public:
 event EventHandler^ ValueChanged {
    void add (EventHandler^ value);
    void remove (EventHandler^ value);
}
public:
 event EventHandler^ ValueChanged {
    void add (EventHandler^ value);
    void remove (EventHandler^ value);
}
Value
Type:   Online System EventHandler
See Also
ResourceTypeCombo Class
ResourceTypeCombo Members
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIBlockCombo Class

TGIBlockCombo Class s3pi library documentation

[Missing <summary> documentation for "T:System.Windows.Forms.TGIBlockCombo"]

Inheritance Hierarchy
Online System Object
Online System MarshalByRefObject
Online System.ComponentModel Component
Online System.Windows.Forms Control
Online System.Windows.Forms ScrollableControl
Online System.Windows.Forms ContainerControl
Online System.Windows.Forms UserControl
System.Windows.Forms TGIBlockCombo

Namespace: System.Windows.Forms
Assembly: s3pi.Controls (in s3pi.Controls.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public class TGIBlockCombo : UserControl
public class TGIBlockCombo : UserControl
Public Class TGIBlockCombo
    Inherits UserControl
Public Class TGIBlockCombo
    Inherits UserControl
public ref class TGIBlockCombo : public UserControl
public ref class TGIBlockCombo : public UserControl
See Also
TGIBlockCombo Members
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIBlockCombo Members

TGIBlockCombo Members s3pi library documentation

The TGIBlockCombo type exposes the following members.
Constructors
 | Name | Description
Public method | TGIBlockCombo | Initializes a new instance of the TGIBlockCombo class
Public method | TGIBlockCombo(DependentList TGIBlock ) | Initializes a new instance of the TGIBlockCombo class
Public method | TGIBlockCombo(DependentList TGIBlock , Int32) | Initializes a new instance of the TGIBlockCombo class
Public method | TGIBlockCombo(DependentList TGIBlock , Int32, Boolean) | Initializes a new instance of the TGIBlockCombo class
Back to Top
Methods
 | Name | Description
Protected method | Dispose | Clean up any resources being used. (Overrides Online ContainerControl Dispose(Boolean).)
Protected method | OnSelectedIndexChanged |
Protected method | OnTGIBlockListChanged |
Public method | Refresh | (Overrides Online Control Refresh .)
Back to Top
Properties
 | Name | Description
Public property | SelectedIndex |
Public property | ShowEdit |
Public property | TGIBlocks |
Back to Top
Events
 | Name | Description
Public event | SelectedIndexChanged |
Public event | TGIBlockListChanged |
Back to Top
See Also
TGIBlockCombo Class
System.Windows.Forms Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIBlockCombo Constructor

TGIBlockCombo Constructor s3pi library documentation
Overload List
 | Name | Description
Public method | TGIBlockCombo | Initializes a new instance of the TGIBlockCombo class
Public method | TGIBlockCombo(DependentList TGIBlock ) | Initializes a new instance of the TGIBlockCombo class
Public method | TGIBlockCombo(DependentList TGIBlock , Int32) | Initializes a new instance of the TGIBlockCombo class
Public method | TGIBlockCombo(DependentList TGIBlock , Int32, Boolean) | Initializes a new instance of the TGIBlockCombo class
Back to Top
See Also
TGIBlockCombo Class
TGIBlockCombo Members
System.Windows.Forms Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIBlockCombo Constructor

TGIBlockCombo Constructor s3pi library documentation
Initializes a new instance of the TGIBlockCombo class

Namespace: System.Windows.Forms
Assembly: s3pi.Controls (in s3pi.Controls.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public TGIBlockCombo()
public TGIBlockCombo()
Public Sub New
Public Sub New
public:
TGIBlockCombo()
public:
TGIBlockCombo()
See Also
TGIBlockCombo Class
TGIBlockCombo Members
TGIBlockCombo Overload
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIBlockCombo Constructor (DependentList(TGIBlock))

TGIBlockCombo Constructor (DependentList TGIBlock ) s3pi library documentation
Initializes a new instance of the TGIBlockCombo class

Namespace: System.Windows.Forms
Assembly: s3pi.Controls (in s3pi.Controls.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public TGIBlockCombo(
    DependentList<TGIBlock> tgiBlocks
)
public TGIBlockCombo(
    DependentList<TGIBlock> tgiBlocks
)
Public Sub New (
    tgiBlocks As DependentList(Of TGIBlock)
)
Public Sub New (
    tgiBlocks As DependentList(Of TGIBlock)
)
public:
TGIBlockCombo(
    DependentList<TGIBlock^>^ tgiBlocks
)
public:
TGIBlockCombo(
    DependentList<TGIBlock^>^ tgiBlocks
)
Parameters
tgiBlocks
Type: s3pi.Interfaces DependentList  TGIBlock
[Missing <param name="tgiBlocks"/> documentation for "M:System.Windows.Forms.TGIBlockCombo.#ctor(s3pi.Interfaces.DependentList{s3pi.Interfaces.TGIBlock})"]
See Also
TGIBlockCombo Class
TGIBlockCombo Members
TGIBlockCombo Overload
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIBlockCombo Constructor (DependentList(TGIBlock), Int32)

TGIBlockCombo Constructor (DependentList TGIBlock , Int32) s3pi library documentation
Initializes a new instance of the TGIBlockCombo class

Namespace: System.Windows.Forms
Assembly: s3pi.Controls (in s3pi.Controls.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public TGIBlockCombo(
    DependentList<TGIBlock> tgiBlocks,
    int index
)
public TGIBlockCombo(
    DependentList<TGIBlock> tgiBlocks,
    int index
)
Public Sub New (
    tgiBlocks As DependentList(Of TGIBlock),
    index As Integer
)
Public Sub New (
    tgiBlocks As DependentList(Of TGIBlock),
    index As Integer
)
public:
TGIBlockCombo(
    DependentList<TGIBlock^>^ tgiBlocks,
    int index
)
public:
TGIBlockCombo(
    DependentList<TGIBlock^>^ tgiBlocks,
    int index
)
Parameters
tgiBlocks
Type: s3pi.Interfaces DependentList  TGIBlock
[Missing <param name="tgiBlocks"/> documentation for "M:System.Windows.Forms.TGIBlockCombo.#ctor(s3pi.Interfaces.DependentList{s3pi.Interfaces.TGIBlock},System.Int32)"]
index
Type:   Online System Int32
[Missing <param name="index"/> documentation for "M:System.Windows.Forms.TGIBlockCombo.#ctor(s3pi.Interfaces.DependentList{s3pi.Interfaces.TGIBlock},System.Int32)"]
See Also
TGIBlockCombo Class
TGIBlockCombo Members
TGIBlockCombo Overload
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIBlockCombo Constructor (DependentList(TGIBlock), Int32, Boolean)

TGIBlockCombo Constructor (DependentList TGIBlock , Int32, Boolean) s3pi library documentation
Initializes a new instance of the TGIBlockCombo class

Namespace: System.Windows.Forms
Assembly: s3pi.Controls (in s3pi.Controls.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public TGIBlockCombo(
    DependentList<TGIBlock> tgiBlocks,
    int index,
    bool showEdit
)
public TGIBlockCombo(
    DependentList<TGIBlock> tgiBlocks,
    int index,
    bool showEdit
)
Public Sub New (
    tgiBlocks As DependentList(Of TGIBlock),
    index As Integer,
    showEdit As Boolean
)
Public Sub New (
    tgiBlocks As DependentList(Of TGIBlock),
    index As Integer,
    showEdit As Boolean
)
public:
TGIBlockCombo(
    DependentList<TGIBlock^>^ tgiBlocks,
    int index,
    bool showEdit
)
public:
TGIBlockCombo(
    DependentList<TGIBlock^>^ tgiBlocks,
    int index,
    bool showEdit
)
Parameters
tgiBlocks
Type: s3pi.Interfaces DependentList  TGIBlock
[Missing <param name="tgiBlocks"/> documentation for "M:System.Windows.Forms.TGIBlockCombo.#ctor(s3pi.Interfaces.DependentList{s3pi.Interfaces.TGIBlock},System.Int32,System.Boolean)"]
index
Type:   Online System Int32
[Missing <param name="index"/> documentation for "M:System.Windows.Forms.TGIBlockCombo.#ctor(s3pi.Interfaces.DependentList{s3pi.Interfaces.TGIBlock},System.Int32,System.Boolean)"]
showEdit
Type:   Online System Boolean
[Missing <param name="showEdit"/> documentation for "M:System.Windows.Forms.TGIBlockCombo.#ctor(s3pi.Interfaces.DependentList{s3pi.Interfaces.TGIBlock},System.Int32,System.Boolean)"]
See Also
TGIBlockCombo Class
TGIBlockCombo Members
TGIBlockCombo Overload
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIBlockCombo Methods

TGIBlockCombo Methods s3pi library documentation
The TGIBlockCombo type exposes the following members.
Methods
 | Name | Description
Protected method | Dispose | Clean up any resources being used. (Overrides Online ContainerControl Dispose(Boolean).)
Protected method | OnSelectedIndexChanged |
Protected method | OnTGIBlockListChanged |
Public method | Refresh | (Overrides Online Control Refresh .)
Back to Top
See Also
TGIBlockCombo Class
System.Windows.Forms Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIBlockCombo.Dispose Method

TGIBlockCombo Dispose Method s3pi library documentation
Clean up any resources being used.

Namespace: System.Windows.Forms
Assembly: s3pi.Controls (in s3pi.Controls.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected override void Dispose(
    bool disposing
)
protected override void Dispose(
    bool disposing
)
Protected Overrides Sub Dispose (
    disposing As Boolean
)
Protected Overrides Sub Dispose (
    disposing As Boolean
)
protected:
virtual void Dispose(
    bool disposing
) override
protected:
virtual void Dispose(
    bool disposing
) override
Parameters
disposing
Type:   Online System Boolean
true if managed resources should be disposed; otherwise, false.
See Also
TGIBlockCombo Class
TGIBlockCombo Members
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIBlockCombo.OnSelectedIndexChanged Method

TGIBlockCombo OnSelectedIndexChanged Method s3pi library documentation

[Missing <summary> documentation for "M:System.Windows.Forms.TGIBlockCombo.OnSelectedIndexChanged(System.Object,System.EventArgs)"]

Namespace: System.Windows.Forms
Assembly: s3pi.Controls (in s3pi.Controls.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected void OnSelectedIndexChanged(
    Object sender,
    EventArgs e
)
protected void OnSelectedIndexChanged(
    Object sender,
    EventArgs e
)
Protected Sub OnSelectedIndexChanged (
    sender As Object,
    e As EventArgs
)
Protected Sub OnSelectedIndexChanged (
    sender As Object,
    e As EventArgs
)
protected:
void OnSelectedIndexChanged(
    Object^ sender,
    EventArgs^ e
)
protected:
void OnSelectedIndexChanged(
    Object^ sender,
    EventArgs^ e
)
Parameters
sender
Type:   Online System Object
[Missing <param name="sender"/> documentation for "M:System.Windows.Forms.TGIBlockCombo.OnSelectedIndexChanged(System.Object,System.EventArgs)"]
e
Type:   Online System EventArgs
[Missing <param name="e"/> documentation for "M:System.Windows.Forms.TGIBlockCombo.OnSelectedIndexChanged(System.Object,System.EventArgs)"]
See Also
TGIBlockCombo Class
TGIBlockCombo Members
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIBlockCombo.OnTGIBlockListChanged Method

TGIBlockCombo OnTGIBlockListChanged Method s3pi library documentation

[Missing <summary> documentation for "M:System.Windows.Forms.TGIBlockCombo.OnTGIBlockListChanged(System.Object,System.EventArgs)"]

Namespace: System.Windows.Forms
Assembly: s3pi.Controls (in s3pi.Controls.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected void OnTGIBlockListChanged(
    Object sender,
    EventArgs e
)
protected void OnTGIBlockListChanged(
    Object sender,
    EventArgs e
)
Protected Sub OnTGIBlockListChanged (
    sender As Object,
    e As EventArgs
)
Protected Sub OnTGIBlockListChanged (
    sender As Object,
    e As EventArgs
)
protected:
void OnTGIBlockListChanged(
    Object^ sender,
    EventArgs^ e
)
protected:
void OnTGIBlockListChanged(
    Object^ sender,
    EventArgs^ e
)
Parameters
sender
Type:   Online System Object
[Missing <param name="sender"/> documentation for "M:System.Windows.Forms.TGIBlockCombo.OnTGIBlockListChanged(System.Object,System.EventArgs)"]
e
Type:   Online System EventArgs
[Missing <param name="e"/> documentation for "M:System.Windows.Forms.TGIBlockCombo.OnTGIBlockListChanged(System.Object,System.EventArgs)"]
See Also
TGIBlockCombo Class
TGIBlockCombo Members
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIBlockCombo.Refresh Method

TGIBlockCombo Refresh Method s3pi library documentation

[Missing <summary> documentation for "M:System.Windows.Forms.TGIBlockCombo.Refresh"]

Namespace: System.Windows.Forms
Assembly: s3pi.Controls (in s3pi.Controls.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override void Refresh()
public override void Refresh()
Public Overrides Sub Refresh
Public Overrides Sub Refresh
public:
virtual void Refresh() override
public:
virtual void Refresh() override
See Also
TGIBlockCombo Class
TGIBlockCombo Members
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIBlockCombo Properties

TGIBlockCombo Properties s3pi library documentation
The TGIBlockCombo type exposes the following members.
Properties
 | Name | Description
Public property | SelectedIndex |
Public property | ShowEdit |
Public property | TGIBlocks |
Back to Top
See Also
TGIBlockCombo Class
System.Windows.Forms Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIBlockCombo.SelectedIndex Property

TGIBlockCombo SelectedIndex Property s3pi library documentation

[Missing <summary> documentation for "P:System.Windows.Forms.TGIBlockCombo.SelectedIndex"]

Namespace: System.Windows.Forms
Assembly: s3pi.Controls (in s3pi.Controls.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[DefaultValueAttribute(-1)]
public int SelectedIndex { get; set; }
[DefaultValueAttribute(-1)]
public int SelectedIndex { get; set; }
<DefaultValueAttribute(-1)>
Public Property SelectedIndex As Integer
    Get
    Set
<DefaultValueAttribute(-1)>
Public Property SelectedIndex As Integer
    Get
    Set
public:
[DefaultValueAttribute(-1)]
property int SelectedIndex {
    int get ();
    void set (int value);
}
public:
[DefaultValueAttribute(-1)]
property int SelectedIndex {
    int get ();
    void set (int value);
}
Property Value
Type:   Online Int32
See Also
TGIBlockCombo Class
TGIBlockCombo Members
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIBlockCombo.ShowEdit Property

TGIBlockCombo ShowEdit Property s3pi library documentation

[Missing <summary> documentation for "P:System.Windows.Forms.TGIBlockCombo.ShowEdit"]

Namespace: System.Windows.Forms
Assembly: s3pi.Controls (in s3pi.Controls.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[DefaultValueAttribute(true)]
public bool ShowEdit { get; set; }
[DefaultValueAttribute(true)]
public bool ShowEdit { get; set; }
<DefaultValueAttribute(true)>
Public Property ShowEdit As Boolean
    Get
    Set
<DefaultValueAttribute(true)>
Public Property ShowEdit As Boolean
    Get
    Set
public:
[DefaultValueAttribute(true)]
property bool ShowEdit {
    bool get ();
    void set (bool value);
}
public:
[DefaultValueAttribute(true)]
property bool ShowEdit {
    bool get ();
    void set (bool value);
}
Property Value
Type:   Online Boolean
See Also
TGIBlockCombo Class
TGIBlockCombo Members
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIBlockCombo.TGIBlocks Property

TGIBlockCombo TGIBlocks Property s3pi library documentation

[Missing <summary> documentation for "P:System.Windows.Forms.TGIBlockCombo.TGIBlocks"]

Namespace: System.Windows.Forms
Assembly: s3pi.Controls (in s3pi.Controls.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public DependentList<TGIBlock> TGIBlocks { get; set; }
public DependentList<TGIBlock> TGIBlocks { get; set; }
Public Property TGIBlocks As DependentList(Of TGIBlock)
    Get
    Set
Public Property TGIBlocks As DependentList(Of TGIBlock)
    Get
    Set
public:
property DependentList<TGIBlock^>^ TGIBlocks {
    DependentList<TGIBlock^>^ get ();
    void set (DependentList<TGIBlock^>^ value);
}
public:
property DependentList<TGIBlock^>^ TGIBlocks {
    DependentList<TGIBlock^>^ get ();
    void set (DependentList<TGIBlock^>^ value);
}
Property Value
Type: DependentList  TGIBlock
See Also
TGIBlockCombo Class
TGIBlockCombo Members
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIBlockCombo Events

TGIBlockCombo Events s3pi library documentation
The TGIBlockCombo type exposes the following members.
Events
 | Name | Description
Public event | SelectedIndexChanged |
Public event | TGIBlockListChanged |
Back to Top
See Also
TGIBlockCombo Class
System.Windows.Forms Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIBlockCombo.SelectedIndexChanged Event

TGIBlockCombo SelectedIndexChanged Event s3pi library documentation

[Missing <summary> documentation for "E:System.Windows.Forms.TGIBlockCombo.SelectedIndexChanged"]

Namespace: System.Windows.Forms
Assembly: s3pi.Controls (in s3pi.Controls.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public event EventHandler SelectedIndexChanged
public event EventHandler SelectedIndexChanged
Public Event SelectedIndexChanged As EventHandler
Public Event SelectedIndexChanged As EventHandler
public:
 event EventHandler^ SelectedIndexChanged {
    void add (EventHandler^ value);
    void remove (EventHandler^ value);
}
public:
 event EventHandler^ SelectedIndexChanged {
    void add (EventHandler^ value);
    void remove (EventHandler^ value);
}
Value
Type:   Online System EventHandler
See Also
TGIBlockCombo Class
TGIBlockCombo Members
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIBlockCombo.TGIBlockListChanged Event

TGIBlockCombo TGIBlockListChanged Event s3pi library documentation

[Missing <summary> documentation for "E:System.Windows.Forms.TGIBlockCombo.TGIBlockListChanged"]

Namespace: System.Windows.Forms
Assembly: s3pi.Controls (in s3pi.Controls.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public event EventHandler TGIBlockListChanged
public event EventHandler TGIBlockListChanged
Public Event TGIBlockListChanged As EventHandler
Public Event TGIBlockListChanged As EventHandler
public:
 event EventHandler^ TGIBlockListChanged {
    void add (EventHandler^ value);
    void remove (EventHandler^ value);
}
public:
 event EventHandler^ TGIBlockListChanged {
    void add (EventHandler^ value);
    void remove (EventHandler^ value);
}
Value
Type:   Online System EventHandler
See Also
TGIBlockCombo Class
TGIBlockCombo Members
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIBlockListEditor Class

TGIBlockListEditor Class s3pi library documentation
A modal form for editing an AResource.DependentList<AResource.TGIBlock> object.
Inheritance Hierarchy
Online System Object
System.Windows.Forms TGIBlockListEditor

Namespace: System.Windows.Forms
Assembly: s3pi.Controls (in s3pi.Controls.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static class TGIBlockListEditor
public static class TGIBlockListEditor
Public NotInheritable Class TGIBlockListEditor
Public NotInheritable Class TGIBlockListEditor
public ref class TGIBlockListEditor abstract sealed
public ref class TGIBlockListEditor abstract sealed
See Also
TGIBlockListEditor Members
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIBlockListEditor Members

TGIBlockListEditor Members s3pi library documentation

Methods
Name | Description
Show(DependentList TGIBlock ) | Displays a modal form allowing a list of TGIBlocks to be edited (created, updated, deleted).
Show(IWin32Window, DependentList TGIBlock ) | Displays a modal form allowing a list of TGIBlocks to be edited (created, updated, deleted).
Back to Top
See Also
TGIBlockListEditor Class
System.Windows.Forms Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIBlockListEditor Methods

TGIBlockListEditor Methods s3pi library documentation
Methods
Name | Description
Show(DependentList TGIBlock ) | Displays a modal form allowing a list of TGIBlocks to be edited (created, updated, deleted).
Show(IWin32Window, DependentList TGIBlock ) | Displays a modal form allowing a list of TGIBlocks to be edited (created, updated, deleted).
Back to Top
See Also
TGIBlockListEditor Class
System.Windows.Forms Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIBlockListEditor.Show Method

TGIBlockListEditor Show Method s3pi library documentation
Overload List
Name | Description
Show(DependentList TGIBlock ) | Displays a modal form allowing a list of TGIBlocks to be edited (created, updated, deleted).
Show(IWin32Window, DependentList TGIBlock ) | Displays a modal form allowing a list of TGIBlocks to be edited (created, updated, deleted).
Back to Top
See Also
TGIBlockListEditor Class
TGIBlockListEditor Members
System.Windows.Forms Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIBlockListEditor.Show Method (DependentList(TGIBlock))

TGIBlockListEditor Show Method (DependentList TGIBlock ) s3pi library documentation
Displays a modal form allowing a list of TGIBlocks to be edited (created, updated, deleted).

Namespace: System.Windows.Forms
Assembly: s3pi.Controls (in s3pi.Controls.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static DialogResult Show(
    DependentList<TGIBlock> ltgi
)
public static DialogResult Show(
    DependentList<TGIBlock> ltgi
)
Public Shared Function Show (
    ltgi As DependentList(Of TGIBlock)
) As DialogResult
Public Shared Function Show (
    ltgi As DependentList(Of TGIBlock)
) As DialogResult
public:
static DialogResult Show(
    DependentList<TGIBlock^>^ ltgi
)
public:
static DialogResult Show(
    DependentList<TGIBlock^>^ ltgi
)
Parameters
ltgi
Type: s3pi.Interfaces DependentList  TGIBlock
an AResource.DependentList<AResource.TGIBlock> object.
Return Value
Type:   Online DialogResult
the DialogResult
See Also
TGIBlockListEditor Class
TGIBlockListEditor Members
Show Overload
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


TGIBlockListEditor.Show Method (IWin32Window, DependentList(TGIBlock))

TGIBlockListEditor Show Method (IWin32Window, DependentList TGIBlock ) s3pi library documentation
Displays a modal form allowing a list of TGIBlocks to be edited (created, updated, deleted).

Namespace: System.Windows.Forms
Assembly: s3pi.Controls (in s3pi.Controls.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static DialogResult Show(
    IWin32Window owner,
    DependentList<TGIBlock> ltgi
)
public static DialogResult Show(
    IWin32Window owner,
    DependentList<TGIBlock> ltgi
)
Public Shared Function Show (
    owner As IWin32Window,
    ltgi As DependentList(Of TGIBlock)
) As DialogResult
Public Shared Function Show (
    owner As IWin32Window,
    ltgi As DependentList(Of TGIBlock)
) As DialogResult
public:
static DialogResult Show(
    IWin32Window^ owner,
    DependentList<TGIBlock^>^ ltgi
)
public:
static DialogResult Show(
    IWin32Window^ owner,
    DependentList<TGIBlock^>^ ltgi
)
Parameters
owner
Type:   Online System.Windows.Forms IWin32Window
Any object that implements System.Windows.Forms.IWin32Window
            and represents the top-level window that will own this form.
ltgi
Type: s3pi.Interfaces DependentList  TGIBlock
an AResource.DependentList<AResource.TGIBlock> object.
Return Value
Type:   Online DialogResult
the DialogResult
See Also
TGIBlockListEditor Class
TGIBlockListEditor Members
Show Overload
System.Windows.Forms Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


System.Windows.Forms.TGIBlockListEditorForm Namespace

System.Windows.Forms.TGIBlockListEditorForm Namespace s3pi library documentation
Classes
 | Class | Description
Public class | MainForm | A form for editing an AResource.DependentList<AResource.TGIBlock> object.

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


MainForm Class

MainForm Class s3pi library documentation
A form for editing an AResource.DependentList<AResource.TGIBlock> object.
Inheritance Hierarchy
Online System Object
Online System MarshalByRefObject
Online System.ComponentModel Component
Online System.Windows.Forms Control
Online System.Windows.Forms ScrollableControl
Online System.Windows.Forms ContainerControl
Online System.Windows.Forms Form
System.Windows.Forms.TGIBlockListEditorForm MainForm

Namespace: System.Windows.Forms.TGIBlockListEditorForm
Assembly: s3pi.Controls (in s3pi.Controls.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public class MainForm : Form
public class MainForm : Form
Public Class MainForm
    Inherits Form
Public Class MainForm
    Inherits Form
public ref class MainForm : public Form
public ref class MainForm : public Form
See Also
MainForm Members
System.Windows.Forms.TGIBlockListEditorForm Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


MainForm Members

MainForm Members s3pi library documentation

The MainForm type exposes the following members.
Constructors
 | Name | Description
Public method | MainForm | A form for editing an AResource.DependentList<AResource.TGIBlock> object. The DialogResult will be set on return from ShowDialog indicating whether the user chose to Save (OK) or Abandon (Cancel).
Back to Top
Methods
 | Name | Description
Protected method | Dispose | Clean up any resources being used. (Overrides Online Form Dispose(Boolean).)
Back to Top
Properties
 | Name | Description
Public property | Items | The list of TGIBlocks to edit
Back to Top
See Also
MainForm Class
System.Windows.Forms.TGIBlockListEditorForm Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


MainForm Constructor

MainForm Constructor s3pi library documentation
A form for editing an AResource.DependentList<AResource.TGIBlock> object. The DialogResult will be set on return from ShowDialog indicating whether the user chose to Save (OK) or Abandon (Cancel).

Namespace: System.Windows.Forms.TGIBlockListEditorForm
Assembly: s3pi.Controls (in s3pi.Controls.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public MainForm()
public MainForm()
Public Sub New
Public Sub New
public:
MainForm()
public:
MainForm()
See Also
MainForm Class
MainForm Members
System.Windows.Forms.TGIBlockListEditorForm Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


MainForm Methods

MainForm Methods s3pi library documentation
The MainForm type exposes the following members.
Methods
 | Name | Description
Protected method | Dispose | Clean up any resources being used. (Overrides Online Form Dispose(Boolean).)
Back to Top
See Also
MainForm Class
System.Windows.Forms.TGIBlockListEditorForm Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


MainForm.Dispose Method

MainForm Dispose Method s3pi library documentation
Clean up any resources being used.

Namespace: System.Windows.Forms.TGIBlockListEditorForm
Assembly: s3pi.Controls (in s3pi.Controls.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected override void Dispose(
    bool disposing
)
protected override void Dispose(
    bool disposing
)
Protected Overrides Sub Dispose (
    disposing As Boolean
)
Protected Overrides Sub Dispose (
    disposing As Boolean
)
protected:
virtual void Dispose(
    bool disposing
) override
protected:
virtual void Dispose(
    bool disposing
) override
Parameters
disposing
Type:   Online System Boolean
true if managed resources should be disposed; otherwise, false.
See Also
MainForm Class
MainForm Members
System.Windows.Forms.TGIBlockListEditorForm Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


MainForm Properties

MainForm Properties s3pi library documentation
The MainForm type exposes the following members.
Properties
 | Name | Description
Public property | Items | The list of TGIBlocks to edit
Back to Top
See Also
MainForm Class
System.Windows.Forms.TGIBlockListEditorForm Namespace

Online Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


MainForm.Items Property

MainForm Items Property s3pi library documentation
The list of TGIBlocks to edit

Namespace: System.Windows.Forms.TGIBlockListEditorForm
Assembly: s3pi.Controls (in s3pi.Controls.dll) Version: 1312.15.2223.40315
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public IList<TGIBlock> Items { get; set; }
public IList<TGIBlock> Items { get; set; }
Public Property Items As IList(Of TGIBlock)
    Get
    Set
Public Property Items As IList(Of TGIBlock)
    Get
    Set
public:
property IList<TGIBlock^>^ Items {
    IList<TGIBlock^>^ get ();
    void set (IList<TGIBlock^>^ value);
}
public:
property IList<TGIBlock^>^ Items {
    IList<TGIBlock^>^ get ();
    void set (IList<TGIBlock^>^ value);
}
Property Value
Type:   Online IList  TGIBlock
See Also
MainForm Class
MainForm Members
System.Windows.Forms.TGIBlockListEditorForm Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)


DefaultRCOL.Parse Method

DefaultRCOL Parse Method s3pi library documentation
Read the data.

Namespace: s3pi.GenericRCOLResource
Assembly: s3pi.GenericRCOLResource (in s3pi.GenericRCOLResource.dll) Version: 1312.15.2223.40312
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected override void Parse(
    Stream s
)
protected override void Parse(
    Stream s
)
Protected Overrides Sub Parse (
    s As Stream
)
Protected Overrides Sub Parse (
    s As Stream
)
protected:
virtual void Parse(
    Stream^ s
) override
protected:
virtual void Parse(
    Stream^ s
) override
Parameters
s
Type:   Online System.IO Stream
The   Online Stream containing the data.
See Also
DefaultRCOL Class
DefaultRCOL Members
s3pi.GenericRCOLResource Namespace
  Online
                        Copyright (C) 2009-2013 by Peter L Jones; licensed under the GNU General Public License 3.0 (http://www.gnu.org/licenses/)